
(/VERSIONCHECK 2) 

(DEFUN |ACF-;zeroOf;SupS;1| (|p| $)
 (PROG (|x|)
  (RETURN
   (|ACF-;assign| (LETT |x| (SPADCALL (QREFELT $ 8)) |ACF-;zeroOf;SupS;1|)
    (SPADCALL |p| |x| (QREFELT $ 10)) $)))) 

(DEFUN |ACF-;rootOf;SupS;2| (|p| $)
 (PROG (|x|)
  (RETURN
   (|ACF-;assign| (LETT |x| (SPADCALL (QREFELT $ 8)) |ACF-;rootOf;SupS;2|)
    (SPADCALL |p| |x| (QREFELT $ 12)) $)))) 

(DEFUN |ACF-;zerosOf;SupL;3| (|p| $)
 (SPADCALL |p| (SPADCALL (QREFELT $ 8)) (QREFELT $ 15))) 

(DEFUN |ACF-;rootsOf;SupL;4| (|p| $)
 (SPADCALL |p| (SPADCALL (QREFELT $ 8)) (QREFELT $ 17))) 

(DEFUN |ACF-;rootsOf;SupSL;5| (|p| |y| $)
 (|ACF-;allroots| |p| |y| (ELT $ 12) $)) 

(DEFUN |ACF-;zerosOf;SupSL;6| (|p| |y| $)
 (|ACF-;allroots| |p| |y| (ELT $ 10) $)) 

(DEFUN |ACF-;assign| (|x| |f| $)
 (SEQ (|assignSymbol| |x| |f| (QREFELT $ 6)) (EXIT |f|))) 

(DEFUN |ACF-;zeroOf;PS;8| (|p| $)
 (PROG (|l|)
  (RETURN
   (COND
    ((NULL (LETT |l| (SPADCALL |p| (QREFELT $ 23)) |ACF-;zeroOf;PS;8|))
     (|error| "zeroOf: constant polynomial"))
    ('T
     (SPADCALL (SPADCALL |p| (QREFELT $ 25)) (|SPADfirst| |l|)
      (QREFELT $ 10))))))) 

(DEFUN |ACF-;rootOf;PS;9| (|p| $)
 (PROG (|l|)
  (RETURN
   (COND
    ((NULL (LETT |l| (SPADCALL |p| (QREFELT $ 23)) |ACF-;rootOf;PS;9|))
     (|error| "rootOf: constant polynomial"))
    ('T
     (SPADCALL (SPADCALL |p| (QREFELT $ 25)) (|SPADfirst| |l|)
      (QREFELT $ 12))))))) 

(DEFUN |ACF-;zerosOf;PL;10| (|p| $)
 (PROG (|l|)
  (RETURN
   (COND
    ((NULL (LETT |l| (SPADCALL |p| (QREFELT $ 23)) |ACF-;zerosOf;PL;10|))
     (|error| "zerosOf: constant polynomial"))
    ('T
     (SPADCALL (SPADCALL |p| (QREFELT $ 25)) (|SPADfirst| |l|)
      (QREFELT $ 15))))))) 

(DEFUN |ACF-;rootsOf;PL;11| (|p| $)
 (PROG (|l|)
  (RETURN
   (COND
    ((NULL (LETT |l| (SPADCALL |p| (QREFELT $ 23)) |ACF-;rootsOf;PL;11|))
     (|error| "rootsOf: constant polynomial"))
    ('T
     (SPADCALL (SPADCALL |p| (QREFELT $ 25)) (|SPADfirst| |l|)
      (QREFELT $ 17))))))) 

(DEFUN |ACF-;zeroOf;SupSS;12| (|p| |y| $)
 (PROG (|d| |a| |b| |r|)
  (RETURN
   (SEQ
    (COND
     ((ZEROP (LETT |d| (SPADCALL |p| (QREFELT $ 32)) |ACF-;zeroOf;SupSS;12|))
      (|error| "zeroOf: constant polynomial"))
     ((SPADCALL (SPADCALL |p| 0 (QREFELT $ 35)) (QREFELT $ 37))
      (|spadConstant| $ 33))
     ('T
      (SEQ (LETT |a| (SPADCALL |p| (QREFELT $ 38)) |ACF-;zeroOf;SupSS;12|)
       (EXIT
        (COND
         ((EQL |d| 2)
          (SEQ
           (LETT |b| (SPADCALL |p| 1 (QREFELT $ 35)) |ACF-;zeroOf;SupSS;12|)
           (EXIT
            (SPADCALL
             (SPADCALL
              (SPADCALL
               (SPADCALL (SPADCALL |b| 2 (QREFELT $ 42))
                (SPADCALL (SPADCALL 4 |a| (QREFELT $ 43))
                 (SPADCALL |p| 0 (QREFELT $ 35)) (QREFELT $ 44))
                (QREFELT $ 45))
               (QREFELT $ 46))
              |b| (QREFELT $ 45))
             (SPADCALL 2 |a| (QREFELT $ 43)) (QREFELT $ 47)))))
         ('T
          (SEQ
           (LETT |r| (SPADCALL (SPADCALL |p| (QREFELT $ 48)) (QREFELT $ 50))
            |ACF-;zeroOf;SupSS;12|)
           (EXIT
            (COND ((QEQCAR |r| 1) (SPADCALL |p| |y| (QREFELT $ 12)))
             ('T
              (SPADCALL
               (SPADCALL (SPADCALL (QCDR |r|) |a| (QREFELT $ 47))
                (QREFELT $ 51))
               |d| (QREFELT $ 53)))))))))))))))) 

(DEFUN |ACF-;binomialRoots| (|p| |y| |fn| $)
 (PROG (|alpha| |n| |cyclo| |x| |beta| #1=#:G3593 |i| #2=#:G3588 #3=#:G3594)
  (RETURN
   (SEQ
    (LETT |alpha|
     (|ACF-;assign|
      (LETT |x| (SPADCALL |y| (QREFELT $ 55)) |ACF-;binomialRoots|)
      (SPADCALL |p| |x| |fn|) $)
     |ACF-;binomialRoots|)
    (LETT |n| (SPADCALL |p| (QREFELT $ 32)) |ACF-;binomialRoots|)
    (EXIT
     (COND ((EQL |n| 1) (LIST |alpha|))
      ('T
       (SEQ
        (LETT |cyclo|
         (SPADCALL |n| (SPADCALL (|spadConstant| $ 39) 1 (QREFELT $ 56))
          (QREFELT $ 58))
         |ACF-;binomialRoots|)
        (LETT |beta|
         (|ACF-;assign|
          (LETT |x| (SPADCALL |y| (QREFELT $ 55)) |ACF-;binomialRoots|)
          (SPADCALL |cyclo| |x| |fn|) $)
         |ACF-;binomialRoots|)
        (EXIT
         (PROGN (LETT #1# NIL |ACF-;binomialRoots|)
          (SEQ (LETT |i| 0 |ACF-;binomialRoots|)
           (LETT #3#
            (PROG1 (LETT #2# (- |n| 1) |ACF-;binomialRoots|)
             (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
            |ACF-;binomialRoots|)
           G190 (COND ((QSGREATERP |i| #3#) (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS
               (SPADCALL |alpha| (SPADCALL |beta| |i| (QREFELT $ 59))
                (QREFELT $ 44))
               #1#)
              |ACF-;binomialRoots|)))
           (LETT |i| (QSADD1 |i|) |ACF-;binomialRoots|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))))))))))) 

(DEFUN |ACF-;allroots| (|p| |y| |fn| $)
 (PROG
  (|p1| |decompList| |h| |g| |groots| |r| #1=#:G3621 #2=#:G3603 #3=#:G3601
   #4=#:G3602 |x| |alpha| |q| #5=#:G3599 |ans|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |p| (QREFELT $ 60))
      (|error| "allroots: polynomial must be nonzero"))
     ((SPADCALL (SPADCALL |p| 0 (QREFELT $ 35)) (QREFELT $ 37))
      (CONS (|spadConstant| $ 33)
       (|ACF-;allroots|
        (SPADCALL |p| (SPADCALL (|spadConstant| $ 39) 1 (QREFELT $ 56))
         (QREFELT $ 61))
        |y| |fn| $)))
     ((SPADCALL (LETT |p1| (SPADCALL |p| (QREFELT $ 48)) |ACF-;allroots|)
       (QREFELT $ 60))
      NIL)
     ((SPADCALL (SPADCALL |p1| (QREFELT $ 48)) (QREFELT $ 60))
      (|ACF-;binomialRoots| |p| |y| |fn| $))
     ('T
      (SEQ (LETT |decompList| (SPADCALL |p| (QREFELT $ 64)) |ACF-;allroots|)
       (EXIT
        (COND
         ((< 1 (LENGTH |decompList|))
          (SEQ
           (LETT |h| (SPADCALL |decompList| (QREFELT $ 65)) |ACF-;allroots|)
           (LETT |g|
            (PROG2 (LETT #5# (SPADCALL |p| |h| (QREFELT $ 67)) |ACF-;allroots|)
             (QCDR #5#)
             (|check-union| (QEQCAR #5# 0)
              (|SparseUnivariatePolynomial| (QREFELT $ 6)) #5#))
            |ACF-;allroots|)
           (LETT |groots| (|ACF-;allroots| |g| |y| |fn| $) |ACF-;allroots|)
           (EXIT
            (PROGN (LETT #4# NIL |ACF-;allroots|)
             (SEQ (LETT |r| NIL |ACF-;allroots|)
              (LETT #1# |groots| |ACF-;allroots|) G190
              (COND
               ((OR (ATOM #1#)
                 (PROGN (LETT |r| (CAR #1#) |ACF-;allroots|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (PROGN
                 (LETT #2#
                  (|ACF-;allroots|
                   (SPADCALL |h| (SPADCALL |r| (QREFELT $ 68)) (QREFELT $ 69))
                   |y| |fn| $)
                  |ACF-;allroots|)
                 (COND (#4# (LETT #3# (APPEND #3# #2#) |ACF-;allroots|))
                  ('T
                   (PROGN (LETT #3# #2# |ACF-;allroots|)
                    (LETT #4# 'T |ACF-;allroots|)))))))
              (LETT #1# (CDR #1#) |ACF-;allroots|) (GO G190) G191 (EXIT NIL))
             (COND (#4# #3#) ('T (|IdentityError| '|append|)))))))
         ('T
          (SEQ (LETT |ans| NIL |ACF-;allroots|)
           (SEQ G190
            (COND
             ((NULL (COND ((SPADCALL |p| (QREFELT $ 70)) 'NIL) ('T 'T)))
              (GO G191)))
            (SEQ
             (LETT |alpha|
              (|ACF-;assign|
               (LETT |x| (SPADCALL |y| (QREFELT $ 55)) |ACF-;allroots|)
               (SPADCALL |p| |x| |fn|) $)
              |ACF-;allroots|)
             (LETT |q|
              (SPADCALL (SPADCALL (|spadConstant| $ 39) 1 (QREFELT $ 56))
               (SPADCALL |alpha| (QREFELT $ 68)) (QREFELT $ 69))
              |ACF-;allroots|)
             (EXIT
              (COND
               ((SPADCALL (SPADCALL |p| |alpha| (QREFELT $ 71)) (QREFELT $ 37))
                (SEQ G190
                 (COND
                  ((NULL
                    (SPADCALL (SPADCALL |p| |alpha| (QREFELT $ 71))
                     (QREFELT $ 37)))
                   (GO G191)))
                 (SEQ
                  (LETT |p|
                   (PROG2
                    (LETT #5# (SPADCALL |p| |q| (QREFELT $ 73))
                     |ACF-;allroots|)
                    (QCDR #5#)
                    (|check-union| (QEQCAR #5# 0)
                     (|SparseUnivariatePolynomial| (QREFELT $ 6)) #5#))
                   |ACF-;allroots|)
                  (EXIT (LETT |ans| (CONS |alpha| |ans|) |ACF-;allroots|)))
                 NIL (GO G190) G191 (EXIT NIL)))
               ('T
                (SEQ
                 (LETT |p| (SPADCALL |p| |q| (QREFELT $ 61)) |ACF-;allroots|)
                 (EXIT (LETT |ans| (CONS |alpha| |ans|) |ACF-;allroots|)))))))
            NIL (GO G190) G191 (EXIT NIL))
           (EXIT (NREVERSE |ans|))))))))))))) 

(DEFUN |AlgebraicallyClosedField&| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|AlgebraicallyClosedField&|))
    (LETT |dv$| (LIST '|AlgebraicallyClosedField&| DV$1) . #1#)
    (LETT $ (GETREFV 74) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) $)))) 

(MAKEPROP '|AlgebraicallyClosedField&| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|Symbol|) (0 . |new|)
     (|SparseUnivariatePolynomial| $) (4 . |zeroOf|) |ACF-;zeroOf;SupS;1|
     (10 . |rootOf|) |ACF-;rootOf;SupS;2| (|List| $) (16 . |zerosOf|)
     |ACF-;zerosOf;SupL;3| (22 . |rootsOf|) |ACF-;rootsOf;SupL;4|
     |ACF-;rootsOf;SupSL;5| |ACF-;zerosOf;SupSL;6| (|List| 7) (|Polynomial| 6)
     (28 . |variables|) (|SparseUnivariatePolynomial| 6) (33 . |univariate|)
     (|Polynomial| $) |ACF-;zeroOf;PS;8| |ACF-;rootOf;PS;9|
     |ACF-;zerosOf;PL;10| |ACF-;rootsOf;PL;11| (|NonNegativeInteger|)
     (38 . |degree|) (43 . |Zero|) (47 . |Zero|) (51 . |coefficient|)
     (|Boolean|) (57 . |zero?|) (62 . |leadingCoefficient|) (67 . |One|)
     (71 . |One|) (|PositiveInteger|) (75 . **) (81 . *) (87 . *) (93 . -)
     (99 . |sqrt|) (104 . /) (110 . |reductum|) (|Union| 6 '"failed")
     (115 . |retractIfCan|) (120 . -) (|Integer|) (125 . |nthRoot|)
     |ACF-;zeroOf;SupSS;12| (131 . |new|) (136 . |monomial|)
     (|NumberTheoreticPolynomialFunctions| 24) (142 . |cyclotomic|) (148 . **)
     (154 . |zero?|) (159 . |quo|) (|List| 24) (|PolynomialDecomposition| 24 6)
     (165 . |decompose|) (170 . |last|) (|Union| 24 '"failed")
     (175 . |leftFactor|) (181 . |coerce|) (186 . -) (192 . |ground?|)
     (197 . |elt|) (|Union| $ '"failed") (203 . |exquo|))
  '#(|zerosOf| 209 |zeroOf| 225 |rootsOf| 241 |rootOf| 257) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 73
      '(0 7 0 8 2 6 0 9 7 10 2 6 0 9 7 12 2 6 14 9 7 15 2 6 14 9 7 17 1 22 21 0
        23 1 22 24 0 25 1 24 31 0 32 0 6 0 33 0 24 0 34 2 24 6 0 31 35 1 6 36 0
        37 1 24 6 0 38 0 6 0 39 0 24 0 40 2 6 0 0 41 42 2 6 0 41 0 43 2 6 0 0 0
        44 2 6 0 0 0 45 1 6 0 0 46 2 6 0 0 0 47 1 24 0 0 48 1 24 49 0 50 1 6 0
        0 51 2 6 0 0 52 53 1 7 0 0 55 2 24 0 6 31 56 2 57 24 31 24 58 2 6 0 0
        31 59 1 24 36 0 60 2 24 0 0 0 61 1 63 62 24 64 1 62 24 0 65 2 63 66 24
        24 67 1 24 0 6 68 2 24 0 0 0 69 1 24 36 0 70 2 24 6 0 6 71 2 24 72 0 0
        73 2 0 14 9 7 20 1 0 14 26 29 1 0 14 9 16 2 0 0 9 7 54 1 0 0 26 27 1 0
        0 9 11 2 0 14 9 7 19 1 0 14 26 30 1 0 14 9 18 1 0 0 26 28 1 0 0 9
        13)))))
  '|lookupComplete|)) 
