
(/VERSIONCHECK 2) 

(DEFUN |ACPLOT;NFtoSF| (|x| $) (+ 0.0 (SPADCALL |x| (QREFELT $ 22)))) 

(DEFUN |ACPLOT;makePt| (|xx| |yy| $)
 (PROG (|l|)
  (RETURN
   (SPADCALL (LETT |l| (LIST |xx| |yy|) |ACPLOT;makePt|) (QREFELT $ 25))))) 

(DEFUN |ACPLOT;swapCoords| (|pt| $)
 (|ACPLOT;makePt| (SPADCALL |pt| (QREFELT $ 27)) (SPADCALL |pt| (QREFELT $ 28))
  $)) 

(DEFUN |ACPLOT;samePlottedPt?| (|p0| |p1| $)
 (PROG (|x0| |y0| |x1| |y1|)
  (RETURN
   (SEQ (LETT |x0| (SPADCALL |p0| (QREFELT $ 28)) |ACPLOT;samePlottedPt?|)
    (LETT |y0| (SPADCALL |p0| (QREFELT $ 27)) |ACPLOT;samePlottedPt?|)
    (LETT |x1| (SPADCALL |p1| (QREFELT $ 28)) |ACPLOT;samePlottedPt?|)
    (LETT |y1| (SPADCALL |p1| (QREFELT $ 27)) |ACPLOT;samePlottedPt?|)
    (EXIT
     (COND
      ((< (FLOAT-SIGN #1=1.0 (- |x1| |x0|)) (QREFELT $ 15))
       (< (FLOAT-SIGN #1# (- |y1| |y0|)) (QREFELT $ 15)))
      ('T 'NIL))))))) 

(DEFUN |ACPLOT;findPtOnList| (|pt| |pointList| $)
 (PROG (|point| #1=#:G3602 #2=#:G3601 #3=#:G3599)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |point| NIL |ACPLOT;findPtOnList|)
         (LETT #1# |pointList| |ACPLOT;findPtOnList|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |point| (CAR #1#) |ACPLOT;findPtOnList|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((|ACPLOT;samePlottedPt?| |pt| |point| $)
             (PROGN
              (LETT #3#
               (PROGN (LETT #2# (CONS 0 |point|) |ACPLOT;findPtOnList|)
                (GO #2#))
               |ACPLOT;findPtOnList|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |ACPLOT;findPtOnList|) (GO G190) G191 (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT (CONS 1 "failed"))))
    #2# (EXIT #2#))))) 

(PUT '|ACPLOT;makeCorners| '|SPADreplace| 'VECTOR) 

(DEFUN |ACPLOT;makeCorners| (|xMinSF| |xMaxSF| |yMinSF| |yMaxSF| $)
 (VECTOR |xMinSF| |xMaxSF| |yMinSF| |yMaxSF|)) 

(PUT '|ACPLOT;getXMin| '|SPADreplace| '(XLAM (|corners|) (QVELT |corners| 0))) 

(DEFUN |ACPLOT;getXMin| (|corners| $) (QVELT |corners| 0)) 

(PUT '|ACPLOT;getXMax| '|SPADreplace| '(XLAM (|corners|) (QVELT |corners| 1))) 

(DEFUN |ACPLOT;getXMax| (|corners| $) (QVELT |corners| 1)) 

(PUT '|ACPLOT;getYMin| '|SPADreplace| '(XLAM (|corners|) (QVELT |corners| 2))) 

(DEFUN |ACPLOT;getYMin| (|corners| $) (QVELT |corners| 2)) 

(PUT '|ACPLOT;getYMax| '|SPADreplace| '(XLAM (|corners|) (QVELT |corners| 3))) 

(DEFUN |ACPLOT;getYMax| (|corners| $) (QVELT |corners| 3)) 

(DEFUN |ACPLOT;SFPolyToUPoly| (|p| $)
 (COND ((SPADCALL |p| (QREFELT $ 31)) (|spadConstant| $ 33))
  ('T
   (SPADCALL
    (SPADCALL (SPADCALL |p| (QREFELT $ 34)) (SPADCALL |p| (QREFELT $ 36))
     (QREFELT $ 37))
    (|ACPLOT;SFPolyToUPoly| (SPADCALL |p| (QREFELT $ 38)) $) (QREFELT $ 39))))) 

(DEFUN |ACPLOT;RNPolyToUPoly| (|p| $)
 (COND ((SPADCALL |p| (QREFELT $ 41)) (|spadConstant| $ 43))
  ('T
   (SPADCALL
    (SPADCALL (SPADCALL |p| (QREFELT $ 45)) (SPADCALL |p| (QREFELT $ 46))
     (QREFELT $ 47))
    (|ACPLOT;RNPolyToUPoly| (SPADCALL |p| (QREFELT $ 48)) $) (QREFELT $ 49))))) 

(DEFUN |ACPLOT;coerceCoefsToSFs| (|p| $)
 (SPADCALL (ELT $ 50) |p| (QREFELT $ 54))) 

(DEFUN |ACPLOT;coerceCoefsToRNs| (|p| $)
 (SPADCALL (ELT $ 55) |p| (QREFELT $ 58))) 

(DEFUN |ACPLOT;RNtoSF| (|r| $) (SPADCALL |r| (QREFELT $ 59))) 

(DEFUN |ACPLOT;RNtoNF| (|r| $) (SPADCALL |r| (QREFELT $ 60))) 

(DEFUN |ACPLOT;SFtoNF| (|x| $) (SPADCALL |x| (QREFELT $ 61))) 

(DEFUN |ACPLOT;listPtsOnHorizBdry| (|pRN| |y| |y0| |xMinNF| |xMaxNF| $)
 (PROG (|ySF| |f| |roots| |root| #1=#:G3627 |pointList|)
  (RETURN
   (SEQ (LETT |pointList| NIL |ACPLOT;listPtsOnHorizBdry|)
    (LETT |ySF| (|ACPLOT;RNtoSF| |y0| $) |ACPLOT;listPtsOnHorizBdry|)
    (LETT |f| (SPADCALL |pRN| |y| |y0| (QREFELT $ 63))
     |ACPLOT;listPtsOnHorizBdry|)
    (LETT |roots| (SPADCALL |f| (QREFELT $ 12) (QREFELT $ 66))
     |ACPLOT;listPtsOnHorizBdry|)
    (SEQ (LETT |root| NIL |ACPLOT;listPtsOnHorizBdry|)
     (LETT #1# |roots| |ACPLOT;listPtsOnHorizBdry|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |root| (CAR #1#) |ACPLOT;listPtsOnHorizBdry|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((SPADCALL |xMinNF| |root| (QREFELT $ 67))
         (COND
          ((SPADCALL |root| |xMaxNF| (QREFELT $ 67))
           (LETT |pointList|
            (CONS (|ACPLOT;makePt| (|ACPLOT;NFtoSF| |root| $) |ySF| $)
             |pointList|)
            |ACPLOT;listPtsOnHorizBdry|)))))))
     (LETT #1# (CDR #1#) |ACPLOT;listPtsOnHorizBdry|) (GO G190) G191
     (EXIT NIL))
    (EXIT |pointList|))))) 

(DEFUN |ACPLOT;listPtsOnVertBdry| (|pRN| |x| |x0| |yMinNF| |yMaxNF| $)
 (PROG (|xSF| |f| |roots| |root| #1=#:G3631 |pointList|)
  (RETURN
   (SEQ (LETT |pointList| NIL |ACPLOT;listPtsOnVertBdry|)
    (LETT |xSF| (|ACPLOT;RNtoSF| |x0| $) |ACPLOT;listPtsOnVertBdry|)
    (LETT |f| (SPADCALL |pRN| |x| |x0| (QREFELT $ 63))
     |ACPLOT;listPtsOnVertBdry|)
    (LETT |roots| (SPADCALL |f| (QREFELT $ 12) (QREFELT $ 66))
     |ACPLOT;listPtsOnVertBdry|)
    (SEQ (LETT |root| NIL |ACPLOT;listPtsOnVertBdry|)
     (LETT #1# |roots| |ACPLOT;listPtsOnVertBdry|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |root| (CAR #1#) |ACPLOT;listPtsOnVertBdry|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((NULL (SPADCALL |root| |yMinNF| (QREFELT $ 67)))
         (COND
          ((NULL (SPADCALL |yMaxNF| |root| (QREFELT $ 67)))
           (LETT |pointList|
            (CONS (|ACPLOT;makePt| |xSF| (|ACPLOT;NFtoSF| |root| $) $)
             |pointList|)
            |ACPLOT;listPtsOnVertBdry|)))))))
     (LETT #1# (CDR #1#) |ACPLOT;listPtsOnVertBdry|) (GO G190) G191 (EXIT NIL))
    (EXIT |pointList|))))) 

(DEFUN |ACPLOT;listPtsInRect| (|points| |xMin| |xMax| |yMin| |yMax| $)
 (PROG (|point| #1=#:G3636 |xx| |yy| |pointList|)
  (RETURN
   (SEQ (LETT |pointList| NIL |ACPLOT;listPtsInRect|)
    (SEQ (LETT |point| NIL |ACPLOT;listPtsInRect|)
     (LETT #1# |points| |ACPLOT;listPtsInRect|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |point| (CAR #1#) |ACPLOT;listPtsInRect|) NIL))
       (GO G191)))
     (SEQ (LETT |xx| (|SPADfirst| |point|) |ACPLOT;listPtsInRect|)
      (LETT |yy| (SPADCALL |point| (QREFELT $ 68)) |ACPLOT;listPtsInRect|)
      (EXIT
       (COND
        ((NULL (SPADCALL |xx| |xMin| (QREFELT $ 67)))
         (COND
          ((NULL (SPADCALL |xMax| |xx| (QREFELT $ 67)))
           (COND
            ((NULL (SPADCALL |yy| |yMin| (QREFELT $ 67)))
             (COND
              ((NULL (SPADCALL |yMax| |yy| (QREFELT $ 67)))
               (LETT |pointList|
                (CONS
                 (|ACPLOT;makePt| (|ACPLOT;NFtoSF| |xx| $)
                  (|ACPLOT;NFtoSF| |yy| $) $)
                 |pointList|)
                |ACPLOT;listPtsInRect|)))))))))))
     (LETT #1# (CDR #1#) |ACPLOT;listPtsInRect|) (GO G190) G191 (EXIT NIL))
    (EXIT |pointList|))))) 

(DEFUN |ACPLOT;ptsSuchThat?| (|points| |pred| $)
 (PROG (|point| #1=#:G3641 #2=#:G3640)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |point| NIL |ACPLOT;ptsSuchThat?|)
       (LETT #1# |points| |ACPLOT;ptsSuchThat?|) G190
       (COND
        ((OR (ATOM #1#)
          (PROGN (LETT |point| (CAR #1#) |ACPLOT;ptsSuchThat?|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((SPADCALL |point| |pred|)
           (PROGN (LETT #2# 'T |ACPLOT;ptsSuchThat?|) (GO #2#))))))
       (LETT #1# (CDR #1#) |ACPLOT;ptsSuchThat?|) (GO G190) G191 (EXIT NIL))
      (EXIT 'NIL)))
    #2# (EXIT #2#))))) 

(DEFUN |ACPLOT;inRect?| (|point| |xMinNF| |xMaxNF| |yMinNF| |yMaxNF| $)
 (PROG (|xx| |yy|)
  (RETURN
   (SEQ (LETT |xx| (|SPADfirst| |point|) |ACPLOT;inRect?|)
    (LETT |yy| (SPADCALL |point| (QREFELT $ 68)) |ACPLOT;inRect?|)
    (EXIT
     (COND
      ((OR
        (OR
         (OR (SPADCALL |xx| |xMinNF| (QREFELT $ 67))
          (SPADCALL |xMaxNF| |xx| (QREFELT $ 67)))
         (SPADCALL |yy| |yMinNF| (QREFELT $ 67)))
        (SPADCALL |yMaxNF| |yy| (QREFELT $ 67)))
       'NIL)
      ('T 'T))))))) 

(DEFUN |ACPLOT;onHorzSeg?| (|point| |xMinNF| |xMaxNF| |yNF| $)
 (PROG (|xx| |yy|)
  (RETURN
   (SEQ (LETT |xx| (|SPADfirst| |point|) |ACPLOT;onHorzSeg?|)
    (LETT |yy| (SPADCALL |point| (QREFELT $ 68)) |ACPLOT;onHorzSeg?|)
    (EXIT
     (COND
      ((SPADCALL |yy| |yNF| (QREFELT $ 69))
       (COND
        ((OR (SPADCALL |xx| |xMinNF| (QREFELT $ 67))
          (SPADCALL |xMaxNF| |xx| (QREFELT $ 67)))
         'NIL)
        ('T 'T)))
      ('T 'NIL))))))) 

(DEFUN |ACPLOT;onVertSeg?| (|point| |yMinNF| |yMaxNF| |xNF| $)
 (PROG (|xx| |yy|)
  (RETURN
   (SEQ (LETT |xx| (|SPADfirst| |point|) |ACPLOT;onVertSeg?|)
    (LETT |yy| (SPADCALL |point| (QREFELT $ 68)) |ACPLOT;onVertSeg?|)
    (EXIT
     (COND
      ((SPADCALL |xx| |xNF| (QREFELT $ 69))
       (COND
        ((OR (SPADCALL |yy| |yMinNF| (QREFELT $ 67))
          (SPADCALL |yMaxNF| |yy| (QREFELT $ 67)))
         'NIL)
        ('T 'T)))
      ('T 'NIL))))))) 

(DEFUN |ACPLOT;newX|
 (|vtanPts| |singPts| |yMinNF| |yMaxNF| |xNF| |xRN| |horizInc| $)
 (PROG (|xNewNF| |xRtNF| |xLftNF| |foo| |goo|)
  (RETURN
   (SEQ
    (LETT |xNewNF|
     (SPADCALL |xNF| (|ACPLOT;RNtoNF| |horizInc| $) (QREFELT $ 70))
     |ACPLOT;newX|)
    (LETT |xRtNF| (SPADCALL |xNF| |xNewNF| (QREFELT $ 71)) |ACPLOT;newX|)
    (LETT |xLftNF| (SPADCALL |xNF| |xNewNF| (QREFELT $ 72)) |ACPLOT;newX|)
    (LETT |foo|
     (CONS #'|ACPLOT;newX!0| (VECTOR $ |yMaxNF| |yMinNF| |xRtNF| |xLftNF|))
     |ACPLOT;newX|)
    (EXIT
     (COND
      ((|ACPLOT;ptsSuchThat?| |singPts| |foo| $)
       (|ACPLOT;newX| |vtanPts| |singPts| |yMinNF| |yMaxNF| |xNF| |xRN|
        (SPADCALL |horizInc| (SPADCALL 2 (QREFELT $ 55)) (QREFELT $ 73)) $))
      ('T
       (SEQ
        (LETT |goo|
         (CONS #'|ACPLOT;newX!1| (VECTOR $ |xNewNF| |yMaxNF| |yMinNF|))
         |ACPLOT;newX|)
        (EXIT
         (COND
          ((|ACPLOT;ptsSuchThat?| |vtanPts| |goo| $)
           (|ACPLOT;newX| |vtanPts| |singPts| |yMinNF| |yMaxNF| |xNF| |xRN|
            (SPADCALL |horizInc| (SPADCALL 2 (QREFELT $ 55)) (QREFELT $ 73))
            $))
          ('T (SPADCALL |xRN| |horizInc| (QREFELT $ 74))))))))))))) 

(DEFUN |ACPLOT;newX!1| (|#1| $$)
 (|ACPLOT;onVertSeg?| |#1| (QREFELT $$ 3) (QREFELT $$ 2) (QREFELT $$ 1)
  (QREFELT $$ 0))) 

(DEFUN |ACPLOT;newX!0| (|#1| $$)
 (|ACPLOT;inRect?| |#1| (QREFELT $$ 4) (QREFELT $$ 3) (QREFELT $$ 2)
  (QREFELT $$ 1) (QREFELT $$ 0))) 

(DEFUN |ACPLOT;newY|
 (|htanPts| |singPts| |xMinNF| |xMaxNF| |yNF| |yRN| |vertInc| $)
 (PROG (|yNewNF| |yTopNF| |yBotNF| |foo| |goo|)
  (RETURN
   (SEQ
    (LETT |yNewNF|
     (SPADCALL |yNF| (|ACPLOT;RNtoNF| |vertInc| $) (QREFELT $ 70))
     |ACPLOT;newY|)
    (LETT |yTopNF| (SPADCALL |yNF| |yNewNF| (QREFELT $ 71)) |ACPLOT;newY|)
    (LETT |yBotNF| (SPADCALL |yNF| |yNewNF| (QREFELT $ 72)) |ACPLOT;newY|)
    (LETT |foo|
     (CONS #'|ACPLOT;newY!0| (VECTOR $ |yTopNF| |yBotNF| |xMaxNF| |xMinNF|))
     |ACPLOT;newY|)
    (EXIT
     (COND
      ((|ACPLOT;ptsSuchThat?| |singPts| |foo| $)
       (|ACPLOT;newY| |htanPts| |singPts| |xMinNF| |xMaxNF| |yNF| |yRN|
        (SPADCALL |vertInc| (SPADCALL 2 (QREFELT $ 55)) (QREFELT $ 73)) $))
      ('T
       (SEQ
        (LETT |goo|
         (CONS #'|ACPLOT;newY!1| (VECTOR $ |yNewNF| |xMaxNF| |xMinNF|))
         |ACPLOT;newY|)
        (EXIT
         (COND
          ((|ACPLOT;ptsSuchThat?| |htanPts| |goo| $)
           (|ACPLOT;newY| |htanPts| |singPts| |xMinNF| |xMaxNF| |yNF| |yRN|
            (SPADCALL |vertInc| (SPADCALL 2 (QREFELT $ 55)) (QREFELT $ 73)) $))
          ('T (SPADCALL |yRN| |vertInc| (QREFELT $ 74))))))))))))) 

(DEFUN |ACPLOT;newY!1| (|#1| $$)
 (|ACPLOT;onHorzSeg?| |#1| (QREFELT $$ 3) (QREFELT $$ 2) (QREFELT $$ 1)
  (QREFELT $$ 0))) 

(DEFUN |ACPLOT;newY!0| (|#1| $$)
 (|ACPLOT;inRect?| |#1| (QREFELT $$ 4) (QREFELT $$ 3) (QREFELT $$ 2)
  (QREFELT $$ 1) (QREFELT $$ 0))) 

(DEFUN |ACPLOT;makeSketch;P2S2S$;27| (|p| |x| |y| |xRange| |yRange| $)
 (PROG (|xMin| |xMax| |yMin| |yMax| |varList|)
  (RETURN
   (SEQ
    (LETT |xMin| (SPADCALL |xRange| (QREFELT $ 76))
     |ACPLOT;makeSketch;P2S2S$;27|)
    (LETT |xMax| (SPADCALL |xRange| (QREFELT $ 77))
     |ACPLOT;makeSketch;P2S2S$;27|)
    (LETT |yMin| (SPADCALL |yRange| (QREFELT $ 76))
     |ACPLOT;makeSketch;P2S2S$;27|)
    (LETT |yMax| (SPADCALL |yRange| (QREFELT $ 77))
     |ACPLOT;makeSketch;P2S2S$;27|)
    (EXIT
     (COND
      ((SPADCALL |xMin| |xMax| (QREFELT $ 78))
       (COND
        ((SPADCALL |yMin| |yMax| (QREFELT $ 78))
         (SEQ
          (LETT |varList| (SPADCALL |p| (QREFELT $ 80))
           |ACPLOT;makeSketch;P2S2S$;27|)
          (EXIT
           (COND
            ((< 2 (LENGTH |varList|))
             (|error| "makeSketch: polynomial in more than 2 variables"))
            ((EQL (LENGTH |varList|) 0)
             (|error| "makeSketch: constant polynomial"))
            ((EQL (LENGTH |varList|) 1)
             (SEQ
              (COND
               ((NULL (SPADCALL |x| |varList| (QREFELT $ 81)))
                (COND
                 ((NULL (SPADCALL |y| |varList| (QREFELT $ 81)))
                  (EXIT (|error| "makeSketch: bad variables"))))))
              (EXIT
               (|ACPLOT;makeOneVarSketch| |p| |x| |y| |xMin| |xMax| |yMin|
                |yMax| (|SPADfirst| |varList|) $))))
            ('T
             (SEQ
              (COND
               ((SPADCALL |x| |varList| (QREFELT $ 81))
                (COND
                 ((NULL (SPADCALL |y| |varList| (QREFELT $ 81)))
                  (EXIT (|error| #1="makeSketch: bad variables")))))
               ('T (EXIT (|error| #1#))))
              (EXIT
               (COND
                ((EQL (SPADCALL |p| (QREFELT $ 82)) 1)
                 (|ACPLOT;makeLineSketch| |p| |x| |y| |xMin| |xMax| |yMin|
                  |yMax| $))
                ((EQL (SPADCALL |p| |y| (QREFELT $ 83)) 1)
                 (|ACPLOT;makeRatFcnSketch| |p| |x| |y| |xMin| |xMax| |yMin|
                  |yMax| |y| $))
                ((EQL (SPADCALL |p| |x| (QREFELT $ 83)) 1)
                 (|ACPLOT;makeRatFcnSketch| |p| |x| |y| |xMin| |xMax| |yMin|
                  |yMax| |x| $))
                ('T
                 (|ACPLOT;makeGeneralSketch| |p| |x| |y| |xMin| |xMax| |yMin|
                  |yMax| $))))))))))
        ('T (|error| "makeSketch: bad range for second variable"))))
      ('T (|error| "makeSketch: bad range for first variable")))))))) 

(DEFUN |ACPLOT;makeOneVarSketch|
 (|p| |x| |y| |xMin| |xMax| |yMin| |yMax| |var| $)
 (PROG
  (|minVal| |maxVal| |htans| |vtans| |roots| |root| #1=#:G3681 |sketchRoots|
   |yMinSF| |yMaxSF| #2=#:G3682 |tp| |bt| |xMinSF| |xMaxSF| |rootSF| #3=#:G3683
   |pt1| |rt| |pt2| |lf| |branch| |bran|)
  (RETURN
   (SEQ
    (COND
     ((EQUAL |var| |x|)
      (SEQ (LETT |minVal| (|ACPLOT;RNtoNF| |xMin| $) |ACPLOT;makeOneVarSketch|)
       (EXIT
        (LETT |maxVal| (|ACPLOT;RNtoNF| |xMax| $) |ACPLOT;makeOneVarSketch|))))
     ('T
      (SEQ (LETT |minVal| (|ACPLOT;RNtoNF| |yMin| $) |ACPLOT;makeOneVarSketch|)
       (EXIT
        (LETT |maxVal| (|ACPLOT;RNtoNF| |yMax| $)
         |ACPLOT;makeOneVarSketch|)))))
    (LETT |lf| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |rt| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |bt| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |tp| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |htans| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |vtans| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |bran| NIL |ACPLOT;makeOneVarSketch|)
    (LETT |roots| (SPADCALL |p| (QREFELT $ 12) (QREFELT $ 85))
     |ACPLOT;makeOneVarSketch|)
    (LETT |sketchRoots| NIL |ACPLOT;makeOneVarSketch|)
    (SEQ (LETT |root| NIL |ACPLOT;makeOneVarSketch|)
     (LETT #1# |roots| |ACPLOT;makeOneVarSketch|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |root| (CAR #1#) |ACPLOT;makeOneVarSketch|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((NULL (SPADCALL |root| |minVal| (QREFELT $ 67)))
         (COND
          ((NULL (SPADCALL |maxVal| |root| (QREFELT $ 67)))
           (LETT |sketchRoots| (CONS (|ACPLOT;NFtoSF| |root| $) |sketchRoots|)
            |ACPLOT;makeOneVarSketch|)))))))
     (LETT #1# (CDR #1#) |ACPLOT;makeOneVarSketch|) (GO G190) G191 (EXIT NIL))
    (EXIT
     (COND
      ((NULL |sketchRoots|)
       (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax|
        (VECTOR |lf| |rt| |bt| |tp|) |htans| |vtans| |bran|))
      ('T
       (SEQ
        (COND
         ((EQUAL |var| |x|)
          (SEQ
           (LETT |yMinSF| (|ACPLOT;RNtoSF| |yMin| $) |ACPLOT;makeOneVarSketch|)
           (LETT |yMaxSF| (|ACPLOT;RNtoSF| |yMax| $) |ACPLOT;makeOneVarSketch|)
           (EXIT
            (SEQ (LETT |rootSF| NIL |ACPLOT;makeOneVarSketch|)
             (LETT #2# |sketchRoots| |ACPLOT;makeOneVarSketch|) G190
             (COND
              ((OR (ATOM #2#)
                (PROGN (LETT |rootSF| (CAR #2#) |ACPLOT;makeOneVarSketch|)
                 NIL))
               (GO G191)))
             (SEQ
              (LETT |tp|
               (CONS
                (LETT |pt1| (|ACPLOT;makePt| |rootSF| |yMaxSF| $)
                 |ACPLOT;makeOneVarSketch|)
                |tp|)
               |ACPLOT;makeOneVarSketch|)
              (LETT |bt|
               (CONS
                (LETT |pt2| (|ACPLOT;makePt| |rootSF| |yMinSF| $)
                 |ACPLOT;makeOneVarSketch|)
                |bt|)
               |ACPLOT;makeOneVarSketch|)
              (LETT |branch| (LIST |pt1| |pt2|) |ACPLOT;makeOneVarSketch|)
              (EXIT
               (LETT |bran| (CONS |branch| |bran|) |ACPLOT;makeOneVarSketch|)))
             (LETT #2# (CDR #2#) |ACPLOT;makeOneVarSketch|) (GO G190) G191
             (EXIT NIL)))))
         ('T
          (SEQ
           (LETT |xMinSF| (|ACPLOT;RNtoSF| |xMin| $) |ACPLOT;makeOneVarSketch|)
           (LETT |xMaxSF| (|ACPLOT;RNtoSF| |xMax| $) |ACPLOT;makeOneVarSketch|)
           (EXIT
            (SEQ (LETT |rootSF| NIL |ACPLOT;makeOneVarSketch|)
             (LETT #3# |sketchRoots| |ACPLOT;makeOneVarSketch|) G190
             (COND
              ((OR (ATOM #3#)
                (PROGN (LETT |rootSF| (CAR #3#) |ACPLOT;makeOneVarSketch|)
                 NIL))
               (GO G191)))
             (SEQ
              (LETT |rt|
               (CONS
                (LETT |pt1| (|ACPLOT;makePt| |xMaxSF| |rootSF| $)
                 |ACPLOT;makeOneVarSketch|)
                |rt|)
               |ACPLOT;makeOneVarSketch|)
              (LETT |lf|
               (CONS
                (LETT |pt2| (|ACPLOT;makePt| |xMinSF| |rootSF| $)
                 |ACPLOT;makeOneVarSketch|)
                |lf|)
               |ACPLOT;makeOneVarSketch|)
              (LETT |branch| (LIST |pt1| |pt2|) |ACPLOT;makeOneVarSketch|)
              (EXIT
               (LETT |bran| (CONS |branch| |bran|) |ACPLOT;makeOneVarSketch|)))
             (LETT #3# (CDR #3#) |ACPLOT;makeOneVarSketch|) (GO G190) G191
             (EXIT NIL))))))
        (EXIT
         (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax|
          (VECTOR |lf| |rt| |bt| |tp|) |htans| |vtans| |bran|)))))))))) 

(DEFUN |ACPLOT;makeLineSketch| (|p| |x| |y| |xMin| |xMax| |yMin| |yMax| $)
 (PROG
  (|xMinSF| |xMaxSF| |yMinSF| |yMaxSF| |a| |b| |c| |htans| |vtans| |xBottom|
   |xTop| |yLeft| |yRight| |bt| |tp| |lf| |pt| |rt| |branch| |bran|)
  (RETURN
   (SEQ (LETT |xMinSF| (|ACPLOT;RNtoSF| |xMin| $) |ACPLOT;makeLineSketch|)
    (LETT |xMaxSF| (|ACPLOT;RNtoSF| |xMax| $) |ACPLOT;makeLineSketch|)
    (LETT |yMinSF| (|ACPLOT;RNtoSF| |yMin| $) |ACPLOT;makeLineSketch|)
    (LETT |yMaxSF| (|ACPLOT;RNtoSF| |yMax| $) |ACPLOT;makeLineSketch|)
    (LETT |a|
     (FLOAT (SPADCALL (SPADCALL |p| |x| 1 (QREFELT $ 86)) (QREFELT $ 87))
      MOST-POSITIVE-DOUBLE-FLOAT)
     |ACPLOT;makeLineSketch|)
    (LETT |b|
     (FLOAT (SPADCALL (SPADCALL |p| |y| 1 (QREFELT $ 86)) (QREFELT $ 87))
      MOST-POSITIVE-DOUBLE-FLOAT)
     |ACPLOT;makeLineSketch|)
    (LETT |c|
     (FLOAT
      (SPADCALL
       (SPADCALL (SPADCALL |p| |x| 0 (QREFELT $ 86)) |y| 0 (QREFELT $ 86))
       (QREFELT $ 87))
      MOST-POSITIVE-DOUBLE-FLOAT)
     |ACPLOT;makeLineSketch|)
    (LETT |lf| NIL |ACPLOT;makeLineSketch|)
    (LETT |rt| NIL |ACPLOT;makeLineSketch|)
    (LETT |bt| NIL |ACPLOT;makeLineSketch|)
    (LETT |tp| NIL |ACPLOT;makeLineSketch|)
    (LETT |htans| NIL |ACPLOT;makeLineSketch|)
    (LETT |vtans| NIL |ACPLOT;makeLineSketch|)
    (LETT |branch| NIL |ACPLOT;makeLineSketch|)
    (LETT |bran| NIL |ACPLOT;makeLineSketch|)
    (LETT |xBottom| (/ (- (- (* |b| |yMinSF|)) |c|) |a|)
     |ACPLOT;makeLineSketch|)
    (LETT |xTop| (/ (- (- (* |b| |yMaxSF|)) |c|) |a|) |ACPLOT;makeLineSketch|)
    (LETT |yLeft| (/ (- (- (* |a| |xMinSF|)) |c|) |b|) |ACPLOT;makeLineSketch|)
    (LETT |yRight| (/ (- (- (* |a| |xMaxSF|)) |c|) |b|)
     |ACPLOT;makeLineSketch|)
    (COND
     ((< |xMinSF| |xBottom|)
      (COND
       ((< |xBottom| |xMaxSF|)
        (SEQ
         (LETT |bt|
          (CONS
           (LETT |pt| (|ACPLOT;makePt| |xBottom| |yMinSF| $)
            |ACPLOT;makeLineSketch|)
           |bt|)
          |ACPLOT;makeLineSketch|)
         (EXIT
          (LETT |branch| (CONS |pt| |branch|) |ACPLOT;makeLineSketch|)))))))
    (COND
     ((< |xMinSF| |xTop|)
      (COND
       ((< |xTop| |xMaxSF|)
        (SEQ
         (LETT |tp|
          (CONS
           (LETT |pt| (|ACPLOT;makePt| |xTop| |yMaxSF| $)
            |ACPLOT;makeLineSketch|)
           |tp|)
          |ACPLOT;makeLineSketch|)
         (EXIT
          (LETT |branch| (CONS |pt| |branch|) |ACPLOT;makeLineSketch|)))))))
    (COND
     ((NULL (< |yLeft| |yMinSF|))
      (COND
       ((NULL (< |yMaxSF| |yLeft|))
        (SEQ
         (LETT |lf|
          (CONS
           (LETT |pt| (|ACPLOT;makePt| |xMinSF| |yLeft| $)
            |ACPLOT;makeLineSketch|)
           |lf|)
          |ACPLOT;makeLineSketch|)
         (EXIT
          (LETT |branch| (CONS |pt| |branch|) |ACPLOT;makeLineSketch|)))))))
    (COND
     ((NULL (< |yRight| |yMinSF|))
      (COND
       ((NULL (< |yMaxSF| |yRight|))
        (SEQ
         (LETT |rt|
          (CONS
           (LETT |pt| (|ACPLOT;makePt| |xMaxSF| |yRight| $)
            |ACPLOT;makeLineSketch|)
           |rt|)
          |ACPLOT;makeLineSketch|)
         (EXIT
          (LETT |branch| (CONS |pt| |branch|) |ACPLOT;makeLineSketch|)))))))
    (LETT |bran| (CONS |branch| |bran|) |ACPLOT;makeLineSketch|)
    (EXIT
     (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax|
      (VECTOR |lf| |rt| |bt| |tp|) |htans| |vtans| |bran|)))))) 

(DEFUN |ACPLOT;singValBetween?| (|xCurrent| |xNext| |xSingList| $)
 (PROG (|xVal| #1=#:G3694 #2=#:G3693 #3=#:G3691)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |xVal| NIL |ACPLOT;singValBetween?|)
         (LETT #1# |xSingList| |ACPLOT;singValBetween?|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |xVal| (CAR #1#) |ACPLOT;singValBetween?|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((< |xCurrent| |xVal|)
             (COND
              ((< |xVal| |xNext|)
               (PROGN
                (LETT #3#
                 (PROGN (LETT #2# 'T |ACPLOT;singValBetween?|) (GO #2#))
                 |ACPLOT;singValBetween?|)
                (GO #3#))))))))
         (LETT #1# (CDR #1#) |ACPLOT;singValBetween?|) (GO G190) G191
         (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT 'NIL)))
    #2# (EXIT #2#))))) 

(DEFUN |ACPLOT;segmentInfo|
 (|f| |lo| |hi| |botList| |topList| |singList| |minSF| |maxSF| $)
 (PROG (|current| |currentFrom| |bot| |top| |nxt| |nextFrom| |val| #1=#:G3711)
  (RETURN
   (SEQ
    (EXIT
     (SEQ G190 NIL
      (SEQ
       (COND
        ((NULL |topList|)
         (COND
          ((NULL |botList|)
           (PROGN
            (LETT #1# (VECTOR (SPADCALL |lo| |hi| (QREFELT $ 89)) |hi| NIL NIL)
             |ACPLOT;segmentInfo|)
            (GO #1#)))
          ('T
           (SEQ (LETT |current| (|SPADfirst| |botList|) |ACPLOT;segmentInfo|)
            (LETT |botList| (CDR |botList|) |ACPLOT;segmentInfo|)
            (EXIT (LETT |currentFrom| (QREFELT $ 19) |ACPLOT;segmentInfo|))))))
        ((NULL |botList|)
         (SEQ (LETT |current| (|SPADfirst| |topList|) |ACPLOT;segmentInfo|)
          (LETT |topList| (CDR |topList|) |ACPLOT;segmentInfo|)
          (EXIT (LETT |currentFrom| (QREFELT $ 20) |ACPLOT;segmentInfo|))))
        ('T
         (SEQ (LETT |bot| (|SPADfirst| |botList|) |ACPLOT;segmentInfo|)
          (LETT |top| (|SPADfirst| |topList|) |ACPLOT;segmentInfo|)
          (EXIT
           (COND
            ((< |bot| |top|)
             (SEQ (LETT |current| |bot| |ACPLOT;segmentInfo|)
              (LETT |botList| (CDR |botList|) |ACPLOT;segmentInfo|)
              (EXIT (LETT |currentFrom| (QREFELT $ 19) |ACPLOT;segmentInfo|))))
            ('T
             (SEQ (LETT |current| |top| |ACPLOT;segmentInfo|)
              (LETT |topList| (CDR |topList|) |ACPLOT;segmentInfo|)
              (EXIT
               (LETT |currentFrom| (QREFELT $ 20) |ACPLOT;segmentInfo|)))))))))
       (COND
        ((NULL |topList|)
         (COND
          ((NULL |botList|)
           (PROGN
            (LETT #1# (VECTOR (SPADCALL |lo| |hi| (QREFELT $ 89)) |hi| NIL NIL)
             |ACPLOT;segmentInfo|)
            (GO #1#)))
          ('T
           (SEQ (LETT |nxt| (|SPADfirst| |botList|) |ACPLOT;segmentInfo|)
            (LETT |botList| (CDR |botList|) |ACPLOT;segmentInfo|)
            (EXIT (LETT |nextFrom| (QREFELT $ 19) |ACPLOT;segmentInfo|))))))
        ((NULL |botList|)
         (SEQ (LETT |nxt| (|SPADfirst| |topList|) |ACPLOT;segmentInfo|)
          (LETT |topList| (CDR |topList|) |ACPLOT;segmentInfo|)
          (EXIT (LETT |nextFrom| (QREFELT $ 20) |ACPLOT;segmentInfo|))))
        ('T
         (SEQ (LETT |bot| (|SPADfirst| |botList|) |ACPLOT;segmentInfo|)
          (LETT |top| (|SPADfirst| |topList|) |ACPLOT;segmentInfo|)
          (EXIT
           (COND
            ((< |bot| |top|)
             (SEQ (LETT |nxt| |bot| |ACPLOT;segmentInfo|)
              (LETT |botList| (CDR |botList|) |ACPLOT;segmentInfo|)
              (EXIT (LETT |nextFrom| (QREFELT $ 19) |ACPLOT;segmentInfo|))))
            ('T
             (SEQ (LETT |nxt| |top| |ACPLOT;segmentInfo|)
              (LETT |topList| (CDR |topList|) |ACPLOT;segmentInfo|)
              (EXIT
               (LETT |nextFrom| (QREFELT $ 20) |ACPLOT;segmentInfo|)))))))))
       (EXIT
        (COND
         ((EQUAL |currentFrom| |nextFrom|)
          (COND
           ((|ACPLOT;singValBetween?| |current| |nxt| |singList| $)
            (PROGN
             (LETT #1#
              (VECTOR (SPADCALL |lo| |current| (QREFELT $ 89)) |nxt| |botList|
               |topList|)
              |ACPLOT;segmentInfo|)
             (GO #1#)))
           ('T
            (SEQ
             (LETT |val|
              (SPADCALL
               (/ (- |nxt| |current|) (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
               |f|)
              |ACPLOT;segmentInfo|)
             (EXIT
              (COND
               ((< |minSF| |val|)
                (COND
                 ((NULL (< |val| |maxSF|))
                  (PROGN
                   (LETT #1#
                    (VECTOR (SPADCALL |lo| |current| (QREFELT $ 89)) |nxt|
                     |botList| |topList|)
                    |ACPLOT;segmentInfo|)
                   (GO #1#)))))
               ('T
                (PROGN
                 (LETT #1#
                  (VECTOR (SPADCALL |lo| |current| (QREFELT $ 89)) |nxt|
                   |botList| |topList|)
                  |ACPLOT;segmentInfo|)
                 (GO #1#)))))))))
         ((|ACPLOT;singValBetween?| |current| |nxt| |singList| $)
          (PROGN
           (LETT #1#
            (VECTOR (SPADCALL |lo| |current| (QREFELT $ 89)) |nxt| |botList|
             |topList|)
            |ACPLOT;segmentInfo|)
           (GO #1#))))))
      NIL (GO G190) G191 (EXIT NIL)))
    #1# (EXIT #1#))))) 

(DEFUN |ACPLOT;makeRatFcnSketch|
 (|p| |x| |y| |xMin| |xMax| |yMin| |yMax| |depVar| $)
 (PROG
  (|factoredP| |dpdx| |dpdy| |pRN| |xMinSF| |xMaxSF| |yMinSF| |yMaxSF| |xMinNF|
   |xMaxNF| |yMinNF| |yMaxNF| |num| |den| |numUPolySF| |denUPolySF| |f|
   |indVarMin| |indVarMax| |indVarMinNF| |indVarMaxNF| |indVarMinSF|
   |indVarMaxSF| |depVarMin| |depVarMax| |depVarMinSF| |depVarMaxSF| |htanPts|
   |vtanPts| |htans| |vtans| #1=#:G3760 |singList| #2=#:G3761 |roots| |root|
   #3=#:G3762 |outList| |denUPolyRN| |leftVal| |rightVal| #4=#:G3763 #5=#:G3764
   |lf| |rt| #6=#:G3765 |bt| |val| #7=#:G3766 |tp| #8=#:G3759 |bot| |top| |hi|
   |minSF| |maxSF| |segInfo| |segList| |lo| |botList| |topList| #9=#:G3752
   |segment| #10=#:G3767 |RFPlot| |curve| |bran|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |factoredP| (SPADCALL |p| (QREFELT $ 91))
       |ACPLOT;makeRatFcnSketch|)
      (EXIT
       (COND
        ((< 1 (SPADCALL |factoredP| (QREFELT $ 92)))
         (|error| "reducible polynomial"))
        ('T
         (SEQ
          (LETT |dpdx| (SPADCALL |p| |x| (QREFELT $ 93))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |dpdy| (SPADCALL |p| |y| (QREFELT $ 93))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |pRN| (|ACPLOT;coerceCoefsToRNs| |p| $)
           |ACPLOT;makeRatFcnSketch|)
          (LETT |xMinSF| (|ACPLOT;RNtoSF| |xMin| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |xMaxSF| (|ACPLOT;RNtoSF| |xMax| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |yMinSF| (|ACPLOT;RNtoSF| |yMin| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |yMaxSF| (|ACPLOT;RNtoSF| |yMax| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |xMinNF| (|ACPLOT;RNtoNF| |xMin| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |xMaxNF| (|ACPLOT;RNtoNF| |xMax| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |yMinNF| (|ACPLOT;RNtoNF| |yMin| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |yMaxNF| (|ACPLOT;RNtoNF| |yMax| $) |ACPLOT;makeRatFcnSketch|)
          (LETT |num|
           (SPADCALL (SPADCALL |p| |depVar| 0 (QREFELT $ 86)) (QREFELT $ 94))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |den| (SPADCALL |p| |depVar| 1 (QREFELT $ 86))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |numUPolySF|
           (|ACPLOT;SFPolyToUPoly| (|ACPLOT;coerceCoefsToSFs| |num| $) $)
           |ACPLOT;makeRatFcnSketch|)
          (LETT |denUPolySF|
           (|ACPLOT;SFPolyToUPoly| (|ACPLOT;coerceCoefsToSFs| |den| $) $)
           |ACPLOT;makeRatFcnSketch|)
          (LETT |f|
           (CONS #'|ACPLOT;makeRatFcnSketch!0|
            (VECTOR |denUPolySF| $ |numUPolySF|))
           |ACPLOT;makeRatFcnSketch|)
          (COND
           ((EQUAL |depVar| |x|)
            (SEQ (LETT |indVarMin| |yMin| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMax| |yMax| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMinNF| |yMinNF| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMaxNF| |yMaxNF| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMinSF| |yMinSF| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMaxSF| |yMaxSF| |ACPLOT;makeRatFcnSketch|)
             (LETT |depVarMin| |xMin| |ACPLOT;makeRatFcnSketch|)
             (LETT |depVarMax| |xMax| |ACPLOT;makeRatFcnSketch|)
             (LETT |depVarMinSF| |xMinSF| |ACPLOT;makeRatFcnSketch|)
             (EXIT (LETT |depVarMaxSF| |xMaxSF| |ACPLOT;makeRatFcnSketch|))))
           ('T
            (SEQ (LETT |indVarMin| |xMin| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMax| |xMax| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMinNF| |xMinNF| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMaxNF| |xMaxNF| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMinSF| |xMinSF| |ACPLOT;makeRatFcnSketch|)
             (LETT |indVarMaxSF| |xMaxSF| |ACPLOT;makeRatFcnSketch|)
             (LETT |depVarMin| |yMin| |ACPLOT;makeRatFcnSketch|)
             (LETT |depVarMax| |yMax| |ACPLOT;makeRatFcnSketch|)
             (LETT |depVarMinSF| |yMinSF| |ACPLOT;makeRatFcnSketch|)
             (EXIT (LETT |depVarMaxSF| |yMaxSF| |ACPLOT;makeRatFcnSketch|)))))
          (LETT |htanPts|
           (SPADCALL (LIST |p| |dpdx|) (LIST |x| |y|) (QREFELT $ 12)
            (QREFELT $ 99))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |vtanPts|
           (SPADCALL (LIST |p| |dpdy|) (LIST |x| |y|) (QREFELT $ 12)
            (QREFELT $ 99))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |htans|
           (|ACPLOT;listPtsInRect| |htanPts| |xMinNF| |xMaxNF| |yMinNF|
            |yMaxNF| $)
           |ACPLOT;makeRatFcnSketch|)
          (LETT |vtans|
           (|ACPLOT;listPtsInRect| |vtanPts| |xMinNF| |xMaxNF| |yMinNF|
            |yMaxNF| $)
           |ACPLOT;makeRatFcnSketch|)
          (LETT |lf| NIL |ACPLOT;makeRatFcnSketch|)
          (LETT |rt| NIL |ACPLOT;makeRatFcnSketch|)
          (LETT |bt| NIL |ACPLOT;makeRatFcnSketch|)
          (LETT |tp| NIL |ACPLOT;makeRatFcnSketch|)
          (LETT |singList|
           (SEQ
            (LETT |roots| (SPADCALL |den| (QREFELT $ 12) (QREFELT $ 85))
             |ACPLOT;makeRatFcnSketch|)
            (LETT |outList| NIL |ACPLOT;makeRatFcnSketch|)
            (SEQ (LETT |root| NIL |ACPLOT;makeRatFcnSketch|)
             (LETT #1# |roots| |ACPLOT;makeRatFcnSketch|) G190
             (COND
              ((OR (ATOM #1#)
                (PROGN (LETT |root| (CAR #1#) |ACPLOT;makeRatFcnSketch|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((SPADCALL |indVarMinNF| |root| (QREFELT $ 67))
                 (COND
                  ((SPADCALL |root| |indVarMaxNF| (QREFELT $ 67))
                   (LETT |outList| (CONS (|ACPLOT;NFtoSF| |root| $) |outList|)
                    |ACPLOT;makeRatFcnSketch|)))))))
             (LETT #1# (CDR #1#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
             (EXIT NIL))
            (EXIT
             (SPADCALL (CONS #'|ACPLOT;makeRatFcnSketch!1| $) |outList|
              (QREFELT $ 102))))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |topList|
           (SEQ
            (LETT |roots|
             (SPADCALL (SPADCALL |pRN| |depVar| |depVarMax| (QREFELT $ 63))
              (QREFELT $ 12) (QREFELT $ 66))
             |ACPLOT;makeRatFcnSketch|)
            (LETT |outList| NIL |ACPLOT;makeRatFcnSketch|)
            (SEQ (LETT |root| NIL |ACPLOT;makeRatFcnSketch|)
             (LETT #2# |roots| |ACPLOT;makeRatFcnSketch|) G190
             (COND
              ((OR (ATOM #2#)
                (PROGN (LETT |root| (CAR #2#) |ACPLOT;makeRatFcnSketch|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((SPADCALL |indVarMinNF| |root| (QREFELT $ 67))
                 (COND
                  ((SPADCALL |root| |indVarMaxNF| (QREFELT $ 67))
                   (LETT |outList| (CONS (|ACPLOT;NFtoSF| |root| $) |outList|)
                    |ACPLOT;makeRatFcnSketch|)))))))
             (LETT #2# (CDR #2#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
             (EXIT NIL))
            (EXIT
             (SPADCALL (CONS #'|ACPLOT;makeRatFcnSketch!2| $) |outList|
              (QREFELT $ 102))))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |botList|
           (SEQ
            (LETT |roots|
             (SPADCALL (SPADCALL |pRN| |depVar| |depVarMin| (QREFELT $ 63))
              (QREFELT $ 12) (QREFELT $ 66))
             |ACPLOT;makeRatFcnSketch|)
            (LETT |outList| NIL |ACPLOT;makeRatFcnSketch|)
            (SEQ (LETT |root| NIL |ACPLOT;makeRatFcnSketch|)
             (LETT #3# |roots| |ACPLOT;makeRatFcnSketch|) G190
             (COND
              ((OR (ATOM #3#)
                (PROGN (LETT |root| (CAR #3#) |ACPLOT;makeRatFcnSketch|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((SPADCALL |indVarMinNF| |root| (QREFELT $ 67))
                 (COND
                  ((SPADCALL |root| |indVarMaxNF| (QREFELT $ 67))
                   (LETT |outList| (CONS (|ACPLOT;NFtoSF| |root| $) |outList|)
                    |ACPLOT;makeRatFcnSketch|)))))))
             (LETT #3# (CDR #3#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
             (EXIT NIL))
            (EXIT
             (SPADCALL (CONS #'|ACPLOT;makeRatFcnSketch!3| $) |outList|
              (QREFELT $ 102))))
           |ACPLOT;makeRatFcnSketch|)
          (LETT |denUPolyRN|
           (|ACPLOT;RNPolyToUPoly| (|ACPLOT;coerceCoefsToRNs| |den| $) $)
           |ACPLOT;makeRatFcnSketch|)
          (COND
           ((SPADCALL (SPADCALL |denUPolyRN| |indVarMin| (QREFELT $ 103))
             (|spadConstant| $ 104) (QREFELT $ 105))
            (LETT |leftVal|
             (- |depVarMinSF| (+ (FLOAT-SIGN #11=1.0 |depVarMinSF|) #12=1.0))
             |ACPLOT;makeRatFcnSketch|))
           ('T
            (LETT |leftVal| (SPADCALL |indVarMinSF| |f|)
             |ACPLOT;makeRatFcnSketch|)))
          (COND
           ((SPADCALL (SPADCALL |denUPolyRN| |indVarMax| (QREFELT $ 103))
             (|spadConstant| $ 104) (QREFELT $ 105))
            (LETT |rightVal|
             (- |depVarMinSF| (+ (FLOAT-SIGN #11# |depVarMinSF|) #12#))
             |ACPLOT;makeRatFcnSketch|))
           ('T
            (LETT |rightVal| (SPADCALL |indVarMaxSF| |f|)
             |ACPLOT;makeRatFcnSketch|)))
          (COND
           ((EQUAL |depVar| |x|)
            (SEQ
             (COND
              ((< |xMinSF| |leftVal|)
               (COND
                ((< |leftVal| |xMaxSF|)
                 (LETT |bt| (CONS (|ACPLOT;makePt| |leftVal| |yMinSF| $) |bt|)
                  |ACPLOT;makeRatFcnSketch|)))))
             (COND
              ((< |xMinSF| |rightVal|)
               (COND
                ((< |rightVal| |xMaxSF|)
                 (LETT |tp| (CONS (|ACPLOT;makePt| |rightVal| |yMaxSF| $) |tp|)
                  |ACPLOT;makeRatFcnSketch|)))))
             (SEQ (LETT |val| NIL |ACPLOT;makeRatFcnSketch|)
              (LETT #4# |botList| |ACPLOT;makeRatFcnSketch|) G190
              (COND
               ((OR (ATOM #4#)
                 (PROGN (LETT |val| (CAR #4#) |ACPLOT;makeRatFcnSketch|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT |lf| (CONS (|ACPLOT;makePt| |xMinSF| |val| $) |lf|)
                 |ACPLOT;makeRatFcnSketch|)))
              (LETT #4# (CDR #4#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
              (EXIT NIL))
             (EXIT
              (SEQ (LETT |val| NIL |ACPLOT;makeRatFcnSketch|)
               (LETT #5# |topList| |ACPLOT;makeRatFcnSketch|) G190
               (COND
                ((OR (ATOM #5#)
                  (PROGN (LETT |val| (CAR #5#) |ACPLOT;makeRatFcnSketch|) NIL))
                 (GO G191)))
               (SEQ
                (EXIT
                 (LETT |rt| (CONS (|ACPLOT;makePt| |xMaxSF| |val| $) |rt|)
                  |ACPLOT;makeRatFcnSketch|)))
               (LETT #5# (CDR #5#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
               (EXIT NIL)))))
           ('T
            (SEQ
             (COND
              ((< |yMinSF| |leftVal|)
               (COND
                ((< |leftVal| |yMaxSF|)
                 (LETT |lf| (CONS (|ACPLOT;makePt| |xMinSF| |leftVal| $) |lf|)
                  |ACPLOT;makeRatFcnSketch|)))))
             (COND
              ((< |yMinSF| |rightVal|)
               (COND
                ((< |rightVal| |yMaxSF|)
                 (LETT |rt| (CONS (|ACPLOT;makePt| |xMaxSF| |rightVal| $) |rt|)
                  |ACPLOT;makeRatFcnSketch|)))))
             (SEQ (LETT |val| NIL |ACPLOT;makeRatFcnSketch|)
              (LETT #6# |botList| |ACPLOT;makeRatFcnSketch|) G190
              (COND
               ((OR (ATOM #6#)
                 (PROGN (LETT |val| (CAR #6#) |ACPLOT;makeRatFcnSketch|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT |bt| (CONS (|ACPLOT;makePt| |val| |yMinSF| $) |bt|)
                 |ACPLOT;makeRatFcnSketch|)))
              (LETT #6# (CDR #6#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
              (EXIT NIL))
             (EXIT
              (SEQ (LETT |val| NIL |ACPLOT;makeRatFcnSketch|)
               (LETT #7# |topList| |ACPLOT;makeRatFcnSketch|) G190
               (COND
                ((OR (ATOM #7#)
                  (PROGN (LETT |val| (CAR #7#) |ACPLOT;makeRatFcnSketch|) NIL))
                 (GO G191)))
               (SEQ
                (EXIT
                 (LETT |tp| (CONS (|ACPLOT;makePt| |val| |yMaxSF| $) |tp|)
                  |ACPLOT;makeRatFcnSketch|)))
               (LETT #7# (CDR #7#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
               (EXIT NIL))))))
          (LETT |bran| NIL |ACPLOT;makeRatFcnSketch|)
          (COND
           ((< |depVarMinSF| |leftVal|)
            (COND
             ((< |leftVal| |depVarMaxSF|)
              (LETT |lo| |indVarMinSF| |ACPLOT;makeRatFcnSketch|))
             ((NULL |topList|)
              (COND
               ((NULL |botList|)
                (PROGN
                 (LETT #8#
                  (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax|
                   (VECTOR |lf| |rt| |bt| |tp|) |htans| |vtans| |bran|)
                  |ACPLOT;makeRatFcnSketch|)
                 (GO #8#)))
               ('T
                (SEQ
                 (LETT |lo| (|SPADfirst| |botList|) |ACPLOT;makeRatFcnSketch|)
                 (EXIT
                  (LETT |botList| (CDR |botList|)
                   |ACPLOT;makeRatFcnSketch|))))))
             ((NULL |botList|)
              (SEQ
               (LETT |lo| (|SPADfirst| |topList|) |ACPLOT;makeRatFcnSketch|)
               (EXIT
                (LETT |topList| (CDR |topList|) |ACPLOT;makeRatFcnSketch|))))
             ('T
              (SEQ
               (LETT |bot| (|SPADfirst| |botList|) |ACPLOT;makeRatFcnSketch|)
               (LETT |top| (|SPADfirst| |topList|) |ACPLOT;makeRatFcnSketch|)
               (EXIT
                (COND
                 ((< |bot| |top|)
                  (SEQ (LETT |lo| |bot| |ACPLOT;makeRatFcnSketch|)
                   (EXIT
                    (LETT |botList| (CDR |botList|)
                     |ACPLOT;makeRatFcnSketch|))))
                 ('T
                  (SEQ (LETT |lo| |top| |ACPLOT;makeRatFcnSketch|)
                   (EXIT
                    (LETT |topList| (CDR |topList|)
                     |ACPLOT;makeRatFcnSketch|))))))))))
           ((NULL |topList|)
            (COND
             ((NULL |botList|)
              (PROGN
               (LETT #8#
                (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax|
                 (VECTOR |lf| |rt| |bt| |tp|) |htans| |vtans| |bran|)
                |ACPLOT;makeRatFcnSketch|)
               (GO #8#)))
             ('T
              (SEQ
               (LETT |lo| (|SPADfirst| |botList|) |ACPLOT;makeRatFcnSketch|)
               (EXIT
                (LETT |botList| (CDR |botList|) |ACPLOT;makeRatFcnSketch|))))))
           ((NULL |botList|)
            (SEQ (LETT |lo| (|SPADfirst| |topList|) |ACPLOT;makeRatFcnSketch|)
             (EXIT
              (LETT |topList| (CDR |topList|) |ACPLOT;makeRatFcnSketch|))))
           ('T
            (SEQ (LETT |bot| (|SPADfirst| |botList|) |ACPLOT;makeRatFcnSketch|)
             (LETT |top| (|SPADfirst| |topList|) |ACPLOT;makeRatFcnSketch|)
             (EXIT
              (COND
               ((< |bot| |top|)
                (SEQ (LETT |lo| |bot| |ACPLOT;makeRatFcnSketch|)
                 (EXIT
                  (LETT |botList| (CDR |botList|) |ACPLOT;makeRatFcnSketch|))))
               ('T
                (SEQ (LETT |lo| |top| |ACPLOT;makeRatFcnSketch|)
                 (EXIT
                  (LETT |topList| (CDR |topList|)
                   |ACPLOT;makeRatFcnSketch|)))))))))
          (LETT |hi| 0.0 |ACPLOT;makeRatFcnSketch|)
          (COND
           ((< |depVarMinSF| |rightVal|)
            (COND
             ((< |rightVal| |depVarMaxSF|)
              (LETT |hi| |indVarMaxSF| |ACPLOT;makeRatFcnSketch|))
             ((NULL |topList|)
              (COND
               ((NULL |botList|) (|error| #13="makeRatFcnSketch: plot domain"))
               ('T
                (SEQ
                 (LETT |hi| (SPADCALL |botList| (QREFELT $ 106))
                  |ACPLOT;makeRatFcnSketch|)
                 (EXIT
                  (LETT |botList| (SPADCALL |hi| |botList| (QREFELT $ 107))
                   |ACPLOT;makeRatFcnSketch|))))))
             ((NULL |botList|)
              (SEQ
               (LETT |hi| (SPADCALL |topList| (QREFELT $ 106))
                |ACPLOT;makeRatFcnSketch|)
               (EXIT
                (LETT |topList| (SPADCALL |hi| |topList| (QREFELT $ 107))
                 |ACPLOT;makeRatFcnSketch|))))
             ('T
              (SEQ
               (LETT |bot| (SPADCALL |botList| (QREFELT $ 106))
                |ACPLOT;makeRatFcnSketch|)
               (LETT |top| (SPADCALL |topList| (QREFELT $ 106))
                |ACPLOT;makeRatFcnSketch|)
               (EXIT
                (COND
                 ((< |top| |bot|)
                  (SEQ (LETT |hi| |bot| |ACPLOT;makeRatFcnSketch|)
                   (EXIT
                    (LETT |botList| (SPADCALL |hi| |botList| (QREFELT $ 107))
                     |ACPLOT;makeRatFcnSketch|))))
                 ('T
                  (SEQ (LETT |hi| |top| |ACPLOT;makeRatFcnSketch|)
                   (EXIT
                    (LETT |topList| (SPADCALL |hi| |topList| (QREFELT $ 107))
                     |ACPLOT;makeRatFcnSketch|))))))))))
           ((NULL |topList|)
            (COND ((NULL |botList|) (|error| #13#))
             ('T
              (SEQ
               (LETT |hi| (SPADCALL |botList| (QREFELT $ 106))
                |ACPLOT;makeRatFcnSketch|)
               (EXIT
                (LETT |botList| (SPADCALL |hi| |botList| (QREFELT $ 107))
                 |ACPLOT;makeRatFcnSketch|))))))
           ((NULL |botList|)
            (SEQ
             (LETT |hi| (SPADCALL |topList| (QREFELT $ 106))
              |ACPLOT;makeRatFcnSketch|)
             (EXIT
              (LETT |topList| (SPADCALL |hi| |topList| (QREFELT $ 107))
               |ACPLOT;makeRatFcnSketch|))))
           ('T
            (SEQ
             (LETT |bot| (SPADCALL |botList| (QREFELT $ 106))
              |ACPLOT;makeRatFcnSketch|)
             (LETT |top| (SPADCALL |topList| (QREFELT $ 106))
              |ACPLOT;makeRatFcnSketch|)
             (EXIT
              (COND
               ((< |top| |bot|)
                (SEQ (LETT |hi| |bot| |ACPLOT;makeRatFcnSketch|)
                 (EXIT
                  (LETT |botList| (SPADCALL |hi| |botList| (QREFELT $ 107))
                   |ACPLOT;makeRatFcnSketch|))))
               ('T
                (SEQ (LETT |hi| |top| |ACPLOT;makeRatFcnSketch|)
                 (EXIT
                  (LETT |topList| (SPADCALL |hi| |topList| (QREFELT $ 107))
                   |ACPLOT;makeRatFcnSketch|)))))))))
          (COND
           ((EQUAL |depVar| |x|)
            (SEQ (LETT |minSF| |xMinSF| |ACPLOT;makeRatFcnSketch|)
             (EXIT (LETT |maxSF| |xMaxSF| |ACPLOT;makeRatFcnSketch|))))
           ('T
            (SEQ (LETT |minSF| |yMinSF| |ACPLOT;makeRatFcnSketch|)
             (EXIT (LETT |maxSF| |yMaxSF| |ACPLOT;makeRatFcnSketch|)))))
          (LETT |segList| NIL |ACPLOT;makeRatFcnSketch|)
          (SEQ
           (EXIT
            (SEQ G190 NIL
             (SEQ
              (LETT |segInfo|
               (|ACPLOT;segmentInfo| |f| |lo| |hi| |botList| |topList|
                |singList| |minSF| |maxSF| $)
               |ACPLOT;makeRatFcnSketch|)
              (LETT |segList| (CONS (QVELT |segInfo| 0) |segList|)
               |ACPLOT;makeRatFcnSketch|)
              (LETT |lo| (QVELT |segInfo| 1) |ACPLOT;makeRatFcnSketch|)
              (LETT |botList| (QVELT |segInfo| 2) |ACPLOT;makeRatFcnSketch|)
              (LETT |topList| (QVELT |segInfo| 3) |ACPLOT;makeRatFcnSketch|)
              (EXIT
               (COND
                ((= |lo| |hi|)
                 (PROGN (LETT #9# |$NoValue| |ACPLOT;makeRatFcnSketch|)
                  (GO #9#))))))
             NIL (GO G190) G191 (EXIT NIL)))
           #9# (EXIT #9#))
          (SEQ (LETT |segment| NIL |ACPLOT;makeRatFcnSketch|)
           (LETT #10# |segList| |ACPLOT;makeRatFcnSketch|) G190
           (COND
            ((OR (ATOM #10#)
              (PROGN (LETT |segment| (CAR #10#) |ACPLOT;makeRatFcnSketch|)
               NIL))
             (GO G191)))
           (SEQ
            (LETT |RFPlot| (SPADCALL |f| |segment| (QREFELT $ 110))
             |ACPLOT;makeRatFcnSketch|)
            (LETT |curve| (|SPADfirst| (SPADCALL |RFPlot| (QREFELT $ 112)))
             |ACPLOT;makeRatFcnSketch|)
            (EXIT
             (COND
              ((EQUAL |depVar| |y|)
               (LETT |bran| (CONS |curve| |bran|) |ACPLOT;makeRatFcnSketch|))
              ('T
               (LETT |bran|
                (CONS
                 (SPADCALL (CONS (|function| |ACPLOT;swapCoords|) $) |curve|
                  (QREFELT $ 115))
                 |bran|)
                |ACPLOT;makeRatFcnSketch|)))))
           (LETT #10# (CDR #10#) |ACPLOT;makeRatFcnSketch|) (GO G190) G191
           (EXIT NIL))
          (EXIT
           (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax|
            (VECTOR |lf| |rt| |bt| |tp|) |htans| |vtans| |bran|))))))))
    #8# (EXIT #8#))))) 

(DEFUN |ACPLOT;makeRatFcnSketch!3| (|#1| |#2| $)
 (SPADCALL |#1| |#2| (QREFELT $ 100))) 

(DEFUN |ACPLOT;makeRatFcnSketch!2| (|#1| |#2| $)
 (SPADCALL |#1| |#2| (QREFELT $ 100))) 

(DEFUN |ACPLOT;makeRatFcnSketch!1| (|#1| |#2| $)
 (SPADCALL |#1| |#2| (QREFELT $ 100))) 

(DEFUN |ACPLOT;makeRatFcnSketch!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 1) |ACPLOT;makeRatFcnSketch|)
  (RETURN
   (PROGN
    (SPADCALL (SPADCALL (QREFELT $$ 2) |#1| (QREFELT $ 95))
     (SPADCALL (QREFELT $$ 0) |#1| (QREFELT $ 95)) (QREFELT $ 96)))))) 

(DEFUN |ACPLOT;makeGeneralSketch| (|pol| |x| |y| |xMin| |xMax| |yMin| |yMax| $)
 (PROG
  (|factoredPol| |p| |dpdx| |dpdy| |singPts| |htanPts| |vtanPts| |critPts|
   |hInc| |vInc| |xMinNF| |xMaxNF| |yMinNF| |foo| |yMaxNF| |htans| |vtans|
   |crits| |xMinSF| |xMaxSF| |yMinSF| |yMaxSF| |corners| |pSF| |dpdxSF|
   |dpdySF| |delta| |err| |bound| |pRN| |lf| |rt| |bt| |tp| |bdPts| |bran|)
  (RETURN
   (SEQ
    (LETT |factoredPol| (SPADCALL |pol| (QREFELT $ 91))
     |ACPLOT;makeGeneralSketch|)
    (EXIT
     (COND
      ((< 1 (SPADCALL |factoredPol| (QREFELT $ 92)))
       (|error| "reducible polynomial"))
      ('T
       (SEQ
        (LETT |p| (SPADCALL |factoredPol| 1 (QREFELT $ 116))
         |ACPLOT;makeGeneralSketch|)
        (LETT |dpdx| (SPADCALL |p| |x| (QREFELT $ 93))
         |ACPLOT;makeGeneralSketch|)
        (LETT |dpdy| (SPADCALL |p| |y| (QREFELT $ 93))
         |ACPLOT;makeGeneralSketch|)
        (LETT |xMinNF| (|ACPLOT;RNtoNF| |xMin| $) |ACPLOT;makeGeneralSketch|)
        (LETT |xMaxNF| (|ACPLOT;RNtoNF| |xMax| $) |ACPLOT;makeGeneralSketch|)
        (LETT |yMinNF| (|ACPLOT;RNtoNF| |yMin| $) |ACPLOT;makeGeneralSketch|)
        (LETT |yMaxNF| (|ACPLOT;RNtoNF| |yMax| $) |ACPLOT;makeGeneralSketch|)
        (LETT |singPts|
         (SPADCALL (LIST |p| |dpdx| |dpdy|) (LIST |x| |y|) (QREFELT $ 12)
          (QREFELT $ 99))
         |ACPLOT;makeGeneralSketch|)
        (LETT |foo|
         (CONS #'|ACPLOT;makeGeneralSketch!0|
          (VECTOR $ |yMaxNF| |yMinNF| |xMaxNF| |xMinNF|))
         |ACPLOT;makeGeneralSketch|)
        (EXIT
         (COND
          ((|ACPLOT;ptsSuchThat?| |singPts| |foo| $)
           (|error| "singular pts in region of sketch"))
          ('T
           (SEQ
            (LETT |htanPts|
             (SPADCALL (LIST |p| |dpdx|) (LIST |x| |y|) (QREFELT $ 12)
              (QREFELT $ 99))
             |ACPLOT;makeGeneralSketch|)
            (LETT |vtanPts|
             (SPADCALL (LIST |p| |dpdy|) (LIST |x| |y|) (QREFELT $ 12)
              (QREFELT $ 99))
             |ACPLOT;makeGeneralSketch|)
            (LETT |critPts| (APPEND |htanPts| |vtanPts|)
             |ACPLOT;makeGeneralSketch|)
            (LETT |hInc|
             (SPADCALL (SPADCALL 1 20 (QREFELT $ 117))
              (SPADCALL |xMax| |xMin| (QREFELT $ 118)) (QREFELT $ 119))
             |ACPLOT;makeGeneralSketch|)
            (LETT |vInc|
             (SPADCALL (SPADCALL 1 20 (QREFELT $ 117))
              (SPADCALL |yMax| |yMin| (QREFELT $ 118)) (QREFELT $ 119))
             |ACPLOT;makeGeneralSketch|)
            (LETT |foo|
             (CONS #'|ACPLOT;makeGeneralSketch!1|
              (VECTOR $ |xMinNF| |yMaxNF| |yMinNF|))
             |ACPLOT;makeGeneralSketch|)
            (COND
             ((|ACPLOT;ptsSuchThat?| |critPts| |foo| $)
              (SEQ
               (LETT |xMin|
                (|ACPLOT;newX| |critPts| |singPts| |yMinNF| |yMaxNF| |xMinNF|
                 |xMin| (SPADCALL |hInc| (QREFELT $ 120)) $)
                |ACPLOT;makeGeneralSketch|)
               (EXIT
                (LETT |xMinNF| (|ACPLOT;RNtoNF| |xMin| $)
                 |ACPLOT;makeGeneralSketch|)))))
            (LETT |foo|
             (CONS #'|ACPLOT;makeGeneralSketch!2|
              (VECTOR $ |xMaxNF| |yMaxNF| |yMinNF|))
             |ACPLOT;makeGeneralSketch|)
            (COND
             ((|ACPLOT;ptsSuchThat?| |critPts| |foo| $)
              (SEQ
               (LETT |xMax|
                (|ACPLOT;newX| |critPts| |singPts| |yMinNF| |yMaxNF| |xMaxNF|
                 |xMax| |hInc| $)
                |ACPLOT;makeGeneralSketch|)
               (EXIT
                (LETT |xMaxNF| (|ACPLOT;RNtoNF| |xMax| $)
                 |ACPLOT;makeGeneralSketch|)))))
            (LETT |foo|
             (CONS #'|ACPLOT;makeGeneralSketch!3|
              (VECTOR $ |yMinNF| |xMaxNF| |xMinNF|))
             |ACPLOT;makeGeneralSketch|)
            (COND
             ((|ACPLOT;ptsSuchThat?| |critPts| |foo| $)
              (SEQ
               (LETT |yMin|
                (|ACPLOT;newY| |critPts| |singPts| |xMinNF| |xMaxNF| |yMinNF|
                 |yMin| (SPADCALL |vInc| (QREFELT $ 120)) $)
                |ACPLOT;makeGeneralSketch|)
               (EXIT
                (LETT |yMinNF| (|ACPLOT;RNtoNF| |yMin| $)
                 |ACPLOT;makeGeneralSketch|)))))
            (LETT |foo|
             (CONS #'|ACPLOT;makeGeneralSketch!4|
              (VECTOR $ |yMaxNF| |xMaxNF| |xMinNF|))
             |ACPLOT;makeGeneralSketch|)
            (COND
             ((|ACPLOT;ptsSuchThat?| |critPts| |foo| $)
              (SEQ
               (LETT |yMax|
                (|ACPLOT;newY| |critPts| |singPts| |xMinNF| |xMaxNF| |yMaxNF|
                 |yMax| |vInc| $)
                |ACPLOT;makeGeneralSketch|)
               (EXIT
                (LETT |yMaxNF| (|ACPLOT;RNtoNF| |yMax| $)
                 |ACPLOT;makeGeneralSketch|)))))
            (LETT |htans|
             (|ACPLOT;listPtsInRect| |htanPts| |xMinNF| |xMaxNF| |yMinNF|
              |yMaxNF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |vtans|
             (|ACPLOT;listPtsInRect| |vtanPts| |xMinNF| |xMaxNF| |yMinNF|
              |yMaxNF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |crits| (APPEND |htans| |vtans|) |ACPLOT;makeGeneralSketch|)
            (LETT |xMinSF| (|ACPLOT;RNtoSF| |xMin| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |xMaxSF| (|ACPLOT;RNtoSF| |xMax| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |yMinSF| (|ACPLOT;RNtoSF| |yMin| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |yMaxSF| (|ACPLOT;RNtoSF| |yMax| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |corners|
             (|ACPLOT;makeCorners| |xMinSF| |xMaxSF| |yMinSF| |yMaxSF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |pSF| (|ACPLOT;coerceCoefsToSFs| |p| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |dpdxSF| (|ACPLOT;coerceCoefsToSFs| |dpdx| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |dpdySF| (|ACPLOT;coerceCoefsToSFs| |dpdy| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |delta|
             (MIN (/ (- |xMaxSF| |xMinSF|) 25) (/ (- |yMaxSF| |yMinSF|) 25))
             |ACPLOT;makeGeneralSketch|)
            (LETT |err| (MIN (/ |delta| 100) (/ (QREFELT $ 15) 100))
             |ACPLOT;makeGeneralSketch|)
            (LETT |bound| 10 |ACPLOT;makeGeneralSketch|)
            (LETT |pRN| (|ACPLOT;coerceCoefsToRNs| |p| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |lf|
             (|ACPLOT;listPtsOnVertBdry| |pRN| |x| |xMin| |yMinNF| |yMaxNF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |rt|
             (|ACPLOT;listPtsOnVertBdry| |pRN| |x| |xMax| |yMinNF| |yMaxNF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |bt|
             (|ACPLOT;listPtsOnHorizBdry| |pRN| |y| |yMin| |xMinNF| |xMaxNF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |tp|
             (|ACPLOT;listPtsOnHorizBdry| |pRN| |y| |yMax| |xMinNF| |xMaxNF| $)
             |ACPLOT;makeGeneralSketch|)
            (LETT |bdPts| (VECTOR |lf| |rt| |bt| |tp|)
             |ACPLOT;makeGeneralSketch|)
            (LETT |bran|
             (|ACPLOT;traceBranches| |pSF| |dpdxSF| |dpdySF| |x| |y| |corners|
              |delta| |err| |bound| |crits| |bdPts| $)
             |ACPLOT;makeGeneralSketch|)
            (EXIT
             (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax| |bdPts| |htans|
              |vtans| |bran|)))))))))))))) 

(DEFUN |ACPLOT;makeGeneralSketch!4| (|#1| $$)
 (|ACPLOT;onHorzSeg?| |#1| (QREFELT $$ 3) (QREFELT $$ 2) (QREFELT $$ 1)
  (QREFELT $$ 0))) 

(DEFUN |ACPLOT;makeGeneralSketch!3| (|#1| $$)
 (|ACPLOT;onHorzSeg?| |#1| (QREFELT $$ 3) (QREFELT $$ 2) (QREFELT $$ 1)
  (QREFELT $$ 0))) 

(DEFUN |ACPLOT;makeGeneralSketch!2| (|#1| $$)
 (|ACPLOT;onVertSeg?| |#1| (QREFELT $$ 3) (QREFELT $$ 2) (QREFELT $$ 1)
  (QREFELT $$ 0))) 

(DEFUN |ACPLOT;makeGeneralSketch!1| (|#1| $$)
 (|ACPLOT;onVertSeg?| |#1| (QREFELT $$ 3) (QREFELT $$ 2) (QREFELT $$ 1)
  (QREFELT $$ 0))) 

(DEFUN |ACPLOT;makeGeneralSketch!0| (|#1| $$)
 (|ACPLOT;inRect?| |#1| (QREFELT $$ 4) (QREFELT $$ 3) (QREFELT $$ 2)
  (QREFELT $$ 1) (QREFELT $$ 0))) 

(DEFUN |ACPLOT;refine;$Df$;34| (|plot| |stepFraction| $)
 (PROG
  (|p| |x| |y| |dpdx| |dpdy| |xMin| |xMax| |yMin| |yMax| |xMinSF| |xMaxSF|
   |yMinSF| |yMaxSF| |corners| |pSF| |dpdxSF| |dpdySF| |delta| |err| |bound|
   |crits| |bdPts| |bran| |htans| |vtans|)
  (RETURN
   (SEQ (LETT |p| (QVELT |plot| 0) |ACPLOT;refine;$Df$;34|)
    (LETT |x| (QVELT |plot| 1) |ACPLOT;refine;$Df$;34|)
    (LETT |y| (QVELT |plot| 2) |ACPLOT;refine;$Df$;34|)
    (LETT |dpdx| (SPADCALL |p| |x| (QREFELT $ 93)) |ACPLOT;refine;$Df$;34|)
    (LETT |dpdy| (SPADCALL |p| |y| (QREFELT $ 93)) |ACPLOT;refine;$Df$;34|)
    (LETT |pSF| (|ACPLOT;coerceCoefsToSFs| |p| $) |ACPLOT;refine;$Df$;34|)
    (LETT |dpdxSF| (|ACPLOT;coerceCoefsToSFs| |dpdx| $)
     |ACPLOT;refine;$Df$;34|)
    (LETT |dpdySF| (|ACPLOT;coerceCoefsToSFs| |dpdy| $)
     |ACPLOT;refine;$Df$;34|)
    (LETT |xMin| (QVELT |plot| 3) |ACPLOT;refine;$Df$;34|)
    (LETT |xMax| (QVELT |plot| 4) |ACPLOT;refine;$Df$;34|)
    (LETT |yMin| (QVELT |plot| 5) |ACPLOT;refine;$Df$;34|)
    (LETT |yMax| (QVELT |plot| 6) |ACPLOT;refine;$Df$;34|)
    (LETT |xMinSF| (|ACPLOT;RNtoSF| |xMin| $) |ACPLOT;refine;$Df$;34|)
    (LETT |xMaxSF| (|ACPLOT;RNtoSF| |xMax| $) |ACPLOT;refine;$Df$;34|)
    (LETT |yMinSF| (|ACPLOT;RNtoSF| |yMin| $) |ACPLOT;refine;$Df$;34|)
    (LETT |yMaxSF| (|ACPLOT;RNtoSF| |yMax| $) |ACPLOT;refine;$Df$;34|)
    (LETT |corners|
     (|ACPLOT;makeCorners| |xMinSF| |xMaxSF| |yMinSF| |yMaxSF| $)
     |ACPLOT;refine;$Df$;34|)
    (LETT |pSF| (|ACPLOT;coerceCoefsToSFs| |p| $) |ACPLOT;refine;$Df$;34|)
    (LETT |dpdxSF| (|ACPLOT;coerceCoefsToSFs| |dpdx| $)
     |ACPLOT;refine;$Df$;34|)
    (LETT |dpdySF| (|ACPLOT;coerceCoefsToSFs| |dpdy| $)
     |ACPLOT;refine;$Df$;34|)
    (LETT |delta|
     (* |stepFraction|
      (MIN (/ (- |xMaxSF| |xMinSF|) 25) (/ (- |yMaxSF| |yMinSF|) 25)))
     |ACPLOT;refine;$Df$;34|)
    (LETT |err| (MIN (/ |delta| 100) (/ (QREFELT $ 15) 100))
     |ACPLOT;refine;$Df$;34|)
    (LETT |bound| 10 |ACPLOT;refine;$Df$;34|)
    (LETT |crits| (APPEND (QVELT |plot| 8) (QVELT |plot| 9))
     |ACPLOT;refine;$Df$;34|)
    (LETT |bdPts| (QVELT |plot| 7) |ACPLOT;refine;$Df$;34|)
    (LETT |bran|
     (|ACPLOT;traceBranches| |pSF| |dpdxSF| |dpdySF| |x| |y| |corners| |delta|
      |err| |bound| |crits| |bdPts| $)
     |ACPLOT;refine;$Df$;34|)
    (LETT |htans| (QVELT |plot| 8) |ACPLOT;refine;$Df$;34|)
    (LETT |vtans| (QVELT |plot| 9) |ACPLOT;refine;$Df$;34|)
    (EXIT
     (VECTOR |p| |x| |y| |xMin| |xMax| |yMin| |yMax| |bdPts| |htans| |vtans|
      |bran|)))))) 

(DEFUN |ACPLOT;traceBranches|
 (|pSF| |dpdxSF| |dpdySF| |x| |y| |corners| |delta| |err| |bound| |crits|
  |bdPts| $)
 (PROG (|lf| |rt| |tp| |bt| |p0| |bdry| |pt| |segInfo| |bran|)
  (RETURN
   (SEQ (LETT |lf| (QVELT |bdPts| 0) |ACPLOT;traceBranches|)
    (LETT |rt| (QVELT |bdPts| 1) |ACPLOT;traceBranches|)
    (LETT |tp| (QVELT |bdPts| 3) |ACPLOT;traceBranches|)
    (LETT |bt| (QVELT |bdPts| 2) |ACPLOT;traceBranches|)
    (LETT |bdry| (APPEND (APPEND |lf| |rt|) (APPEND |bt| |tp|))
     |ACPLOT;traceBranches|)
    (LETT |bran| NIL |ACPLOT;traceBranches|)
    (SEQ G190 (COND ((NULL (COND ((NULL |bdry|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ (LETT |pt| (|SPADfirst| |bdry|) |ACPLOT;traceBranches|)
      (LETT |p0|
       (|ACPLOT;dummyFirstPt| |pt| |dpdxSF| |dpdySF| |x| |y| |lf| |rt| |bt|
        |tp| $)
       |ACPLOT;traceBranches|)
      (LETT |segInfo|
       (|ACPLOT;listPtsOnSegment| |pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |pt|
        |corners| |delta| |err| |bound| |crits| |bdry| $)
       |ACPLOT;traceBranches|)
      (LETT |bran| (CONS (|SPADfirst| |segInfo|) |bran|)
       |ACPLOT;traceBranches|)
      (LETT |crits| (SPADCALL |segInfo| (QREFELT $ 123))
       |ACPLOT;traceBranches|)
      (EXIT
       (LETT |bdry| (SPADCALL |segInfo| (QREFELT $ 124))
        |ACPLOT;traceBranches|)))
     NIL (GO G190) G191 (EXIT NIL))
    (SEQ G190 (COND ((NULL (COND ((NULL |crits|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ (LETT |pt| (|SPADfirst| |crits|) |ACPLOT;traceBranches|)
      (LETT |segInfo|
       (|ACPLOT;listPtsOnLoop| |pSF| |dpdxSF| |dpdySF| |x| |y| |pt| |corners|
        |delta| |err| |bound| |crits| |bdry| $)
       |ACPLOT;traceBranches|)
      (LETT |bran| (CONS (|SPADfirst| |segInfo|) |bran|)
       |ACPLOT;traceBranches|)
      (EXIT
       (LETT |crits| (SPADCALL |segInfo| (QREFELT $ 123))
        |ACPLOT;traceBranches|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT |bran|))))) 

(DEFUN |ACPLOT;dummyFirstPt|
 (|p1| |dpdxSF| |dpdySF| |x| |y| |lf| |rt| |bt| |tp| $)
 (PROG (|x1| |y1| |zero| |one| |px| |py|)
  (RETURN
   (SEQ (LETT |x1| (SPADCALL |p1| (QREFELT $ 28)) |ACPLOT;dummyFirstPt|)
    (LETT |y1| (SPADCALL |p1| (QREFELT $ 27)) |ACPLOT;dummyFirstPt|)
    (LETT |zero| 0.0 |ACPLOT;dummyFirstPt|)
    (LETT |one| 1.0 |ACPLOT;dummyFirstPt|)
    (LETT |px|
     (SPADCALL
      (SPADCALL |dpdxSF| (LIST |x| |y|) (LIST |x1| |y1|) (QREFELT $ 125))
      (QREFELT $ 126))
     |ACPLOT;dummyFirstPt|)
    (LETT |py|
     (SPADCALL
      (SPADCALL |dpdySF| (LIST |x| |y|) (LIST |x1| |y1|) (QREFELT $ 125))
      (QREFELT $ 126))
     |ACPLOT;dummyFirstPt|)
    (EXIT
     (COND
      ((< (* |px| |py|) |zero|)
       (COND
        ((OR (SPADCALL |p1| |lf| (QREFELT $ 127))
          (SPADCALL |p1| |bt| (QREFELT $ 127)))
         (|ACPLOT;makePt| (- |x1| |one|) (- |y1| |one|) $))
        ('T (|ACPLOT;makePt| (+ |x1| |one|) (+ |y1| |one|) $))))
      ((OR (SPADCALL |p1| |lf| (QREFELT $ 127))
        (SPADCALL |p1| |tp| (QREFELT $ 127)))
       (|ACPLOT;makePt| (- |x1| |one|) (+ |y1| |one|) $))
      ('T (|ACPLOT;makePt| (+ |x1| |one|) (- |y1| |one|) $)))))))) 

(DEFUN |ACPLOT;listPtsOnSegment|
 (|pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |p1| |corners| |delta| |err| |bound|
  |crits| |bdry| $)
 (PROG (|pt0| |pt1| |ptInfo| |p2| #1=#:G3814 |pointList|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |bdry| (SPADCALL |p1| |bdry| (QREFELT $ 128))
       |ACPLOT;listPtsOnSegment|)
      (LETT |pointList| (LIST |p1|) |ACPLOT;listPtsOnSegment|)
      (LETT |ptInfo|
       (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |p1|
        |corners| |delta| |err| |bound| |crits| |bdry| $)
       |ACPLOT;listPtsOnSegment|)
      (LETT |p2| (QCAR |ptInfo|) |ACPLOT;listPtsOnSegment|)
      (EXIT
       (COND
        ((EQUAL (QCDR |ptInfo|) (QREFELT $ 17))
         (SEQ
          (LETT |bdry| (SPADCALL |p2| |bdry| (QREFELT $ 128))
           |ACPLOT;listPtsOnSegment|)
          (LETT |pointList| (CONS |p2| |pointList|) |ACPLOT;listPtsOnSegment|)
          (EXIT (LIST |pointList| |crits| |bdry|))))
        ('T
         (SEQ
          (COND
           ((EQUAL (QCDR |ptInfo|) (QREFELT $ 18))
            (LETT |crits| (SPADCALL |p2| |crits| (QREFELT $ 128))
             |ACPLOT;listPtsOnSegment|)))
          (LETT |pointList| (CONS |p2| |pointList|) |ACPLOT;listPtsOnSegment|)
          (SEQ G190 NIL
           (SEQ
            (LETT |pt0| (SPADCALL |pointList| (QREFELT $ 129))
             |ACPLOT;listPtsOnSegment|)
            (LETT |pt1| (|SPADfirst| |pointList|) |ACPLOT;listPtsOnSegment|)
            (LETT |ptInfo|
             (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y| |pt0|
              |pt1| |corners| |delta| |err| |bound| |crits| |bdry| $)
             |ACPLOT;listPtsOnSegment|)
            (LETT |p2| (QCAR |ptInfo|) |ACPLOT;listPtsOnSegment|)
            (EXIT
             (COND
              ((EQUAL (QCDR |ptInfo|) (QREFELT $ 17))
               (SEQ
                (LETT |bdry| (SPADCALL |p2| |bdry| (QREFELT $ 128))
                 |ACPLOT;listPtsOnSegment|)
                (LETT |pointList| (CONS |p2| |pointList|)
                 |ACPLOT;listPtsOnSegment|)
                (EXIT
                 (PROGN
                  (LETT #1# (LIST |pointList| |crits| |bdry|)
                   |ACPLOT;listPtsOnSegment|)
                  (GO #1#)))))
              ('T
               (SEQ
                (COND
                 ((EQUAL (QCDR |ptInfo|) (QREFELT $ 18))
                  (LETT |crits| (SPADCALL |p2| |crits| (QREFELT $ 128))
                   |ACPLOT;listPtsOnSegment|)))
                (EXIT
                 (LETT |pointList| (CONS |p2| |pointList|)
                  |ACPLOT;listPtsOnSegment|)))))))
           NIL (GO G190) G191 (EXIT NIL))
          (EXIT (LIST |pointList| |crits| |bdry|))))))))
    #1# (EXIT #1#))))) 

(DEFUN |ACPLOT;listPtsOnLoop|
 (|pSF| |dpdxSF| |dpdySF| |x| |y| |p1| |corners| |delta| |err| |bound| |crits|
  |bdry| $)
 (PROG
  (|x1| |y1| |px| |py| |p0| |pt0| |pt1| |ptInfo| |p2| #1=#:G3827 |pointList|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |x1| (SPADCALL |p1| (QREFELT $ 28)) |ACPLOT;listPtsOnLoop|)
      (LETT |y1| (SPADCALL |p1| (QREFELT $ 27)) |ACPLOT;listPtsOnLoop|)
      (LETT |px|
       (SPADCALL
        (SPADCALL |dpdxSF| (LIST |x| |y|) (LIST |x1| |y1|) (QREFELT $ 125))
        (QREFELT $ 126))
       |ACPLOT;listPtsOnLoop|)
      (LETT |py|
       (SPADCALL
        (SPADCALL |dpdySF| (LIST |x| |y|) (LIST |x1| |y1|) (QREFELT $ 125))
        (QREFELT $ 126))
       |ACPLOT;listPtsOnLoop|)
      (LETT |p0| (|ACPLOT;makePt| (- |x1| #2=1.0) (- |y1| #2#) $)
       |ACPLOT;listPtsOnLoop|)
      (LETT |pointList| (LIST |p1|) |ACPLOT;listPtsOnLoop|)
      (LETT |ptInfo|
       (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |p1|
        |corners| |delta| |err| |bound| |crits| |bdry| $)
       |ACPLOT;listPtsOnLoop|)
      (LETT |p2| (QCAR |ptInfo|) |ACPLOT;listPtsOnLoop|)
      (EXIT
       (COND
        ((EQUAL (QCDR |ptInfo|) (QREFELT $ 17))
         (|error| "boundary reached while on loop"))
        ('T
         (SEQ
          (COND
           ((EQUAL (QCDR |ptInfo|) (QREFELT $ 18))
            (COND
             ((SPADCALL |p1| |p2| (QREFELT $ 130))
              (|error| "first and second points on loop are identical"))
             ('T
              (LETT |crits| (SPADCALL |p2| |crits| (QREFELT $ 128))
               |ACPLOT;listPtsOnLoop|)))))
          (LETT |pointList| (CONS |p2| |pointList|) |ACPLOT;listPtsOnLoop|)
          (SEQ G190 NIL
           (SEQ
            (LETT |pt0| (SPADCALL |pointList| (QREFELT $ 129))
             |ACPLOT;listPtsOnLoop|)
            (LETT |pt1| (|SPADfirst| |pointList|) |ACPLOT;listPtsOnLoop|)
            (LETT |ptInfo|
             (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y| |pt0|
              |pt1| |corners| |delta| |err| |bound| |crits| |bdry| $)
             |ACPLOT;listPtsOnLoop|)
            (LETT |p2| (QCAR |ptInfo|) |ACPLOT;listPtsOnLoop|)
            (EXIT
             (COND
              ((EQUAL (QCDR |ptInfo|) (QREFELT $ 17))
               (|error| "boundary reached while on loop"))
              ('T
               (SEQ
                (COND
                 ((EQUAL (QCDR |ptInfo|) (QREFELT $ 18))
                  (SEQ
                   (LETT |crits| (SPADCALL |p2| |crits| (QREFELT $ 128))
                    |ACPLOT;listPtsOnLoop|)
                   (EXIT
                    (COND
                     ((SPADCALL |p1| |p2| (QREFELT $ 130))
                      (SEQ
                       (LETT |pointList| (CONS |p2| |pointList|)
                        |ACPLOT;listPtsOnLoop|)
                       (EXIT
                        (PROGN
                         (LETT #1# (LIST |pointList| |crits| |bdry|)
                          |ACPLOT;listPtsOnLoop|)
                         (GO #1#))))))))))
                (EXIT
                 (LETT |pointList| (CONS |p2| |pointList|)
                  |ACPLOT;listPtsOnLoop|)))))))
           NIL (GO G190) G191 (EXIT NIL))
          (EXIT (LIST |pointList| |crits| |bdry|))))))))
    #1# (EXIT #1#))))) 

(DEFUN |ACPLOT;computeNextPt|
 (|pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |p1| |corners| |delta| |err| |bound|
  |crits| |bdry| $)
 (PROG
  (|xMinSF| |xMaxSF| |yMinSF| |yMaxSF| |x0| |y0| |x1| |y1| |px| |py| |deltaX|
   |incVar0| |deltaY| |x2Approxx| |y2Approxx| #1=#:G3883 |xx| |yy| |xPointList|
   |xLo| |xHi| |yPointList| |yLo| |yHi| |y2Temp| |x2Temp| |pt1| |pt2| |critPt1|
   |critPt2| #2=#:G3854 |incVar| |lookingFor| |x2Approx| |y2Approx| |y2New|
   |y2| |f| |x2New| #3=#:G3882 |x2| |pt| |bdryPt| |critPt|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |xMinSF| (|ACPLOT;getXMin| |corners| $) |ACPLOT;computeNextPt|)
      (LETT |xMaxSF| (|ACPLOT;getXMax| |corners| $) |ACPLOT;computeNextPt|)
      (LETT |yMinSF| (|ACPLOT;getYMin| |corners| $) |ACPLOT;computeNextPt|)
      (LETT |yMaxSF| (|ACPLOT;getYMax| |corners| $) |ACPLOT;computeNextPt|)
      (LETT |x0| (SPADCALL |p0| (QREFELT $ 28)) |ACPLOT;computeNextPt|)
      (LETT |y0| (SPADCALL |p0| (QREFELT $ 27)) |ACPLOT;computeNextPt|)
      (LETT |x1| (SPADCALL |p1| (QREFELT $ 28)) |ACPLOT;computeNextPt|)
      (LETT |y1| (SPADCALL |p1| (QREFELT $ 27)) |ACPLOT;computeNextPt|)
      (LETT |px|
       (SPADCALL
        (SPADCALL |dpdxSF| (LIST |x| |y|) (LIST |x1| |y1|) (QREFELT $ 125))
        (QREFELT $ 126))
       |ACPLOT;computeNextPt|)
      (LETT |py|
       (SPADCALL
        (SPADCALL |dpdySF| (LIST |x| |y|) (LIST |x1| |y1|) (QREFELT $ 125))
        (QREFELT $ 126))
       |ACPLOT;computeNextPt|)
      (COND
       ((< (FLOAT-SIGN #4=1.0 |px|) (FLOAT-SIGN #4# |py|))
        (SEQ
         (LETT |incVar0| (LETT |incVar| |x| |ACPLOT;computeNextPt|)
          |ACPLOT;computeNextPt|)
         (LETT |deltaX| (COND ((< |x0| |x1|) |delta|) ('T (- |delta|)))
          |ACPLOT;computeNextPt|)
         (LETT |x2Approx| (+ |x1| |deltaX|) |ACPLOT;computeNextPt|)
         (EXIT
          (LETT |y2Approx| (+ |y1| (* (- (/ |px| |py|)) |deltaX|))
           |ACPLOT;computeNextPt|))))
       ('T
        (SEQ
         (LETT |incVar0| (LETT |incVar| |y| |ACPLOT;computeNextPt|)
          |ACPLOT;computeNextPt|)
         (LETT |deltaY| (COND ((< |y0| |y1|) |delta|) ('T (- |delta|)))
          |ACPLOT;computeNextPt|)
         (LETT |x2Approx| (+ |x1| (* (- (/ |py| |px|)) |deltaY|))
          |ACPLOT;computeNextPt|)
         (EXIT (LETT |y2Approx| (+ |y1| |deltaY|) |ACPLOT;computeNextPt|)))))
      (LETT |lookingFor| (QREFELT $ 16) |ACPLOT;computeNextPt|)
      (COND
       ((< |x2Approx| |xMaxSF|)
        (COND
         ((NULL (< |xMinSF| |x2Approx|))
          (SEQ (LETT |incVar| |x| |ACPLOT;computeNextPt|)
           (LETT |lookingFor| (QREFELT $ 17) |ACPLOT;computeNextPt|)
           (LETT |x2Approx| |xMinSF| |ACPLOT;computeNextPt|)
           (EXIT
            (LETT |y2Approx| (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
             |ACPLOT;computeNextPt|))))))
       ('T
        (SEQ (LETT |incVar| |x| |ACPLOT;computeNextPt|)
         (LETT |lookingFor| (QREFELT $ 17) |ACPLOT;computeNextPt|)
         (LETT |x2Approx| |xMaxSF| |ACPLOT;computeNextPt|)
         (EXIT
          (LETT |y2Approx| (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
           |ACPLOT;computeNextPt|)))))
      (COND
       ((< |y2Approx| |yMaxSF|)
        (COND
         ((NULL (< |yMinSF| |y2Approx|))
          (SEQ (LETT |incVar| |y| |ACPLOT;computeNextPt|)
           (LETT |lookingFor| (QREFELT $ 17) |ACPLOT;computeNextPt|)
           (LETT |y2Approx| |yMinSF| |ACPLOT;computeNextPt|)
           (EXIT
            (LETT |x2Approx| (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
             |ACPLOT;computeNextPt|))))))
       ('T
        (SEQ (LETT |incVar| |y| |ACPLOT;computeNextPt|)
         (LETT |lookingFor| (QREFELT $ 17) |ACPLOT;computeNextPt|)
         (LETT |y2Approx| |yMaxSF| |ACPLOT;computeNextPt|)
         (EXIT
          (LETT |x2Approx| (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
           |ACPLOT;computeNextPt|)))))
      (COND
       ((< |x1| |x2Approx|)
        (SEQ (LETT |xLo| |x1| |ACPLOT;computeNextPt|)
         (EXIT (LETT |xHi| |x2Approx| |ACPLOT;computeNextPt|))))
       ('T
        (SEQ (LETT |xLo| |x2Approx| |ACPLOT;computeNextPt|)
         (EXIT (LETT |xHi| |x1| |ACPLOT;computeNextPt|)))))
      (COND
       ((< |y1| |y2Approx|)
        (SEQ (LETT |yLo| |y1| |ACPLOT;computeNextPt|)
         (EXIT (LETT |yHi| |y2Approx| |ACPLOT;computeNextPt|))))
       ('T
        (SEQ (LETT |yLo| |y2Approx| |ACPLOT;computeNextPt|)
         (EXIT (LETT |yHi| |y1| |ACPLOT;computeNextPt|)))))
      (LETT |x2Approxx| |x2Approx| |ACPLOT;computeNextPt|)
      (LETT |y2Approxx| |y2Approx| |ACPLOT;computeNextPt|)
      (LETT |xPointList| NIL |ACPLOT;computeNextPt|)
      (LETT |yPointList| NIL |ACPLOT;computeNextPt|)
      (SEQ (LETT |pt| NIL |ACPLOT;computeNextPt|)
       (LETT #1# |crits| |ACPLOT;computeNextPt|) G190
       (COND
        ((OR (ATOM #1#)
          (PROGN (LETT |pt| (CAR #1#) |ACPLOT;computeNextPt|) NIL))
         (GO G191)))
       (SEQ (LETT |xx| (SPADCALL |pt| (QREFELT $ 28)) |ACPLOT;computeNextPt|)
        (LETT |yy| (SPADCALL |pt| (QREFELT $ 27)) |ACPLOT;computeNextPt|)
        (COND
         ((= |xx| |x2Approx|)
          (COND
           ((NULL (= |xx| |x1|))
            (COND
             ((<
               (MIN (FLOAT-SIGN #4# (- |yy| |yLo|))
                (FLOAT-SIGN #4# (- |yy| |yHi|)))
               |delta|)
              (LETT |xPointList| (CONS |pt| |xPointList|)
               |ACPLOT;computeNextPt|)))))))
        (COND
         ((< |xLo| |xx|)
          (COND
           ((< |xx| |xHi|)
            (COND
             ((<
               (MIN (FLOAT-SIGN #4# (- |yy| |yLo|))
                (FLOAT-SIGN #4# (- |yy| |yHi|)))
               |delta|)
              (SEQ (LETT |xPointList| (CONS |pt| NIL) |ACPLOT;computeNextPt|)
               (LETT |x2Approx| |xx| |ACPLOT;computeNextPt|)
               (EXIT
                (COND ((< |xx| |x1|) (LETT |xLo| |xx| |ACPLOT;computeNextPt|))
                 ('T (LETT |xHi| |xx| |ACPLOT;computeNextPt|)))))))))))
        (COND
         ((= |yy| |y2Approx|)
          (COND
           ((NULL (= |yy| |y1|))
            (LETT |yPointList| (CONS |pt| |yPointList|)
             |ACPLOT;computeNextPt|)))))
        (EXIT
         (COND
          ((< |yLo| |yy|)
           (COND
            ((< |yy| |yHi|)
             (COND
              ((<
                (MIN (FLOAT-SIGN #4# (- |xx| |xLo|))
                 (FLOAT-SIGN #4# (- |xx| |xHi|)))
                |delta|)
               (SEQ (LETT |yPointList| (CONS |pt| NIL) |ACPLOT;computeNextPt|)
                (LETT |y2Approx| |yy| |ACPLOT;computeNextPt|)
                (EXIT
                 (COND ((< |yy| |y1|) (LETT |yLo| |yy| |ACPLOT;computeNextPt|))
                  ('T (LETT |yHi| |yy| |ACPLOT;computeNextPt|)))))))))))))
       (LETT #1# (CDR #1#) |ACPLOT;computeNextPt|) (GO G190) G191 (EXIT NIL))
      (COND
       ((NULL (NULL |xPointList|))
        (COND
         ((NULL (NULL |yPointList|))
          (COND
           ((SPADCALL |xPointList| |yPointList| (QREFELT $ 131))
            (SEQ (LETT |incVar| |incVar0| |ACPLOT;computeNextPt|)
             (COND
              ((EQUAL |incVar| |x|)
               (LETT |y2Approx|
                (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
                |ACPLOT;computeNextPt|))
              ('T
               (LETT |x2Approx|
                (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
                |ACPLOT;computeNextPt|)))
             (EXIT (LETT |lookingFor| (QREFELT $ 18) |ACPLOT;computeNextPt|))))
           ((EQUAL |incVar0| |x|)
            (SEQ
             (LETT |x2Temp| (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
              |ACPLOT;computeNextPt|)
             (LETT |f|
              (|ACPLOT;SFPolyToUPoly|
               (SPADCALL |pSF| |y| |y2Approx| (QREFELT $ 132)) $)
              |ACPLOT;computeNextPt|)
             (LETT |x2New| (|ACPLOT;newtonApprox| |f| |x2Temp| |err| |bound| $)
              |ACPLOT;computeNextPt|)
             (EXIT
              (COND
               ((QEQCAR |x2New| 1)
                (SEQ
                 (LETT |y2Approx|
                  (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
                  |ACPLOT;computeNextPt|)
                 (LETT |incVar| |x| |ACPLOT;computeNextPt|)
                 (EXIT
                  (LETT |lookingFor| (QREFELT $ 18) |ACPLOT;computeNextPt|))))
               ('T
                (SEQ
                 (LETT |y2Temp|
                  (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
                  |ACPLOT;computeNextPt|)
                 (LETT |f|
                  (|ACPLOT;SFPolyToUPoly|
                   (SPADCALL |pSF| |x| |x2Approx| (QREFELT $ 132)) $)
                  |ACPLOT;computeNextPt|)
                 (LETT |y2New|
                  (|ACPLOT;newtonApprox| |f| |y2Temp| |err| |bound| $)
                  |ACPLOT;computeNextPt|)
                 (EXIT
                  (COND
                   ((QEQCAR |y2New| 1)
                    (PROGN
                     (LETT #3#
                      (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y|
                       |p0| |p1| |corners|
                       (FLOAT-SIGN #4# (/ (- |x2Approx| |x1|) 2)) |err| |bound|
                       |crits| |bdry| $)
                      |ACPLOT;computeNextPt|)
                     (GO #3#)))
                   ('T
                    (SEQ
                     (LETT |pt1| (|ACPLOT;makePt| |x2Approx| (QCDR |y2New|) $)
                      |ACPLOT;computeNextPt|)
                     (LETT |pt2| (|ACPLOT;makePt| (QCDR |x2New|) |y2Approx| $)
                      |ACPLOT;computeNextPt|)
                     (LETT |critPt1| (|ACPLOT;findPtOnList| |pt1| |crits| $)
                      |ACPLOT;computeNextPt|)
                     (LETT |critPt2| (|ACPLOT;findPtOnList| |pt2| |crits| $)
                      |ACPLOT;computeNextPt|)
                     (COND
                      ((QEQCAR |critPt1| 1)
                       (COND
                        ((QEQCAR |critPt2| 1)
                         (EXIT
                          (COND
                           ((< (FLOAT-SIGN #4# (- |x2Temp| |x1|))
                             (FLOAT-SIGN #4# (- |x2Approx| |x1|)))
                            (PROGN
                             (LETT #3# (CONS |pt1| (QREFELT $ 16))
                              |ACPLOT;computeNextPt|)
                             (GO #3#)))
                           ('T
                            (PROGN
                             (LETT #3# (CONS |pt2| (QREFELT $ 16))
                              |ACPLOT;computeNextPt|)
                             (GO #3#)))))))))
                     (EXIT
                      (COND
                       ((QEQCAR |critPt1| 1)
                        (PROGN
                         (LETT #3#
                          (CONS
                           (PROG2 (LETT #2# |critPt2| |ACPLOT;computeNextPt|)
                            (QCDR #2#)
                            (|check-union| (QEQCAR #2# 0)
                             (|Point| (|DoubleFloat|)) #2#))
                           (QREFELT $ 18))
                          |ACPLOT;computeNextPt|)
                         (GO #3#)))
                       ((QEQCAR |critPt2| 1)
                        (PROGN
                         (LETT #3# (CONS (QCDR |critPt1|) (QREFELT $ 18))
                          |ACPLOT;computeNextPt|)
                         (GO #3#)))
                       ('T
                        (COND
                         ((< (FLOAT-SIGN #4# (- |x2Temp| |x1|))
                           (FLOAT-SIGN #4# (- |x2Approx| |x1|)))
                          (PROGN
                           (LETT #3# (CONS (QCDR |critPt2|) (QREFELT $ 18))
                            |ACPLOT;computeNextPt|)
                           (GO #3#)))
                         ('T
                          (PROGN
                           (LETT #3# (CONS (QCDR |critPt1|) (QREFELT $ 18))
                            |ACPLOT;computeNextPt|)
                           (GO #3#)))))))))))))))))
           ('T
            (SEQ
             (LETT |y2Temp| (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
              |ACPLOT;computeNextPt|)
             (LETT |f|
              (|ACPLOT;SFPolyToUPoly|
               (SPADCALL |pSF| |x| |x2Approx| (QREFELT $ 132)) $)
              |ACPLOT;computeNextPt|)
             (LETT |y2New| (|ACPLOT;newtonApprox| |f| |y2Temp| |err| |bound| $)
              |ACPLOT;computeNextPt|)
             (EXIT
              (COND
               ((QEQCAR |y2New| 1)
                (SEQ
                 (LETT |x2Approx|
                  (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
                  |ACPLOT;computeNextPt|)
                 (LETT |incVar| |y| |ACPLOT;computeNextPt|)
                 (EXIT
                  (LETT |lookingFor| (QREFELT $ 18) |ACPLOT;computeNextPt|))))
               ('T
                (SEQ
                 (LETT |x2Temp|
                  (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
                  |ACPLOT;computeNextPt|)
                 (LETT |f|
                  (|ACPLOT;SFPolyToUPoly|
                   (SPADCALL |pSF| |y| |y2Approx| (QREFELT $ 132)) $)
                  |ACPLOT;computeNextPt|)
                 (LETT |x2New|
                  (|ACPLOT;newtonApprox| |f| |x2Temp| |err| |bound| $)
                  |ACPLOT;computeNextPt|)
                 (EXIT
                  (COND
                   ((QEQCAR |x2New| 1)
                    (PROGN
                     (LETT #3#
                      (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y|
                       |p0| |p1| |corners|
                       (FLOAT-SIGN #4# (/ (- |y2Approx| |y1|) 2)) |err| |bound|
                       |crits| |bdry| $)
                      |ACPLOT;computeNextPt|)
                     (GO #3#)))
                   ('T
                    (SEQ
                     (LETT |pt1| (|ACPLOT;makePt| |x2Approx| (QCDR |y2New|) $)
                      |ACPLOT;computeNextPt|)
                     (LETT |pt2| (|ACPLOT;makePt| (QCDR |x2New|) |y2Approx| $)
                      |ACPLOT;computeNextPt|)
                     (LETT |critPt1| (|ACPLOT;findPtOnList| |pt1| |crits| $)
                      |ACPLOT;computeNextPt|)
                     (LETT |critPt2| (|ACPLOT;findPtOnList| |pt2| |crits| $)
                      |ACPLOT;computeNextPt|)
                     (COND
                      ((QEQCAR |critPt1| 1)
                       (COND
                        ((QEQCAR |critPt2| 1)
                         (EXIT
                          (COND
                           ((< (FLOAT-SIGN #4# (- |y2Temp| |y1|))
                             (FLOAT-SIGN #4# (- |y2Approx| |y1|)))
                            (PROGN
                             (LETT #3# (CONS |pt2| (QREFELT $ 16))
                              |ACPLOT;computeNextPt|)
                             (GO #3#)))
                           ('T
                            (PROGN
                             (LETT #3# (CONS |pt1| (QREFELT $ 16))
                              |ACPLOT;computeNextPt|)
                             (GO #3#)))))))))
                     (EXIT
                      (COND
                       ((QEQCAR |critPt1| 1)
                        (PROGN
                         (LETT #3#
                          (CONS
                           (PROG2 (LETT #2# |critPt2| |ACPLOT;computeNextPt|)
                            (QCDR #2#)
                            (|check-union| (QEQCAR #2# 0)
                             (|Point| (|DoubleFloat|)) #2#))
                           (QREFELT $ 18))
                          |ACPLOT;computeNextPt|)
                         (GO #3#)))
                       ((QEQCAR |critPt2| 1)
                        (PROGN
                         (LETT #3# (CONS (QCDR |critPt1|) (QREFELT $ 18))
                          |ACPLOT;computeNextPt|)
                         (GO #3#)))
                       ('T
                        (COND
                         ((< (FLOAT-SIGN #4# (- |y2Temp| |y1|))
                           (FLOAT-SIGN #4# (- |y2Approx| |y1|)))
                          (PROGN
                           (LETT #3# (CONS (QCDR |critPt1|) (QREFELT $ 18))
                            |ACPLOT;computeNextPt|)
                           (GO #3#)))
                         ('T
                          (PROGN
                           (LETT #3# (CONS (QCDR |critPt2|) (QREFELT $ 18))
                            |ACPLOT;computeNextPt|)
                           (GO #3#))))))))))))))))))))))
      (COND
       ((NULL (NULL |xPointList|))
        (COND
         ((NULL |yPointList|)
          (SEQ
           (LETT |y2Approx| (+ |y1| (* (- (/ |px| |py|)) (- |x2Approx| |x1|)))
            |ACPLOT;computeNextPt|)
           (EXIT
            (COND
             ((EQUAL |incVar0| |x|)
              (SEQ (LETT |incVar| |x| |ACPLOT;computeNextPt|)
               (EXIT
                (LETT |lookingFor| (QREFELT $ 18) |ACPLOT;computeNextPt|))))
             ('T
              (SEQ
               (LETT |f|
                (|ACPLOT;SFPolyToUPoly|
                 (SPADCALL |pSF| |x| |x2Approx| (QREFELT $ 132)) $)
                |ACPLOT;computeNextPt|)
               (LETT |y2New|
                (|ACPLOT;newtonApprox| |f| |y2Approx| |err| |bound| $)
                |ACPLOT;computeNextPt|)
               (EXIT
                (COND
                 ((QEQCAR |y2New| 1)
                  (SEQ (LETT |x2Approx| |x2Approxx| |ACPLOT;computeNextPt|)
                   (EXIT
                    (LETT |y2Approx| |y2Approxx| |ACPLOT;computeNextPt|))))
                 ('T
                  (SEQ
                   (LETT |pt| (|ACPLOT;makePt| |x2Approx| (QCDR |y2New|) $)
                    |ACPLOT;computeNextPt|)
                   (LETT |critPt| (|ACPLOT;findPtOnList| |pt| |crits| $)
                    |ACPLOT;computeNextPt|)
                   (EXIT
                    (COND
                     ((QEQCAR |critPt| 1)
                      (PROGN
                       (LETT #3# (CONS |pt| (QREFELT $ 16))
                        |ACPLOT;computeNextPt|)
                       (GO #3#)))
                     ('T
                      (PROGN
                       (LETT #3# (CONS (QCDR |critPt|) (QREFELT $ 18))
                        |ACPLOT;computeNextPt|)
                       (GO #3#))))))))))))))))))
      (COND
       ((NULL |xPointList|)
        (COND
         ((NULL (NULL |yPointList|))
          (SEQ
           (LETT |x2Approx| (+ |x1| (* (- (/ |py| |px|)) (- |y2Approx| |y1|)))
            |ACPLOT;computeNextPt|)
           (EXIT
            (COND
             ((EQUAL |incVar0| |y|)
              (SEQ (LETT |incVar| |y| |ACPLOT;computeNextPt|)
               (EXIT
                (LETT |lookingFor| (QREFELT $ 18) |ACPLOT;computeNextPt|))))
             ('T
              (SEQ
               (LETT |f|
                (|ACPLOT;SFPolyToUPoly|
                 (SPADCALL |pSF| |y| |y2Approx| (QREFELT $ 132)) $)
                |ACPLOT;computeNextPt|)
               (LETT |x2New|
                (|ACPLOT;newtonApprox| |f| |x2Approx| |err| |bound| $)
                |ACPLOT;computeNextPt|)
               (EXIT
                (COND
                 ((QEQCAR |x2New| 1)
                  (SEQ (LETT |x2Approx| |x2Approxx| |ACPLOT;computeNextPt|)
                   (EXIT
                    (LETT |y2Approx| |y2Approxx| |ACPLOT;computeNextPt|))))
                 ('T
                  (SEQ
                   (LETT |pt| (|ACPLOT;makePt| (QCDR |x2New|) |y2Approx| $)
                    |ACPLOT;computeNextPt|)
                   (LETT |critPt| (|ACPLOT;findPtOnList| |pt| |crits| $)
                    |ACPLOT;computeNextPt|)
                   (EXIT
                    (COND
                     ((QEQCAR |critPt| 1)
                      (PROGN
                       (LETT #3# (CONS |pt| (QREFELT $ 16))
                        |ACPLOT;computeNextPt|)
                       (GO #3#)))
                     ('T
                      (PROGN
                       (LETT #3# (CONS (QCDR |critPt|) (QREFELT $ 18))
                        |ACPLOT;computeNextPt|)
                       (GO #3#))))))))))))))))))
      (COND
       ((EQUAL |incVar| |x|)
        (SEQ (LETT |x2| |x2Approx| |ACPLOT;computeNextPt|)
         (LETT |f|
          (|ACPLOT;SFPolyToUPoly| (SPADCALL |pSF| |x| |x2| (QREFELT $ 132)) $)
          |ACPLOT;computeNextPt|)
         (LETT |y2New| (|ACPLOT;newtonApprox| |f| |y2Approx| |err| |bound| $)
          |ACPLOT;computeNextPt|)
         (EXIT
          (COND
           ((QEQCAR |y2New| 1)
            (PROGN
             (LETT #3#
              (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |p1|
               |corners| (FLOAT-SIGN #4# (/ (- |x2| |x1|) 2)) |err| |bound|
               |crits| |bdry| $)
              |ACPLOT;computeNextPt|)
             (GO #3#)))
           ('T (LETT |y2| (QCDR |y2New|) |ACPLOT;computeNextPt|))))))
       ('T
        (SEQ (LETT |y2| |y2Approx| |ACPLOT;computeNextPt|)
         (LETT |f|
          (|ACPLOT;SFPolyToUPoly| (SPADCALL |pSF| |y| |y2| (QREFELT $ 132)) $)
          |ACPLOT;computeNextPt|)
         (LETT |x2New| (|ACPLOT;newtonApprox| |f| |x2Approx| |err| |bound| $)
          |ACPLOT;computeNextPt|)
         (EXIT
          (COND
           ((QEQCAR |x2New| 1)
            (PROGN
             (LETT #3#
              (|ACPLOT;computeNextPt| |pSF| |dpdxSF| |dpdySF| |x| |y| |p0| |p1|
               |corners| (FLOAT-SIGN #4# (/ (- |y2| |y1|) 2)) |err| |bound|
               |crits| |bdry| $)
              |ACPLOT;computeNextPt|)
             (GO #3#)))
           ('T (LETT |x2| (QCDR |x2New|) |ACPLOT;computeNextPt|)))))))
      (LETT |pt| (|ACPLOT;makePt| |x2| |y2| $) |ACPLOT;computeNextPt|)
      (EXIT
       (COND ((EQUAL |lookingFor| (QREFELT $ 16)) (CONS |pt| |lookingFor|))
        ((EQUAL |lookingFor| (QREFELT $ 17))
         (SEQ
          (LETT |bdryPt| (|ACPLOT;findPtOnList| |pt| |bdry| $)
           |ACPLOT;computeNextPt|)
          (EXIT
           (COND ((QEQCAR |bdryPt| 1) (|error| "couldn't find boundary point"))
            ('T (CONS (QCDR |bdryPt|) (QREFELT $ 17)))))))
        ('T
         (SEQ
          (LETT |critPt| (|ACPLOT;findPtOnList| |pt| |crits| $)
           |ACPLOT;computeNextPt|)
          (EXIT
           (COND ((QEQCAR |critPt| 1) (CONS |pt| (QREFELT $ 16)))
            ('T (CONS (QCDR |critPt|) (QREFELT $ 18)))))))))))
    #3# (EXIT #3#))))) 

(DEFUN |ACPLOT;newtonApprox| (|f| |a0| |err| |bound| $)
 (PROG (|Df| #1=#:G3890 |oldApprox| |newApprox| |i|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |Df| (SPADCALL |f| (QREFELT $ 133)) |ACPLOT;newtonApprox|)
      (LETT |oldApprox| |a0| |ACPLOT;newtonApprox|)
      (LETT |newApprox|
       (- |a0|
        (/ (SPADCALL |f| |a0| (QREFELT $ 95))
         (SPADCALL |Df| |a0| (QREFELT $ 95))))
       |ACPLOT;newtonApprox|)
      (LETT |i| 1 |ACPLOT;newtonApprox|)
      (SEQ G190
       (COND
        ((NULL (< |err| (FLOAT-SIGN 1.0 (- |newApprox| |oldApprox|))))
         (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((EQL |i| |bound|)
           (PROGN (LETT #1# (CONS 1 "failed") |ACPLOT;newtonApprox|) (GO #1#)))
          ('T
           (SEQ (LETT |oldApprox| |newApprox| |ACPLOT;newtonApprox|)
            (LETT |newApprox|
             (- |oldApprox|
              (/ (SPADCALL |f| |oldApprox| (QREFELT $ 95))
               (SPADCALL |Df| |oldApprox| (QREFELT $ 95))))
             |ACPLOT;newtonApprox|)
            (EXIT (LETT |i| (+ |i| 1) |ACPLOT;newtonApprox|)))))))
       NIL (GO G190) G191 (EXIT NIL))
      (EXIT (CONS 0 |newApprox|))))
    #1# (EXIT #1#))))) 

(PUT '|ACPLOT;listBranches;$L;41| '|SPADreplace|
 '(XLAM (|acplot|) (QVELT |acplot| 10))) 

(DEFUN |ACPLOT;listBranches;$L;41| (|acplot| $) (QVELT |acplot| 10)) 

(DEFUN |ACPLOT;coerce;$Of;42| (|acplot| $)
 (PROG
  (|pp| |xx| |yy| |xLo| |xHi| |yLo| |yHi| |zip| |com| |les| |l| |branch|
   #1=#:G3897 #2=#:G3898 |p| #3=#:G3899 |ll| |f| |ff|)
  (RETURN
   (SEQ
    (LETT |pp| (SPADCALL (QVELT |acplot| 0) (QREFELT $ 136))
     |ACPLOT;coerce;$Of;42|)
    (LETT |xx| (SPADCALL (QVELT |acplot| 1) (QREFELT $ 137))
     |ACPLOT;coerce;$Of;42|)
    (LETT |yy| (SPADCALL (QVELT |acplot| 2) (QREFELT $ 137))
     |ACPLOT;coerce;$Of;42|)
    (LETT |xLo| (SPADCALL (QVELT |acplot| 3) (QREFELT $ 138))
     |ACPLOT;coerce;$Of;42|)
    (LETT |xHi| (SPADCALL (QVELT |acplot| 4) (QREFELT $ 138))
     |ACPLOT;coerce;$Of;42|)
    (LETT |yLo| (SPADCALL (QVELT |acplot| 5) (QREFELT $ 138))
     |ACPLOT;coerce;$Of;42|)
    (LETT |yHi| (SPADCALL (QVELT |acplot| 6) (QREFELT $ 138))
     |ACPLOT;coerce;$Of;42|)
    (LETT |zip| (SPADCALL " = 0" (QREFELT $ 140)) |ACPLOT;coerce;$Of;42|)
    (LETT |com| (SPADCALL ",   " (QREFELT $ 140)) |ACPLOT;coerce;$Of;42|)
    (LETT |les| (SPADCALL " <= " (QREFELT $ 140)) |ACPLOT;coerce;$Of;42|)
    (LETT |l|
     (LIST |pp| |zip| |com| |xLo| |les| |xx| |les| |xHi| |com| |yLo| |les| |yy|
      |les| |yHi|)
     |ACPLOT;coerce;$Of;42|)
    (LETT |f| NIL |ACPLOT;coerce;$Of;42|)
    (SEQ (LETT |branch| NIL |ACPLOT;coerce;$Of;42|)
     (LETT #1# (QVELT |acplot| 10) |ACPLOT;coerce;$Of;42|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |branch| (CAR #1#) |ACPLOT;coerce;$Of;42|) NIL))
       (GO G191)))
     (SEQ
      (LETT |ll|
       (PROGN (LETT #2# NIL |ACPLOT;coerce;$Of;42|)
        (SEQ (LETT |p| NIL |ACPLOT;coerce;$Of;42|)
         (LETT #3# |branch| |ACPLOT;coerce;$Of;42|) G190
         (COND
          ((OR (ATOM #3#)
            (PROGN (LETT |p| (CAR #3#) |ACPLOT;coerce;$Of;42|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #2# (CONS (SPADCALL |p| (QREFELT $ 141)) #2#)
            |ACPLOT;coerce;$Of;42|)))
         (LETT #3# (CDR #3#) |ACPLOT;coerce;$Of;42|) (GO G190) G191
         (EXIT (NREVERSE0 #2#))))
       |ACPLOT;coerce;$Of;42|)
      (EXIT
       (LETT |f| (CONS (SPADCALL |ll| (QREFELT $ 143)) |f|)
        |ACPLOT;coerce;$Of;42|)))
     (LETT #1# (CDR #1#) |ACPLOT;coerce;$Of;42|) (GO G190) G191 (EXIT NIL))
    (LETT |ff|
     (SPADCALL (SPADCALL |l| (QREFELT $ 144)) (SPADCALL |f| (QREFELT $ 143))
      (QREFELT $ 145))
     |ACPLOT;coerce;$Of;42|)
    (EXIT
     (SPADCALL (SPADCALL "ACPLOT" (QREFELT $ 140)) |ff| (QREFELT $ 145))))))) 

(DEFUN |PlaneAlgebraicCurvePlot| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3903)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|PlaneAlgebraicCurvePlot|)
        |PlaneAlgebraicCurvePlot|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|PlaneAlgebraicCurvePlot|
           (LIST (CONS NIL (CONS 1 (|PlaneAlgebraicCurvePlot;|))))))
         (LETT #1# T |PlaneAlgebraicCurvePlot|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache| '|PlaneAlgebraicCurvePlot|))))))))))) 

(DEFUN |PlaneAlgebraicCurvePlot;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|PlaneAlgebraicCurvePlot|) . #1=(|PlaneAlgebraicCurvePlot|))
    (LETT $ (GETREFV 147) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PlaneAlgebraicCurvePlot| NIL (CONS 1 $))
    (|stuffDomainSlots| $)
    (QSETREFV $ 6
     (|Record| (|:| |poly| (|Polynomial| (|Integer|))) (|:| |xVar| (|Symbol|))
      (|:| |yVar| (|Symbol|)) (|:| |minXVal| (|Fraction| (|Integer|)))
      (|:| |maxXVal| (|Fraction| (|Integer|)))
      (|:| |minYVal| (|Fraction| (|Integer|)))
      (|:| |maxYVal| (|Fraction| (|Integer|)))
      (|:| |bdryPts|
       (|Record| (|:| |left| (|List| (|Point| (|DoubleFloat|))))
        (|:| |right| (|List| (|Point| (|DoubleFloat|))))
        (|:| |bottom| (|List| (|Point| (|DoubleFloat|))))
        (|:| |top| (|List| (|Point| (|DoubleFloat|))))))
      (|:| |hTanPts| (|List| (|Point| (|DoubleFloat|))))
      (|:| |vTanPts| (|List| (|Point| (|DoubleFloat|))))
      (|:| |branches| (|List| (|List| (|Point| (|DoubleFloat|)))))))
    (QSETREFV $ 12 (SPADCALL 1 -6 10 (QREFELT $ 11)))
    (QSETREFV $ 15 (SPADCALL 1 -3 10 (QREFELT $ 14)))
    (QSETREFV $ 16 "nothing in particular") (QSETREFV $ 17 "boundary point")
    (QSETREFV $ 18 "critical point") (QSETREFV $ 19 "bottom")
    (QSETREFV $ 20 "top") $)))) 

(MAKEPROP '|PlaneAlgebraicCurvePlot| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL '|Rep| (|Float|) (0 . |One|) (|Integer|)
     (|PositiveInteger|) (4 . |float|) 'EPSILON (|DoubleFloat|) (11 . |float|)
     'PLOTERR 'NADA 'BDRY 'CRIT 'BOTTOM 'TOP (18 . |Zero|) (22 . |convert|)
     (|List| 13) (|Point| 13) (27 . |point|) (|PointPackage| 13)
     (32 . |yCoord|) (37 . |xCoord|) (|Boolean|) (|Polynomial| 13)
     (42 . |zero?|) (|SparseUnivariatePolynomial| 13) (47 . |Zero|)
     (51 . |leadingCoefficient|) (|NonNegativeInteger|) (56 . |totalDegree|)
     (61 . |monomial|) (67 . |reductum|) (72 . +) (|Polynomial| 44)
     (78 . |zero?|) (|SparseUnivariatePolynomial| 44) (83 . |Zero|)
     (|Fraction| 9) (87 . |leadingCoefficient|) (92 . |totalDegree|)
     (97 . |monomial|) (103 . |reductum|) (108 . +) (114 . |coerce|)
     (|Mapping| 13 9) (|Polynomial| 9) (|PolynomialFunctions2| 9 13)
     (119 . |map|) (125 . |coerce|) (|Mapping| 44 9)
     (|PolynomialFunctions2| 9 44) (130 . |map|) (136 . |coerce|)
     (141 . |coerce|) (146 . |convert|) (|Symbol|) (151 . |eval|) (|List| 7)
     (|RealSolvePackage|) (158 . |solve|) (164 . <) (170 . |second|) (175 . =)
     (181 . +) (187 . |max|) (193 . |min|) (199 . /) (205 . +) (|Segment| 44)
     (211 . |lo|) (216 . |hi|) (221 . <) (|List| 62) (227 . |variables|)
     (232 . |member?|) (238 . |totalDegree|) (243 . |degree|)
     |ACPLOT;makeSketch;P2S2S$;27| (249 . |solve|) (255 . |coefficient|)
     (262 . |ground|) (|Segment| 13) (267 . |segment|) (|Factored| 52)
     (273 . |coerce|) (278 . |numberOfFactors|) (283 . |differentiate|)
     (289 . -) (294 . |elt|) (300 . /) (|List| 64) (|List| 52)
     (306 . |realSolve|) (313 . <) (|Mapping| 29 13 13) (319 . |sort|)
     (325 . |elt|) (331 . |Zero|) (335 . =) (341 . |last|) (346 . |remove|)
     (|Mapping| 13 13) (|Plot|) (352 . |plot|) (|List| 114)
     (358 . |listBranches|) (|Mapping| 24 24) (|List| 24) (363 . |map|)
     (369 . |nthFactor|) (375 . /) (381 . -) (387 . *) (393 . -) (398 . |min|)
     |ACPLOT;refine;$Df$;34| (402 . |second|) (407 . |third|) (412 . |eval|)
     (419 . |ground|) (424 . |member?|) (430 . |remove|) (436 . |second|)
     (441 . =) (447 . =) (453 . |eval|) (460 . |differentiate|)
     |ACPLOT;listBranches;$L;41| (|OutputForm|) (465 . |coerce|)
     (470 . |coerce|) (475 . |coerce|) (|String|) (480 . |message|)
     (485 . |coerce|) (|List| $) (490 . |vconcat|) (495 . |hconcat|)
     (500 . |vconcat|) |ACPLOT;coerce;$Of;42|)
  '#(|yRange| 506 |xRange| 511 |refine| 516 |makeSketch| 522 |listBranches| 531
     |coerce| 536)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0))
   (CONS '#(NIL NIL)
    (CONS '#((|PlottablePlaneCurveCategory|) (|CoercibleTo| 135))
     (|makeByteWordVec2| 146
      '(0 7 0 8 3 7 0 9 9 10 11 3 13 0 9 9 10 14 0 7 0 21 1 7 13 0 22 1 24 0 23
        25 1 26 13 24 27 1 26 13 24 28 1 30 29 0 31 0 32 0 33 1 30 13 0 34 1 30
        35 0 36 2 32 0 13 35 37 1 30 0 0 38 2 32 0 0 0 39 1 40 29 0 41 0 42 0
        43 1 40 44 0 45 1 40 35 0 46 2 42 0 44 35 47 1 40 0 0 48 2 42 0 0 0 49
        1 13 0 9 50 2 53 30 51 52 54 1 44 0 9 55 2 57 40 56 52 58 1 13 0 44 59
        1 7 0 44 60 1 7 0 13 61 3 40 0 0 62 44 63 2 65 64 40 7 66 2 7 29 0 0 67
        1 64 7 0 68 2 7 29 0 0 69 2 7 0 0 0 70 2 7 0 0 0 71 2 7 0 0 0 72 2 44 0
        0 0 73 2 44 0 0 0 74 1 75 44 0 76 1 75 44 0 77 2 44 29 0 0 78 1 52 79 0
        80 2 79 29 62 0 81 1 52 35 0 82 2 52 35 0 62 83 2 65 64 52 7 85 3 52 0
        0 62 35 86 1 52 9 0 87 2 88 0 13 13 89 1 90 0 52 91 1 90 35 0 92 2 52 0
        0 62 93 1 52 0 0 94 2 32 13 0 13 95 2 13 0 0 0 96 3 65 97 98 79 7 99 2
        13 29 0 0 100 2 23 0 101 0 102 2 42 44 0 44 103 0 44 0 104 2 44 29 0 0
        105 1 23 13 0 106 2 23 0 13 0 107 2 109 0 108 88 110 1 109 111 0 112 2
        114 0 113 0 115 2 90 52 0 9 116 2 44 0 9 9 117 2 44 0 0 0 118 2 44 0 0
        0 119 1 44 0 0 120 0 7 0 121 1 111 114 0 123 1 111 114 0 124 3 30 0 0
        79 23 125 1 30 13 0 126 2 114 29 24 0 127 2 114 0 24 0 128 1 114 24 0
        129 2 24 29 0 0 130 2 114 29 0 0 131 3 30 0 0 62 13 132 1 32 0 0 133 1
        52 135 0 136 1 62 135 0 137 1 44 135 0 138 1 135 0 139 140 1 24 135 0
        141 1 135 0 142 143 1 135 0 142 144 2 135 0 0 0 145 1 0 88 0 1 1 0 88 0
        1 2 0 0 0 13 122 5 0 0 52 62 62 75 75 84 1 0 111 0 134 1 0 135 0
        146)))))
  '|lookupComplete|)) 

(MAKEPROP '|PlaneAlgebraicCurvePlot| 'NILADIC T) 
