
(/VERSIONCHECK 2) 

(DEFUN |AF;belong?;BoB;1| (|op| $) (SPADCALL |op| "%alg" (QREFELT $ 17))) 

(DEFUN |AF;dalg| (|l| $)
 (SPADCALL (SPADCALL |l| (QREFELT $ 20)) (QREFELT $ 22))) 

(DEFUN |AF;rootOf;SupSF;3| (|p| |x| $)
 (PROG (|k| |r| |f| |n|)
  (RETURN
   (SEQ (LETT |k| (SPADCALL |x| (QREFELT $ 24)) |AF;rootOf;SupSF;3|)
    (LETT |r| (SPADCALL |p| (QREFELT $ 27)) |AF;rootOf;SupSF;3|)
    (EXIT
     (COND
      ((QEQCAR |r| 1)
       (SPADCALL |p| (SPADCALL |k| (QREFELT $ 29)) (QREFELT $ 30)))
      ('T
       (SEQ
        (LETT |n|
         (SPADCALL
          (LETT |f| (SPADCALL (QCDR |r|) |k| (QREFELT $ 32))
           |AF;rootOf;SupSF;3|)
          (QREFELT $ 34))
         |AF;rootOf;SupSF;3|)
        (EXIT
         (COND
          ((< 0 (SPADCALL (SPADCALL |f| (QREFELT $ 37)) (QREFELT $ 41)))
           (|error| "roofOf: variable appears in denom"))
          ('T
           (SPADCALL |n| (SPADCALL |k| (QREFELT $ 29))
            (QREFELT $ 30))))))))))))) 

(DEFUN |AF;dvalg| (|l| |x| $)
 (PROG (|p| |alpha|)
  (RETURN
   (SEQ
    (LETT |p|
     (SPADCALL
      (SPADCALL (|SPADfirst| |l|)
       (SPADCALL (SPADCALL |l| (QREFELT $ 20)) (QREFELT $ 43)) (QREFELT $ 32))
      (QREFELT $ 34))
     |AF;dvalg|)
    (LETT |alpha| (SPADCALL (QREFELT $ 14) |l| (QREFELT $ 45)) |AF;dvalg|)
    (EXIT
     (SPADCALL
      (SPADCALL
       (SPADCALL
        (SPADCALL (CONS #'|AF;dvalg!0| (VECTOR $ |x|)) |p| (QREFELT $ 49))
        |alpha| (QREFELT $ 50))
       (SPADCALL (SPADCALL |p| (QREFELT $ 51)) |alpha| (QREFELT $ 50))
       (QREFELT $ 52))
      (QREFELT $ 53))))))) 

(DEFUN |AF;dvalg!0| (|#1| $$)
 (SPADCALL |#1| (QREFELT $$ 1) (QREFELT (QREFELT $$ 0) 46))) 

(DEFUN |AF;ialg| (|l| $)
 (PROG (|p| |x| |f|)
  (RETURN
   (SEQ
    (LETT |f|
     (SPADCALL (LETT |p| (|SPADfirst| |l|) |AF;ialg|)
      (SPADCALL (LETT |x| (SPADCALL |l| (QREFELT $ 20)) |AF;ialg|)
       (QREFELT $ 43))
      (QREFELT $ 32))
     |AF;ialg|)
    (EXIT
     (COND
      ((< 0 (SPADCALL (SPADCALL |f| (QREFELT $ 37)) (QREFELT $ 41)))
       (|error| "roofOf: variable appears in denom"))
      ('T (SPADCALL (SPADCALL |f| (QREFELT $ 34)) |x| (QREFELT $ 30))))))))) 

(DEFUN |AF;operator;2Bo;6| (|op| $)
 (COND
  ((SPADCALL |op| (SPADCALL "rootOf" (QREFELT $ 10)) (QREFELT $ 54))
   (QREFELT $ 14))
  ((SPADCALL |op| (SPADCALL "nthRoot" (QREFELT $ 10)) (QREFELT $ 54))
   (QREFELT $ 15))
  ('T (|error| "Unknown operator")))) 

(DEFUN |AF;inrootof;Sup2F;7| (|q| |x| $)
 (PROG (|d| #1=#:G3587 |rx| |r| #2=#:G3586)
  (RETURN
   (SEQ
    (COND ((SPADCALL |q| (QREFELT $ 56)) (|spadConstant| $ 36))
     ('T
      (SEQ
       (EXIT
        (SEQ
         (SEQ (LETT |d| (SPADCALL |q| (QREFELT $ 41)) |AF;inrootof;Sup2F;7|)
          (EXIT
           (COND
            ((NULL (< 0 |d|))
             (PROGN
              (LETT #1# (|error| "rootOf: constant polynomial")
               |AF;inrootof;Sup2F;7|)
              (GO #1#))))))
         (EXIT
          (COND
           ((EQL |d| 1)
            (SPADCALL
             (SPADCALL (SPADCALL (SPADCALL |q| (QREFELT $ 59)) (QREFELT $ 60))
              (SPADCALL |q| (QREFELT $ 60)) (QREFELT $ 52))
             (QREFELT $ 53)))
           ('T
            (SEQ
             (EXIT
              (SEQ
               (SEQ
                (LETT |rx| (SPADCALL |x| (QREFELT $ 62)) |AF;inrootof;Sup2F;7|)
                (EXIT
                 (COND
                  ((QEQCAR |rx| 0)
                   (SEQ (LETT |r| (|AF;UP2R| |q| $) |AF;inrootof;Sup2F;7|)
                    (EXIT
                     (COND
                      ((QEQCAR |r| 0)
                       (PROGN
                        (LETT #2#
                         (SPADCALL
                          (SPADCALL (QCDR |r|) (QCDR |rx|) (QREFELT $ 64))
                          (QREFELT $ 65))
                         |AF;inrootof;Sup2F;7|)
                        (GO #2#))))))))))
               (EXIT
                (SPADCALL (QREFELT $ 14)
                 (LIST (SPADCALL |q| |x| (QREFELT $ 50)) |x|)
                 (QREFELT $ 45)))))
             #2# (EXIT #2#)))))))
       #1# (EXIT #1#)))))))) 

(DEFUN |AF;UP2R| (|p| $)
 (PROG (|r| #1=#:G3603 |ans|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |ans| (|spadConstant| $ 67) |AF;UP2R|)
      (SEQ G190
       (COND
        ((NULL
          (COND ((SPADCALL |p| (|spadConstant| $ 38) (QREFELT $ 68)) 'NIL)
           ('T 'T)))
         (GO G191)))
       (SEQ
        (LETT |r| (SPADCALL (SPADCALL |p| (QREFELT $ 60)) (QREFELT $ 70))
         |AF;UP2R|)
        (EXIT
         (COND
          ((QEQCAR |r| 1)
           (PROGN (LETT #1# (CONS 1 "failed") |AF;UP2R|) (GO #1#)))
          ('T
           (SEQ
            (LETT |ans|
             (SPADCALL |ans|
              (SPADCALL (QCDR |r|) (SPADCALL |p| (QREFELT $ 41))
               (QREFELT $ 71))
              (QREFELT $ 72))
             |AF;UP2R|)
            (EXIT (LETT |p| (SPADCALL |p| (QREFELT $ 59)) |AF;UP2R|)))))))
       NIL (GO G190) G191 (EXIT NIL))
      (EXIT (CONS 0 |ans|))))
    #1# (EXIT #1#))))) 

(DEFUN |AF;inrootof;Sup2F;9| (|q| |x| $)
 (PROG (|d| #1=#:G3605)
  (RETURN
   (SEQ
    (COND ((SPADCALL |q| (QREFELT $ 56)) (|spadConstant| $ 36))
     ('T
      (SEQ
       (EXIT
        (SEQ
         (SEQ (LETT |d| (SPADCALL |q| (QREFELT $ 41)) |AF;inrootof;Sup2F;9|)
          (EXIT
           (COND
            ((NULL (< 0 |d|))
             (PROGN
              (LETT #1# (|error| "rootOf: constant polynomial")
               |AF;inrootof;Sup2F;9|)
              (GO #1#))))))
         (EXIT
          (COND
           ((EQL |d| 1)
            (SPADCALL
             (SPADCALL (SPADCALL (SPADCALL |q| (QREFELT $ 59)) (QREFELT $ 60))
              (SPADCALL |q| (QREFELT $ 60)) (QREFELT $ 52))
             (QREFELT $ 53)))
           ('T
            (SPADCALL (QREFELT $ 14)
             (LIST (SPADCALL |q| |x| (QREFELT $ 50)) |x|) (QREFELT $ 45)))))))
       #1# (EXIT #1#)))))))) 

(DEFUN |AF;lzero| (|l| $) (|spadConstant| $ 36)) 

(DEFUN |AF;droot;LOf;11| (|l| $)
 (PROG (|x| |n|)
  (RETURN
   (SEQ
    (LETT |x| (SPADCALL (|SPADfirst| |l|) (QREFELT $ 22)) |AF;droot;LOf;11|)
    (LETT |n| (SPADCALL (SPADCALL |l| (QREFELT $ 20)) (QREFELT $ 81))
     |AF;droot;LOf;11|)
    (EXIT
     (COND ((EQL |n| 2) (SPADCALL |x| (QREFELT $ 82)))
      ('T (SPADCALL |x| (SPADCALL |n| (QREFELT $ 83)) (QREFELT $ 84))))))))) 

(DEFUN |AF;dvroot| (|l| $)
 (PROG (|n|)
  (RETURN
   (SEQ
    (LETT |n| (SPADCALL (SPADCALL |l| (QREFELT $ 20)) (QREFELT $ 81))
     |AF;dvroot|)
    (EXIT
     (SPADCALL
      (SPADCALL (|SPADfirst| |l|) (SPADCALL (- 1 |n|) |n| (QREFELT $ 89))
       (QREFELT $ 90))
      (SPADCALL |n| (QREFELT $ 91)) (QREFELT $ 52))))))) 

(DEFUN |AF;**;FFF;13| (|x| |q| $)
 (PROG (|qr|)
  (RETURN
   (SEQ
    (LETT |qr|
     (DIVIDE2 (SPADCALL |q| (QREFELT $ 92)) (SPADCALL |q| (QREFELT $ 93)))
     |AF;**;FFF;13|)
    (EXIT
     (SPADCALL (SPADCALL |x| (QCAR |qr|) (QREFELT $ 94))
      (SPADCALL
       (|AF;inroot|
        (LIST |x| (SPADCALL (SPADCALL |q| (QREFELT $ 93)) (QREFELT $ 91))) $)
       (QCDR |qr|) (QREFELT $ 94))
      (QREFELT $ 95))))))) 

(DEFUN |AF;hackroot| (|x| |n| $)
 (PROG (|dx| |rx| #1=#:G3627)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((OR (EQL |n| 1) (SPADCALL |x| (|spadConstant| $ 58) (QREFELT $ 96)))
       |x|)
      ('T
       (SEQ
        (SEQ (LETT |dx| (SPADCALL |x| (QREFELT $ 98)) |AF;hackroot|)
         (EXIT
          (COND
           ((NULL (SPADCALL |dx| (|spadConstant| $ 87) (QREFELT $ 99)))
            (SEQ (LETT |rx| (SPADCALL |dx| (QREFELT $ 101)) |AF;hackroot|)
             (EXIT
              (COND
               ((QEQCAR |rx| 0)
                (COND
                 ((SPADCALL (QCDR |rx|) (QREFELT $ 102))
                  (PROGN
                   (LETT #1#
                    (SPADCALL
                     (|AF;hackroot|
                      (SPADCALL (SPADCALL |x| (QREFELT $ 103)) (QREFELT $ 104))
                      |n| $)
                     (|AF;hackroot| (SPADCALL (QCDR |rx|) (QREFELT $ 91)) |n|
                      $)
                     (QREFELT $ 52))
                    |AF;hackroot|)
                   (GO #1#))))))))))))
        (COND
         ((SPADCALL |x| (SPADCALL (|spadConstant| $ 58) (QREFELT $ 53))
           (QREFELT $ 96))
          (COND
           ((EQL |n| 4)
            (EXIT
             (SPADCALL
              (SPADCALL
               (SPADCALL (SPADCALL (|spadConstant| $ 58) (QREFELT $ 53))
                (SPADCALL (|spadConstant| $ 105) (SPADCALL 2 (QREFELT $ 106))
                 (QREFELT $ 107))
                (QREFELT $ 90))
               (|spadConstant| $ 58) (QREFELT $ 108))
              (SPADCALL (SPADCALL 2 (QREFELT $ 91))
               (SPADCALL (|spadConstant| $ 105) (SPADCALL 2 (QREFELT $ 106))
                (QREFELT $ 107))
               (QREFELT $ 90))
              (QREFELT $ 52)))))))
        (EXIT
         (SPADCALL (QREFELT $ 15) (LIST |x| (SPADCALL |n| (QREFELT $ 91)))
          (QREFELT $ 45)))))))
    #1# (EXIT #1#))))) 

(DEFUN |AF;inroot| (|l| $)
 (PROG (|n| |x| #1=#:G3643 |r| |u| #2=#:G3639 |pr|)
  (RETURN
   (SEQ
    (COND
     ((ZEROP
       (LETT |n| (SPADCALL (SPADCALL |l| (QREFELT $ 20)) (QREFELT $ 81))
        |AF;inroot|))
      (|error| "root: exponent = 0"))
     ('T
      (SEQ
       (EXIT
        (SEQ
         (SEQ (LETT |x| (|SPADfirst| |l|) |AF;inroot|)
          (EXIT
           (COND
            ((OR (SPADCALL |x| (|spadConstant| $ 58) (QREFELT $ 96))
              (EQL |n| 1))
             (PROGN (LETT #1# |x| |AF;inroot|) (GO #1#))))))
         (LETT |r| (SPADCALL |x| (QREFELT $ 70)) |AF;inroot|)
         (EXIT
          (COND ((QEQCAR |r| 0) (SPADCALL (QCDR |r|) |n| (QREFELT $ 109)))
           ((QEQCAR
             (LETT |u| (SPADCALL |x| (QREFELT $ 15) (QREFELT $ 112))
              |AF;inroot|)
             0)
            (SEQ
             (LETT |pr|
              (PROG2 (LETT #2# |u| |AF;inroot|) (QCDR #2#)
               (|check-union| (QEQCAR #2# 0)
                (|Record| (|:| |var| (|Kernel| (QREFELT $ 7)))
                 (|:| |exponent| (|Integer|)))
                #2#))
              |AF;inroot|)
             (EXIT
              (SPADCALL (|SPADfirst| (SPADCALL (QCAR |pr|) (QREFELT $ 113)))
               (SPADCALL (QCDR |pr|)
                (* |n|
                 (SPADCALL
                  (SPADCALL (SPADCALL (QCAR |pr|) (QREFELT $ 113))
                   (QREFELT $ 20))
                  (QREFELT $ 81)))
                (QREFELT $ 89))
               (QREFELT $ 90)))))
           ('T (|AF;inroot0| |x| |n| 'NIL 'NIL $))))))
       #1# (EXIT #1#)))))))) 

(DEFUN |AF;inroot0| (|x| |n| |num?| |den?| $)
 (PROG (|rn| |rd| #1=#:G3649 #2=#:G3653 #3=#:G3658 |rec| #4=#:G3647)
  (RETURN
   (SEQ
    (LETT |rn|
     (COND (|num?| (CONS 1 "failed"))
      ('T (SPADCALL (SPADCALL |x| (QREFELT $ 103)) (QREFELT $ 101))))
     |AF;inroot0|)
    (LETT |rd|
     (COND (|den?| (CONS 1 "failed"))
      ('T (SPADCALL (SPADCALL |x| (QREFELT $ 98)) (QREFELT $ 101))))
     |AF;inroot0|)
    (COND
     ((QEQCAR |rn| 0)
      (COND
       ((QEQCAR |rd| 0)
        (EXIT
         (SEQ
          (LETT |rec|
           (SPADCALL (SPADCALL (QCDR |rn|) (QCDR |rd|) (QREFELT $ 89))
            (PROG1 (LETT #1# |n| |AF;inroot0|)
             (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
            (QREFELT $ 116))
           |AF;inroot0|)
          (EXIT
           (SPADCALL (QVELT |rec| 1)
            (|AF;hackroot| (QVELT |rec| 2) (QVELT |rec| 0) $)
            (QREFELT $ 95)))))))))
    (EXIT
     (COND
      ((QEQCAR |rn| 0)
       (SEQ
        (LETT |rec|
         (SPADCALL (SPADCALL (QCDR |rn|) (QREFELT $ 106))
          (PROG1 (LETT #2# |n| |AF;inroot0|)
           (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
          (QREFELT $ 116))
         |AF;inroot0|)
        (EXIT
         (SPADCALL (QVELT |rec| 1)
          (|AF;inroot0|
           (SPADCALL
            (SPADCALL (QVELT |rec| 2)
             (PROG2
              (LETT #4# (SPADCALL |n| (QVELT |rec| 0) (QREFELT $ 118))
               |AF;inroot0|)
              (QCDR #4#) (|check-union| (QEQCAR #4# 0) (|Integer|) #4#))
             (QREFELT $ 94))
            (SPADCALL (SPADCALL |x| (QREFELT $ 98)) (QREFELT $ 104))
            (QREFELT $ 52))
           |n| 'T |den?| $)
          (QREFELT $ 95)))))
      ((QEQCAR |rd| 0)
       (SEQ
        (LETT |rec|
         (SPADCALL (SPADCALL (QCDR |rd|) (QREFELT $ 106))
          (PROG1 (LETT #3# |n| |AF;inroot0|)
           (|check-subtype| (>= #3# 0) '(|NonNegativeInteger|) #3#))
          (QREFELT $ 116))
         |AF;inroot0|)
        (EXIT
         (SPADCALL
          (|AF;inroot0|
           (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 103)) (QREFELT $ 104))
            (SPADCALL (QVELT |rec| 2)
             (PROG2
              (LETT #4# (SPADCALL |n| (QVELT |rec| 0) (QREFELT $ 118))
               |AF;inroot0|)
              (QCDR #4#) (|check-union| (QEQCAR #4# 0) (|Integer|) #4#))
             (QREFELT $ 94))
            (QREFELT $ 52))
           |n| |num?| 'T $)
          (QVELT |rec| 1) (QREFELT $ 52)))))
      ('T (|AF;hackroot| |x| |n| $)))))))) 

(DEFUN |AF;iroot;RIF;17| (|r| |n| $)
 (SPADCALL (SPADCALL |r| |n| (QREFELT $ 119)) (QREFELT $ 65))) 

(DEFUN |AF;iroot;RIF;18| (|r| |n| $)
 (SPADCALL (SPADCALL |r| |n| (QREFELT $ 119)) (QREFELT $ 65))) 

(DEFUN |AF;iroot;RIF;19| (|r| |n| $)
 (COND
  ((OR (ODDP |n|) (NULL (SPADCALL |r| (|spadConstant| $ 35) (QREFELT $ 120))))
   (SPADCALL (SPADCALL |r| |n| (QREFELT $ 119)) (QREFELT $ 65)))
  ('T (|AF;iroot0| |r| |n| $)))) 

(DEFUN |AF;iroot;RIF;20| (|r| |n| $) (|AF;iroot0| |r| |n| $)) 

(DEFUN |AF;iroot0| (|r| |n| $)
 (PROG (#1=#:G3668 |rec|)
  (RETURN
   (SEQ
    (LETT |rec|
     (SPADCALL |r|
      (PROG1 (LETT #1# |n| |AF;iroot0|)
       (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
      (QREFELT $ 121))
     |AF;iroot0|)
    (EXIT
     (SPADCALL (QVELT |rec| 1)
      (|AF;hackroot| (QVELT |rec| 2) (QVELT |rec| 0) $) (QREFELT $ 95))))))) 

(DEFUN |AF;definingPolynomial;2F;22| (|x| $)
 (PROG (|r| |k|)
  (RETURN
   (SEQ (LETT |r| (SPADCALL |x| (QREFELT $ 123)) |AF;definingPolynomial;2F;22|)
    (EXIT
     (COND
      ((QEQCAR |r| 0)
       (COND
        ((SPADCALL (LETT |k| (QCDR |r|) |AF;definingPolynomial;2F;22|)
          (QREFELT $ 14) (QREFELT $ 124))
         (|SPADfirst| (SPADCALL |k| (QREFELT $ 113))))
        ((SPADCALL |k| (QREFELT $ 15) (QREFELT $ 124))
         (SPADCALL
          (SPADCALL (QREFELT $ 79)
           (SPADCALL (SPADCALL (SPADCALL |k| (QREFELT $ 113)) (QREFELT $ 20))
            (QREFELT $ 81))
           (QREFELT $ 94))
          (|SPADfirst| (SPADCALL |k| (QREFELT $ 113))) (QREFELT $ 125)))
        ('T (SPADCALL (QREFELT $ 79) |x| (QREFELT $ 125)))))
      ('T (SPADCALL (QREFELT $ 79) |x| (QREFELT $ 125))))))))) 

(DEFUN |AF;minPoly;KSup;23| (|k| $)
 (PROG (#1=#:G3682)
  (RETURN
   (COND
    ((SPADCALL |k| (QREFELT $ 14) (QREFELT $ 124))
     (SPADCALL
      (SPADCALL (|SPADfirst| (SPADCALL |k| (QREFELT $ 113)))
       (SPADCALL (SPADCALL (SPADCALL |k| (QREFELT $ 113)) (QREFELT $ 20))
        (QREFELT $ 43))
       (QREFELT $ 32))
      (QREFELT $ 34)))
    ((SPADCALL |k| (QREFELT $ 15) (QREFELT $ 124))
     (SPADCALL
      (SPADCALL (|spadConstant| $ 58)
       (PROG1
        (LETT #1#
         (SPADCALL (SPADCALL (SPADCALL |k| (QREFELT $ 113)) (QREFELT $ 20))
          (QREFELT $ 81))
         |AF;minPoly;KSup;23|)
        (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
       (QREFELT $ 127))
      (SPADCALL (|SPADfirst| (SPADCALL |k| (QREFELT $ 113))) (QREFELT $ 128))
      (QREFELT $ 129)))
    ('T
     (SPADCALL (SPADCALL (|spadConstant| $ 58) 1 (QREFELT $ 127))
      (SPADCALL (SPADCALL |k| (QREFELT $ 29)) (QREFELT $ 128))
      (QREFELT $ 129))))))) 

(DEFUN |AF;droot;LOf;24| (|l| $)
 (PROG (|x| |n|)
  (RETURN
   (SEQ
    (LETT |x| (SPADCALL (|SPADfirst| |l|) (QREFELT $ 22)) |AF;droot;LOf;24|)
    (LETT |n| (SPADCALL |l| (QREFELT $ 20)) |AF;droot;LOf;24|)
    (EXIT
     (COND
      ((SPADCALL |n| (SPADCALL 2 (QREFELT $ 91)) (QREFELT $ 96))
       (SPADCALL |x| (QREFELT $ 82)))
      ('T (SPADCALL |x| (SPADCALL |n| (QREFELT $ 22)) (QREFELT $ 84))))))))) 

(DEFUN |AF;minPoly;KSup;25| (|k| $)
 (COND
  ((SPADCALL |k| (QREFELT $ 14) (QREFELT $ 124))
   (SPADCALL
    (SPADCALL (|SPADfirst| (SPADCALL |k| (QREFELT $ 113)))
     (SPADCALL (SPADCALL (SPADCALL |k| (QREFELT $ 113)) (QREFELT $ 20))
      (QREFELT $ 43))
     (QREFELT $ 32))
    (QREFELT $ 34)))
  ('T
   (SPADCALL (SPADCALL (|spadConstant| $ 58) 1 (QREFELT $ 127))
    (SPADCALL (SPADCALL |k| (QREFELT $ 29)) (QREFELT $ 128))
    (QREFELT $ 129))))) 

(DEFUN |AlgebraicFunction| (&REST #1=#:G3695 &AUX #2=#:G3693) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3694)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|AlgebraicFunction|) '|domainEqualList|)
        |AlgebraicFunction|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |AlgebraicFunction;|) #2#)
         (LETT #3# T |AlgebraicFunction|))
        (COND
         ((NOT #3#) (HREM |$ConstructorCache| '|AlgebraicFunction|))))))))))) 

(DEFUN |AlgebraicFunction;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|AlgebraicFunction|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|AlgebraicFunction| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 133) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|RetractableTo| (|Integer|)))))
      . #1#))
    (|haddProp| |$ConstructorCache| '|AlgebraicFunction| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 14
     (SPADCALL (SPADCALL "rootOf" (QREFELT $ 10)) (QREFELT $ 13)))
    (QSETREFV $ 15
     (SPADCALL (SPADCALL "nthRoot" (QREFELT $ 10)) (QREFELT $ 13)))
    (COND
     ((|HasCategory| |#1| '(|AlgebraicallyClosedField|))
      (PROGN
       (QSETREFV $ 30 (CONS (|dispatchFunction| |AF;inrootof;Sup2F;7|) $))))
     ('T (QSETREFV $ 30 (CONS (|dispatchFunction| |AF;inrootof;Sup2F;9|) $))))
    (SPADCALL (QREFELT $ 14) (CONS (|function| |AF;ialg|) $) (QREFELT $ 75))
    (SPADCALL (QREFELT $ 14) "%specialDiff" (CONS (|function| |AF;dvalg|) $)
     (QREFELT $ 77))
    (SPADCALL (QREFELT $ 14) #2="%specialDisp" (CONS (|function| |AF;dalg|) $)
     (QREFELT $ 77))
    (COND
     ((|testBitVector| |pv$| 1)
      (PROGN
       (QSETREFV $ 79
        (SPADCALL (SPADCALL "%%var" (QREFELT $ 10)) (QREFELT $ 78)))
       NIL NIL NIL NIL NIL
       (QSETREFV $ 85 (CONS (|dispatchFunction| |AF;droot;LOf;11|) $))
       (QSETREFV $ 90 (CONS (|dispatchFunction| |AF;**;FFF;13|) $))
       (COND
        ((|HasCategory| |#1| '(|AlgebraicallyClosedField|))
         (QSETREFV $ 109 (CONS (|dispatchFunction| |AF;iroot;RIF;17|) $)))
        ('T
         (PROGN
          (COND
           ((|HasCategory| |#1| '(|RadicalCategory|))
            (COND
             ((|HasSignature| |#1|
               (LIST '|imaginary| (LIST (|devaluate| |#1|))))
              (QSETREFV $ 109 (CONS (|dispatchFunction| |AF;iroot;RIF;18|) $)))
             ('T
              (QSETREFV $ 109
               (CONS (|dispatchFunction| |AF;iroot;RIF;19|) $)))))
           ('T
            (QSETREFV $ 109
             (CONS (|dispatchFunction| |AF;iroot;RIF;20|) $)))))))
       (QSETREFV $ 126
        (CONS (|dispatchFunction| |AF;definingPolynomial;2F;22|) $))
       (QSETREFV $ 130 (CONS (|dispatchFunction| |AF;minPoly;KSup;23|) $))
       (SPADCALL (QREFELT $ 15) (CONS (|function| |AF;inroot|) $)
        (QREFELT $ 75))
       (SPADCALL (QREFELT $ 15)
        (LIST (CONS (|function| |AF;dvroot|) $)
         (CONS (|function| |AF;lzero|) $))
        (QREFELT $ 132))))
     ('T
      (PROGN (QSETREFV $ 85 (CONS (|dispatchFunction| |AF;droot;LOf;24|) $))
       (QSETREFV $ 130 (CONS (|dispatchFunction| |AF;minPoly;KSup;25|) $)))))
    (SPADCALL (QREFELT $ 15) #2# (ELT $ 85) (QREFELT $ 77)) $)))) 

(MAKEPROP '|AlgebraicFunction| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|String|)
     (|Symbol|) (0 . |coerce|) (|BasicOperator|) (|CommonOperators|)
     (5 . |operator|) '|opalg| '|oproot| (|Boolean|) (10 . |has?|)
     |AF;belong?;BoB;1| (|List| 7) (16 . |second|) (|OutputForm|)
     (21 . |coerce|) (|Kernel| 7) (26 . |kernel|) (|Union| 7 '#1="failed")
     (|SparseUnivariatePolynomial| 7) (31 . |retractIfCan|) (|Kernel| $)
     (36 . |coerce|) (41 . |inrootof|) (|Fraction| 63) (47 . |univariate|)
     (|Fraction| 26) (53 . |numer|) (58 . |Zero|) (62 . |Zero|) (66 . |denom|)
     (71 . |Zero|) (75 . |Zero|) (|NonNegativeInteger|) (79 . |degree|)
     |AF;rootOf;SupSF;3| (84 . |retract|) (|List| $) (89 . |kernel|)
     (95 . |differentiate|) (101 . |differentiate|) (|Mapping| 7 7)
     (107 . |map|) (113 . |elt|) (119 . |differentiate|) (124 . /) (130 . -)
     (135 . |is?|) |AF;operator;2Bo;6| (141 . |monomial?|) (146 . |One|)
     (150 . |One|) (154 . |reductum|) (159 . |leadingCoefficient|)
     (|Union| 9 '#1#) (164 . |retractIfCan|) (|SparseUnivariatePolynomial| $)
     (169 . |rootOf|) (175 . |coerce|) (|SparseUnivariatePolynomial| 6)
     (180 . |Zero|) (184 . =) (|Union| 6 '#1#) (190 . |retractIfCan|)
     (195 . |monomial|) (201 . +) (|Mapping| 7 19)
     (|BasicOperatorFunctions1| 7) (207 . |evaluate|) (|None|)
     (213 . |setProperty|) (220 . |coerce|) '|dumvar| (|Integer|)
     (225 . |retract|) (230 . |root|) (235 . |coerce|) (240 . |root|)
     (246 . |droot|) (|SparseMultivariatePolynomial| 6 23) (251 . |One|)
     (|Fraction| 80) (255 . /) (261 . **) (267 . |coerce|) (272 . |numer|)
     (277 . |denom|) (282 . **) (288 . *) (294 . =)
     (|SparseMultivariatePolynomial| 6 28) (300 . |denom|) (305 . =)
     (|Union| 80 '#1#) (311 . |retractIfCan|) (316 . |positive?|)
     (321 . |numer|) (326 . |coerce|) (331 . |One|) (335 . |coerce|) (340 . /)
     (346 . +) (352 . |iroot|) (|Record| (|:| |var| 28) (|:| |exponent| 80))
     (|Union| 110 '"failed") (358 . |isExpt|) (364 . |argument|)
     (|Record| (|:| |exponent| 40) (|:| |coef| 7) (|:| |radicand| 7))
     (|PolynomialRoots| (|IndexedExponents| 23) 23 6 86 7) (369 . |qroot|)
     (|Union| $ '"failed") (375 . |exquo|) (381 . |nthRoot|) (387 . <)
     (393 . |rroot|) (|Union| 28 '#1#) (399 . |retractIfCan|) (404 . |is?|)
     (410 . -) (416 . |definingPolynomial|) (421 . |monomial|) (427 . |coerce|)
     (432 . -) (438 . |minPoly|) (|List| 73) (443 . |derivative|))
  '#(|rootOf| 449 |operator| 455 |minPoly| 460 |iroot| 465 |inrootof| 471
     |droot| 477 |definingPolynomial| 482 |belong?| 487 ** 492)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 132
      '(1 9 0 8 10 1 12 11 9 13 2 11 16 0 8 17 1 19 7 0 20 1 7 21 0 22 1 23 0 9
        24 1 26 25 0 27 1 7 0 28 29 2 0 7 26 7 30 2 7 31 0 28 32 1 33 26 0 34 0
        6 0 35 0 7 0 36 1 33 26 0 37 0 26 0 38 0 33 0 39 1 26 40 0 41 1 7 28 0
        43 2 7 0 11 44 45 2 7 0 0 9 46 2 26 0 0 9 47 2 26 0 48 0 49 2 26 7 0 7
        50 1 26 0 0 51 2 7 0 0 0 52 1 7 0 0 53 2 11 16 0 9 54 1 26 16 0 56 0 6
        0 57 0 7 0 58 1 26 0 0 59 1 26 7 0 60 1 7 61 0 62 2 6 0 63 9 64 1 7 0 6
        65 0 66 0 67 2 26 16 0 0 68 1 7 69 0 70 2 66 0 6 40 71 2 66 0 0 0 72 2
        74 11 11 73 75 3 11 0 0 8 76 77 1 7 0 9 78 1 7 80 0 81 1 21 0 0 82 1 80
        21 0 83 2 21 0 0 0 84 1 0 21 19 85 0 86 0 87 2 88 0 80 80 89 2 0 7 7 88
        90 1 7 0 80 91 1 88 80 0 92 1 88 80 0 93 2 7 0 0 80 94 2 7 0 0 0 95 2 7
        16 0 0 96 1 7 97 0 98 2 86 16 0 0 99 1 86 100 0 101 1 80 16 0 102 1 7
        97 0 103 1 7 0 97 104 0 88 0 105 1 88 0 80 106 2 88 0 0 0 107 2 7 0 0 0
        108 2 0 7 6 80 109 2 7 111 0 11 112 1 23 19 0 113 2 115 114 88 40 116 2
        80 117 0 0 118 2 6 0 0 80 119 2 6 16 0 0 120 2 115 114 6 40 121 1 7 122
        0 123 2 23 16 0 11 124 2 7 0 0 0 125 1 0 7 7 126 2 26 0 7 40 127 1 26 0
        7 128 2 26 0 0 0 129 1 0 26 23 130 2 74 11 11 131 132 2 0 7 26 9 42 1 0
        11 11 55 1 1 26 23 130 2 1 7 6 80 109 2 0 7 26 7 30 1 0 21 19 85 1 1 7
        7 126 1 0 16 11 18 2 1 7 7 88 90)))))
  '|lookupComplete|)) 
