
(/VERSIONCHECK 2) 

(DEFUN |ALGSC;recip;$U;1| (|x| $) (SPADCALL |x| (QREFELT $ 13))) 

(DEFUN |ALGSC;*;Sm2$;2| (|m| |x| $)
 (SPADCALL (SPADCALL |m| (QREFELT $ 17)) |x| (QREFELT $ 18))) 

(DEFUN |ALGSC;coerce;V$;3| (|v| $) (SPADCALL |v| (QREFELT $ 21))) 

(DEFUN |ALGSC;structuralConstants;V;4| ($) (QREFELT $ 9)) 

(DEFUN |ALGSC;coordinates;$V;5| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 26)) (QREFELT $ 27))) 

(DEFUN |ALGSC;coordinates;$VV;6| (|x| |b| $)
 (PROG (#1=#:G3571 |m| |transitionMatrix| |i| |res| #2=#:G3581)
  (RETURN
   (SEQ
    (LETT |m|
     (PROG1 (LETT #1# (SPADCALL |b| (QREFELT $ 31)) |ALGSC;coordinates;$VV;6|)
      (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
     |ALGSC;coordinates;$VV;6|)
    (LETT |transitionMatrix|
     (SPADCALL (QREFELT $ 7) |m| (|spadConstant| $ 32) (QREFELT $ 34))
     |ALGSC;coordinates;$VV;6|)
    (SEQ (LETT |i| 1 |ALGSC;coordinates;$VV;6|) G190
     (COND ((QSGREATERP |i| |m|) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |transitionMatrix| |i|
        (SPADCALL (SPADCALL |b| |i| (QREFELT $ 35)) (QREFELT $ 28))
        (QREFELT $ 36))))
     (LETT |i| (QSADD1 |i|) |ALGSC;coordinates;$VV;6|) (GO G190) G191
     (EXIT NIL))
    (LETT |res|
     (SPADCALL |transitionMatrix| (SPADCALL |x| (QREFELT $ 28)) (QREFELT $ 40))
     |ALGSC;coordinates;$VV;6|)
    (COND
     ((NULL (SPADCALL (ELT $ 42) (|SPADfirst| (QCDR |res|)) (QREFELT $ 46)))
      (|error| "coordinates: warning your 'basis' is linearly dependent")))
    (EXIT
     (COND
      ((QEQCAR (QCAR |res|) 1)
       (|error|
        "coordinates: first argument is not in linear span of second argument"))
      ('T
       (PROG2 (LETT #2# (QCAR |res|) |ALGSC;coordinates;$VV;6|) (QCDR #2#)
        (|check-union| (QEQCAR #2# 0) (|Vector| (QREFELT $ 6)) #2#))))))))) 

(DEFUN |ALGSC;basis;V;7| ($)
 (PROG (#1=#:G3588 #2=#:G3589 |i| #3=#:G3590 #4=#:G3585)
  (RETURN
   (SEQ
    (PRIMVEC2ARR
     (PROGN (LETT #1# (GETREFV (QREFELT $ 7)) |ALGSC;basis;V;7|)
      (SEQ (LETT #2# 0 |ALGSC;basis;V;7|) (LETT |i| 1 |ALGSC;basis;V;7|)
       (LETT #3# (QREFELT $ 7) |ALGSC;basis;V;7|) G190
       (COND ((QSGREATERP |i| #3#) (GO G191)))
       (SEQ
        (EXIT
         (SETELT #1# #2#
          (SPADCALL
           (PROG1 (LETT #4# |i| |ALGSC;basis;V;7|)
            (|check-subtype| (> #4# 0) '(|PositiveInteger|) #4#))
           (QREFELT $ 49)))))
       (LETT |i| (PROG1 (QSADD1 |i|) (LETT #2# (QSADD1 #2#) |ALGSC;basis;V;7|))
        |ALGSC;basis;V;7|)
       (GO G190) G191 (EXIT NIL))
      #1#)))))) 

(DEFUN |ALGSC;someBasis;V;8| ($) (SPADCALL (QREFELT $ 44))) 

(DEFUN |ALGSC;rank;Pi;9| ($) (QREFELT $ 7)) 

(DEFUN |ALGSC;elt;$IR;10| (|x| |i| $) (SPADCALL |x| |i| (QREFELT $ 52))) 

(DEFUN |ALGSC;coerce;$Of;11| (|x| $)
 (PROG (|i| #1=#:G3600 |coef| |le| #2=#:G3594)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |x| (QREFELT $ 54))
      (SPADCALL (|spadConstant| $ 32) (QREFELT $ 56)))
     ('T
      (SEQ (LETT |le| NIL |ALGSC;coerce;$Of;11|)
       (SEQ (LETT |i| 1 |ALGSC;coerce;$Of;11|)
        (LETT #1# (QREFELT $ 7) |ALGSC;coerce;$Of;11|) G190
        (COND ((QSGREATERP |i| #1#) (GO G191)))
        (SEQ
         (EXIT
          (SEQ
           (LETT |coef| (SPADCALL |x| |i| (QREFELT $ 53))
            |ALGSC;coerce;$Of;11|)
           (EXIT
            (COND
             ((NULL (SPADCALL |coef| (QREFELT $ 42)))
              (PROGN
               (LETT #2#
                (COND
                 ((SPADCALL |coef| (|spadConstant| $ 57) (QREFELT $ 58))
                  (LETT |le|
                   (CONS
                    (SPADCALL (SPADCALL (QREFELT $ 8) |i| (QREFELT $ 61))
                     (QREFELT $ 62))
                    |le|)
                   |ALGSC;coerce;$Of;11|))
                 ('T
                  (LETT |le|
                   (CONS
                    (SPADCALL (SPADCALL |coef| (QREFELT $ 56))
                     (SPADCALL (SPADCALL (QREFELT $ 8) |i| (QREFELT $ 61))
                      (QREFELT $ 62))
                     (QREFELT $ 63))
                    |le|)
                   |ALGSC;coerce;$Of;11|)))
                |ALGSC;coerce;$Of;11|)
               (GO #2#)))))))
         #2# (EXIT #2#))
        (LETT |i| (QSADD1 |i|) |ALGSC;coerce;$Of;11|) (GO G190) G191
        (EXIT NIL))
       (EXIT (SPADCALL (ELT $ 64) |le| (QREFELT $ 67)))))))))) 

(DEFUN |ALGSC;*;3$;12| (|x| |y| $)
 (PROG (|v| |k| #1=#:G3607 |i| #2=#:G3608 |j| #3=#:G3609 |h|)
  (RETURN
   (SEQ
    (LETT |v| (SPADCALL (QREFELT $ 7) (|spadConstant| $ 32) (QREFELT $ 69))
     |ALGSC;*;3$;12|)
    (SEQ (LETT |k| 1 |ALGSC;*;3$;12|) (LETT #1# (QREFELT $ 7) |ALGSC;*;3$;12|)
     G190 (COND ((QSGREATERP |k| #1#) (GO G191)))
     (SEQ (LETT |h| (|spadConstant| $ 32) |ALGSC;*;3$;12|)
      (SEQ (LETT |i| 1 |ALGSC;*;3$;12|)
       (LETT #2# (QREFELT $ 7) |ALGSC;*;3$;12|) G190
       (COND ((QSGREATERP |i| #2#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;*;3$;12|)
          (LETT #3# (QREFELT $ 7) |ALGSC;*;3$;12|) G190
          (COND ((QSGREATERP |j| #3#) (GO G191)))
          (SEQ
           (EXIT
            (LETT |h|
             (SPADCALL |h|
              (SPADCALL
               (SPADCALL (SPADCALL |x| |i| (QREFELT $ 53))
                (SPADCALL |y| |j| (QREFELT $ 53)) (QREFELT $ 70))
               (SPADCALL (SPADCALL (QREFELT $ 9) |k| (QREFELT $ 71)) |i| |j|
                (QREFELT $ 72))
               (QREFELT $ 70))
              (QREFELT $ 73))
             |ALGSC;*;3$;12|)))
          (LETT |j| (QSADD1 |j|) |ALGSC;*;3$;12|) (GO G190) G191 (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;*;3$;12|) (GO G190) G191 (EXIT NIL))
      (EXIT (SPADCALL |v| |k| |h| (QREFELT $ 74))))
     (LETT |k| (QSADD1 |k|) |ALGSC;*;3$;12|) (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL |v| (QREFELT $ 21))))))) 

(DEFUN |ALGSC;alternative?;B;13| ($)
 (PROG
  (|i| #1=#:G3637 #2=#:G3638 #3=#:G3639 #4=#:G3640 #5=#:G3641 #6=#:G3612 |j|
   #7=#:G3642 #8=#:G3643 #9=#:G3644 #10=#:G3645 #11=#:G3618 |k| #12=#:G3646
   #13=#:G3647 #14=#:G3648 #15=#:G3623 |r| #16=#:G3649 |l| #17=#:G3650 |res|
   #18=#:G3636 #19=#:G3627)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;alternative?;B;13|)
       (LETT #1# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (SEQ (LETT |j| 1 |ALGSC;alternative?;B;13|)
         (LETT #2# (- |i| 1) |ALGSC;alternative?;B;13|) G190
         (COND ((QSGREATERP |j| #2#) (GO G191)))
         (SEQ
          (EXIT
           (SEQ (LETT |k| |j| |ALGSC;alternative?;B;13|)
            (LETT #3# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
            (COND ((> |k| #3#) (GO G191)))
            (SEQ
             (EXIT
              (SEQ (LETT |r| 1 |ALGSC;alternative?;B;13|)
               (LETT #4# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
               (COND ((QSGREATERP |r| #4#) (GO G191)))
               (SEQ
                (EXIT
                 (SEQ
                  (LETT |res| (|spadConstant| $ 32) |ALGSC;alternative?;B;13|)
                  (SEQ (LETT |l| 1 |ALGSC;alternative?;B;13|)
                   (LETT #5# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
                   (COND ((QSGREATERP |l| #5#) (GO G191)))
                   (SEQ
                    (EXIT
                     (LETT |res|
                      (SPADCALL
                       (SPADCALL |res|
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |j| |k| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |k| |j| (QREFELT $ 72))
                          (QREFELT $ 73))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |i| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 76))
                       (SPADCALL
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |i| |j| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |l| |k| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |i| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |l| |j| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       (QREFELT $ 73))
                      |ALGSC;alternative?;B;13|)))
                   (LETT |l| (QSADD1 |l|) |ALGSC;alternative?;B;13|) (GO G190)
                   G191 (EXIT NIL))
                  (EXIT
                   (COND
                    ((NULL (SPADCALL |res| (QREFELT $ 42)))
                     (PROGN
                      (LETT #6#
                       (SEQ
                        (SPADCALL "algebra is not right alternative"
                         (QREFELT $ 79))
                        (EXIT
                         (PROGN (LETT #18# 'NIL |ALGSC;alternative?;B;13|)
                          (GO #18#))))
                       |ALGSC;alternative?;B;13|)
                      (GO #6#)))))))
                #6# (EXIT #6#))
               (LETT |r| (QSADD1 |r|) |ALGSC;alternative?;B;13|) (GO G190) G191
               (EXIT NIL))))
            (LETT |k| (+ |k| 1) |ALGSC;alternative?;B;13|) (GO G190) G191
            (EXIT NIL))))
         (LETT |j| (QSADD1 |j|) |ALGSC;alternative?;B;13|) (GO G190) G191
         (EXIT NIL))
        (EXIT
         (SEQ (LETT |j| |i| |ALGSC;alternative?;B;13|)
          (LETT #7# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
          (COND ((> |j| #7#) (GO G191)))
          (SEQ
           (SEQ (LETT |k| 1 |ALGSC;alternative?;B;13|)
            (LETT #8# (- |j| 1) |ALGSC;alternative?;B;13|) G190
            (COND ((QSGREATERP |k| #8#) (GO G191)))
            (SEQ
             (EXIT
              (SEQ (LETT |r| 1 |ALGSC;alternative?;B;13|)
               (LETT #9# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
               (COND ((QSGREATERP |r| #9#) (GO G191)))
               (SEQ
                (EXIT
                 (SEQ
                  (LETT |res| (|spadConstant| $ 32) |ALGSC;alternative?;B;13|)
                  (SEQ (LETT |l| 1 |ALGSC;alternative?;B;13|)
                   (LETT #10# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
                   (COND ((QSGREATERP |l| #10#) (GO G191)))
                   (SEQ
                    (EXIT
                     (LETT |res|
                      (SPADCALL
                       (SPADCALL |res|
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |j| |i| (QREFELT $ 72))
                          (QREFELT $ 73))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |l| |k| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       (SPADCALL
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |j| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |i| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |i| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |j| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       (QREFELT $ 76))
                      |ALGSC;alternative?;B;13|)))
                   (LETT |l| (QSADD1 |l|) |ALGSC;alternative?;B;13|) (GO G190)
                   G191 (EXIT NIL))
                  (EXIT
                   (COND
                    ((NULL (SPADCALL |res| (QREFELT $ 42)))
                     (PROGN
                      (LETT #11#
                       (SEQ
                        (SPADCALL "algebra is not left alternative"
                         (QREFELT $ 79))
                        (EXIT
                         (PROGN (LETT #18# 'NIL |ALGSC;alternative?;B;13|)
                          (GO #18#))))
                       |ALGSC;alternative?;B;13|)
                      (GO #11#)))))))
                #11# (EXIT #11#))
               (LETT |r| (QSADD1 |r|) |ALGSC;alternative?;B;13|) (GO G190) G191
               (EXIT NIL))))
            (LETT |k| (QSADD1 |k|) |ALGSC;alternative?;B;13|) (GO G190) G191
            (EXIT NIL))
           (EXIT
            (SEQ (LETT |k| |j| |ALGSC;alternative?;B;13|)
             (LETT #12# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
             (COND ((> |k| #12#) (GO G191)))
             (SEQ
              (SEQ (LETT |r| 1 |ALGSC;alternative?;B;13|)
               (LETT #13# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
               (COND ((QSGREATERP |r| #13#) (GO G191)))
               (SEQ
                (EXIT
                 (SEQ
                  (LETT |res| (|spadConstant| $ 32) |ALGSC;alternative?;B;13|)
                  (SEQ (LETT |l| 1 |ALGSC;alternative?;B;13|)
                   (LETT #14# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
                   (COND ((QSGREATERP |l| #14#) (GO G191)))
                   (SEQ
                    (EXIT
                     (LETT |res|
                      (SPADCALL
                       (SPADCALL |res|
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |j| |i| (QREFELT $ 72))
                          (QREFELT $ 73))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |l| |k| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       (SPADCALL
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |j| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |i| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |i| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |j| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       (QREFELT $ 76))
                      |ALGSC;alternative?;B;13|)))
                   (LETT |l| (QSADD1 |l|) |ALGSC;alternative?;B;13|) (GO G190)
                   G191 (EXIT NIL))
                  (EXIT
                   (COND
                    ((NULL (SPADCALL |res| (QREFELT $ 42)))
                     (PROGN
                      (LETT #15#
                       (SEQ
                        (SPADCALL "algebra is not left alternative"
                         (QREFELT $ 79))
                        (EXIT
                         (PROGN (LETT #18# 'NIL |ALGSC;alternative?;B;13|)
                          (GO #18#))))
                       |ALGSC;alternative?;B;13|)
                      (GO #15#)))))))
                #15# (EXIT #15#))
               (LETT |r| (QSADD1 |r|) |ALGSC;alternative?;B;13|) (GO G190) G191
               (EXIT NIL))
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;alternative?;B;13|)
                (LETT #16# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
                (COND ((QSGREATERP |r| #16#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32) |ALGSC;alternative?;B;13|)
                   (SEQ (LETT |l| 1 |ALGSC;alternative?;B;13|)
                    (LETT #17# (QREFELT $ 7) |ALGSC;alternative?;B;13|) G190
                    (COND ((QSGREATERP |l| #17#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL |res|
                         (SPADCALL
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |j| |k|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |k| |j|
                            (QREFELT $ 72))
                           (QREFELT $ 73))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |i| |l| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 76))
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |k| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |k| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |j| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (QREFELT $ 73))
                       |ALGSC;alternative?;B;13|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;alternative?;B;13|) (GO G190)
                    G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #19#
                        (SEQ
                         (SPADCALL "algebra is not right alternative"
                          (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #18# 'NIL |ALGSC;alternative?;B;13|)
                           (GO #18#))))
                        |ALGSC;alternative?;B;13|)
                       (GO #19#)))))))
                 #19# (EXIT #19#))
                (LETT |r| (QSADD1 |r|) |ALGSC;alternative?;B;13|) (GO G190)
                G191 (EXIT NIL))))
             (LETT |k| (+ |k| 1) |ALGSC;alternative?;B;13|) (GO G190) G191
             (EXIT NIL))))
          (LETT |j| (+ |j| 1) |ALGSC;alternative?;B;13|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;alternative?;B;13|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL
       "algebra satisfies 2*associator(a,b,b) = 0 = 2*associator(a,a,b) = 0"
       (QREFELT $ 79))
      (EXIT 'T)))
    #18# (EXIT #18#))))) 

(DEFUN |ALGSC;associative?;B;14| ($)
 (PROG
  (|i| #1=#:G3660 |j| #2=#:G3661 |k| #3=#:G3662 |r| #4=#:G3663 |l| #5=#:G3664
   |res| #6=#:G3659 #7=#:G3653)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;associative?;B;14|)
       (LETT #1# (QREFELT $ 7) |ALGSC;associative?;B;14|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;associative?;B;14|)
          (LETT #2# (QREFELT $ 7) |ALGSC;associative?;B;14|) G190
          (COND ((QSGREATERP |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;associative?;B;14|)
             (LETT #3# (QREFELT $ 7) |ALGSC;associative?;B;14|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;associative?;B;14|)
                (LETT #4# (QREFELT $ 7) |ALGSC;associative?;B;14|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32) |ALGSC;associative?;B;14|)
                   (SEQ (LETT |l| 1 |ALGSC;associative?;B;14|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;associative?;B;14|) G190
                    (COND ((QSGREATERP |l| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL |res|
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |k| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |j| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |i| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 76))
                       |ALGSC;associative?;B;14|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;associative?;B;14|) (GO G190)
                    G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "algebra is not associative" (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;associative?;B;14|)
                           (GO #6#))))
                        |ALGSC;associative?;B;14|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;associative?;B;14|) (GO G190)
                G191 (EXIT NIL))))
             (LETT |k| (QSADD1 |k|) |ALGSC;associative?;B;14|) (GO G190) G191
             (EXIT NIL))))
          (LETT |j| (QSADD1 |j|) |ALGSC;associative?;B;14|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;associative?;B;14|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is associative" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |ALGSC;antiAssociative?;B;15| ($)
 (PROG
  (|i| #1=#:G3674 |j| #2=#:G3675 |k| #3=#:G3676 |r| #4=#:G3677 |l| #5=#:G3678
   |res| #6=#:G3673 #7=#:G3667)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;antiAssociative?;B;15|)
       (LETT #1# (QREFELT $ 7) |ALGSC;antiAssociative?;B;15|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;antiAssociative?;B;15|)
          (LETT #2# (QREFELT $ 7) |ALGSC;antiAssociative?;B;15|) G190
          (COND ((QSGREATERP |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;antiAssociative?;B;15|)
             (LETT #3# (QREFELT $ 7) |ALGSC;antiAssociative?;B;15|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;antiAssociative?;B;15|)
                (LETT #4# (QREFELT $ 7) |ALGSC;antiAssociative?;B;15|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32)
                    |ALGSC;antiAssociative?;B;15|)
                   (SEQ (LETT |l| 1 |ALGSC;antiAssociative?;B;15|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;antiAssociative?;B;15|) G190
                    (COND ((QSGREATERP |l| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL |res|
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |k| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |j| |k| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |i| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       |ALGSC;antiAssociative?;B;15|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;antiAssociative?;B;15|)
                    (GO G190) G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "algebra is not anti-associative"
                          (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;antiAssociative?;B;15|)
                           (GO #6#))))
                        |ALGSC;antiAssociative?;B;15|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;antiAssociative?;B;15|) (GO G190)
                G191 (EXIT NIL))))
             (LETT |k| (QSADD1 |k|) |ALGSC;antiAssociative?;B;15|) (GO G190)
             G191 (EXIT NIL))))
          (LETT |j| (QSADD1 |j|) |ALGSC;antiAssociative?;B;15|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;antiAssociative?;B;15|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is anti-associative" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |ALGSC;commutative?;B;16| ($)
 (PROG (|i| #1=#:G3686 |j| #2=#:G3687 |k| #3=#:G3688 #4=#:G3685 #5=#:G3681)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;commutative?;B;16|)
       (LETT #1# (QREFELT $ 7) |ALGSC;commutative?;B;16|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| (+ |i| 1) |ALGSC;commutative?;B;16|)
          (LETT #2# (QREFELT $ 7) |ALGSC;commutative?;B;16|) G190
          (COND ((> |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;commutative?;B;16|)
             (LETT #3# (QREFELT $ 7) |ALGSC;commutative?;B;16|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((NULL
                  (SPADCALL
                   (SPADCALL (SPADCALL (QREFELT $ 9) |k| (QREFELT $ 71)) |i|
                    |j| (QREFELT $ 72))
                   (SPADCALL (SPADCALL (QREFELT $ 9) |k| (QREFELT $ 71)) |j|
                    |i| (QREFELT $ 72))
                   (QREFELT $ 58)))
                 (PROGN
                  (LETT #5#
                   (SEQ (SPADCALL "algebra is not commutative" (QREFELT $ 79))
                    (EXIT
                     (PROGN (LETT #4# 'NIL |ALGSC;commutative?;B;16|)
                      (GO #4#))))
                   |ALGSC;commutative?;B;16|)
                  (GO #5#))))))
             (LETT |k| (QSADD1 |k|) |ALGSC;commutative?;B;16|) (GO G190) G191
             (EXIT NIL)))
           #5# (EXIT #5#))
          (LETT |j| (+ |j| 1) |ALGSC;commutative?;B;16|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;commutative?;B;16|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is commutative" (QREFELT $ 79)) (EXIT 'T)))
    #4# (EXIT #4#))))) 

(DEFUN |ALGSC;antiCommutative?;B;17| ($)
 (PROG (|i| #1=#:G3696 |j| #2=#:G3697 |k| #3=#:G3698 #4=#:G3695 #5=#:G3691)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;antiCommutative?;B;17|)
       (LETT #1# (QREFELT $ 7) |ALGSC;antiCommutative?;B;17|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| |i| |ALGSC;antiCommutative?;B;17|)
          (LETT #2# (QREFELT $ 7) |ALGSC;antiCommutative?;B;17|) G190
          (COND ((> |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;antiCommutative?;B;17|)
             (LETT #3# (QREFELT $ 7) |ALGSC;antiCommutative?;B;17|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((NULL
                  (SPADCALL
                   (COND
                    ((EQL |i| |j|)
                     (SPADCALL (SPADCALL (QREFELT $ 9) |k| (QREFELT $ 71)) |i|
                      |i| (QREFELT $ 72)))
                    ('T
                     (SPADCALL
                      (SPADCALL (SPADCALL (QREFELT $ 9) |k| (QREFELT $ 71)) |i|
                       |j| (QREFELT $ 72))
                      (SPADCALL (SPADCALL (QREFELT $ 9) |k| (QREFELT $ 71)) |j|
                       |i| (QREFELT $ 72))
                      (QREFELT $ 73))))
                   (QREFELT $ 42)))
                 (PROGN
                  (LETT #5#
                   (SEQ
                    (SPADCALL "algebra is not anti-commutative" (QREFELT $ 79))
                    (EXIT
                     (PROGN (LETT #4# 'NIL |ALGSC;antiCommutative?;B;17|)
                      (GO #4#))))
                   |ALGSC;antiCommutative?;B;17|)
                  (GO #5#))))))
             (LETT |k| (QSADD1 |k|) |ALGSC;antiCommutative?;B;17|) (GO G190)
             G191 (EXIT NIL)))
           #5# (EXIT #5#))
          (LETT |j| (+ |j| 1) |ALGSC;antiCommutative?;B;17|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;antiCommutative?;B;17|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is anti-commutative" (QREFELT $ 79)) (EXIT 'T)))
    #4# (EXIT #4#))))) 

(DEFUN |ALGSC;leftAlternative?;B;18| ($)
 (PROG
  (|i| #1=#:G3708 |j| #2=#:G3709 |k| #3=#:G3710 |r| #4=#:G3711 |l| #5=#:G3712
   |res| #6=#:G3707 #7=#:G3701)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;leftAlternative?;B;18|)
       (LETT #1# (QREFELT $ 7) |ALGSC;leftAlternative?;B;18|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| |i| |ALGSC;leftAlternative?;B;18|)
          (LETT #2# (QREFELT $ 7) |ALGSC;leftAlternative?;B;18|) G190
          (COND ((> |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;leftAlternative?;B;18|)
             (LETT #3# (QREFELT $ 7) |ALGSC;leftAlternative?;B;18|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;leftAlternative?;B;18|)
                (LETT #4# (QREFELT $ 7) |ALGSC;leftAlternative?;B;18|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32)
                    |ALGSC;leftAlternative?;B;18|)
                   (SEQ (LETT |l| 1 |ALGSC;leftAlternative?;B;18|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;leftAlternative?;B;18|) G190
                    (COND ((QSGREATERP |l| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL |res|
                         (SPADCALL
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |i| |j|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |j| |i|
                            (QREFELT $ 72))
                           (QREFELT $ 73))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |k| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |j| |k| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |i| |l| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |k| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |j| |l| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (QREFELT $ 76))
                       |ALGSC;leftAlternative?;B;18|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;leftAlternative?;B;18|)
                    (GO G190) G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "algebra is not left alternative"
                          (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;leftAlternative?;B;18|)
                           (GO #6#))))
                        |ALGSC;leftAlternative?;B;18|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;leftAlternative?;B;18|) (GO G190)
                G191 (EXIT NIL))))
             (LETT |k| (QSADD1 |k|) |ALGSC;leftAlternative?;B;18|) (GO G190)
             G191 (EXIT NIL))))
          (LETT |j| (+ |j| 1) |ALGSC;leftAlternative?;B;18|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;leftAlternative?;B;18|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is left alternative" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |ALGSC;rightAlternative?;B;19| ($)
 (PROG
  (|i| #1=#:G3722 |j| #2=#:G3723 |k| #3=#:G3724 |r| #4=#:G3725 |l| #5=#:G3726
   |res| #6=#:G3721 #7=#:G3715)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;rightAlternative?;B;19|)
       (LETT #1# (QREFELT $ 7) |ALGSC;rightAlternative?;B;19|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;rightAlternative?;B;19|)
          (LETT #2# (QREFELT $ 7) |ALGSC;rightAlternative?;B;19|) G190
          (COND ((QSGREATERP |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| |j| |ALGSC;rightAlternative?;B;19|)
             (LETT #3# (QREFELT $ 7) |ALGSC;rightAlternative?;B;19|) G190
             (COND ((> |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;rightAlternative?;B;19|)
                (LETT #4# (QREFELT $ 7) |ALGSC;rightAlternative?;B;19|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32)
                    |ALGSC;rightAlternative?;B;19|)
                   (SEQ (LETT |l| 1 |ALGSC;rightAlternative?;B;19|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;rightAlternative?;B;19|)
                    G190 (COND ((QSGREATERP |l| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL |res|
                         (SPADCALL
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |j| |k|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |k| |j|
                            (QREFELT $ 72))
                           (QREFELT $ 73))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |i| |l| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 76))
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |k| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |k| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |j| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (QREFELT $ 73))
                       |ALGSC;rightAlternative?;B;19|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;rightAlternative?;B;19|)
                    (GO G190) G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "algebra is not right alternative"
                          (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;rightAlternative?;B;19|)
                           (GO #6#))))
                        |ALGSC;rightAlternative?;B;19|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;rightAlternative?;B;19|)
                (GO G190) G191 (EXIT NIL))))
             (LETT |k| (+ |k| 1) |ALGSC;rightAlternative?;B;19|) (GO G190) G191
             (EXIT NIL))))
          (LETT |j| (QSADD1 |j|) |ALGSC;rightAlternative?;B;19|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;rightAlternative?;B;19|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is right alternative" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |ALGSC;flexible?;B;20| ($)
 (PROG
  (|i| #1=#:G3736 |j| #2=#:G3737 |k| #3=#:G3738 |r| #4=#:G3739 |l| #5=#:G3740
   |res| #6=#:G3735 #7=#:G3729)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;flexible?;B;20|)
       (LETT #1# (QREFELT $ 7) |ALGSC;flexible?;B;20|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;flexible?;B;20|)
          (LETT #2# (QREFELT $ 7) |ALGSC;flexible?;B;20|) G190
          (COND ((QSGREATERP |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| |i| |ALGSC;flexible?;B;20|)
             (LETT #3# (QREFELT $ 7) |ALGSC;flexible?;B;20|) G190
             (COND ((> |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;flexible?;B;20|)
                (LETT #4# (QREFELT $ 7) |ALGSC;flexible?;B;20|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32) |ALGSC;flexible?;B;20|)
                   (SEQ (LETT |l| 1 |ALGSC;flexible?;B;20|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;flexible?;B;20|) G190
                    (COND ((QSGREATERP |l| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL |res|
                           (SPADCALL
                            (SPADCALL
                             (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |i|
                             |j| (QREFELT $ 72))
                            (SPADCALL
                             (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |l|
                             |k| (QREFELT $ 72))
                            (QREFELT $ 70))
                           (QREFELT $ 73))
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |j| |k|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |i| |l|
                            (QREFELT $ 72))
                           (QREFELT $ 70))
                          (QREFELT $ 76))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |k| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |i| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                          |j| |i| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |k| |l| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 76))
                       |ALGSC;flexible?;B;20|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;flexible?;B;20|) (GO G190)
                    G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "algebra is not flexible" (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;flexible?;B;20|)
                           (GO #6#))))
                        |ALGSC;flexible?;B;20|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;flexible?;B;20|) (GO G190) G191
                (EXIT NIL))))
             (LETT |k| (+ |k| 1) |ALGSC;flexible?;B;20|) (GO G190) G191
             (EXIT NIL))))
          (LETT |j| (QSADD1 |j|) |ALGSC;flexible?;B;20|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;flexible?;B;20|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is flexible" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |ALGSC;lieAdmissible?;B;21| ($)
 (PROG
  (|i| #1=#:G3750 |j| #2=#:G3751 |k| #3=#:G3752 |r| #4=#:G3753 |l| #5=#:G3754
   |res| #6=#:G3749 #7=#:G3743)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;lieAdmissible?;B;21|)
       (LETT #1# (QREFELT $ 7) |ALGSC;lieAdmissible?;B;21|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;lieAdmissible?;B;21|)
          (LETT #2# (QREFELT $ 7) |ALGSC;lieAdmissible?;B;21|) G190
          (COND ((QSGREATERP |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;lieAdmissible?;B;21|)
             (LETT #3# (QREFELT $ 7) |ALGSC;lieAdmissible?;B;21|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;lieAdmissible?;B;21|)
                (LETT #4# (QREFELT $ 7) |ALGSC;lieAdmissible?;B;21|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32)
                    |ALGSC;lieAdmissible?;B;21|)
                   (SEQ (LETT |l| 1 |ALGSC;lieAdmissible?;B;21|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;lieAdmissible?;B;21|) G190
                    (COND ((QSGREATERP |l| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL
                         (SPADCALL |res|
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL
                             (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |i|
                             |j| (QREFELT $ 72))
                            (SPADCALL
                             (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |j|
                             |i| (QREFELT $ 72))
                            (QREFELT $ 76))
                           (SPADCALL
                            (SPADCALL
                             (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |l|
                             |k| (QREFELT $ 72))
                            (SPADCALL
                             (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |k|
                             |l| (QREFELT $ 72))
                            (QREFELT $ 76))
                           (QREFELT $ 70))
                          (QREFELT $ 73))
                         (SPADCALL
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |j| |k|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71)) |k| |j|
                            (QREFELT $ 72))
                           (QREFELT $ 76))
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |l| |i|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |i| |l|
                            (QREFELT $ 72))
                           (QREFELT $ 76))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (SPADCALL
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |k| |i| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                           |i| |k| (QREFELT $ 72))
                          (QREFELT $ 76))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |l| |j| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |j| |l| (QREFELT $ 72))
                          (QREFELT $ 76))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       |ALGSC;lieAdmissible?;B;21|)))
                    (LETT |l| (QSADD1 |l|) |ALGSC;lieAdmissible?;B;21|)
                    (GO G190) G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "algebra is not Lie admissible"
                          (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;lieAdmissible?;B;21|)
                           (GO #6#))))
                        |ALGSC;lieAdmissible?;B;21|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;lieAdmissible?;B;21|) (GO G190)
                G191 (EXIT NIL))))
             (LETT |k| (QSADD1 |k|) |ALGSC;lieAdmissible?;B;21|) (GO G190) G191
             (EXIT NIL))))
          (LETT |j| (QSADD1 |j|) |ALGSC;lieAdmissible?;B;21|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;lieAdmissible?;B;21|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "algebra is Lie admissible" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |ALGSC;jordanAdmissible?;B;22| ($)
 (PROG
  (|i| #1=#:G3771 |j| #2=#:G3772 |k| #3=#:G3773 |w| #4=#:G3774 |t| #5=#:G3775
   |l| #6=#:G3776 |r| #7=#:G3777 |res| #8=#:G3770 #9=#:G3762)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((QEQCAR
        (SPADCALL (SPADCALL 2 (|spadConstant| $ 57) (QREFELT $ 89))
         (QREFELT $ 90))
        1)
       (SEQ
        (SPADCALL
         "this algebra is not Jordan admissible, as 2 is not invertible in the ground ring"
         (QREFELT $ 79))
        (EXIT 'NIL)))
      ('T
       (SEQ
        (SEQ (LETT |i| 1 |ALGSC;jordanAdmissible?;B;22|)
         (LETT #1# (QREFELT $ 7) |ALGSC;jordanAdmissible?;B;22|) G190
         (COND ((QSGREATERP |i| #1#) (GO G191)))
         (SEQ
          (EXIT
           (SEQ (LETT |j| 1 |ALGSC;jordanAdmissible?;B;22|)
            (LETT #2# (QREFELT $ 7) |ALGSC;jordanAdmissible?;B;22|) G190
            (COND ((QSGREATERP |j| #2#) (GO G191)))
            (SEQ
             (EXIT
              (SEQ (LETT |k| 1 |ALGSC;jordanAdmissible?;B;22|)
               (LETT #3# (QREFELT $ 7) |ALGSC;jordanAdmissible?;B;22|) G190
               (COND ((QSGREATERP |k| #3#) (GO G191)))
               (SEQ
                (EXIT
                 (SEQ (LETT |w| 1 |ALGSC;jordanAdmissible?;B;22|)
                  (LETT #4# (QREFELT $ 7) |ALGSC;jordanAdmissible?;B;22|) G190
                  (COND ((QSGREATERP |w| #4#) (GO G191)))
                  (SEQ
                   (EXIT
                    (SEQ (LETT |t| 1 |ALGSC;jordanAdmissible?;B;22|)
                     (LETT #5# (QREFELT $ 7) |ALGSC;jordanAdmissible?;B;22|)
                     G190 (COND ((QSGREATERP |t| #5#) (GO G191)))
                     (SEQ
                      (EXIT
                       (SEQ
                        (LETT |res| (|spadConstant| $ 32)
                         |ALGSC;jordanAdmissible?;B;22|)
                        (SEQ (LETT |l| 1 |ALGSC;jordanAdmissible?;B;22|)
                         (LETT #6# (QREFELT $ 7)
                          |ALGSC;jordanAdmissible?;B;22|)
                         G190 (COND ((QSGREATERP |l| #6#) (GO G191)))
                         (SEQ
                          (EXIT
                           (SEQ (LETT |r| 1 |ALGSC;jordanAdmissible?;B;22|)
                            (LETT #7# (QREFELT $ 7)
                             |ALGSC;jordanAdmissible?;B;22|)
                            G190 (COND ((QSGREATERP |r| #7#) (GO G191)))
                            (SEQ
                             (EXIT
                              (LETT |res|
                               (SPADCALL
                                (SPADCALL
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL |res|
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL
                                        (SPADCALL
                                         (SPADCALL (QREFELT $ 9) |l|
                                          (QREFELT $ 71))
                                         |i| |j| (QREFELT $ 72))
                                        (SPADCALL
                                         (SPADCALL (QREFELT $ 9) |l|
                                          (QREFELT $ 71))
                                         |j| |i| (QREFELT $ 72))
                                        (QREFELT $ 73))
                                       (SPADCALL
                                        (SPADCALL
                                         (SPADCALL (QREFELT $ 9) |r|
                                          (QREFELT $ 71))
                                         |w| |k| (QREFELT $ 72))
                                        (SPADCALL
                                         (SPADCALL (QREFELT $ 9) |r|
                                          (QREFELT $ 71))
                                         |k| |w| (QREFELT $ 72))
                                        (QREFELT $ 73))
                                       (QREFELT $ 70))
                                      (SPADCALL
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |t|
                                         (QREFELT $ 71))
                                        |l| |r| (QREFELT $ 72))
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |t|
                                         (QREFELT $ 71))
                                        |r| |l| (QREFELT $ 72))
                                       (QREFELT $ 73))
                                      (QREFELT $ 70))
                                     (QREFELT $ 73))
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |r|
                                         (QREFELT $ 71))
                                        |w| |k| (QREFELT $ 72))
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |r|
                                         (QREFELT $ 71))
                                        |k| |w| (QREFELT $ 72))
                                       (QREFELT $ 73))
                                      (SPADCALL
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |l|
                                         (QREFELT $ 71))
                                        |j| |r| (QREFELT $ 72))
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |l|
                                         (QREFELT $ 71))
                                        |r| |j| (QREFELT $ 72))
                                       (QREFELT $ 73))
                                      (QREFELT $ 70))
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |t|
                                        (QREFELT $ 71))
                                       |i| |l| (QREFELT $ 72))
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |t|
                                        (QREFELT $ 71))
                                       |l| |i| (QREFELT $ 72))
                                      (QREFELT $ 73))
                                     (QREFELT $ 70))
                                    (QREFELT $ 76))
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |l|
                                        (QREFELT $ 71))
                                       |w| |j| (QREFELT $ 72))
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |l|
                                        (QREFELT $ 71))
                                       |j| |w| (QREFELT $ 72))
                                      (QREFELT $ 73))
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |r|
                                        (QREFELT $ 71))
                                       |k| |i| (QREFELT $ 72))
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |r|
                                        (QREFELT $ 71))
                                       |i| |k| (QREFELT $ 72))
                                      (QREFELT $ 73))
                                     (QREFELT $ 70))
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |t|
                                       (QREFELT $ 71))
                                      |l| |r| (QREFELT $ 72))
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |t|
                                       (QREFELT $ 71))
                                      |r| |l| (QREFELT $ 72))
                                     (QREFELT $ 73))
                                    (QREFELT $ 70))
                                   (QREFELT $ 73))
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |r|
                                       (QREFELT $ 71))
                                      |k| |i| (QREFELT $ 72))
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |r|
                                       (QREFELT $ 71))
                                      |k| |i| (QREFELT $ 72))
                                     (QREFELT $ 73))
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |l|
                                       (QREFELT $ 71))
                                      |j| |r| (QREFELT $ 72))
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |l|
                                       (QREFELT $ 71))
                                      |r| |j| (QREFELT $ 72))
                                     (QREFELT $ 73))
                                    (QREFELT $ 70))
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |t|
                                      (QREFELT $ 71))
                                     |w| |l| (QREFELT $ 72))
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |t|
                                      (QREFELT $ 71))
                                     |l| |w| (QREFELT $ 72))
                                    (QREFELT $ 73))
                                   (QREFELT $ 70))
                                  (QREFELT $ 76))
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |l|
                                      (QREFELT $ 71))
                                     |k| |j| (QREFELT $ 72))
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |l|
                                      (QREFELT $ 71))
                                     |j| |k| (QREFELT $ 72))
                                    (QREFELT $ 73))
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |r|
                                      (QREFELT $ 71))
                                     |i| |w| (QREFELT $ 72))
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |r|
                                      (QREFELT $ 71))
                                     |w| |i| (QREFELT $ 72))
                                    (QREFELT $ 73))
                                   (QREFELT $ 70))
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                    |l| |r| (QREFELT $ 72))
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                    |r| |l| (QREFELT $ 72))
                                   (QREFELT $ 73))
                                  (QREFELT $ 70))
                                 (QREFELT $ 73))
                                (SPADCALL
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                                    |i| |w| (QREFELT $ 72))
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                                    |w| |i| (QREFELT $ 72))
                                   (QREFELT $ 73))
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                                    |j| |r| (QREFELT $ 72))
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |l| (QREFELT $ 71))
                                    |r| |j| (QREFELT $ 72))
                                   (QREFELT $ 73))
                                  (QREFELT $ 70))
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                   |k| |l| (QREFELT $ 72))
                                  (SPADCALL
                                   (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                   |l| |k| (QREFELT $ 72))
                                  (QREFELT $ 73))
                                 (QREFELT $ 70))
                                (QREFELT $ 76))
                               |ALGSC;jordanAdmissible?;B;22|)))
                            (LETT |r| (QSADD1 |r|)
                             |ALGSC;jordanAdmissible?;B;22|)
                            (GO G190) G191 (EXIT NIL))))
                         (LETT |l| (QSADD1 |l|) |ALGSC;jordanAdmissible?;B;22|)
                         (GO G190) G191 (EXIT NIL))
                        (EXIT
                         (COND
                          ((NULL (SPADCALL |res| (QREFELT $ 42)))
                           (PROGN
                            (LETT #9#
                             (SEQ
                              (SPADCALL "algebra is not Jordan admissible"
                               (QREFELT $ 79))
                              (EXIT
                               (PROGN
                                (LETT #8# 'NIL |ALGSC;jordanAdmissible?;B;22|)
                                (GO #8#))))
                             |ALGSC;jordanAdmissible?;B;22|)
                            (GO #9#)))))))
                      #9# (EXIT #9#))
                     (LETT |t| (QSADD1 |t|) |ALGSC;jordanAdmissible?;B;22|)
                     (GO G190) G191 (EXIT NIL))))
                  (LETT |w| (QSADD1 |w|) |ALGSC;jordanAdmissible?;B;22|)
                  (GO G190) G191 (EXIT NIL))))
               (LETT |k| (QSADD1 |k|) |ALGSC;jordanAdmissible?;B;22|) (GO G190)
               G191 (EXIT NIL))))
            (LETT |j| (QSADD1 |j|) |ALGSC;jordanAdmissible?;B;22|) (GO G190)
            G191 (EXIT NIL))))
         (LETT |i| (QSADD1 |i|) |ALGSC;jordanAdmissible?;B;22|) (GO G190) G191
         (EXIT NIL))
        (SPADCALL "algebra is Jordan admissible" (QREFELT $ 79)) (EXIT 'T)))))
    #8# (EXIT #8#))))) 

(DEFUN |ALGSC;jordanAlgebra?;B;23| ($)
 (PROG
  (|i| #1=#:G3796 |j| #2=#:G3797 |k| #3=#:G3798 |l| #4=#:G3799 |t| #5=#:G3800
   |r| #6=#:G3801 |s| #7=#:G3802 |res| #8=#:G3795 #9=#:G3783)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((QEQCAR
        (SPADCALL (SPADCALL 2 (|spadConstant| $ 57) (QREFELT $ 89))
         (QREFELT $ 90))
        1)
       (SEQ
        (SPADCALL
         "this is not a Jordan algebra, as 2 is not invertible in the ground ring"
         (QREFELT $ 79))
        (EXIT 'NIL)))
      ((SPADCALL (QREFELT $ 83))
       (SEQ
        (SEQ (LETT |i| 1 |ALGSC;jordanAlgebra?;B;23|)
         (LETT #1# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|) G190
         (COND ((QSGREATERP |i| #1#) (GO G191)))
         (SEQ
          (EXIT
           (SEQ (LETT |j| 1 |ALGSC;jordanAlgebra?;B;23|)
            (LETT #2# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|) G190
            (COND ((QSGREATERP |j| #2#) (GO G191)))
            (SEQ
             (EXIT
              (SEQ (LETT |k| 1 |ALGSC;jordanAlgebra?;B;23|)
               (LETT #3# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|) G190
               (COND ((QSGREATERP |k| #3#) (GO G191)))
               (SEQ
                (EXIT
                 (SEQ (LETT |l| 1 |ALGSC;jordanAlgebra?;B;23|)
                  (LETT #4# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|) G190
                  (COND ((QSGREATERP |l| #4#) (GO G191)))
                  (SEQ
                   (EXIT
                    (SEQ (LETT |t| 1 |ALGSC;jordanAlgebra?;B;23|)
                     (LETT #5# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|) G190
                     (COND ((QSGREATERP |t| #5#) (GO G191)))
                     (SEQ
                      (LETT |res| (|spadConstant| $ 32)
                       |ALGSC;jordanAlgebra?;B;23|)
                      (EXIT
                       (SEQ (LETT |r| 1 |ALGSC;jordanAlgebra?;B;23|)
                        (LETT #6# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|)
                        G190 (COND ((QSGREATERP |r| #6#) (GO G191)))
                        (SEQ
                         (EXIT
                          (SEQ (LETT |s| 1 |ALGSC;jordanAlgebra?;B;23|)
                           (LETT #7# (QREFELT $ 7) |ALGSC;jordanAlgebra?;B;23|)
                           G190 (COND ((QSGREATERP |s| #7#) (GO G191)))
                           (SEQ
                            (EXIT
                             (SEQ
                              (LETT |res|
                               (SPADCALL
                                (SPADCALL
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL |res|
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |r|
                                         (QREFELT $ 71))
                                        |i| |j| (QREFELT $ 72))
                                       (SPADCALL
                                        (SPADCALL (QREFELT $ 9) |s|
                                         (QREFELT $ 71))
                                        |l| |k| (QREFELT $ 72))
                                       (QREFELT $ 70))
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |t|
                                        (QREFELT $ 71))
                                       |r| |s| (QREFELT $ 72))
                                      (QREFELT $ 70))
                                     (QREFELT $ 73))
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |r|
                                        (QREFELT $ 71))
                                       |l| |k| (QREFELT $ 72))
                                      (SPADCALL
                                       (SPADCALL (QREFELT $ 9) |s|
                                        (QREFELT $ 71))
                                       |j| |r| (QREFELT $ 72))
                                      (QREFELT $ 70))
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |t|
                                       (QREFELT $ 71))
                                      |i| |s| (QREFELT $ 72))
                                     (QREFELT $ 70))
                                    (QREFELT $ 76))
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |r|
                                       (QREFELT $ 71))
                                      |l| |j| (QREFELT $ 72))
                                     (SPADCALL
                                      (SPADCALL (QREFELT $ 9) |s|
                                       (QREFELT $ 71))
                                      |k| |k| (QREFELT $ 72))
                                     (QREFELT $ 70))
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |t|
                                      (QREFELT $ 71))
                                     |r| |s| (QREFELT $ 72))
                                    (QREFELT $ 70))
                                   (QREFELT $ 73))
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |r|
                                      (QREFELT $ 71))
                                     |k| |i| (QREFELT $ 72))
                                    (SPADCALL
                                     (SPADCALL (QREFELT $ 9) |s|
                                      (QREFELT $ 71))
                                     |j| |r| (QREFELT $ 72))
                                    (QREFELT $ 70))
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                    |l| |s| (QREFELT $ 72))
                                   (QREFELT $ 70))
                                  (QREFELT $ 76))
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                                    |k| |j| (QREFELT $ 72))
                                   (SPADCALL
                                    (SPADCALL (QREFELT $ 9) |s| (QREFELT $ 71))
                                    |i| |k| (QREFELT $ 72))
                                   (QREFELT $ 70))
                                  (SPADCALL
                                   (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                   |r| |s| (QREFELT $ 72))
                                  (QREFELT $ 70))
                                 (QREFELT $ 73))
                                (SPADCALL
                                 (SPADCALL
                                  (SPADCALL
                                   (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                                   |i| |l| (QREFELT $ 72))
                                  (SPADCALL
                                   (SPADCALL (QREFELT $ 9) |s| (QREFELT $ 71))
                                   |j| |r| (QREFELT $ 72))
                                  (QREFELT $ 70))
                                 (SPADCALL
                                  (SPADCALL (QREFELT $ 9) |t| (QREFELT $ 71))
                                  |k| |s| (QREFELT $ 72))
                                 (QREFELT $ 70))
                                (QREFELT $ 76))
                               |ALGSC;jordanAlgebra?;B;23|)
                              (EXIT
                               (COND
                                ((NULL (SPADCALL |res| (QREFELT $ 42)))
                                 (PROGN
                                  (LETT #9#
                                   (SEQ
                                    (SPADCALL "this is not a Jordan algebra"
                                     (QREFELT $ 79))
                                    (EXIT
                                     (PROGN
                                      (LETT #8# 'NIL
                                       |ALGSC;jordanAlgebra?;B;23|)
                                      (GO #8#))))
                                   |ALGSC;jordanAlgebra?;B;23|)
                                  (GO #9#)))))))
                            #9# (EXIT #9#))
                           (LETT |s| (QSADD1 |s|) |ALGSC;jordanAlgebra?;B;23|)
                           (GO G190) G191 (EXIT NIL))))
                        (LETT |r| (QSADD1 |r|) |ALGSC;jordanAlgebra?;B;23|)
                        (GO G190) G191 (EXIT NIL))))
                     (LETT |t| (QSADD1 |t|) |ALGSC;jordanAlgebra?;B;23|)
                     (GO G190) G191 (EXIT NIL))))
                  (LETT |l| (QSADD1 |l|) |ALGSC;jordanAlgebra?;B;23|) (GO G190)
                  G191 (EXIT NIL))))
               (LETT |k| (QSADD1 |k|) |ALGSC;jordanAlgebra?;B;23|) (GO G190)
               G191 (EXIT NIL))))
            (LETT |j| (QSADD1 |j|) |ALGSC;jordanAlgebra?;B;23|) (GO G190) G191
            (EXIT NIL))))
         (LETT |i| (QSADD1 |i|) |ALGSC;jordanAlgebra?;B;23|) (GO G190) G191
         (EXIT NIL))
        (SPADCALL "this is a Jordan algebra" (QREFELT $ 79)) (EXIT 'T)))
      ('T
       (SEQ (SPADCALL "this is not a Jordan algebra" (QREFELT $ 79))
        (EXIT 'NIL)))))
    #8# (EXIT #8#))))) 

(DEFUN |ALGSC;jacobiIdentity?;B;24| ($)
 (PROG
  (|i| #1=#:G3812 |j| #2=#:G3813 |k| #3=#:G3814 |r| #4=#:G3815 |s| #5=#:G3816
   |res| #6=#:G3811 #7=#:G3805)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |i| 1 |ALGSC;jacobiIdentity?;B;24|)
       (LETT #1# (QREFELT $ 7) |ALGSC;jacobiIdentity?;B;24|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |ALGSC;jacobiIdentity?;B;24|)
          (LETT #2# (QREFELT $ 7) |ALGSC;jacobiIdentity?;B;24|) G190
          (COND ((QSGREATERP |j| #2#) (GO G191)))
          (SEQ
           (EXIT
            (SEQ (LETT |k| 1 |ALGSC;jacobiIdentity?;B;24|)
             (LETT #3# (QREFELT $ 7) |ALGSC;jacobiIdentity?;B;24|) G190
             (COND ((QSGREATERP |k| #3#) (GO G191)))
             (SEQ
              (EXIT
               (SEQ (LETT |r| 1 |ALGSC;jacobiIdentity?;B;24|)
                (LETT #4# (QREFELT $ 7) |ALGSC;jacobiIdentity?;B;24|) G190
                (COND ((QSGREATERP |r| #4#) (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ
                   (LETT |res| (|spadConstant| $ 32)
                    |ALGSC;jacobiIdentity?;B;24|)
                   (SEQ (LETT |s| 1 |ALGSC;jacobiIdentity?;B;24|)
                    (LETT #5# (QREFELT $ 7) |ALGSC;jacobiIdentity?;B;24|) G190
                    (COND ((QSGREATERP |s| #5#) (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT |res|
                       (SPADCALL
                        (SPADCALL
                         (SPADCALL |res|
                          (SPADCALL
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71)) |i| |j|
                            (QREFELT $ 72))
                           (SPADCALL
                            (SPADCALL (QREFELT $ 9) |s| (QREFELT $ 71)) |j| |k|
                            (QREFELT $ 72))
                           (QREFELT $ 70))
                          (QREFELT $ 73))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                           |j| |k| (QREFELT $ 72))
                          (SPADCALL (SPADCALL (QREFELT $ 9) |s| (QREFELT $ 71))
                           |k| |i| (QREFELT $ 72))
                          (QREFELT $ 70))
                         (QREFELT $ 73))
                        (SPADCALL
                         (SPADCALL (SPADCALL (QREFELT $ 9) |r| (QREFELT $ 71))
                          |k| |i| (QREFELT $ 72))
                         (SPADCALL (SPADCALL (QREFELT $ 9) |s| (QREFELT $ 71))
                          |i| |j| (QREFELT $ 72))
                         (QREFELT $ 70))
                        (QREFELT $ 73))
                       |ALGSC;jacobiIdentity?;B;24|)))
                    (LETT |s| (QSADD1 |s|) |ALGSC;jacobiIdentity?;B;24|)
                    (GO G190) G191 (EXIT NIL))
                   (EXIT
                    (COND
                     ((NULL (SPADCALL |res| (QREFELT $ 42)))
                      (PROGN
                       (LETT #7#
                        (SEQ
                         (SPADCALL "Jacobi identity does not hold"
                          (QREFELT $ 79))
                         (EXIT
                          (PROGN (LETT #6# 'NIL |ALGSC;jacobiIdentity?;B;24|)
                           (GO #6#))))
                        |ALGSC;jacobiIdentity?;B;24|)
                       (GO #7#)))))))
                 #7# (EXIT #7#))
                (LETT |r| (QSADD1 |r|) |ALGSC;jacobiIdentity?;B;24|) (GO G190)
                G191 (EXIT NIL))))
             (LETT |k| (QSADD1 |k|) |ALGSC;jacobiIdentity?;B;24|) (GO G190)
             G191 (EXIT NIL))))
          (LETT |j| (QSADD1 |j|) |ALGSC;jacobiIdentity?;B;24|) (GO G190) G191
          (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |ALGSC;jacobiIdentity?;B;24|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL "Jacobi identity holds" (QREFELT $ 79)) (EXIT 'T)))
    #6# (EXIT #6#))))) 

(DEFUN |AlgebraGivenByStructuralConstants| (&REST #1=#:G3825 &AUX #2=#:G3823)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3824)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|AlgebraGivenByStructuralConstants|)
         '|domainEqualList|)
        |AlgebraGivenByStructuralConstants|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |AlgebraGivenByStructuralConstants;|) #2#)
         (LETT #3# T |AlgebraGivenByStructuralConstants|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|AlgebraGivenByStructuralConstants|))))))))))) 

(DEFUN |AlgebraGivenByStructuralConstants;| (|#1| |#2| |#3| |#4|)
 (PROG (DV$1 DV$2 DV$3 DV$4 |dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) . #1=(|AlgebraGivenByStructuralConstants|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT DV$4 (|devaluate| |#4|) . #1#)
    (LETT |dv$| (LIST '|AlgebraGivenByStructuralConstants| DV$1 DV$2 DV$3 DV$4)
     . #1#)
    (LETT $ (GETREFV 101) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|Field|))
        (|HasCategory| |#1| '(|IntegralDomain|))))
      . #1#))
    (|haddProp| |$ConstructorCache| '|AlgebraGivenByStructuralConstants|
     (LIST DV$1 DV$2 DV$3 DV$4) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 |#4|)
    (QSETREFV $ 10 (|DirectProduct| |#2| |#1|)) $)))) 

(MAKEPROP '|AlgebraGivenByStructuralConstants| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|DirectProduct| 7 6) (|local| |#1|) (|local| |#2|)
     (|local| |#3|) (|local| |#4|) '|Rep| (|Union| $ '"failed")
     (|FiniteRankNonAssociativeAlgebra&| $$ 6) (0 . |recip|) |ALGSC;recip;$U;1|
     (|Matrix| 6) (|SquareMatrix| 7 6) (5 . |coerce|) (10 . |apply|)
     |ALGSC;*;Sm2$;2| (|Vector| 6) (16 . |directProduct|) |ALGSC;coerce;V$;3|
     (|Vector| 15) |ALGSC;structuralConstants;V;4| (|List| 6) (21 . |entries|)
     (26 . |vector|) |ALGSC;coordinates;$V;5| (|Integer|) (|Vector| $$)
     (31 . |maxIndex|) (36 . |Zero|) (|NonNegativeInteger|) (40 . |new|)
     (47 . |elt|) (53 . |setColumn!|) (|Union| 20 '"failed")
     (|Record| (|:| |particular| 37) (|:| |basis| 98))
     (|LinearSystemMatrixPackage| 6 20 20 15) (60 . |solve|) (|Boolean|)
     (66 . |zero?|) (|Vector| $) |ALGSC;basis;V;7| (|Mapping| 41 6)
     (71 . |every?|) |ALGSC;coordinates;$VV;6| (|PositiveInteger|)
     (77 . |unitVector|) |ALGSC;someBasis;V;8| |ALGSC;rank;Pi;9| (82 . |elt|)
     |ALGSC;elt;$IR;10| (88 . |zero?|) (|OutputForm|) (93 . |coerce|)
     (98 . |One|) (102 . =) (|Symbol|) (|List| 59) (108 . |elt|)
     (114 . |coerce|) (119 . *) (125 . +) (|Mapping| 55 55 55) (|List| 55)
     (131 . |reduce|) |ALGSC;coerce;$Of;11| (137 . |new|) (143 . *)
     (149 . |elt|) (155 . |elt|) (162 . +) (168 . |setelt|) |ALGSC;*;3$;12|
     (175 . -) (|Void|) (|String|) (181 . |messagePrint|)
     |ALGSC;alternative?;B;13| |ALGSC;associative?;B;14|
     |ALGSC;antiAssociative?;B;15| |ALGSC;commutative?;B;16|
     |ALGSC;antiCommutative?;B;17| |ALGSC;leftAlternative?;B;18|
     |ALGSC;rightAlternative?;B;19| |ALGSC;flexible?;B;20|
     |ALGSC;lieAdmissible?;B;21| (186 . *) (192 . |recip|)
     |ALGSC;jordanAdmissible?;B;22| |ALGSC;jordanAlgebra?;B;23|
     |ALGSC;jacobiIdentity?;B;24|
     (|SparseUnivariatePolynomial| (|Polynomial| 6))
     (|Record| (|:| |particular| $) (|:| |basis| (|List| $)))
     (|Union| 95 '"failed") (|SparseUnivariatePolynomial| 6) (|List| 20)
     (|List| (|Polynomial| 6)) (|SingleInteger|))
  '#(~= 197 |zero?| 203 |unit| 208 |subtractIfCan| 212 |structuralConstants|
     218 |someBasis| 227 |sample| 231 |rightUnits| 235 |rightUnit| 239
     |rightTraceMatrix| 243 |rightTrace| 252 |rightRegularRepresentation| 257
     |rightRecip| 268 |rightRankPolynomial| 273 |rightPower| 277 |rightNorm|
     283 |rightMinimalPolynomial| 288 |rightDiscriminant| 293
     |rightCharacteristicPolynomial| 302 |rightAlternative?| 307 |represents|
     311 |recip| 322 |rank| 327 |powerAssociative?| 331 |plenaryPower| 335
     |noncommutativeJordanAlgebra?| 341 |lieAlgebra?| 345 |lieAdmissible?| 349
     |leftUnits| 353 |leftUnit| 357 |leftTraceMatrix| 361 |leftTrace| 370
     |leftRegularRepresentation| 375 |leftRecip| 386 |leftRankPolynomial| 391
     |leftPower| 395 |leftNorm| 401 |leftMinimalPolynomial| 406
     |leftDiscriminant| 411 |leftCharacteristicPolynomial| 420
     |leftAlternative?| 425 |latex| 429 |jordanAlgebra?| 434
     |jordanAdmissible?| 438 |jacobiIdentity?| 442 |hash| 446 |flexible?| 451
     |elt| 455 |coordinates| 461 |convert| 483 |conditionsForIdempotents| 493
     |commutator| 502 |commutative?| 508 |coerce| 512 |basis| 522
     |associatorDependence| 526 |associator| 530 |associative?| 537 |apply| 541
     |antiCommutator| 547 |antiCommutative?| 553 |antiAssociative?| 557
     |alternative?| 561 |Zero| 565 = 569 - 575 + 586 ** 592 * 598)
  '((|unitsKnown| . 2) (|leftUnitary| . 0) (|rightUnitary| . 0))
  (CONS (|makeByteWordVec2| 1 '(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0))
   (CONS
    '#(|FramedNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra&|
       |NonAssociativeAlgebra&| |Module&| NIL |NonAssociativeRng&| NIL NIL NIL
       |AbelianGroup&| NIL |AbelianMonoid&| |AbelianSemiGroup&| |Monad&|
       |SetCategory&| |BasicType&| NIL)
    (CONS
     '#((|FramedNonAssociativeAlgebra| 6) (|FiniteRankNonAssociativeAlgebra| 6)
        (|NonAssociativeAlgebra| 6) (|Module| 6) (|BiModule| 6 6)
        (|NonAssociativeRng|) (|LeftModule| (|SquareMatrix| 7 6))
        (|RightModule| 6) (|LeftModule| 6) (|AbelianGroup|)
        (|CancellationAbelianMonoid|) (|AbelianMonoid|) (|AbelianSemiGroup|)
        (|Monad|) (|SetCategory|) (|BasicType|) (|CoercibleTo| 55))
     (|makeByteWordVec2| 100
      '(1 12 11 0 13 1 16 15 0 17 2 0 0 15 0 18 1 10 0 20 21 1 10 25 0 26 1 20
        0 25 27 1 30 29 0 31 0 6 0 32 3 15 0 33 33 6 34 2 30 2 0 29 35 3 15 0 0
        29 20 36 2 39 38 15 20 40 1 6 41 0 42 2 20 41 45 0 46 1 10 0 48 49 2 10
        6 0 29 52 1 10 41 0 54 1 6 55 0 56 0 6 0 57 2 6 41 0 0 58 2 60 59 0 29
        61 1 59 55 0 62 2 55 0 0 0 63 2 55 0 0 0 64 2 66 55 65 0 67 2 20 0 33 6
        69 2 6 0 0 0 70 2 23 15 0 29 71 3 15 6 0 29 29 72 2 6 0 0 0 73 3 20 6 0
        29 6 74 2 6 0 0 0 76 1 55 77 78 79 2 6 0 48 0 89 1 6 11 0 90 2 0 41 0 0
        1 1 0 41 0 1 0 2 11 1 2 0 11 0 0 1 0 0 23 24 1 0 23 43 1 0 0 43 50 0 0
        0 1 0 2 96 1 0 2 11 1 0 0 15 1 1 0 15 43 1 1 0 6 0 1 1 0 15 0 1 2 0 15
        0 43 1 1 2 11 0 1 0 1 94 1 2 0 0 0 48 1 1 0 6 0 1 1 2 97 0 1 0 0 6 1 1
        0 6 43 1 1 0 97 0 1 0 0 41 86 1 0 0 20 1 2 0 0 20 43 1 1 2 11 0 14 0 0
        48 51 0 0 41 1 2 0 0 0 48 1 0 0 41 1 0 0 41 1 0 0 41 88 0 2 96 1 0 2 11
        1 0 0 15 1 1 0 15 43 1 1 0 6 0 1 1 0 15 0 1 2 0 15 0 43 1 1 2 11 0 1 0
        1 94 1 2 0 0 0 48 1 1 0 6 0 1 1 2 97 0 1 0 0 6 1 1 0 6 43 1 1 0 97 0 1
        0 0 41 85 1 0 78 0 1 0 0 41 92 0 0 41 91 0 0 41 93 1 0 100 0 1 0 0 41
        87 2 0 6 0 29 53 1 0 20 0 28 1 0 15 43 1 2 0 15 43 43 1 2 0 20 0 43 47
        1 0 20 0 1 1 0 0 20 1 0 0 99 1 1 0 99 43 1 2 0 0 0 0 1 0 0 41 83 1 0 0
        20 22 1 0 55 0 68 0 0 43 44 0 2 98 1 3 0 0 0 0 0 1 0 0 41 81 2 0 0 15 0
        18 2 0 0 0 0 1 0 0 41 84 0 0 41 82 0 0 41 80 0 0 0 1 2 0 41 0 0 1 1 0 0
        0 1 2 0 0 0 0 1 2 0 0 0 0 1 2 0 0 0 48 1 2 0 0 16 0 19 2 0 0 6 0 1 2 0
        0 0 6 1 2 0 0 0 0 75 2 0 0 29 0 1 2 0 0 33 0 1 2 0 0 48 0 1)))))
  '|lookupComplete|)) 
