
(/VERSIONCHECK 2) 

(DEFUN |ANTISYM;One;$;1| ($)
 (LIST (CONS (SPADCALL (QREFELT $ 9) (QREFELT $ 12)) (|spadConstant| $ 13)))) 

(DEFUN |ANTISYM;coefficient;2$R;2| (|a| |u| $)
 (PROG (|x| |t| #1=#:G3567 #2=#:G3566)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((NULL (NULL (CDR |u|)))
       (|error| "2nd argument must be a basis element"))
      ('T
       (SEQ (LETT |x| (QCAR (|SPADfirst| |u|)) |ANTISYM;coefficient;2$R;2|)
        (SEQ (LETT |t| NIL |ANTISYM;coefficient;2$R;2|)
         (LETT #1# |a| |ANTISYM;coefficient;2$R;2|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |t| (CAR #1#) |ANTISYM;coefficient;2$R;2|) NIL))
           (GO G191)))
         (SEQ
          (COND
           ((SPADCALL (QCAR |t|) |x| (QREFELT $ 16))
            (PROGN (LETT #2# (QCDR |t|) |ANTISYM;coefficient;2$R;2|)
             (GO #2#))))
          (EXIT
           (COND
            ((SPADCALL (QCAR |t|) |x| (QREFELT $ 17))
             (PROGN
              (LETT #2# (|spadConstant| $ 18) |ANTISYM;coefficient;2$R;2|)
              (GO #2#))))))
         (LETT #1# (CDR #1#) |ANTISYM;coefficient;2$R;2|) (GO G190) G191
         (EXIT NIL))
        (EXIT (|spadConstant| $ 18))))))
    #2# (EXIT #2#))))) 

(DEFUN |ANTISYM;retractable?;$B;3| (|a| $)
 (COND ((NULL |a|) 'T)
  ('T
   (SPADCALL (QCAR (|SPADfirst| |a|)) (SPADCALL (QREFELT $ 9) (QREFELT $ 12))
    (QREFELT $ 16))))) 

(DEFUN |ANTISYM;retractIfCan;$U;4| (|a| $)
 (COND ((NULL |a|) (CONS 0 (|spadConstant| $ 18)))
  ((SPADCALL (QCAR (|SPADfirst| |a|)) (SPADCALL (QREFELT $ 9) (QREFELT $ 12))
    (QREFELT $ 16))
   (CONS 0 (SPADCALL |a| (QREFELT $ 21))))
  ('T (CONS 1 "failed")))) 

(DEFUN |ANTISYM;retract;$R;5| (|a| $)
 (COND ((NULL |a|) (|spadConstant| $ 18)) ('T (SPADCALL |a| (QREFELT $ 21))))) 

(DEFUN |ANTISYM;homogeneous?;$B;6| (|a| $)
 (PROG
  (#1=#:G3538 #2=#:G3621 #3=#:G3583 #4=#:G3581 #5=#:G3582 |siz| |ta| #6=#:G3622
   #7=#:G3539 #8=#:G3623 #9=#:G3616 #10=#:G3614 #11=#:G3615 #12=#:G3620
   #13=#:G3618)
  (RETURN
   (SEQ
    (EXIT
     (COND ((NULL |a|) 'T)
      ('T
       (SEQ
        (LETT |siz|
         (PROGN (LETT #5# NIL |ANTISYM;homogeneous?;$B;6|)
          (SEQ (LETT #1# NIL |ANTISYM;homogeneous?;$B;6|)
           (LETT #2# (SPADCALL (QCAR (|SPADfirst| |a|)) (QREFELT $ 26))
            |ANTISYM;homogeneous?;$B;6|)
           G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT #1# (CAR #2#) |ANTISYM;homogeneous?;$B;6|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (PROGN (LETT #3# #1# |ANTISYM;homogeneous?;$B;6|)
              (COND (#5# (LETT #4# (+ #4# #3#) |ANTISYM;homogeneous?;$B;6|))
               ('T
                (PROGN (LETT #4# #3# |ANTISYM;homogeneous?;$B;6|)
                 (LETT #5# 'T |ANTISYM;homogeneous?;$B;6|)))))))
           (LETT #2# (CDR #2#) |ANTISYM;homogeneous?;$B;6|) (GO G190) G191
           (EXIT NIL))
          (COND (#5# #4#) ('T 0)))
         |ANTISYM;homogeneous?;$B;6|)
        (SEQ
         (EXIT
          (SEQ (LETT |ta| NIL |ANTISYM;homogeneous?;$B;6|)
           (LETT #6# (SPADCALL |a| (QREFELT $ 27)) |ANTISYM;homogeneous?;$B;6|)
           G190
           (COND
            ((OR (ATOM #6#)
              (PROGN (LETT |ta| (CAR #6#) |ANTISYM;homogeneous?;$B;6|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((NULL
                (EQL
                 (PROGN (LETT #11# NIL |ANTISYM;homogeneous?;$B;6|)
                  (SEQ (LETT #7# NIL |ANTISYM;homogeneous?;$B;6|)
                   (LETT #8# (SPADCALL (QCAR |ta|) (QREFELT $ 26))
                    |ANTISYM;homogeneous?;$B;6|)
                   G190
                   (COND
                    ((OR (ATOM #8#)
                      (PROGN (LETT #7# (CAR #8#) |ANTISYM;homogeneous?;$B;6|)
                       NIL))
                     (GO G191)))
                   (SEQ
                    (EXIT
                     (PROGN (LETT #9# #7# |ANTISYM;homogeneous?;$B;6|)
                      (COND
                       (#11#
                        (LETT #10# (+ #10# #9#) |ANTISYM;homogeneous?;$B;6|))
                       ('T
                        (PROGN (LETT #10# #9# |ANTISYM;homogeneous?;$B;6|)
                         (LETT #11# 'T |ANTISYM;homogeneous?;$B;6|)))))))
                   (LETT #8# (CDR #8#) |ANTISYM;homogeneous?;$B;6|) (GO G190)
                   G191 (EXIT NIL))
                  (COND (#11# #10#) ('T 0)))
                 |siz|))
               (PROGN
                (LETT #13#
                 (PROGN (LETT #12# 'NIL |ANTISYM;homogeneous?;$B;6|) (GO #12#))
                 |ANTISYM;homogeneous?;$B;6|)
                (GO #13#))))))
           (LETT #6# (CDR #6#) |ANTISYM;homogeneous?;$B;6|) (GO G190) G191
           (EXIT NIL)))
         #13# (EXIT #13#))
        (EXIT 'T)))))
    #12# (EXIT #12#))))) 

(DEFUN |ANTISYM;degree;$Nni;7| (|a| $)
 (PROG (#1=#:G3540 #2=#:G3634 #3=#:G3630 #4=#:G3628 #5=#:G3629 #6=#:G3631)
  (RETURN
   (SEQ
    (COND ((NULL |a|) 0)
     ((SPADCALL |a| (QREFELT $ 28))
      (PROG1
       (LETT #6#
        (PROGN (LETT #5# NIL |ANTISYM;degree;$Nni;7|)
         (SEQ (LETT #1# NIL |ANTISYM;degree;$Nni;7|)
          (LETT #2# (SPADCALL (QCAR (|SPADfirst| |a|)) (QREFELT $ 26))
           |ANTISYM;degree;$Nni;7|)
          G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT #1# (CAR #2#) |ANTISYM;degree;$Nni;7|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (PROGN (LETT #3# #1# |ANTISYM;degree;$Nni;7|)
             (COND (#5# (LETT #4# (+ #4# #3#) |ANTISYM;degree;$Nni;7|))
              ('T
               (PROGN (LETT #4# #3# |ANTISYM;degree;$Nni;7|)
                (LETT #5# 'T |ANTISYM;degree;$Nni;7|)))))))
          (LETT #2# (CDR #2#) |ANTISYM;degree;$Nni;7|) (GO G190) G191
          (EXIT NIL))
         (COND (#5# #4#) ('T 0)))
        |ANTISYM;degree;$Nni;7|)
       (|check-subtype| (>= #6# 0) '(|NonNegativeInteger|) #6#)))
     ('T (|error| "not a homogeneous element"))))))) 

(DEFUN |ANTISYM;zo| (|p| |q| $)
 (COND ((EQL |p| 0) (LIST 1 |q|)) ((EQL |q| 0) (LIST 1 1)) ('T (LIST 0 0)))) 

(DEFUN |ANTISYM;getsgn| (|x| |y| $)
 (PROG
  (|yy| |i| #1=#:G3665 |xx| #2=#:G3541 #3=#:G3666 #4=#:G3659 #5=#:G3657
   #6=#:G3658 |sgn|)
  (RETURN
   (SEQ (LETT |sgn| 0 |ANTISYM;getsgn|)
    (LETT |xx| (SPADCALL |x| (QREFELT $ 26)) |ANTISYM;getsgn|)
    (LETT |yy| (SPADCALL |y| (QREFELT $ 26)) |ANTISYM;getsgn|)
    (SEQ (LETT |i| 1 |ANTISYM;getsgn|)
     (LETT #1# (- (QREFELT $ 9) 1) |ANTISYM;getsgn|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ (LETT |xx| (CDR |xx|) |ANTISYM;getsgn|)
      (EXIT
       (LETT |sgn|
        (+ |sgn|
         (*
          (PROGN (LETT #6# NIL |ANTISYM;getsgn|)
           (SEQ (LETT #2# NIL |ANTISYM;getsgn|)
            (LETT #3# |xx| |ANTISYM;getsgn|) G190
            (COND
             ((OR (ATOM #3#) (PROGN (LETT #2# (CAR #3#) |ANTISYM;getsgn|) NIL))
              (GO G191)))
            (SEQ
             (EXIT
              (PROGN (LETT #4# #2# |ANTISYM;getsgn|)
               (COND (#6# (LETT #5# (+ #5# #4#) |ANTISYM;getsgn|))
                ('T
                 (PROGN (LETT #5# #4# |ANTISYM;getsgn|)
                  (LETT #6# 'T |ANTISYM;getsgn|)))))))
            (LETT #3# (CDR #3#) |ANTISYM;getsgn|) (GO G190) G191 (EXIT NIL))
           (COND (#6# #5#) ('T 0)))
          (SPADCALL |yy| |i| (QREFELT $ 32))))
        |ANTISYM;getsgn|)))
     (LETT |i| (QSADD1 |i|) |ANTISYM;getsgn|) (GO G190) G191 (EXIT NIL))
    (EXIT (COND ((EQL (REMAINDER2 |sgn| 2) 0) 1) ('T -1))))))) 

(DEFUN |ANTISYM;Nalpha| (|x| |y| $)
 (PROG (#1=#:G3673 #2=#:G3674 |dum2| |j| #3=#:G3675 |dum| |i| #4=#:G3670)
  (RETURN
   (SEQ (LETT |i| 1 |ANTISYM;Nalpha|)
    (LETT |dum2|
     (PROGN (LETT #1# NIL |ANTISYM;Nalpha|)
      (SEQ (LETT |i| 1 |ANTISYM;Nalpha|)
       (LETT #2# (QREFELT $ 9) |ANTISYM;Nalpha|) G190
       (COND ((QSGREATERP |i| #2#) (GO G191)))
       (SEQ (EXIT (LETT #1# (CONS 0 #1#) |ANTISYM;Nalpha|)))
       (LETT |i| (QSADD1 |i|) |ANTISYM;Nalpha|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |ANTISYM;Nalpha|)
    (SEQ
     (EXIT
      (SEQ (LETT |j| 1 |ANTISYM;Nalpha|)
       (LETT #3# (QREFELT $ 9) |ANTISYM;Nalpha|) G190
       (COND ((QSGREATERP |j| #3#) (GO G191)))
       (SEQ
        (LETT |dum|
         (|ANTISYM;zo|
          (SPADCALL (SPADCALL |x| (QREFELT $ 26)) |j| (QREFELT $ 32))
          (SPADCALL (SPADCALL |y| (QREFELT $ 26)) |j| (QREFELT $ 32)) $)
         |ANTISYM;Nalpha|)
        (LETT |i|
         (SPADCALL |i| (SPADCALL |dum| 1 (QREFELT $ 32)) (QREFELT $ 33))
         |ANTISYM;Nalpha|)
        (EXIT
         (COND
          ((EQL |i| 0) (PROGN (LETT #4# |$NoValue| |ANTISYM;Nalpha|) (GO #4#)))
          ('T
           (SPADCALL |dum2| |j| (SPADCALL |dum| 2 (QREFELT $ 32))
            (QREFELT $ 34))))))
       (LETT |j| (QSADD1 |j|) |ANTISYM;Nalpha|) (GO G190) G191 (EXIT NIL)))
     #4# (EXIT #4#))
    (EXIT
     (COND ((EQL |i| 0) (CONS |i| |dum2|))
      ('T (CONS (|ANTISYM;getsgn| |x| |y| $) |dum2|)))))))) 

(DEFUN |ANTISYM;*;3$;11| (|a| |b| $)
 (PROG (|tb| #1=#:G3686 |ta| #2=#:G3687 |stuff| |r| |z|)
  (RETURN
   (SEQ
    (COND ((OR (NULL |a|) (NULL |b|)) (|spadConstant| $ 30))
     ('T
      (SEQ
       (COND
        ((NULL (CDR |a|))
         (COND
          ((SPADCALL (QCAR (|SPADfirst| |a|))
            (SPADCALL (QREFELT $ 9) (QREFELT $ 12)) (QREFELT $ 16))
           (EXIT (SPADCALL (QCDR (|SPADfirst| |a|)) |b| (QREFELT $ 35)))))))
       (COND
        ((NULL (CDR |b|))
         (COND
          ((SPADCALL (QCAR (|SPADfirst| |b|))
            (SPADCALL (QREFELT $ 9) (QREFELT $ 12)) (QREFELT $ 16))
           (EXIT (SPADCALL (QCDR (|SPADfirst| |b|)) |a| (QREFELT $ 35)))))))
       (LETT |z| (|spadConstant| $ 30) |ANTISYM;*;3$;11|)
       (SEQ (LETT |tb| NIL |ANTISYM;*;3$;11|) (LETT #1# |b| |ANTISYM;*;3$;11|)
        G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |tb| (CAR #1#) |ANTISYM;*;3$;11|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |ta| NIL |ANTISYM;*;3$;11|)
           (LETT #2# |a| |ANTISYM;*;3$;11|) G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |ta| (CAR #2#) |ANTISYM;*;3$;11|) NIL))
             (GO G191)))
           (SEQ
            (LETT |stuff| (|ANTISYM;Nalpha| (QCAR |ta|) (QCAR |tb|) $)
             |ANTISYM;*;3$;11|)
            (LETT |r|
             (SPADCALL
              (SPADCALL (|SPADfirst| |stuff|) (QCDR |ta|) (QREFELT $ 36))
              (QCDR |tb|) (QREFELT $ 37))
             |ANTISYM;*;3$;11|)
            (EXIT
             (COND
              ((NULL (SPADCALL |r| (|spadConstant| $ 18) (QREFELT $ 38)))
               (LETT |z|
                (SPADCALL |z|
                 (LIST (CONS (SPADCALL (CDR |stuff|) (QREFELT $ 39)) |r|))
                 (QREFELT $ 40))
                |ANTISYM;*;3$;11|)))))
           (LETT #2# (CDR #2#) |ANTISYM;*;3$;11|) (GO G190) G191 (EXIT NIL))))
        (LETT #1# (CDR #1#) |ANTISYM;*;3$;11|) (GO G190) G191 (EXIT NIL))
       (EXIT |z|)))))))) 

(DEFUN |ANTISYM;coerce;R$;12| (|r| $)
 (COND
  ((SPADCALL |r| (|spadConstant| $ 18) (QREFELT $ 38)) (|spadConstant| $ 30))
  ('T (LIST (CONS (SPADCALL (QREFELT $ 9) (QREFELT $ 12)) |r|))))) 

(DEFUN |ANTISYM;coerce;I$;13| (|m| $)
 (COND ((EQL |m| 0) (|spadConstant| $ 30))
  ('T
   (LIST
    (CONS (SPADCALL (QREFELT $ 9) (QREFELT $ 12))
     (SPADCALL |m| (QREFELT $ 43))))))) 

(DEFUN |ANTISYM;characteristic;Nni;14| ($) (SPADCALL (QREFELT $ 45))) 

(DEFUN |ANTISYM;generator;Nni$;15| (|j| $)
 (PROG (#1=#:G3697 |i| #2=#:G3698 |dum|)
  (RETURN
   (SEQ
    (LETT |dum|
     (PROGN (LETT #1# NIL |ANTISYM;generator;Nni$;15|)
      (SEQ (LETT |i| 1 |ANTISYM;generator;Nni$;15|)
       (LETT #2# (QREFELT $ 9) |ANTISYM;generator;Nni$;15|) G190
       (COND ((QSGREATERP |i| #2#) (GO G191)))
       (SEQ (EXIT (LETT #1# (CONS 0 #1#) |ANTISYM;generator;Nni$;15|)))
       (LETT |i| (QSADD1 |i|) |ANTISYM;generator;Nni$;15|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |ANTISYM;generator;Nni$;15|)
    (SPADCALL |dum| |j| 1 (QREFELT $ 34))
    (EXIT
     (LIST (CONS (SPADCALL |dum| (QREFELT $ 39)) (|spadConstant| $ 13)))))))) 

(DEFUN |ANTISYM;exp;L$;16| (|li| $)
 (LIST (CONS (SPADCALL |li| (QREFELT $ 39)) (|spadConstant| $ 13)))) 

(DEFUN |ANTISYM;leadingBasisTerm;2$;17| (|a| $)
 (LIST (CONS (QCAR (|SPADfirst| |a|)) (|spadConstant| $ 13)))) 

(DEFUN |ANTISYM;displayList| (|x| $)
 (PROG (|le| #1=#:G3708 |i| #2=#:G3709)
  (RETURN
   (SEQ (LETT |le| (SPADCALL |x| (QREFELT $ 26)) |ANTISYM;displayList|)
    (EXIT
     (SPADCALL (ELT $ 51)
      (PROGN (LETT #1# NIL |ANTISYM;displayList|)
       (SEQ (LETT |i| 1 |ANTISYM;displayList|)
        (LETT #2# (QREFELT $ 9) |ANTISYM;displayList|) G190
        (COND ((QSGREATERP |i| #2#) (GO G191)))
        (SEQ
         (EXIT
          (COND
           ((EQL (SPADCALL |le| |i| (QREFELT $ 32)) 1)
            (LETT #1#
             (CONS
              (SPADCALL (SPADCALL (QREFELT $ 7) |i| (QREFELT $ 54))
               (QREFELT $ 55))
              #1#)
             |ANTISYM;displayList|)))))
        (LETT |i| (QSADD1 |i|) |ANTISYM;displayList|) (GO G190) G191
        (EXIT (NREVERSE0 #1#))))
      (QREFELT $ 58))))))) 

(DEFUN |ANTISYM;makeTerm| (|r| |x| $)
 (COND
  ((SPADCALL |x| (SPADCALL (QREFELT $ 9) (QREFELT $ 12)) (QREFELT $ 16))
   (SPADCALL |r| (QREFELT $ 59)))
  ((SPADCALL |r| (|spadConstant| $ 13) (QREFELT $ 38))
   (|ANTISYM;displayList| |x| $))
  ('T
   (SPADCALL (SPADCALL |r| (QREFELT $ 59)) (|ANTISYM;displayList| |x| $)
    (QREFELT $ 51))))) 

(DEFUN |ANTISYM;coerce;$Of;20| (|a| $)
 (PROG (#1=#:G3718 |t| #2=#:G3719)
  (RETURN
   (SEQ
    (COND ((SPADCALL |a| (QREFELT $ 60)) (SPADCALL 0 (QREFELT $ 61)))
     ((NULL (CDR |a|))
      (SEQ (LETT |t| (|SPADfirst| |a|) |ANTISYM;coerce;$Of;20|)
       (EXIT (|ANTISYM;makeTerm| (QCDR |t|) (QCAR |t|) $))))
     ('T
      (SPADCALL (ELT $ 62)
       (PROGN (LETT #1# NIL |ANTISYM;coerce;$Of;20|)
        (SEQ (LETT |t| NIL |ANTISYM;coerce;$Of;20|)
         (LETT #2# |a| |ANTISYM;coerce;$Of;20|) G190
         (COND
          ((OR (ATOM #2#)
            (PROGN (LETT |t| (CAR #2#) |ANTISYM;coerce;$Of;20|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #1# (CONS (|ANTISYM;makeTerm| (QCDR |t|) (QCAR |t|) $) #1#)
            |ANTISYM;coerce;$Of;20|)))
         (LETT #2# (CDR #2#) |ANTISYM;coerce;$Of;20|) (GO G190) G191
         (EXIT (NREVERSE0 #1#))))
       (QREFELT $ 58)))))))) 

(DEFUN |AntiSymm| (&REST #1=#:G3728 &AUX #2=#:G3726) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3727)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|AntiSymm|) '|domainEqualList|)
        |AntiSymm|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |AntiSymm;|) #2#) (LETT #3# T |AntiSymm|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|AntiSymm|))))))))))) 

(DEFUN |AntiSymm;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|AntiSymm|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|AntiSymm| DV$1 DV$2) . #1#) (LETT $ (GETREFV 69) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|AntiSymm| (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 (|List| (|Record| (|:| |k| (|ExtAlgBasis|)) (|:| |c| |#1|))))
    (QSETREFV $ 9 (LENGTH |#2|)) $)))) 

(MAKEPROP '|AntiSymm| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|FreeModule| 6 11) (|local| |#1|) (|local| |#2|)
     '|Rep| '|dim| (|NonNegativeInteger|) (|ExtAlgBasis|) (0 . |Nul|)
     (5 . |One|)
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |ANTISYM;One;$;1|) $))
     (|Boolean|) (9 . =) (15 . <) (21 . |Zero|) |ANTISYM;coefficient;2$R;2|
     |ANTISYM;retractable?;$B;3| (25 . |leadingCoefficient|)
     (|Union| 6 '"failed") |ANTISYM;retractIfCan;$U;4| |ANTISYM;retract;$R;5|
     (|List| 31) (30 . |exponents|) (35 . |reductum|)
     |ANTISYM;homogeneous?;$B;6| |ANTISYM;degree;$Nni;7| (40 . |Zero|)
     (|Integer|) (44 . |elt|) (50 . *) (56 . |setelt|) (63 . *) (69 . *)
     (75 . *) (81 . =) (87 . |coerce|) (92 . +) |ANTISYM;*;3$;11|
     |ANTISYM;coerce;R$;12| (98 . |coerce|) |ANTISYM;coerce;I$;13|
     (103 . |characteristic|) |ANTISYM;characteristic;Nni;14|
     |ANTISYM;generator;Nni$;15| |ANTISYM;exp;L$;16|
     |ANTISYM;leadingBasisTerm;2$;17| (|OutputForm|) (107 . *) (|Symbol|)
     (|List| 52) (113 . |elt|) (119 . |coerce|) (|Mapping| 50 50 50)
     (|List| 50) (124 . |reduce|) (130 . |coerce|) (135 . |zero?|)
     (140 . |coerce|) (145 . +) |ANTISYM;coerce;$Of;20| (|Mapping| 6 6)
     (|Union| $ '"failed") (|PositiveInteger|) (|SingleInteger|) (|String|))
  '#(~= 151 |zero?| 157 |subtractIfCan| 162 |sample| 168 |retractable?| 172
     |retractIfCan| 177 |retract| 182 |reductum| 187 |recip| 192 |one?| 197
     |map| 202 |leadingCoefficient| 208 |leadingBasisTerm| 213 |latex| 218
     |homogeneous?| 223 |hash| 228 |generator| 233 |exp| 238 |degree| 243
     |coerce| 248 |coefficient| 263 |characteristic| 269 ^ 273 |Zero| 285 |One|
     289 = 293 - 299 + 310 ** 316 * 328)
  '((|unitsKnown| . 0))
  (CONS (|makeByteWordVec2| 1 '(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0))
   (CONS
    '#(|LeftAlgebra&| |Ring&| NIL NIL NIL |AbelianGroup&| NIL |AbelianMonoid&|
       |Monoid&| |AbelianSemiGroup&| |SemiGroup&| |SetCategory&|
       |RetractableTo&| |BasicType&| NIL)
    (CONS
     '#((|LeftAlgebra| 6) (|Ring|) (|Rng|) (|LeftModule| 6) (|LeftModule| $$)
        (|AbelianGroup|) (|CancellationAbelianMonoid|) (|AbelianMonoid|)
        (|Monoid|) (|AbelianSemiGroup|) (|SemiGroup|) (|SetCategory|)
        (|RetractableTo| 6) (|BasicType|) (|CoercibleTo| 50))
     (|makeByteWordVec2| 68
      '(1 11 0 10 12 0 6 0 13 2 11 15 0 0 16 2 11 15 0 0 17 0 6 0 18 1 0 6 0 21
        1 11 25 0 26 1 0 0 0 27 0 0 0 30 2 25 31 0 31 32 2 31 0 10 0 33 3 25 31
        0 31 31 34 2 0 0 6 0 35 2 6 0 31 0 36 2 6 0 0 0 37 2 6 15 0 0 38 1 11 0
        25 39 2 0 0 0 0 40 1 6 0 31 43 0 6 10 45 2 50 0 0 0 51 2 53 52 0 31 54
        1 52 50 0 55 2 57 50 56 0 58 1 6 50 0 59 1 0 15 0 60 1 31 50 0 61 2 50
        0 0 0 62 2 0 15 0 0 1 1 0 15 0 60 2 0 65 0 0 1 0 0 0 1 1 0 15 0 20 1 0
        22 0 23 1 0 6 0 24 1 0 0 0 27 1 0 65 0 1 1 0 15 0 1 2 0 0 64 0 1 1 0 6
        0 21 1 0 0 0 49 1 0 68 0 1 1 0 15 0 28 1 0 67 0 1 1 0 0 10 47 1 0 0 25
        48 1 0 10 0 29 1 0 0 6 42 1 0 0 31 44 1 0 50 0 63 2 0 6 0 0 19 0 0 10
        46 2 0 0 0 10 1 2 0 0 0 66 1 0 0 0 30 0 0 0 14 2 0 15 0 0 1 2 0 0 0 0 1
        1 0 0 0 1 2 0 0 0 0 40 2 0 0 0 10 1 2 0 0 0 66 1 2 0 0 6 0 35 2 0 0 0 0
        41 2 0 0 31 0 1 2 0 0 10 0 1 2 0 0 66 0 1)))))
  '|lookupComplete|)) 
