
(/VERSIONCHECK 2) 

(DEFUN |BOP1;evaluate;BoMBo;1| (|op| |func| $)
 (SPADCALL |op| (CONS #'|BOP1;evaluate;BoMBo;1!0| (VECTOR |func| $))
  (QREFELT $ 11))) 

(DEFUN |BOP1;evaluate;BoMBo;1!0| (|#1| $$)
 (SPADCALL (SPADCALL |#1| (QREFELT (QREFELT $$ 1) 8)) (QREFELT $$ 0))) 

(DEFUN |BOP1;evaluate;BoU;2| (|op| $)
 (PROG (|func|)
  (RETURN
   (SEQ
    (LETT |func| (SPADCALL |op| "%eval" (QREFELT $ 16)) |BOP1;evaluate;BoU;2|)
    (EXIT
     (COND ((QEQCAR |func| 1) (CONS 1 "failed"))
      ('T (CONS 0 (QCDR |func|))))))))) 

(DEFUN |BOP1;evaluate;BoLU;3| (|op| |args| $)
 (PROG (|func|)
  (RETURN
   (SEQ
    (LETT |func| (SPADCALL |op| "%eval" (QREFELT $ 16)) |BOP1;evaluate;BoLU;3|)
    (EXIT
     (COND ((QEQCAR |func| 1) (CONS 1 "failed"))
      ('T (CONS 0 (SPADCALL |args| (QCDR |func|)))))))))) 

(DEFUN |BOP1;evaluate;BoMBo;4| (|op| |func| $)
 (SPADCALL |op| "%eval" |func| (QREFELT $ 22))) 

(DEFUN |BOP1;derivative;BoU;5| (|op| $)
 (PROG (|func|)
  (RETURN
   (SEQ
    (LETT |func| (SPADCALL |op| "%diff" (QREFELT $ 16))
     |BOP1;derivative;BoU;5|)
    (EXIT
     (COND ((QEQCAR |func| 1) (CONS 1 "failed"))
      ('T (CONS 0 (QCDR |func|))))))))) 

(DEFUN |BOP1;derivative;BoLBo;6| (|op| |grad| $)
 (SPADCALL |op| "%diff" |grad| (QREFELT $ 22))) 

(DEFUN |BOP1;derivative;BoMBo;7| (|op| |f| $)
 (COND
  ((OR (SPADCALL |op| (QREFELT $ 28)) (SPADCALL |op| (QREFELT $ 29)))
   (SPADCALL |op| (LIST (CONS #'|BOP1;derivative;BoMBo;7!0| (VECTOR |f| $)))
    (QREFELT $ 26)))
  ('T (|error| "Operator is not unary")))) 

(DEFUN |BOP1;derivative;BoMBo;7!0| (|#1| $$)
 (SPADCALL (SPADCALL |#1| (QREFELT (QREFELT $$ 1) 8)) (QREFELT $$ 0))) 

(PUT '|BOP1;cdisp| '|SPADreplace| '(XLAM (|a| |l|) |a|)) 

(DEFUN |BOP1;cdisp| (|a| |l| $) |a|) 

(PUT '|BOP1;csex| '|SPADreplace| '(XLAM (|a| |l|) |a|)) 

(DEFUN |BOP1;csex| (|a| |l| $) |a|) 

(DEFUN |BOP1;eqconst?| (|a| |b| $)
 (PROG (|va| |vb|)
  (RETURN
   (SEQ
    (LETT |va| (SPADCALL |a| #1="%constant" (QREFELT $ 16)) |BOP1;eqconst?|)
    (EXIT
     (COND
      ((QEQCAR |va| 1) (COND ((SPADCALL |b| #1# (QREFELT $ 39)) 'NIL) ('T 'T)))
      ('T
       (SEQ (LETT |vb| (SPADCALL |b| #1# (QREFELT $ 16)) |BOP1;eqconst?|)
        (EXIT
         (COND
          ((QEQCAR |vb| 0) (SPADCALL (QCDR |va|) (QCDR |vb|) (QREFELT $ 40)))
          ('T 'NIL))))))))))) 

(DEFUN |BOP1;ltconst?| (|a| |b| $)
 (PROG (|va| |vb|)
  (RETURN
   (SEQ
    (LETT |va| (SPADCALL |a| #1="%constant" (QREFELT $ 16)) |BOP1;ltconst?|)
    (EXIT
     (COND ((QEQCAR |va| 1) (SPADCALL |b| #1# (QREFELT $ 39)))
      ('T
       (SEQ (LETT |vb| (SPADCALL |b| #1# (QREFELT $ 16)) |BOP1;ltconst?|)
        (EXIT
         (COND
          ((QEQCAR |vb| 0) (SPADCALL (QCDR |va|) (QCDR |vb|) (QREFELT $ 41)))
          ('T 'NIL))))))))))) 

(DEFUN |BOP1;constOp| (|a| $)
 (PROG NIL
  (RETURN
   (SPADCALL
    (SPADCALL (SPADCALL (QREFELT $ 38) (QREFELT $ 42))
     (CONS #'|BOP1;constOp!0| (VECTOR $ |a|)) (QREFELT $ 46))
    "%constant" |a| (QREFELT $ 22))))) 

(DEFUN |BOP1;constOp!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |BOP1;constOp|)
  (RETURN
   (PROGN (|BOP1;cdisp| (SPADCALL (QREFELT $$ 1) (QREFELT $ 44)) |#1| $))))) 

(DEFUN |BOP1;constantOpIfCan;BoU;13| (|op| $)
 (PROG (|u| #1=#:G3615)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((SPADCALL |op| (SPADCALL "constant" (QREFELT $ 32)) (QREFELT $ 47))
        (SEQ
         (LETT |u| (SPADCALL |op| "%constant" (QREFELT $ 16))
          |BOP1;constantOpIfCan;BoU;13|)
         (EXIT
          (COND
           ((QEQCAR |u| 0)
            (PROGN (LETT #1# (CONS 0 (QCDR |u|)) |BOP1;constantOpIfCan;BoU;13|)
             (GO #1#))))))))
      (EXIT (CONS 1 "failed"))))
    #1# (EXIT #1#))))) 

(DEFUN |BOP1;constantOperator;ABo;14| (|a| $)
 (PROG NIL
  (RETURN
   (SPADCALL (|BOP1;constOp| |a| $)
    (CONS #'|BOP1;constantOperator;ABo;14!0| (VECTOR $ |a|)) (QREFELT $ 52))))) 

(DEFUN |BOP1;constantOperator;ABo;14!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |BOP1;constantOperator;ABo;14|)
  (RETURN
   (PROGN (|BOP1;csex| (SPADCALL (QREFELT $$ 1) (QREFELT $ 50)) |#1| $))))) 

(DEFUN |BOP1;constantOperator;ABo;15| (|a| $) (|BOP1;constOp| |a| $)) 

(DEFUN |BasicOperatorFunctions1| (#1=#:G3622)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3623)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|BasicOperatorFunctions1|)
         '|domainEqualList|)
        |BasicOperatorFunctions1|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|BasicOperatorFunctions1;| #1#)
         (LETT #2# T |BasicOperatorFunctions1|))
        (COND
         ((NOT #2#)
          (HREM |$ConstructorCache| '|BasicOperatorFunctions1|))))))))))) 

(DEFUN |BasicOperatorFunctions1;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|BasicOperatorFunctions1|))
    (LETT |dv$| (LIST '|BasicOperatorFunctions1| DV$1) . #1#)
    (LETT $ (GETREFV 54) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0 (LIST (|HasCategory| |#1| '(|OrderedSet|)))) .
      #1#))
    (|haddProp| |$ConstructorCache| '|BasicOperatorFunctions1| (LIST DV$1)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (COND
     ((|testBitVector| |pv$| 1)
      (PROGN
       (QSETREFV $ 38
        (SPADCALL
         (SPADCALL
          (SPADCALL (SPADCALL "constant" (QREFELT $ 32)) 0 (QREFELT $ 34))
          (CONS (|function| |BOP1;eqconst?|) $) (QREFELT $ 36))
         (CONS (|function| |BOP1;ltconst?|) $) (QREFELT $ 37)))
       (QSETREFV $ 48
        (CONS (|dispatchFunction| |BOP1;constantOpIfCan;BoU;13|) $))
       (COND
        ((|HasCategory| |#1| '(|ConvertibleTo| (|InputForm|)))
         (QSETREFV $ 53
          (CONS (|dispatchFunction| |BOP1;constantOperator;ABo;14|) $)))
        ('T
         (QSETREFV $ 53
          (CONS (|dispatchFunction| |BOP1;constantOperator;ABo;15|) $)))))))
    $)))) 

(MAKEPROP '|BasicOperatorFunctions1| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|List| 6) (0 . |first|)
     (|BasicOperator|) (|Mapping| 6 7) |BOP1;evaluate;BoMBo;4| (|Mapping| 6 6)
     |BOP1;evaluate;BoMBo;1| (|Union| 21 '"failed") (|String|) (5 . |property|)
     (|Union| 10 '"failed") |BOP1;evaluate;BoU;2| (|Union| 6 '"failed")
     |BOP1;evaluate;BoLU;3| (|None|) (11 . |setProperty|)
     (|Union| 25 '"failed") |BOP1;derivative;BoU;5| (|List| 10)
     |BOP1;derivative;BoLBo;6| (|Boolean|) (18 . |unary?|) (23 . |nary?|)
     |BOP1;derivative;BoMBo;7| (|Symbol|) (28 . |coerce|)
     (|NonNegativeInteger|) (33 . |operator|) (|Mapping| 27 $ $)
     (39 . |equality|) (45 . |comparison|) '|opconst| (51 . |has?|) (57 . =)
     (63 . <) (69 . |copy|) (|OutputForm|) (74 . |coerce|)
     (|Mapping| 43 (|List| 43)) (79 . |display|) (85 . |is?|)
     (91 . |constantOpIfCan|) (|InputForm|) (96 . |convert|)
     (|Mapping| 49 (|List| 49)) (101 . |input|) (107 . |constantOperator|))
  '#(|evaluate| 112 |derivative| 135 |constantOperator| 152 |constantOpIfCan|
     157)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 53
      '(1 7 6 0 8 2 9 14 0 15 16 3 9 0 0 15 21 22 1 9 27 0 28 1 9 27 0 29 1 31
        0 15 32 2 9 0 31 33 34 2 9 0 0 35 36 2 9 0 0 35 37 2 9 27 0 15 39 2 6
        27 0 0 40 2 6 27 0 0 41 1 9 0 0 42 1 6 43 0 44 2 9 0 0 45 46 2 9 27 0
        31 47 1 0 19 9 48 1 6 49 0 50 2 9 0 0 51 52 1 0 9 6 53 2 0 9 9 10 11 2
        0 19 9 7 20 1 0 17 9 18 2 0 9 9 12 13 2 0 9 9 12 30 2 0 9 9 25 26 1 0
        23 9 24 1 1 9 6 53 1 1 19 9 48)))))
  '|lookupComplete|)) 
