
(/VERSIONCHECK 2) 

(DEFUN |CLIP;Fnan?| (|x| $) (SPADCALL |x| |x| (QREFELT $ 8))) 

(DEFUN |CLIP;Pnan?| (|p| $)
 (SPADCALL (CONS (|function| |CLIP;Fnan?|) $) |p| (QREFELT $ 11))) 

(DEFUN |CLIP;iClipParametric| (|pointLists| |fraction| |scale| $)
 (PROG
  (|sortedList| |n| |num| |den| |clipNum| |lastN| |firstPt| |pt| #1=#:G3586 |k|
   |xDiff| |yDiff| |numm| |denn| |newclip| |xs| |ys| |xMin| |yMin| |xMax|
   |yMax| |xseg| |yseg|)
  (RETURN
   (SEQ
    (COND
     ((OR (SPADCALL |fraction| (|spadConstant| $ 13) (QREFELT $ 14))
       (SPADCALL (|spadConstant| $ 15) |fraction| (QREFELT $ 14)))
      (|error| "clipDraw: fraction should be between 0 and 1"))
     ('T
      (COND
       ((NULL |pointLists|)
        (VECTOR NIL (SPADCALL #2=0.0 #2# (QREFELT $ 17))
         (SPADCALL #2# #2# (QREFELT $ 17))))
       ('T
        (SEQ
         (LETT |sortedList|
          (SPADCALL (CONS #'|CLIP;iClipParametric!0| $)
           (SPADCALL (CONS #'|CLIP;iClipParametric!1| $)
            (SPADCALL |pointLists| (QREFELT $ 24)) (QREFELT $ 26))
           (QREFELT $ 28))
          |CLIP;iClipParametric|)
         (EXIT
          (COND
           ((NULL |sortedList|)
            (VECTOR NIL (SPADCALL #2# #2# (QREFELT $ 17))
             (SPADCALL #2# #2# (QREFELT $ 17))))
           ('T
            (SEQ (LETT |n| (LENGTH |sortedList|) |CLIP;iClipParametric|)
             (LETT |num| (SPADCALL |fraction| (QREFELT $ 30))
              |CLIP;iClipParametric|)
             (LETT |den| (SPADCALL |fraction| (QREFELT $ 31))
              |CLIP;iClipParametric|)
             (LETT |clipNum|
              (QUOTIENT2 (SPADCALL |n| |num| (QREFELT $ 33)) |den|)
              |CLIP;iClipParametric|)
             (LETT |lastN| (- (- |n| 1) |clipNum|) |CLIP;iClipParametric|)
             (LETT |firstPt| (|SPADfirst| |sortedList|) |CLIP;iClipParametric|)
             (LETT |xMin| (SPADCALL |firstPt| (QREFELT $ 35))
              |CLIP;iClipParametric|)
             (LETT |xMax| (SPADCALL |firstPt| (QREFELT $ 35))
              |CLIP;iClipParametric|)
             (LETT |yMin| (SPADCALL |firstPt| (QREFELT $ 36))
              |CLIP;iClipParametric|)
             (LETT |yMax| (SPADCALL |firstPt| (QREFELT $ 36))
              |CLIP;iClipParametric|)
             (SEQ (LETT |pt| NIL |CLIP;iClipParametric|)
              (LETT #1# (CDR |sortedList|) |CLIP;iClipParametric|)
              (LETT |k| 0 |CLIP;iClipParametric|) G190
              (COND
               ((OR (QSGREATERP |k| |lastN|) (ATOM #1#)
                 (PROGN (LETT |pt| (CAR #1#) |CLIP;iClipParametric|) NIL))
                (GO G191)))
              (SEQ
               (LETT |xMin| (MIN |xMin| (SPADCALL |pt| (QREFELT $ 35)))
                |CLIP;iClipParametric|)
               (LETT |xMax| (MAX |xMax| (SPADCALL |pt| (QREFELT $ 35)))
                |CLIP;iClipParametric|)
               (LETT |yMin| (MIN |yMin| (SPADCALL |pt| (QREFELT $ 36)))
                |CLIP;iClipParametric|)
               (EXIT
                (LETT |yMax| (MAX |yMax| (SPADCALL |pt| (QREFELT $ 36)))
                 |CLIP;iClipParametric|)))
              (LETT |k|
               (PROG1 (QSADD1 |k|) (LETT #1# (CDR #1#) |CLIP;iClipParametric|))
               |CLIP;iClipParametric|)
              (GO G190) G191 (EXIT NIL))
             (LETT |xDiff| (- |xMax| |xMin|) |CLIP;iClipParametric|)
             (LETT |yDiff| (- |yMax| |yMin|) |CLIP;iClipParametric|)
             (EXIT
              (COND
               ((= |xDiff| #2#)
                (COND
                 ((= |yDiff| #2#)
                  (VECTOR |pointLists|
                   (SPADCALL (- |xMin| #3=1.0) (+ |xMax| #3#) (QREFELT $ 17))
                   (SPADCALL (- |yMin| #3#) (+ |yMax| #3#) (QREFELT $ 17))))
                 ('T
                  (VECTOR |pointLists|
                   (SPADCALL (- |xMin| #3#) (+ |xMax| #3#) (QREFELT $ 17))
                   (SPADCALL |yMin| |yMax| (QREFELT $ 17))))))
               ((= |yDiff| #2#)
                (VECTOR |pointLists| (SPADCALL |xMin| |xMax| (QREFELT $ 17))
                 (SPADCALL (- |yMin| #3#) (+ |yMax| #3#) (QREFELT $ 17))))
               ('T
                (SEQ
                 (LETT |numm| (SPADCALL |scale| (QREFELT $ 30))
                  |CLIP;iClipParametric|)
                 (LETT |denn| (SPADCALL |scale| (QREFELT $ 31))
                  |CLIP;iClipParametric|)
                 (LETT |xMin|
                  (- |xMin|
                   (/ (* (FLOAT |numm| MOST-POSITIVE-DOUBLE-FLOAT) |xDiff|)
                    (FLOAT |denn| MOST-POSITIVE-DOUBLE-FLOAT)))
                  |CLIP;iClipParametric|)
                 (LETT |xMax|
                  (+ |xMax|
                   (/ (* (FLOAT |numm| MOST-POSITIVE-DOUBLE-FLOAT) |xDiff|)
                    (FLOAT |denn| MOST-POSITIVE-DOUBLE-FLOAT)))
                  |CLIP;iClipParametric|)
                 (LETT |yMin|
                  (- |yMin|
                   (/ (* (FLOAT |numm| MOST-POSITIVE-DOUBLE-FLOAT) |yDiff|)
                    (FLOAT |denn| MOST-POSITIVE-DOUBLE-FLOAT)))
                  |CLIP;iClipParametric|)
                 (LETT |yMax|
                  (+ |yMax|
                   (/ (* (FLOAT |numm| MOST-POSITIVE-DOUBLE-FLOAT) |yDiff|)
                    (FLOAT |denn| MOST-POSITIVE-DOUBLE-FLOAT)))
                  |CLIP;iClipParametric|)
                 (LETT |newclip|
                  (SPADCALL |pointLists| |xMin| |xMax| |yMin| |yMax|
                   (QREFELT $ 39))
                  |CLIP;iClipParametric|)
                 (EXIT
                  (COND
                   ((< (LENGTH |pointLists|) (LENGTH (QVELT |newclip| 0)))
                    |newclip|)
                   ('T
                    (SEQ
                     (LETT |xs|
                      (SPADCALL (ELT $ 35) |sortedList| (QREFELT $ 43))
                      |CLIP;iClipParametric|)
                     (LETT |ys|
                      (SPADCALL (ELT $ 36) |sortedList| (QREFELT $ 43))
                      |CLIP;iClipParametric|)
                     (LETT |xMin| (SPADCALL (ELT $ 44) |xs| (QREFELT $ 46))
                      |CLIP;iClipParametric|)
                     (LETT |yMin| (SPADCALL (ELT $ 44) |ys| (QREFELT $ 46))
                      |CLIP;iClipParametric|)
                     (LETT |xMax| (SPADCALL (ELT $ 47) |xs| (QREFELT $ 46))
                      |CLIP;iClipParametric|)
                     (LETT |yMax| (SPADCALL (ELT $ 47) |ys| (QREFELT $ 46))
                      |CLIP;iClipParametric|)
                     (LETT |xseg| (SPADCALL |xMin| |xMax| (QREFELT $ 48))
                      |CLIP;iClipParametric|)
                     (LETT |yseg| (SPADCALL |yMin| |yMax| (QREFELT $ 48))
                      |CLIP;iClipParametric|)
                     (EXIT
                      (VECTOR |pointLists| |xseg| |yseg|))))))))))))))))))))))) 

(DEFUN |CLIP;iClipParametric!1| (|#1| $)
 (COND ((|CLIP;Pnan?| |#1| $) (|spadConstant| $ 20))
  ('T (|spadConstant| $ 21)))) 

(DEFUN |CLIP;iClipParametric!0| (|#1| |#2| $)
 (SPADCALL (|CLIP;norm| |#1| $) (|CLIP;norm| |#2| $) (QREFELT $ 19))) 

(DEFUN |CLIP;point| (|xx| |yy| $)
 (PROG (|l|)
  (RETURN (SPADCALL (LETT |l| (LIST |xx| |yy|) |CLIP;point|) (QREFELT $ 49))))) 

(DEFUN |CLIP;intersectWithHorizLine| (|x1| |y1| |x2| |y2| |yy| $)
 (COND ((= |x1| |x2|) (|CLIP;point| |x1| |yy| $))
  ('T
   (|CLIP;point| (+ |x1| (/ (* (- |x2| |x1|) (- |yy| |y1|)) (- |y2| |y1|)))
    |yy| $)))) 

(DEFUN |CLIP;intersectWithVertLine| (|x1| |y1| |x2| |y2| |xx| $)
 (COND ((= |y1| |y2|) (|CLIP;point| |xx| |y1| $))
  ('T
   (|CLIP;point| |xx|
    (+ |y1| (/ (* (- |y2| |y1|) (- |xx| |x1|)) (- |x2| |x1|))) $)))) 

(DEFUN |CLIP;intersectWithBdry| (|xMin| |xMax| |yMin| |yMax| |pt1| |pt2| $)
 (PROG (|x1| |y1| |x2| |y2|)
  (RETURN
   (SEQ (LETT |x1| (SPADCALL |pt1| (QREFELT $ 35)) |CLIP;intersectWithBdry|)
    (LETT |y1| (SPADCALL |pt1| (QREFELT $ 36)) |CLIP;intersectWithBdry|)
    (LETT |x2| (SPADCALL |pt2| (QREFELT $ 35)) |CLIP;intersectWithBdry|)
    (LETT |y2| (SPADCALL |pt2| (QREFELT $ 36)) |CLIP;intersectWithBdry|)
    (COND
     ((< |yMax| |y2|)
      (SEQ
       (LETT |pt2| (|CLIP;intersectWithHorizLine| |x1| |y1| |x2| |y2| |yMax| $)
        |CLIP;intersectWithBdry|)
       (LETT |x2| (SPADCALL |pt2| (QREFELT $ 35)) |CLIP;intersectWithBdry|)
       (EXIT
        (LETT |y2| (SPADCALL |pt2| (QREFELT $ 36))
         |CLIP;intersectWithBdry|)))))
    (COND
     ((< |y2| |yMin|)
      (SEQ
       (LETT |pt2| (|CLIP;intersectWithHorizLine| |x1| |y1| |x2| |y2| |yMin| $)
        |CLIP;intersectWithBdry|)
       (LETT |x2| (SPADCALL |pt2| (QREFELT $ 35)) |CLIP;intersectWithBdry|)
       (EXIT
        (LETT |y2| (SPADCALL |pt2| (QREFELT $ 36))
         |CLIP;intersectWithBdry|)))))
    (COND
     ((< |xMax| |x2|)
      (SEQ
       (LETT |pt2| (|CLIP;intersectWithVertLine| |x1| |y1| |x2| |y2| |xMax| $)
        |CLIP;intersectWithBdry|)
       (LETT |x2| (SPADCALL |pt2| (QREFELT $ 35)) |CLIP;intersectWithBdry|)
       (EXIT
        (LETT |y2| (SPADCALL |pt2| (QREFELT $ 36))
         |CLIP;intersectWithBdry|)))))
    (COND
     ((< |x2| |xMin|)
      (LETT |pt2| (|CLIP;intersectWithVertLine| |x1| |y1| |x2| |y2| |xMin| $)
       |CLIP;intersectWithBdry|)))
    (EXIT |pt2|))))) 

(DEFUN |CLIP;discardAndSplit|
 (|pointList| |pred| |xMin| |xMax| |yMin| |yMax| $)
 (PROG (|pt| |bdryPt| |ans| |lastPt| |lastPt?| |list|)
  (RETURN
   (SEQ (LETT |ans| NIL |CLIP;discardAndSplit|)
    (LETT |list| NIL |CLIP;discardAndSplit|)
    (LETT |lastPt?| 'NIL |CLIP;discardAndSplit|)
    (LETT |lastPt| (|CLIP;point| #1=0.0 #1# $) |CLIP;discardAndSplit|)
    (SEQ G190
     (COND ((NULL (COND ((NULL |pointList|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ (LETT |pt| (|SPADfirst| |pointList|) |CLIP;discardAndSplit|)
      (LETT |pointList| (CDR |pointList|) |CLIP;discardAndSplit|)
      (EXIT
       (COND
        ((SPADCALL |pt| |pred|)
         (SEQ
          (COND
           ((NULL |list|)
            (COND
             (|lastPt?|
              (LETT |bdryPt|
               (|CLIP;intersectWithBdry| |xMin| |xMax| |yMin| |yMax| |pt|
                |lastPt| $)
               |CLIP;discardAndSplit|)))))
          (EXIT (LETT |list| (CONS |pt| |list|) |CLIP;discardAndSplit|))))
        ('T
         (SEQ
          (COND
           ((NULL (NULL |list|))
            (SEQ
             (LETT |bdryPt|
              (|CLIP;intersectWithBdry| |xMin| |xMax| |yMin| |yMax|
               (|SPADfirst| |list|) |pt| $)
              |CLIP;discardAndSplit|)
             (EXIT (LETT |ans| (CONS |list| |ans|) |CLIP;discardAndSplit|)))))
          (LETT |lastPt| |pt| |CLIP;discardAndSplit|)
          (LETT |lastPt?| 'T |CLIP;discardAndSplit|)
          (EXIT (LETT |list| NIL |CLIP;discardAndSplit|)))))))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT
     (COND ((NULL |list|) |ans|)
      ('T (NREVERSE (CONS (NREVERSE |list|) |ans|))))))))) 

(DEFUN |CLIP;clip;P2FR;9| (|plot| |fraction| |scale| $)
 (PROG
  (|xVals| |pointLists| |pointList| |sortedList| |n| |num| |den| |clipNum|
   |yDiff| |numm| |denn| |xMin| |xMax| |lists| |list| #1=#:G3622 |pt|
   #2=#:G3623 |yMin| |yMax|)
  (RETURN
   (SEQ
    (COND
     ((OR (SPADCALL |fraction| (|spadConstant| $ 13) (QREFELT $ 14))
       (SPADCALL (SPADCALL 1 2 (QREFELT $ 50)) |fraction| (QREFELT $ 14)))
      (|error| "clipDraw: fraction should be between 0 and 1/2"))
     ('T
      (SEQ (LETT |xVals| (SPADCALL |plot| (QREFELT $ 52)) |CLIP;clip;P2FR;9|)
       (EXIT
        (COND
         ((NULL
           (LETT |pointLists| (SPADCALL |plot| (QREFELT $ 53))
            |CLIP;clip;P2FR;9|))
          (VECTOR NIL |xVals| (SPADCALL #3=0.0 #3# (QREFELT $ 17))))
         ((SPADCALL
           (LETT |pointLists| (SPADCALL |plot| (QREFELT $ 53))
            |CLIP;clip;P2FR;9|)
           1 (QREFELT $ 54))
          (|error| "clipDraw: plot has more than one branch"))
         ((NULL
           (LETT |pointList| (|SPADfirst| |pointLists|) |CLIP;clip;P2FR;9|))
          (VECTOR NIL |xVals| (SPADCALL #3# #3# (QREFELT $ 17))))
         ('T
          (SEQ
           (LETT |sortedList|
            (SPADCALL (CONS #'|CLIP;clip;P2FR;9!0| $) |pointList|
             (QREFELT $ 28))
            |CLIP;clip;P2FR;9|)
           (LETT |n| (LENGTH |sortedList|) |CLIP;clip;P2FR;9|)
           (LETT |num| (SPADCALL |fraction| (QREFELT $ 30)) |CLIP;clip;P2FR;9|)
           (LETT |den| (SPADCALL |fraction| (QREFELT $ 31)) |CLIP;clip;P2FR;9|)
           (LETT |clipNum|
            (QUOTIENT2 (SPADCALL |n| |num| (QREFELT $ 33)) |den|)
            |CLIP;clip;P2FR;9|)
           (LETT |yMin|
            (SPADCALL (SPADCALL |sortedList| |clipNum| (QREFELT $ 55))
             (QREFELT $ 36))
            |CLIP;clip;P2FR;9|)
           (LETT |yMax|
            (SPADCALL
             (SPADCALL |sortedList| (- (- |n| 1) |clipNum|) (QREFELT $ 55))
             (QREFELT $ 36))
            |CLIP;clip;P2FR;9|)
           (COND
            ((|CLIP;Fnan?| |yMin| $) (LETT |yMin| #3# |CLIP;clip;P2FR;9|)))
           (COND
            ((|CLIP;Fnan?| |yMax| $) (LETT |yMax| #3# |CLIP;clip;P2FR;9|)))
           (LETT |yDiff| (- |yMax| |yMin|) |CLIP;clip;P2FR;9|)
           (EXIT
            (COND
             ((= |yDiff| #3#)
              (VECTOR |pointLists| (SPADCALL |plot| (QREFELT $ 52))
               (SPADCALL (- |yMin| #4=1.0) (+ |yMax| #4#) (QREFELT $ 17))))
             ('T
              (SEQ
               (LETT |numm| (SPADCALL |scale| (QREFELT $ 30))
                |CLIP;clip;P2FR;9|)
               (LETT |denn| (SPADCALL |scale| (QREFELT $ 31))
                |CLIP;clip;P2FR;9|)
               (LETT |xMin| (SPADCALL |xVals| (QREFELT $ 56))
                |CLIP;clip;P2FR;9|)
               (LETT |xMax| (SPADCALL |xVals| (QREFELT $ 57))
                |CLIP;clip;P2FR;9|)
               (LETT |yMin|
                (- |yMin|
                 (/ (* (FLOAT |numm| MOST-POSITIVE-DOUBLE-FLOAT) |yDiff|)
                  (FLOAT |denn| MOST-POSITIVE-DOUBLE-FLOAT)))
                |CLIP;clip;P2FR;9|)
               (LETT |yMax|
                (+ |yMax|
                 (/ (* (FLOAT |numm| MOST-POSITIVE-DOUBLE-FLOAT) |yDiff|)
                  (FLOAT |denn| MOST-POSITIVE-DOUBLE-FLOAT)))
                |CLIP;clip;P2FR;9|)
               (LETT |lists|
                (|CLIP;discardAndSplit| |pointList|
                 (CONS #'|CLIP;clip;P2FR;9!1| (VECTOR |yMin| |yMax| $)) |xMin|
                 |xMax| |yMin| |yMax| $)
                |CLIP;clip;P2FR;9|)
               (LETT |yMin|
                (SPADCALL (SPADCALL |sortedList| |clipNum| (QREFELT $ 55))
                 (QREFELT $ 36))
                |CLIP;clip;P2FR;9|)
               (LETT |yMax|
                (SPADCALL
                 (SPADCALL |sortedList| (- (- |n| 1) |clipNum|) (QREFELT $ 55))
                 (QREFELT $ 36))
                |CLIP;clip;P2FR;9|)
               (COND
                ((|CLIP;Fnan?| |yMin| $) (LETT |yMin| #3# |CLIP;clip;P2FR;9|)))
               (COND
                ((|CLIP;Fnan?| |yMax| $) (LETT |yMax| #3# |CLIP;clip;P2FR;9|)))
               (SEQ (LETT |list| NIL |CLIP;clip;P2FR;9|)
                (LETT #1# |lists| |CLIP;clip;P2FR;9|) G190
                (COND
                 ((OR (ATOM #1#)
                   (PROGN (LETT |list| (CAR #1#) |CLIP;clip;P2FR;9|) NIL))
                  (GO G191)))
                (SEQ
                 (EXIT
                  (SEQ (LETT |pt| NIL |CLIP;clip;P2FR;9|)
                   (LETT #2# |list| |CLIP;clip;P2FR;9|) G190
                   (COND
                    ((OR (ATOM #2#)
                      (PROGN (LETT |pt| (CAR #2#) |CLIP;clip;P2FR;9|) NIL))
                     (GO G191)))
                   (SEQ
                    (EXIT
                     (COND
                      ((NULL (|CLIP;Fnan?| (SPADCALL |pt| (QREFELT $ 36)) $))
                       (SEQ
                        (LETT |yMin|
                         (MIN |yMin| (SPADCALL |pt| (QREFELT $ 36)))
                         |CLIP;clip;P2FR;9|)
                        (EXIT
                         (LETT |yMax|
                          (MAX |yMax| (SPADCALL |pt| (QREFELT $ 36)))
                          |CLIP;clip;P2FR;9|)))))))
                   (LETT #2# (CDR #2#) |CLIP;clip;P2FR;9|) (GO G190) G191
                   (EXIT NIL))))
                (LETT #1# (CDR #1#) |CLIP;clip;P2FR;9|) (GO G190) G191
                (EXIT NIL))
               (EXIT
                (VECTOR |lists| |xVals|
                 (SPADCALL |yMin| |yMax| (QREFELT $ 17))))))))))))))))))) 

(DEFUN |CLIP;clip;P2FR;9!1| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 2) |CLIP;clip;P2FR;9|)
  (RETURN
   (PROGN
    (COND
     ((SPADCALL (SPADCALL |#1| (QREFELT $ 36)) (QREFELT $$ 1) (QREFELT $ 19))
      (SPADCALL (QREFELT $$ 0) (SPADCALL |#1| (QREFELT $ 36)) (QREFELT $ 19)))
     ('T (|spadConstant| $ 20))))))) 

(DEFUN |CLIP;clip;P2FR;9!0| (|#1| |#2| $)
 (SPADCALL (SPADCALL |#1| (QREFELT $ 36)) (SPADCALL |#2| (QREFELT $ 36))
  (QREFELT $ 19))) 

(DEFUN |CLIP;clip;PR;10| (|plot| $)
 (SPADCALL |plot| (SPADCALL 1 4 (QREFELT $ 50)) (SPADCALL 5 1 (QREFELT $ 50))
  (QREFELT $ 58))) 

(DEFUN |CLIP;norm| (|pt| $)
 (PROG (|x| |y| |r|)
  (RETURN
   (SEQ (LETT |x| (SPADCALL |pt| (QREFELT $ 35)) |CLIP;norm|)
    (LETT |y| (SPADCALL |pt| (QREFELT $ 36)) |CLIP;norm|)
    (COND
     ((|CLIP;Fnan?| |x| $)
      (COND ((|CLIP;Fnan?| |y| $) (LETT |r| 0.0 |CLIP;norm|))
       ('T (LETT |r| (SPADCALL |y| 2 (QREFELT $ 61)) |CLIP;norm|))))
     ((|CLIP;Fnan?| |y| $)
      (LETT |r| (SPADCALL |x| 2 (QREFELT $ 61)) |CLIP;norm|))
     ('T
      (LETT |r|
       (+ (SPADCALL |x| 2 (QREFELT $ 61)) (SPADCALL |y| 2 (QREFELT $ 61)))
       |CLIP;norm|)))
    (EXIT |r|))))) 

(DEFUN |CLIP;findPt| (|lists| $)
 (PROG (|list| #1=#:G3640 |p| #2=#:G3641 #3=#:G3639 #4=#:G3635 #5=#:G3637)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |list| NIL |CLIP;findPt|) (LETT #1# |lists| |CLIP;findPt|)
         G190
         (COND
          ((OR (ATOM #1#) (PROGN (LETT |list| (CAR #1#) |CLIP;findPt|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((NULL (NULL |list|))
             (PROGN
              (LETT #5#
               (SEQ
                (EXIT
                 (SEQ (LETT |p| NIL |CLIP;findPt|)
                  (LETT #2# |list| |CLIP;findPt|) G190
                  (COND
                   ((OR (ATOM #2#)
                     (PROGN (LETT |p| (CAR #2#) |CLIP;findPt|) NIL))
                    (GO G191)))
                  (SEQ
                   (EXIT
                    (COND
                     ((NULL (|CLIP;Pnan?| |p| $))
                      (PROGN
                       (LETT #4#
                        (PROGN (LETT #3# (CONS 0 |p|) |CLIP;findPt|) (GO #3#))
                        |CLIP;findPt|)
                       (GO #4#))))))
                  (LETT #2# (CDR #2#) |CLIP;findPt|) (GO G190) G191
                  (EXIT NIL)))
                #4# (EXIT #4#))
               |CLIP;findPt|)
              (GO #5#))))))
         (LETT #1# (CDR #1#) |CLIP;findPt|) (GO G190) G191 (EXIT NIL)))
       #5# (EXIT #5#))
      (EXIT (CONS 1 "failed"))))
    #3# (EXIT #3#))))) 

(DEFUN |CLIP;clipWithRanges;L4DfR;13|
 (|pointLists| |xMin| |xMax| |yMin| |yMax| $)
 (PROG
  (|pointList| #1=#:G3666 |lists| |firstPt| |list| #2=#:G3667 |pt| #3=#:G3668)
  (RETURN
   (SEQ (LETT |lists| NIL |CLIP;clipWithRanges;L4DfR;13|)
    (SEQ (LETT |pointList| NIL |CLIP;clipWithRanges;L4DfR;13|)
     (LETT #1# |pointLists| |CLIP;clipWithRanges;L4DfR;13|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |pointList| (CAR #1#) |CLIP;clipWithRanges;L4DfR;13|)
         NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |lists|
        (SPADCALL |lists|
         (|CLIP;discardAndSplit| |pointList|
          (CONS #'|CLIP;clipWithRanges;L4DfR;13!0|
           (VECTOR |yMin| |yMax| |xMin| $ |xMax|))
          |xMin| |xMax| |yMin| |yMax| $)
         (QREFELT $ 62))
        |CLIP;clipWithRanges;L4DfR;13|)))
     (LETT #1# (CDR #1#) |CLIP;clipWithRanges;L4DfR;13|) (GO G190) G191
     (EXIT NIL))
    (LETT |pt| (|CLIP;findPt| |lists| $) |CLIP;clipWithRanges;L4DfR;13|)
    (EXIT
     (COND
      ((QEQCAR |pt| 1)
       (VECTOR NIL (SPADCALL #4=0.0 #4# (QREFELT $ 17))
        (SPADCALL #4# #4# (QREFELT $ 17))))
      ('T
       (SEQ (LETT |firstPt| (QCDR |pt|) |CLIP;clipWithRanges;L4DfR;13|)
        (LETT |xMin| (SPADCALL |firstPt| (QREFELT $ 35))
         |CLIP;clipWithRanges;L4DfR;13|)
        (LETT |xMax| (SPADCALL |firstPt| (QREFELT $ 35))
         |CLIP;clipWithRanges;L4DfR;13|)
        (LETT |yMin| (SPADCALL |firstPt| (QREFELT $ 36))
         |CLIP;clipWithRanges;L4DfR;13|)
        (LETT |yMax| (SPADCALL |firstPt| (QREFELT $ 36))
         |CLIP;clipWithRanges;L4DfR;13|)
        (SEQ (LETT |list| NIL |CLIP;clipWithRanges;L4DfR;13|)
         (LETT #2# |lists| |CLIP;clipWithRanges;L4DfR;13|) G190
         (COND
          ((OR (ATOM #2#)
            (PROGN (LETT |list| (CAR #2#) |CLIP;clipWithRanges;L4DfR;13|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (SEQ (LETT |pt| NIL |CLIP;clipWithRanges;L4DfR;13|)
            (LETT #3# |list| |CLIP;clipWithRanges;L4DfR;13|) G190
            (COND
             ((OR (ATOM #3#)
               (PROGN (LETT |pt| (CAR #3#) |CLIP;clipWithRanges;L4DfR;13|)
                NIL))
              (GO G191)))
            (SEQ
             (EXIT
              (COND
               ((NULL (|CLIP;Pnan?| |pt| $))
                (SEQ
                 (LETT |xMin| (MIN |xMin| (SPADCALL |pt| (QREFELT $ 35)))
                  |CLIP;clipWithRanges;L4DfR;13|)
                 (LETT |xMax| (MAX |xMax| (SPADCALL |pt| (QREFELT $ 35)))
                  |CLIP;clipWithRanges;L4DfR;13|)
                 (LETT |yMin| (MIN |yMin| (SPADCALL |pt| (QREFELT $ 36)))
                  |CLIP;clipWithRanges;L4DfR;13|)
                 (EXIT
                  (LETT |yMax| (MAX |yMax| (SPADCALL |pt| (QREFELT $ 36)))
                   |CLIP;clipWithRanges;L4DfR;13|)))))))
            (LETT #3# (CDR #3#) |CLIP;clipWithRanges;L4DfR;13|) (GO G190) G191
            (EXIT NIL))))
         (LETT #2# (CDR #2#) |CLIP;clipWithRanges;L4DfR;13|) (GO G190) G191
         (EXIT NIL))
        (EXIT
         (VECTOR |lists| (SPADCALL |xMin| |xMax| (QREFELT $ 17))
          (SPADCALL |yMin| |yMax| (QREFELT $ 17)))))))))))) 

(DEFUN |CLIP;clipWithRanges;L4DfR;13!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 3) |CLIP;clipWithRanges;L4DfR;13|)
  (RETURN
   (PROGN
    (COND
     ((OR
       (SPADCALL (QREFELT $$ 4) (SPADCALL |#1| (QREFELT $ 35)) (QREFELT $ 19))
       (OR
        (SPADCALL (SPADCALL |#1| (QREFELT $ 35)) (QREFELT $$ 2) (QREFELT $ 19))
        (OR
         (SPADCALL (QREFELT $$ 1) (SPADCALL |#1| (QREFELT $ 36))
          (QREFELT $ 19))
         (SPADCALL (SPADCALL |#1| (QREFELT $ 36)) (QREFELT $$ 0)
          (QREFELT $ 19)))))
      (|spadConstant| $ 20))
     ('T (|spadConstant| $ 21))))))) 

(DEFUN |CLIP;clipParametric;P2FR;14| (|plot| |fraction| |scale| $)
 (|CLIP;iClipParametric| (SPADCALL |plot| (QREFELT $ 53)) |fraction| |scale|
  $)) 

(DEFUN |CLIP;clipParametric;PR;15| (|plot| $)
 (SPADCALL |plot| (SPADCALL 1 2 (QREFELT $ 50)) (SPADCALL 5 1 (QREFELT $ 50))
  (QREFELT $ 63))) 

(DEFUN |CLIP;clip;LR;16| (|l| $)
 (|CLIP;iClipParametric| (SPADCALL |l| (QREFELT $ 65))
  (SPADCALL 1 2 (QREFELT $ 50)) (SPADCALL 5 1 (QREFELT $ 50)) $)) 

(DEFUN |CLIP;clip;LR;17| (|l| $)
 (|CLIP;iClipParametric| |l| (SPADCALL 1 2 (QREFELT $ 50))
  (SPADCALL 5 1 (QREFELT $ 50)) $)) 

(DEFUN |TwoDimensionalPlotClipping| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3680)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|TwoDimensionalPlotClipping|)
        |TwoDimensionalPlotClipping|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|TwoDimensionalPlotClipping|
           (LIST (CONS NIL (CONS 1 (|TwoDimensionalPlotClipping;|))))))
         (LETT #1# T |TwoDimensionalPlotClipping|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache| '|TwoDimensionalPlotClipping|))))))))))) 

(DEFUN |TwoDimensionalPlotClipping;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|TwoDimensionalPlotClipping|) .
     #1=(|TwoDimensionalPlotClipping|))
    (LETT $ (GETREFV 68) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|TwoDimensionalPlotClipping| NIL
     (CONS 1 $))
    (|stuffDomainSlots| $) $)))) 

(MAKEPROP '|TwoDimensionalPlotClipping| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|Boolean|) (|DoubleFloat|) (0 . ~=)
     (|Mapping| 6 7) (|Point| 7) (6 . |any?|) (|Fraction| 29) (12 . |Zero|)
     (16 . <) (22 . |One|) (|Segment| 7) (26 . |segment|) (32 . |norm|)
     (37 . <) (43 . |false|) (47 . |true|) (|List| $) (|List| 10)
     (51 . |concat|) (|Mapping| 6 10) (56 . |select|) (|Mapping| 6 10 10)
     (62 . |sort|) (|Integer|) (68 . |numer|) (73 . |denom|)
     (|NonNegativeInteger|) (78 . *) (|PointPackage| 7) (84 . |xCoord|)
     (89 . |yCoord|)
     (|Record| (|:| |brans| 38) (|:| |xValues| 16) (|:| |yValues| 16))
     (|List| 23) |CLIP;clipWithRanges;L4DfR;13| (|List| 7) (|Mapping| 7 10)
     (|ListFunctions2| 10 7) (94 . |map|) (100 . |min|) (|Mapping| 7 7 7)
     (106 . |reduce|) (112 . |max|) (118 . SEGMENT) (124 . |point|) (129 . /)
     (|Plot|) (135 . |xRange|) (140 . |listBranches|) (145 . |more?|)
     (151 . |elt|) (157 . |lo|) (162 . |hi|) |CLIP;clip;P2FR;9|
     |CLIP;clip;PR;10| (|PositiveInteger|) (167 . **) (173 . |concat|)
     |CLIP;clipParametric;P2FR;14| |CLIP;clipParametric;PR;15| (179 . |list|)
     |CLIP;clip;LR;16| |CLIP;clip;LR;17|)
  '#(|clipWithRanges| 184 |clipParametric| 193 |clip| 205) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 67
      '(2 7 6 0 0 8 2 10 6 9 0 11 0 12 0 13 2 12 6 0 0 14 0 12 0 15 2 16 0 7 7
        17 1 7 0 0 18 2 7 6 0 0 19 0 6 0 20 0 6 0 21 1 23 0 22 24 2 23 0 25 0
        26 2 23 0 27 0 28 1 12 29 0 30 1 12 29 0 31 2 29 0 32 0 33 1 34 7 10 35
        1 34 7 10 36 2 42 40 41 23 43 2 7 0 0 0 44 2 40 7 45 0 46 2 7 0 0 0 47
        2 16 0 7 7 48 1 10 0 40 49 2 12 0 29 29 50 1 51 16 0 52 1 51 38 0 53 2
        38 6 0 32 54 2 23 10 0 29 55 1 16 7 0 56 1 16 7 0 57 2 7 0 0 60 61 2 38
        0 0 0 62 1 38 0 23 65 5 0 37 38 7 7 7 7 39 1 0 37 51 64 3 0 37 51 12 12
        63 1 0 37 51 59 3 0 37 51 12 12 58 1 0 37 38 67 1 0 37 23 66)))))
  '|lookupComplete|)) 

(MAKEPROP '|TwoDimensionalPlotClipping| 'NILADIC T) 
