
(/VERSIONCHECK 2) 

(DEFUN |EP;reduction| (|u| |p| $) (SPADCALL |u| |p| (QREFELT $ 10))) 

(DEFUN |EP;merge| (|p| |q| $)
 (COND ((SPADCALL |p| |q| (QREFELT $ 12)) (CONS 0 |p|))
  ((SPADCALL |p| (|spadConstant| $ 14) (QREFELT $ 12)) (CONS 0 |q|))
  ((SPADCALL |q| (|spadConstant| $ 14) (QREFELT $ 12)) (CONS 0 |p|))
  ('T (CONS 1 "failed")))) 

(DEFUN |EP;exactquo| (|u| |v| |p| $)
 (PROG (|val|)
  (RETURN
   (SEQ (LETT |val| (SPADCALL |v| |p| |u| (QREFELT $ 17)) |EP;exactquo|)
    (EXIT
     (COND ((QEQCAR |val| 1) (CONS 1 "failed"))
      ('T (CONS 0 (QCAR (QCDR |val|)))))))))) 

(DEFUN |EP;fft| (|t| |x| $)
 (PROG (|n| |cf|)
  (RETURN
   (SEQ (LETT |n| (SPADCALL |t| (QREFELT $ 19)) |EP;fft|)
    (LETT |cf|
     (SPADCALL (SPADCALL (|spadConstant| $ 23) |x| |n| (QREFELT $ 25))
      (QREFELT $ 27))
     |EP;fft|)
    (EXIT (SPADCALL |cf| (SPADCALL |t| (QREFELT $ 28)) (QREFELT $ 29))))))) 

(DEFUN |EP;tff| (|p| |x| $)
 (PROG (|r|)
  (RETURN
   (SEQ
    (COND ((EQL (SPADCALL |p| (QREFELT $ 19)) 0) (SPADCALL |p| (QREFELT $ 28)))
     ('T
      (SEQ (LETT |r| (|spadConstant| $ 30) |EP;tff|)
       (SEQ G190
        (COND
         ((NULL
           (COND ((SPADCALL |p| (|spadConstant| $ 14) (QREFELT $ 12)) 'NIL)
            ('T 'T)))
          (GO G191)))
        (SEQ
         (LETT |r| (SPADCALL |r| (|EP;fft| |p| |x| $) (QREFELT $ 31)) |EP;tff|)
         (EXIT (LETT |p| (SPADCALL |p| (QREFELT $ 32)) |EP;tff|)))
        NIL (GO G190) G191 (EXIT NIL))
       (EXIT |r|)))))))) 

(DEFUN |EP;genEigForm| (|eigen| A $)
 (PROG (|alpha| |k| |g|)
  (RETURN
   (SEQ (LETT |alpha| (QVELT |eigen| 0) |EP;genEigForm|)
    (LETT |k| (QVELT |eigen| 1) |EP;genEigForm|)
    (LETT |g| (LENGTH (QVELT |eigen| 2)) |EP;genEigForm|)
    (EXIT
     (COND ((EQL |k| |g|) (CONS |alpha| (QVELT |eigen| 2)))
      ('T (CONS |alpha| (SPADCALL |alpha| A |k| |g| (QREFELT $ 36)))))))))) 

(DEFUN |EP;charpol| (A |x| $)
 (PROG (|dimA| B |i| |j|)
  (RETURN
   (SEQ (LETT |dimA| (SPADCALL A (QREFELT $ 37)) |EP;charpol|)
    (COND
     ((NULL (EQL |dimA| (SPADCALL A (QREFELT $ 38))))
      (EXIT (|error| " The matrix is not square"))))
    (LETT B (SPADCALL |dimA| |dimA| (QREFELT $ 39)) |EP;charpol|)
    (SEQ (LETT |i| 1 |EP;charpol|) G190
     (COND ((QSGREATERP |i| |dimA|) (GO G191)))
     (SEQ
      (SEQ (LETT |j| 1 |EP;charpol|) G190
       (COND ((QSGREATERP |j| |dimA|) (GO G191)))
       (SEQ
        (EXIT
         (SPADCALL B |i| |j| (SPADCALL A |i| |j| (QREFELT $ 41))
          (QREFELT $ 42))))
       (LETT |j| (QSADD1 |j|) |EP;charpol|) (GO G190) G191 (EXIT NIL))
      (EXIT
       (SPADCALL B |i| |i|
        (SPADCALL (SPADCALL B |i| |i| (QREFELT $ 41))
         (SPADCALL (SPADCALL (|spadConstant| $ 23) |x| 1 (QREFELT $ 25))
          (QREFELT $ 27))
         (QREFELT $ 43))
        (QREFELT $ 42))))
     (LETT |i| (QSADD1 |i|) |EP;charpol|) (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL B (QREFELT $ 44))))))) 

(DEFUN |EP;characteristicPolynomial;MP;8| (A $)
 (PROG (|x|)
  (RETURN
   (SEQ (LETT |x| (SPADCALL (QREFELT $ 45)) |EP;characteristicPolynomial;MP;8|)
    (EXIT (SPADCALL (|EP;charpol| A |x| $) (QREFELT $ 46))))))) 

(DEFUN |EP;characteristicPolynomial;MSP;9| (A |x| $)
 (SPADCALL (|EP;charpol| A |x| $) (QREFELT $ 46))) 

(DEFUN |EP;eigenvalues;ML;10| (A $)
 (PROG
  (|x| |pol| |eq| #1=#:G3596 |alg| |lrat| |lsym| #2=#:G3597 |lr| #3=#:G3598
   #4=#:G3599 |ls| #5=#:G3600)
  (RETURN
   (SEQ (LETT |x| (SPADCALL (QREFELT $ 45)) |EP;eigenvalues;ML;10|)
    (LETT |pol| (|EP;charpol| A |x| $) |EP;eigenvalues;ML;10|)
    (LETT |lrat| NIL |EP;eigenvalues;ML;10|)
    (LETT |lsym| NIL |EP;eigenvalues;ML;10|)
    (SEQ (LETT |eq| NIL |EP;eigenvalues;ML;10|)
     (LETT #1# (SPADCALL |pol| |x| (QREFELT $ 51)) |EP;eigenvalues;ML;10|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |eq| (CAR #1#) |EP;eigenvalues;ML;10|) NIL))
       (GO G191)))
     (SEQ
      (LETT |alg| (SPADCALL (SPADCALL |eq| (QREFELT $ 53)) (QREFELT $ 46))
       |EP;eigenvalues;ML;10|)
      (EXIT
       (COND
        ((EQL (SPADCALL |alg| |x| (QREFELT $ 54)) 1)
         (LETT |lrat| (CONS (SPADCALL |eq| (QREFELT $ 55)) |lrat|)
          |EP;eigenvalues;ML;10|))
        ('T
         (LETT |lsym| (CONS (SPADCALL |x| |alg| (QREFELT $ 57)) |lsym|)
          |EP;eigenvalues;ML;10|)))))
     (LETT #1# (CDR #1#) |EP;eigenvalues;ML;10|) (GO G190) G191 (EXIT NIL))
    (EXIT
     (APPEND
      (PROGN (LETT #2# NIL |EP;eigenvalues;ML;10|)
       (SEQ (LETT |lr| NIL |EP;eigenvalues;ML;10|)
        (LETT #3# |lrat| |EP;eigenvalues;ML;10|) G190
        (COND
         ((OR (ATOM #3#)
           (PROGN (LETT |lr| (CAR #3#) |EP;eigenvalues;ML;10|) NIL))
          (GO G191)))
        (SEQ (EXIT (LETT #2# (CONS (CONS 0 |lr|) #2#) |EP;eigenvalues;ML;10|)))
        (LETT #3# (CDR #3#) |EP;eigenvalues;ML;10|) (GO G190) G191
        (EXIT (NREVERSE0 #2#))))
      (PROGN (LETT #4# NIL |EP;eigenvalues;ML;10|)
       (SEQ (LETT |ls| NIL |EP;eigenvalues;ML;10|)
        (LETT #5# |lsym| |EP;eigenvalues;ML;10|) G190
        (COND
         ((OR (ATOM #5#)
           (PROGN (LETT |ls| (CAR #5#) |EP;eigenvalues;ML;10|) NIL))
          (GO G191)))
        (SEQ (EXIT (LETT #4# (CONS (CONS 1 |ls|) #4#) |EP;eigenvalues;ML;10|)))
        (LETT #5# (CDR #5#) |EP;eigenvalues;ML;10|) (GO G190) G191
        (EXIT (NREVERSE0 #4#)))))))))) 

(DEFUN |EP;eigenvector;UML;11| (|alpha| A $)
 (COND ((QEQCAR |alpha| 0) (|EP;intRatEig| (QCDR |alpha|) A 1 $))
  ('T (|EP;intAlgEig| (QCDR |alpha|) A 1 $)))) 

(DEFUN |EP;intRatEig| (|alpha| A |m| $)
 (PROG (|n| B |i| |j| #1=#:G3611 |v| #2=#:G3612)
  (RETURN
   (SEQ (LETT |n| (SPADCALL A (QREFELT $ 37)) |EP;intRatEig|)
    (LETT B (SPADCALL |n| |n| (QREFELT $ 39)) |EP;intRatEig|)
    (SEQ (LETT |i| 1 |EP;intRatEig|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ
      (SEQ (LETT |j| 1 |EP;intRatEig|) G190
       (COND ((QSGREATERP |j| |n|) (GO G191)))
       (SEQ
        (EXIT
         (SPADCALL B |i| |j| (SPADCALL A |i| |j| (QREFELT $ 41))
          (QREFELT $ 42))))
       (LETT |j| (QSADD1 |j|) |EP;intRatEig|) (GO G190) G191 (EXIT NIL))
      (EXIT
       (SPADCALL B |i| |i|
        (SPADCALL (SPADCALL B |i| |i| (QREFELT $ 41)) |alpha| (QREFELT $ 43))
        (QREFELT $ 42))))
     (LETT |i| (QSADD1 |i|) |EP;intRatEig|) (GO G190) G191 (EXIT NIL))
    (EXIT
     (PROGN (LETT #1# NIL |EP;intRatEig|)
      (SEQ (LETT |v| NIL |EP;intRatEig|)
       (LETT #2# (SPADCALL (SPADCALL B |m| (QREFELT $ 61)) (QREFELT $ 63))
        |EP;intRatEig|)
       G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |v| (CAR #2#) |EP;intRatEig|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (SPADCALL |v| (QREFELT $ 65)) #1#) |EP;intRatEig|)))
       (LETT #2# (CDR #2#) |EP;intRatEig|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))))))) 

(DEFUN |EP;intAlgEig| (|alpha| A |m| $)
 (PROG (|n| MM AM |x| |pol| |alg| B |j| |vec| #1=#:G3622 |w| |i| |sol|)
  (RETURN
   (SEQ (LETT |n| (SPADCALL A (QREFELT $ 37)) |EP;intAlgEig|)
    (LETT MM
     (|ModularField|
      (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (QREFELT $ 6))))
      (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (QREFELT $ 6))))
      (CONS (|function| |EP;reduction|) $) (CONS (|function| |EP;merge|) $)
      (CONS (|function| |EP;exactquo|) $))
     |EP;intAlgEig|)
    (LETT AM (|Matrix| MM) |EP;intAlgEig|)
    (LETT |x| (SPADCALL |alpha| (QREFELT $ 66)) |EP;intAlgEig|)
    (LETT |pol|
     (SPADCALL
      (SPADCALL (ELT $ 27)
       (SPADCALL (SPADCALL |alpha| (QREFELT $ 67)) |x| (QREFELT $ 69))
       (QREFELT $ 72))
      (QREFELT $ 73))
     |EP;intAlgEig|)
    (LETT |alg|
     (SPADCALL (SPADCALL (|spadConstant| $ 74) 1 (QREFELT $ 75)) |pol|
      (|compiledLookupCheck| '|reduce|
       (LIST '$
        (LIST '|SparseUnivariatePolynomial|
         (LIST '|Fraction| (LIST '|Polynomial| (|devaluate| (ELT $ 6)))))
        (LIST '|SparseUnivariatePolynomial|
         (LIST '|Fraction| (LIST '|Polynomial| (|devaluate| (ELT $ 6))))))
       MM))
     |EP;intAlgEig|)
    (LETT B
     (SPADCALL |n| |n|
      (|compiledLookupCheck| '|zero|
       (LIST '$ (LIST '|NonNegativeInteger|) (LIST '|NonNegativeInteger|)) AM))
     |EP;intAlgEig|)
    (SEQ (LETT |i| 1 |EP;intAlgEig|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ
      (SEQ (LETT |j| 1 |EP;intAlgEig|) G190
       (COND ((QSGREATERP |j| |n|) (GO G191)))
       (SEQ
        (EXIT
         (SPADCALL B |i| |j|
          (SPADCALL
           (SPADCALL (SPADCALL A |i| |j| (QREFELT $ 41)) (QREFELT $ 76)) |pol|
           (|compiledLookupCheck| '|reduce|
            (LIST '$
             (LIST '|SparseUnivariatePolynomial|
              (LIST '|Fraction| (LIST '|Polynomial| (|devaluate| (ELT $ 6)))))
             (LIST '|SparseUnivariatePolynomial|
              (LIST '|Fraction| (LIST '|Polynomial| (|devaluate| (ELT $ 6))))))
            MM))
          (|compiledLookupCheck| '|setelt|
           (LIST (|devaluate| MM) '$ (LIST '|Integer|) (LIST '|Integer|)
            (|devaluate| MM))
           AM))))
       (LETT |j| (QSADD1 |j|) |EP;intAlgEig|) (GO G190) G191 (EXIT NIL))
      (EXIT
       (SPADCALL B |i| |i|
        (SPADCALL
         (SPADCALL B |i| |i|
          (|compiledLookupCheck| '|elt|
           (LIST (|devaluate| MM) '$ (LIST '|Integer|) (LIST '|Integer|)) AM))
         |alg| (|compiledLookupCheck| '- (LIST '$ '$ '$) MM))
        (|compiledLookupCheck| '|setelt|
         (LIST (|devaluate| MM) '$ (LIST '|Integer|) (LIST '|Integer|)
          (|devaluate| MM))
         AM))))
     (LETT |i| (QSADD1 |i|) |EP;intAlgEig|) (GO G190) G191 (EXIT NIL))
    (LETT |sol| NIL |EP;intAlgEig|)
    (SEQ (LETT |vec| NIL |EP;intAlgEig|)
     (LETT #1#
      (SPADCALL
       (SPADCALL B |m|
        (|compiledLookupCheck| '** (LIST '$ '$ (LIST '|NonNegativeInteger|))
         AM))
       (|compiledLookupCheck| '|nullSpace|
        (LIST (LIST '|List| (LIST '|Vector| (|devaluate| MM))) '$) AM))
      |EP;intAlgEig|)
     G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |vec| (CAR #1#) |EP;intAlgEig|) NIL))
       (GO G191)))
     (SEQ (LETT |w| (SPADCALL |n| 1 (QREFELT $ 39)) |EP;intAlgEig|)
      (SEQ (LETT |i| 1 |EP;intAlgEig|) G190
       (COND ((QSGREATERP |i| |n|) (GO G191)))
       (SEQ
        (EXIT
         (SPADCALL |w| |i| 1
          (|EP;tff|
           (SPADCALL
            (SPADCALL |vec| |i|
             (|compiledLookupCheck| '|elt|
              (LIST (|devaluate| MM) '$ (LIST '|Integer|)) (|Vector| MM)))
            (|compiledLookupCheck| '|coerce|
             (LIST
              (LIST '|SparseUnivariatePolynomial|
               (LIST '|Fraction| (LIST '|Polynomial| (|devaluate| (ELT $ 6)))))
              '$)
             MM))
           |x| $)
          (QREFELT $ 42))))
       (LETT |i| (QSADD1 |i|) |EP;intAlgEig|) (GO G190) G191 (EXIT NIL))
      (EXIT (LETT |sol| (CONS |w| |sol|) |EP;intAlgEig|)))
     (LETT #1# (CDR #1#) |EP;intAlgEig|) (GO G190) G191 (EXIT NIL))
    (EXIT |sol|))))) 

(DEFUN |EP;generalizedEigenvector;UM2NniL;14| (|alpha| A |k| |g| $)
 (PROG (#1=#:G3626 #2=#:G3627)
  (RETURN
   (COND
    ((QEQCAR |alpha| 0)
     (|EP;intRatEig| (QCDR |alpha|) A
      (PROG1
       (LETT #1# (- (+ 1 |k|) |g|) |EP;generalizedEigenvector;UM2NniL;14|)
       (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
      $))
    ('T
     (|EP;intAlgEig| (QCDR |alpha|) A
      (PROG1
       (LETT #2# (- (+ 1 |k|) |g|) |EP;generalizedEigenvector;UM2NniL;14|)
       (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
      $)))))) 

(DEFUN |EP;generalizedEigenvector;RML;15| (|eigen| A $)
 (SPADCALL (QVELT |eigen| 0) A (QVELT |eigen| 1) (LENGTH (QVELT |eigen| 2))
  (QREFELT $ 36))) 

(DEFUN |EP;generalizedEigenvectors;ML;16| (A $)
 (PROG (|n| |leig| #1=#:G3642 |leg| #2=#:G3643)
  (RETURN
   (SEQ
    (LETT |n| (SPADCALL A (QREFELT $ 37)) |EP;generalizedEigenvectors;ML;16|)
    (LETT |leig| (SPADCALL A (QREFELT $ 80))
     |EP;generalizedEigenvectors;ML;16|)
    (EXIT
     (PROGN (LETT #1# NIL |EP;generalizedEigenvectors;ML;16|)
      (SEQ (LETT |leg| NIL |EP;generalizedEigenvectors;ML;16|)
       (LETT #2# |leig| |EP;generalizedEigenvectors;ML;16|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |leg| (CAR #2#) |EP;generalizedEigenvectors;ML;16|)
           NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (|EP;genEigForm| |leg| A $) #1#)
          |EP;generalizedEigenvectors;ML;16|)))
       (LETT #2# (CDR #2#) |EP;generalizedEigenvectors;ML;16|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))))))) 

(DEFUN |EP;eigenvectors;ML;17| (A $)
 (PROG
  (|n| |x| |p| MM AM |lff| |fact| #1=#:G3659 |pol| |vec| #2=#:G3651 |ratSol|
   |alpha| #3=#:G3653 |algSol|)
  (RETURN
   (SEQ (LETT |n| (SPADCALL A (QREFELT $ 37)) |EP;eigenvectors;ML;17|)
    (LETT |x| (SPADCALL (QREFELT $ 45)) |EP;eigenvectors;ML;17|)
    (LETT |p| (SPADCALL (|EP;charpol| A |x| $) (QREFELT $ 46))
     |EP;eigenvectors;ML;17|)
    (LETT MM
     (|ModularField|
      (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (QREFELT $ 6))))
      (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (QREFELT $ 6))))
      (CONS (|function| |EP;reduction|) $) (CONS (|function| |EP;merge|) $)
      (CONS (|function| |EP;exactquo|) $))
     |EP;eigenvectors;ML;17|)
    (LETT AM (|Matrix| MM) |EP;eigenvectors;ML;17|)
    (LETT |ratSol| NIL |EP;eigenvectors;ML;17|)
    (LETT |algSol| NIL |EP;eigenvectors;ML;17|)
    (LETT |lff| (SPADCALL (SPADCALL |p| (QREFELT $ 85)) (QREFELT $ 88))
     |EP;eigenvectors;ML;17|)
    (SEQ (LETT |fact| NIL |EP;eigenvectors;ML;17|)
     (LETT #1# |lff| |EP;eigenvectors;ML;17|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |fact| (CAR #1#) |EP;eigenvectors;ML;17|) NIL))
       (GO G191)))
     (SEQ (LETT |pol| (QCAR |fact|) |EP;eigenvectors;ML;17|)
      (EXIT
       (COND
        ((EQL (SPADCALL |pol| |x| (QREFELT $ 54)) 1)
         (SEQ
          (LETT |vec|
           (SPADCALL
            (SPADCALL (SPADCALL |pol| |x| 0 (QREFELT $ 89))
             (SPADCALL |pol| |x| (SPADCALL |pol| |x| (QREFELT $ 54))
              (QREFELT $ 89))
             (QREFELT $ 90))
            (QREFELT $ 91))
           |EP;eigenvectors;ML;17|)
          (EXIT
           (LETT |ratSol|
            (CONS
             (VECTOR (CONS 0 |vec|)
              (PROG1 (LETT #2# (QCDR |fact|) |EP;eigenvectors;ML;17|)
               (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
              (|EP;intRatEig| |vec| A 1 $))
             |ratSol|)
            |EP;eigenvectors;ML;17|))))
        ('T
         (SEQ
          (LETT |alpha| (SPADCALL |x| |pol| (QREFELT $ 57))
           |EP;eigenvectors;ML;17|)
          (EXIT
           (LETT |algSol|
            (CONS
             (VECTOR (CONS 1 |alpha|)
              (PROG1 (LETT #3# (QCDR |fact|) |EP;eigenvectors;ML;17|)
               (|check-subtype| (>= #3# 0) '(|NonNegativeInteger|) #3#))
              (|EP;intAlgEig| |alpha| A 1 $))
             |algSol|)
            |EP;eigenvectors;ML;17|)))))))
     (LETT #1# (CDR #1#) |EP;eigenvectors;ML;17|) (GO G190) G191 (EXIT NIL))
    (EXIT (APPEND |ratSol| |algSol|)))))) 

(DEFUN |EigenPackage| (#1=#:G3662)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3663)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|EigenPackage|) '|domainEqualList|)
        |EigenPackage|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|EigenPackage;| #1#) (LETT #2# T |EigenPackage|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|EigenPackage|))))))))))) 

(DEFUN |EigenPackage;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|EigenPackage|))
    (LETT |dv$| (LIST '|EigenPackage| DV$1) . #1#) (LETT $ (GETREFV 92) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|EigenPackage| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (QSETREFV $ 7
     (|GeneralizedMultivariateFactorize| (|Symbol|)
      (|IndexedExponents| (|Symbol|)) |#1| |#1| (|Polynomial| |#1|)))
    (QSETREFV $ 8
     (|UnivariatePolynomialCategoryFunctions2| (|Polynomial| |#1|)
      (|SparseUnivariatePolynomial| (|Polynomial| |#1|))
      (|Fraction| (|Polynomial| |#1|))
      (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))))
    $)))) 

(MAKEPROP '|EigenPackage| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) 'MF 'UPCF2
     (|SparseUnivariatePolynomial| 26) (0 . |rem|) (|Boolean|) (6 . =)
     (12 . |Zero|) (16 . |Zero|) (|Record| (|:| |coef1| $) (|:| |coef2| $))
     (|Union| 15 '"failed") (20 . |extendedEuclidean|) (|NonNegativeInteger|)
     (27 . |degree|) (32 . |One|) (36 . |One|) (|Polynomial| 6) (40 . |One|)
     (|Symbol|) (44 . |monomial|) (|Fraction| 22) (51 . |coerce|)
     (56 . |leadingCoefficient|) (61 . *) (67 . |Zero|) (71 . +)
     (77 . |reductum|) (|List| 35) (|Union| 26 56) (|Matrix| 26)
     |EP;generalizedEigenvector;UM2NniL;14| (82 . |nrows|) (87 . |ncols|)
     (92 . |zero|) (|Integer|) (98 . |elt|) (105 . |setelt|) (113 . -)
     (119 . |determinant|) (124 . |new|) (128 . |numer|)
     |EP;characteristicPolynomial;MP;8| |EP;characteristicPolynomial;MSP;9|
     (|List| 52) (|SystemSolvePackage| 6) (133 . |solve|) (|Equation| 26)
     (139 . |lhs|) (144 . |degree|) (150 . |rhs|) (|SuchThat| 24 22)
     (155 . |construct|) (|List| 34) |EP;eigenvalues;ML;10|
     |EP;eigenvector;UML;11| (161 . **) (|List| 64) (167 . |nullSpace|)
     (|Vector| 26) (172 . |coerce|) (177 . |lhs|) (182 . |rhs|)
     (|SparseUnivariatePolynomial| $) (187 . |univariate|) (|Mapping| 26 22)
     (|SparseUnivariatePolynomial| 22) (193 . |map|) (199 . |unitCanonical|)
     (204 . |One|) (208 . |monomial|) (214 . |coerce|)
     (|Record| (|:| |eigval| 34) (|:| |eigmult| 18) (|:| |eigvec| 33))
     |EP;generalizedEigenvector;RML;15| (|List| 77) |EP;eigenvectors;ML;17|
     (|Record| (|:| |eigval| 34) (|:| |geneigvec| 33)) (|List| 81)
     |EP;generalizedEigenvectors;ML;16| (|Factored| 22) (219 . |factor|)
     (|Record| (|:| |factor| 22) (|:| |exponent| 40)) (|List| 86)
     (224 . |factors|) (229 . |coefficient|) (236 . /) (242 . -))
  '#(|generalizedEigenvectors| 247 |generalizedEigenvector| 252 |eigenvectors|
     266 |eigenvector| 271 |eigenvalues| 277 |characteristicPolynomial| 282)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 91
      '(2 9 0 0 0 10 2 9 11 0 0 12 0 6 0 13 0 9 0 14 3 9 16 0 0 0 17 1 9 18 0
        19 0 6 0 20 0 9 0 21 0 22 0 23 3 22 0 0 24 18 25 1 26 0 22 27 1 9 26 0
        28 2 26 0 0 0 29 0 26 0 30 2 26 0 0 0 31 1 9 0 0 32 1 35 18 0 37 1 35
        18 0 38 2 35 0 18 18 39 3 35 26 0 40 40 41 4 35 26 0 40 40 26 42 2 26 0
        0 0 43 1 35 26 0 44 0 24 0 45 1 26 22 0 46 2 50 49 26 24 51 1 52 26 0
        53 2 22 18 0 24 54 1 52 26 0 55 2 56 0 24 22 57 2 35 0 0 18 61 1 35 62
        0 63 1 35 0 64 65 1 56 24 0 66 1 56 22 0 67 2 22 68 0 24 69 2 8 9 70 71
        72 1 9 0 0 73 0 26 0 74 2 9 0 26 18 75 1 9 0 26 76 1 7 84 22 85 1 84 87
        0 88 3 22 0 0 24 18 89 2 26 0 22 22 90 1 26 0 0 91 1 0 82 35 83 2 0 33
        77 35 78 4 0 33 34 35 18 18 36 1 0 79 35 80 2 0 33 34 35 60 1 0 58 35
        59 1 0 22 35 47 2 0 22 35 24 48)))))
  '|lookupComplete|)) 
