
(/VERSIONCHECK 2) 

(DEFUN |FFCGP;tableForDiscreteLogarithm;IT;1| (|fac| $)
 (SPADCALL (QREFELT $ 41))) 

(DEFUN |FFCGP;getZechTable;Pa;2| ($) (QREFELT $ 25)) 

(DEFUN |FFCGP;order;$Pi;3| (|x| $)
 (PROG (#1=#:G3565)
  (RETURN
   (COND
    ((SPADCALL |x| (QREFELT $ 46)) (|error| "order: order of zero undefined"))
    ('T
     (PROG1
      (LETT #1# (QUOTIENT2 (QREFELT $ 20) (GCD (QREFELT $ 20) |x|))
       |FFCGP;order;$Pi;3|)
      (|check-subtype| (> #1# 0) '(|PositiveInteger|) #1#))))))) 

(DEFUN |FFCGP;primitive?;$B;4| (|x| $)
 (COND
  ((OR (SPADCALL |x| (QREFELT $ 46))
    (SPADCALL |x| (|spadConstant| $ 19) (QREFELT $ 48)))
   'NIL)
  ('T
   (COND ((SPADCALL (GCD |x| (QREFELT $ 20)) 1 (QREFELT $ 48)) 'T)
    ('T 'NIL))))) 

(DEFUN |FFCGP;coordinates;$V;5| (|x| $)
 (PROG (|primElement|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |x| (|spadConstant| $ 32) (QREFELT $ 48))
      (SPADCALL (QREFELT $ 12) (|spadConstant| $ 50) (QREFELT $ 52)))
     ('T
      (SEQ
       (LETT |primElement|
        (SPADCALL (SPADCALL (|spadConstant| $ 53) 1 (QREFELT $ 54))
         (QREFELT $ 56))
        |FFCGP;coordinates;$V;5|)
       (EXIT
        (SPADCALL (SPADCALL |primElement| |x| (QREFELT $ 57))
         (QREFELT $ 58)))))))))) 

(DEFUN |FFCGP;+;3$;6| (|x| |y| $)
 (PROG (|d|)
  (RETURN
   (SEQ (COND ((QREFELT $ 37) (|FFCGP;initializeZech| $)))
    (EXIT
     (COND ((SPADCALL |x| (QREFELT $ 46)) |y|)
      ((SPADCALL |y| (QREFELT $ 46)) |x|)
      ('T
       (SEQ
        (LETT |d|
         (SPADCALL (QSDIFFERENCE |y| |x|) (QREFELT $ 20) (QREFELT $ 60))
         |FFCGP;+;3$;6|)
        (COND
         ((NULL (QSLESSP (QSLEFTSHIFT (QREFELT $ 20) -1) |d|))
          (EXIT
           (COND ((EQL (ELT (QREFELT $ 25) |d|) -1) (|spadConstant| $ 32))
            ('T (QSADDMOD |x| (ELT (QREFELT $ 25) |d|) (QREFELT $ 20)))))))
        (LETT |d| (QSDIFFERENCE (QREFELT $ 20) |d|) |FFCGP;+;3$;6|)
        (EXIT (QSADDMOD |y| (ELT (QREFELT $ 25) |d|) (QREFELT $ 20))))))))))) 

(DEFUN |FFCGP;initializeZech| ($)
 (SEQ (SETELT $ 25 (SPADCALL (QREFELT $ 7) (QREFELT $ 63))) (SETELT $ 37 'NIL)
  (EXIT (SPADCALL (QREFELT $ 65))))) 

(DEFUN |FFCGP;basis;PiV;8| (|n| $)
 (PROG (|m| #1=#:G3586 |i| #2=#:G3587 #3=#:G3582)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (REMAINDER2 (SPADCALL (QREFELT $ 68)) |n|) 0))
      (|error| "argument must divide extension degree"))
     ('T
      (SEQ
       (LETT |m|
        (QUOTIENT2 (QREFELT $ 20)
         (- (SPADCALL (SPADCALL (QREFELT $ 13)) |n| (QREFELT $ 16)) 1))
        |FFCGP;basis;PiV;8|)
       (EXIT
        (PRIMVEC2ARR
         (PROGN (LETT #1# (GETREFV |n|) |FFCGP;basis;PiV;8|)
          (SEQ (LETT |i| 0 |FFCGP;basis;PiV;8|)
           (LETT #2# (- |n| 1) |FFCGP;basis;PiV;8|) G190
           (COND ((QSGREATERP |i| #2#) (GO G191)))
           (SEQ
            (EXIT
             (SETELT #1# |i|
              (SPADCALL
               (PROG1
                (LETT #3# (+ 1 (SPADCALL |i| |m| (QREFELT $ 69)))
                 |FFCGP;basis;PiV;8|)
                (|check-subtype| (> #3# 0) '(|PositiveInteger|) #3#))
               (QREFELT $ 70)))))
           (LETT |i| (QSADD1 |i|) |FFCGP;basis;PiV;8|) (GO G190) G191
           (EXIT NIL))
          #1#)))))))))) 

(DEFUN |FFCGP;*;I2$;9| (|n| |x| $)
 (SPADCALL (SPADCALL (SPADCALL |n| (QREFELT $ 73)) (QREFELT $ 74)) |x|
  (QREFELT $ 75))) 

(DEFUN |FFCGP;minimalPolynomial;$Sup;10| (|a| $)
 (PROG (|u| |g| |p| |f|)
  (RETURN
   (SEQ
    (LETT |f|
     (SPADCALL (SPADCALL (|spadConstant| $ 19) 1 (QREFELT $ 78))
      (SPADCALL |a| 0 (QREFELT $ 78)) (QREFELT $ 79))
     |FFCGP;minimalPolynomial;$Sup;10|)
    (LETT |u| (SPADCALL |a| (QREFELT $ 80)) |FFCGP;minimalPolynomial;$Sup;10|)
    (SEQ G190
     (COND
      ((NULL (COND ((SPADCALL |u| |a| (QREFELT $ 48)) 'NIL) ('T 'T)))
       (GO G191)))
     (SEQ
      (LETT |f|
       (SPADCALL |f|
        (SPADCALL (SPADCALL (|spadConstant| $ 19) 1 (QREFELT $ 78))
         (SPADCALL |u| 0 (QREFELT $ 78)) (QREFELT $ 79))
        (QREFELT $ 81))
       |FFCGP;minimalPolynomial;$Sup;10|)
      (EXIT
       (LETT |u| (SPADCALL |u| (QREFELT $ 80))
        |FFCGP;minimalPolynomial;$Sup;10|)))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |p| (|spadConstant| $ 31) |FFCGP;minimalPolynomial;$Sup;10|)
    (SEQ G190
     (COND
      ((NULL (COND ((SPADCALL |f| (QREFELT $ 82)) 'NIL) ('T 'T))) (GO G191)))
     (SEQ
      (LETT |g| (SPADCALL (SPADCALL |f| (QREFELT $ 83)) (QREFELT $ 84))
       |FFCGP;minimalPolynomial;$Sup;10|)
      (LETT |p|
       (SPADCALL |p|
        (SPADCALL |g| (SPADCALL |f| (QREFELT $ 85)) (QREFELT $ 54))
        (QREFELT $ 86))
       |FFCGP;minimalPolynomial;$Sup;10|)
      (EXIT
       (LETT |f| (SPADCALL |f| (QREFELT $ 87))
        |FFCGP;minimalPolynomial;$Sup;10|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT |p|))))) 

(DEFUN |FFCGP;factorsOfCyclicGroupSize;L;11| ($)
 (SEQ (COND ((NULL (QREFELT $ 36)) (|FFCGP;initializeElt| $)))
  (EXIT (QREFELT $ 36)))) 

(PUT '|FFCGP;representationType;U;12| '|SPADreplace|
 '(XLAM NIL (CONS 3 "cyclic"))) 

(DEFUN |FFCGP;representationType;U;12| ($) (CONS 3 "cyclic")) 

(DEFUN |FFCGP;definingPolynomial;Sup;13| ($) (QREFELT $ 7)) 

(DEFUN |FFCGP;random;$;14| ($)
 (QSDIFFERENCE
  (SPADCALL (SPADCALL (QREFELT $ 95)) (QREFELT $ 14) (QREFELT $ 60)) 1)) 

(DEFUN |FFCGP;represents;V$;15| (|v| $)
 (PROG (|u|)
  (RETURN
   (SEQ (LETT |u| (SPADCALL |v| (QREFELT $ 98)) |FFCGP;represents;V$;15|)
    (EXIT
     (COND
      ((SPADCALL |u| (|spadConstant| $ 99) (QREFELT $ 100))
       (|spadConstant| $ 32))
      ('T (SPADCALL |u| (QREFELT $ 101))))))))) 

(DEFUN |FFCGP;coerce;GF$;16| (|e| $)
 (PROG (#1=#:G3620 |log|)
  (RETURN
   (SEQ
    (COND ((SPADCALL |e| (QREFELT $ 103)) (|spadConstant| $ 32))
     ('T
      (SEQ
       (LETT |log|
        (*
         (PROG2
          (LETT #1# (SPADCALL (QREFELT $ 35) |e| (QREFELT $ 105))
           |FFCGP;coerce;GF$;16|)
          (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|NonNegativeInteger|) #1#))
         (QREFELT $ 21))
        |FFCGP;coerce;GF$;16|)
       (EXIT (SPADCALL |log| (QREFELT $ 20) (QREFELT $ 106)))))))))) 

(DEFUN |FFCGP;retractIfCan;$U;17| (|x| $)
 (PROG (|u| #1=#:G3632)
  (RETURN
   (SEQ
    (COND ((SPADCALL |x| (QREFELT $ 46)) (CONS 0 (|spadConstant| $ 50)))
     ('T
      (SEQ
       (LETT |u| (SPADCALL |x| (QREFELT $ 21) (QREFELT $ 108))
        |FFCGP;retractIfCan;$U;17|)
       (EXIT
        (COND
         ((SPADCALL |u| (CONS 1 "failed") (QREFELT $ 110)) (CONS 1 "failed"))
         ('T
          (CONS 0
           (SPADCALL (QREFELT $ 35)
            (PROG2 (LETT #1# |u| |FFCGP;retractIfCan;$U;17|) (QCDR #1#)
             (|check-union| (QEQCAR #1# 0) $ #1#))
            (QREFELT $ 111))))))))))))) 

(DEFUN |FFCGP;retract;$GF;18| (|x| $)
 (PROG (|a| #1=#:G3644)
  (RETURN
   (SEQ (LETT |a| (SPADCALL |x| (QREFELT $ 113)) |FFCGP;retract;$GF;18|)
    (EXIT
     (COND
      ((SPADCALL |a| (CONS 1 "failed") (QREFELT $ 114))
       (|error| "element not in groundfield"))
      ('T
       (PROG2 (LETT #1# |a| |FFCGP;retract;$GF;18|) (QCDR #1#)
        (|check-union| (QEQCAR #1# 0) (QREFELT $ 6) #1#))))))))) 

(DEFUN |FFCGP;basis;V;19| ($)
 (PROG (#1=#:G3651 #2=#:G3652 |i| #3=#:G3653 #4=#:G3648)
  (RETURN
   (SEQ
    (PRIMVEC2ARR
     (PROGN (LETT #1# (GETREFV (QREFELT $ 12)) |FFCGP;basis;V;19|)
      (SEQ (LETT #2# 0 |FFCGP;basis;V;19|) (LETT |i| 1 |FFCGP;basis;V;19|)
       (LETT #3# (QREFELT $ 12) |FFCGP;basis;V;19|) G190
       (COND ((QSGREATERP |i| #3#) (GO G191)))
       (SEQ
        (EXIT
         (SETELT #1# #2#
          (SPADCALL
           (PROG1 (LETT #4# |i| |FFCGP;basis;V;19|)
            (|check-subtype| (> #4# 0) '(|PositiveInteger|) #4#))
           (QREFELT $ 70)))))
       (LETT |i|
        (PROG1 (QSADD1 |i|) (LETT #2# (QSADD1 #2#) |FFCGP;basis;V;19|))
        |FFCGP;basis;V;19|)
       (GO G190) G191 (EXIT NIL))
      #1#)))))) 

(DEFUN |FFCGP;inGroundField?;$B;20| (|x| $)
 (COND
  ((OR (SPADCALL |x| (QREFELT $ 46))
    (EQL (SPADCALL |x| (QREFELT $ 21) (QREFELT $ 60)) 0))
   'T)
  ('T 'NIL))) 

(DEFUN |FFCGP;discreteLog;2$U;21| (|b| |x| $)
 (PROG (|e| #1=#:G3666 |e1|)
  (RETURN
   (SEQ
    (COND ((SPADCALL |x| (QREFELT $ 46)) (CONS 1 "failed"))
     ('T
      (SEQ
       (LETT |e| (SPADCALL |b| (QREFELT $ 20) |x| (QREFELT $ 119))
        |FFCGP;discreteLog;2$U;21|)
       (EXIT
        (COND
         ((SPADCALL |e| (CONS 1 "failed") (QREFELT $ 122)) (CONS 1 "failed"))
         ('T
          (SEQ
           (LETT |e1|
            (PROG2 (LETT #1# |e| |FFCGP;discreteLog;2$U;21|) (QCDR #1#)
             (|check-union| (QEQCAR #1# 0)
              (|Record| (|:| |coef1| $) (|:| |coef2| $)) #1#))
            |FFCGP;discreteLog;2$U;21|)
           (EXIT
            (CONS 0
             (SPADCALL (QCAR |e1|) (QREFELT $ 20) (QREFELT $ 60))))))))))))))) 

(DEFUN |FFCGP;-;2$;22| (|x| $)
 (COND ((SPADCALL |x| (QREFELT $ 46)) (|spadConstant| $ 32))
  ((EQL (SPADCALL (QREFELT $ 124)) 2) |x|)
  ('T (QSADDMOD |x| (QSLEFTSHIFT (QREFELT $ 20) -1) (QREFELT $ 20))))) 

(PUT '|FFCGP;generator;$;23| '|SPADreplace| '(XLAM NIL 1)) 

(DEFUN |FFCGP;generator;$;23| ($) 1) 

(PUT '|FFCGP;createPrimitiveElement;$;24| '|SPADreplace| '(XLAM NIL 1)) 

(DEFUN |FFCGP;createPrimitiveElement;$;24| ($) 1) 

(PUT '|FFCGP;primitiveElement;$;25| '|SPADreplace| '(XLAM NIL 1)) 

(DEFUN |FFCGP;primitiveElement;$;25| ($) 1) 

(DEFUN |FFCGP;discreteLog;$Nni;26| (|x| $)
 (COND ((SPADCALL |x| (QREFELT $ 46)) (|error| "discrete logarithm error"))
  ('T |x|))) 

(DEFUN |FFCGP;normalElement;$;27| ($)
 (SEQ (COND ((QREFELT $ 38) (|FFCGP;initializeElt| $))) (EXIT (QREFELT $ 39)))) 

(DEFUN |FFCGP;initializeElt| ($)
 (SEQ
  (SETELT $ 36
   (SPADCALL (SPADCALL (QREFELT $ 20) (QREFELT $ 132)) (QREFELT $ 134)))
  (SETELT $ 39 (SPADCALL (QREFELT $ 135))) (SETELT $ 38 'NIL)
  (EXIT (SPADCALL (QREFELT $ 65))))) 

(DEFUN |FFCGP;extensionDegree;Pi;29| ($) (QREFELT $ 12)) 

(DEFUN |FFCGP;characteristic;Nni;30| ($) (SPADCALL (QREFELT $ 136))) 

(DEFUN |FFCGP;lookup;$Pi;31| (|x| $)
 (COND ((EQL |x| -1) (QREFELT $ 14)) ('T (QSPLUS |x| 1)))) 

(DEFUN |FFCGP;index;Pi$;32| (|a| $)
 (QSDIFFERENCE (SPADCALL |a| (QREFELT $ 14) (QREFELT $ 106)) 1)) 

(PUT '|FFCGP;Zero;$;33| '|SPADreplace| '(XLAM NIL -1)) 

(DEFUN |FFCGP;Zero;$;33| ($) -1) 

(PUT '|FFCGP;One;$;34| '|SPADreplace| '(XLAM NIL 0)) 

(DEFUN |FFCGP;One;$;34| ($) 0) 

(DEFUN |FFCGP;coerce;$Of;35| (|x| $)
 (PROG (|y|)
  (RETURN
   (SEQ
    (COND ((EQL |x| -1) "0") ((EQL |x| 0) "1")
     ('T
      (SEQ
       (LETT |y| (- (SPADCALL |x| (QREFELT $ 138)) 1) |FFCGP;coerce;$Of;35|)
       (EXIT
        (SPADCALL (QREFELT $ 30) (SPADCALL |y| (QREFELT $ 139))
         (QREFELT $ 140)))))))))) 

(PUT '|FFCGP;=;2$B;36| '|SPADreplace| 'EQL) 

(DEFUN |FFCGP;=;2$B;36| (|x| |y| $) (EQL |x| |y|)) 

(DEFUN |FFCGP;*;3$;37| (|x| |y| $)
 (COND
  ((OR (SPADCALL |x| (|spadConstant| $ 32) (QREFELT $ 48))
    (SPADCALL |y| (|spadConstant| $ 32) (QREFELT $ 48)))
   (|spadConstant| $ 32))
  ('T (QSADDMOD |x| |y| (QREFELT $ 20))))) 

(DEFUN |FFCGP;*;GF2$;38| (|a| |x| $)
 (SPADCALL (SPADCALL |a| (QREFELT $ 74)) |x| (QREFELT $ 75))) 

(DEFUN |FFCGP;/;$GF$;39| (|x| |a| $)
 (SPADCALL |x| (SPADCALL |a| (QREFELT $ 74)) (QREFELT $ 143))) 

(DEFUN |FFCGP;inv;2$;40| (|x| $)
 (COND ((SPADCALL |x| (QREFELT $ 46)) (|error| "inv: not invertible"))
  ((SPADCALL |x| (|spadConstant| $ 19) (QREFELT $ 48)) (|spadConstant| $ 19))
  ('T (QSDIFFERENCE (QREFELT $ 20) |x|)))) 

(DEFUN |FFCGP;**;$Pi$;41| (|x| |n| $) (SPADCALL |x| |n| (QREFELT $ 146))) 

(DEFUN |FFCGP;**;$Nni$;42| (|x| |n| $) (SPADCALL |x| |n| (QREFELT $ 146))) 

(DEFUN |FFCGP;**;$I$;43| (|x| |n| $)
 (PROG (|m|)
  (RETURN
   (SEQ
    (LETT |m| (SPADCALL |n| (QREFELT $ 20) (QREFELT $ 106)) |FFCGP;**;$I$;43|)
    (EXIT
     (COND ((EQL |m| 0) (|spadConstant| $ 19))
      ((SPADCALL |x| (|spadConstant| $ 32) (QREFELT $ 48))
       (|spadConstant| $ 32))
      ('T (QSMULTMOD |m| |x| (QREFELT $ 20))))))))) 

(DEFUN |FiniteFieldCyclicGroupExtensionByPolynomial|
 (&REST #1=#:G3725 &AUX #2=#:G3723) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3724)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache|
          '|FiniteFieldCyclicGroupExtensionByPolynomial|)
         '|domainEqualList|)
        |FiniteFieldCyclicGroupExtensionByPolynomial|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (APPLY (|function| |FiniteFieldCyclicGroupExtensionByPolynomial;|)
          #2#)
         (LETT #3# T |FiniteFieldCyclicGroupExtensionByPolynomial|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|FiniteFieldCyclicGroupExtensionByPolynomial|))))))))))) 

(DEFUN |FiniteFieldCyclicGroupExtensionByPolynomial;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ #1=#:G3720 |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) .
     #2=(|FiniteFieldCyclicGroupExtensionByPolynomial|))
    (LETT DV$2 (|devaluate| |#2|) . #2#)
    (LETT |dv$| (LIST '|FiniteFieldCyclicGroupExtensionByPolynomial| DV$1 DV$2)
     . #2#)
    (LETT $ (GETREFV 163) . #2#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|CharacteristicZero|))
        (|HasCategory| |#1| '(|Finite|))
        (LETT #1# (|HasCategory| |#1| '(|CharacteristicNonZero|)) . #2#)
        (OR #1# (|HasCategory| |#1| '(|Finite|)))))
      . #2#))
    (|haddProp| |$ConstructorCache|
     '|FiniteFieldCyclicGroupExtensionByPolynomial| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 (|SingleInteger|))
    (QSETREFV $ 12 (SPADCALL |#2| (QREFELT $ 11)))
    (QSETREFV $ 14 (EXPT (SPADCALL (QREFELT $ 13)) (QREFELT $ 12)))
    (QSETREFV $ 17 (< (SPADCALL 2 20 (QREFELT $ 16)) (QREFELT $ 14)))
    (COND ((QREFELT $ 17) (|error| "field too large for this representation")))
    (QSETREFV $ 20 (- (QREFELT $ 14) 1))
    (QSETREFV $ 21 (QUOTIENT2 (QREFELT $ 20) (- (SPADCALL (QREFELT $ 13)) 1)))
    (QSETREFV $ 25
     (SPADCALL (QUOTIENT2 (+ (QREFELT $ 14) 1) 2) -1 (QREFELT $ 24)))
    (QSETREFV $ 30 (SPADCALL (SPADCALL (QREFELT $ 27)) (QREFELT $ 29)))
    (QSETREFV $ 35
     (COND
      ((ODDP (QREFELT $ 12))
       (SPADCALL (SPADCALL |#2| 0 (QREFELT $ 33)) (QREFELT $ 34)))
      ('T (SPADCALL |#2| 0 (QREFELT $ 33)))))
    (QSETREFV $ 36 NIL) (QSETREFV $ 37 'T) (QSETREFV $ 38 'T) (QSETREFV $ 39 0)
    $)))) 

(MAKEPROP '|FiniteFieldCyclicGroupExtensionByPolynomial| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) '|Rep|
     (|NonNegativeInteger|) (|SparseUnivariatePolynomial| 6) (0 . |degree|)
     '|extdeg| (5 . |size|) '|sizeFF| (|PositiveInteger|) (9 . **) '#:G3538
     (15 . |One|)
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |FFCGP;One;$;34|) $))
     '|sizeCG| '|sizeFG| (|SingleInteger|) (|PrimitiveArray| 22) (19 . |new|)
     '|zechlog| (|Symbol|) (25 . |new|) (|OutputForm|) (29 . |coerce|) '|alpha|
     (34 . |Zero|)
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |FFCGP;Zero;$;33|) $))
     (38 . |coefficient|) (44 . -) '|primEltGF| '|facOfGroupSize| '|initzech?|
     '|initelt?| '|normalElt| (|Table| 15 9) (49 . |table|) (|Integer|)
     |FFCGP;tableForDiscreteLogarithm;IT;1| |FFCGP;getZechTable;Pa;2|
     (|Boolean|) (53 . |zero?|) |FFCGP;order;$Pi;3| |FFCGP;=;2$B;36|
     |FFCGP;primitive?;$B;4| (58 . |Zero|) (|Vector| 6) (62 . |new|)
     (68 . |One|) (72 . |monomial|) (|SimpleAlgebraicExtension| 6 10 7)
     (78 . |convert|) (83 . **) (89 . |coordinates|) |FFCGP;coordinates;$V;5|
     (94 . |positiveRemainder|) |FFCGP;+;3$;6| (|FiniteFieldFunctions| 6)
     (100 . |createZechTable|) (|Void|) (105 . |void|)
     (|OnePointCompletion| 15) (109 . |extensionDegree|)
     |FFCGP;extensionDegree;Pi;29| (113 . *) |FFCGP;index;Pi$;32| (|Vector| $)
     |FFCGP;basis;PiV;8| (119 . |coerce|) |FFCGP;coerce;GF$;16| |FFCGP;*;3$;37|
     |FFCGP;*;I2$;9| (|SparseUnivariatePolynomial| $$) (124 . |monomial|)
     (130 . -) (136 . |Frobenius|) (141 . *) (147 . |zero?|)
     (152 . |leadingCoefficient|) |FFCGP;retract;$GF;18| (157 . |degree|)
     (162 . +) (168 . |reductum|) |FFCGP;minimalPolynomial;$Sup;10|
     (|Record| (|:| |factor| 42) (|:| |exponent| 42)) (|List| 89)
     |FFCGP;factorsOfCyclicGroupSize;L;11|
     (|Union| '"prime" '"polynomial" '"normal" '"cyclic")
     |FFCGP;representationType;U;12| |FFCGP;definingPolynomial;Sup;13|
     (173 . |random|) |FFCGP;random;$;14|
     (|FiniteFieldExtensionByPolynomial| 6 7) (177 . |represents|)
     (182 . |Zero|) (186 . =) (192 . |discreteLog|) |FFCGP;represents;V$;15|
     (197 . |zero?|) (|Union| 9 '"failed") (202 . |discreteLog|)
     (208 . |positiveRemainder|) (|Union| $ '#1="failed") (214 . |exquo|)
     (|Union| $$ '#1#) (220 . =) (226 . **) (|Union| 6 '"failed")
     |FFCGP;retractIfCan;$U;17| (232 . =) |FFCGP;basis;V;19|
     |FFCGP;inGroundField?;$B;20| (|Record| (|:| |coef1| $) (|:| |coef2| $))
     (|Union| 117 '#2="failed") (238 . |extendedEuclidean|)
     (|Record| (|:| |coef1| $$) (|:| |coef2| $$)) (|Union| 120 '#2#) (245 . =)
     |FFCGP;discreteLog;2$U;21| (251 . |characteristic|) |FFCGP;-;2$;22|
     |FFCGP;generator;$;23| |FFCGP;createPrimitiveElement;$;24|
     |FFCGP;primitiveElement;$;25| |FFCGP;discreteLog;$Nni;26|
     |FFCGP;normalElement;$;27| (|Factored| $) (255 . |factor|) (|Factored| 42)
     (260 . |factors|) (265 . |createNormalElement|) (269 . |characteristic|)
     |FFCGP;characteristic;Nni;30| |FFCGP;lookup;$Pi;31| (273 . |coerce|)
     (278 . **) |FFCGP;coerce;$Of;35| |FFCGP;*;GF2$;38| (284 . /)
     |FFCGP;/;$GF$;39| |FFCGP;inv;2$;40| |FFCGP;**;$I$;43| |FFCGP;**;$Pi$;41|
     |FFCGP;**;$Nni$;42| (|Union| 71 '"failed") (|Matrix| $)
     (|Union| 10 '"failed") (|SparseUnivariatePolynomial| $) (|Matrix| 6)
     (|CardinalNumber|) (|Fraction| 42) (|Union| 157 '"failed") (|List| $)
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (|Record| (|:| |quotient| $) (|:| |remainder| $))
     (|Record| (|:| |coef| 157) (|:| |generator| $))
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|String|))
  '#(~= 290 |zero?| 296 |unitNormal| 301 |unitCanonical| 306 |unit?| 311
     |transcendent?| 316 |transcendenceDegree| 321 |trace| 325
     |tableForDiscreteLogarithm| 336 |subtractIfCan| 341 |squareFreePart| 347
     |squareFree| 352 |sizeLess?| 357 |size| 363 |sample| 367 |retractIfCan|
     371 |retract| 376 |represents| 381 |representationType| 386 |rem| 390
     |recip| 396 |random| 401 |quo| 405 |principalIdeal| 411 |primitiveElement|
     416 |primitive?| 420 |primeFrobenius| 425 |prime?| 436 |order| 441 |one?|
     451 |normalElement| 456 |normal?| 460 |norm| 465 |nextItem| 476
     |multiEuclidean| 481 |minimalPolynomial| 487 |lookup| 498
     |linearAssociatedOrder| 503 |linearAssociatedLog| 508
     |linearAssociatedExp| 519 |lcm| 525 |latex| 536 |inv| 541 |init| 546
     |index| 550 |inGroundField?| 555 |hash| 560 |getZechTable| 565 |generator|
     569 |gcdPolynomial| 573 |gcd| 579 |factorsOfCyclicGroupSize| 590 |factor|
     594 |extensionDegree| 599 |extendedEuclidean| 607 |exquo| 620
     |expressIdealMember| 626 |euclideanSize| 632 |divide| 637 |discreteLog|
     643 |dimension| 654 |differentiate| 658 |degree| 669 |definingPolynomial|
     679 |createPrimitiveElement| 683 |createNormalElement| 687 |coordinates|
     691 |conditionP| 701 |coerce| 706 |charthRoot| 731 |characteristic| 741
     |basis| 745 |associates?| 754 |algebraic?| 760 ^ 765 |Zero| 783 |One| 787
     |Frobenius| 791 D 802 = 813 / 819 - 831 + 842 ** 848 * 866)
  '((|canonicalsClosed| . 0) (|canonicalUnitNormal| . 0) (|noZeroDivisors| . 0)
    ((|commutative| "*") . 0) (|rightUnitary| . 0) (|leftUnitary| . 0)
    (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 4
    '(0 0 2 4 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4 1 2 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
      0 0 2 2 0 0 0 0))
   (CONS
    '#(|FiniteAlgebraicExtensionField&| |ExtensionField&|
       |FiniteFieldCategory&| |FieldOfPrimeCharacteristic&| |Field&|
       |EuclideanDomain&| NIL |UniqueFactorizationDomain&| |GcdDomain&|
       |DivisionRing&| |IntegralDomain&| |VectorSpace&| |Algebra&| |Algebra&|
       |Module&| |Module&| NIL NIL |Module&| NIL NIL |DifferentialRing&| NIL
       NIL NIL |Ring&| NIL NIL NIL NIL NIL NIL NIL |AbelianGroup&| NIL
       |AbelianMonoid&| |Monoid&| |AbelianSemiGroup&| |SemiGroup&| NIL NIL
       |SetCategory&| |RetractableTo&| |BasicType&| NIL)
    (CONS
     '#((|FiniteAlgebraicExtensionField| 6) (|ExtensionField| 6)
        (|FiniteFieldCategory|) (|FieldOfPrimeCharacteristic|) (|Field|)
        (|EuclideanDomain|) (|PrincipalIdealDomain|)
        (|UniqueFactorizationDomain|) (|GcdDomain|) (|DivisionRing|)
        (|IntegralDomain|) (|VectorSpace| 6) (|Algebra| 155) (|Algebra| $$)
        (|Module| 6) (|Module| 155) (|EntireRing|) (|CommutativeRing|)
        (|Module| $$) (|CharacteristicNonZero|) (|CharacteristicZero|)
        (|DifferentialRing|) (|BiModule| 6 6) (|BiModule| 155 155)
        (|BiModule| $$ $$) (|Ring|) (|RightModule| 6) (|LeftModule| 6)
        (|RightModule| 155) (|LeftModule| 155) (|LeftModule| $$) (|Rng|)
        (|RightModule| $$) (|AbelianGroup|) (|CancellationAbelianMonoid|)
        (|AbelianMonoid|) (|Monoid|) (|AbelianSemiGroup|) (|SemiGroup|)
        (|Finite|) (|StepThrough|) (|SetCategory|) (|RetractableTo| 6)
        (|BasicType|) (|CoercibleTo| 28))
     (|makeByteWordVec2| 162
      '(1 10 9 0 11 0 6 9 13 2 9 0 0 15 16 0 10 0 18 2 23 0 9 22 24 0 26 0 27 1
        26 28 0 29 0 10 0 31 2 10 6 0 9 33 1 6 0 0 34 0 40 0 41 1 0 45 0 46 0 6
        0 50 2 51 0 9 6 52 0 6 0 53 2 10 0 6 9 54 1 55 0 10 56 2 55 0 0 42 57 1
        55 51 0 58 2 8 0 0 0 60 1 62 23 10 63 0 64 0 65 0 0 66 67 2 42 0 9 0 69
        1 6 0 42 73 2 77 0 2 9 78 2 77 0 0 0 79 1 0 0 0 80 2 77 0 0 0 81 1 77
        45 0 82 1 77 2 0 83 1 77 9 0 85 2 10 0 0 0 86 1 77 0 0 87 0 8 0 95 1 97
        0 51 98 0 97 0 99 2 97 45 0 0 100 1 97 9 0 101 1 6 45 0 103 2 6 104 0 0
        105 2 42 0 0 0 106 2 8 107 0 0 108 2 109 45 0 0 110 2 6 0 0 42 111 2
        112 45 0 0 114 3 8 118 0 0 0 119 2 121 45 0 0 122 0 10 9 124 1 42 131 0
        132 1 133 90 0 134 0 0 0 135 0 6 9 136 1 42 28 0 139 2 28 0 0 0 140 2 0
        0 0 0 143 2 0 45 0 0 1 1 0 45 0 46 1 0 161 0 1 1 0 0 0 1 1 0 45 0 1 1 0
        45 0 1 0 0 9 1 2 2 0 0 15 1 1 0 6 0 1 1 2 40 42 43 2 0 107 0 0 1 1 0 0
        0 1 1 0 131 0 1 2 0 45 0 0 1 0 2 9 1 0 0 0 1 1 0 112 0 113 1 0 6 0 84 1
        0 0 51 102 0 2 92 93 2 0 0 0 0 1 1 0 107 0 1 0 2 0 96 2 0 0 0 0 1 1 0
        160 157 1 0 2 0 128 1 2 45 0 49 2 4 0 0 9 1 1 4 0 0 1 1 0 45 0 1 1 4 66
        0 1 1 2 15 0 47 1 0 45 0 1 0 2 0 130 1 2 45 0 1 2 2 0 0 15 1 1 0 6 0 1
        1 2 107 0 1 2 0 156 157 0 1 2 2 152 0 15 1 1 0 10 0 88 1 2 15 0 138 1 2
        10 0 1 1 2 10 0 1 2 2 151 0 0 1 2 2 0 0 10 1 1 0 0 157 1 2 0 0 0 0 1 1
        0 162 0 1 1 0 0 0 145 0 2 0 1 1 2 0 15 70 1 0 45 0 116 1 0 22 0 1 0 0
        23 44 0 2 0 126 2 0 152 152 152 1 1 0 0 157 1 2 0 0 0 0 1 0 2 90 91 1 0
        131 0 1 0 0 15 68 0 0 66 67 3 0 118 0 0 0 1 2 0 158 0 0 1 2 0 107 0 0 1
        2 0 156 157 0 1 1 0 9 0 1 2 0 159 0 0 1 2 4 104 0 0 123 1 2 9 0 129 0 0
        154 1 2 2 0 0 9 1 1 2 0 0 1 1 0 15 0 1 1 0 66 0 1 0 0 10 94 0 2 0 127 0
        2 0 135 1 0 153 71 1 1 0 51 0 59 1 2 149 150 1 1 0 0 6 74 1 0 0 155 1 1
        0 0 0 1 1 0 0 42 1 1 0 28 0 141 1 4 107 0 1 1 2 0 0 1 0 0 9 137 0 0 71
        115 1 0 71 15 72 2 0 45 0 0 1 1 0 45 0 1 2 0 0 0 42 1 2 0 0 0 9 1 2 0 0
        0 15 1 0 0 0 32 0 0 0 19 1 2 0 0 80 2 2 0 0 9 1 2 2 0 0 9 1 1 2 0 0 1 2
        0 45 0 0 48 2 0 0 0 6 144 2 0 0 0 0 143 1 0 0 0 125 2 0 0 0 0 1 2 0 0 0
        0 61 2 0 0 0 42 146 2 0 0 0 9 148 2 0 0 0 15 147 2 0 0 0 6 1 2 0 0 6 0
        142 2 0 0 0 155 1 2 0 0 155 0 1 2 0 0 0 0 75 2 0 0 42 0 76 2 0 0 9 0 1
        2 0 0 15 0 1)))))
  '|lookupComplete|)) 
