
(/VERSIONCHECK 2) 

(DEFUN |FFP;generator;$;1| ($)
 (SPADCALL (SPADCALL (|spadConstant| $ 32) 1 (QREFELT $ 33)) (QREFELT $ 34))) 

(DEFUN |FFP;norm;$GF;2| (|x| $)
 (SPADCALL (QREFELT $ 7) (SPADCALL |x| (QREFELT $ 36)) (QREFELT $ 37))) 

(DEFUN |FFP;basis;PiV;3| (|n| $)
 (PROG (|a| #1=#:G3552 |i| #2=#:G3553)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (REMAINDER2 (QREFELT $ 12) |n|) 0))
      (|error| "argument must divide extension degree"))
     ('T
      (SEQ
       (LETT |a| (SPADCALL (SPADCALL (QREFELT $ 39)) |n| (QREFELT $ 40))
        |FFP;basis;PiV;3|)
       (EXIT
        (SPADCALL
         (PROGN (LETT #1# NIL |FFP;basis;PiV;3|)
          (SEQ (LETT |i| 0 |FFP;basis;PiV;3|)
           (LETT #2# (- |n| 1) |FFP;basis;PiV;3|) G190
           (COND ((QSGREATERP |i| #2#) (GO G191)))
           (SEQ
            (EXIT
             (LETT #1# (CONS (SPADCALL |a| |i| (QREFELT $ 41)) #1#)
              |FFP;basis;PiV;3|)))
           (LETT |i| (QSADD1 |i|) |FFP;basis;PiV;3|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         (QREFELT $ 44)))))))))) 

(DEFUN |FFP;degree;$Pi;4| (|x| $)
 (PROG (|m| |i| #1=#:G3559 |y| #2=#:G3556)
  (RETURN
   (SEQ (LETT |y| (|spadConstant| $ 31) |FFP;degree;$Pi;4|)
    (LETT |m| (SPADCALL (QREFELT $ 12) (+ (QREFELT $ 12) 1) (QREFELT $ 48))
     |FFP;degree;$Pi;4|)
    (SEQ (LETT |i| 1 |FFP;degree;$Pi;4|)
     (LETT #1# (+ (QREFELT $ 12) 1) |FFP;degree;$Pi;4|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ (SPADCALL |m| |i| (SPADCALL |y| (QREFELT $ 50)) (QREFELT $ 52))
      (EXIT (LETT |y| (SPADCALL |y| |x| (QREFELT $ 53)) |FFP;degree;$Pi;4|)))
     (LETT |i| (QSADD1 |i|) |FFP;degree;$Pi;4|) (GO G190) G191 (EXIT NIL))
    (EXIT
     (PROG1 (LETT #2# (SPADCALL |m| (QREFELT $ 55)) |FFP;degree;$Pi;4|)
      (|check-subtype| (> #2# 0) '(|PositiveInteger|) #2#))))))) 

(DEFUN |FFP;minimalPolynomial;$Sup;5| (|x| $)
 (PROG (|m| #1=#:G3567 |y| |v| |i| #2=#:G3568 #3=#:G3564 #4=#:G3562 #5=#:G3563)
  (RETURN
   (SEQ (LETT |y| (|spadConstant| $ 31) |FFP;minimalPolynomial;$Sup;5|)
    (LETT |m| (SPADCALL (QREFELT $ 12) (+ (QREFELT $ 12) 1) (QREFELT $ 48))
     |FFP;minimalPolynomial;$Sup;5|)
    (SEQ (LETT |i| 1 |FFP;minimalPolynomial;$Sup;5|)
     (LETT #1# (+ (QREFELT $ 12) 1) |FFP;minimalPolynomial;$Sup;5|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ (SPADCALL |m| |i| (SPADCALL |y| (QREFELT $ 50)) (QREFELT $ 52))
      (EXIT
       (LETT |y| (SPADCALL |y| |x| (QREFELT $ 53))
        |FFP;minimalPolynomial;$Sup;5|)))
     (LETT |i| (QSADD1 |i|) |FFP;minimalPolynomial;$Sup;5|) (GO G190) G191
     (EXIT NIL))
    (LETT |v| (|SPADfirst| (SPADCALL |m| (QREFELT $ 58)))
     |FFP;minimalPolynomial;$Sup;5|)
    (EXIT
     (PROGN (LETT #5# NIL |FFP;minimalPolynomial;$Sup;5|)
      (SEQ (LETT |i| 0 |FFP;minimalPolynomial;$Sup;5|)
       (LETT #2# (QREFELT $ 12) |FFP;minimalPolynomial;$Sup;5|) G190
       (COND ((QSGREATERP |i| #2#) (GO G191)))
       (SEQ
        (EXIT
         (PROGN
          (LETT #3#
           (SPADCALL (SPADCALL |v| (+ |i| 1) (QREFELT $ 59)) |i|
            (QREFELT $ 33))
           |FFP;minimalPolynomial;$Sup;5|)
          (COND
           (#5#
            (LETT #4# (SPADCALL #4# #3# (QREFELT $ 60))
             |FFP;minimalPolynomial;$Sup;5|))
           ('T
            (PROGN (LETT #4# #3# |FFP;minimalPolynomial;$Sup;5|)
             (LETT #5# 'T |FFP;minimalPolynomial;$Sup;5|)))))))
       (LETT |i| (QSADD1 |i|) |FFP;minimalPolynomial;$Sup;5|) (GO G190) G191
       (EXIT NIL))
      (COND (#5# #4#) ('T (|spadConstant| $ 61))))))))) 

(DEFUN |FFP;normal?;$B;6| (|x| $)
 (PROG (|i| #1=#:G3573 |a| |l|)
  (RETURN
   (SEQ
    (LETT |l| (LIST (SPADCALL (SPADCALL |x| (QREFELT $ 50)) (QREFELT $ 64)))
     |FFP;normal?;$B;6|)
    (LETT |a| |x| |FFP;normal?;$B;6|)
    (SEQ (LETT |i| 2 |FFP;normal?;$B;6|)
     (LETT #1# (QREFELT $ 12) |FFP;normal?;$B;6|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ (LETT |a| (SPADCALL |a| (QREFELT $ 65)) |FFP;normal?;$B;6|)
      (EXIT
       (LETT |l|
        (SPADCALL |l| (SPADCALL (SPADCALL |a| (QREFELT $ 50)) (QREFELT $ 64))
         (QREFELT $ 67))
        |FFP;normal?;$B;6|)))
     (LETT |i| (QSADD1 |i|) |FFP;normal?;$B;6|) (GO G190) G191 (EXIT NIL))
    (EXIT
     (COND
      ((EQL (SPADCALL (SPADCALL |l| (QREFELT $ 68)) (QREFELT $ 55))
        (QREFELT $ 12))
       'T)
      ('T 'NIL))))))) 

(DEFUN |FFP;*;GF2$;7| (|a| |x| $) (SPADCALL |a| |x| (QREFELT $ 73))) 

(DEFUN |FFP;*;I2$;8| (|n| |x| $) (SPADCALL |n| |x| (QREFELT $ 75))) 

(DEFUN |FFP;-;2$;9| (|x| $) (SPADCALL |x| (QREFELT $ 77))) 

(DEFUN |FFP;random;$;10| ($) (SPADCALL (QREFELT $ 79))) 

(DEFUN |FFP;coordinates;$V;11| (|x| $) (SPADCALL |x| (QREFELT $ 81))) 

(DEFUN |FFP;represents;V$;12| (|v| $) (SPADCALL |v| (QREFELT $ 82))) 

(DEFUN |FFP;coerce;GF$;13| (|x| $) (SPADCALL |x| (QREFELT $ 84))) 

(DEFUN |FFP;definingPolynomial;Sup;14| ($) (QREFELT $ 7)) 

(DEFUN |FFP;retract;$GF;15| (|x| $) (SPADCALL |x| (QREFELT $ 87))) 

(DEFUN |FFP;retractIfCan;$U;16| (|x| $) (SPADCALL |x| (QREFELT $ 90))) 

(DEFUN |FFP;index;Pi$;17| (|x| $) (SPADCALL |x| (QREFELT $ 92))) 

(DEFUN |FFP;lookup;$Pi;18| (|x| $) (SPADCALL |x| (QREFELT $ 94))) 

(DEFUN |FFP;/;3$;19| (|x| |y| $) (SPADCALL |x| |y| (QREFELT $ 96))) 

(DEFUN |FFP;/;$GF$;20| (|x| |a| $)
 (SPADCALL |x| (SPADCALL |a| (QREFELT $ 85)) (QREFELT $ 97))) 

(DEFUN |FFP;*;3$;21| (|x| |y| $) (SPADCALL |x| |y| (QREFELT $ 99))) 

(DEFUN |FFP;+;3$;22| (|x| |y| $) (SPADCALL |x| |y| (QREFELT $ 100))) 

(DEFUN |FFP;-;3$;23| (|x| |y| $) (SPADCALL |x| |y| (QREFELT $ 102))) 

(DEFUN |FFP;=;2$B;24| (|x| |y| $) (SPADCALL |x| |y| (QREFELT $ 104))) 

(DEFUN |FFP;basis;V;25| ($) (SPADCALL (QREFELT $ 106))) 

(DEFUN |FFP;Zero;$;26| ($) (|spadConstant| $ 108)) 

(DEFUN |FFP;One;$;27| ($) (|spadConstant| $ 110)) 

(DEFUN |FFP;factorsOfCyclicGroupSize;L;28| ($)
 (SEQ (COND ((NULL (QREFELT $ 22)) (|FFP;initializeElt| $)))
  (EXIT (QREFELT $ 22)))) 

(PUT '|FFP;representationType;U;29| '|SPADreplace|
 '(XLAM NIL (CONS 1 "polynomial"))) 

(DEFUN |FFP;representationType;U;29| ($) (CONS 1 "polynomial")) 

(DEFUN |FFP;tableForDiscreteLogarithm;IT;30| (|fac| $)
 (PROG (#1=#:G3617 |tbl|)
  (RETURN
   (SEQ (COND ((QREFELT $ 25) (|FFP;initializeLog| $)))
    (LETT |tbl|
     (SPADCALL
      (PROG1 (LETT #1# |fac| |FFP;tableForDiscreteLogarithm;IT;30|)
       (|check-subtype| (> #1# 0) '(|PositiveInteger|) #1#))
      (QREFELT $ 29) (QREFELT $ 117))
     |FFP;tableForDiscreteLogarithm;IT;30|)
    (EXIT
     (COND
      ((QEQCAR |tbl| 1)
       (|error|
        "tableForDiscreteLogarithm: argument must be prime divisor of the order of the multiplicative group"))
      ('T (QCDR |tbl|)))))))) 

(DEFUN |FFP;primitiveElement;$;31| ($)
 (SEQ (COND ((QREFELT $ 26) (|FFP;initializeElt| $)))
  (EXIT (SPADCALL (QREFELT $ 24) (QREFELT $ 93))))) 

(DEFUN |FFP;normalElement;$;32| ($)
 (SEQ (COND ((QREFELT $ 26) (|FFP;initializeElt| $)))
  (EXIT (SPADCALL (QREFELT $ 23) (QREFELT $ 93))))) 

(DEFUN |FFP;initializeElt| ($)
 (PROG (|pE| |nElt|)
  (RETURN
   (SEQ
    (SETELT $ 22
     (SPADCALL (SPADCALL (QREFELT $ 21) (QREFELT $ 122)) (QREFELT $ 124)))
    (LETT |pE| (SPADCALL (QREFELT $ 125)) |FFP;initializeElt|)
    (SETELT $ 24 (SPADCALL |pE| (QREFELT $ 95)))
    (LETT |nElt| (SPADCALL (QREFELT $ 35)) |FFP;initializeElt|)
    (SEQ G190
     (COND
      ((NULL (COND ((SPADCALL |nElt| (QREFELT $ 72)) 'NIL) ('T 'T)))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |nElt| (SPADCALL |nElt| |pE| (QREFELT $ 53))
        |FFP;initializeElt|)))
     NIL (GO G190) G191 (EXIT NIL))
    (SETELT $ 23 (SPADCALL |nElt| (QREFELT $ 95))) (SETELT $ 26 'NIL)
    (EXIT (SPADCALL (QREFELT $ 127))))))) 

(DEFUN |FFP;initializeLog| ($)
 (PROG
  (|limit| |f| #1=#:G3648 |fac| |base| |l| |d| |n| |tbl| |i| #2=#:G3636
   #3=#:G3649 |a| #4=#:G3642)
  (RETURN
   (SEQ (COND ((QREFELT $ 26) (|FFP;initializeElt| $)))
    (LETT |limit| 30 |FFP;initializeLog|)
    (SEQ (LETT |f| NIL |FFP;initializeLog|)
     (LETT #1# (QREFELT $ 22) |FFP;initializeLog|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |f| (CAR #1#) |FFP;initializeLog|) NIL))
       (GO G191)))
     (SEQ (LETT |fac| (QCAR |f|) |FFP;initializeLog|)
      (LETT |base|
       (SPADCALL (SPADCALL (QREFELT $ 39)) (QUOTIENT2 (QREFELT $ 21) |fac|)
        (QREFELT $ 128))
       |FFP;initializeLog|)
      (LETT |l| (INTEGER-LENGTH |fac|) |FFP;initializeLog|)
      (LETT |n| 0 |FFP;initializeLog|)
      (COND
       ((ODDP |l|)
        (LETT |n| (ASH |fac| (- (QUOTIENT2 |l| 2))) |FFP;initializeLog|))
       ('T (LETT |n| (ASH 1 (QUOTIENT2 |l| 2)) |FFP;initializeLog|)))
      (COND
       ((< |n| |limit|)
        (SEQ
         (LETT |d| (+ (QUOTIENT2 (- |fac| 1) |limit|) 1) |FFP;initializeLog|)
         (EXIT
          (LETT |n| (+ (QUOTIENT2 (- |fac| 1) |d|) 1) |FFP;initializeLog|)))))
      (LETT |tbl| (SPADCALL (QREFELT $ 129)) |FFP;initializeLog|)
      (LETT |a| (|spadConstant| $ 31) |FFP;initializeLog|)
      (SEQ (LETT |i| 0 |FFP;initializeLog|)
       (LETT #3#
        (PROG1 (LETT #2# (- |n| 1) |FFP;initializeLog|)
         (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
        |FFP;initializeLog|)
       G190 (COND ((QSGREATERP |i| #3#) (GO G191)))
       (SEQ
        (SPADCALL (CONS (SPADCALL |a| (QREFELT $ 95)) |i|) |tbl|
         (QREFELT $ 131))
        (EXIT
         (LETT |a| (SPADCALL |a| |base| (QREFELT $ 53)) |FFP;initializeLog|)))
       (LETT |i| (QSADD1 |i|) |FFP;initializeLog|) (GO G190) G191 (EXIT NIL))
      (EXIT
       (SPADCALL
        (CONS
         (PROG1 (LETT #4# |fac| |FFP;initializeLog|)
          (|check-subtype| (> #4# 0) '(|PositiveInteger|) #4#))
         (SPADCALL |tbl| (QREFELT $ 132)))
        (QREFELT $ 29) (QREFELT $ 134))))
     (LETT #1# (CDR #1#) |FFP;initializeLog|) (GO G190) G191 (EXIT NIL))
    (SETELT $ 25 'NIL) (EXIT (SPADCALL (QREFELT $ 127))))))) 

(DEFUN |FFP;coerce;$Of;35| (|e| $)
 (SPADCALL (SPADCALL |e| (QREFELT $ 36)) (QREFELT $ 17) (QREFELT $ 135))) 

(DEFUN |FFP;extensionDegree;Pi;36| ($) (QREFELT $ 12)) 

(DEFUN |FFP;size;Nni;37| ($) (+ (QREFELT $ 21) 1)) 

(DEFUN |FFP;inGroundField?;$B;38| (|x| $)
 (COND
  ((SPADCALL (SPADCALL |x| (QREFELT $ 91)) (CONS 1 "failed") (QREFELT $ 139))
   'NIL)
  ('T 'T))) 

(DEFUN |FFP;characteristic;Nni;39| ($) (SPADCALL (QREFELT $ 141))) 

(DEFUN |FiniteFieldExtensionByPolynomial| (&REST #1=#:G3687 &AUX #2=#:G3685)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3686)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|FiniteFieldExtensionByPolynomial|)
         '|domainEqualList|)
        |FiniteFieldExtensionByPolynomial|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |FiniteFieldExtensionByPolynomial;|) #2#)
         (LETT #3# T |FiniteFieldExtensionByPolynomial|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|FiniteFieldExtensionByPolynomial|))))))))))) 

(DEFUN |FiniteFieldExtensionByPolynomial;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ #1=#:G3682 |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) . #2=(|FiniteFieldExtensionByPolynomial|))
    (LETT DV$2 (|devaluate| |#2|) . #2#)
    (LETT |dv$| (LIST '|FiniteFieldExtensionByPolynomial| DV$1 DV$2) . #2#)
    (LETT $ (GETREFV 162) . #2#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|CharacteristicZero|))
        (|HasCategory| |#1| '(|Finite|))
        (LETT #1# (|HasCategory| |#1| '(|CharacteristicNonZero|)) . #2#)
        (OR #1# (|HasCategory| |#1| '(|Finite|)))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|FiniteFieldExtensionByPolynomial|
     (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8
     (|SimpleAlgebraicExtension| |#1| (|SparseUnivariatePolynomial| |#1|)
      |#2|))
    (QSETREFV $ 12 (SPADCALL |#2| (QREFELT $ 11)))
    (QSETREFV $ 17 (SPADCALL (SPADCALL (QREFELT $ 14)) (QREFELT $ 16)))
    (QSETREFV $ 21
     (- (SPADCALL (SPADCALL (QREFELT $ 18)) (QREFELT $ 12) (QREFELT $ 20)) 1))
    (QSETREFV $ 22 NIL) (QSETREFV $ 23 1) (QSETREFV $ 24 1) (QSETREFV $ 25 'T)
    (QSETREFV $ 26 'T) (QSETREFV $ 29 (SPADCALL (QREFELT $ 28))) $)))) 

(MAKEPROP '|FiniteFieldExtensionByPolynomial| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) '|Rep|
     (|NonNegativeInteger|) (|SparseUnivariatePolynomial| 6) (0 . |degree|)
     '|extdeg| (|Symbol|) (5 . |new|) (|OutputForm|) (9 . |coerce|) '|alpha|
     (14 . |size|) (|PositiveInteger|) (18 . **) '|sizeCG| '|facOfGroupSize|
     '|normalElt| '|primitiveElt| '|initlog?| '|initelt?| (|Table| 19 118)
     (24 . |table|) '|discLogTable| (28 . |One|)
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |FFP;One;$;27|) $))
     (32 . |One|) (36 . |monomial|) (42 . |reduce|) |FFP;generator;$;1|
     (47 . |lift|) (52 . |resultant|) |FFP;norm;$GF;2|
     |FFP;primitiveElement;$;31| (58 . |norm|) (64 . **) (|List| $$)
     (|Vector| $$) (70 . |vector|) (|Vector| $) |FFP;basis;PiV;3| (|Matrix| 6)
     (75 . |zero|) (|Vector| 6) |FFP;coordinates;$V;11| (|Integer|)
     (81 . |setColumn!|) |FFP;*;3$;21| (88 . |rank|) (92 . |rank|)
     |FFP;degree;$Pi;4| (|List| 49) (97 . |nullSpace|) (102 . |elt|) (108 . +)
     (114 . |Zero|) |FFP;minimalPolynomial;$Sup;5| (|List| 6) (118 . |entries|)
     (123 . |Frobenius|) (|List| 63) (128 . |concat|) (134 . |matrix|)
     (|SimpleAlgebraicExtension| 6 10 7) (139 . |rank|) (|Boolean|)
     |FFP;normal?;$B;6| (143 . *) |FFP;*;GF2$;7| (149 . *) |FFP;*;I2$;8|
     (155 . -) |FFP;-;2$;9| (160 . |random|) |FFP;random;$;10|
     (164 . |coordinates|) (169 . |represents|) |FFP;represents;V$;12|
     (174 . |coerce|) |FFP;coerce;GF$;13| |FFP;definingPolynomial;Sup;14|
     (179 . |retract|) |FFP;retract;$GF;15| (|Union| 6 '"failed")
     (184 . |retractIfCan|) |FFP;retractIfCan;$U;16| (189 . |index|)
     |FFP;index;Pi$;17| (194 . |lookup|) |FFP;lookup;$Pi;18| (199 . /)
     |FFP;/;3$;19| |FFP;/;$GF$;20| (205 . *) (211 . +) |FFP;+;3$;22| (217 . -)
     |FFP;-;3$;23| (223 . =) |FFP;=;2$B;24| (229 . |basis|) |FFP;basis;V;25|
     (233 . |Zero|)
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |FFP;Zero;$;26|) $))
     (237 . |One|) (|Record| (|:| |factor| 51) (|:| |exponent| 51))
     (|List| 111) |FFP;factorsOfCyclicGroupSize;L;28|
     (|Union| '"prime" '"polynomial" '"normal" '"cyclic")
     |FFP;representationType;U;29| (|Union| 118 '"failed") (241 . |search|)
     (|Table| 19 9) |FFP;tableForDiscreteLogarithm;IT;30|
     |FFP;normalElement;$;32| (|Factored| $) (247 . |factor|) (|Factored| 51)
     (252 . |factors|) (257 . |createPrimitiveElement|) (|Void|) (261 . |void|)
     (265 . **) (271 . |table|) (|Record| (|:| |key| 19) (|:| |entry| 9))
     (275 . |insert!|) (281 . |copy|)
     (|Record| (|:| |key| 19) (|:| |entry| 118)) (286 . |insert!|)
     (292 . |outputForm|) |FFP;coerce;$Of;35| |FFP;extensionDegree;Pi;36|
     |FFP;size;Nni;37| (298 . =) |FFP;inGroundField?;$B;38|
     (304 . |characteristic|) |FFP;characteristic;Nni;39| (|Union| $ '"failed")
     (|Union| 9 '"failed") (|OnePointCompletion| 19) (|Union| 45 '"failed")
     (|Matrix| $) (|Union| 10 '"failed") (|SparseUnivariatePolynomial| $)
     (|CardinalNumber|) (|Fraction| 51) (|Union| 153 '"failed") (|List| $)
     (|Record| (|:| |coef1| $) (|:| |coef2| $)) (|Union| 154 '"failed")
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (|Record| (|:| |quotient| $) (|:| |remainder| $))
     (|Record| (|:| |coef| 153) (|:| |generator| $))
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|String|) (|SingleInteger|))
  '#(~= 308 |zero?| 314 |unitNormal| 319 |unitCanonical| 324 |unit?| 329
     |transcendent?| 334 |transcendenceDegree| 339 |trace| 343
     |tableForDiscreteLogarithm| 354 |subtractIfCan| 359 |squareFreePart| 365
     |squareFree| 370 |sizeLess?| 375 |size| 381 |sample| 385 |retractIfCan|
     389 |retract| 394 |represents| 399 |representationType| 404 |rem| 408
     |recip| 414 |random| 419 |quo| 423 |principalIdeal| 429 |primitiveElement|
     434 |primitive?| 438 |primeFrobenius| 443 |prime?| 454 |order| 459 |one?|
     469 |normalElement| 474 |normal?| 478 |norm| 483 |nextItem| 494
     |multiEuclidean| 499 |minimalPolynomial| 505 |lookup| 516
     |linearAssociatedOrder| 521 |linearAssociatedLog| 526
     |linearAssociatedExp| 537 |lcm| 543 |latex| 554 |inv| 559 |init| 564
     |index| 568 |inGroundField?| 573 |hash| 578 |generator| 583
     |gcdPolynomial| 587 |gcd| 593 |factorsOfCyclicGroupSize| 604 |factor| 608
     |extensionDegree| 613 |extendedEuclidean| 621 |exquo| 634
     |expressIdealMember| 640 |euclideanSize| 646 |divide| 651 |discreteLog|
     657 |dimension| 668 |differentiate| 672 |degree| 683 |definingPolynomial|
     693 |createPrimitiveElement| 697 |createNormalElement| 701 |coordinates|
     705 |conditionP| 715 |coerce| 720 |charthRoot| 745 |characteristic| 755
     |basis| 759 |associates?| 768 |algebraic?| 774 ^ 779 |Zero| 797 |One| 801
     |Frobenius| 805 D 816 = 827 / 833 - 845 + 856 ** 862 * 880)
  '((|canonicalsClosed| . 0) (|canonicalUnitNormal| . 0) (|noZeroDivisors| . 0)
    ((|commutative| "*") . 0) (|rightUnitary| . 0) (|leftUnitary| . 0)
    (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 4
    '(0 0 2 4 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4 1 2 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
      0 0 2 2 0 0 0 0))
   (CONS
    '#(|FiniteAlgebraicExtensionField&| |ExtensionField&|
       |FiniteFieldCategory&| |FieldOfPrimeCharacteristic&| |Field&|
       |EuclideanDomain&| NIL |UniqueFactorizationDomain&| |GcdDomain&|
       |DivisionRing&| |IntegralDomain&| |VectorSpace&| |Algebra&| |Algebra&|
       |Module&| |Module&| NIL NIL |Module&| NIL NIL |DifferentialRing&| NIL
       NIL NIL |Ring&| NIL NIL NIL NIL NIL NIL NIL |AbelianGroup&| NIL
       |AbelianMonoid&| |Monoid&| |AbelianSemiGroup&| |SemiGroup&| NIL NIL
       |SetCategory&| |RetractableTo&| |BasicType&| NIL)
    (CONS
     '#((|FiniteAlgebraicExtensionField| 6) (|ExtensionField| 6)
        (|FiniteFieldCategory|) (|FieldOfPrimeCharacteristic|) (|Field|)
        (|EuclideanDomain|) (|PrincipalIdealDomain|)
        (|UniqueFactorizationDomain|) (|GcdDomain|) (|DivisionRing|)
        (|IntegralDomain|) (|VectorSpace| 6) (|Algebra| 151) (|Algebra| $$)
        (|Module| 6) (|Module| 151) (|EntireRing|) (|CommutativeRing|)
        (|Module| $$) (|CharacteristicNonZero|) (|CharacteristicZero|)
        (|DifferentialRing|) (|BiModule| 6 6) (|BiModule| 151 151)
        (|BiModule| $$ $$) (|Ring|) (|RightModule| 6) (|LeftModule| 6)
        (|RightModule| 151) (|LeftModule| 151) (|LeftModule| $$) (|Rng|)
        (|RightModule| $$) (|AbelianGroup|) (|CancellationAbelianMonoid|)
        (|AbelianMonoid|) (|Monoid|) (|AbelianSemiGroup|) (|SemiGroup|)
        (|Finite|) (|StepThrough|) (|SetCategory|) (|RetractableTo| 6)
        (|BasicType|) (|CoercibleTo| 15))
     (|makeByteWordVec2| 161
      '(1 10 9 0 11 0 13 0 14 1 13 15 0 16 0 6 9 18 2 9 0 0 19 20 0 27 0 28 0
        10 0 30 0 6 0 32 2 10 0 6 9 33 1 8 0 10 34 1 8 10 0 36 2 10 6 0 0 37 2
        0 0 0 19 40 2 0 0 0 9 41 1 43 0 42 44 2 47 0 9 9 48 3 47 0 0 51 49 52 0
        8 19 54 1 47 9 0 55 1 47 57 0 58 2 49 6 0 51 59 2 10 0 0 0 60 0 10 0 61
        1 49 63 0 64 1 0 0 0 65 2 66 0 0 63 67 1 47 0 66 68 0 69 19 70 2 8 0 6
        0 73 2 8 0 51 0 75 1 8 0 0 77 0 8 0 79 1 8 49 0 81 1 8 0 49 82 1 8 0 6
        84 1 8 6 0 87 1 8 89 0 90 1 8 0 19 92 1 8 19 0 94 2 8 0 0 0 96 2 8 0 0
        0 99 2 8 0 0 0 100 2 8 0 0 0 102 2 8 71 0 0 104 0 8 45 106 0 8 0 108 0
        8 0 110 2 27 116 19 0 117 1 51 121 0 122 1 123 112 0 124 0 0 0 125 0
        126 0 127 2 0 0 0 51 128 0 118 0 129 2 118 0 130 0 131 1 118 0 0 132 2
        27 0 133 0 134 2 10 15 0 15 135 2 89 71 0 0 139 0 6 9 141 2 0 71 0 0 1
        1 0 71 0 1 1 0 159 0 1 1 0 0 0 1 1 0 71 0 1 1 0 71 0 1 0 0 9 1 2 2 0 0
        19 1 1 0 6 0 1 1 2 118 51 119 2 0 143 0 0 1 1 0 0 0 1 1 0 121 0 1 2 0
        71 0 0 1 0 2 9 138 0 0 0 1 1 0 89 0 91 1 0 6 0 88 1 0 0 49 83 0 2 114
        115 2 0 0 0 0 1 1 0 143 0 1 0 2 0 80 2 0 0 0 0 1 1 0 158 153 1 0 2 0 39
        1 2 71 0 1 2 4 0 0 9 1 1 4 0 0 1 1 0 71 0 1 1 4 145 0 1 1 2 19 0 1 1 0
        71 0 1 0 2 0 120 1 2 71 0 72 2 2 0 0 19 40 1 0 6 0 38 1 2 143 0 1 2 0
        152 153 0 1 2 2 149 0 19 1 1 0 10 0 62 1 2 19 0 95 1 2 10 0 1 1 2 10 0
        1 2 2 148 0 0 1 2 2 0 0 10 1 1 0 0 153 1 2 0 0 0 0 1 1 0 160 0 1 1 0 0
        0 1 0 2 0 1 1 2 0 19 93 1 0 71 0 140 1 0 161 0 1 0 2 0 35 2 0 149 149
        149 1 1 0 0 153 1 2 0 0 0 0 1 0 2 112 113 1 0 121 0 1 0 0 19 137 0 0
        145 1 3 0 155 0 0 0 1 2 0 156 0 0 1 2 0 143 0 0 1 2 0 152 153 0 1 1 0 9
        0 1 2 0 157 0 0 1 2 4 144 0 0 1 1 2 9 0 1 0 0 150 1 2 2 0 0 9 1 1 2 0 0
        1 1 0 19 0 56 1 0 145 0 1 0 0 10 86 0 2 0 125 0 2 0 1 1 0 47 45 1 1 0
        49 0 50 1 2 146 147 1 1 0 0 6 85 1 0 0 151 1 1 0 0 0 1 1 0 0 51 1 1 0
        15 0 136 1 4 143 0 1 1 2 0 0 1 0 0 9 142 0 0 45 107 1 0 45 19 46 2 0 71
        0 0 1 1 0 71 0 1 2 0 0 0 51 1 2 0 0 0 9 1 2 0 0 0 19 1 0 0 0 109 0 0 0
        31 1 2 0 0 65 2 2 0 0 9 1 2 2 0 0 9 1 1 2 0 0 1 2 0 71 0 0 105 2 0 0 0
        6 98 2 0 0 0 0 97 1 0 0 0 78 2 0 0 0 0 103 2 0 0 0 0 101 2 0 0 0 51 128
        2 0 0 0 9 41 2 0 0 0 19 1 2 0 0 0 6 1 2 0 0 6 0 74 2 0 0 0 151 1 2 0 0
        151 0 1 2 0 0 0 0 53 2 0 0 51 0 76 2 0 0 9 0 1 2 0 0 19 0 1)))))
  '|lookupComplete|)) 
