
(/VERSIONCHECK 2) 

(DEFUN |FS-;ground?;SB;1| (|x| $) (QEQCAR (SPADCALL |x| (QREFELT $ 17)) 0)) 

(DEFUN |FS-;ground;SR;2| (|x| $) (SPADCALL |x| (QREFELT $ 20))) 

(DEFUN |FS-;coerce;SS;3| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 23)) (QREFELT $ 25))) 

(DEFUN |FS-;retract;SS;4| (|x| $)
 (PROG (#1=#:G3596)
  (RETURN
   (PROG2
    (LETT #1# (SPADCALL (SPADCALL |x| (QREFELT $ 27)) (QREFELT $ 29))
     |FS-;retract;SS;4|)
    (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|Symbol|) #1#))))) 

(DEFUN |FS-;applyQuote;S2S;5| (|s| |x| $)
 (SPADCALL |s| (LIST |x|) (QREFELT $ 32))) 

(DEFUN |FS-;applyQuote;S3S;6| (|s| |x| |y| $)
 (SPADCALL |s| (LIST |x| |y|) (QREFELT $ 32))) 

(DEFUN |FS-;applyQuote;S4S;7| (|s| |x| |y| |z| $)
 (SPADCALL |s| (LIST |x| |y| |z|) (QREFELT $ 32))) 

(DEFUN |FS-;applyQuote;S5S;8| (|s| |x| |y| |z| |t| $)
 (SPADCALL |s| (LIST |x| |y| |z| |t|) (QREFELT $ 32))) 

(DEFUN |FS-;applyQuote;SLS;9| (|s| |l| $)
 (SPADCALL (QREFELT $ 15) (CONS (SPADCALL |s| (QREFELT $ 37)) |l|)
  (QREFELT $ 38))) 

(DEFUN |FS-;belong?;BoB;10| (|op| $)
 (COND ((SPADCALL |op| (QREFELT $ 14) (QREFELT $ 40)) 'T)
  ('T (SPADCALL |op| (QREFELT $ 15) (QREFELT $ 40))))) 

(DEFUN |FS-;subs| (|fn| |k| $)
 (PROG (#1=#:G3607 |x| #2=#:G3608)
  (RETURN
   (SEQ
    (SPADCALL (SPADCALL |k| (QREFELT $ 42))
     (PROGN (LETT #1# NIL |FS-;subs|)
      (SEQ (LETT |x| NIL |FS-;subs|)
       (LETT #2# (SPADCALL |k| (QREFELT $ 44)) |FS-;subs|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |x| (CAR #2#) |FS-;subs|) NIL))
         (GO G191)))
       (SEQ (EXIT (LETT #1# (CONS (SPADCALL |x| |fn|) #1#) |FS-;subs|)))
       (LETT #2# (CDR #2#) |FS-;subs|) (GO G190) G191 (EXIT (NREVERSE0 #1#))))
     (QREFELT $ 45)))))) 

(DEFUN |FS-;operator;2Bo;12| (|op| $)
 (COND
  ((SPADCALL |op| (SPADCALL "%diff" (QREFELT $ 10)) (QREFELT $ 46))
   (QREFELT $ 14))
  ((SPADCALL |op| (SPADCALL "%quote" (QREFELT $ 10)) (QREFELT $ 46))
   (QREFELT $ 15))
  ('T (|error| "Unknown operator")))) 

(DEFUN |FS-;differentiand| (|l| $)
 (SPADCALL (|SPADfirst| |l|)
  (SPADCALL (SPADCALL |l| (QREFELT $ 48)) (QREFELT $ 27))
  (SPADCALL |l| (QREFELT $ 49)) (QREFELT $ 50))) 

(DEFUN |FS-;pint| (|l| $)
 (SPADCALL (CONS (SPADCALL (SPADCALL "D" (QREFELT $ 10)) (QREFELT $ 52)) |l|)
  (QREFELT $ 53))) 

(DEFUN |FS-;indiff| (|l| $)
 (PROG (|r2|)
  (RETURN
   (SEQ
    (LETT |r2|
     (SPADCALL
      (LIST (SPADCALL (SPADCALL "::" (QREFELT $ 10)) (QREFELT $ 52))
       (SPADCALL (SPADCALL |l| (QREFELT $ 49)) (QREFELT $ 54))
       (SPADCALL (SPADCALL "Symbol" (QREFELT $ 10)) (QREFELT $ 52)))
      (QREFELT $ 53))
     |FS-;indiff|)
    (EXIT
     (|FS-;pint|
      (LIST (SPADCALL (|FS-;differentiand| |l| $) (QREFELT $ 54)) |r2|) $)))))) 

(DEFUN |FS-;eval;SSS;16| (|f| |s| $) (SPADCALL |f| (LIST |s|) (QREFELT $ 56))) 

(DEFUN |FS-;eval;SBoSSS;17| (|f| |s| |g| |x| $)
 (SPADCALL |f| (LIST |s|) (LIST |g|) |x| (QREFELT $ 59))) 

(DEFUN |FS-;eval;SLLSS;18| (|f| |ls| |lg| |x| $)
 (PROG (#1=#:G3623 |g| #2=#:G3624)
  (RETURN
   (SEQ
    (SPADCALL |f| |ls|
     (PROGN (LETT #1# NIL |FS-;eval;SLLSS;18|)
      (SEQ (LETT |g| NIL |FS-;eval;SLLSS;18|)
       (LETT #2# |lg| |FS-;eval;SLLSS;18|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |g| (CAR #2#) |FS-;eval;SLLSS;18|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (SPADCALL |g| |x| (QREFELT $ 63)) #1#)
          |FS-;eval;SLLSS;18|)))
       (LETT #2# (CDR #2#) |FS-;eval;SLLSS;18|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     (QREFELT $ 66)))))) 

(DEFUN |FS-;variables;SL;19| (|x| $)
 (PROG (|k| #1=#:G3632 |s| |l|)
  (RETURN
   (SEQ (LETT |l| NIL |FS-;variables;SL;19|)
    (SEQ (LETT |k| NIL |FS-;variables;SL;19|)
     (LETT #1# (SPADCALL |x| (QREFELT $ 71)) |FS-;variables;SL;19|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |k| (CAR #1#) |FS-;variables;SL;19|) NIL))
       (GO G191)))
     (SEQ (LETT |s| (SPADCALL |k| (QREFELT $ 29)) |FS-;variables;SL;19|)
      (EXIT
       (COND
        ((QEQCAR |s| 0)
         (LETT |l| (CONS (QCDR |s|) |l|) |FS-;variables;SL;19|)))))
     (LETT #1# (CDR #1#) |FS-;variables;SL;19|) (GO G190) G191 (EXIT NIL))
    (EXIT (NREVERSE |l|)))))) 

(DEFUN |FS-;retractIfCan;SU;20| (|x| $)
 (PROG (|k|)
  (RETURN
   (SEQ (LETT |k| (SPADCALL |x| (QREFELT $ 74)) |FS-;retractIfCan;SU;20|)
    (EXIT
     (COND ((QEQCAR |k| 1) (CONS 1 "failed"))
      ('T (SPADCALL (QCDR |k|) (QREFELT $ 29))))))))) 

(DEFUN |FS-;characteristic;Nni;21| ($) (SPADCALL (QREFELT $ 78))) 

(DEFUN |FS-;coerce;KS;22| (|k| $)
 (SPADCALL (SPADCALL |k| (QREFELT $ 81)) (QREFELT $ 83))) 

(DEFUN |FS-;symsub| (|sy| |i| $)
 (SPADCALL (STRCONC (SPADCALL |sy| (QREFELT $ 85)) (STRINGIMAGE |i|))
  (QREFELT $ 10))) 

(DEFUN |FS-;numerator;2S;24| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 83))) 

(DEFUN |FS-;eval;SSNniMS;25| (|x| |s| |n| |f| $)
 (SPADCALL |x| (LIST |s|) (LIST |n|)
  (LIST (CONS #'|FS-;eval;SSNniMS;25!0| (VECTOR |f| $))) (QREFELT $ 92))) 

(DEFUN |FS-;eval;SSNniMS;25!0| (|#1| $$)
 (SPADCALL (SPADCALL |#1| (QREFELT (QREFELT $$ 1) 88)) (QREFELT $$ 0))) 

(DEFUN |FS-;eval;SSNniMS;26| (|x| |s| |n| |f| $)
 (SPADCALL |x| (LIST |s|) (LIST |n|) (LIST |f|) (QREFELT $ 92))) 

(DEFUN |FS-;eval;SLLS;27| (|x| |l| |f| $)
 (SPADCALL |x| |l| (SPADCALL (LENGTH |l|) 1 (QREFELT $ 95)) |f|
  (QREFELT $ 92))) 

(DEFUN |FS-;elt;BoLS;28| (|op| |args| $)
 (PROG (|od?| |x| #1=#:G3660)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((SPADCALL |op| (QREFELT $ 97))
        (SEQ
         (LETT |od?| (SPADCALL |op| "odd" (QREFELT $ 98)) |FS-;elt;BoLS;28|)
         (EXIT
          (COND
           ((OR |od?| (SPADCALL |op| "even" (QREFELT $ 98)))
            (COND
             ((SPADCALL
               (SPADCALL (SPADCALL (|SPADfirst| |args|) (QREFELT $ 86))
                (QREFELT $ 99))
               (|spadConstant| $ 100) (QREFELT $ 101))
              (PROGN
               (LETT #1#
                (SEQ
                 (LETT |x|
                  (SPADCALL |op|
                   (SPADCALL (|SPADfirst| |args|) (QREFELT $ 102))
                   (QREFELT $ 103))
                  |FS-;elt;BoLS;28|)
                 (EXIT (COND (|od?| (SPADCALL |x| (QREFELT $ 102))) ('T |x|))))
                |FS-;elt;BoLS;28|)
               (GO #1#))))))))))
      (EXIT (SPADCALL |op| |args| (QREFELT $ 105)))))
    #1# (EXIT #1#))))) 

(DEFUN |FS-;eval;SLLLS;29| (|x| |s| |n| |l| $)
 (PROG (#1=#:G3664 |f| #2=#:G3665)
  (RETURN
   (SEQ
    (SPADCALL |x| |s| |n|
     (PROGN (LETT #1# NIL |FS-;eval;SLLLS;29|)
      (SEQ (LETT |f| NIL |FS-;eval;SLLLS;29|)
       (LETT #2# |l| |FS-;eval;SLLLS;29|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |f| (CAR #2#) |FS-;eval;SLLLS;29|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (CONS #'|FS-;eval;SLLLS;29!0| (VECTOR |f| $)) #1#)
          |FS-;eval;SLLLS;29|)))
       (LETT #2# (CDR #2#) |FS-;eval;SLLLS;29|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     (QREFELT $ 92)))))) 

(DEFUN |FS-;eval;SLLLS;29!0| (|#1| $$)
 (SPADCALL (SPADCALL |#1| (QREFELT (QREFELT $$ 1) 88)) (QREFELT $$ 0))) 

(DEFUN |FS-;smprep| (|lop| |lexp| |lfunc| |p| $)
 (PROG
  (|v| |k| |op| #1=#:G3685 #2=#:G3686 |arg| |g| |n| |f| |e| |m| |qr| |t1| |t2|
   |a| |q|)
  (RETURN
   (SEQ (LETT |v| (SPADCALL |p| (QREFELT $ 109)) |FS-;smprep|)
    (EXIT
     (COND ((QEQCAR |v| 1) (SPADCALL |p| (QREFELT $ 83)))
      ('T
       (SEQ (LETT |k| (QCDR |v|) |FS-;smprep|)
        (LETT |g|
         (SPADCALL (LETT |op| (SPADCALL |k| (QREFELT $ 42)) |FS-;smprep|)
          (LETT |arg|
           (PROGN (LETT #1# NIL |FS-;smprep|)
            (SEQ (LETT |a| NIL |FS-;smprep|)
             (LETT #2# (SPADCALL |k| (QREFELT $ 44)) |FS-;smprep|) G190
             (COND
              ((OR (ATOM #2#) (PROGN (LETT |a| (CAR #2#) |FS-;smprep|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (LETT #1#
                (CONS (SPADCALL |a| |lop| |lexp| |lfunc| (QREFELT $ 92)) #1#)
                |FS-;smprep|)))
             (LETT #2# (CDR #2#) |FS-;smprep|) (GO G190) G191
             (EXIT (NREVERSE0 #1#))))
           |FS-;smprep|)
          (QREFELT $ 38))
         |FS-;smprep|)
        (LETT |q|
         (SPADCALL (CONS #'|FS-;smprep!0| (VECTOR |lfunc| |lexp| |lop| $))
          (SPADCALL |p| |k| (QREFELT $ 111)) (QREFELT $ 116))
         |FS-;smprep|)
        (EXIT
         (COND
          ((<
            (LETT |n|
             (SPADCALL (SPADCALL |op| (QREFELT $ 117)) |lop| (QREFELT $ 119))
             |FS-;smprep|)
            (SPADCALL |lop| (QREFELT $ 120)))
           (SPADCALL |q| |g| (QREFELT $ 121)))
          ('T
           (SEQ (LETT |a| (|spadConstant| $ 122) |FS-;smprep|)
            (LETT |f|
             (SPADCALL (SPADCALL |arg| (SPADCALL |lfunc| |n| (QREFELT $ 125)))
              |lop| |lexp| |lfunc| (QREFELT $ 92))
             |FS-;smprep|)
            (LETT |e| (SPADCALL |lexp| |n| (QREFELT $ 126)) |FS-;smprep|)
            (SEQ G190
             (COND
              ((NULL
                (COND
                 ((SPADCALL |q| (|spadConstant| $ 127) (QREFELT $ 128)) 'NIL)
                 ('T 'T)))
               (GO G191)))
             (SEQ (LETT |m| (SPADCALL |q| (QREFELT $ 129)) |FS-;smprep|)
              (LETT |qr| (DIVIDE2 |m| |e|) |FS-;smprep|)
              (LETT |t1| (SPADCALL |f| (QCAR |qr|) (QREFELT $ 130))
               |FS-;smprep|)
              (LETT |t2| (SPADCALL |g| (QCDR |qr|) (QREFELT $ 130))
               |FS-;smprep|)
              (LETT |a|
               (SPADCALL |a|
                (SPADCALL
                 (SPADCALL (SPADCALL |q| (QREFELT $ 131)) |t1| (QREFELT $ 132))
                 |t2| (QREFELT $ 132))
                (QREFELT $ 133))
               |FS-;smprep|)
              (EXIT (LETT |q| (SPADCALL |q| (QREFELT $ 134)) |FS-;smprep|)))
             NIL (GO G190) G191 (EXIT NIL))
            (EXIT |a|))))))))))))) 

(DEFUN |FS-;smprep!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 3) |FS-;smprep|)
  (RETURN
   (PROGN
    (SPADCALL (SPADCALL |#1| (QREFELT $ 83)) (QREFELT $$ 2) (QREFELT $$ 1)
     (QREFELT $$ 0) (QREFELT $ 92)))))) 

(DEFUN |FS-;dispdiff| (|l| $)
 (PROG (|s| |t| |k| |a| |rec| |i| #1=#:G3695 |x| #2=#:G3696 |m|)
  (RETURN
   (SEQ
    (LETT |s| (SPADCALL (SPADCALL |l| (QREFELT $ 48)) (QREFELT $ 136))
     |FS-;dispdiff|)
    (LETT |t| (SPADCALL (SPADCALL |l| (QREFELT $ 49)) (QREFELT $ 136))
     |FS-;dispdiff|)
    (LETT |a|
     (SPADCALL
      (LETT |k| (SPADCALL (|SPADfirst| |l|) (QREFELT $ 27)) |FS-;dispdiff|)
      (QREFELT $ 44))
     |FS-;dispdiff|)
    (EXIT
     (COND
      ((SPADCALL |k| (QREFELT $ 14) (QREFELT $ 137))
       (SEQ (LETT |rec| (|FS-;dispdiff| |a| $) |FS-;dispdiff|)
        (LETT |i| (SPADCALL |s| (QVELT |rec| 2) (QREFELT $ 139))
         |FS-;dispdiff|)
        (SPADCALL (QVELT |rec| 2) |i| |t| (QREFELT $ 140))
        (EXIT
         (VECTOR (QVELT |rec| 0)
          (SPADCALL (QVELT |rec| 1)
           (SPADCALL (SPADCALL (SPADCALL "," (QREFELT $ 10)) (QREFELT $ 141))
            (SPADCALL (- (+ |i| 1) (SPADCALL |a| (QREFELT $ 144)))
             (QREFELT $ 145))
            (QREFELT $ 146))
           (QREFELT $ 146))
          (QVELT |rec| 2)
          (COND ((ZEROP (QVELT |rec| 3)) 0) ('T (+ (QVELT |rec| 3) 1)))))))
      ('T
       (SEQ
        (LETT |i| (SPADCALL (SPADCALL |l| (QREFELT $ 48)) |a| (QREFELT $ 147))
         |FS-;dispdiff|)
        (LETT |m|
         (PROGN (LETT #1# NIL |FS-;dispdiff|)
          (SEQ (LETT |x| NIL |FS-;dispdiff|) (LETT #2# |a| |FS-;dispdiff|) G190
           (COND
            ((OR (ATOM #2#) (PROGN (LETT |x| (CAR #2#) |FS-;dispdiff|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1# (CONS (SPADCALL |x| (QREFELT $ 136)) #1#)
              |FS-;dispdiff|)))
           (LETT #2# (CDR #2#) |FS-;dispdiff|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         |FS-;dispdiff|)
        (SPADCALL |m| |i| |t| (QREFELT $ 140))
        (EXIT
         (VECTOR
          (SPADCALL (SPADCALL (SPADCALL |k| (QREFELT $ 42)) (QREFELT $ 117))
           (QREFELT $ 141))
          (SPADCALL (SPADCALL (SPADCALL "," (QREFELT $ 10)) (QREFELT $ 141))
           (SPADCALL (- (+ |i| 1) (SPADCALL |a| (QREFELT $ 144)))
            (QREFELT $ 145))
           (QREFELT $ 146))
          |m| (COND ((NULL (CDR |a|)) 1) ('T 0)))))))))))) 

(DEFUN |FS-;ddiff| (|l| $)
 (PROG (|rec| |opname|)
  (RETURN
   (SEQ (LETT |rec| (|FS-;dispdiff| |l| $) |FS-;ddiff|)
    (LETT |opname|
     (COND
      ((ZEROP (QVELT |rec| 3))
       (SPADCALL (QVELT |rec| 0) (QVELT |rec| 1) (QREFELT $ 148)))
      ('T (SPADCALL (QVELT |rec| 0) (QVELT |rec| 3) (QREFELT $ 149))))
     |FS-;ddiff|)
    (EXIT (SPADCALL |opname| (QVELT |rec| 2) (QREFELT $ 150))))))) 

(DEFUN |FS-;substArg| (|op| |l| |i| |g| $)
 (PROG (|z|)
  (RETURN
   (SEQ (LETT |z| (SPADCALL |l| (QREFELT $ 151)) |FS-;substArg|)
    (SPADCALL |z| |i| |g| (QREFELT $ 152))
    (EXIT (SPADCALL |op| |z| (QREFELT $ 45))))))) 

(DEFUN |FS-;diffdiff| (|l| |x| $)
 (PROG (|f|)
  (RETURN
   (SEQ (LETT |f| (SPADCALL (QREFELT $ 14) |l| (QREFELT $ 45)) |FS-;diffdiff|)
    (EXIT
     (|FS-;diffdiff0| |l| |x| |f| (SPADCALL |f| (QREFELT $ 27)) NIL $)))))) 

(DEFUN |FS-;diffdiff0| (|l| |x| |expr| |kd| |done| $)
 (PROG (|k| |op| |gg| |u| |arg| |b| #1=#:G3715 |i| #2=#:G3714 |bp| |g| |ans|)
  (RETURN
   (SEQ
    (LETT |op|
     (SPADCALL
      (LETT |k| (SPADCALL (|SPADfirst| |l|) (QREFELT $ 27)) |FS-;diffdiff0|)
      (QREFELT $ 42))
     |FS-;diffdiff0|)
    (LETT |gg| (SPADCALL |l| (QREFELT $ 48)) |FS-;diffdiff0|)
    (LETT |u| (SPADCALL |l| (QREFELT $ 49)) |FS-;diffdiff0|)
    (LETT |arg| (SPADCALL |k| (QREFELT $ 44)) |FS-;diffdiff0|)
    (LETT |ans| (|spadConstant| $ 122) |FS-;diffdiff0|)
    (COND
     ((NULL (SPADCALL |u| |done| (QREFELT $ 153)))
      (SEQ (LETT |ans| (SPADCALL |u| |x| (QREFELT $ 154)) |FS-;diffdiff0|)
       (EXIT
        (COND
         ((NULL (SPADCALL |ans| (|spadConstant| $ 122) (QREFELT $ 155)))
          (LETT |ans|
           (SPADCALL |ans|
            (SPADCALL (QREFELT $ 14)
             (LIST
              (SPADCALL |expr| (LIST |kd|)
               (LIST
                (SPADCALL (QREFELT $ 14) (LIST (|SPADfirst| |l|) |gg| |gg|)
                 (QREFELT $ 45)))
               (QREFELT $ 156))
              |gg| |u|)
             (QREFELT $ 45))
            (QREFELT $ 132))
           |FS-;diffdiff0|)))))))
    (LETT |done| (CONS |gg| |done|) |FS-;diffdiff0|)
    (EXIT
     (COND
      ((SPADCALL |k| (QREFELT $ 14) (QREFELT $ 137))
       (SPADCALL |ans| (|FS-;diffdiff0| |arg| |x| |expr| |k| |done| $)
        (QREFELT $ 133)))
      ('T
       (SEQ
        (SEQ (LETT |b| NIL |FS-;diffdiff0|) (LETT #1# |arg| |FS-;diffdiff0|)
         (LETT |i| (SPADCALL |arg| (QREFELT $ 144)) |FS-;diffdiff0|)
         (LETT #2# (SPADCALL |arg| (QREFELT $ 157)) |FS-;diffdiff0|) G190
         (COND
          ((OR (> |i| #2#) (ATOM #1#)
            (PROGN (LETT |b| (CAR #1#) |FS-;diffdiff0|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((NULL (SPADCALL |b| |done| (QREFELT $ 153)))
             (SEQ
              (LETT |bp| (SPADCALL |b| |x| (QREFELT $ 154)) |FS-;diffdiff0|)
              (EXIT
               (COND
                ((NULL (SPADCALL |bp| (|spadConstant| $ 122) (QREFELT $ 155)))
                 (SEQ
                  (LETT |g|
                   (SPADCALL (|FS-;symsub| (QREFELT $ 76) |i| $)
                    (QREFELT $ 37))
                   |FS-;diffdiff0|)
                  (EXIT
                   (LETT |ans|
                    (SPADCALL |ans|
                     (SPADCALL |bp|
                      (SPADCALL (QREFELT $ 14)
                       (LIST
                        (SPADCALL |expr| (LIST |kd|)
                         (LIST
                          (SPADCALL (QREFELT $ 14)
                           (LIST (|FS-;substArg| |op| |arg| |i| |g| $) |gg|
                            |u|)
                           (QREFELT $ 45)))
                         (QREFELT $ 156))
                        |g| |b|)
                       (QREFELT $ 45))
                      (QREFELT $ 132))
                     (QREFELT $ 133))
                    |FS-;diffdiff0|)))))))))))
         (LETT |i| (PROG1 (+ |i| 1) (LETT #1# (CDR #1#) |FS-;diffdiff0|))
          |FS-;diffdiff0|)
         (GO G190) G191 (EXIT NIL))
        (EXIT |ans|))))))))) 

(DEFUN |FS-;dfeval| (|l| |g| $)
 (PROG (#1=#:G3717)
  (RETURN
   (SPADCALL
    (SPADCALL (|SPADfirst| |l|)
     (PROG2 (LETT #1# (SPADCALL |g| (QREFELT $ 29)) |FS-;dfeval|) (QCDR #1#)
      (|check-union| (QEQCAR #1# 0) (|Symbol|) #1#))
     (QREFELT $ 154))
    |g| (SPADCALL |l| (QREFELT $ 49)) (QREFELT $ 50))))) 

(DEFUN |FS-;diffEval| (|l| $)
 (PROG (|g| |u| |k| #1=#:G3737 |op| |ud| |dumm| |ss| |nl| |n| |d|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |g| (SPADCALL (SPADCALL |l| (QREFELT $ 48)) (QREFELT $ 27))
       |FS-;diffEval|)
      (SEQ
       (LETT |u| (SPADCALL (|SPADfirst| |l|) (QREFELT $ 74)) |FS-;diffEval|)
       (EXIT
        (COND
         ((QEQCAR |u| 1)
          (PROGN (LETT #1# (|FS-;dfeval| |l| |g| $) |FS-;diffEval|) (GO #1#)))
         ((QEQCAR |u| 0)
          (COND
           ((QEQCAR
             (SPADCALL (LETT |k| (QCDR |u|) |FS-;diffEval|) (QREFELT $ 29)) 0)
            (PROGN (LETT #1# (|FS-;dfeval| |l| |g| $) |FS-;diffEval|)
             (GO #1#))))))))
      (LETT |op| (SPADCALL |k| (QREFELT $ 42)) |FS-;diffEval|)
      (LETT |ud| (SPADCALL |op| (QREFELT $ 160)) |FS-;diffEval|)
      (EXIT
       (COND
        ((QEQCAR |ud| 1)
         (SEQ
          (LETT |dumm|
           (SPADCALL (|FS-;symsub| (QREFELT $ 76) 1 $) (QREFELT $ 37))
           |FS-;diffEval|)
          (LETT |ss|
           (SPADCALL (SPADCALL |l| 1 (QREFELT $ 161))
            (SPADCALL (SPADCALL |l| 2 (QREFELT $ 161)) |dumm| (QREFELT $ 163))
            (QREFELT $ 165))
           |FS-;diffEval|)
          (LETT |nl| (LIST |ss| |dumm| (SPADCALL |l| 3 (QREFELT $ 161)))
           |FS-;diffEval|)
          (EXIT (SPADCALL (QREFELT $ 14) |nl| (QREFELT $ 45)))))
        ((<
          (LETT |n|
           (SPADCALL (SPADCALL |l| (QREFELT $ 48))
            (SPADCALL |k| (QREFELT $ 44)) (QREFELT $ 147))
           |FS-;diffEval|)
          (SPADCALL |l| (QREFELT $ 144)))
         (|FS-;dfeval| |l| |g| $))
        ('T
         (SEQ (LETT |d| (QCDR |ud|) |FS-;diffEval|)
          (EXIT
           (SPADCALL
            (SPADCALL (SPADCALL |k| (QREFELT $ 44))
             (SPADCALL |d| |n| (QREFELT $ 125)))
            |g| (SPADCALL |l| (QREFELT $ 49)) (QREFELT $ 50)))))))))
    #1# (EXIT #1#))))) 

(DEFUN |FS-;diffArg| (|l| |op| |i| $)
 (PROG (|n| |z| |g|)
  (RETURN
   (SEQ (LETT |n| (+ (- |i| 1) (SPADCALL |l| (QREFELT $ 144))) |FS-;diffArg|)
    (LETT |z| (SPADCALL |l| (QREFELT $ 151)) |FS-;diffArg|)
    (SPADCALL |z| |n|
     (LETT |g| (SPADCALL (|FS-;symsub| (QREFELT $ 76) |n| $) (QREFELT $ 37))
      |FS-;diffArg|)
     (QREFELT $ 152))
    (EXIT
     (LIST (SPADCALL |op| |z| (QREFELT $ 45)) |g|
      (SPADCALL |l| |n| (QREFELT $ 161)))))))) 

(DEFUN |FS-;opderiv| (|op| |n| $)
 (PROG (|g| #1=#:G3744 |i|)
  (RETURN
   (SEQ
    (COND
     ((EQL |n| 1)
      (SEQ
       (LETT |g| (SPADCALL (|FS-;symsub| (QREFELT $ 76) |n| $) (QREFELT $ 37))
        |FS-;opderiv|)
       (EXIT
        (LIST (CONS #'|FS-;opderiv!0| (VECTOR $ |g| |op| (QREFELT $ 14)))))))
     ('T
      (PROGN (LETT #1# NIL |FS-;opderiv|)
       (SEQ (LETT |i| 1 |FS-;opderiv|) G190
        (COND ((QSGREATERP |i| |n|) (GO G191)))
        (SEQ
         (EXIT
          (LETT #1#
           (CONS (CONS #'|FS-;opderiv!1| (VECTOR $ |i| |op| (QREFELT $ 14)))
            #1#)
           |FS-;opderiv|)))
        (LETT |i| (QSADD1 |i|) |FS-;opderiv|) (GO G190) G191
        (EXIT (NREVERSE0 #1#)))))))))) 

(DEFUN |FS-;opderiv!1| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |FS-;opderiv|)
  (RETURN
   (PROGN
    (SPADCALL (QREFELT $$ 3)
     (|FS-;diffArg| |#1| (QREFELT $$ 2) (QREFELT $$ 1) $) (QREFELT $ 45)))))) 

(DEFUN |FS-;opderiv!0| (|#1| $$)
 (PROG (|g| $) (LETT |g| (QREFELT $$ 1) . #1=(|FS-;opderiv|))
  (LETT $ (QREFELT $$ 0) . #1#)
  (RETURN
   (PROGN
    (SPADCALL (QREFELT $$ 3)
     (LIST (SPADCALL (QREFELT $$ 2) |g| (QREFELT $ 166)) |g|
      (SPADCALL |#1| (QREFELT $ 88)))
     (QREFELT $ 45)))))) 

(DEFUN |FS-;kderiv| (|k| $)
 (PROG (|args| |n| |op| |u| |grad| #1=#:G3755 |g| #2=#:G3756)
  (RETURN
   (SEQ
    (COND
     ((ZEROP
       (LETT |n|
        (LENGTH (LETT |args| (SPADCALL |k| (QREFELT $ 44)) |FS-;kderiv|))
        |FS-;kderiv|))
      NIL)
     ('T
      (SEQ (LETT |op| (SPADCALL |k| (QREFELT $ 42)) |FS-;kderiv|)
       (LETT |grad|
        (SEQ (LETT |u| (SPADCALL |op| (QREFELT $ 160)) |FS-;kderiv|)
         (EXIT
          (COND ((QEQCAR |u| 1) (|FS-;opderiv| |op| |n| $)) ('T (QCDR |u|)))))
        |FS-;kderiv|)
       (COND
        ((NULL (EQL (LENGTH |grad|) |n|))
         (LETT |grad| (|FS-;opderiv| |op| |n| $) |FS-;kderiv|)))
       (EXIT
        (PROGN (LETT #1# NIL |FS-;kderiv|)
         (SEQ (LETT |g| NIL |FS-;kderiv|) (LETT #2# |grad| |FS-;kderiv|) G190
          (COND
           ((OR (ATOM #2#) (PROGN (LETT |g| (CAR #2#) |FS-;kderiv|) NIL))
            (GO G191)))
          (SEQ (EXIT (LETT #1# (CONS (SPADCALL |args| |g|) #1#) |FS-;kderiv|)))
          (LETT #2# (CDR #2#) |FS-;kderiv|) (GO G190) G191
          (EXIT (NREVERSE0 #1#)))))))))))) 

(DEFUN |FS-;kerderiv| (|k| |x| $)
 (PROG
  (|v| |fn| |y| #1=#:G3773 |g| #2=#:G3772 #3=#:G3768 #4=#:G3766 #5=#:G3767)
  (RETURN
   (SEQ (LETT |v| (SPADCALL |k| (QREFELT $ 29)) |FS-;kerderiv|)
    (EXIT
     (COND
      ((QEQCAR |v| 0)
       (COND ((EQUAL (QCDR |v|) |x|) (|spadConstant| $ 142))
        ('T (|spadConstant| $ 122))))
      ('T
       (SEQ
        (LETT |fn|
         (SPADCALL (SPADCALL |k| (QREFELT $ 42)) "%specialDiff"
          (QREFELT $ 168))
         |FS-;kerderiv|)
        (EXIT
         (COND
          ((QEQCAR |fn| 0)
           (SPADCALL (SPADCALL |k| (QREFELT $ 44)) |x| (QCDR |fn|)))
          ('T
           (PROGN (LETT #5# NIL |FS-;kerderiv|)
            (SEQ (LETT |y| NIL |FS-;kerderiv|)
             (LETT #1# (SPADCALL |k| (QREFELT $ 44)) |FS-;kerderiv|)
             (LETT |g| NIL |FS-;kerderiv|)
             (LETT #2# (|FS-;kderiv| |k| $) |FS-;kerderiv|) G190
             (COND
              ((OR (ATOM #2#) (PROGN (LETT |g| (CAR #2#) |FS-;kerderiv|) NIL)
                (ATOM #1#) (PROGN (LETT |y| (CAR #1#) |FS-;kerderiv|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (PROGN
                (LETT #3#
                 (SPADCALL |g| (SPADCALL |y| |x| (QREFELT $ 154))
                  (QREFELT $ 132))
                 |FS-;kerderiv|)
                (COND
                 (#5#
                  (LETT #4# (SPADCALL #4# #3# (QREFELT $ 133)) |FS-;kerderiv|))
                 ('T
                  (PROGN (LETT #4# #3# |FS-;kerderiv|)
                   (LETT #5# 'T |FS-;kerderiv|)))))))
             (LETT #2# (PROG1 (CDR #2#) (LETT #1# (CDR #1#) |FS-;kerderiv|))
              |FS-;kerderiv|)
             (GO G190) G191 (EXIT NIL))
            (COND (#5# #4#) ('T (|spadConstant| $ 122))))))))))))))) 

(DEFUN |FS-;smpderiv| (|p| |x| $)
 (PROG (|k| #1=#:G3779 #2=#:G3777 #3=#:G3775 #4=#:G3776)
  (RETURN
   (SEQ
    (SPADCALL
     (SPADCALL
      (SPADCALL (CONS #'|FS-;smpderiv!0| (VECTOR |x| $)) |p| (QREFELT $ 174))
      (QREFELT $ 83))
     (PROGN (LETT #4# NIL |FS-;smpderiv|)
      (SEQ (LETT |k| NIL |FS-;smpderiv|)
       (LETT #1# (SPADCALL |p| (QREFELT $ 176)) |FS-;smpderiv|) G190
       (COND
        ((OR (ATOM #1#) (PROGN (LETT |k| (CAR #1#) |FS-;smpderiv|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (PROGN
          (LETT #2#
           (SPADCALL
            (SPADCALL (SPADCALL |p| |k| (QREFELT $ 177)) (QREFELT $ 83))
            (|FS-;kerderiv| |k| |x| $) (QREFELT $ 132))
           |FS-;smpderiv|)
          (COND
           (#4# (LETT #3# (SPADCALL #3# #2# (QREFELT $ 133)) |FS-;smpderiv|))
           ('T
            (PROGN (LETT #3# #2# |FS-;smpderiv|)
             (LETT #4# 'T |FS-;smpderiv|)))))))
       (LETT #1# (CDR #1#) |FS-;smpderiv|) (GO G190) G191 (EXIT NIL))
      (COND (#4# #3#) ('T (|spadConstant| $ 122))))
     (QREFELT $ 133)))))) 

(DEFUN |FS-;smpderiv!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 1) |FS-;smpderiv|)
  (RETURN
   (PROGN
    (SPADCALL
     (SPADCALL (SPADCALL |#1| (QREFELT $ 170)) (QREFELT $$ 0) (QREFELT $ 171))
     (QREFELT $ 172)))))) 

(DEFUN |FS-;coerce;PS;43| (|p| $)
 (SPADCALL (CONS #'|FS-;coerce;PS;43!0| $) (CONS #'|FS-;coerce;PS;43!1| $) |p|
  (QREFELT $ 182))) 

(DEFUN |FS-;coerce;PS;43!1| (|#1| $) (SPADCALL |#1| (QREFELT $ 178))) 

(DEFUN |FS-;coerce;PS;43!0| (|#1| $) (SPADCALL |#1| (QREFELT $ 37))) 

(DEFUN |FS-;worse?| (|k1| |k2| $)
 (PROG (|u|)
  (RETURN
   (SEQ
    (LETT |u|
     (SPADCALL (SPADCALL (SPADCALL |k1| (QREFELT $ 42)) (QREFELT $ 117))
      (SPADCALL (SPADCALL |k2| (QREFELT $ 42)) (QREFELT $ 117))
      (QREFELT $ 186))
     |FS-;worse?|)
    (EXIT
     (COND ((QEQCAR |u| 1) (SPADCALL |k1| |k2| (QREFELT $ 187)))
      ('T (QCDR |u|)))))))) 

(DEFUN |FS-;bestKernel| (|l| $)
 (PROG (|a|)
  (RETURN
   (SEQ
    (COND ((NULL (CDR |l|)) (|SPADfirst| |l|))
     ('T
      (SEQ (LETT |a| (|FS-;bestKernel| (CDR |l|) $) |FS-;bestKernel|)
       (EXIT
        (COND ((|FS-;worse?| (|SPADfirst| |l|) |a| $) |a|)
         ('T (|SPADfirst| |l|))))))))))) 

(DEFUN |FS-;smp2O| (|p| $)
 (PROG (|r| #1=#:G3798 |a|)
  (RETURN
   (SEQ (LETT |r| (SPADCALL |p| (QREFELT $ 188)) |FS-;smp2O|)
    (EXIT
     (COND ((QEQCAR |r| 0) (SPADCALL (QCDR |r|) (QREFELT $ 189)))
      ('T
       (SEQ
        (LETT |a|
         (COND
          ((SPADCALL (QREFELT $ 190))
           (|FS-;bestKernel| (SPADCALL |p| (QREFELT $ 176)) $))
          ('T
           (PROG2 (LETT #1# (SPADCALL |p| (QREFELT $ 109)) |FS-;smp2O|)
            (QCDR #1#)
            (|check-union| (QEQCAR #1# 0) (|Kernel| (QREFELT $ 6)) #1#))))
         |FS-;smp2O|)
        (EXIT
         (SPADCALL
          (SPADCALL (CONS #'|FS-;smp2O!0| $) (SPADCALL |p| |a| (QREFELT $ 111))
           (QREFELT $ 116))
          (SPADCALL |a| (QREFELT $ 191)) (QREFELT $ 192))))))))))) 

(DEFUN |FS-;smp2O!0| (|#1| $) (SPADCALL |#1| (QREFELT $ 83))) 

(DEFUN |FS-;smpsubst| (|p| |lk| |lv| $)
 (PROG NIL
  (RETURN
   (SPADCALL (CONS #'|FS-;smpsubst!2| (VECTOR $ |lv| |lk|))
    (CONS #'|FS-;smpsubst!3| $) |p| (QREFELT $ 197))))) 

(DEFUN |FS-;smpsubst!3| (|#1| $) (SPADCALL |#1| (QREFELT $ 178))) 

(DEFUN |FS-;smpsubst!2| (|#1| $$)
 (PROG (|lk| |lv| $) (LETT |lk| (QREFELT $$ 2) . #1=(|FS-;smpsubst|))
  (LETT |lv| (QREFELT $$ 1) . #1#) (LETT $ (QREFELT $$ 0) . #1#)
  (RETURN
   (PROGN
    (PROG NIL
     (RETURN
      (SPADCALL |lk| |lv| |#1|
       (|FS-;notfound| (CONS #'|FS-;smpsubst!1| (VECTOR |lk| |lv| $)) |lk| |#1|
        $)
       (QREFELT $ 194)))))))) 

(DEFUN |FS-;smpsubst!1| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 2) NIL)
  (RETURN
   (PROGN
    (|FS-;subs|
     (CONS #'|FS-;smpsubst!0| (VECTOR $ (QREFELT $$ 1) (QREFELT $$ 0))) |#1|
     $))))) 

(DEFUN |FS-;smpsubst!0| (|#1| $$)
 (SPADCALL |#1| (QREFELT $$ 2) (QREFELT $$ 1) (QREFELT (QREFELT $$ 0) 156))) 

(DEFUN |FS-;smpeval| (|p| |lk| |lv| $)
 (PROG NIL
  (RETURN
   (SPADCALL (CONS #'|FS-;smpeval!2| (VECTOR $ |lv| |lk|))
    (CONS #'|FS-;smpeval!3| $) |p| (QREFELT $ 197))))) 

(DEFUN |FS-;smpeval!3| (|#1| $) (SPADCALL |#1| (QREFELT $ 178))) 

(DEFUN |FS-;smpeval!2| (|#1| $$)
 (PROG (|lk| |lv| $) (LETT |lk| (QREFELT $$ 2) . #1=(|FS-;smpeval|))
  (LETT |lv| (QREFELT $$ 1) . #1#) (LETT $ (QREFELT $$ 0) . #1#)
  (RETURN
   (PROGN
    (PROG NIL
     (RETURN
      (SPADCALL |lk| |lv| |#1|
       (|FS-;notfound| (CONS #'|FS-;smpeval!1| (VECTOR |lk| |lv| $)) |lk| |#1|
        $)
       (QREFELT $ 194)))))))) 

(DEFUN |FS-;smpeval!1| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 2) NIL)
  (RETURN
   (PROGN
    (SPADCALL (CONS #'|FS-;smpeval!0| (VECTOR $ (QREFELT $$ 1) (QREFELT $$ 0)))
     |#1| (QREFELT $ 199)))))) 

(DEFUN |FS-;smpeval!0| (|#1| $$)
 (SPADCALL |#1| (QREFELT $$ 2) (QREFELT $$ 1) (QREFELT (QREFELT $$ 0) 198))) 

(DEFUN |FS-;notfound| (|fn| |lk| |k| $)
 (PROG (|f|)
  (RETURN
   (COND
    ((NULL
      (SPADCALL
       (SPADCALL (LETT |f| (SPADCALL |k| (QREFELT $ 25)) |FS-;notfound|)
        (QREFELT $ 71))
       |lk| (QREFELT $ 200)))
     |f|)
    ('T (SPADCALL |k| |fn|)))))) 

(DEFUN |FS-;pushunq| (|l| |arg| $)
 (PROG (#1=#:G3812 #2=#:G3813 #3=#:G3814 |a| #4=#:G3815)
  (RETURN
   (SEQ
    (COND
     ((NULL |l|)
      (PROGN (LETT #1# NIL |FS-;pushunq|)
       (SEQ (LETT |a| NIL |FS-;pushunq|) (LETT #2# |arg| |FS-;pushunq|) G190
        (COND
         ((OR (ATOM #2#) (PROGN (LETT |a| (CAR #2#) |FS-;pushunq|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT #1# (CONS (SPADCALL |a| (QREFELT $ 201)) #1#) |FS-;pushunq|)))
        (LETT #2# (CDR #2#) |FS-;pushunq|) (GO G190) G191
        (EXIT (NREVERSE0 #1#)))))
     ('T
      (PROGN (LETT #3# NIL |FS-;pushunq|)
       (SEQ (LETT |a| NIL |FS-;pushunq|) (LETT #4# |arg| |FS-;pushunq|) G190
        (COND
         ((OR (ATOM #4#) (PROGN (LETT |a| (CAR #4#) |FS-;pushunq|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT #3# (CONS (SPADCALL |a| |l| (QREFELT $ 56)) #3#)
           |FS-;pushunq|)))
        (LETT #4# (CDR #4#) |FS-;pushunq|) (GO G190) G191
        (EXIT (NREVERSE0 #3#)))))))))) 

(DEFUN |FS-;kunq| (|k| |l| |givenlist?| $)
 (PROG (|s| #1=#:G3854 |a| #2=#:G3855)
  (RETURN
   (SEQ
    (COND
     (|givenlist?| (COND ((NULL |l|) (EXIT (SPADCALL |k| (QREFELT $ 25)))))))
    (COND
     ((SPADCALL |k| (QREFELT $ 15) (QREFELT $ 137))
      (COND
       ((OR
         (SPADCALL
          (LETT |s|
           (SPADCALL (|SPADfirst| (SPADCALL |k| (QREFELT $ 44)))
            (QREFELT $ 202))
           |FS-;kunq|)
          |l| (QREFELT $ 203))
         (NULL |l|))
        (EXIT
         (SPADCALL
          (SPADCALL
           (CONS (SPADCALL |s| (QREFELT $ 52))
            (PROGN (LETT #1# NIL |FS-;kunq|)
             (SEQ (LETT |a| NIL |FS-;kunq|)
              (LETT #2#
               (|FS-;pushunq| |l| (CDR (SPADCALL |k| (QREFELT $ 44))) $)
               |FS-;kunq|)
              G190
              (COND
               ((OR (ATOM #2#) (PROGN (LETT |a| (CAR #2#) |FS-;kunq|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT #1# (CONS (SPADCALL |a| (QREFELT $ 54)) #1#)
                 |FS-;kunq|)))
              (LETT #2# (CDR #2#) |FS-;kunq|) (GO G190) G191
              (EXIT (NREVERSE0 #1#)))))
           (QREFELT $ 53))
          (QREFELT $ 205)))))))
    (EXIT
     (SPADCALL (SPADCALL |k| (QREFELT $ 42))
      (|FS-;pushunq| |l| (SPADCALL |k| (QREFELT $ 44)) $) (QREFELT $ 38))))))) 

(DEFUN |FS-;smpunq| (|p| |l| |givenlist?| $)
 (SEQ
  (COND
   (|givenlist?| (COND ((NULL |l|) (EXIT (SPADCALL |p| (QREFELT $ 83)))))))
  (EXIT
   (SPADCALL (CONS #'|FS-;smpunq!0| (VECTOR $ |givenlist?| |l|))
    (CONS #'|FS-;smpunq!1| $) |p| (QREFELT $ 197))))) 

(DEFUN |FS-;smpunq!1| (|#1| $) (SPADCALL |#1| (QREFELT $ 178))) 

(DEFUN |FS-;smpunq!0| (|#1| $$)
 (|FS-;kunq| |#1| (QREFELT $$ 2) (QREFELT $$ 1) (QREFELT $$ 0))) 

(DEFUN |FS-;smpret| (|p| $)
 (PROG (|k| #1=#:G3872 #2=#:G3864 #3=#:G3862 #4=#:G3863)
  (RETURN
   (SEQ
    (COND
     ((PROGN (LETT #4# NIL |FS-;smpret|)
       (SEQ (LETT |k| NIL |FS-;smpret|)
        (LETT #1# (SPADCALL |p| (QREFELT $ 176)) |FS-;smpret|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |k| (CAR #1#) |FS-;smpret|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (QEQCAR (SPADCALL |k| (QREFELT $ 29)) 1) |FS-;smpret|)
           (COND (#4# (LETT #3# (COND (#3# 'T) ('T #2#)) |FS-;smpret|))
            ('T
             (PROGN (LETT #3# #2# |FS-;smpret|)
              (LETT #4# 'T |FS-;smpret|)))))))
        (LETT #1# (CDR #1#) |FS-;smpret|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T 'NIL)))
      (CONS 1 "failed"))
     ('T
      (CONS 0
       (SPADCALL (CONS #'|FS-;smpret!0| $) (CONS #'|FS-;smpret!1| $) |p|
        (QREFELT $ 210))))))))) 

(DEFUN |FS-;smpret!1| (|#1| $) (SPADCALL |#1| (QREFELT $ 170))) 

(DEFUN |FS-;smpret!0| (|#1| $)
 (PROG (#1=#:G3866)
  (RETURN
   (SPADCALL
    (PROG2 (LETT #1# (SPADCALL |#1| (QREFELT $ 29)) NIL) (QCDR #1#)
     (|check-union| (QEQCAR #1# 0) (|Symbol|) #1#))
    (QREFELT $ 206))))) 

(DEFUN |FS-;isExpt;SBoU;54| (|x| |op| $)
 (PROG (|u|)
  (RETURN
   (SEQ (LETT |u| (SPADCALL |x| (QREFELT $ 213)) |FS-;isExpt;SBoU;54|)
    (EXIT
     (COND
      ((OR (QEQCAR |u| 1)
        (NULL (SPADCALL (QCAR (QCDR |u|)) |op| (QREFELT $ 137))))
       (CONS 1 "failed"))
      ('T |u|))))))) 

(DEFUN |FS-;isExpt;SSU;55| (|x| |sy| $)
 (PROG (|u|)
  (RETURN
   (SEQ (LETT |u| (SPADCALL |x| (QREFELT $ 213)) |FS-;isExpt;SSU;55|)
    (EXIT
     (COND
      ((OR (QEQCAR |u| 1)
        (NULL (SPADCALL (QCAR (QCDR |u|)) |sy| (QREFELT $ 215))))
       (CONS 1 "failed"))
      ('T |u|))))))) 

(DEFUN |FS-;smpIsMult| (|p| $)
 (PROG (|u| |q| |r| |n| #1=#:G3912)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |u| (SPADCALL |p| (QREFELT $ 109)) |FS-;smpIsMult|)
       (EXIT
        (COND
         ((QEQCAR |u| 0)
          (COND
           ((EQL
             (SPADCALL
              (LETT |q| (SPADCALL |p| (QCDR |u|) (QREFELT $ 111))
               |FS-;smpIsMult|)
              (QREFELT $ 217))
             1)
            (COND
             ((SPADCALL
               (SPADCALL (SPADCALL |q| (QREFELT $ 218)) (QREFELT $ 219))
               (QREFELT $ 220))
              (SEQ
               (LETT |r|
                (SPADCALL (SPADCALL |q| (QREFELT $ 219)) (QREFELT $ 188))
                |FS-;smpIsMult|)
               (EXIT
                (COND
                 ((QEQCAR |r| 0)
                  (SEQ
                   (LETT |n| (SPADCALL (QCDR |r|) (QREFELT $ 222))
                    |FS-;smpIsMult|)
                   (EXIT
                    (COND
                     ((QEQCAR |n| 0)
                      (PROGN
                       (LETT #1# (CONS 0 (CONS (QCDR |n|) (QCDR |u|)))
                        |FS-;smpIsMult|)
                       (GO #1#))))))))))))))))))
      (EXIT (CONS 1 "failed"))))
    #1# (EXIT #1#))))) 

(PUT '|FS-;debugA| '|SPADreplace| '(XLAM (|a1| |a2| |t|) |t|)) 

(DEFUN |FS-;debugA| (|a1| |a2| |t| $) |t|) 

(DEFUN |FS-;equaldiff| (|k1| |k2| $)
 (PROG (|a1| |a2| |res|)
  (RETURN
   (SEQ (LETT |a1| (SPADCALL |k1| (QREFELT $ 44)) |FS-;equaldiff|)
    (LETT |a2| (SPADCALL |k2| (QREFELT $ 44)) |FS-;equaldiff|)
    (LETT |res|
     (SPADCALL (SPADCALL |k1| (QREFELT $ 42)) (SPADCALL |k2| (QREFELT $ 42))
      (QREFELT $ 40))
     |FS-;equaldiff|)
    (EXIT
     (COND
      (|res|
       (SEQ
        (LETT |res|
         (SPADCALL (SPADCALL |a1| 3 (QREFELT $ 161))
          (SPADCALL |a2| 3 (QREFELT $ 161)) (QREFELT $ 155))
         |FS-;equaldiff|)
        (EXIT
         (COND
          (|res|
           (SEQ
            (LETT |res|
             (COND
              ((SPADCALL (SPADCALL |a1| 1 (QREFELT $ 161))
                (SPADCALL |a2| 1 (QREFELT $ 161)) (QREFELT $ 155))
               (SPADCALL (SPADCALL |a1| 2 (QREFELT $ 161))
                (SPADCALL |a2| 2 (QREFELT $ 161)) (QREFELT $ 155)))
              ('T 'NIL))
             |FS-;equaldiff|)
            (EXIT
             (COND (|res| (|FS-;debugA| |a1| |a2| |res| $))
              ((SPADCALL
                (SPADCALL (SPADCALL |a1| 1 (QREFELT $ 161))
                 (LIST
                  (SPADCALL (SPADCALL |a1| 2 (QREFELT $ 161)) (QREFELT $ 27)))
                 (LIST (SPADCALL |a2| 2 (QREFELT $ 161))) (QREFELT $ 156))
                (SPADCALL |a2| 1 (QREFELT $ 161)) (QREFELT $ 155))
               (|FS-;debugA| |a1| |a2| 'T $))
              ('T (|FS-;debugA| |a1| |a2| 'NIL $))))))
          ('T (|FS-;debugA| |a1| |a2| |res| $))))))
      ('T (|FS-;debugA| |a1| |a2| |res| $)))))))) 

(DEFUN |FS-;mainKernel;SU;59| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 109))) 

(DEFUN |FS-;kernels;SL;60| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 176))) 

(DEFUN |FS-;retract;SR;61| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 226))) 

(DEFUN |FS-;retract;SP;62| (|x| $)
 (PROG (#1=#:G3928)
  (RETURN
   (PROG2
    (LETT #1# (|FS-;smpret| (SPADCALL |x| (QREFELT $ 86)) $)
     |FS-;retract;SP;62|)
    (QCDR #1#)
    (|check-union| (QEQCAR #1# 0) (|Polynomial| (QREFELT $ 7)) #1#))))) 

(DEFUN |FS-;retractIfCan;SU;63| (|x| $)
 (CONS 0 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 226)))) 

(DEFUN |FS-;retractIfCan;SU;64| (|x| $)
 (|FS-;smpret| (SPADCALL |x| (QREFELT $ 86)) $)) 

(DEFUN |FS-;eval;SLLS;65| (|x| |lk| |lv| $)
 (|FS-;smpeval| (SPADCALL |x| (QREFELT $ 86)) |lk| |lv| $)) 

(DEFUN |FS-;subst;SLLS;66| (|x| |lk| |lv| $)
 (|FS-;smpsubst| (SPADCALL |x| (QREFELT $ 86)) |lk| |lv| $)) 

(DEFUN |FS-;differentiate;SSS;67| (|x| |s| $)
 (|FS-;smpderiv| (SPADCALL |x| (QREFELT $ 86)) |s| $)) 

(DEFUN |FS-;coerce;SOf;68| (|x| $)
 (|FS-;smp2O| (SPADCALL |x| (QREFELT $ 86)) $)) 

(DEFUN |FS-;eval;SLS;69| (|f| |l| $)
 (|FS-;smpunq| (SPADCALL |f| (QREFELT $ 86)) |l| 'T $)) 

(DEFUN |FS-;eval;2S;70| (|f| $)
 (|FS-;smpunq| (SPADCALL |f| (QREFELT $ 86)) NIL 'NIL $)) 

(DEFUN |FS-;eval;SLLLS;71| (|x| |s| |n| |f| $)
 (|FS-;smprep| |s| |n| |f| (SPADCALL |x| (QREFELT $ 86)) $)) 

(DEFUN |FS-;isPlus;SU;72| (|x| $)
 (PROG (|u| #1=#:G3961 |p| #2=#:G3962)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 240))
     |FS-;isPlus;SU;72|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed"))
      ('T
       (CONS 0
        (PROGN (LETT #1# NIL |FS-;isPlus;SU;72|)
         (SEQ (LETT |p| NIL |FS-;isPlus;SU;72|)
          (LETT #2# (QCDR |u|) |FS-;isPlus;SU;72|) G190
          (COND
           ((OR (ATOM #2#) (PROGN (LETT |p| (CAR #2#) |FS-;isPlus;SU;72|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |p| (QREFELT $ 83)) #1#)
             |FS-;isPlus;SU;72|)))
          (LETT #2# (CDR #2#) |FS-;isPlus;SU;72|) (GO G190) G191
          (EXIT (NREVERSE0 #1#)))))))))))) 

(DEFUN |FS-;isTimes;SU;73| (|x| $)
 (PROG (|u| #1=#:G3972 |p| #2=#:G3973)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 242))
     |FS-;isTimes;SU;73|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed"))
      ('T
       (CONS 0
        (PROGN (LETT #1# NIL |FS-;isTimes;SU;73|)
         (SEQ (LETT |p| NIL |FS-;isTimes;SU;73|)
          (LETT #2# (QCDR |u|) |FS-;isTimes;SU;73|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |p| (CAR #2#) |FS-;isTimes;SU;73|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |p| (QREFELT $ 83)) #1#)
             |FS-;isTimes;SU;73|)))
          (LETT #2# (CDR #2#) |FS-;isTimes;SU;73|) (GO G190) G191
          (EXIT (NREVERSE0 #1#)))))))))))) 

(DEFUN |FS-;isExpt;SU;74| (|x| $)
 (PROG (|u| |r|)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 246))
     |FS-;isExpt;SU;74|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed"))
      ('T
       (SEQ (LETT |r| (QCDR |u|) |FS-;isExpt;SU;74|)
        (EXIT (CONS 0 (CONS (QCAR |r|) (QCDR |r|)))))))))))) 

(DEFUN |FS-;isPower;SU;75| (|x| $)
 (PROG (|u| |r|)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 246))
     |FS-;isPower;SU;75|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed"))
      ('T
       (SEQ (LETT |r| (QCDR |u|) |FS-;isPower;SU;75|)
        (EXIT
         (CONS 0
          (CONS (SPADCALL (QCAR |r|) (QREFELT $ 25)) (QCDR |r|)))))))))))) 

(DEFUN |FS-;convert;SP;76| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 252))) 

(DEFUN |FS-;convert;SP;77| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 255))) 

(DEFUN |FS-;isMult;SU;78| (|x| $)
 (|FS-;smpIsMult| (SPADCALL |x| (QREFELT $ 86)) $)) 

(DEFUN |FS-;*;R2S;79| (|r| |x| $)
 (SPADCALL (SPADCALL (SPADCALL |r| (QREFELT $ 260)) (QREFELT $ 83)) |x|
  (QREFELT $ 132))) 

(DEFUN |FS-;mainKernel;SU;80| (|x| $) (SPADCALL |x| (QREFELT $ 263))) 

(DEFUN |FS-;kernels;SL;81| (|x| $) (SPADCALL |x| (QREFELT $ 264))) 

(DEFUN |FS-;univariate;SKF;82| (|x| |k| $) (SPADCALL |x| |k| (QREFELT $ 266))) 

(DEFUN |FS-;isPlus;SU;83| (|x| $) (SPADCALL |x| (QREFELT $ 270))) 

(DEFUN |FS-;isTimes;SU;84| (|x| $) (SPADCALL |x| (QREFELT $ 271))) 

(DEFUN |FS-;isExpt;SU;85| (|x| $) (SPADCALL |x| (QREFELT $ 274))) 

(DEFUN |FS-;isPower;SU;86| (|x| $) (SPADCALL |x| (QREFELT $ 277))) 

(DEFUN |FS-;denominator;2S;87| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 278)) (QREFELT $ 83))) 

(DEFUN |FS-;coerce;FS;88| (|q| $)
 (SPADCALL (SPADCALL (SPADCALL |q| (QREFELT $ 281)) (QREFELT $ 260))
  (SPADCALL (SPADCALL |q| (QREFELT $ 282)) (QREFELT $ 260)) (QREFELT $ 283))) 

(DEFUN |FS-;coerce;FS;89| (|q| $)
 (SPADCALL (SPADCALL (SPADCALL |q| (QREFELT $ 286)) (QREFELT $ 287))
  (SPADCALL (SPADCALL |q| (QREFELT $ 288)) (QREFELT $ 287)) (QREFELT $ 289))) 

(DEFUN |FS-;coerce;FS;90| (|q| $)
 (SPADCALL (SPADCALL (SPADCALL |q| (QREFELT $ 293)) (QREFELT $ 294))
  (SPADCALL (SPADCALL |q| (QREFELT $ 295)) (QREFELT $ 294)) (QREFELT $ 289))) 

(DEFUN |FS-;retract;SP;91| (|x| $)
 (SPADCALL (SPADCALL |x| (QREFELT $ 297)) (QREFELT $ 298))) 

(DEFUN |FS-;retract;SF;92| (|x| $)
 (PROG (#1=#:G4057)
  (RETURN
   (SPADCALL
    (PROG2
     (LETT #1# (|FS-;smpret| (SPADCALL |x| (QREFELT $ 86)) $)
      |FS-;retract;SF;92|)
     (QCDR #1#)
     (|check-union| (QEQCAR #1# 0) (|Polynomial| (QREFELT $ 7)) #1#))
    (PROG2
     (LETT #1# (|FS-;smpret| (SPADCALL |x| (QREFELT $ 278)) $)
      |FS-;retract;SF;92|)
     (QCDR #1#)
     (|check-union| (QEQCAR #1# 0) (|Polynomial| (QREFELT $ 7)) #1#))
    (QREFELT $ 299))))) 

(DEFUN |FS-;retract;SR;93| (|x| $)
 (PROG (#1=#:G4064)
  (RETURN
   (PROG2
    (LETT #1#
     (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 226))
      (SPADCALL (SPADCALL |x| (QREFELT $ 278)) (QREFELT $ 226))
      (QREFELT $ 302))
     |FS-;retract;SR;93|)
    (QCDR #1#) (|check-union| (QEQCAR #1# 0) (QREFELT $ 7) #1#))))) 

(DEFUN |FS-;coerce;SOf;94| (|x| $)
 (COND
  ((SPADCALL (SPADCALL |x| (QREFELT $ 278)) (|spadConstant| $ 303)
    (QREFELT $ 304))
   (|FS-;smp2O| (SPADCALL |x| (QREFELT $ 86)) $))
  ('T
   (SPADCALL (|FS-;smp2O| (SPADCALL |x| (QREFELT $ 86)) $)
    (|FS-;smp2O| (SPADCALL |x| (QREFELT $ 278)) $) (QREFELT $ 305))))) 

(DEFUN |FS-;retractIfCan;SU;95| (|x| $)
 (PROG (|n| |d| |r| #1=#:G4075)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (LETT |n| (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 188))
        |FS-;retractIfCan;SU;95|)
       (EXIT
        (COND
         ((QEQCAR |n| 1)
          (PROGN (LETT #1# (CONS 1 #2="failed") |FS-;retractIfCan;SU;95|)
           (GO #1#)))
         ('T
          (SEQ
           (LETT |d| (SPADCALL (SPADCALL |x| (QREFELT $ 278)) (QREFELT $ 188))
            |FS-;retractIfCan;SU;95|)
           (EXIT
            (COND
             ((QEQCAR |d| 1)
              (PROGN (LETT #1# (CONS 1 #2#) |FS-;retractIfCan;SU;95|)
               (GO #1#)))
             ('T
              (SEQ
               (LETT |r| (SPADCALL (QCDR |n|) (QCDR |d|) (QREFELT $ 302))
                |FS-;retractIfCan;SU;95|)
               (EXIT
                (COND
                 ((QEQCAR |r| 1)
                  (PROGN (LETT #1# (CONS 1 #2#) |FS-;retractIfCan;SU;95|)
                   (GO #1#))))))))))))))
      (EXIT (CONS 0 (QCDR |r|)))))
    #1# (EXIT #1#))))) 

(DEFUN |FS-;eval;SLS;96| (|f| |l| $)
 (SPADCALL (|FS-;smpunq| (SPADCALL |f| (QREFELT $ 86)) |l| 'T $)
  (|FS-;smpunq| (SPADCALL |f| (QREFELT $ 278)) |l| 'T $) (QREFELT $ 289))) 

(DEFUN |FS-;eval;2S;97| (|f| $)
 (SPADCALL (|FS-;smpunq| (SPADCALL |f| (QREFELT $ 86)) NIL 'NIL $)
  (|FS-;smpunq| (SPADCALL |f| (QREFELT $ 278)) NIL 'NIL $) (QREFELT $ 289))) 

(DEFUN |FS-;eval;SLLLS;98| (|x| |s| |n| |f| $)
 (SPADCALL (|FS-;smprep| |s| |n| |f| (SPADCALL |x| (QREFELT $ 86)) $)
  (|FS-;smprep| |s| |n| |f| (SPADCALL |x| (QREFELT $ 278)) $) (QREFELT $ 289))) 

(DEFUN |FS-;differentiate;SSS;99| (|f| |x| $)
 (SPADCALL
  (SPADCALL
   (SPADCALL (|FS-;smpderiv| (SPADCALL |f| (QREFELT $ 86)) |x| $)
    (SPADCALL (SPADCALL |f| (QREFELT $ 278)) (QREFELT $ 83)) (QREFELT $ 132))
   (SPADCALL (SPADCALL (SPADCALL |f| (QREFELT $ 86)) (QREFELT $ 83))
    (|FS-;smpderiv| (SPADCALL |f| (QREFELT $ 278)) |x| $) (QREFELT $ 132))
   (QREFELT $ 306))
  (SPADCALL (SPADCALL (SPADCALL |f| (QREFELT $ 278)) (QREFELT $ 83)) 2
   (QREFELT $ 307))
  (QREFELT $ 289))) 

(DEFUN |FS-;eval;SLLS;100| (|x| |lk| |lv| $)
 (SPADCALL (|FS-;smpeval| (SPADCALL |x| (QREFELT $ 86)) |lk| |lv| $)
  (|FS-;smpeval| (SPADCALL |x| (QREFELT $ 278)) |lk| |lv| $) (QREFELT $ 289))) 

(DEFUN |FS-;subst;SLLS;101| (|x| |lk| |lv| $)
 (SPADCALL (|FS-;smpsubst| (SPADCALL |x| (QREFELT $ 86)) |lk| |lv| $)
  (|FS-;smpsubst| (SPADCALL |x| (QREFELT $ 278)) |lk| |lv| $) (QREFELT $ 289))) 

(DEFUN |FS-;par| (|x| $)
 (PROG (|r|)
  (RETURN
   (SEQ (LETT |r| (SPADCALL |x| (QREFELT $ 17)) |FS-;par|)
    (EXIT (COND ((QEQCAR |r| 0) |x|) ('T (SPADCALL |x| (QREFELT $ 308))))))))) 

(DEFUN |FS-;convert;FS;103| (|x| $)
 (PROG (|f| #1=#:G4104 #2=#:G4102 #3=#:G4100 #4=#:G4101)
  (RETURN
   (SEQ
    (SPADCALL (|FS-;par| (SPADCALL |x| (QREFELT $ 310)) $)
     (PROGN (LETT #4# NIL |FS-;convert;FS;103|)
      (SEQ (LETT |f| NIL |FS-;convert;FS;103|)
       (LETT #1# (SPADCALL |x| (QREFELT $ 313)) |FS-;convert;FS;103|) G190
       (COND
        ((OR (ATOM #1#) (PROGN (LETT |f| (CAR #1#) |FS-;convert;FS;103|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (PROGN
          (LETT #2#
           (SPADCALL (|FS-;par| (QCAR |f|) $) (QCDR |f|) (QREFELT $ 307))
           |FS-;convert;FS;103|)
          (COND
           (#4#
            (LETT #3# (SPADCALL #3# #2# (QREFELT $ 132)) |FS-;convert;FS;103|))
           ('T
            (PROGN (LETT #3# #2# |FS-;convert;FS;103|)
             (LETT #4# 'T |FS-;convert;FS;103|)))))))
       (LETT #1# (CDR #1#) |FS-;convert;FS;103|) (GO G190) G191 (EXIT NIL))
      (COND (#4# #3#) ('T (|spadConstant| $ 142))))
     (QREFELT $ 132)))))) 

(DEFUN |FS-;retractIfCan;SU;104| (|x| $)
 (PROG (|u|)
  (RETURN
   (SEQ (LETT |u| (SPADCALL |x| (QREFELT $ 317)) |FS-;retractIfCan;SU;104|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed"))
      ('T (SPADCALL (QCDR |u|) (QREFELT $ 318))))))))) 

(DEFUN |FS-;retractIfCan;SU;105| (|x| $)
 (PROG (|n| |d|)
  (RETURN
   (SEQ
    (LETT |n| (|FS-;smpret| (SPADCALL |x| (QREFELT $ 86)) $)
     |FS-;retractIfCan;SU;105|)
    (EXIT
     (COND ((QEQCAR |n| 1) (CONS 1 "failed"))
      ('T
       (SEQ
        (LETT |d| (|FS-;smpret| (SPADCALL |x| (QREFELT $ 278)) $)
         |FS-;retractIfCan;SU;105|)
        (EXIT
         (COND ((QEQCAR |d| 1) (CONS 1 "failed"))
          ('T
           (CONS 0 (SPADCALL (QCDR |n|) (QCDR |d|) (QREFELT $ 299)))))))))))))) 

(DEFUN |FS-;coerce;PS;106| (|p| $)
 (SPADCALL (CONS #'|FS-;coerce;PS;106!0| $) (CONS #'|FS-;coerce;PS;106!1| $)
  |p| (QREFELT $ 323))) 

(DEFUN |FS-;coerce;PS;106!1| (|#1| $) (SPADCALL |#1| (QREFELT $ 320))) 

(DEFUN |FS-;coerce;PS;106!0| (|#1| $) (SPADCALL |#1| (QREFELT $ 37))) 

(DEFUN |FS-;coerce;FS;107| (|x| $)
 (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 326)) (QREFELT $ 327))
  (SPADCALL (SPADCALL |x| (QREFELT $ 328)) (QREFELT $ 327)) (QREFELT $ 283))) 

(DEFUN |FS-;isMult;SU;108| (|x| $)
 (PROG (|u| |v| |w| #1=#:G4141 |r| |q|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (LETT |u| (|FS-;smpIsMult| (SPADCALL |x| (QREFELT $ 86)) $)
        |FS-;isMult;SU;108|)
       (EXIT
        (COND
         ((QEQCAR |u| 1)
          (PROGN (LETT #1# (CONS 1 #2="failed") |FS-;isMult;SU;108|) (GO #1#)))
         ('T
          (SEQ
           (LETT |v| (SPADCALL (SPADCALL |x| (QREFELT $ 278)) (QREFELT $ 188))
            |FS-;isMult;SU;108|)
           (EXIT
            (COND
             ((QEQCAR |v| 1)
              (PROGN (LETT #1# (CONS 1 #2#) |FS-;isMult;SU;108|) (GO #1#)))
             ('T
              (SEQ
               (LETT |w| (SPADCALL (QCDR |v|) (QREFELT $ 222))
                |FS-;isMult;SU;108|)
               (EXIT
                (COND
                 ((QEQCAR |w| 1)
                  (PROGN (LETT #1# (CONS 1 #2#) |FS-;isMult;SU;108|)
                   (GO #1#))))))))))))))
      (LETT |r| (QCDR |u|) |FS-;isMult;SU;108|)
      (LETT |q| (SPADCALL (QCAR |r|) (QCDR |w|) (QREFELT $ 330))
       |FS-;isMult;SU;108|)
      (EXIT
       (COND ((QEQCAR |q| 1) (CONS 1 "failed"))
        ('T (CONS 0 (CONS (QCDR |q|) (QCDR |r|))))))))
    #1# (EXIT #1#))))) 

(DEFUN |FS-;convert;SP;109| (|x| $)
 (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 252))
  (SPADCALL (SPADCALL |x| (QREFELT $ 278)) (QREFELT $ 252)) (QREFELT $ 331))) 

(DEFUN |FS-;convert;SP;110| (|x| $)
 (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 86)) (QREFELT $ 255))
  (SPADCALL (SPADCALL |x| (QREFELT $ 278)) (QREFELT $ 255)) (QREFELT $ 332))) 

(DEFUN |FunctionSpace&| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|FunctionSpace&|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|FunctionSpace&| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 336) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#2| '(|RetractableTo| (|Integer|)))
        (|HasCategory| |#2| '(|IntegralDomain|))
        (|HasCategory| |#2| '(|CommutativeRing|))
        (|HasCategory| |#2| '(|CharacteristicNonZero|))
        (|HasCategory| |#2| '(|CharacteristicZero|))
        (|HasCategory| |#2| '(|Ring|)) (|HasCategory| |#2| '(|AbelianGroup|))
        (|HasCategory| |#2| '(|AbelianSemiGroup|))
        (|HasCategory| |#2| '(|Group|)) (|HasCategory| |#2| '(|SemiGroup|))
        (|HasCategory| |#2| '(|ConvertibleTo| (|InputForm|)))))
      . #1#))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 14 (SPADCALL (SPADCALL "%diff" (QREFELT $ 10)) (QREFELT $ 13)))
    (QSETREFV $ 15
     (SPADCALL (SPADCALL "applyQuote" (QREFELT $ 10)) (QREFELT $ 13)))
    (COND
     ((|testBitVector| |pv$| 11)
      (PROGN (QSETREFV $ 57 (CONS (|dispatchFunction| |FS-;eval;SSS;16|) $))
       (QSETREFV $ 60 (CONS (|dispatchFunction| |FS-;eval;SBoSSS;17|) $))
       (QSETREFV $ 67 (CONS (|dispatchFunction| |FS-;eval;SLLSS;18|) $))
       (SPADCALL (QREFELT $ 14) "%specialInput"
        (CONS (|function| |FS-;indiff|) $) (QREFELT $ 69)))))
    (COND
     ((|testBitVector| |pv$| 6)
      (PROGN (QSETREFV $ 76 (SPADCALL "%%0" (QREFELT $ 10)))
       (QSETREFV $ 79
        (CONS (|dispatchFunction| |FS-;characteristic;Nni;21|) $))
       (QSETREFV $ 84 (CONS (|dispatchFunction| |FS-;coerce;KS;22|) $))
       (QSETREFV $ 87 (CONS (|dispatchFunction| |FS-;numerator;2S;24|) $))
       (QSETREFV $ 93 (CONS (|dispatchFunction| |FS-;eval;SSNniMS;25|) $))
       (QSETREFV $ 94 (CONS (|dispatchFunction| |FS-;eval;SSNniMS;26|) $))
       (QSETREFV $ 96 (CONS (|dispatchFunction| |FS-;eval;SLLS;27|) $))
       (QSETREFV $ 106 (CONS (|dispatchFunction| |FS-;elt;BoLS;28|) $))
       (QSETREFV $ 107 (CONS (|dispatchFunction| |FS-;eval;SLLLS;29|) $))
       (QSETREFV $ 183 (CONS (|dispatchFunction| |FS-;coerce;PS;43|) $))
       (COND ((|testBitVector| |pv$| 11)))
       (QSETREFV $ 214 (CONS (|dispatchFunction| |FS-;isExpt;SBoU;54|) $))
       (QSETREFV $ 216 (CONS (|dispatchFunction| |FS-;isExpt;SSU;55|) $))
       (COND ((|testBitVector| |pv$| 1)))
       (SPADCALL (QREFELT $ 14) (CONS (|function| |FS-;diffEval|) $)
        (QREFELT $ 223))
       (SPADCALL (QREFELT $ 14) "%specialEqual"
        (CONS (|function| |FS-;equaldiff|) $) (QREFELT $ 69))
       (SPADCALL (QREFELT $ 14) "%specialDiff"
        (CONS (|function| |FS-;diffdiff|) $) (QREFELT $ 69))
       (SPADCALL (QREFELT $ 14) "%specialDisp"
        (CONS (|function| |FS-;ddiff|) $) (QREFELT $ 69))
       (COND ((|testBitVector| |pv$| 2))
        ('T
         (PROGN
          (QSETREFV $ 224 (CONS (|dispatchFunction| |FS-;mainKernel;SU;59|) $))
          (QSETREFV $ 225 (CONS (|dispatchFunction| |FS-;kernels;SL;60|) $))
          (QSETREFV $ 227 (CONS (|dispatchFunction| |FS-;retract;SR;61|) $))
          (QSETREFV $ 228 (CONS (|dispatchFunction| |FS-;retract;SP;62|) $))
          (QSETREFV $ 229
           (CONS (|dispatchFunction| |FS-;retractIfCan;SU;63|) $))
          (QSETREFV $ 231
           (CONS (|dispatchFunction| |FS-;retractIfCan;SU;64|) $))
          (QSETREFV $ 232 (CONS (|dispatchFunction| |FS-;eval;SLLS;65|) $))
          (QSETREFV $ 233 (CONS (|dispatchFunction| |FS-;subst;SLLS;66|) $))
          (QSETREFV $ 234
           (CONS (|dispatchFunction| |FS-;differentiate;SSS;67|) $))
          (QSETREFV $ 235 (CONS (|dispatchFunction| |FS-;coerce;SOf;68|) $))
          (COND
           ((|testBitVector| |pv$| 11)
            (PROGN
             (QSETREFV $ 236 (CONS (|dispatchFunction| |FS-;eval;SLS;69|) $))
             (QSETREFV $ 237 (CONS (|dispatchFunction| |FS-;eval;2S;70|) $)))))
          (QSETREFV $ 238 (CONS (|dispatchFunction| |FS-;eval;SLLLS;71|) $))
          (QSETREFV $ 241 (CONS (|dispatchFunction| |FS-;isPlus;SU;72|) $))
          (QSETREFV $ 243 (CONS (|dispatchFunction| |FS-;isTimes;SU;73|) $))
          (QSETREFV $ 247 (CONS (|dispatchFunction| |FS-;isExpt;SU;74|) $))
          (QSETREFV $ 250 (CONS (|dispatchFunction| |FS-;isPower;SU;75|) $))
          (COND
           ((|HasCategory| |#2| '(|ConvertibleTo| (|Pattern| (|Integer|))))
            (QSETREFV $ 253
             (CONS (|dispatchFunction| |FS-;convert;SP;76|) $))))
          (COND
           ((|HasCategory| |#2| '(|ConvertibleTo| (|Pattern| (|Float|))))
            (QSETREFV $ 256
             (CONS (|dispatchFunction| |FS-;convert;SP;77|) $))))
          (COND
           ((|testBitVector| |pv$| 1)
            (QSETREFV $ 259
             (CONS (|dispatchFunction| |FS-;isMult;SU;78|) $))))))))))
    (COND
     ((|testBitVector| |pv$| 3)
      (QSETREFV $ 261 (CONS (|dispatchFunction| |FS-;*;R2S;79|) $))))
    (COND
     ((|testBitVector| |pv$| 2)
      (PROGN
       (QSETREFV $ 224 (CONS (|dispatchFunction| |FS-;mainKernel;SU;80|) $))
       (QSETREFV $ 225 (CONS (|dispatchFunction| |FS-;kernels;SL;81|) $))
       (QSETREFV $ 268 (CONS (|dispatchFunction| |FS-;univariate;SKF;82|) $))
       (QSETREFV $ 241 (CONS (|dispatchFunction| |FS-;isPlus;SU;83|) $))
       (QSETREFV $ 243 (CONS (|dispatchFunction| |FS-;isTimes;SU;84|) $))
       (QSETREFV $ 247 (CONS (|dispatchFunction| |FS-;isExpt;SU;85|) $))
       (QSETREFV $ 250 (CONS (|dispatchFunction| |FS-;isPower;SU;86|) $))
       (QSETREFV $ 279 (CONS (|dispatchFunction| |FS-;denominator;2S;87|) $))
       (QSETREFV $ 284 (CONS (|dispatchFunction| |FS-;coerce;FS;88|) $))
       (QSETREFV $ 290 (CONS (|dispatchFunction| |FS-;coerce;FS;89|) $))
       (QSETREFV $ 296 (CONS (|dispatchFunction| |FS-;coerce;FS;90|) $))
       (QSETREFV $ 228 (CONS (|dispatchFunction| |FS-;retract;SP;91|) $))
       (QSETREFV $ 300 (CONS (|dispatchFunction| |FS-;retract;SF;92|) $))
       (QSETREFV $ 227 (CONS (|dispatchFunction| |FS-;retract;SR;93|) $))
       (QSETREFV $ 235 (CONS (|dispatchFunction| |FS-;coerce;SOf;94|) $))
       (QSETREFV $ 229 (CONS (|dispatchFunction| |FS-;retractIfCan;SU;95|) $))
       (QSETREFV $ 236 (CONS (|dispatchFunction| |FS-;eval;SLS;96|) $))
       (COND
        ((|testBitVector| |pv$| 11)
         (PROGN (QSETREFV $ 237 (CONS (|dispatchFunction| |FS-;eval;2S;97|) $))
          (QSETREFV $ 238 (CONS (|dispatchFunction| |FS-;eval;SLLLS;98|) $)))))
       (QSETREFV $ 234
        (CONS (|dispatchFunction| |FS-;differentiate;SSS;99|) $))
       (QSETREFV $ 232 (CONS (|dispatchFunction| |FS-;eval;SLLS;100|) $))
       (QSETREFV $ 233 (CONS (|dispatchFunction| |FS-;subst;SLLS;101|) $))
       (QSETREFV $ 315 (CONS (|dispatchFunction| |FS-;convert;FS;103|) $))
       (QSETREFV $ 231 (CONS (|dispatchFunction| |FS-;retractIfCan;SU;104|) $))
       (QSETREFV $ 319 (CONS (|dispatchFunction| |FS-;retractIfCan;SU;105|) $))
       (QSETREFV $ 324 (CONS (|dispatchFunction| |FS-;coerce;PS;106|) $))
       (COND
        ((|testBitVector| |pv$| 1)
         (PROGN
          (QSETREFV $ 329 (CONS (|dispatchFunction| |FS-;coerce;FS;107|) $))
          (QSETREFV $ 259 (CONS (|dispatchFunction| |FS-;isMult;SU;108|) $)))))
       (COND
        ((|HasCategory| |#2| '(|ConvertibleTo| (|Pattern| (|Integer|))))
         (QSETREFV $ 253 (CONS (|dispatchFunction| |FS-;convert;SP;109|) $))))
       (COND
        ((|HasCategory| |#2| '(|ConvertibleTo| (|Pattern| (|Float|))))
         (QSETREFV $ 256
          (CONS (|dispatchFunction| |FS-;convert;SP;110|) $)))))))
    $)))) 

(MAKEPROP '|FunctionSpace&| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|String|)
     (|Symbol|) (0 . |coerce|) (|BasicOperator|) (|CommonOperators|)
     (5 . |operator|) '|opdiff| '|opquote| (|Union| 7 '#1="failed")
     (10 . |retractIfCan|) (|Boolean|) |FS-;ground?;SB;1| (15 . |retract|)
     |FS-;ground;SR;2| (|Kernel| 6) (20 . |kernel|) (|Kernel| $)
     (25 . |coerce|) |FS-;coerce;SS;3| (30 . |retract|) (|Union| 9 '"failed")
     (35 . |symbolIfCan|) |FS-;retract;SS;4| (|List| $) (40 . |applyQuote|)
     |FS-;applyQuote;S2S;5| |FS-;applyQuote;S3S;6| |FS-;applyQuote;S4S;7|
     |FS-;applyQuote;S5S;8| (46 . |coerce|) (51 . |elt|) |FS-;applyQuote;SLS;9|
     (57 . =) |FS-;belong?;BoB;10| (63 . |operator|) (|List| 6)
     (68 . |argument|) (73 . |kernel|) (79 . |is?|) |FS-;operator;2Bo;12|
     (85 . |second|) (90 . |third|) (95 . |eval|) (|InputForm|)
     (102 . |convert|) (107 . |convert|) (112 . |convert|) (|List| 9)
     (117 . |eval|) (123 . |eval|) (|List| 11) (129 . |eval|) (137 . |eval|)
     (|Mapping| 6 6) (|MakeUnaryCompiledFunction| 6 6 6)
     (145 . |compiledFunction|) (|Mapping| $ $) (|List| 64) (151 . |eval|)
     (158 . |eval|) (|None|) (166 . |setProperty|) (|List| 24) (173 . |tower|)
     |FS-;variables;SL;19| (|Union| 24 '#1#) (178 . |retractIfCan|)
     |FS-;retractIfCan;SU;20| '|gendiff| (|NonNegativeInteger|)
     (183 . |characteristic|) (187 . |characteristic|)
     (|SparseMultivariatePolynomial| 7 22) (191 . |coerce|)
     (|SparseMultivariatePolynomial| 7 24) (196 . |coerce|) (201 . |coerce|)
     (206 . |string|) (211 . |numer|) (216 . |numerator|) (221 . |first|)
     (|List| 77) (|Mapping| $ 31) (|List| 90) (226 . |eval|) (234 . |eval|)
     (242 . |eval|) (250 . |new|) (256 . |eval|) (263 . |unary?|)
     (268 . |has?|) (274 . |leadingCoefficient|) (279 . |Zero|) (283 . <)
     (289 . -) (294 . |elt|) (|ExpressionSpace&| 6) (300 . |elt|) (306 . |elt|)
     (312 . |eval|) (|Union| 22 '"failed") (320 . |mainVariable|)
     (|SparseUnivariatePolynomial| $) (325 . |univariate|)
     (|SparseUnivariatePolynomial| 6) (|Mapping| 6 80)
     (|SparseUnivariatePolynomial| 80)
     (|SparseUnivariatePolynomialFunctions2| 80 6) (331 . |map|) (337 . |name|)
     (|Integer|) (342 . |position|) (348 . |minIndex|) (353 . |elt|)
     (359 . |Zero|) (|Mapping| 6 43) (|List| 123) (363 . |elt|) (369 . |elt|)
     (375 . |Zero|) (379 . =) (385 . |degree|) (390 . **)
     (396 . |leadingCoefficient|) (401 . *) (407 . +) (413 . |reductum|)
     (|OutputForm|) (418 . |coerce|) (423 . |is?|) (|List| 135)
     (429 . |position|) (435 . |setelt|) (442 . |coerce|) (447 . |One|)
     (451 . |One|) (455 . |minIndex|) (460 . |coerce|) (465 . |hconcat|)
     (471 . |position|) (477 . |sub|) (483 . |differentiate|) (489 . |prefix|)
     (495 . |copy|) (500 . |setelt|) (507 . |member?|) (513 . |differentiate|)
     (519 . =) (525 . |subst|) (532 . |maxIndex|) (|Union| 124 '"failed")
     (|BasicOperatorFunctions1| 6) (537 . |derivative|) (542 . |elt|)
     (|Equation| 6) (548 . =) (|Equation| $) (554 . |subst|) (560 . |kernel|)
     (|Union| 68 '"failed") (566 . |property|) (|Polynomial| 7)
     (572 . |coerce|) (577 . |differentiate|) (583 . |retract|) (|Mapping| 7 7)
     (588 . |map|) (|List| 22) (594 . |variables|) (599 . |differentiate|)
     (605 . |coerce|) (|Mapping| 6 9) (|Mapping| 6 7)
     (|PolynomialCategoryLifting| (|IndexedExponents| 9) 9 7 169 6)
     (610 . |map|) (617 . |coerce|) (|Union| 18 '"failed")
     (|UserDefinedPartialOrdering| 9) (622 . |less?|) (628 . <)
     (634 . |retractIfCan|) (639 . |coerce|) (644 . |userOrdered?|)
     (648 . |coerce|) (653 . |outputForm|) (|ListToMap| 22 6) (659 . |match|)
     (|Mapping| 6 22)
     (|PolynomialCategoryLifting| (|IndexedExponents| 22) 22 7 80 6)
     (667 . |map|) (674 . |eval|) (681 . |map|) (687 . |setIntersection|)
     (693 . |eval|) (698 . |retract|) (703 . |member?|)
     (|InputFormFunctions1| 6) (709 . |interpret|) (714 . |coerce|)
     (|Mapping| 169 22) (|Mapping| 169 7)
     (|PolynomialCategoryLifting| (|IndexedExponents| 22) 22 7 80 169)
     (719 . |map|) (|Record| (|:| |var| 24) (|:| |exponent| 118))
     (|Union| 211 '"failed") (726 . |isExpt|) (731 . |isExpt|) (737 . |is?|)
     (743 . |isExpt|) (749 . |degree|) (754 . |reductum|)
     (759 . |leadingCoefficient|) (764 . |zero?|) (|Union| 118 '#1#)
     (769 . |retractIfCan|) (774 . |evaluate|) (780 . |mainKernel|)
     (785 . |kernels|) (790 . |retract|) (795 . |retract|) (800 . |retract|)
     (805 . |retractIfCan|) (|Union| 169 '"failed") (810 . |retractIfCan|)
     (815 . |eval|) (822 . |subst|) (829 . |differentiate|) (835 . |coerce|)
     (840 . |eval|) (846 . |eval|) (851 . |eval|) (|Union| 31 '"failed")
     (859 . |isPlus|) (864 . |isPlus|) (869 . |isTimes|) (874 . |isTimes|)
     (|Record| (|:| |var| 22) (|:| |exponent| 77)) (|Union| 244 '"failed")
     (879 . |isExpt|) (884 . |isExpt|)
     (|Record| (|:| |val| $) (|:| |exponent| 118)) (|Union| 248 '"failed")
     (889 . |isPower|) (|Pattern| 118) (894 . |convert|) (899 . |convert|)
     (|Pattern| (|Float|)) (904 . |convert|) (909 . |convert|)
     (|Record| (|:| |coef| 118) (|:| |var| 24)) (|Union| 257 '"failed")
     (914 . |isMult|) (919 . |coerce|) (924 . *)
     (|PolynomialCategoryQuotientFunctions| (|IndexedExponents| 22) 22 7 80 6)
     (930 . |mainVariable|) (935 . |variables|) (|Fraction| 112)
     (940 . |univariate|) (|Fraction| 110) (946 . |univariate|)
     (|Union| 43 '"failed") (952 . |isPlus|) (957 . |isTimes|)
     (|Record| (|:| |var| 22) (|:| |exponent| 118)) (|Union| 272 '"failed")
     (962 . |isExpt|) (|Record| (|:| |val| 6) (|:| |exponent| 118))
     (|Union| 275 '"failed") (967 . |isPower|) (972 . |denom|)
     (977 . |denominator|) (|Fraction| 7) (982 . |numer|) (987 . |denom|)
     (992 . /) (998 . |coerce|) (|Fraction| 169) (1003 . |numer|)
     (1008 . |coerce|) (1013 . |denom|) (1018 . /) (1024 . |coerce|)
     (|Polynomial| 280) (|Fraction| 291) (1029 . |numer|) (1034 . |coerce|)
     (1039 . |denom|) (1044 . |coerce|) (1049 . |retract|) (1054 . |retract|)
     (1059 . /) (1065 . |retract|) (|Union| $ '"failed") (1070 . |exquo|)
     (1076 . |One|) (1080 . =) (1086 . /) (1092 . -) (1098 . **)
     (1104 . |paren|) (|Factored| 6) (1109 . |unit|)
     (|Record| (|:| |factor| 6) (|:| |exponent| 118)) (|List| 311)
     (1114 . |factors|) (|Factored| $) (1119 . |convert|) (|Union| 285 '#1#)
     (1124 . |retractIfCan|) (1129 . |retractIfCan|) (1134 . |retractIfCan|)
     (1139 . |coerce|) (|Mapping| 6 280)
     (|PolynomialCategoryLifting| (|IndexedExponents| 9) 9 280 291 6)
     (1144 . |map|) (1151 . |coerce|) (|Fraction| 118) (1156 . |numer|)
     (1161 . |coerce|) (1166 . |denom|) (1171 . |coerce|) (1176 . |exquo|)
     (1182 . /) (1188 . /) (|PositiveInteger|) (|Union| 325 '#1#) (|List| 164))
  '#(|variables| 1194 |univariate| 1199 |subst| 1205 |retractIfCan| 1212
     |retract| 1232 |operator| 1252 |numerator| 1257 |mainKernel| 1262
     |kernels| 1267 |isTimes| 1272 |isPower| 1277 |isPlus| 1282 |isMult| 1287
     |isExpt| 1292 |ground?| 1309 |ground| 1314 |eval| 1319 |elt| 1398
     |differentiate| 1404 |denominator| 1410 |convert| 1415 |coerce| 1430
     |characteristic| 1475 |belong?| 1479 |applyQuote| 1484 * 1520)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 332
      '(1 9 0 8 10 1 12 11 9 13 1 6 16 0 17 1 6 7 0 20 1 22 0 9 23 1 6 0 24 25
        1 6 24 0 27 1 22 28 0 29 2 6 0 9 31 32 1 6 0 9 37 2 6 0 11 31 38 2 11
        18 0 0 40 1 22 11 0 42 1 22 43 0 44 2 6 0 11 31 45 2 11 18 0 9 46 1 43
        6 0 48 1 43 6 0 49 3 6 0 0 24 0 50 1 9 51 0 52 1 51 0 31 53 1 6 51 0 54
        2 6 0 0 55 56 2 0 0 0 9 57 4 6 0 0 58 31 9 59 4 0 0 0 11 0 9 60 2 62 61
        6 9 63 3 6 0 0 58 65 66 4 0 0 0 58 31 9 67 3 11 0 0 8 68 69 1 6 70 0 71
        1 6 73 0 74 0 7 77 78 0 0 77 79 1 80 0 22 81 1 6 0 82 83 1 0 0 24 84 1
        9 8 0 85 1 6 82 0 86 1 0 0 0 87 1 43 6 0 88 4 6 0 0 55 89 91 92 4 0 0 0
        9 77 64 93 4 0 0 0 9 77 90 94 2 89 0 77 77 95 3 0 0 0 55 91 96 1 11 18
        0 97 2 11 18 0 8 98 1 80 7 0 99 0 7 0 100 2 7 18 0 0 101 1 6 0 0 102 2
        6 0 11 0 103 2 104 0 11 31 105 2 0 0 11 31 106 4 0 0 0 55 89 65 107 1
        80 108 0 109 2 80 110 0 22 111 2 115 112 113 114 116 1 11 9 0 117 2 55
        118 9 0 119 1 55 118 0 120 2 112 6 0 6 121 0 6 0 122 2 124 123 0 118
        125 2 89 77 0 118 126 0 112 0 127 2 112 18 0 0 128 1 112 77 0 129 2 6 0
        0 77 130 1 112 6 0 131 2 6 0 0 0 132 2 6 0 0 0 133 1 112 0 0 134 1 6
        135 0 136 2 22 18 0 11 137 2 138 118 135 0 139 3 138 135 0 118 135 140
        1 9 135 0 141 0 6 0 142 0 7 0 143 1 43 118 0 144 1 118 135 0 145 2 135
        0 0 0 146 2 43 118 6 0 147 2 135 0 0 0 148 2 135 0 0 77 149 2 135 0 0
        31 150 1 43 0 0 151 3 43 6 0 118 6 152 2 43 18 6 0 153 2 6 0 0 9 154 2
        6 18 0 0 155 3 6 0 0 70 31 156 1 43 118 0 157 1 159 158 11 160 2 43 6 0
        118 161 2 162 0 6 6 163 2 6 0 0 164 165 2 6 0 11 0 166 2 11 167 0 8 168
        1 169 0 7 170 2 169 0 0 9 171 1 169 7 0 172 2 80 0 173 0 174 1 80 175 0
        176 2 80 0 0 22 177 1 6 0 7 178 3 181 6 179 180 169 182 1 0 0 169 183 2
        185 184 9 9 186 2 22 18 0 0 187 1 80 16 0 188 1 7 135 0 189 0 185 18
        190 1 22 135 0 191 2 112 135 0 135 192 4 193 6 175 43 22 6 194 3 196 6
        195 180 80 197 3 6 0 0 70 31 198 2 6 0 64 24 199 2 175 0 0 0 200 1 6 0
        0 201 1 6 9 0 202 2 55 18 9 0 203 1 204 6 51 205 1 169 0 9 206 3 209
        169 207 208 80 210 1 6 212 0 213 2 0 212 0 11 214 2 22 18 0 9 215 2 0
        212 0 9 216 1 114 77 0 217 1 114 0 0 218 1 114 80 0 219 1 80 18 0 220 1
        7 221 0 222 2 159 11 11 123 223 1 0 73 0 224 1 0 70 0 225 1 80 7 0 226
        1 0 7 0 227 1 0 169 0 228 1 0 16 0 229 1 0 230 0 231 3 0 0 0 70 31 232
        3 0 0 0 70 31 233 2 0 0 0 9 234 1 0 135 0 235 2 0 0 0 55 236 1 0 0 0
        237 4 0 0 0 55 89 91 238 1 80 239 0 240 1 0 239 0 241 1 80 239 0 242 1
        0 239 0 243 1 80 245 0 246 1 0 212 0 247 1 0 249 0 250 1 80 251 0 252 1
        0 251 0 253 1 80 254 0 255 1 0 254 0 256 1 0 258 0 259 1 80 0 7 260 2 0
        0 7 0 261 1 262 108 6 263 1 262 175 6 264 2 262 265 6 22 266 2 0 267 0
        24 268 1 262 269 6 270 1 262 269 6 271 1 262 273 6 274 1 262 276 6 277
        1 6 82 0 278 1 0 0 0 279 1 280 7 0 281 1 280 7 0 282 2 6 0 82 82 283 1
        0 0 280 284 1 285 169 0 286 1 6 0 169 287 1 285 169 0 288 2 6 0 0 0 289
        1 0 0 285 290 1 292 291 0 293 1 6 0 291 294 1 292 291 0 295 1 0 0 292
        296 1 6 285 0 297 1 285 169 0 298 2 285 0 169 169 299 1 0 285 0 300 2 7
        301 0 0 302 0 80 0 303 2 80 18 0 0 304 2 135 0 0 0 305 2 6 0 0 0 306 2
        6 0 0 118 307 1 6 0 0 308 1 309 6 0 310 1 309 312 0 313 1 0 0 314 315 1
        6 316 0 317 1 285 230 0 318 1 0 316 0 319 1 6 0 280 320 3 322 6 179 321
        291 323 1 0 0 291 324 1 325 118 0 326 1 80 0 118 327 1 325 118 0 328 1
        0 0 325 329 2 118 301 0 0 330 2 251 0 0 0 331 2 254 0 0 0 332 1 0 55 0
        72 2 0 267 0 24 268 3 0 0 0 70 31 233 1 0 230 0 231 1 0 316 0 319 1 0
        16 0 229 1 0 28 0 75 1 0 169 0 228 1 0 285 0 300 1 0 7 0 227 1 0 9 0 30
        1 0 11 11 47 1 0 0 0 87 1 0 73 0 224 1 0 70 0 225 1 0 239 0 243 1 0 249
        0 250 1 0 239 0 241 1 0 258 0 259 2 0 212 0 9 216 2 0 212 0 11 214 1 0
        212 0 247 1 0 18 0 19 1 0 7 0 21 4 0 0 0 9 77 90 94 4 0 0 0 9 77 64 93
        4 0 0 0 55 89 91 238 4 0 0 0 55 89 65 107 4 0 0 0 58 31 9 67 4 0 0 0 11
        0 9 60 2 0 0 0 55 236 1 0 0 0 237 2 0 0 0 9 57 3 0 0 0 55 91 96 3 0 0 0
        70 31 232 2 0 0 11 31 106 2 0 0 0 9 234 1 0 0 0 279 1 0 0 314 315 1 0
        254 0 256 1 0 251 0 253 1 0 0 325 329 1 0 0 169 183 1 0 0 285 290 1 0 0
        292 296 1 0 0 291 324 1 0 0 280 284 1 0 0 9 26 1 0 135 0 235 1 0 0 24
        84 0 0 77 79 1 0 18 11 41 5 0 0 9 0 0 0 0 36 2 0 0 9 31 39 4 0 0 9 0 0
        0 35 2 0 0 9 0 33 3 0 0 9 0 0 34 2 0 0 7 0 261)))))
  '|lookupComplete|)) 
