
(/VERSIONCHECK 2) 

(PUT '|ILIST;#;$Nni;1| '|SPADreplace| 'LENGTH) 

(DEFUN |ILIST;#;$Nni;1| (|x| $) (LENGTH |x|)) 

(PUT '|ILIST;concat;S2$;2| '|SPADreplace| 'CONS) 

(DEFUN |ILIST;concat;S2$;2| (|s| |x| $) (CONS |s| |x|)) 

(PUT '|ILIST;eq?;2$B;3| '|SPADreplace| 'EQ) 

(DEFUN |ILIST;eq?;2$B;3| (|x| |y| $) (EQ |x| |y|)) 

(PUT '|ILIST;first;$S;4| '|SPADreplace| '|SPADfirst|) 

(DEFUN |ILIST;first;$S;4| (|x| $) (|SPADfirst| |x|)) 

(PUT '|ILIST;elt;$firstS;5| '|SPADreplace|
 '(XLAM (|x| "first") (|SPADfirst| |x|))) 

(DEFUN |ILIST;elt;$firstS;5| (|x| T1 $) (|SPADfirst| |x|)) 

(PUT '|ILIST;empty;$;6| '|SPADreplace| '(XLAM NIL NIL)) 

(DEFUN |ILIST;empty;$;6| ($) NIL) 

(PUT '|ILIST;empty?;$B;7| '|SPADreplace| 'NULL) 

(DEFUN |ILIST;empty?;$B;7| (|x| $) (NULL |x|)) 

(PUT '|ILIST;rest;2$;8| '|SPADreplace| 'CDR) 

(DEFUN |ILIST;rest;2$;8| (|x| $) (CDR |x|)) 

(PUT '|ILIST;elt;$rest$;9| '|SPADreplace| '(XLAM (|x| "rest") (CDR |x|))) 

(DEFUN |ILIST;elt;$rest$;9| (|x| T2 $) (CDR |x|)) 

(DEFUN |ILIST;setfirst!;$2S;10| (|x| |s| $)
 (COND ((SPADCALL |x| (QREFELT $ 17)) (|error| "Cannot update an empty list"))
  ('T (QCAR (RPLACA |x| |s|))))) 

(DEFUN |ILIST;setelt;$first2S;11| (|x| T3 |s| $)
 (COND ((SPADCALL |x| (QREFELT $ 17)) (|error| "Cannot update an empty list"))
  ('T (QCAR (RPLACA |x| |s|))))) 

(DEFUN |ILIST;setrest!;3$;12| (|x| |y| $)
 (COND ((SPADCALL |x| (QREFELT $ 17)) (|error| "Cannot update an empty list"))
  ('T (QCDR (RPLACD |x| |y|))))) 

(DEFUN |ILIST;setelt;$rest2$;13| (|x| T4 |y| $)
 (COND ((SPADCALL |x| (QREFELT $ 17)) (|error| "Cannot update an empty list"))
  ('T (QCDR (RPLACD |x| |y|))))) 

(PUT '|ILIST;construct;L$;14| '|SPADreplace| '(XLAM (|l|) |l|)) 

(DEFUN |ILIST;construct;L$;14| (|l| $) |l|) 

(PUT '|ILIST;parts;$L;15| '|SPADreplace| '(XLAM (|s|) |s|)) 

(DEFUN |ILIST;parts;$L;15| (|s| $) |s|) 

(PUT '|ILIST;reverse!;2$;16| '|SPADreplace| 'NREVERSE) 

(DEFUN |ILIST;reverse!;2$;16| (|x| $) (NREVERSE |x|)) 

(PUT '|ILIST;reverse;2$;17| '|SPADreplace| 'REVERSE) 

(DEFUN |ILIST;reverse;2$;17| (|x| $) (REVERSE |x|)) 

(DEFUN |ILIST;minIndex;$I;18| (|x| $) (QREFELT $ 7)) 

(DEFUN |ILIST;rest;$Nni$;19| (|x| |n| $)
 (PROG (|i|)
  (RETURN
   (SEQ
    (SEQ (LETT |i| 1 |ILIST;rest;$Nni$;19|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ (COND ((NULL |x|) (|error| "index out of range")))
      (EXIT (LETT |x| (QCDR |x|) |ILIST;rest;$Nni$;19|)))
     (LETT |i| (QSADD1 |i|) |ILIST;rest;$Nni$;19|) (GO G190) G191 (EXIT NIL))
    (EXIT |x|))))) 

(DEFUN |ILIST;copy;2$;20| (|x| $)
 (PROG (|i| |y|)
  (RETURN
   (SEQ (LETT |y| (SPADCALL (QREFELT $ 16)) |ILIST;copy;2$;20|)
    (SEQ (LETT |i| 0 |ILIST;copy;2$;20|) G190
     (COND ((NULL (COND ((NULL |x|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ
      (COND
       ((EQ |i| 1000)
        (COND ((SPADCALL |x| (QREFELT $ 33)) (|error| "cyclic list")))))
      (LETT |y| (CONS (QCAR |x|) |y|) |ILIST;copy;2$;20|)
      (EXIT (LETT |x| (QCDR |x|) |ILIST;copy;2$;20|)))
     (LETT |i| (QSADD1 |i|) |ILIST;copy;2$;20|) (GO G190) G191 (EXIT NIL))
    (EXIT (NREVERSE |y|)))))) 

(DEFUN |ILIST;coerce;$Of;21| (|x| $)
 (PROG (|s| |y| |z|)
  (RETURN
   (SEQ (LETT |y| NIL |ILIST;coerce;$Of;21|)
    (LETT |s| (SPADCALL |x| (QREFELT $ 35)) |ILIST;coerce;$Of;21|)
    (SEQ G190 (COND ((NULL (NEQ |x| |s|)) (GO G191)))
     (SEQ
      (LETT |y|
       (CONS (SPADCALL (SPADCALL |x| (QREFELT $ 13)) (QREFELT $ 37)) |y|)
       |ILIST;coerce;$Of;21|)
      (EXIT (LETT |x| (SPADCALL |x| (QREFELT $ 18)) |ILIST;coerce;$Of;21|)))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |y| (NREVERSE |y|) |ILIST;coerce;$Of;21|)
    (EXIT
     (COND ((SPADCALL |s| (QREFELT $ 17)) (SPADCALL |y| (QREFELT $ 39)))
      ('T
       (SEQ
        (LETT |z|
         (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 13)) (QREFELT $ 37))
          (QREFELT $ 41))
         |ILIST;coerce;$Of;21|)
        (SEQ G190
         (COND ((NULL (NEQ |s| (SPADCALL |x| (QREFELT $ 18)))) (GO G191)))
         (SEQ (LETT |x| (SPADCALL |x| (QREFELT $ 18)) |ILIST;coerce;$Of;21|)
          (EXIT
           (LETT |z|
            (CONS (SPADCALL (SPADCALL |x| (QREFELT $ 13)) (QREFELT $ 37)) |z|)
            |ILIST;coerce;$Of;21|)))
         NIL (GO G190) G191 (EXIT NIL))
        (EXIT
         (SPADCALL
          (SPADCALL |y|
           (SPADCALL (SPADCALL (NREVERSE |z|) (QREFELT $ 42)) (QREFELT $ 43))
           (QREFELT $ 44))
          (QREFELT $ 39))))))))))) 

(DEFUN |ILIST;=;2$B;22| (|x| |y| $)
 (PROG (#1=#:G3622)
  (RETURN
   (SEQ
    (EXIT
     (COND ((EQ |x| |y|) 'T)
      ('T
       (SEQ
        (SEQ G190
         (COND
          ((NULL (COND ((OR (NULL |x|) (NULL |y|)) 'NIL) ('T 'T))) (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((NULL (SPADCALL (QCAR |x|) (QCAR |y|) (QREFELT $ 46)))
             (PROGN (LETT #1# 'NIL |ILIST;=;2$B;22|) (GO #1#)))
            ('T
             (SEQ (LETT |x| (QCDR |x|) |ILIST;=;2$B;22|)
              (EXIT (LETT |y| (QCDR |y|) |ILIST;=;2$B;22|)))))))
         NIL (GO G190) G191 (EXIT NIL))
        (EXIT (COND ((NULL |x|) (NULL |y|)) ('T 'NIL)))))))
    #1# (EXIT #1#))))) 

(DEFUN |ILIST;latex;$S;23| (|x| $)
 (PROG (|s|)
  (RETURN
   (SEQ (LETT |s| "\\left[" |ILIST;latex;$S;23|)
    (SEQ G190 (COND ((NULL (COND ((NULL |x|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ
      (LETT |s| (STRCONC |s| (SPADCALL (QCAR |x|) (QREFELT $ 49)))
       |ILIST;latex;$S;23|)
      (LETT |x| (QCDR |x|) |ILIST;latex;$S;23|)
      (EXIT
       (COND
        ((NULL (NULL |x|))
         (LETT |s| (STRCONC |s| ", ") |ILIST;latex;$S;23|)))))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT (STRCONC |s| " \\right]")))))) 

(DEFUN |ILIST;member?;S$B;24| (|s| |x| $)
 (PROG (#1=#:G3632)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ G190 (COND ((NULL (COND ((NULL |x|) 'NIL) ('T 'T))) (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((SPADCALL |s| (QCAR |x|) (QREFELT $ 46))
           (PROGN (LETT #1# 'T |ILIST;member?;S$B;24|) (GO #1#)))
          ('T (LETT |x| (QCDR |x|) |ILIST;member?;S$B;24|)))))
       NIL (GO G190) G191 (EXIT NIL))
      (EXIT 'NIL)))
    #1# (EXIT #1#))))) 

(DEFUN |ILIST;concat!;3$;25| (|x| |y| $)
 (PROG (|z|)
  (RETURN
   (SEQ
    (COND
     ((NULL |x|)
      (COND ((NULL |y|) |x|)
       ('T
        (SEQ (PUSH (SPADCALL |y| (QREFELT $ 13)) |x|)
         (QRPLACD |x| (SPADCALL |y| (QREFELT $ 18))) (EXIT |x|)))))
     ('T
      (SEQ (LETT |z| |x| |ILIST;concat!;3$;25|)
       (SEQ G190
        (COND ((NULL (COND ((NULL (QCDR |z|)) 'NIL) ('T 'T))) (GO G191)))
        (SEQ (EXIT (LETT |z| (QCDR |z|) |ILIST;concat!;3$;25|))) NIL (GO G190)
        G191 (EXIT NIL))
       (QRPLACD |z| |y|) (EXIT |x|)))))))) 

(DEFUN |ILIST;removeDuplicates!;2$;26| (|l| $)
 (PROG (|f| |p| |pr| |pp|)
  (RETURN
   (SEQ (LETT |p| |l| |ILIST;removeDuplicates!;2$;26|)
    (SEQ G190 (COND ((NULL (COND ((NULL |p|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ (LETT |pp| |p| |ILIST;removeDuplicates!;2$;26|)
      (LETT |f| (QCAR |p|) |ILIST;removeDuplicates!;2$;26|)
      (LETT |p| (QCDR |p|) |ILIST;removeDuplicates!;2$;26|)
      (EXIT
       (SEQ G190
        (COND
         ((NULL
           (COND
            ((NULL (LETT |pr| (QCDR |pp|) |ILIST;removeDuplicates!;2$;26|))
             'NIL)
            ('T 'T)))
          (GO G191)))
        (SEQ
         (EXIT
          (COND
           ((SPADCALL (QCAR |pr|) |f| (QREFELT $ 46))
            (QRPLACD |pp| (QCDR |pr|)))
           ('T (LETT |pp| |pr| |ILIST;removeDuplicates!;2$;26|)))))
        NIL (GO G190) G191 (EXIT NIL))))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT |l|))))) 

(DEFUN |ILIST;sort!;M2$;27| (|f| |l| $)
 (|ILIST;mergeSort| |f| |l| (SPADCALL |l| (QREFELT $ 9)) $)) 

(DEFUN |ILIST;merge!;M3$;28| (|f| |p| |q| $)
 (PROG (|r| |t|)
  (RETURN
   (SEQ
    (COND ((NULL |p|) |q|) ((NULL |q|) |p|)
     ((EQ |p| |q|) (|error| "cannot merge a list into itself"))
     ('T
      (SEQ
       (COND
        ((SPADCALL (QCAR |p|) (QCAR |q|) |f|)
         (SEQ
          (LETT |r| (LETT |t| |p| |ILIST;merge!;M3$;28|) |ILIST;merge!;M3$;28|)
          (EXIT (LETT |p| (QCDR |p|) |ILIST;merge!;M3$;28|))))
        ('T
         (SEQ
          (LETT |r| (LETT |t| |q| |ILIST;merge!;M3$;28|) |ILIST;merge!;M3$;28|)
          (EXIT (LETT |q| (QCDR |q|) |ILIST;merge!;M3$;28|)))))
       (SEQ G190
        (COND
         ((NULL (COND ((OR (NULL |p|) (NULL |q|)) 'NIL) ('T 'T))) (GO G191)))
        (SEQ
         (EXIT
          (COND
           ((SPADCALL (QCAR |p|) (QCAR |q|) |f|)
            (SEQ (QRPLACD |t| |p|) (LETT |t| |p| |ILIST;merge!;M3$;28|)
             (EXIT (LETT |p| (QCDR |p|) |ILIST;merge!;M3$;28|))))
           ('T
            (SEQ (QRPLACD |t| |q|) (LETT |t| |q| |ILIST;merge!;M3$;28|)
             (EXIT (LETT |q| (QCDR |q|) |ILIST;merge!;M3$;28|)))))))
        NIL (GO G190) G191 (EXIT NIL))
       (QRPLACD |t| (COND ((NULL |p|) |q|) ('T |p|))) (EXIT |r|)))))))) 

(DEFUN |ILIST;split!;$I$;29| (|p| |n| $)
 (PROG (#1=#:G3665 |q|)
  (RETURN
   (SEQ
    (COND ((< |n| 1) (|error| "index out of range"))
     ('T
      (SEQ
       (LETT |p|
        (SPADCALL |p|
         (PROG1 (LETT #1# (- |n| 1) |ILIST;split!;$I$;29|)
          (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
         (QREFELT $ 32))
        |ILIST;split!;$I$;29|)
       (LETT |q| (QCDR |p|) |ILIST;split!;$I$;29|) (QRPLACD |p| NIL)
       (EXIT |q|)))))))) 

(DEFUN |ILIST;mergeSort| (|f| |p| |n| $)
 (PROG (#1=#:G3669 |l| |q|)
  (RETURN
   (SEQ
    (COND
     ((EQL |n| 2)
      (COND
       ((SPADCALL (SPADCALL (SPADCALL |p| (QREFELT $ 18)) (QREFELT $ 13))
         (SPADCALL |p| (QREFELT $ 13)) |f|)
        (LETT |p| (SPADCALL |p| (QREFELT $ 28)) |ILIST;mergeSort|)))))
    (EXIT
     (COND ((< |n| 3) |p|)
      ('T
       (SEQ
        (LETT |l|
         (PROG1 (LETT #1# (QUOTIENT2 |n| 2) |ILIST;mergeSort|)
          (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
         |ILIST;mergeSort|)
        (LETT |q| (SPADCALL |p| |l| (QREFELT $ 57)) |ILIST;mergeSort|)
        (LETT |p| (|ILIST;mergeSort| |f| |p| |l| $) |ILIST;mergeSort|)
        (LETT |q| (|ILIST;mergeSort| |f| |q| (- |n| |l|) $) |ILIST;mergeSort|)
        (EXIT (SPADCALL |f| |p| |q| (QREFELT $ 56))))))))))) 

(DEFUN |IndexedList| (&REST #1=#:G3683 &AUX #2=#:G3681) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3682)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|IndexedList|) '|domainEqualList|)
        |IndexedList|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |IndexedList;|) #2#)
         (LETT #3# T |IndexedList|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|IndexedList|))))))))))) 

(DEFUN |IndexedList;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ #1=#:G3680 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #2=(|IndexedList|))
    (LETT DV$2 (|devaluate| |#2|) . #2#)
    (LETT |dv$| (LIST '|IndexedList| DV$1 DV$2) . #2#)
    (LETT $ (GETREFV 71) . #2#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|SetCategory|))
        (|HasCategory| |#1| '(|ConvertibleTo| (|InputForm|)))
        (LETT #1# (|HasCategory| |#1| '(|OrderedSet|)) . #2#)
        (OR #1# (|HasCategory| |#1| '(|SetCategory|)))
        (|HasCategory| (|Integer|) '(|OrderedSet|))
        (AND (|HasCategory| |#1| '(|SetCategory|))
         (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|))))
        (OR
         (AND #1# (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|))))
         (AND (|HasCategory| |#1| '(|SetCategory|))
          (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|)))))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|IndexedList| (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (COND
     ((|testBitVector| |pv$| 1)
      (PROGN
       (QSETREFV $ 45 (CONS (|dispatchFunction| |ILIST;coerce;$Of;21|) $))
       (QSETREFV $ 47 (CONS (|dispatchFunction| |ILIST;=;2$B;22|) $))
       (QSETREFV $ 50 (CONS (|dispatchFunction| |ILIST;latex;$S;23|) $))
       (QSETREFV $ 51 (CONS (|dispatchFunction| |ILIST;member?;S$B;24|) $)))))
    (COND
     ((|testBitVector| |pv$| 1)
      (QSETREFV $ 53
       (CONS (|dispatchFunction| |ILIST;removeDuplicates!;2$;26|) $))))
    $)))) 

(MAKEPROP '|IndexedList| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|)
     (|NonNegativeInteger|) |ILIST;#;$Nni;1| |ILIST;concat;S2$;2| (|Boolean|)
     |ILIST;eq?;2$B;3| |ILIST;first;$S;4| '"first" |ILIST;elt;$firstS;5|
     |ILIST;empty;$;6| |ILIST;empty?;$B;7| |ILIST;rest;2$;8| '"rest"
     |ILIST;elt;$rest$;9| |ILIST;setfirst!;$2S;10| |ILIST;setelt;$first2S;11|
     |ILIST;setrest!;3$;12| |ILIST;setelt;$rest2$;13| (|List| 6)
     |ILIST;construct;L$;14| |ILIST;parts;$L;15| |ILIST;reverse!;2$;16|
     |ILIST;reverse;2$;17| (|Integer|) |ILIST;minIndex;$I;18|
     |ILIST;rest;$Nni$;19| (0 . |cyclic?|) |ILIST;copy;2$;20|
     (5 . |cycleEntry|) (|OutputForm|) (10 . |coerce|) (|List| $)
     (15 . |bracket|) (|List| 36) (20 . |list|) (25 . |commaSeparate|)
     (30 . |overbar|) (35 . |concat!|) (41 . |coerce|) (46 . =) (52 . =)
     (|String|) (58 . |latex|) (63 . |latex|) (68 . |member?|)
     |ILIST;concat!;3$;25| (74 . |removeDuplicates!|) (|Mapping| 11 6 6)
     |ILIST;sort!;M2$;27| |ILIST;merge!;M3$;28| |ILIST;split!;$I$;29|
     (|Mapping| 6 6 6) (|Equation| 6) (|List| 59) (|Mapping| 11 6) (|Void|)
     (|UniversalSegment| 30) '"last" '"value" (|Mapping| 6 6) (|InputForm|)
     (|SingleInteger|) (|List| 30) (|Union| 6 '"failed"))
  '#(~= 79 |value| 85 |third| 90 |tail| 95 |swap!| 100 |split!| 107 |sorted?|
     113 |sort!| 124 |sort| 135 |size?| 146 |setvalue!| 152 |setrest!| 158
     |setlast!| 164 |setfirst!| 170 |setelt| 176 |setchildren!| 218 |select!|
     224 |select| 230 |second| 236 |sample| 241 |reverse!| 245 |reverse| 250
     |rest| 255 |removeDuplicates!| 266 |removeDuplicates| 271 |remove!| 276
     |remove| 288 |reduce| 300 |qsetelt!| 321 |qelt| 328 |possiblyInfinite?|
     334 |position| 339 |parts| 358 |nodes| 363 |node?| 368 |new| 374 |more?|
     380 |minIndex| 386 |min| 391 |merge!| 397 |merge| 410 |members| 423
     |member?| 428 |maxIndex| 434 |max| 439 |map!| 445 |map| 451 |list| 464
     |less?| 469 |leaves| 475 |leaf?| 480 |latex| 485 |last| 490 |insert!| 501
     |insert| 515 |indices| 529 |index?| 534 |hash| 540 |first| 545 |find| 556
     |fill!| 562 |explicitlyFinite?| 568 |every?| 573 |eval| 579 |eq?| 605
     |entry?| 611 |entries| 617 |empty?| 622 |empty| 627 |elt| 631 |distance|
     674 |delete!| 680 |delete| 692 |cyclic?| 704 |cycleTail| 709 |cycleSplit!|
     714 |cycleLength| 719 |cycleEntry| 724 |count| 729 |copyInto!| 741 |copy|
     748 |convert| 753 |construct| 758 |concat!| 763 |concat| 775 |coerce| 798
     |children| 803 |child?| 808 |any?| 814 >= 820 > 826 = 832 <= 838 < 844 |#|
     850)
  '((|shallowlyMutable| . 0) (|finiteAggregate| . 0))
  (CONS (|makeByteWordVec2| 7 '(0 0 0 0 0 0 0 0 0 0 3 0 0 7 4 0 0 7 1 2 4))
   (CONS
    '#(|ListAggregate&| |StreamAggregate&| |ExtensibleLinearAggregate&|
       |FiniteLinearAggregate&| |UnaryRecursiveAggregate&| |LinearAggregate&|
       |RecursiveAggregate&| |IndexedAggregate&| |Collection&|
       |HomogeneousAggregate&| |OrderedSet&| |Aggregate&| |EltableAggregate&|
       |Evalable&| |SetCategory&| NIL NIL |InnerEvalable&| NIL NIL
       |BasicType&|)
    (CONS
     '#((|ListAggregate| 6) (|StreamAggregate| 6)
        (|ExtensibleLinearAggregate| 6) (|FiniteLinearAggregate| 6)
        (|UnaryRecursiveAggregate| 6) (|LinearAggregate| 6)
        (|RecursiveAggregate| 6) (|IndexedAggregate| 30 6) (|Collection| 6)
        (|HomogeneousAggregate| 6) (|OrderedSet|) (|Aggregate|)
        (|EltableAggregate| 30 6) (|Evalable| 6) (|SetCategory|) (|Type|)
        (|Eltable| 30 6) (|InnerEvalable| 6 6) (|CoercibleTo| 36)
        (|ConvertibleTo| 67) (|BasicType|))
     (|makeByteWordVec2| 70
      '(1 0 11 0 33 1 0 0 0 35 1 6 36 0 37 1 36 0 38 39 1 40 0 36 41 1 36 0 38
        42 1 36 0 0 43 2 40 0 0 36 44 1 0 36 0 45 2 6 11 0 0 46 2 0 11 0 0 47 1
        6 48 0 49 1 0 48 0 50 2 0 11 6 0 51 1 0 0 0 53 2 1 11 0 0 1 1 0 6 0 1 1
        0 6 0 1 1 0 0 0 1 3 0 62 0 30 30 1 2 0 0 0 30 57 1 3 11 0 1 2 0 11 54 0
        1 1 3 0 0 1 2 0 0 54 0 55 1 3 0 0 1 2 0 0 54 0 1 2 0 11 0 8 1 2 0 6 0 6
        1 2 0 0 0 0 23 2 0 6 0 6 1 2 0 6 0 6 21 3 0 6 0 30 6 1 3 0 6 0 63 6 1 3
        0 6 0 64 6 1 3 0 0 0 19 0 24 3 0 6 0 14 6 22 3 0 6 0 65 6 1 2 0 0 0 38
        1 2 0 0 61 0 1 2 0 0 61 0 1 1 0 6 0 1 0 0 0 1 1 0 0 0 28 1 0 0 0 29 2 0
        0 0 8 32 1 0 0 0 18 1 1 0 0 53 1 1 0 0 1 2 1 0 6 0 1 2 0 0 61 0 1 2 1 0
        6 0 1 2 0 0 61 0 1 4 1 6 58 0 6 6 1 2 0 6 58 0 1 3 0 6 58 0 6 1 3 0 6 0
        30 6 1 2 0 6 0 30 1 1 0 11 0 1 2 1 30 6 0 1 3 1 30 6 0 30 1 2 0 30 61 0
        1 1 0 25 0 27 1 0 38 0 1 2 1 11 0 0 1 2 0 0 8 6 1 2 0 11 0 8 1 1 5 30 0
        31 2 3 0 0 0 1 2 3 0 0 0 1 3 0 0 54 0 0 56 2 3 0 0 0 1 3 0 0 54 0 0 1 1
        0 25 0 1 2 1 11 6 0 51 1 5 30 0 1 2 3 0 0 0 1 2 0 0 66 0 1 3 0 0 58 0 0
        1 2 0 0 66 0 1 1 0 0 6 1 2 0 11 0 8 1 1 0 25 0 1 1 0 11 0 1 1 1 48 0 50
        2 0 0 0 8 1 1 0 6 0 1 3 0 0 6 0 30 1 3 0 0 0 0 30 1 3 0 0 0 0 30 1 3 0
        0 6 0 30 1 1 0 69 0 1 2 0 11 30 0 1 1 1 68 0 1 2 0 0 0 8 1 1 0 6 0 13 2
        0 70 61 0 1 2 0 0 0 6 1 1 0 11 0 1 2 0 11 61 0 1 3 6 0 0 6 6 1 3 6 0 0
        25 25 1 2 6 0 0 59 1 2 6 0 0 60 1 2 0 11 0 0 12 2 1 11 6 0 1 1 0 25 0 1
        1 0 11 0 17 0 0 0 16 2 0 6 0 30 1 3 0 6 0 30 6 1 2 0 0 0 63 1 2 0 6 0
        64 1 2 0 0 0 19 20 2 0 6 0 14 15 2 0 6 0 65 1 2 0 30 0 0 1 2 0 0 0 63 1
        2 0 0 0 30 1 2 0 0 0 63 1 2 0 0 0 30 1 1 0 11 0 33 1 0 0 0 1 1 0 0 0 1
        1 0 8 0 1 1 0 0 0 35 2 1 8 6 0 1 2 0 8 61 0 1 3 0 0 0 0 30 1 1 0 0 0 34
        1 2 67 0 1 1 0 0 25 26 2 0 0 0 0 52 2 0 0 0 6 1 1 0 0 38 1 2 0 0 0 6 1
        2 0 0 6 0 10 2 0 0 0 0 1 1 1 36 0 45 1 0 38 0 1 2 1 11 0 0 1 2 0 11 61
        0 1 2 3 11 0 0 1 2 3 11 0 0 1 2 1 11 0 0 47 2 3 11 0 0 1 2 3 11 0 0 1 1
        0 8 0 9)))))
  '|lookupComplete|)) 
