
(/VERSIONCHECK 2) 

(DEFUN |INTRVL;roundDown| (|u| $)
 (COND
  ((SPADCALL |u| (QREFELT $ 9))
   (SPADCALL -1 (- (SPADCALL (QREFELT $ 13))) (QREFELT $ 15)))
  ('T
   (SPADCALL (- (SPADCALL |u| (QREFELT $ 16)) 1) (SPADCALL |u| (QREFELT $ 17))
    (QREFELT $ 15))))) 

(DEFUN |INTRVL;roundUp| (|u| $)
 (COND
  ((SPADCALL |u| (QREFELT $ 9))
   (SPADCALL 1 (- (SPADCALL (QREFELT $ 13))) (QREFELT $ 15)))
  ('T
   (SPADCALL (+ (SPADCALL |u| (QREFELT $ 16)) 1) (SPADCALL |u| (QREFELT $ 17))
    (QREFELT $ 15))))) 

(DEFUN |INTRVL;normaliseFloat| (|u| $)
 (PROG (|m| |b| |l| BASE)
  (RETURN
   (SEQ
    (COND ((SPADCALL |u| (QREFELT $ 9)) |u|)
     ('T
      (SEQ (LETT |m| (SPADCALL |u| (QREFELT $ 16)) |INTRVL;normaliseFloat|)
       (LETT |b| (SPADCALL (QREFELT $ 13)) |INTRVL;normaliseFloat|)
       (LETT |l| (INTEGER-LENGTH |m|) |INTRVL;normaliseFloat|)
       (EXIT
        (COND
         ((< |l| |b|)
          (SEQ (LETT BASE (SPADCALL (QREFELT $ 18)) |INTRVL;normaliseFloat|)
           (EXIT
            (SPADCALL (* |m| (EXPT BASE (- |b| |l|)))
             (+ (- (SPADCALL |u| (QREFELT $ 17)) |b|) |l|) (QREFELT $ 15)))))
         ('T |u|)))))))))) 

(DEFUN |INTRVL;interval;2R$;4| (|i| |s| $)
 (COND
  ((SPADCALL |s| |i| (QREFELT $ 19))
   (CONS (|INTRVL;roundDown| (|INTRVL;normaliseFloat| |s| $) $)
    (|INTRVL;roundUp| (|INTRVL;normaliseFloat| |i| $) $)))
  ('T
   (CONS (|INTRVL;roundDown| (|INTRVL;normaliseFloat| |i| $) $)
    (|INTRVL;roundUp| (|INTRVL;normaliseFloat| |s| $) $))))) 

(DEFUN |INTRVL;interval;R$;5| (|f| $)
 (PROG (|fnew|)
  (RETURN
   (SEQ
    (COND ((SPADCALL |f| (QREFELT $ 9)) (|spadConstant| $ 21))
     ((SPADCALL |f| (QREFELT $ 22)) (|spadConstant| $ 10))
     ('T
      (SEQ (LETT |fnew| (|INTRVL;normaliseFloat| |f| $) |INTRVL;interval;R$;5|)
       (EXIT
        (COND
         ((QEQCAR (SPADCALL |f| (QREFELT $ 24)) 1)
          (CONS (|INTRVL;roundDown| |fnew| $) (|INTRVL;roundUp| |fnew| $)))
         ('T (CONS |fnew| |fnew|))))))))))) 

(DEFUN |INTRVL;qinterval;2R$;6| (|i| |s| $)
 (CONS (|INTRVL;roundDown| (|INTRVL;normaliseFloat| |i| $) $)
  (|INTRVL;roundUp| (|INTRVL;normaliseFloat| |s| $) $))) 

(PUT '|INTRVL;exactInterval| '|SPADreplace| 'CONS) 

(DEFUN |INTRVL;exactInterval| (|i| |s| $) (CONS |i| |s|)) 

(DEFUN |INTRVL;exactSupInterval| (|i| |s| $)
 (CONS (|INTRVL;roundDown| |i| $) |s|)) 

(DEFUN |INTRVL;exactInfInterval| (|i| |s| $)
 (CONS |i| (|INTRVL;roundUp| |s| $))) 

(PUT '|INTRVL;inf;$R;10| '|SPADreplace| 'QCAR) 

(DEFUN |INTRVL;inf;$R;10| (|u| $) (QCAR |u|)) 

(PUT '|INTRVL;sup;$R;11| '|SPADreplace| 'QCDR) 

(DEFUN |INTRVL;sup;$R;11| (|u| $) (QCDR |u|)) 

(DEFUN |INTRVL;width;$R;12| (|u| $)
 (SPADCALL (QCDR |u|) (QCAR |u|) (QREFELT $ 29))) 

(DEFUN |INTRVL;contains?;$RB;13| (|u| |f| $)
 (COND
  ((SPADCALL (SPADCALL |u| (QREFELT $ 27)) |f| (QREFELT $ 19))
   (SPADCALL |f| (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 19)))
  ('T 'NIL))) 

(DEFUN |INTRVL;positive?;$B;14| (|u| $)
 (SPADCALL (|spadConstant| $ 32) (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 19))) 

(DEFUN |INTRVL;negative?;$B;15| (|u| $)
 (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (|spadConstant| $ 32) (QREFELT $ 19))) 

(DEFUN |INTRVL;<;2$B;16| (|a| |b| $)
 (COND
  ((SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 27))
    (QREFELT $ 19))
   'T)
  ((SPADCALL (SPADCALL |b| (QREFELT $ 27)) (SPADCALL |a| (QREFELT $ 27))
    (QREFELT $ 19))
   'NIL)
  ('T
   (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 28))
    (QREFELT $ 19))))) 

(DEFUN |INTRVL;+;3$;17| (|a| |b| $)
 (PROG (#1=#:G3641)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((SPADCALL |a| (QREFELT $ 36))
        (PROGN (LETT #1# |b| |INTRVL;+;3$;17|) (GO #1#)))
       ((SPADCALL |b| (QREFELT $ 36))
        (PROGN (LETT #1# |a| |INTRVL;+;3$;17|) (GO #1#))))
      (COND
       ((SPADCALL |a| |b| (QREFELT $ 37))
        (PROGN
         (LETT #1#
          (SPADCALL (SPADCALL 2 (SPADCALL |a| (QREFELT $ 27)) (QREFELT $ 38))
           (SPADCALL 2 (SPADCALL |a| (QREFELT $ 28)) (QREFELT $ 38))
           (QREFELT $ 26))
          |INTRVL;+;3$;17|)
         (GO #1#))))
      (EXIT
       (SPADCALL
        (SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 27))
         (QREFELT $ 39))
        (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 28))
         (QREFELT $ 39))
        (QREFELT $ 26)))))
    #1# (EXIT #1#))))) 

(DEFUN |INTRVL;-;3$;18| (|a| |b| $)
 (PROG (#1=#:G3645)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((SPADCALL |a| (QREFELT $ 36))
        (PROGN (LETT #1# (SPADCALL |b| (QREFELT $ 41)) |INTRVL;-;3$;18|)
         (GO #1#)))
       ((SPADCALL |b| (QREFELT $ 36))
        (PROGN (LETT #1# |a| |INTRVL;-;3$;18|) (GO #1#))))
      (EXIT
       (COND ((SPADCALL |a| |b| (QREFELT $ 37)) (|spadConstant| $ 21))
        ('T
         (SPADCALL
          (SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 28))
           (QREFELT $ 29))
          (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 27))
           (QREFELT $ 29))
          (QREFELT $ 26)))))))
    #1# (EXIT #1#))))) 

(DEFUN |INTRVL;*;3$;19| (|a| |b| $)
 (PROG (#1=#:G3651 |prods|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((SPADCALL |a| (QREFELT $ 43))
        (PROGN (LETT #1# |b| |INTRVL;*;3$;19|) (GO #1#)))
       ((SPADCALL |b| (QREFELT $ 43))
        (PROGN (LETT #1# |a| |INTRVL;*;3$;19|) (GO #1#))))
      (COND
       ((OR (SPADCALL |a| (QREFELT $ 36)) (SPADCALL |b| (QREFELT $ 36)))
        (PROGN (LETT #1# (|spadConstant| $ 21) |INTRVL;*;3$;19|) (GO #1#))))
      (LETT |prods|
       (SPADCALL
        (LIST
         (SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 27))
          (QREFELT $ 44))
         (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 28))
          (QREFELT $ 44))
         (SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 28))
          (QREFELT $ 44))
         (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 27))
          (QREFELT $ 44)))
        (QREFELT $ 46))
       |INTRVL;*;3$;19|)
      (EXIT
       (SPADCALL (|SPADfirst| |prods|) (SPADCALL |prods| (QREFELT $ 47))
        (QREFELT $ 26)))))
    #1# (EXIT #1#))))) 

(DEFUN |INTRVL;*;I2$;20| (|a| |b| $)
 (COND
  ((< 0 |a|)
   (SPADCALL (SPADCALL |a| (SPADCALL |b| (QREFELT $ 27)) (QREFELT $ 49))
    (SPADCALL |a| (SPADCALL |b| (QREFELT $ 28)) (QREFELT $ 49))
    (QREFELT $ 26)))
  ((< |a| 0)
   (SPADCALL (SPADCALL |a| (SPADCALL |b| (QREFELT $ 28)) (QREFELT $ 49))
    (SPADCALL |a| (SPADCALL |b| (QREFELT $ 27)) (QREFELT $ 49))
    (QREFELT $ 26)))
  ('T (|spadConstant| $ 21)))) 

(DEFUN |INTRVL;*;Pi2$;21| (|a| |b| $)
 (SPADCALL (SPADCALL |a| (SPADCALL |b| (QREFELT $ 27)) (QREFELT $ 38))
  (SPADCALL |a| (SPADCALL |b| (QREFELT $ 28)) (QREFELT $ 38)) (QREFELT $ 26))) 

(DEFUN |INTRVL;**;$Pi$;22| (|a| |n| $)
 (SEQ
  (COND
   ((SPADCALL |a| (|spadConstant| $ 32) (QREFELT $ 31))
    (COND
     ((ZEROP (REMAINDER2 |n| 2))
      (EXIT
       (SPADCALL (|spadConstant| $ 32)
        (SPADCALL (SPADCALL (SPADCALL |a| (QREFELT $ 27)) |n| (QREFELT $ 52))
         (SPADCALL (SPADCALL |a| (QREFELT $ 28)) |n| (QREFELT $ 52))
         (QREFELT $ 53))
        (QREFELT $ 20)))))))
  (EXIT
   (SPADCALL (SPADCALL (SPADCALL |a| (QREFELT $ 27)) |n| (QREFELT $ 52))
    (SPADCALL (SPADCALL |a| (QREFELT $ 28)) |n| (QREFELT $ 52))
    (QREFELT $ 20))))) 

(DEFUN |INTRVL;^;$Pi$;23| (|a| |n| $)
 (SEQ
  (COND
   ((SPADCALL |a| (|spadConstant| $ 32) (QREFELT $ 31))
    (COND
     ((ZEROP (REMAINDER2 |n| 2))
      (EXIT
       (SPADCALL (|spadConstant| $ 32)
        (SPADCALL (SPADCALL (SPADCALL |a| (QREFELT $ 27)) |n| (QREFELT $ 52))
         (SPADCALL (SPADCALL |a| (QREFELT $ 28)) |n| (QREFELT $ 52))
         (QREFELT $ 53))
        (QREFELT $ 20)))))))
  (EXIT
   (SPADCALL (SPADCALL (SPADCALL |a| (QREFELT $ 27)) |n| (QREFELT $ 52))
    (SPADCALL (SPADCALL |a| (QREFELT $ 28)) |n| (QREFELT $ 52))
    (QREFELT $ 20))))) 

(DEFUN |INTRVL;-;2$;24| (|a| $)
 (|INTRVL;exactInterval|
  (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (QREFELT $ 56))
  (SPADCALL (SPADCALL |a| (QREFELT $ 27)) (QREFELT $ 56)) $)) 

(DEFUN |INTRVL;=;2$B;25| (|a| |b| $)
 (COND
  ((SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 27))
    (QREFELT $ 57))
   (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 28))
    (QREFELT $ 57)))
  ('T 'NIL))) 

(DEFUN |INTRVL;~=;2$B;26| (|a| |b| $)
 (COND
  ((SPADCALL (SPADCALL |a| (QREFELT $ 27)) (SPADCALL |b| (QREFELT $ 27))
    (QREFELT $ 58))
   'T)
  ('T
   (SPADCALL (SPADCALL |a| (QREFELT $ 28)) (SPADCALL |b| (QREFELT $ 28))
    (QREFELT $ 58))))) 

(DEFUN |INTRVL;One;$;27| ($)
 (PROG (|one|)
  (RETURN
   (SEQ
    (LETT |one| (|INTRVL;normaliseFloat| (|spadConstant| $ 11) $)
     |INTRVL;One;$;27|)
    (EXIT (CONS |one| |one|)))))) 

(DEFUN |INTRVL;Zero;$;28| ($)
 (CONS (|spadConstant| $ 32) (|spadConstant| $ 32))) 

(DEFUN |INTRVL;recip;$U;29| (|u| $)
 (PROG (|vals|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |u| (|spadConstant| $ 32) (QREFELT $ 31)) (CONS 1 "failed"))
     ('T
      (SEQ
       (LETT |vals|
        (SPADCALL
         (LIST
          (SPADCALL (|spadConstant| $ 11) (SPADCALL |u| (QREFELT $ 27))
           (QREFELT $ 60))
          (SPADCALL (|spadConstant| $ 11) (SPADCALL |u| (QREFELT $ 28))
           (QREFELT $ 60)))
         (QREFELT $ 46))
        |INTRVL;recip;$U;29|)
       (EXIT
        (CONS 0
         (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
          (QREFELT $ 26))))))))))) 

(DEFUN |INTRVL;unit?;$B;30| (|u| $)
 (SPADCALL |u| (|spadConstant| $ 32) (QREFELT $ 31))) 

(DEFUN |INTRVL;exquo;2$U;31| (|u| |v| $)
 (PROG (|vals|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |v| (|spadConstant| $ 32) (QREFELT $ 31)) (CONS 1 "failed"))
     ((SPADCALL |v| (QREFELT $ 43)) (CONS 0 |u|))
     ((SPADCALL |u| |v| (QREFELT $ 37)) (CONS 0 (|spadConstant| $ 10)))
     ('T
      (COND
       ((SPADCALL |u| (SPADCALL |v| (QREFELT $ 41)) (QREFELT $ 37))
        (CONS 0 (SPADCALL (|spadConstant| $ 10) (QREFELT $ 41))))
       ('T
        (SEQ
         (LETT |vals|
          (SPADCALL
           (LIST
            (SPADCALL (SPADCALL |u| (QREFELT $ 27))
             (SPADCALL |v| (QREFELT $ 27)) (QREFELT $ 60))
            (SPADCALL (SPADCALL |u| (QREFELT $ 27))
             (SPADCALL |v| (QREFELT $ 28)) (QREFELT $ 60))
            (SPADCALL (SPADCALL |u| (QREFELT $ 28))
             (SPADCALL |v| (QREFELT $ 27)) (QREFELT $ 60))
            (SPADCALL (SPADCALL |u| (QREFELT $ 28))
             (SPADCALL |v| (QREFELT $ 28)) (QREFELT $ 60)))
           (QREFELT $ 46))
          |INTRVL;exquo;2$U;31|)
         (EXIT
          (CONS 0
           (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
            (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;gcd;3$;32| (|u| |v| $) (|spadConstant| $ 10)) 

(DEFUN |INTRVL;coerce;I$;33| (|u| $)
 (PROG (|ur|)
  (RETURN
   (SEQ
    (LETT |ur| (|INTRVL;normaliseFloat| (SPADCALL |u| (QREFELT $ 66)) $)
     |INTRVL;coerce;I$;33|)
    (EXIT (|INTRVL;exactInterval| |ur| |ur| $)))))) 

(DEFUN |INTRVL;interval;F$;34| (|u| $)
 (PROG (|bin| |flt|)
  (RETURN
   (SEQ (LETT |flt| (SPADCALL |u| (QREFELT $ 69)) |INTRVL;interval;F$;34|)
    (LETT |bin|
     (SPADCALL
      (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 70)) (QREFELT $ 72))
       (QREFELT $ 74))
      (QREFELT $ 75))
     |INTRVL;interval;F$;34|)
    (COND
     ((QEQCAR |bin| 0)
      (COND
       ((< (INTEGER-LENGTH (SPADCALL |u| (QREFELT $ 76)))
         (SPADCALL (QREFELT $ 13)))
        (EXIT
         (SEQ
          (LETT |flt| (|INTRVL;normaliseFloat| |flt| $)
           |INTRVL;interval;F$;34|)
          (EXIT (|INTRVL;exactInterval| |flt| |flt| $))))))))
    (EXIT (SPADCALL |flt| |flt| (QREFELT $ 26))))))) 

(DEFUN |INTRVL;retractIfCan;$U;35| (|u| $)
 (COND
  ((NULL (SPADCALL (SPADCALL |u| (QREFELT $ 30)) (QREFELT $ 9)))
   (CONS 1 "failed"))
  ('T (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 24))))) 

(DEFUN |INTRVL;retract;$I;36| (|u| $)
 (COND
  ((NULL (SPADCALL (SPADCALL |u| (QREFELT $ 30)) (QREFELT $ 9)))
   (|error| "attempt to retract a non-Integer interval to an Integer"))
  ('T (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 79))))) 

(DEFUN |INTRVL;coerce;$Of;37| (|u| $)
 (SPADCALL
  (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 82))
   (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 82)))
  (QREFELT $ 84))) 

(PUT '|INTRVL;characteristic;Nni;38| '|SPADreplace| '(XLAM NIL 0)) 

(DEFUN |INTRVL;characteristic;Nni;38| ($) 0) 

(DEFUN |INTRVL;pi;$;39| ($)
 (SPADCALL (SPADCALL (QREFELT $ 88)) (SPADCALL (QREFELT $ 88)) (QREFELT $ 26))) 

(DEFUN |INTRVL;log;2$;40| (|u| $)
 (COND
  ((SPADCALL |u| (QREFELT $ 33))
   (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 90))
    (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 90)) (QREFELT $ 26)))
  ('T (|error| "negative logs in interval")))) 

(DEFUN |INTRVL;exp;2$;41| (|u| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 92))
  (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 92)) (QREFELT $ 26))) 

(DEFUN |INTRVL;**;3$;42| (|u| |v| $)
 (PROG (|expts|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |v| (QREFELT $ 36))
      (COND ((SPADCALL |u| (QREFELT $ 36)) (|error| "0**0 is undefined"))
       ('T (|spadConstant| $ 10))))
     ((SPADCALL |u| (QREFELT $ 43)) (|spadConstant| $ 10))
     ('T
      (SEQ
       (LETT |expts|
        (SPADCALL
         (LIST
          (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (SPADCALL |v| (QREFELT $ 27))
           (QREFELT $ 94))
          (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (SPADCALL |v| (QREFELT $ 28))
           (QREFELT $ 94))
          (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (SPADCALL |v| (QREFELT $ 28))
           (QREFELT $ 94))
          (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (SPADCALL |v| (QREFELT $ 27))
           (QREFELT $ 94)))
         (QREFELT $ 46))
        |INTRVL;**;3$;42|)
       (EXIT
        (SPADCALL (|SPADfirst| |expts|) (SPADCALL |expts| (QREFELT $ 47))
         (QREFELT $ 26)))))))))) 

(DEFUN |INTRVL;hasTwoPiMultiple| (|offset| |ipi| |i| $)
 (PROG (|next|)
  (RETURN
   (SEQ
    (LETT |next|
     (SPADCALL
      (SPADCALL
       (SPADCALL
        (SPADCALL (SPADCALL |i| (QREFELT $ 27)) |offset| (QREFELT $ 29))
        (SPADCALL 2 |ipi| (QREFELT $ 38)) (QREFELT $ 60))
       (QREFELT $ 96))
      (QREFELT $ 79))
     |INTRVL;hasTwoPiMultiple|)
    (EXIT
     (SPADCALL |i|
      (SPADCALL |offset|
       (SPADCALL (SPADCALL 2 |next| (QREFELT $ 97)) |ipi| (QREFELT $ 49))
       (QREFELT $ 39))
      (QREFELT $ 31))))))) 

(DEFUN |INTRVL;hasPiMultiple| (|offset| |ipi| |i| $)
 (PROG (|next|)
  (RETURN
   (SEQ
    (LETT |next|
     (SPADCALL
      (SPADCALL
       (SPADCALL
        (SPADCALL (SPADCALL |i| (QREFELT $ 27)) |offset| (QREFELT $ 29)) |ipi|
        (QREFELT $ 60))
       (QREFELT $ 96))
      (QREFELT $ 79))
     |INTRVL;hasPiMultiple|)
    (EXIT
     (SPADCALL |i|
      (SPADCALL |offset| (SPADCALL |next| |ipi| (QREFELT $ 49)) (QREFELT $ 39))
      (QREFELT $ 31))))))) 

(DEFUN |INTRVL;sin;2$;45| (|u| $)
 (PROG (|ipi| |hasOne?| |hasMinusOne?| |vals|)
  (RETURN
   (SEQ (LETT |ipi| (SPADCALL (QREFELT $ 88)) |INTRVL;sin;2$;45|)
    (LETT |hasOne?|
     (|INTRVL;hasTwoPiMultiple|
      (SPADCALL |ipi| (SPADCALL 2 (QREFELT $ 66)) (QREFELT $ 60)) |ipi| |u| $)
     |INTRVL;sin;2$;45|)
    (LETT |hasMinusOne?|
     (|INTRVL;hasTwoPiMultiple|
      (SPADCALL (SPADCALL 3 |ipi| (QREFELT $ 38)) (SPADCALL 2 (QREFELT $ 66))
       (QREFELT $ 60))
      |ipi| |u| $)
     |INTRVL;sin;2$;45|)
    (EXIT
     (COND
      (|hasOne?|
       (COND
        (|hasMinusOne?|
         (|INTRVL;exactInterval|
          (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) (|spadConstant| $ 11)
          $))
        ('T
         (SEQ
          (LETT |vals|
           (SPADCALL
            (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 98))
             (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 98)))
            (QREFELT $ 46))
           |INTRVL;sin;2$;45|)
          (EXIT
           (COND
            (|hasOne?|
             (|INTRVL;exactSupInterval| (|SPADfirst| |vals|)
              (|spadConstant| $ 11) $))
            (|hasMinusOne?|
             (|INTRVL;exactInfInterval|
              (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
              (SPADCALL |vals| (QREFELT $ 47)) $))
            ('T
             (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
              (QREFELT $ 26)))))))))
      ('T
       (SEQ
        (LETT |vals|
         (SPADCALL
          (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 98))
           (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 98)))
          (QREFELT $ 46))
         |INTRVL;sin;2$;45|)
        (EXIT
         (COND
          (|hasOne?|
           (|INTRVL;exactSupInterval| (|SPADfirst| |vals|)
            (|spadConstant| $ 11) $))
          (|hasMinusOne?|
           (|INTRVL;exactInfInterval|
            (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
            (SPADCALL |vals| (QREFELT $ 47)) $))
          ('T
           (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
            (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;cos;2$;46| (|u| $)
 (PROG (|ipi| |hasOne?| |hasMinusOne?| |vals|)
  (RETURN
   (SEQ (LETT |ipi| (SPADCALL (QREFELT $ 88)) |INTRVL;cos;2$;46|)
    (LETT |hasOne?|
     (|INTRVL;hasTwoPiMultiple| (|spadConstant| $ 32) |ipi| |u| $)
     |INTRVL;cos;2$;46|)
    (LETT |hasMinusOne?| (|INTRVL;hasTwoPiMultiple| |ipi| |ipi| |u| $)
     |INTRVL;cos;2$;46|)
    (EXIT
     (COND
      (|hasOne?|
       (COND
        (|hasMinusOne?|
         (|INTRVL;exactInterval|
          (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) (|spadConstant| $ 11)
          $))
        ('T
         (SEQ
          (LETT |vals|
           (SPADCALL
            (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 100))
             (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 100)))
            (QREFELT $ 46))
           |INTRVL;cos;2$;46|)
          (EXIT
           (COND
            (|hasOne?|
             (|INTRVL;exactSupInterval| (|SPADfirst| |vals|)
              (|spadConstant| $ 11) $))
            (|hasMinusOne?|
             (|INTRVL;exactInfInterval|
              (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
              (SPADCALL |vals| (QREFELT $ 47)) $))
            ('T
             (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
              (QREFELT $ 26)))))))))
      ('T
       (SEQ
        (LETT |vals|
         (SPADCALL
          (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 100))
           (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 100)))
          (QREFELT $ 46))
         |INTRVL;cos;2$;46|)
        (EXIT
         (COND
          (|hasOne?|
           (|INTRVL;exactSupInterval| (|SPADfirst| |vals|)
            (|spadConstant| $ 11) $))
          (|hasMinusOne?|
           (|INTRVL;exactInfInterval|
            (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
            (SPADCALL |vals| (QREFELT $ 47)) $))
          ('T
           (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
            (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;tan;2$;47| (|u| $)
 (PROG (|ipi| |lo| |hi|)
  (RETURN
   (SEQ (LETT |ipi| (SPADCALL (QREFELT $ 88)) |INTRVL;tan;2$;47|)
    (EXIT
     (COND
      ((SPADCALL |ipi| (SPADCALL |u| (QREFELT $ 30)) (QREFELT $ 19))
       (|error| "Interval contains a singularity"))
      ('T
       (SEQ
        (LETT |lo| (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 102))
         |INTRVL;tan;2$;47|)
        (LETT |hi| (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 102))
         |INTRVL;tan;2$;47|)
        (EXIT
         (COND
          ((SPADCALL |hi| |lo| (QREFELT $ 19))
           (|error| "Interval contains a singularity"))
          ('T (SPADCALL |lo| |hi| (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;csc;2$;48| (|u| $)
 (PROG (|ipi| |vals|)
  (RETURN
   (SEQ (LETT |ipi| (SPADCALL (QREFELT $ 88)) |INTRVL;csc;2$;48|)
    (EXIT
     (COND
      ((SPADCALL |ipi| (SPADCALL |u| (QREFELT $ 30)) (QREFELT $ 19))
       (|error| "Interval contains a singularity"))
      ('T
       (SEQ
        (COND
         ((|INTRVL;hasPiMultiple| (|spadConstant| $ 32) |ipi| |u| $)
          (|error| "Interval contains a singularity")))
        (LETT |vals|
         (SPADCALL
          (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 104))
           (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 104)))
          (QREFELT $ 46))
         |INTRVL;csc;2$;48|)
        (EXIT
         (COND
          ((|INTRVL;hasTwoPiMultiple|
            (SPADCALL |ipi| (SPADCALL 2 (QREFELT $ 66)) (QREFELT $ 60)) |ipi|
            |u| $)
           (|INTRVL;exactInfInterval| (|spadConstant| $ 11)
            (SPADCALL |vals| (QREFELT $ 47)) $))
          ((|INTRVL;hasTwoPiMultiple|
            (SPADCALL (SPADCALL 3 |ipi| (QREFELT $ 38))
             (SPADCALL 2 (QREFELT $ 66)) (QREFELT $ 60))
            |ipi| |u| $)
           (|INTRVL;exactSupInterval| (|SPADfirst| |vals|)
            (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) $))
          ('T
           (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
            (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;sec;2$;49| (|u| $)
 (PROG (|ipi| |vals|)
  (RETURN
   (SEQ (LETT |ipi| (SPADCALL (QREFELT $ 88)) |INTRVL;sec;2$;49|)
    (EXIT
     (COND
      ((SPADCALL |ipi| (SPADCALL |u| (QREFELT $ 30)) (QREFELT $ 19))
       (|error| "Interval contains a singularity"))
      ('T
       (SEQ
        (COND
         ((|INTRVL;hasPiMultiple|
           (SPADCALL |ipi| (SPADCALL 2 (QREFELT $ 66)) (QREFELT $ 60)) |ipi|
           |u| $)
          (|error| "Interval contains a singularity")))
        (LETT |vals|
         (SPADCALL
          (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 106))
           (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 106)))
          (QREFELT $ 46))
         |INTRVL;sec;2$;49|)
        (EXIT
         (COND
          ((|INTRVL;hasTwoPiMultiple| (|spadConstant| $ 32) |ipi| |u| $)
           (|INTRVL;exactInfInterval| (|spadConstant| $ 11)
            (SPADCALL |vals| (QREFELT $ 47)) $))
          ((|INTRVL;hasTwoPiMultiple| |ipi| |ipi| |u| $)
           (|INTRVL;exactSupInterval| (|SPADfirst| |vals|)
            (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) $))
          ('T
           (SPADCALL (|SPADfirst| |vals|) (SPADCALL |vals| (QREFELT $ 47))
            (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;cot;2$;50| (|u| $)
 (PROG (|ipi| |hi| |lo|)
  (RETURN
   (SEQ (LETT |ipi| (SPADCALL (QREFELT $ 88)) |INTRVL;cot;2$;50|)
    (EXIT
     (COND
      ((SPADCALL |ipi| (SPADCALL |u| (QREFELT $ 30)) (QREFELT $ 19))
       (|error| "Interval contains a singularity"))
      ('T
       (SEQ
        (LETT |hi| (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 108))
         |INTRVL;cot;2$;50|)
        (LETT |lo| (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 108))
         |INTRVL;cot;2$;50|)
        (EXIT
         (COND
          ((SPADCALL |hi| |lo| (QREFELT $ 19))
           (|error| "Interval contains a singularity"))
          ('T (SPADCALL |lo| |hi| (QREFELT $ 26))))))))))))) 

(DEFUN |INTRVL;asin;2$;51| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;asin;2$;51|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;asin;2$;51|)
    (COND
     ((OR
       (SPADCALL |lo| (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
        (QREFELT $ 19))
       (SPADCALL (|spadConstant| $ 11) |hi| (QREFELT $ 19)))
      (|error| "asin only defined on the region -1..1")))
    (EXIT
     (SPADCALL (SPADCALL |lo| (QREFELT $ 110)) (SPADCALL |hi| (QREFELT $ 110))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;acos;2$;52| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;acos;2$;52|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;acos;2$;52|)
    (COND
     ((OR
       (SPADCALL |lo| (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
        (QREFELT $ 19))
       (SPADCALL (|spadConstant| $ 11) |hi| (QREFELT $ 19)))
      (|error| "acos only defined on the region -1..1")))
    (EXIT
     (SPADCALL (SPADCALL |hi| (QREFELT $ 112)) (SPADCALL |lo| (QREFELT $ 112))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;atan;2$;53| (|u| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 114))
  (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 114)) (QREFELT $ 26))) 

(DEFUN |INTRVL;acot;2$;54| (|u| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 116))
  (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 116)) (QREFELT $ 26))) 

(DEFUN |INTRVL;acsc;2$;55| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;acsc;2$;55|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;acsc;2$;55|)
    (COND
     ((OR
       (SPADCALL (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) |lo|
        (QREFELT $ 19))
       (SPADCALL |hi| (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
        (QREFELT $ 19)))
      (COND
       ((NULL (SPADCALL (|spadConstant| $ 11) |lo| (QREFELT $ 19)))
        (COND
         ((NULL (SPADCALL |hi| (|spadConstant| $ 11) (QREFELT $ 19)))
          (|error| #1="acsc not defined on the region -1..1"))))))
     ('T (|error| #1#)))
    (EXIT
     (SPADCALL (SPADCALL |hi| (QREFELT $ 118)) (SPADCALL |lo| (QREFELT $ 118))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;asec;2$;56| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;asec;2$;56|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;asec;2$;56|)
    (COND
     ((SPADCALL |lo| (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
       (QREFELT $ 19))
      (COND
       ((SPADCALL (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) |hi|
         (QREFELT $ 19))
        (|error| #1="asec not defined on the region -1..1"))
       ((SPADCALL |lo| (|spadConstant| $ 11) (QREFELT $ 19))
        (COND
         ((SPADCALL (|spadConstant| $ 11) |hi| (QREFELT $ 19))
          (|error| #1#))))))
     ((SPADCALL |lo| (|spadConstant| $ 11) (QREFELT $ 19))
      (COND
       ((SPADCALL (|spadConstant| $ 11) |hi| (QREFELT $ 19)) (|error| #1#)))))
    (EXIT
     (SPADCALL (SPADCALL |lo| (QREFELT $ 120)) (SPADCALL |hi| (QREFELT $ 120))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;tanh;2$;57| (|u| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 122))
  (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 122)) (QREFELT $ 26))) 

(DEFUN |INTRVL;sinh;2$;58| (|u| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 124))
  (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 124)) (QREFELT $ 26))) 

(DEFUN |INTRVL;sech;2$;59| (|u| $)
 (PROG (|vals|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |u| (QREFELT $ 34))
      (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 126))
       (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 126))
       (QREFELT $ 26)))
     ((SPADCALL |u| (QREFELT $ 33))
      (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 126))
       (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 126))
       (QREFELT $ 26)))
     ('T
      (SEQ
       (LETT |vals|
        (SPADCALL
         (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 126))
          (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 126)))
         (QREFELT $ 46))
        |INTRVL;sech;2$;59|)
       (EXIT
        (|INTRVL;exactSupInterval| (|SPADfirst| |vals|) (|spadConstant| $ 11)
         $))))))))) 

(DEFUN |INTRVL;cosh;2$;60| (|u| $)
 (PROG (|vals|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |u| (QREFELT $ 34))
      (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 128))
       (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 128))
       (QREFELT $ 26)))
     ((SPADCALL |u| (QREFELT $ 33))
      (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 128))
       (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 128))
       (QREFELT $ 26)))
     ('T
      (SEQ
       (LETT |vals|
        (SPADCALL
         (LIST (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 128))
          (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 128)))
         (QREFELT $ 46))
        |INTRVL;cosh;2$;60|)
       (EXIT
        (|INTRVL;exactInfInterval| (|spadConstant| $ 11)
         (SPADCALL |vals| (QREFELT $ 47)) $))))))))) 

(DEFUN |INTRVL;csch;2$;61| (|u| $)
 (COND
  ((SPADCALL |u| (|spadConstant| $ 32) (QREFELT $ 31))
   (|error| "csch: singularity at zero"))
  ('T
   (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 130))
    (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 130)) (QREFELT $ 26))))) 

(DEFUN |INTRVL;coth;2$;62| (|u| $)
 (COND
  ((SPADCALL |u| (|spadConstant| $ 32) (QREFELT $ 31))
   (|error| "coth: singularity at zero"))
  ('T
   (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 132))
    (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 132)) (QREFELT $ 26))))) 

(DEFUN |INTRVL;acosh;2$;63| (|u| $)
 (COND
  ((SPADCALL (SPADCALL |u| (QREFELT $ 27)) (|spadConstant| $ 11)
    (QREFELT $ 19))
   (|error| "invalid argument: acosh only defined on the region 1.."))
  ('T
   (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 134))
    (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 134)) (QREFELT $ 26))))) 

(DEFUN |INTRVL;acoth;2$;64| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;acoth;2$;64|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;acoth;2$;64|)
    (COND
     ((OR
       (SPADCALL (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) |lo|
        (QREFELT $ 19))
       (SPADCALL |hi| (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56))
        (QREFELT $ 19)))
      (COND
       ((NULL (SPADCALL (|spadConstant| $ 11) |lo| (QREFELT $ 19)))
        (COND
         ((NULL (SPADCALL |hi| (|spadConstant| $ 11) (QREFELT $ 19)))
          (|error| #1="acoth not defined on the region -1..1"))))))
     ('T (|error| #1#)))
    (EXIT
     (SPADCALL (SPADCALL |hi| (QREFELT $ 136)) (SPADCALL |lo| (QREFELT $ 136))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;acsch;2$;65| (|u| $)
 (COND
  ((SPADCALL |u| (|spadConstant| $ 32) (QREFELT $ 31))
   (|error| "acsch: singularity at zero"))
  ('T
   (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 138))
    (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 138)) (QREFELT $ 26))))) 

(DEFUN |INTRVL;asech;2$;66| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;asech;2$;66|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;asech;2$;66|)
    (COND
     ((SPADCALL (|spadConstant| $ 32) |lo| (QREFELT $ 19))
      (COND
       ((SPADCALL (|spadConstant| $ 11) |hi| (QREFELT $ 19))
        (|error| #1="asech only defined on the region 0 < x <= 1"))))
     ('T (|error| #1#)))
    (EXIT
     (SPADCALL (SPADCALL |hi| (QREFELT $ 140)) (SPADCALL |lo| (QREFELT $ 140))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;asinh;2$;67| (|u| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) (QREFELT $ 142))
  (SPADCALL (SPADCALL |u| (QREFELT $ 28)) (QREFELT $ 142)) (QREFELT $ 26))) 

(DEFUN |INTRVL;atanh;2$;68| (|u| $)
 (PROG (|lo| |hi|)
  (RETURN
   (SEQ (LETT |lo| (SPADCALL |u| (QREFELT $ 27)) |INTRVL;atanh;2$;68|)
    (LETT |hi| (SPADCALL |u| (QREFELT $ 28)) |INTRVL;atanh;2$;68|)
    (COND
     ((SPADCALL (SPADCALL (|spadConstant| $ 11) (QREFELT $ 56)) |lo|
       (QREFELT $ 19))
      (COND
       ((NULL (SPADCALL |hi| (|spadConstant| $ 11) (QREFELT $ 19)))
        (|error| #1="atanh only defined on the region -1 < x < 1"))))
     ('T (|error| #1#)))
    (EXIT
     (SPADCALL (SPADCALL |lo| (QREFELT $ 144)) (SPADCALL |hi| (QREFELT $ 144))
      (QREFELT $ 26))))))) 

(DEFUN |INTRVL;**;$F$;69| (|u| |n| $)
 (SPADCALL (SPADCALL (SPADCALL |u| (QREFELT $ 27)) |n| (QREFELT $ 146))
  (SPADCALL (SPADCALL |u| (QREFELT $ 28)) |n| (QREFELT $ 146)) (QREFELT $ 20))) 

(DEFUN |Interval| (#1=#:G3813)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3814)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|Interval|) '|domainEqualList|)
        |Interval|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT (PROG1 (|Interval;| #1#) (LETT #2# T |Interval|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|Interval|))))))))))) 

(DEFUN |Interval;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|Interval|))
    (LETT |dv$| (LIST '|Interval| DV$1) . #1#) (LETT $ (GETREFV 152) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|Interval| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (QSETREFV $ 7 (|Record| (|:| |Inf| |#1|) (|:| |Sup| |#1|))) $)))) 

(MAKEPROP '|Interval| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) '|Rep| (|Boolean|) (0 . |zero?|)
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |INTRVL;One;$;27|) $))
     (5 . |One|) (|PositiveInteger|) (9 . |bits|) (|Integer|) (13 . |float|)
     (19 . |mantissa|) (24 . |exponent|) (29 . |base|) (33 . <)
     |INTRVL;interval;2R$;4|
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |INTRVL;Zero;$;28|) $))
     (39 . |one?|) (|Union| 14 '"failed") (44 . |retractIfCan|)
     |INTRVL;interval;R$;5| |INTRVL;qinterval;2R$;6| |INTRVL;inf;$R;10|
     |INTRVL;sup;$R;11| (49 . -) |INTRVL;width;$R;12| |INTRVL;contains?;$RB;13|
     (55 . |Zero|) |INTRVL;positive?;$B;14| |INTRVL;negative?;$B;15|
     |INTRVL;<;2$B;16| (59 . |zero?|) |INTRVL;=;2$B;25| (64 . *) (70 . +)
     |INTRVL;+;3$;17| |INTRVL;-;2$;24| |INTRVL;-;3$;18| (76 . |one?|) (81 . *)
     (|List| 6) (87 . |sort|) (92 . |last|) |INTRVL;*;3$;19| (97 . *)
     |INTRVL;*;I2$;20| |INTRVL;*;Pi2$;21| (103 . **) (109 . |max|)
     |INTRVL;**;$Pi$;22| |INTRVL;^;$Pi$;23| (115 . -) (120 . =) (126 . ~=)
     |INTRVL;~=;2$B;26| (132 . /) (|Union| $ '"failed") |INTRVL;recip;$U;29|
     |INTRVL;unit?;$B;30| |INTRVL;exquo;2$U;31| |INTRVL;gcd;3$;32|
     (138 . |coerce|) |INTRVL;coerce;I$;33| (|Fraction| 14) (143 . |coerce|)
     (148 . |denom|) (|Float|) (153 . |coerce|) (158 . |log2|) (162 . |log2|)
     (167 . |retractIfCan|) (172 . |numer|) |INTRVL;interval;F$;34|
     |INTRVL;retractIfCan;$U;35| (177 . |retract|) |INTRVL;retract;$I;36|
     (|OutputForm|) (182 . |coerce|) (|List| $) (187 . |bracket|)
     |INTRVL;coerce;$Of;37| (|NonNegativeInteger|)
     |INTRVL;characteristic;Nni;38| (192 . |pi|) |INTRVL;pi;$;39| (196 . |log|)
     |INTRVL;log;2$;40| (201 . |exp|) |INTRVL;exp;2$;41| (206 . **)
     |INTRVL;**;3$;42| (212 . |ceiling|) (217 . *) (223 . |sin|)
     |INTRVL;sin;2$;45| (228 . |cos|) |INTRVL;cos;2$;46| (233 . |tan|)
     |INTRVL;tan;2$;47| (238 . |csc|) |INTRVL;csc;2$;48| (243 . |sec|)
     |INTRVL;sec;2$;49| (248 . |cot|) |INTRVL;cot;2$;50| (253 . |asin|)
     |INTRVL;asin;2$;51| (258 . |acos|) |INTRVL;acos;2$;52| (263 . |atan|)
     |INTRVL;atan;2$;53| (268 . |acot|) |INTRVL;acot;2$;54| (273 . |acsc|)
     |INTRVL;acsc;2$;55| (278 . |asec|) |INTRVL;asec;2$;56| (283 . |tanh|)
     |INTRVL;tanh;2$;57| (288 . |sinh|) |INTRVL;sinh;2$;58| (293 . |sech|)
     |INTRVL;sech;2$;59| (298 . |cosh|) |INTRVL;cosh;2$;60| (303 . |csch|)
     |INTRVL;csch;2$;61| (308 . |coth|) |INTRVL;coth;2$;62| (313 . |acosh|)
     |INTRVL;acosh;2$;63| (318 . |acoth|) |INTRVL;acoth;2$;64| (323 . |acsch|)
     |INTRVL;acsch;2$;65| (328 . |asech|) |INTRVL;asech;2$;66| (333 . |asinh|)
     |INTRVL;asinh;2$;67| (338 . |atanh|) |INTRVL;atanh;2$;68| (343 . **)
     |INTRVL;**;$F$;69| (|SparseUnivariatePolynomial| $)
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|SingleInteger|) (|String|))
  '#(~= 349 |zero?| 355 |width| 360 |unitNormal| 365 |unitCanonical| 370
     |unit?| 375 |tanh| 380 |tan| 385 |sup| 390 |subtractIfCan| 395 |sqrt| 401
     |sinh| 406 |sin| 411 |sech| 416 |sec| 421 |sample| 426 |retractIfCan| 430
     |retract| 435 |recip| 440 |qinterval| 445 |positive?| 451 |pi| 456 |one?|
     460 |nthRoot| 465 |negative?| 471 |min| 476 |max| 482 |log| 488 |lcm| 493
     |latex| 504 |interval| 509 |inf| 525 |hash| 530 |gcdPolynomial| 535 |gcd|
     541 |exquo| 552 |exp| 558 |csch| 563 |csc| 568 |coth| 573 |cot| 578 |cosh|
     583 |cos| 588 |contains?| 593 |coerce| 599 |characteristic| 619 |atanh|
     623 |atan| 628 |associates?| 633 |asinh| 639 |asin| 644 |asech| 649 |asec|
     654 |acsch| 659 |acsc| 664 |acoth| 669 |acot| 674 |acosh| 679 |acos| 684 ^
     689 |Zero| 701 |One| 705 >= 709 > 715 = 721 <= 727 < 733 - 739 + 750 **
     756 * 780)
  '((|approximate| . 0) (|noZeroDivisors| . 0) ((|commutative| "*") . 0)
    (|rightUnitary| . 0) (|leftUnitary| . 0) (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 1
    '(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0))
   (CONS
    '#(NIL |GcdDomain&| |IntegralDomain&| |Algebra&| NIL NIL |Module&| NIL
       |Ring&| NIL NIL NIL |AbelianGroup&| NIL |AbelianMonoid&| |Monoid&|
       |OrderedSet&| |AbelianSemiGroup&| |SemiGroup&|
       |TranscendentalFunctionCategory&| |SetCategory&| |RetractableTo&|
       |RadicalCategory&| |ElementaryFunctionCategory&| NIL
       |HyperbolicFunctionCategory&| |ArcTrigonometricFunctionCategory&|
       |TrigonometricFunctionCategory&| |BasicType&| NIL)
    (CONS
     '#((|IntervalCategory| 6) (|GcdDomain|) (|IntegralDomain|) (|Algebra| $$)
        (|CommutativeRing|) (|EntireRing|) (|Module| $$) (|BiModule| $$ $$)
        (|Ring|) (|LeftModule| $$) (|Rng|) (|RightModule| $$) (|AbelianGroup|)
        (|CancellationAbelianMonoid|) (|AbelianMonoid|) (|Monoid|)
        (|OrderedSet|) (|AbelianSemiGroup|) (|SemiGroup|)
        (|TranscendentalFunctionCategory|) (|SetCategory|) (|RetractableTo| 14)
        (|RadicalCategory|) (|ElementaryFunctionCategory|)
        (|ArcHyperbolicFunctionCategory|) (|HyperbolicFunctionCategory|)
        (|ArcTrigonometricFunctionCategory|) (|TrigonometricFunctionCategory|)
        (|BasicType|) (|CoercibleTo| 81))
     (|makeByteWordVec2| 151
      '(1 6 8 0 9 0 6 0 11 0 6 12 13 2 6 0 14 14 15 1 6 14 0 16 1 6 14 0 17 0 6
        12 18 2 6 8 0 0 19 1 6 8 0 22 1 6 23 0 24 2 6 0 0 0 29 0 6 0 32 1 0 8 0
        36 2 6 0 12 0 38 2 6 0 0 0 39 1 0 8 0 43 2 6 0 0 0 44 1 45 0 0 46 1 45
        6 0 47 2 6 0 14 0 49 2 6 0 0 12 52 2 6 0 0 0 53 1 6 0 0 56 2 6 8 0 0 57
        2 6 8 0 0 58 2 6 0 0 0 60 1 6 0 14 66 1 6 0 68 69 1 68 14 0 70 1 71 0
        14 72 0 71 0 73 1 71 0 0 74 1 71 23 0 75 1 68 14 0 76 1 6 14 0 79 1 6
        81 0 82 1 81 0 83 84 0 6 0 88 1 6 0 0 90 1 6 0 0 92 2 6 0 0 0 94 1 6 0
        0 96 2 14 0 12 0 97 1 6 0 0 98 1 6 0 0 100 1 6 0 0 102 1 6 0 0 104 1 6
        0 0 106 1 6 0 0 108 1 6 0 0 110 1 6 0 0 112 1 6 0 0 114 1 6 0 0 116 1 6
        0 0 118 1 6 0 0 120 1 6 0 0 122 1 6 0 0 124 1 6 0 0 126 1 6 0 0 128 1 6
        0 0 130 1 6 0 0 132 1 6 0 0 134 1 6 0 0 136 1 6 0 0 138 1 6 0 0 140 1 6
        0 0 142 1 6 0 0 144 2 6 0 0 68 146 2 0 8 0 0 59 1 0 8 0 36 1 0 6 0 30 1
        0 149 0 1 1 0 0 0 1 1 0 8 0 63 1 0 0 0 123 1 0 0 0 103 1 0 6 0 28 2 0
        61 0 0 1 1 0 0 0 1 1 0 0 0 125 1 0 0 0 99 1 0 0 0 127 1 0 0 0 107 0 0 0
        1 1 0 23 0 78 1 0 14 0 80 1 0 61 0 62 2 0 0 6 6 26 1 0 8 0 33 0 0 0 89
        1 0 8 0 43 2 0 0 0 14 1 1 0 8 0 34 2 0 0 0 0 1 2 0 0 0 0 1 1 0 0 0 91 2
        0 0 0 0 1 1 0 0 83 1 1 0 151 0 1 1 0 0 68 77 1 0 0 6 25 2 0 0 6 6 20 1
        0 6 0 27 1 0 150 0 1 2 0 148 148 148 1 2 0 0 0 0 65 1 0 0 83 1 2 0 61 0
        0 64 1 0 0 0 93 1 0 0 0 131 1 0 0 0 105 1 0 0 0 133 1 0 0 0 109 1 0 0 0
        129 1 0 0 0 101 2 0 8 0 6 31 1 0 0 14 67 1 0 0 0 1 1 0 0 14 67 1 0 81 0
        85 0 0 86 87 1 0 0 0 145 1 0 0 0 115 2 0 8 0 0 1 1 0 0 0 143 1 0 0 0
        111 1 0 0 0 141 1 0 0 0 121 1 0 0 0 139 1 0 0 0 119 1 0 0 0 137 1 0 0 0
        117 1 0 0 0 135 1 0 0 0 113 2 0 0 0 86 1 2 0 0 0 12 55 0 0 0 21 0 0 0
        10 2 0 8 0 0 1 2 0 8 0 0 1 2 0 8 0 0 37 2 0 8 0 0 1 2 0 8 0 0 35 2 0 0
        0 0 42 1 0 0 0 41 2 0 0 0 0 40 2 0 0 0 68 147 2 0 0 0 0 95 2 0 0 0 86 1
        2 0 0 0 12 54 2 0 0 0 0 48 2 0 0 14 0 50 2 0 0 86 0 1 2 0 0 12 0
        51)))))
  '|lookupComplete|)) 
