
(/VERSIONCHECK 2) 

(DEFUN |LAPLACE;laplace;F2SF;1| (|f| |t| |s| $)
 (|LAPLACE;locallaplace| (SPADCALL |f| |t| (QREFELT $ 16)) |t|
  (SPADCALL |t| (QREFELT $ 17)) |s| (SPADCALL |s| (QREFELT $ 17)) $)) 

(DEFUN |LAPLACE;algebraic?| (|f| |t| $)
 (PROG (|l| #1=#:G3583 #2=#:G3584 |m| |k| #3=#:G3585 #4=#:G3582 #5=#:G3580)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |l| (SPADCALL (SPADCALL |f| (QREFELT $ 20)) |t| (QREFELT $ 23))
       |LAPLACE;algebraic?|)
      (LETT |m|
       (SPADCALL (ELT $ 24)
        (PROGN (LETT #1# NIL |LAPLACE;algebraic?|)
         (SEQ (LETT |k| NIL |LAPLACE;algebraic?|)
          (LETT #2# |l| |LAPLACE;algebraic?|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |k| (CAR #2#) |LAPLACE;algebraic?|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |k| (QREFELT $ 26)) #1#)
             |LAPLACE;algebraic?|)))
          (LETT #2# (CDR #2#) |LAPLACE;algebraic?|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        0 (QREFELT $ 29))
       |LAPLACE;algebraic?|)
      (SEQ
       (EXIT
        (SEQ (LETT |k| NIL |LAPLACE;algebraic?|)
         (LETT #3# |l| |LAPLACE;algebraic?|) G190
         (COND
          ((OR (ATOM #3#)
            (PROGN (LETT |k| (CAR #3#) |LAPLACE;algebraic?|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((EQL (SPADCALL |k| (QREFELT $ 26)) |m|)
             (COND
              ((SPADCALL (SPADCALL |k| (QREFELT $ 30)) "%alg" (QREFELT $ 32))
               (PROGN
                (LETT #5# (PROGN (LETT #4# 'T |LAPLACE;algebraic?|) (GO #4#))
                 |LAPLACE;algebraic?|)
                (GO #5#))))))))
         (LETT #3# (CDR #3#) |LAPLACE;algebraic?|) (GO G190) G191 (EXIT NIL)))
       #5# (EXIT #5#))
      (EXIT 'NIL)))
    #4# (EXIT #4#))))) 

(DEFUN |LAPLACE;dvlap| (|l| |x| $)
 (PROG (|l1| |l2| |l3| |v| |e|)
  (RETURN
   (SEQ (LETT |l1| (|SPADfirst| |l|) |LAPLACE;dvlap|)
    (LETT |l2| (SPADCALL |l| (QREFELT $ 34)) |LAPLACE;dvlap|)
    (LETT |v|
     (SPADCALL (LETT |l3| (SPADCALL |l| (QREFELT $ 35)) |LAPLACE;dvlap|)
      (QREFELT $ 36))
     |LAPLACE;dvlap|)
    (EXIT
     (COND
      ((EQUAL |x| |v|)
       (SPADCALL
        (SPADCALL (QREFELT $ 14) (SPADCALL |l2| |l1| (QREFELT $ 37)) |l2| |l3|
         (QREFELT $ 38))
        (QREFELT $ 39)))
      ('T
       (SEQ
        (LETT |e|
         (SPADCALL
          (SPADCALL (SPADCALL |l3| |l2| (QREFELT $ 37)) (QREFELT $ 39))
          (QREFELT $ 40))
         |LAPLACE;dvlap|)
        (EXIT
         (|LAPLACE;locallaplace|
          (SPADCALL
           (SPADCALL (SPADCALL |e| |l1| (QREFELT $ 37)) |x| (QREFELT $ 41)) |e|
           (QREFELT $ 42))
          (SPADCALL |l2| (QREFELT $ 36)) |l2| |v| |l3| $)))))))))) 

(DEFUN |LAPLACE;isLinear| (|f| |t| $)
 (PROG (|ff| |d| #1=#:G3603 |b| |c|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |ff| (SPADCALL |f| (SPADCALL |t| (QREFELT $ 43)) (QREFELT $ 46))
       |LAPLACE;isLinear|)
      (SEQ
       (LETT |d| (SPADCALL (SPADCALL |ff| (QREFELT $ 49)) (QREFELT $ 51))
        |LAPLACE;isLinear|)
       (EXIT
        (COND
         ((OR (QEQCAR |d| 1)
           (< 1 (SPADCALL (SPADCALL |ff| (QREFELT $ 54)) (QREFELT $ 57))))
          (PROGN (LETT #1# (CONS 1 "failed") |LAPLACE;isLinear|) (GO #1#))))))
      (COND
       ((SPADCALL
         (LETT |b|
          (SPADCALL (SPADCALL (SPADCALL |ff| (QREFELT $ 54)) 0 (QREFELT $ 58))
           (QCDR |d|) (QREFELT $ 42))
          |LAPLACE;isLinear|)
         |t| (QREFELT $ 59))
        (COND
         ((SPADCALL
           (LETT |c|
            (SPADCALL
             (SPADCALL (SPADCALL |ff| (QREFELT $ 54)) 1 (QREFELT $ 58))
             (QCDR |d|) (QREFELT $ 42))
            |LAPLACE;isLinear|)
           |t| (QREFELT $ 59))
          (EXIT (CONS 0 (CONS |b| |c|)))))))
      (EXIT (CONS 1 "failed"))))
    #1# (EXIT #1#))))) 

(DEFUN |LAPLACE;atn| (|f| |t| $)
 (PROG
  (|v| #1=#:G3615 |w| |vv| #2=#:G3623 #3=#:G3639 #4=#:G3624 |u| |g| #5=#:G3631
   #6=#:G3640 |rec| #7=#:G3607 |r| |d| |c| #8=#:G3636)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((QEQCAR (LETT |v| (SPADCALL |f| (QREFELT $ 62)) |LAPLACE;atn|) 0)
        (SEQ
         (LETT |w|
          (PROG2 (LETT #1# |v| |LAPLACE;atn|) (QCDR #1#)
           (|check-union| (QEQCAR #1# 0)
            (|Record| (|:| |var| (|Kernel| (QREFELT $ 7)))
             (|:| |exponent| (|Integer|)))
            #1#))
          |LAPLACE;atn|)
         (EXIT
          (COND
           ((< 0 (QCDR |w|))
            (SEQ
             (EXIT
              (SEQ
               (LETT |vv| (SPADCALL (QCAR |w|) (QREFELT $ 66)) |LAPLACE;atn|)
               (EXIT
                (COND
                 ((QEQCAR |vv| 0)
                  (COND
                   ((EQUAL (QCDR |vv|) |t|)
                    (PROGN
                     (LETT #4#
                      (PROGN
                       (LETT #3#
                        (CONS 0
                         (CONS (|spadConstant| $ 53)
                          (PROG1 (LETT #2# (QCDR |w|) |LAPLACE;atn|)
                           (|check-subtype| (> #2# 0) '(|PositiveInteger|)
                            #2#))))
                        |LAPLACE;atn|)
                       (GO #3#))
                      |LAPLACE;atn|)
                     (GO #4#)))))))))
             #4# (EXIT #4#))))))))
      (EXIT
       (COND
        ((QEQCAR (LETT |u| (SPADCALL |f| (QREFELT $ 68)) |LAPLACE;atn|) 0)
         (SEQ (LETT |c| (|spadConstant| $ 53) |LAPLACE;atn|)
          (LETT |d| 0 |LAPLACE;atn|)
          (SEQ (LETT |g| NIL |LAPLACE;atn|)
           (LETT #6#
            (PROG2 (LETT #5# |u| |LAPLACE;atn|) (QCDR #5#)
             (|check-union| (QEQCAR #5# 0) (|List| (QREFELT $ 7)) #5#))
            |LAPLACE;atn|)
           G190
           (COND
            ((OR (ATOM #6#) (PROGN (LETT |g| (CAR #6#) |LAPLACE;atn|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((QEQCAR (LETT |rec| (|LAPLACE;atn| |g| |t| $) |LAPLACE;atn|) 0)
               (SEQ
                (LETT |r|
                 (PROG2 (LETT #7# |rec| |LAPLACE;atn|) (QCDR #7#)
                  (|check-union| (QEQCAR #7# 0)
                   (|Record| (|:| |coef| (QREFELT $ 7))
                    (|:| |deg| (|PositiveInteger|)))
                   #7#))
                 |LAPLACE;atn|)
                (LETT |c| (SPADCALL |c| (QCAR |r|) (QREFELT $ 37))
                 |LAPLACE;atn|)
                (EXIT (LETT |d| (+ |d| (QCDR |r|)) |LAPLACE;atn|))))
              ('T
               (LETT |c| (SPADCALL |c| |g| (QREFELT $ 37)) |LAPLACE;atn|)))))
           (LETT #6# (CDR #6#) |LAPLACE;atn|) (GO G190) G191 (EXIT NIL))
          (EXIT
           (COND ((ZEROP |d|) (CONS 1 "failed"))
            ('T
             (CONS 0
              (CONS |c|
               (PROG1 (LETT #8# |d| |LAPLACE;atn|)
                (|check-subtype| (> #8# 0) '(|PositiveInteger|) #8#)))))))))
        ('T (CONS 1 "failed"))))))
    #3# (EXIT #3#))))) 

(DEFUN |LAPLACE;aexp| (|f| |t| $)
 (PROG
  (|u| |g| #1=#:G3651 #2=#:G3675 |c0| |c1| |c| |v| #3=#:G3665 |w| |r|
   #4=#:G3643 |rec| #5=#:G3674 #6=#:G3668)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((SPADCALL |f| (SPADCALL "exp" (QREFELT $ 10)) (QREFELT $ 69))
       (SEQ
        (LETT |v|
         (|LAPLACE;isLinear|
          (|SPADfirst| (SPADCALL (SPADCALL |f| (QREFELT $ 70)) (QREFELT $ 71)))
          |t| $)
         |LAPLACE;aexp|)
        (EXIT
         (COND ((QEQCAR |v| 1) (CONS 1 "failed"))
          ('T
           (CONS 0
            (VECTOR (|spadConstant| $ 53) (QCDR (QCDR |v|))
             (QCAR (QCDR |v|)))))))))
      ((QEQCAR (LETT |u| (SPADCALL |f| (QREFELT $ 68)) |LAPLACE;aexp|) 0)
       (SEQ (LETT |c| (|spadConstant| $ 53) |LAPLACE;aexp|)
        (LETT |c1| (LETT |c0| (|spadConstant| $ 64) |LAPLACE;aexp|)
         |LAPLACE;aexp|)
        (SEQ (LETT |g| NIL |LAPLACE;aexp|)
         (LETT #2#
          (PROG2 (LETT #1# |u| |LAPLACE;aexp|) (QCDR #1#)
           (|check-union| (QEQCAR #1# 0) (|List| (QREFELT $ 7)) #1#))
          |LAPLACE;aexp|)
         G190
         (COND
          ((OR (ATOM #2#) (PROGN (LETT |g| (CAR #2#) |LAPLACE;aexp|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((QEQCAR (LETT |r| (|LAPLACE;aexp| |g| |t| $) |LAPLACE;aexp|) 0)
             (SEQ
              (LETT |rec|
               (PROG2 (LETT #4# |r| |LAPLACE;aexp|) (QCDR #4#)
                (|check-union| (QEQCAR #4# 0)
                 (|Record| (|:| |coef| (QREFELT $ 7))
                  (|:| |coef1| (QREFELT $ 7)) (|:| |coef0| (QREFELT $ 7)))
                 #4#))
               |LAPLACE;aexp|)
              (LETT |c| (SPADCALL |c| (QVELT |rec| 0) (QREFELT $ 37))
               |LAPLACE;aexp|)
              (LETT |c0| (SPADCALL |c0| (QVELT |rec| 2) (QREFELT $ 72))
               |LAPLACE;aexp|)
              (EXIT
               (LETT |c1| (SPADCALL |c1| (QVELT |rec| 1) (QREFELT $ 72))
                |LAPLACE;aexp|))))
            ('T (LETT |c| (SPADCALL |c| |g| (QREFELT $ 37)) |LAPLACE;aexp|)))))
         (LETT #2# (CDR #2#) |LAPLACE;aexp|) (GO G190) G191 (EXIT NIL))
        (COND
         ((SPADCALL |c0| (QREFELT $ 73))
          (COND ((SPADCALL |c1| (QREFELT $ 73)) (EXIT (CONS 1 "failed"))))))
        (EXIT (CONS 0 (VECTOR |c| |c1| |c0|)))))
      ('T
       (SEQ
        (COND
         ((QEQCAR (LETT |v| (SPADCALL |f| (QREFELT $ 76)) |LAPLACE;aexp|) 0)
          (SEQ
           (LETT |w|
            (PROG2 (LETT #3# |v| |LAPLACE;aexp|) (QCDR #3#)
             (|check-union| (QEQCAR #3# 0)
              (|Record| (|:| |val| (QREFELT $ 7)) (|:| |exponent| (|Integer|)))
              #3#))
            |LAPLACE;aexp|)
           (EXIT
            (COND
             ((NULL (EQL (QCDR |w|) 1))
              (SEQ
               (EXIT
                (COND
                 ((QEQCAR
                   (LETT |r| (|LAPLACE;aexp| (QCAR |w|) |t| $) |LAPLACE;aexp|)
                   0)
                  (PROGN
                   (LETT #6#
                    (SEQ
                     (LETT |rec|
                      (PROG2 (LETT #4# |r| |LAPLACE;aexp|) (QCDR #4#)
                       (|check-union| (QEQCAR #4# 0)
                        (|Record| (|:| |coef| (QREFELT $ 7))
                         (|:| |coef1| (QREFELT $ 7))
                         (|:| |coef0| (QREFELT $ 7)))
                        #4#))
                      |LAPLACE;aexp|)
                     (EXIT
                      (PROGN
                       (LETT #5#
                        (CONS 0
                         (VECTOR
                          (SPADCALL (QVELT |rec| 0) (QCDR |w|) (QREFELT $ 78))
                          (SPADCALL (QCDR |w|) (QVELT |rec| 1) (QREFELT $ 79))
                          (SPADCALL (QCDR |w|) (QVELT |rec| 2)
                           (QREFELT $ 79))))
                        |LAPLACE;aexp|)
                       (GO #5#))))
                    |LAPLACE;aexp|)
                   (GO #6#)))))
               #6# (EXIT #6#))))))))
        (EXIT (CONS 1 "failed"))))))
    #5# (EXIT #5#))))) 

(DEFUN |LAPLACE;mkPlus| (|f| $)
 (PROG (|u| |d| #1=#:G3686 |p| #2=#:G3687)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (SPADCALL |f| (QREFELT $ 81)) (QREFELT $ 83))
     |LAPLACE;mkPlus|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed"))
      ('T
       (SEQ (LETT |d| (SPADCALL |f| (QREFELT $ 84)) |LAPLACE;mkPlus|)
        (EXIT
         (CONS 0
          (PROGN (LETT #1# NIL |LAPLACE;mkPlus|)
           (SEQ (LETT |p| NIL |LAPLACE;mkPlus|)
            (LETT #2# (QCDR |u|) |LAPLACE;mkPlus|) G190
            (COND
             ((OR (ATOM #2#) (PROGN (LETT |p| (CAR #2#) |LAPLACE;mkPlus|) NIL))
              (GO G191)))
            (SEQ
             (EXIT
              (LETT #1# (CONS (SPADCALL |p| |d| (QREFELT $ 85)) #1#)
               |LAPLACE;mkPlus|)))
            (LETT #2# (CDR #2#) |LAPLACE;mkPlus|) (GO G190) G191
            (EXIT (NREVERSE0 #1#)))))))))))))) 

(DEFUN |LAPLACE;tdenom| (|f| |t| $)
 (COND
  ((QEQCAR
    (SPADCALL (SPADCALL |f| (QREFELT $ 84)) (SPADCALL |t| (QREFELT $ 81))
     (QREFELT $ 87))
    1)
   (CONS 1 "failed"))
  ('T (CONS 0 (SPADCALL |t| |f| (QREFELT $ 37)))))) 

(DEFUN |LAPLACE;intlaplace| (|f| |ss| |g| |v| |vv| $)
 (PROG (|i| |u| #1=#:G3706 |l|)
  (RETURN
   (SEQ
    (COND
     ((OR (SPADCALL |g| (QREFELT $ 14) (QREFELT $ 88))
       (QEQCAR
        (LETT |i| (SPADCALL |g| |v| (QREFELT $ 91)) |LAPLACE;intlaplace|) 1))
      (CONS 1 "failed"))
     ('T
      (SEQ
       (LETT |u|
        (SPADCALL
         (PROG2 (LETT #1# |i| |LAPLACE;intlaplace|) (QCDR #1#)
          (|check-union| (QEQCAR #1# 0) (QREFELT $ 7) #1#))
         (SPADCALL (SPADCALL |vv| (QREFELT $ 93)) (SPADCALL (QREFELT $ 94))
          (QREFELT $ 96))
         (QREFELT $ 101))
        |LAPLACE;intlaplace|)
       (EXIT
        (COND
         ((QEQCAR |u| 0)
          (SEQ
           (LETT |l|
            (SPADCALL
             (PROG2 (LETT #1# |i| |LAPLACE;intlaplace|) (QCDR #1#)
              (|check-union| (QEQCAR #1# 0) (QREFELT $ 7) #1#))
             (SPADCALL (SPADCALL |vv| (QREFELT $ 93))
              (SPADCALL |ss| (QREFELT $ 93)) (QREFELT $ 96))
             (QREFELT $ 101))
            |LAPLACE;intlaplace|)
           (EXIT
            (COND
             ((QEQCAR |l| 0)
              (SPADCALL (SPADCALL (QCDR |u|) (QCDR |l|) (QREFELT $ 102))
               (QREFELT $ 103)))
             ('T (CONS 1 "failed"))))))
         ('T (CONS 1 "failed"))))))))))) 

(DEFUN |LAPLACE;lapkernel| (|f| |t| |tt| |ss| $)
 (PROG (|k| |arg| |fint| |s| |a| |op|)
  (RETURN
   (SEQ (LETT |k| (SPADCALL |f| (QREFELT $ 105)) |LAPLACE;lapkernel|)
    (EXIT
     (COND
      ((OR (QEQCAR |k| 1)
        (NULL
         (LETT |arg| (SPADCALL (QCDR |k|) (QREFELT $ 71))
          |LAPLACE;lapkernel|)))
       (CONS 1 "failed"))
      ((SPADCALL
        (LETT |op| (SPADCALL (QCDR |k|) (QREFELT $ 30)) |LAPLACE;lapkernel|)
        (SPADCALL "%diff" (QREFELT $ 10)) (QREFELT $ 106))
       (COND
        ((OR (NULL (EQL (LENGTH |arg|) 3))
          (NULL
           (SPADCALL (SPADCALL |arg| 3 (QREFELT $ 107)) |t| (QREFELT $ 69))))
         (CONS 1 "failed"))
        ('T
         (SEQ
          (LETT |fint|
           (SPADCALL (SPADCALL |arg| 1 (QREFELT $ 107))
            (SPADCALL |arg| 2 (QREFELT $ 107)) |tt| (QREFELT $ 108))
           |LAPLACE;lapkernel|)
          (LETT |s|
           (SPADCALL
            (SPADCALL
             (SPADCALL (SPADCALL |ss| (QREFELT $ 20)) 1 (QREFELT $ 109))
             (QREFELT $ 30))
            (QREFELT $ 110))
           |LAPLACE;lapkernel|)
          (EXIT
           (CONS 0
            (SPADCALL
             (SPADCALL |ss| (|LAPLACE;locallaplace| |fint| |t| |tt| |s| |ss| $)
              (QREFELT $ 37))
             (SPADCALL |fint|
              (SPADCALL |tt| (|spadConstant| $ 64) (QREFELT $ 113))
              (QREFELT $ 115))
             (QREFELT $ 116))))))))
      ((NULL (NULL (CDR |arg|))) (CONS 1 "failed"))
      ('T
       (COND
        ((SPADCALL |t|
          (SPADCALL
           (LETT |a| (SPADCALL (|SPADfirst| |arg|) |tt| (QREFELT $ 42))
            |LAPLACE;lapkernel|)
           (QREFELT $ 118))
          (QREFELT $ 119))
         (CONS 1 "failed"))
        ((SPADCALL
          (LETT |op| (SPADCALL (QCDR |k|) (QREFELT $ 30)) |LAPLACE;lapkernel|)
          (SPADCALL "Si" (QREFELT $ 10)) (QREFELT $ 106))
         (CONS 0
          (SPADCALL
           (SPADCALL (SPADCALL |a| |ss| (QREFELT $ 42)) (QREFELT $ 120)) |ss|
           (QREFELT $ 42))))
        ((SPADCALL |op| (SPADCALL "Ci" (QREFELT $ 10)) (QREFELT $ 106))
         (CONS 0
          (SPADCALL
           (SPADCALL
            (SPADCALL
             (SPADCALL (SPADCALL |ss| 2 (QREFELT $ 122))
              (SPADCALL |a| 2 (QREFELT $ 122)) (QREFELT $ 72))
             (SPADCALL |a| 2 (QREFELT $ 122)) (QREFELT $ 42))
            (QREFELT $ 123))
           (SPADCALL 2 |ss| (QREFELT $ 124)) (QREFELT $ 42))))
        ((SPADCALL |op| (SPADCALL "Ei" (QREFELT $ 10)) (QREFELT $ 106))
         (CONS 0
          (SPADCALL
           (SPADCALL
            (SPADCALL (SPADCALL |ss| |a| (QREFELT $ 72)) |a| (QREFELT $ 42))
            (QREFELT $ 123))
           |ss| (QREFELT $ 42))))
        ('T (CONS 1 "failed")))))))))) 

(DEFUN |LAPLACE;locallaplace| (|f| |t| |tt| |s| |ss| $)
 (PROG
  (|vvv| |u| |g| #1=#:G3752 #2=#:G3777 #3=#:G3756 #4=#:G3754 #5=#:G3755 |rec|
   |v| #6=#:G3762 |vv| |la| |w| #7=#:G3767 |ww| |x|)
  (RETURN
   (SEQ
    (COND ((SPADCALL |f| (QREFELT $ 73)) (|spadConstant| $ 64))
     ((SPADCALL |f| (|spadConstant| $ 53) (QREFELT $ 111))
      (SPADCALL |ss| (QREFELT $ 125)))
     ('T
      (SEQ (LETT |x| (|LAPLACE;tdenom| |f| |tt| $) |LAPLACE;locallaplace|)
       (EXIT
        (COND
         ((QEQCAR |x| 0)
          (SEQ
           (LETT |g|
            (|LAPLACE;locallaplace| (QCDR |x|) |t| |tt|
             (LETT |vv| (SPADCALL (QREFELT $ 126)) |LAPLACE;locallaplace|)
             (LETT |vvv| (SPADCALL |vv| (QREFELT $ 17)) |LAPLACE;locallaplace|)
             $)
            |LAPLACE;locallaplace|)
           (LETT |x| (|LAPLACE;intlaplace| |f| |ss| |g| |vv| |vvv| $)
            |LAPLACE;locallaplace|)
           (EXIT
            (COND ((QEQCAR |x| 0) (QCDR |x|))
             ('T (SPADCALL (QREFELT $ 14) |f| |tt| |ss| (QREFELT $ 38)))))))
         ((QEQCAR (LETT |u| (|LAPLACE;mkPlus| |f| $) |LAPLACE;locallaplace|) 0)
          (PROGN (LETT #5# NIL |LAPLACE;locallaplace|)
           (SEQ (LETT |g| NIL |LAPLACE;locallaplace|)
            (LETT #2#
             (PROG2 (LETT #1# |u| |LAPLACE;locallaplace|) (QCDR #1#)
              (|check-union| (QEQCAR #1# 0) (|List| (QREFELT $ 7)) #1#))
             |LAPLACE;locallaplace|)
            G190
            (COND
             ((OR (ATOM #2#)
               (PROGN (LETT |g| (CAR #2#) |LAPLACE;locallaplace|) NIL))
              (GO G191)))
            (SEQ
             (EXIT
              (PROGN
               (LETT #3# (|LAPLACE;locallaplace| |g| |t| |tt| |s| |ss| $)
                |LAPLACE;locallaplace|)
               (COND
                (#5#
                 (LETT #4# (SPADCALL #4# #3# (QREFELT $ 72))
                  |LAPLACE;locallaplace|))
                ('T
                 (PROGN (LETT #4# #3# |LAPLACE;locallaplace|)
                  (LETT #5# 'T |LAPLACE;locallaplace|)))))))
            (LETT #2# (CDR #2#) |LAPLACE;locallaplace|) (GO G190) G191
            (EXIT NIL))
           (COND (#5# #4#) ('T (|spadConstant| $ 64)))))
         ((NULL
           (SPADCALL
            (QCAR
             (LETT |rec| (SPADCALL |f| |t| (QREFELT $ 129))
              |LAPLACE;locallaplace|))
            (|spadConstant| $ 53) (QREFELT $ 111)))
          (SPADCALL (QCAR |rec|)
           (|LAPLACE;locallaplace| (QCDR |rec|) |t| |tt| |s| |ss| $)
           (QREFELT $ 37)))
         ('T
          (COND
           ((QEQCAR (LETT |v| (|LAPLACE;atn| |f| |t| $) |LAPLACE;locallaplace|)
             0)
            (SEQ
             (LETT |vv|
              (PROG2 (LETT #6# |v| |LAPLACE;locallaplace|) (QCDR #6#)
               (|check-union| (QEQCAR #6# 0)
                (|Record| (|:| |coef| (QREFELT $ 7))
                 (|:| |deg| (|PositiveInteger|)))
                #6#))
              |LAPLACE;locallaplace|)
             (EXIT
              (COND
               ((SPADCALL
                 (LETT |la|
                  (|LAPLACE;locallaplace| (QCAR |vv|) |t| |tt| |s| |ss| $)
                  |LAPLACE;locallaplace|)
                 (QREFELT $ 14) (QREFELT $ 88))
                (SPADCALL (QREFELT $ 14) |f| |tt| |ss| (QREFELT $ 38)))
               ('T
                (SPADCALL (EXPT -1 (QCDR |vv|))
                 (SPADCALL |la| |s| (QCDR |vv|) (QREFELT $ 130))
                 (QREFELT $ 79)))))))
           ((QEQCAR
             (LETT |w| (|LAPLACE;aexp| |f| |t| $) |LAPLACE;locallaplace|) 0)
            (SEQ
             (LETT |ww|
              (PROG2 (LETT #7# |w| |LAPLACE;locallaplace|) (QCDR #7#)
               (|check-union| (QEQCAR #7# 0)
                (|Record| (|:| |coef| (QREFELT $ 7))
                 (|:| |coef1| (QREFELT $ 7)) (|:| |coef0| (QREFELT $ 7)))
                #7#))
              |LAPLACE;locallaplace|)
             (EXIT
              (SPADCALL (SPADCALL (QVELT |ww| 2) (QREFELT $ 40))
               (|LAPLACE;locallaplace| (QVELT |ww| 0) |t| |tt| |s|
                (SPADCALL |ss| (QVELT |ww| 1) (QREFELT $ 116)) $)
               (QREFELT $ 37)))))
           ('T
            (SEQ
             (LETT |x| (|LAPLACE;lapkernel| |f| |t| |tt| |ss| $)
              |LAPLACE;locallaplace|)
             (EXIT
              (COND ((QEQCAR |x| 0) (QCDR |x|))
               ('T
                (SPADCALL (QREFELT $ 14) |f| |tt| |ss|
                 (QREFELT $ 38)))))))))))))))))) 

(DEFUN |LaplaceTransform| (&REST #1=#:G3782 &AUX #2=#:G3780) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3781)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|LaplaceTransform|) '|domainEqualList|)
        |LaplaceTransform|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |LaplaceTransform;|) #2#)
         (LETT #3# T |LaplaceTransform|))
        (COND
         ((NOT #3#) (HREM |$ConstructorCache| '|LaplaceTransform|))))))))))) 

(DEFUN |LaplaceTransform;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|LaplaceTransform|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|LaplaceTransform| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 133) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|LaplaceTransform| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 14
     (SPADCALL (SPADCALL "laplace" (QREFELT $ 10)) 3 (QREFELT $ 13)))
    (SPADCALL (QREFELT $ 14) "%specialDiff"
     (CONS (|function| |LAPLACE;dvlap|) $) (QREFELT $ 132))
    $)))) 

(MAKEPROP '|LaplaceTransform| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|String|)
     (|Symbol|) (0 . |coerce|) (|NonNegativeInteger|) (|BasicOperator|)
     (5 . |operator|) '|oplap| (|TrigonometricManipulations| 6 7)
     (11 . |complexElementary|) (17 . |coerce|) |LAPLACE;laplace;F2SF;1|
     (|List| 45) (22 . |kernels|) (|List| 25) (|IntegrationTools| 6 7)
     (27 . |varselect|) (33 . |max|) (|Kernel| 7) (39 . |height|)
     (|Mapping| 11 11 11) (|List| 11) (44 . |reduce|) (51 . |operator|)
     (|Boolean|) (56 . |has?|) (|List| 7) (62 . |second|) (67 . |third|)
     (72 . |retract|) (77 . *) (83 . |elt|) (91 . -) (96 . |exp|)
     (101 . |differentiate|) (107 . /) (113 . |kernel|)
     (|Fraction| (|SparseUnivariatePolynomial| $)) (|Kernel| $)
     (118 . |univariate|) (|SparseUnivariatePolynomial| 7) (|Fraction| 47)
     (124 . |denom|) (|Union| 7 '#1="failed") (129 . |retractIfCan|)
     (134 . |One|) (138 . |One|) (142 . |numer|) (147 . |One|) (151 . |One|)
     (155 . |degree|) (160 . |coefficient|) (166 . |freeOf?|)
     (|Record| (|:| |var| 45) (|:| |exponent| 77)) (|Union| 60 '"failed")
     (172 . |isExpt|) (177 . |Zero|) (181 . |Zero|) (|Union| 9 '"failed")
     (185 . |symbolIfCan|) (|Union| (|List| $) '"failed") (190 . |isTimes|)
     (195 . |is?|) (201 . |retract|) (206 . |argument|) (211 . +)
     (217 . |zero?|) (|Record| (|:| |val| $) (|:| |exponent| 77))
     (|Union| 74 '"failed") (222 . |isPower|) (|Integer|) (227 . **) (233 . *)
     (|SparseMultivariatePolynomial| 6 45) (239 . |numer|)
     (|SparseMultivariatePolynomial| 6 25) (244 . |isPlus|) (249 . |denom|)
     (254 . /) (|Union| $ '"failed") (260 . |exquo|) (266 . |is?|)
     (|Union| 7 33) (|FunctionSpaceIntegration| 6 7) (272 . |integrate|)
     (|OrderedCompletion| 7) (278 . |coerce|) (283 . |plusInfinity|)
     (|Equation| 92) (287 . |equation|) (|Union| 92 '"failed")
     (|Record| (|:| |leftHandLimit| 97) (|:| |rightHandLimit| 97))
     (|Union| 92 98 '"failed") (|PowerSeriesLimitPackage| 6 7) (293 . |limit|)
     (299 . -) (305 . |retractIfCan|) (|Union| 45 '#1#) (310 . |retractIfCan|)
     (315 . |is?|) (321 . |elt|) (327 . |eval|) (334 . |elt|) (340 . |name|)
     (345 . =) (|Equation| 7) (351 . =) (|Equation| $) (357 . |eval|) (363 . -)
     (|List| 9) (369 . |variables|) (374 . |member?|) (380 . |atan|)
     (|PositiveInteger|) (385 . **) (391 . |log|) (396 . *) (402 . |inv|)
     (407 . |new|) (|Record| (|:| |const| 7) (|:| |nconst| 7))
     (|PatternMatchIntegration| 6 7) (411 . |splitConstant|)
     (417 . |differentiate|) (|None|) (424 . |setProperty|))
  '#(|laplace| 431) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 132
      '(1 9 0 8 10 2 12 0 9 11 13 2 15 7 7 9 16 1 7 0 9 17 1 7 19 0 20 2 22 21
        21 9 23 2 11 0 0 0 24 1 25 11 0 26 3 28 11 27 0 11 29 1 25 12 0 30 2 12
        31 0 8 32 1 33 7 0 34 1 33 7 0 35 1 7 9 0 36 2 7 0 0 0 37 4 7 0 12 0 0
        0 38 1 7 0 0 39 1 7 0 0 40 2 7 0 0 9 41 2 7 0 0 0 42 1 25 0 9 43 2 7 44
        0 45 46 1 48 47 0 49 1 47 50 0 51 0 6 0 52 0 7 0 53 1 48 47 0 54 0 48 0
        55 0 47 0 56 1 47 11 0 57 2 47 7 0 11 58 2 7 31 0 9 59 1 7 61 0 62 0 6
        0 63 0 7 0 64 1 25 65 0 66 1 7 67 0 68 2 7 31 0 9 69 1 7 45 0 70 1 25
        33 0 71 2 7 0 0 0 72 1 7 31 0 73 1 7 75 0 76 2 7 0 0 77 78 2 7 0 77 0
        79 1 7 80 0 81 1 82 67 0 83 1 7 80 0 84 2 7 0 80 80 85 2 82 86 0 0 87 2
        7 31 0 12 88 2 90 89 7 9 91 1 92 0 7 93 0 92 0 94 2 95 0 92 92 96 2 100
        99 7 95 101 2 92 0 0 0 102 1 92 50 0 103 1 7 104 0 105 2 12 31 0 9 106
        2 33 7 0 77 107 3 7 0 0 0 0 108 2 21 25 0 77 109 1 12 9 0 110 2 7 31 0
        0 111 2 112 0 7 7 113 2 7 0 0 114 115 2 7 0 0 0 116 1 7 117 0 118 2 117
        31 9 0 119 1 7 0 0 120 2 7 0 0 121 122 1 7 0 0 123 2 7 0 121 0 124 1 7
        0 0 125 0 9 0 126 2 128 127 7 9 129 3 7 0 0 9 11 130 3 12 0 0 8 131 132
        3 0 7 7 9 9 18)))))
  '|lookupComplete|)) 
