
(/VERSIONCHECK 2) 

(DEFUN |LODOOPS;nonTrivial?| (|v| $)
 (SPADCALL (CONS #'|LODOOPS;nonTrivial?!0| $) |v| (QREFELT $ 20))) 

(DEFUN |LODOOPS;nonTrivial?!0| (|#1| $)
 (COND
  ((SPADCALL |#1| (|spadConstant| $ 12) (QREFELT $ 15)) (|spadConstant| $ 16))
  ('T (|spadConstant| $ 17)))) 

(DEFUN |LODOOPS;vec2LODO| (|v| $)
 (PROG (|i| #1=#:G3547 #2=#:G3545 #3=#:G3544 #4=#:G3542 #5=#:G3543)
  (RETURN
   (SEQ
    (PROGN (LETT #5# NIL |LODOOPS;vec2LODO|)
     (SEQ (LETT |i| 1 |LODOOPS;vec2LODO|)
      (LETT #1# (QVSIZE |v|) |LODOOPS;vec2LODO|) G190
      (COND ((QSGREATERP |i| #1#) (GO G191)))
      (SEQ
       (EXIT
        (PROGN
         (LETT #3#
          (SPADCALL (SPADCALL |v| |i| (QREFELT $ 22))
           (PROG1 (LETT #2# (- |i| 1) |LODOOPS;vec2LODO|)
            (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
           (QREFELT $ 26))
          |LODOOPS;vec2LODO|)
         (COND
          (#5# (LETT #4# (SPADCALL #4# #3# (QREFELT $ 27)) |LODOOPS;vec2LODO|))
          ('T
           (PROGN (LETT #4# #3# |LODOOPS;vec2LODO|)
            (LETT #5# 'T |LODOOPS;vec2LODO|)))))))
      (LETT |i| (QSADD1 |i|) |LODOOPS;vec2LODO|) (GO G190) G191 (EXIT NIL))
     (COND (#5# #4#) ('T (|spadConstant| $ 13)))))))) 

(DEFUN |LODOOPS;symmetricPower;LNniML;3| (|l| |m| |diff| $)
 (PROG (|u| |n| |un| |a| #1=#:G3548)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (QREFELT $ 10) (QREFELT $ 29))
     |LODOOPS;symmetricPower;LNniML;3|)
    (LETT |n| (SPADCALL |l| (QREFELT $ 30)) |LODOOPS;symmetricPower;LNniML;3|)
    (LETT |un| (SPADCALL |u| |n| (QREFELT $ 31))
     |LODOOPS;symmetricPower;LNniML;3|)
    (LETT |a|
     (|LODOOPS;applyLODO|
      (SPADCALL
       (SPADCALL (SPADCALL (SPADCALL |l| (QREFELT $ 32)) (QREFELT $ 33))
        (QREFELT $ 34))
       (SPADCALL |l| (QREFELT $ 35)) (QREFELT $ 36))
      |u| $)
     |LODOOPS;symmetricPower;LNniML;3|)
    (EXIT
     (|LODOOPS;killer|
      (SPADCALL (SPADCALL |u| (QREFELT $ 38)) |m| (QREFELT $ 39))
      (PROG1
       (LETT #1# (SPADCALL (- (+ |n| |m|) 1) (- |n| 1) (QREFELT $ 40))
        |LODOOPS;symmetricPower;LNniML;3|)
       (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
      (LIST |un|) (LIST |a|) |diff| $)))))) 

(DEFUN |LODOOPS;killer| (|u| |m| |lvar| |lval| |diff| $)
 (PROG (|q| |mat| |l| |sol| #1=#:G3557 #2=#:G3563 |lu|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |lu| (LIST |u|) |LODOOPS;killer|)
      (SEQ (LETT |q| 0 |LODOOPS;killer|) G190
       (COND ((QSGREATERP |q| |m|) (GO G191)))
       (SEQ
        (LETT |mat|
         (SPADCALL (SPADCALL (LIST |lu|) (QREFELT $ 45)) (QREFELT $ 48))
         |LODOOPS;killer|)
        (EXIT
         (COND
          ((QEQCAR
            (LETT |sol|
             (SPADCALL (CONS (|function| |LODOOPS;nonTrivial?|) $)
              (LETT |l| (SPADCALL |mat| (QREFELT $ 50)) |LODOOPS;killer|)
              (QREFELT $ 53))
             |LODOOPS;killer|)
            0)
           (PROGN
            (LETT #2#
             (|LODOOPS;vec2LODO|
              (PROG2 (LETT #1# |sol| |LODOOPS;killer|) (QCDR #1#)
               (|check-union| (QEQCAR #1# 0) (|Vector| (QREFELT $ 6)) #1#))
              $)
             |LODOOPS;killer|)
            (GO #2#)))
          ('T
           (SEQ
            (LETT |u|
             (SPADCALL (SPADCALL |u| |diff| (QREFELT $ 54)) |lvar| |lval|
              (QREFELT $ 57))
             |LODOOPS;killer|)
            (EXIT
             (LETT |lu| (SPADCALL |lu| (LIST |u|) (QREFELT $ 59))
              |LODOOPS;killer|)))))))
       (LETT |q| (QSADD1 |q|) |LODOOPS;killer|) (GO G190) G191 (EXIT NIL))
      (EXIT (|error| "killer: no linear dependence found"))))
    #2# (EXIT #2#))))) 

(DEFUN |LODOOPS;symmetricProduct;2LML;5| (|l1| |l2| |diff| $)
 (PROG (|u| |v| |n1| |n2| |un| |vn| |a| |b|)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (QREFELT $ 10) (QREFELT $ 29))
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |v| (SPADCALL (QREFELT $ 11) (QREFELT $ 29))
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |n1| (SPADCALL |l1| (QREFELT $ 30))
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |n2| (SPADCALL |l2| (QREFELT $ 30))
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |un| (SPADCALL |u| |n1| (QREFELT $ 31))
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |vn| (SPADCALL |v| |n2| (QREFELT $ 31))
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |a|
     (|LODOOPS;applyLODO|
      (SPADCALL
       (SPADCALL (SPADCALL (SPADCALL |l1| (QREFELT $ 32)) (QREFELT $ 33))
        (QREFELT $ 34))
       (SPADCALL |l1| (QREFELT $ 35)) (QREFELT $ 36))
      |u| $)
     |LODOOPS;symmetricProduct;2LML;5|)
    (LETT |b|
     (|LODOOPS;applyLODO|
      (SPADCALL
       (SPADCALL (SPADCALL (SPADCALL |l2| (QREFELT $ 32)) (QREFELT $ 33))
        (QREFELT $ 34))
       (SPADCALL |l2| (QREFELT $ 35)) (QREFELT $ 36))
      |v| $)
     |LODOOPS;symmetricProduct;2LML;5|)
    (EXIT
     (|LODOOPS;killer|
      (SPADCALL (SPADCALL |u| (QREFELT $ 38)) (SPADCALL |v| (QREFELT $ 38))
       (QREFELT $ 60))
      (* |n1| |n2|) (LIST |un| |vn|) (LIST |a| |b|) |diff| $)))))) 

(DEFUN |LODOOPS;directSum;2LML;6| (|l1| |l2| |diff| $)
 (PROG (|u| |v| |n1| |n2| |un| |vn| |a| |b|)
  (RETURN
   (SEQ
    (LETT |u| (SPADCALL (QREFELT $ 10) (QREFELT $ 29))
     |LODOOPS;directSum;2LML;6|)
    (LETT |v| (SPADCALL (QREFELT $ 11) (QREFELT $ 29))
     |LODOOPS;directSum;2LML;6|)
    (LETT |n1| (SPADCALL |l1| (QREFELT $ 30)) |LODOOPS;directSum;2LML;6|)
    (LETT |n2| (SPADCALL |l2| (QREFELT $ 30)) |LODOOPS;directSum;2LML;6|)
    (LETT |un| (SPADCALL |u| |n1| (QREFELT $ 31)) |LODOOPS;directSum;2LML;6|)
    (LETT |vn| (SPADCALL |v| |n2| (QREFELT $ 31)) |LODOOPS;directSum;2LML;6|)
    (LETT |a|
     (|LODOOPS;applyLODO|
      (SPADCALL
       (SPADCALL (SPADCALL (SPADCALL |l1| (QREFELT $ 32)) (QREFELT $ 33))
        (QREFELT $ 34))
       (SPADCALL |l1| (QREFELT $ 35)) (QREFELT $ 36))
      |u| $)
     |LODOOPS;directSum;2LML;6|)
    (LETT |b|
     (|LODOOPS;applyLODO|
      (SPADCALL
       (SPADCALL (SPADCALL (SPADCALL |l2| (QREFELT $ 32)) (QREFELT $ 33))
        (QREFELT $ 34))
       (SPADCALL |l2| (QREFELT $ 35)) (QREFELT $ 36))
      |v| $)
     |LODOOPS;directSum;2LML;6|)
    (EXIT
     (|LODOOPS;killer|
      (SPADCALL (SPADCALL |u| (QREFELT $ 38)) (SPADCALL |v| (QREFELT $ 38))
       (QREFELT $ 62))
      (+ |n1| |n2|) (LIST |un| |vn|) (LIST |a| |b|) |diff| $)))))) 

(DEFUN |LODOOPS;applyLODO| (|l| |v| $)
 (PROG (|p|)
  (RETURN
   (SEQ (LETT |p| (|spadConstant| $ 64) |LODOOPS;applyLODO|)
    (SEQ G190
     (COND
      ((NULL
        (COND ((SPADCALL |l| (|spadConstant| $ 13) (QREFELT $ 65)) 'NIL)
         ('T 'T)))
       (GO G191)))
     (SEQ
      (LETT |p|
       (SPADCALL |p|
        (SPADCALL (SPADCALL (SPADCALL |l| (QREFELT $ 32)) (QREFELT $ 66))
         (SPADCALL |v| (SPADCALL |l| (QREFELT $ 30)) (QREFELT $ 31)) 1
         (QREFELT $ 67))
        (QREFELT $ 62))
       |LODOOPS;applyLODO|)
      (EXIT (LETT |l| (SPADCALL |l| (QREFELT $ 35)) |LODOOPS;applyLODO|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT |p|))))) 

(DEFUN |LinearOrdinaryDifferentialOperatorsOps|
 (&REST #1=#:G3576 &AUX #2=#:G3574) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3575)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|LinearOrdinaryDifferentialOperatorsOps|)
         '|domainEqualList|)
        |LinearOrdinaryDifferentialOperatorsOps|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (APPLY (|function| |LinearOrdinaryDifferentialOperatorsOps;|) #2#)
         (LETT #3# T |LinearOrdinaryDifferentialOperatorsOps|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|LinearOrdinaryDifferentialOperatorsOps|))))))))))) 

(DEFUN |LinearOrdinaryDifferentialOperatorsOps;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) .
     #1=(|LinearOrdinaryDifferentialOperatorsOps|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|LinearOrdinaryDifferentialOperatorsOps| DV$1 DV$2) .
     #1#)
    (LETT $ (GETREFV 68) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|LinearOrdinaryDifferentialOperatorsOps|
     (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 10 (SPADCALL (QREFELT $ 9)))
    (QSETREFV $ 11 (SPADCALL (QREFELT $ 9))) $)))) 

(MAKEPROP '|LinearOrdinaryDifferentialOperatorsOps| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|Symbol|)
     (0 . |new|) '|var1| '|var2| (4 . |Zero|) (8 . |Zero|) (|Boolean|) (12 . =)
     (18 . |false|) (22 . |true|) (|Mapping| 14 6) (|Vector| 6) (26 . |any?|)
     (|Integer|) (32 . |elt|) (38 . |One|) (42 . |One|) (|NonNegativeInteger|)
     (46 . |monomial|) (52 . +) (|OrderlyDifferentialVariable| 8)
     (58 . |coerce|) (63 . |degree|) (68 . |differentiate|)
     (74 . |leadingCoefficient|) (79 . -) (84 . |inv|) (89 . |reductum|)
     (94 . *) (|DifferentialSparseMultivariatePolynomial| 6 8 28)
     (100 . |coerce|) (105 . **) (111 . |binomial|) (|Mapping| 6 6)
     |LODOOPS;symmetricPower;LNniML;3| (|List| 58) (|Matrix| 37)
     (117 . |matrix|) (|Matrix| 6) (|Matrix| $) (122 . |reducedSystem|)
     (|List| 19) (127 . |nullSpace|) (|Union| 19 '"failed") (|Mapping| 14 19)
     (132 . |find|) (138 . |differentiate|) (|List| 28) (|List| $)
     (144 . |eval|) (|List| 37) (151 . |concat!|) (157 . *)
     |LODOOPS;symmetricProduct;2LML;5| (163 . +) |LODOOPS;directSum;2LML;6|
     (169 . |Zero|) (173 . =) (179 . |coerce|) (184 . |monomial|))
  '#(|symmetricProduct| 191 |symmetricPower| 198 |directSum| 205) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 67
      '(0 8 0 9 0 6 0 12 0 7 0 13 2 6 14 0 0 15 0 14 0 16 0 14 0 17 2 19 14 18
        0 20 2 19 6 0 21 22 0 6 0 23 0 7 0 24 2 7 0 6 25 26 2 7 0 0 0 27 1 28 0
        8 29 1 7 25 0 30 2 28 0 0 25 31 1 7 6 0 32 1 6 0 0 33 1 6 0 0 34 1 7 0
        0 35 2 7 0 6 0 36 1 37 0 28 38 2 37 0 0 25 39 2 21 0 0 0 40 1 44 0 43
        45 1 37 46 47 48 1 46 49 0 50 2 49 51 52 0 53 2 37 0 0 41 54 3 37 0 0
        55 56 57 2 58 0 0 0 59 2 37 0 0 0 60 2 37 0 0 0 62 0 37 0 64 2 7 14 0 0
        65 1 37 0 6 66 3 37 0 0 28 25 67 3 0 7 7 7 41 61 3 0 7 7 25 41 42 3 0 7
        7 7 41 63)))))
  '|lookupComplete|)) 
