
(/VERSIONCHECK 2) 

(DEFUN |MCALCFN;localGradient| (|v| |xlist| $)
 (PROG (#1=#:G3541 |x| #2=#:G3542)
  (RETURN
   (SEQ
    (SPADCALL
     (PROGN (LETT #1# NIL |MCALCFN;localGradient|)
      (SEQ (LETT |x| NIL |MCALCFN;localGradient|)
       (LETT #2# |xlist| |MCALCFN;localGradient|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |x| (CAR #2#) |MCALCFN;localGradient|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (SPADCALL |v| |x| (QREFELT $ 10)) #1#)
          |MCALCFN;localGradient|)))
       (LETT #2# (CDR #2#) |MCALCFN;localGradient|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     (QREFELT $ 13)))))) 

(DEFUN |MCALCFN;gradient;FFLASV;2| (|v| |xflas| $)
 (PROG (|xlist|)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;gradient;FFLASV;2|)
    (EXIT (|MCALCFN;localGradient| |v| |xlist| $)))))) 

(DEFUN |MCALCFN;localDivergence| (|vf| |xlist| $)
 (PROG (#1=#:G3545 |n| |i| |ans|)
  (RETURN
   (SEQ
    (LETT |n|
     (MIN (LENGTH |xlist|)
      (PROG1 (LETT #1# (QVSIZE |vf|) |MCALCFN;localDivergence|)
       (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#)))
     |MCALCFN;localDivergence|)
    (LETT |ans| (|spadConstant| $ 17) |MCALCFN;localDivergence|)
    (SEQ (LETT |i| 1 |MCALCFN;localDivergence|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ
      (EXIT
       (LETT |ans|
        (SPADCALL |ans|
         (SPADCALL (SPADCALL |vf| |i| (QREFELT $ 19))
          (SPADCALL |xlist| |i| (QREFELT $ 20)) (QREFELT $ 10))
         (QREFELT $ 21))
        |MCALCFN;localDivergence|)))
     (LETT |i| (QSADD1 |i|) |MCALCFN;localDivergence|) (GO G190) G191
     (EXIT NIL))
    (EXIT |ans|))))) 

(DEFUN |MCALCFN;divergence;FLAFFLASF;4| (|vf| |xflas| $)
 (PROG (|xlist| #1=#:G3549 |n| |i| |ans|)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;divergence;FLAFFLASF;4|)
    (LETT |n|
     (MIN (LENGTH |xlist|)
      (PROG1
       (LETT #1# (SPADCALL |vf| (QREFELT $ 22))
        |MCALCFN;divergence;FLAFFLASF;4|)
       (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#)))
     |MCALCFN;divergence;FLAFFLASF;4|)
    (LETT |ans| (|spadConstant| $ 17) |MCALCFN;divergence;FLAFFLASF;4|)
    (SEQ (LETT |i| 1 |MCALCFN;divergence;FLAFFLASF;4|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ
      (EXIT
       (LETT |ans|
        (SPADCALL |ans|
         (SPADCALL (SPADCALL |vf| |i| (QREFELT $ 23))
          (SPADCALL |xlist| |i| (QREFELT $ 20)) (QREFELT $ 10))
         (QREFELT $ 21))
        |MCALCFN;divergence;FLAFFLASF;4|)))
     (LETT |i| (QSADD1 |i|) |MCALCFN;divergence;FLAFFLASF;4|) (GO G190) G191
     (EXIT NIL))
    (EXIT |ans|))))) 

(DEFUN |MCALCFN;laplacian;FFLASF;5| (|v| |xflas| $)
 (PROG (|xlist| |gv|)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;laplacian;FFLASF;5|)
    (LETT |gv| (|MCALCFN;localGradient| |v| |xlist| $)
     |MCALCFN;laplacian;FFLASF;5|)
    (EXIT (|MCALCFN;localDivergence| |gv| |xlist| $)))))) 

(DEFUN |MCALCFN;hessian;FFLASM;6| (|v| |xflas| $)
 (PROG (|xlist| #1=#:G3559 |y| #2=#:G3560 #3=#:G3561 |x| #4=#:G3562)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15)) |MCALCFN;hessian;FFLASM;6|)
    (EXIT
     (SPADCALL
      (PROGN (LETT #1# NIL |MCALCFN;hessian;FFLASM;6|)
       (SEQ (LETT |y| NIL |MCALCFN;hessian;FFLASM;6|)
        (LETT #2# |xlist| |MCALCFN;hessian;FFLASM;6|) G190
        (COND
         ((OR (ATOM #2#)
           (PROGN (LETT |y| (CAR #2#) |MCALCFN;hessian;FFLASM;6|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT #1#
           (CONS
            (PROGN (LETT #3# NIL |MCALCFN;hessian;FFLASM;6|)
             (SEQ (LETT |x| NIL |MCALCFN;hessian;FFLASM;6|)
              (LETT #4# |xlist| |MCALCFN;hessian;FFLASM;6|) G190
              (COND
               ((OR (ATOM #4#)
                 (PROGN (LETT |x| (CAR #4#) |MCALCFN;hessian;FFLASM;6|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT #3#
                 (CONS (SPADCALL |v| (LIST |x| |y|) (QREFELT $ 26)) #3#)
                 |MCALCFN;hessian;FFLASM;6|)))
              (LETT #4# (CDR #4#) |MCALCFN;hessian;FFLASM;6|) (GO G190) G191
              (EXIT (NREVERSE0 #3#))))
            #1#)
           |MCALCFN;hessian;FFLASM;6|)))
        (LETT #2# (CDR #2#) |MCALCFN;hessian;FFLASM;6|) (GO G190) G191
        (EXIT (NREVERSE0 #1#))))
      (QREFELT $ 29))))))) 

(DEFUN |MCALCFN;jacobian;FLAFFLASM;7| (|vf| |xflas| $)
 (PROG (|xlist| #1=#:G3567 |i| #2=#:G3568 #3=#:G3569 |x| #4=#:G3570)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;jacobian;FLAFFLASM;7|)
    (EXIT
     (SPADCALL
      (PROGN (LETT #1# NIL |MCALCFN;jacobian;FLAFFLASM;7|)
       (SEQ (LETT |i| 1 |MCALCFN;jacobian;FLAFFLASM;7|)
        (LETT #2# (SPADCALL |vf| (QREFELT $ 22))
         |MCALCFN;jacobian;FLAFFLASM;7|)
        G190 (COND ((QSGREATERP |i| #2#) (GO G191)))
        (SEQ
         (EXIT
          (LETT #1#
           (CONS
            (PROGN (LETT #3# NIL |MCALCFN;jacobian;FLAFFLASM;7|)
             (SEQ (LETT |x| NIL |MCALCFN;jacobian;FLAFFLASM;7|)
              (LETT #4# |xlist| |MCALCFN;jacobian;FLAFFLASM;7|) G190
              (COND
               ((OR (ATOM #4#)
                 (PROGN (LETT |x| (CAR #4#) |MCALCFN;jacobian;FLAFFLASM;7|)
                  NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT #3#
                 (CONS
                  (SPADCALL (SPADCALL |vf| |i| (QREFELT $ 23)) |x|
                   (QREFELT $ 10))
                  #3#)
                 |MCALCFN;jacobian;FLAFFLASM;7|)))
              (LETT #4# (CDR #4#) |MCALCFN;jacobian;FLAFFLASM;7|) (GO G190)
              G191 (EXIT (NREVERSE0 #3#))))
            #1#)
           |MCALCFN;jacobian;FLAFFLASM;7|)))
        (LETT |i| (QSADD1 |i|) |MCALCFN;jacobian;FLAFFLASM;7|) (GO G190) G191
        (EXIT (NREVERSE0 #1#))))
      (QREFELT $ 29))))))) 

(DEFUN |MCALCFN;bandedHessian;FFLASNniM;8| (|v| |xflas| |k| $)
 (PROG (|xlist| |n| |bandM| |iw| #1=#:G3576 |j| #2=#:G3577)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;bandedHessian;FFLASNniM;8|)
    (LETT |n| (LENGTH |xlist|) |MCALCFN;bandedHessian;FFLASNniM;8|)
    (LETT |bandM| (SPADCALL (+ |k| 1) |n| (|spadConstant| $ 17) (QREFELT $ 34))
     |MCALCFN;bandedHessian;FFLASNniM;8|)
    (SEQ (LETT |j| 1 |MCALCFN;bandedHessian;FFLASNniM;8|) G190
     (COND ((QSGREATERP |j| |n|) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |bandM| 1 |j|
        (SPADCALL |v| (SPADCALL |xlist| |j| (QREFELT $ 20)) 2 (QREFELT $ 35))
        (QREFELT $ 36))))
     (LETT |j| (QSADD1 |j|) |MCALCFN;bandedHessian;FFLASNniM;8|) (GO G190) G191
     (EXIT NIL))
    (SEQ (LETT |iw| 2 |MCALCFN;bandedHessian;FFLASNniM;8|)
     (LETT #1# (+ |k| 1) |MCALCFN;bandedHessian;FFLASNniM;8|) G190
     (COND ((QSGREATERP |iw| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |j| 1 |MCALCFN;bandedHessian;FFLASNniM;8|)
        (LETT #2# (+ (- |n| |iw|) 1) |MCALCFN;bandedHessian;FFLASNniM;8|) G190
        (COND ((QSGREATERP |j| #2#) (GO G191)))
        (SEQ
         (EXIT
          (SPADCALL |bandM| |iw| |j|
           (SPADCALL |v|
            (LIST (SPADCALL |xlist| |j| (QREFELT $ 20))
             (SPADCALL |xlist| (- (+ |j| |iw|) 1) (QREFELT $ 20)))
            (QREFELT $ 26))
           (QREFELT $ 36))))
        (LETT |j| (QSADD1 |j|) |MCALCFN;bandedHessian;FFLASNniM;8|) (GO G190)
        G191 (EXIT NIL))))
     (LETT |iw| (QSADD1 |iw|) |MCALCFN;bandedHessian;FFLASNniM;8|) (GO G190)
     G191 (EXIT NIL))
    (EXIT |bandM|))))) 

(DEFUN |MCALCFN;jacobian;FLAFFLASM;9| (|vf| |xflas| $)
 (PROG (|xlist| #1=#:G3582 |i| #2=#:G3583 #3=#:G3584 |x| #4=#:G3585)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;jacobian;FLAFFLASM;9|)
    (EXIT
     (SPADCALL
      (PROGN (LETT #1# NIL |MCALCFN;jacobian;FLAFFLASM;9|)
       (SEQ (LETT |i| 1 |MCALCFN;jacobian;FLAFFLASM;9|)
        (LETT #2# (SPADCALL |vf| (QREFELT $ 22))
         |MCALCFN;jacobian;FLAFFLASM;9|)
        G190 (COND ((QSGREATERP |i| #2#) (GO G191)))
        (SEQ
         (EXIT
          (LETT #1#
           (CONS
            (PROGN (LETT #3# NIL |MCALCFN;jacobian;FLAFFLASM;9|)
             (SEQ (LETT |x| NIL |MCALCFN;jacobian;FLAFFLASM;9|)
              (LETT #4# |xlist| |MCALCFN;jacobian;FLAFFLASM;9|) G190
              (COND
               ((OR (ATOM #4#)
                 (PROGN (LETT |x| (CAR #4#) |MCALCFN;jacobian;FLAFFLASM;9|)
                  NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT #3#
                 (CONS
                  (SPADCALL (SPADCALL |vf| |i| (QREFELT $ 23)) |x|
                   (QREFELT $ 10))
                  #3#)
                 |MCALCFN;jacobian;FLAFFLASM;9|)))
              (LETT #4# (CDR #4#) |MCALCFN;jacobian;FLAFFLASM;9|) (GO G190)
              G191 (EXIT (NREVERSE0 #3#))))
            #1#)
           |MCALCFN;jacobian;FLAFFLASM;9|)))
        (LETT |i| (QSADD1 |i|) |MCALCFN;jacobian;FLAFFLASM;9|) (GO G190) G191
        (EXIT (NREVERSE0 #1#))))
      (QREFELT $ 29))))))) 

(DEFUN |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10| (|vf| |xflas| |kl| |ku| $)
 (PROG (|xlist| |n| |bandM| #1=#:G3593 #2=#:G3594 |iw| |j|)
  (RETURN
   (SEQ
    (LETT |xlist| (SPADCALL |xflas| (QREFELT $ 15))
     |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
    (LETT |n| (LENGTH |xlist|) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
    (LETT |bandM|
     (SPADCALL (+ (+ |kl| |ku|) 1) |n| (|spadConstant| $ 17) (QREFELT $ 34))
     |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
    (SEQ (LETT |j| 1 |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|) G190
     (COND ((QSGREATERP |j| |n|) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |bandM| (+ |ku| 1) |j|
        (SPADCALL (SPADCALL |vf| |j| (QREFELT $ 23))
         (SPADCALL |xlist| |j| (QREFELT $ 20)) (QREFELT $ 10))
        (QREFELT $ 36))))
     (LETT |j| (QSADD1 |j|) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
     (GO G190) G191 (EXIT NIL))
    (SEQ (LETT |iw| (+ |ku| 2) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
     (LETT #1# (+ (+ |ku| |kl|) 1) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
     G190 (COND ((> |iw| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |j| 1 |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
        (LETT #2# (+ (+ (- |n| |iw|) |ku|) 1)
         |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
        G190 (COND ((QSGREATERP |j| #2#) (GO G191)))
        (SEQ
         (EXIT
          (SPADCALL |bandM| |iw| |j|
           (SPADCALL (SPADCALL |vf| (- (- (+ |j| |iw|) 1) |ku|) (QREFELT $ 23))
            (SPADCALL |xlist| |j| (QREFELT $ 20)) (QREFELT $ 10))
           (QREFELT $ 36))))
        (LETT |j| (QSADD1 |j|) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
        (GO G190) G191 (EXIT NIL))))
     (LETT |iw| (+ |iw| 1) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|) (GO G190)
     G191 (EXIT NIL))
    (SEQ (LETT |iw| 1 |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|) G190
     (COND ((QSGREATERP |iw| |ku|) (GO G191)))
     (SEQ
      (EXIT
       (SEQ
        (LETT |j| (- (+ |ku| 2) |iw|)
         |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
        G190 (COND ((> |j| |n|) (GO G191)))
        (SEQ
         (EXIT
          (SPADCALL |bandM| |iw| |j|
           (SPADCALL (SPADCALL |vf| (- (- (+ |j| |iw|) 1) |ku|) (QREFELT $ 23))
            (SPADCALL |xlist| |j| (QREFELT $ 20)) (QREFELT $ 10))
           (QREFELT $ 36))))
        (LETT |j| (+ |j| 1) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
        (GO G190) G191 (EXIT NIL))))
     (LETT |iw| (QSADD1 |iw|) |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |bandM|))))) 

(DEFUN |MultiVariableCalculusFunctions| (&REST #1=#:G3599 &AUX #2=#:G3597)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3598)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|MultiVariableCalculusFunctions|)
         '|domainEqualList|)
        |MultiVariableCalculusFunctions|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |MultiVariableCalculusFunctions;|) #2#)
         (LETT #3# T |MultiVariableCalculusFunctions|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|MultiVariableCalculusFunctions|))))))))))) 

(DEFUN |MultiVariableCalculusFunctions;| (|#1| |#2| |#3| |#4|)
 (PROG (DV$1 DV$2 DV$3 DV$4 |dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) . #1=(|MultiVariableCalculusFunctions|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT DV$4 (|devaluate| |#4|) . #1#)
    (LETT |dv$| (LIST '|MultiVariableCalculusFunctions| DV$1 DV$2 DV$3 DV$4) .
     #1#)
    (LETT $ (GETREFV 39) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|MultiVariableCalculusFunctions|
     (LIST DV$1 DV$2 DV$3 DV$4) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 |#4|) $)))) 

(MAKEPROP '|MultiVariableCalculusFunctions| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     (|local| |#4|) (0 . D) (|List| 7) (|Vector| 7) (6 . |vector|) (|List| 6)
     (11 . |parts|) |MCALCFN;gradient;FFLASV;2| (16 . |Zero|) (|Integer|)
     (20 . |elt|) (26 . |elt|) (32 . +) (38 . |maxIndex|) (43 . |elt|)
     |MCALCFN;divergence;FLAFFLASF;4| |MCALCFN;laplacian;FFLASF;5| (49 . D)
     (|List| 11) (|Matrix| 7) (55 . |matrix|) |MCALCFN;hessian;FFLASM;6|
     |MCALCFN;jacobian;FLAFFLASM;9| (60 . |One|) (|NonNegativeInteger|)
     (64 . |new|) (71 . D) (78 . |setelt|) |MCALCFN;bandedHessian;FFLASNniM;8|
     |MCALCFN;bandedJacobian;FLAFFLAS2NniM;10|)
  '#(|laplacian| 86 |jacobian| 92 |hessian| 98 |gradient| 104 |divergence| 110
     |bandedJacobian| 116 |bandedHessian| 124)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 38
      '(2 7 0 0 6 10 1 12 0 11 13 1 9 14 0 15 0 7 0 17 2 12 7 0 18 19 2 14 6 0
        18 20 2 7 0 0 0 21 1 8 18 0 22 2 8 7 0 18 23 2 7 0 0 14 26 1 28 0 27 29
        0 7 0 32 3 28 0 33 33 7 34 3 7 0 0 6 33 35 4 28 7 0 18 18 7 36 2 0 7 7
        9 25 2 0 28 8 9 31 2 0 28 7 9 30 2 0 12 7 9 16 2 0 7 8 9 24 4 0 28 8 9
        33 33 38 3 0 28 7 9 33 37)))))
  '|lookupComplete|)) 
