
(/VERSIONCHECK 2) 

(DEFUN |NUMTUBE;colinearity| (|x| |y| $)
 (/ (EXPT (SPADCALL |x| |y| (QREFELT $ 23)) 2)
  (* (SPADCALL |x| |x| (QREFELT $ 23)) (SPADCALL |y| |y| (QREFELT $ 23))))) 

(DEFUN |NUMTUBE;orthog| (|x| |y| $)
 (PROG (|a|)
  (RETURN
   (SEQ
    (COND
     ((< (QREFELT $ 13) (|NUMTUBE;colinearity| |x| |y| $))
      (LETT |y| (QREFELT $ 22) |NUMTUBE;orthog|)))
    (COND
     ((< (QREFELT $ 13) (|NUMTUBE;colinearity| |x| |y| $))
      (LETT |y|
       (COND
        ((< (|NUMTUBE;colinearity| |x| (QREFELT $ 18) $) (QREFELT $ 13))
         (QREFELT $ 18))
        ('T (QREFELT $ 20)))
       |NUMTUBE;orthog|)))
    (LETT |a|
     (-
      (/ (SPADCALL |x| |y| (QREFELT $ 23)) (SPADCALL |x| |x| (QREFELT $ 23))))
     |NUMTUBE;orthog|)
    (EXIT
     (SETELT $ 22
      (SPADCALL (SPADCALL |a| |x| (QREFELT $ 24)) |y| (QREFELT $ 25)))))))) 

(DEFUN |NUMTUBE;poTriad| (|pl| |po| |pr| $)
 (PROG (|t| |pol| |n|)
  (RETURN
   (SEQ
    (LETT |t| (SPADCALL (SPADCALL |pr| |pl| (QREFELT $ 26)) (QREFELT $ 27))
     |NUMTUBE;poTriad|)
    (LETT |pol| (SPADCALL |pl| |po| (QREFELT $ 26)) |NUMTUBE;poTriad|)
    (LETT |n| (SPADCALL (|NUMTUBE;orthog| |t| |pol| $) (QREFELT $ 27))
     |NUMTUBE;poTriad|)
    (EXIT (VECTOR |t| |n| (SPADCALL |t| |n| (QREFELT $ 28)))))))) 

(DEFUN |NUMTUBE;curveTriads| (|l| $)
 (PROG
  (|k| |b| |triad| #1=#:G3560 |pr| #2=#:G3563 |po| #3=#:G3562 |pl| #4=#:G3561
   |midtriads| |begtriad| |x| |t| |n| |endtriad|)
  (RETURN
   (SEQ (LETT |k| (LENGTH |l|) |NUMTUBE;curveTriads|)
    (EXIT
     (COND ((< |k| 2) (|error| "Need at least 2 points to specify a curve"))
      ('T
       (SEQ (SETELT $ 22 (QREFELT $ 21))
        (EXIT
         (COND
          ((EQL |k| 2)
           (SEQ
            (LETT |t|
             (SPADCALL
              (SPADCALL (SPADCALL |l| (QREFELT $ 30)) (|SPADfirst| |l|)
               (QREFELT $ 26))
              (QREFELT $ 27))
             |NUMTUBE;curveTriads|)
            (LETT |n|
             (SPADCALL (SPADCALL |t| (QREFELT $ 18) (QREFELT $ 26))
              (QREFELT $ 27))
             |NUMTUBE;curveTriads|)
            (LETT |b| (SPADCALL |t| |n| (QREFELT $ 28)) |NUMTUBE;curveTriads|)
            (LETT |triad| (VECTOR |t| |n| |b|) |NUMTUBE;curveTriads|)
            (EXIT (LIST |triad| |triad|))))
          ('T
           (SEQ
            (LETT |midtriads|
             (PROGN (LETT #1# NIL |NUMTUBE;curveTriads|)
              (SEQ (LETT |pr| NIL |NUMTUBE;curveTriads|)
               (LETT #2# (CDR (CDR |l|)) |NUMTUBE;curveTriads|)
               (LETT |po| NIL |NUMTUBE;curveTriads|)
               (LETT #3# (CDR |l|) |NUMTUBE;curveTriads|)
               (LETT |pl| NIL |NUMTUBE;curveTriads|)
               (LETT #4# |l| |NUMTUBE;curveTriads|) G190
               (COND
                ((OR (ATOM #4#)
                  (PROGN (LETT |pl| (CAR #4#) |NUMTUBE;curveTriads|) NIL)
                  (ATOM #3#)
                  (PROGN (LETT |po| (CAR #3#) |NUMTUBE;curveTriads|) NIL)
                  (ATOM #2#)
                  (PROGN (LETT |pr| (CAR #2#) |NUMTUBE;curveTriads|) NIL))
                 (GO G191)))
               (SEQ
                (EXIT
                 (LETT #1# (CONS (|NUMTUBE;poTriad| |pl| |po| |pr| $) #1#)
                  |NUMTUBE;curveTriads|)))
               (LETT #4#
                (PROG1 (CDR #4#)
                 (LETT #3#
                  (PROG1 (CDR #3#) (LETT #2# (CDR #2#) |NUMTUBE;curveTriads|))
                  |NUMTUBE;curveTriads|))
                |NUMTUBE;curveTriads|)
               (GO G190) G191 (EXIT (NREVERSE0 #1#))))
             |NUMTUBE;curveTriads|)
            (LETT |x| (|SPADfirst| |midtriads|) |NUMTUBE;curveTriads|)
            (LETT |t|
             (SPADCALL
              (SPADCALL (SPADCALL |l| (QREFELT $ 30)) (|SPADfirst| |l|)
               (QREFELT $ 26))
              (QREFELT $ 27))
             |NUMTUBE;curveTriads|)
            (LETT |n|
             (SPADCALL (|NUMTUBE;orthog| |t| (QVELT |x| 1) $) (QREFELT $ 27))
             |NUMTUBE;curveTriads|)
            (LETT |begtriad| (VECTOR |t| |n| (SPADCALL |t| |n| (QREFELT $ 28)))
             |NUMTUBE;curveTriads|)
            (LETT |x| (SPADCALL |midtriads| (QREFELT $ 33))
             |NUMTUBE;curveTriads|)
            (LETT |t|
             (SPADCALL
              (SPADCALL (SPADCALL |l| |k| (QREFELT $ 34))
               (SPADCALL |l| (- |k| 1) (QREFELT $ 34)) (QREFELT $ 26))
              (QREFELT $ 27))
             |NUMTUBE;curveTriads|)
            (LETT |n|
             (SPADCALL (|NUMTUBE;orthog| |t| (QVELT |x| 1) $) (QREFELT $ 27))
             |NUMTUBE;curveTriads|)
            (LETT |endtriad| (VECTOR |t| |n| (SPADCALL |t| |n| (QREFELT $ 28)))
             |NUMTUBE;curveTriads|)
            (EXIT
             (CONS |begtriad|
              (SPADCALL |midtriads| |endtriad| (QREFELT $ 35)))))))))))))))) 

(DEFUN |NUMTUBE;curveLoops| (|pts| |r| |nn| $)
 (PROG (|triads| |cosSin| |triad| #1=#:G3570 |pt| #2=#:G3569 |n| |b| |loops|)
  (RETURN
   (SEQ (LETT |triads| (|NUMTUBE;curveTriads| |pts| $) |NUMTUBE;curveLoops|)
    (LETT |cosSin| (SPADCALL |nn| (QREFELT $ 37)) |NUMTUBE;curveLoops|)
    (LETT |loops| NIL |NUMTUBE;curveLoops|)
    (SEQ (LETT |triad| NIL |NUMTUBE;curveLoops|)
     (LETT #1# |triads| |NUMTUBE;curveLoops|)
     (LETT |pt| NIL |NUMTUBE;curveLoops|) (LETT #2# |pts| |NUMTUBE;curveLoops|)
     G190
     (COND
      ((OR (ATOM #2#) (PROGN (LETT |pt| (CAR #2#) |NUMTUBE;curveLoops|) NIL)
        (ATOM #1#) (PROGN (LETT |triad| (CAR #1#) |NUMTUBE;curveLoops|) NIL))
       (GO G191)))
     (SEQ (LETT |n| (QVELT |triad| 1) |NUMTUBE;curveLoops|)
      (LETT |b| (QVELT |triad| 2) |NUMTUBE;curveLoops|)
      (EXIT
       (LETT |loops|
        (CONS (SPADCALL |pt| |n| |b| |r| |cosSin| (QREFELT $ 38)) |loops|)
        |NUMTUBE;curveLoops|)))
     (LETT #2# (PROG1 (CDR #2#) (LETT #1# (CDR #1#) |NUMTUBE;curveLoops|))
      |NUMTUBE;curveLoops|)
     (GO G190) G191 (EXIT NIL))
    (EXIT (NREVERSE |loops|)))))) 

(DEFUN |NUMTUBE;tube;CurveDfITp;6| (|curve| |r| |n| $)
 (PROG (|brans| |bran| #1=#:G3574 |loops|)
  (RETURN
   (SEQ
    (COND ((< |n| 3) (|error| "tube: n should be at least 3"))
     ('T
      (SEQ
       (LETT |brans| (SPADCALL |curve| (QREFELT $ 40))
        |NUMTUBE;tube;CurveDfITp;6|)
       (LETT |loops| NIL |NUMTUBE;tube;CurveDfITp;6|)
       (SEQ (LETT |bran| NIL |NUMTUBE;tube;CurveDfITp;6|)
        (LETT #1# |brans| |NUMTUBE;tube;CurveDfITp;6|) G190
        (COND
         ((OR (ATOM #1#)
           (PROGN (LETT |bran| (CAR #1#) |NUMTUBE;tube;CurveDfITp;6|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT |loops|
           (SPADCALL |loops| (|NUMTUBE;curveLoops| |bran| |r| |n| $)
            (QREFELT $ 41))
           |NUMTUBE;tube;CurveDfITp;6|)))
        (LETT #1# (CDR #1#) |NUMTUBE;tube;CurveDfITp;6|) (GO G190) G191
        (EXIT NIL))
       (EXIT (SPADCALL |curve| |loops| 'NIL (QREFELT $ 44)))))))))) 

(DEFUN |NumericTubePlot| (#1=#:G3577)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3578)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|NumericTubePlot|) '|domainEqualList|)
        |NumericTubePlot|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|NumericTubePlot;| #1#) (LETT #2# T |NumericTubePlot|))
        (COND
         ((NOT #2#) (HREM |$ConstructorCache| '|NumericTubePlot|))))))))))) 

(DEFUN |NumericTubePlot;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|NumericTubePlot|))
    (LETT |dv$| (LIST '|NumericTubePlot| DV$1) . #1#)
    (LETT $ (GETREFV 46) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|NumericTubePlot| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (QSETREFV $ 13
     (SPADCALL (SPADCALL 995 -3 10 (QREFELT $ 10)) (QREFELT $ 12)))
    (QSETREFV $ 18 (SPADCALL #2=1.0 #3=0.0 #3# #3# (QREFELT $ 17)))
    (QSETREFV $ 20 (SPADCALL #3# #2# #3# #3# (QREFELT $ 17)))
    (QSETREFV $ 21 (SPADCALL #2# #2# #3# #3# (QREFELT $ 17)))
    (QSETREFV $ 22 (QREFELT $ 21)) $)))) 

(MAKEPROP '|NumericTubePlot| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|Integer|) (|PositiveInteger|)
     (|Float|) (0 . |float|) (|DoubleFloat|) (7 . |convert|) 'LINMAX
     (12 . |One|) (|Point| 11) (|TubePlotTools|) (16 . |point|) 'XHAT
     (24 . |Zero|) 'YHAT 'PREV0 'PREV (28 . |dot|) (34 . *) (40 . +) (46 . -)
     (52 . |unitVector|) (57 . |cross|) (|List| 15) (63 . |second|)
     (|Record| (|:| |tang| 15) (|:| |norm| 15) (|:| |bin| 15)) (|List| 31)
     (68 . |last|) (73 . |elt|) (79 . |concat|) (|List| (|List| 11))
     (85 . |cosSinInfo|) (90 . |loopPoints|) (|List| 29) (99 . |listBranches|)
     (104 . |concat|) (|Boolean|) (|TubePlot| 6) (110 . |tube|)
     |NUMTUBE;tube;CurveDfITp;6|)
  '#(|tube| 117) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 45
      '(3 9 0 7 7 8 10 1 9 11 0 12 0 9 0 14 4 16 15 11 11 11 11 17 0 9 0 19 2
        16 11 15 15 23 2 16 15 11 15 24 2 16 15 15 15 25 2 16 15 15 15 26 1 16
        15 15 27 2 16 15 15 15 28 1 29 15 0 30 1 32 31 0 33 2 29 15 0 7 34 2 32
        0 0 31 35 1 16 36 7 37 5 16 29 15 15 15 11 36 38 1 6 39 0 40 2 39 0 0 0
        41 3 43 0 6 39 42 44 3 0 43 6 11 7 45)))))
  '|lookupComplete|)) 
