
(/VERSIONCHECK 2) 

(DEFUN |PADE;constInner| (|up| $) (CONS 0 (CONS (LIST |up|) NIL))) 

(DEFUN |PADE;truncPoly| (|p| |n| $)
 (SEQ
  (SEQ G190 (COND ((NULL (< |n| (SPADCALL |p| (QREFELT $ 10)))) (GO G191)))
   (SEQ (EXIT (LETT |p| (SPADCALL |p| (QREFELT $ 11)) |PADE;truncPoly|))) NIL
   (GO G190) G191 (EXIT NIL))
  (EXIT |p|))) 

(DEFUN |PADE;truncSeries| (|s| |n| $)
 (PROG (|i| |p|)
  (RETURN
   (SEQ (LETT |p| (|spadConstant| $ 12) |PADE;truncSeries|)
    (SEQ (LETT |i| 0 |PADE;truncSeries|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ
      (EXIT
       (LETT |p|
        (SPADCALL |p|
         (SPADCALL (SPADCALL |s| |i| (QREFELT $ 13)) |i| (QREFELT $ 14))
         (QREFELT $ 15))
        |PADE;truncSeries|)))
     (LETT |i| (QSADD1 |i|) |PADE;truncSeries|) (GO G190) G191 (EXIT NIL))
    (EXIT |p|))))) 

(DEFUN |PADE;divOutDegree| (|s| |n| $)
 (PROG (|i|)
  (RETURN
   (SEQ
    (SEQ (LETT |i| 1 |PADE;divOutDegree|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ (EXIT (LETT |s| (SPADCALL |s| (QREFELT $ 16)) |PADE;divOutDegree|)))
     (LETT |i| (QSADD1 |i|) |PADE;divOutDegree|) (GO G190) G191 (EXIT NIL))
    (EXIT |s|))))) 

(DEFUN |PADE;pade;2Nni2PSU;5| (|l| |m| |gps| |dps| $)
 (PROG (|ad| |plist| |dlist| |p| #1=#:G3571 |d| #2=#:G3570 |approx|)
  (RETURN
   (SEQ
    (LETT |ad| (|PADE;padeNormalize| |l| |m| |gps| |dps| $)
     |PADE;pade;2Nni2PSU;5|)
    (EXIT
     (COND ((QEQCAR |ad| 1) (CONS 1 "failed"))
      ('T
       (SEQ (LETT |plist| (QCAR (QCDR |ad|)) |PADE;pade;2Nni2PSU;5|)
        (LETT |dlist| (QCDR (QCDR |ad|)) |PADE;pade;2Nni2PSU;5|)
        (LETT |approx| (SPADCALL (|SPADfirst| |plist|) (QREFELT $ 18))
         |PADE;pade;2Nni2PSU;5|)
        (SEQ (LETT |p| NIL |PADE;pade;2Nni2PSU;5|)
         (LETT #1# (CDR |plist|) |PADE;pade;2Nni2PSU;5|)
         (LETT |d| NIL |PADE;pade;2Nni2PSU;5|)
         (LETT #2# |dlist| |PADE;pade;2Nni2PSU;5|) G190
         (COND
          ((OR (ATOM #2#)
            (PROGN (LETT |d| (CAR #2#) |PADE;pade;2Nni2PSU;5|) NIL) (ATOM #1#)
            (PROGN (LETT |p| (CAR #1#) |PADE;pade;2Nni2PSU;5|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT |approx|
            (SPADCALL (SPADCALL |p| (QREFELT $ 18))
             (SPADCALL
              (SPADCALL (SPADCALL (|spadConstant| $ 19) |d| (QREFELT $ 14))
               (QREFELT $ 18))
              |approx| (QREFELT $ 21))
             (QREFELT $ 22))
            |PADE;pade;2Nni2PSU;5|)))
         (LETT #2#
          (PROG1 (CDR #2#) (LETT #1# (CDR #1#) |PADE;pade;2Nni2PSU;5|))
          |PADE;pade;2Nni2PSU;5|)
         (GO G190) G191 (EXIT NIL))
        (EXIT (CONS 0 |approx|)))))))))) 

(DEFUN |PADE;padecf;2Nni2PSU;6| (|l| |m| |gps| |dps| $)
 (PROG (|ad| |alist| #1=#:G3582 |d| #2=#:G3583 |blist|)
  (RETURN
   (SEQ
    (LETT |ad| (|PADE;padeNormalize| |l| |m| |gps| |dps| $)
     |PADE;padecf;2Nni2PSU;6|)
    (EXIT
     (COND ((QEQCAR |ad| 1) (CONS 1 "failed"))
      ('T
       (SEQ
        (LETT |alist| (REVERSE (QCAR (QCDR |ad|))) |PADE;padecf;2Nni2PSU;6|)
        (LETT |blist|
         (PROGN (LETT #1# NIL |PADE;padecf;2Nni2PSU;6|)
          (SEQ (LETT |d| NIL |PADE;padecf;2Nni2PSU;6|)
           (LETT #2# (REVERSE (QCDR (QCDR |ad|))) |PADE;padecf;2Nni2PSU;6|)
           G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |d| (CAR #2#) |PADE;padecf;2Nni2PSU;6|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS (SPADCALL (|spadConstant| $ 19) |d| (QREFELT $ 14)) #1#)
              |PADE;padecf;2Nni2PSU;6|)))
           (LETT #2# (CDR #2#) |PADE;padecf;2Nni2PSU;6|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         |PADE;padecf;2Nni2PSU;6|)
        (EXIT
         (CONS 0
          (SPADCALL (|SPADfirst| |alist|) (SPADCALL |blist| (QREFELT $ 27))
           (SPADCALL (CDR |alist|) (QREFELT $ 27)) (QREFELT $ 29)))))))))))) 

(DEFUN |PADE;padeNormalize| (|l| |m| |gps| |dps| $)
 (PROG (|ldeg|)
  (RETURN
   (SEQ
    (COND ((SPADCALL |dps| (QREFELT $ 33)) (CONS 1 "failed"))
     ((SPADCALL |gps| (QREFELT $ 33))
      (|PADE;constInner| (|spadConstant| $ 12) $))
     ('T
      (SEQ
       (LETT |ldeg|
        (MIN (SPADCALL |dps| (QREFELT $ 34)) (SPADCALL |gps| (QREFELT $ 34)))
        |PADE;padeNormalize|)
       (COND
        ((< 0 |ldeg|)
         (SEQ
          (LETT |dps| (|PADE;divOutDegree| |dps| |ldeg| $)
           |PADE;padeNormalize|)
          (EXIT
           (LETT |gps| (|PADE;divOutDegree| |gps| |ldeg| $)
            |PADE;padeNormalize|)))))
       (EXIT (|PADE;padeInner| |l| |m| |gps| |dps| $))))))))) 

(DEFUN |PADE;padeInner| (|l| |m| |gps| |dps| $)
 (PROG
  (|#G33| |#G34| |#G35| |#G36| |#G37| #1=#:G3593 |#G38| |#G39| |#G40| |j| |d0|
   #2=#:G3596 |k| |pk| #3=#:G3597 |p| |s| |plist| |alpha| #4=#:G3613 |alist|
   #5=#:G3602 |h| #6=#:G3606 |degbd| |g| |d| |#G43| #7=#:G3607 |#G44|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((SPADCALL (SPADCALL |gps| 0 (QREFELT $ 13)) (QREFELT $ 37))
        (COND
         ((SPADCALL (SPADCALL |dps| 0 (QREFELT $ 13)) (QREFELT $ 37))
          (EXIT (|error| "Pade' problem not normalized."))))))
      (LETT |plist| NIL |PADE;padeInner|) (LETT |alist| NIL |PADE;padeInner|)
      (COND
       ((SPADCALL (SPADCALL |dps| 0 (QREFELT $ 13)) (QREFELT $ 37))
        (SEQ
         (PROGN (LETT |#G33| |dps| |PADE;padeInner|)
          (LETT |#G34| |gps| |PADE;padeInner|)
          (LETT |gps| |#G33| |PADE;padeInner|)
          (LETT |dps| |#G34| |PADE;padeInner|))
         (PROGN (LETT |#G35| |m| |PADE;padeInner|)
          (LETT |#G36| |l| |PADE;padeInner|) (LETT |l| |#G35| |PADE;padeInner|)
          (LETT |m| |#G36| |PADE;padeInner|))
         (LETT |plist| (CONS (|spadConstant| $ 12) |plist|) |PADE;padeInner|)
         (EXIT (LETT |alist| (CONS 0 |alist|) |PADE;padeInner|)))))
      (COND
       ((< |l| |m|)
        (SEQ (LETT |alpha| (SPADCALL |gps| (QREFELT $ 34)) |PADE;padeInner|)
         (COND
          ((< |l| |alpha|)
           (PROGN (LETT #4# (CONS 1 "failed") |PADE;padeInner|) (GO #4#))))
         (LETT |gps| (|PADE;divOutDegree| |gps| |alpha| $) |PADE;padeInner|)
         (PROGN (LETT |#G37| |m| |PADE;padeInner|)
          (LETT |#G38|
           (PROG1 (LETT #1# (- |l| |alpha|) |PADE;padeInner|)
            (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
           |PADE;padeInner|)
          (LETT |l| |#G37| |PADE;padeInner|)
          (LETT |m| |#G38| |PADE;padeInner|))
         (PROGN (LETT |#G39| |dps| |PADE;padeInner|)
          (LETT |#G40| |gps| |PADE;padeInner|)
          (LETT |gps| |#G39| |PADE;padeInner|)
          (LETT |dps| |#G40| |PADE;padeInner|))
         (LETT |plist| (CONS (|spadConstant| $ 12) |plist|) |PADE;padeInner|)
         (EXIT (LETT |alist| (CONS |alpha| |alist|) |PADE;padeInner|)))))
      (LETT |degbd| (+ (+ |l| |m|) 1) |PADE;padeInner|)
      (LETT |g| (|PADE;truncSeries| |gps| |degbd| $) |PADE;padeInner|)
      (LETT |d| (|PADE;truncSeries| |dps| |degbd| $) |PADE;padeInner|)
      (EXIT
       (SEQ (LETT |j| 0 |PADE;padeInner|) G190 NIL
        (SEQ (LETT |d0| (SPADCALL |d| 0 (QREFELT $ 38)) |PADE;padeInner|)
         (LETT |d|
          (SPADCALL (SPADCALL (|spadConstant| $ 39) |d0| (QREFELT $ 40)) |d|
           (QREFELT $ 41))
          |PADE;padeInner|)
         (LETT |g|
          (SPADCALL (SPADCALL (|spadConstant| $ 39) |d0| (QREFELT $ 40)) |g|
           (QREFELT $ 41))
          |PADE;padeInner|)
         (LETT |p| (|spadConstant| $ 12) |PADE;padeInner|)
         (LETT |s| |g| |PADE;padeInner|)
         (COND ((< (+ (- |l| |m|) 1) 0) (|error| "Internal pade error")))
         (LETT |degbd|
          (PROG1 (LETT #2# (+ (- |l| |m|) 1) |PADE;padeInner|)
           (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
          |PADE;padeInner|)
         (SEQ (LETT |k| 1 |PADE;padeInner|) G190
          (COND ((QSGREATERP |k| |degbd|) (GO G191)))
          (SEQ (LETT |pk| (SPADCALL |s| 0 (QREFELT $ 38)) |PADE;padeInner|)
           (LETT |p|
            (SPADCALL |p|
             (SPADCALL |pk|
              (PROG1 (LETT #3# (- |k| 1) |PADE;padeInner|)
               (|check-subtype| (>= #3# 0) '(|NonNegativeInteger|) #3#))
              (QREFELT $ 14))
             (QREFELT $ 15))
            |PADE;padeInner|)
           (LETT |s|
            (SPADCALL |s| (SPADCALL |pk| |d| (QREFELT $ 42)) (QREFELT $ 43))
            |PADE;padeInner|)
           (EXIT
            (LETT |s|
             (PROG2
              (LETT #5#
               (SPADCALL |s| (SPADCALL (|spadConstant| $ 19) 1 (QREFELT $ 14))
                (QREFELT $ 46))
               |PADE;padeInner|)
              (QCDR #5#) (|check-union| (QEQCAR #5# 0) (QREFELT $ 8) #5#))
             |PADE;padeInner|)))
          (LETT |k| (QSADD1 |k|) |PADE;padeInner|) (GO G190) G191 (EXIT NIL))
         (LETT |plist| (CONS |p| |plist|) |PADE;padeInner|)
         (EXIT
          (COND
           ((SPADCALL |s| (|spadConstant| $ 12) (QREFELT $ 47))
            (PROGN (LETT #4# (CONS 0 (CONS |plist| |alist|)) |PADE;padeInner|)
             (GO #4#)))
           ('T
            (SEQ
             (LETT |alpha| (+ (SPADCALL |s| (QREFELT $ 48)) |degbd|)
              |PADE;padeInner|)
             (EXIT
              (COND
               ((< (+ |l| |m|) |alpha|)
                (PROGN
                 (LETT #4# (CONS 0 (CONS |plist| |alist|)) |PADE;padeInner|)
                 (GO #4#)))
               ((< |l| |alpha|)
                (PROGN (LETT #4# (CONS 1 "failed") |PADE;padeInner|) (GO #4#)))
               ('T
                (SEQ (LETT |alist| (CONS |alpha| |alist|) |PADE;padeInner|)
                 (LETT |h|
                  (PROG2
                   (LETT #5#
                    (SPADCALL |s|
                     (SPADCALL (|spadConstant| $ 19)
                      (SPADCALL |s| (QREFELT $ 48)) (QREFELT $ 14))
                     (QREFELT $ 46))
                    |PADE;padeInner|)
                   (QCDR #5#) (|check-union| (QEQCAR #5# 0) (QREFELT $ 8) #5#))
                  |PADE;padeInner|)
                 (LETT |degbd|
                  (PROG1 (LETT #6# (- (+ |l| |m|) |alpha|) |PADE;padeInner|)
                   (|check-subtype| (>= #6# 0) '(|NonNegativeInteger|) #6#))
                  |PADE;padeInner|)
                 (LETT |g| (|PADE;truncPoly| |d| |degbd| $) |PADE;padeInner|)
                 (LETT |d| (|PADE;truncPoly| |h| |degbd| $) |PADE;padeInner|)
                 (EXIT
                  (PROGN (LETT |#G43| |m| |PADE;padeInner|)
                   (LETT |#G44|
                    (PROG1 (LETT #7# (- |l| |alpha|) |PADE;padeInner|)
                     (|check-subtype| (>= #7# 0) '(|NonNegativeInteger|) #7#))
                    |PADE;padeInner|)
                   (LETT |l| |#G43| |PADE;padeInner|)
                   (LETT |m| |#G44| |PADE;padeInner|))))))))))))
        (LETT |j| (QSADD1 |j|) |PADE;padeInner|) (GO G190) G191 (EXIT NIL)))))
    #4# (EXIT #4#))))) 

(DEFUN |PadeApproximants| (&REST #1=#:G3618 &AUX #2=#:G3616) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3617)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|PadeApproximants|) '|domainEqualList|)
        |PadeApproximants|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |PadeApproximants;|) #2#)
         (LETT #3# T |PadeApproximants|))
        (COND
         ((NOT #3#) (HREM |$ConstructorCache| '|PadeApproximants|))))))))))) 

(DEFUN |PadeApproximants;| (|#1| |#2| |#3|)
 (PROG (DV$1 DV$2 DV$3 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|PadeApproximants|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT |dv$| (LIST '|PadeApproximants| DV$1 DV$2 DV$3) . #1#)
    (LETT $ (GETREFV 49) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PadeApproximants| (LIST DV$1 DV$2 DV$3)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) $)))) 

(MAKEPROP '|PadeApproximants| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     (|NonNegativeInteger|) (0 . |degree|) (5 . |reductum|) (10 . |Zero|)
     (14 . |coefficient|) (20 . |monomial|) (26 . +) (32 . |quoByVar|)
     (|Fraction| 8) (37 . |coerce|) (42 . |One|) (46 . |One|) (50 . /) (56 . +)
     (|Union| 17 '"failed") |PADE;pade;2Nni2PSU;5| (|List| 8) (|Stream| 8)
     (62 . |coerce|) (|ContinuedFraction| 8) (67 . |continuedFraction|)
     (|Union| 28 '"failed") |PADE;padecf;2Nni2PSU;6| (|Boolean|) (74 . |zero?|)
     (79 . |order|) (84 . |Zero|) (88 . |Zero|) (92 . |zero?|)
     (97 . |coefficient|) (103 . |One|) (107 . /) (113 . *) (119 . *) (125 . -)
     (131 . |monomial|) (|Union| $ '"failed") (137 . |exquo|) (143 . =)
     (149 . |minimumDegree|))
  '#(|padecf| 154 |pade| 162) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 48
      '(1 8 9 0 10 1 8 0 0 11 0 8 0 12 2 7 6 0 9 13 2 8 0 6 9 14 2 8 0 0 0 15 1
        7 0 0 16 1 17 0 8 18 0 6 0 19 0 7 0 20 2 17 0 0 0 21 2 17 0 0 0 22 1 26
        0 25 27 3 28 0 8 26 26 29 1 7 32 0 33 1 7 9 0 34 0 6 0 35 0 7 0 36 1 6
        32 0 37 2 8 6 0 9 38 0 8 0 39 2 8 0 0 6 40 2 8 0 0 0 41 2 8 0 6 0 42 2
        8 0 0 0 43 2 7 0 6 9 44 2 8 45 0 0 46 2 8 32 0 0 47 1 8 9 0 48 4 0 30 9
        9 7 7 31 4 0 23 9 9 7 7 24)))))
  '|lookupComplete|)) 
