
(/VERSIONCHECK 2) 

(DEFUN |PINTERPA;LagrangeInterpolation;2LP;1| (|lx| |ly| $)
 (PROG (|i| |yi| #1=#:G3548 |xi| #2=#:G3547 |j| |xj| #3=#:G3549 |pp| |xp| |ip|)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (LENGTH |lx|) (LENGTH |ly|)))
      (|error| "Different number of points and values."))
     ('T
      (SEQ
       (LETT |ip| (|spadConstant| $ 8) |PINTERPA;LagrangeInterpolation;2LP;1|)
       (SEQ (LETT |i| 0 |PINTERPA;LagrangeInterpolation;2LP;1|)
        (LETT |yi| NIL |PINTERPA;LagrangeInterpolation;2LP;1|)
        (LETT #1# |ly| |PINTERPA;LagrangeInterpolation;2LP;1|)
        (LETT |xi| NIL |PINTERPA;LagrangeInterpolation;2LP;1|)
        (LETT #2# |lx| |PINTERPA;LagrangeInterpolation;2LP;1|) G190
        (COND
         ((OR (ATOM #2#)
           (PROGN (LETT |xi| (CAR #2#) |PINTERPA;LagrangeInterpolation;2LP;1|)
            NIL)
           (ATOM #1#)
           (PROGN (LETT |yi| (CAR #1#) |PINTERPA;LagrangeInterpolation;2LP;1|)
            NIL))
          (GO G191)))
        (SEQ
         (LETT |pp| (|spadConstant| $ 9)
          |PINTERPA;LagrangeInterpolation;2LP;1|)
         (LETT |xp| (|spadConstant| $ 10)
          |PINTERPA;LagrangeInterpolation;2LP;1|)
         (SEQ (LETT |j| 0 |PINTERPA;LagrangeInterpolation;2LP;1|)
          (LETT |xj| NIL |PINTERPA;LagrangeInterpolation;2LP;1|)
          (LETT #3# |lx| |PINTERPA;LagrangeInterpolation;2LP;1|) G190
          (COND
           ((OR (ATOM #3#)
             (PROGN
              (LETT |xj| (CAR #3#) |PINTERPA;LagrangeInterpolation;2LP;1|)
              NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (COND
             ((COND ((EQL |i| |j|) 'NIL) ('T 'T))
              (SEQ
               (LETT |pp|
                (SPADCALL |pp|
                 (SPADCALL (SPADCALL (|spadConstant| $ 10) 1 (QREFELT $ 12))
                  (SPADCALL |xj| 0 (QREFELT $ 12)) (QREFELT $ 14))
                 (QREFELT $ 15))
                |PINTERPA;LagrangeInterpolation;2LP;1|)
               (EXIT
                (LETT |xp|
                 (SPADCALL |xp| (SPADCALL |xi| |xj| (QREFELT $ 16))
                  (QREFELT $ 17))
                 |PINTERPA;LagrangeInterpolation;2LP;1|)))))))
          (LETT #3#
           (PROG1 (CDR #3#)
            (LETT |j| (QSADD1 |j|) |PINTERPA;LagrangeInterpolation;2LP;1|))
           |PINTERPA;LagrangeInterpolation;2LP;1|)
          (GO G190) G191 (EXIT NIL))
         (EXIT
          (LETT |ip|
           (SPADCALL |ip|
            (SPADCALL (SPADCALL |yi| |xp| (QREFELT $ 18)) |pp| (QREFELT $ 19))
            (QREFELT $ 20))
           |PINTERPA;LagrangeInterpolation;2LP;1|)))
        (LETT #2#
         (PROG1 (CDR #2#)
          (LETT #1#
           (PROG1 (CDR #1#)
            (LETT |i| (QSADD1 |i|) |PINTERPA;LagrangeInterpolation;2LP;1|))
           |PINTERPA;LagrangeInterpolation;2LP;1|))
         |PINTERPA;LagrangeInterpolation;2LP;1|)
        (GO G190) G191 (EXIT NIL))
       (EXIT |ip|)))))))) 

(DEFUN |PolynomialInterpolationAlgorithms| (&REST #1=#:G3554 &AUX #2=#:G3552)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3553)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|PolynomialInterpolationAlgorithms|)
         '|domainEqualList|)
        |PolynomialInterpolationAlgorithms|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |PolynomialInterpolationAlgorithms;|) #2#)
         (LETT #3# T |PolynomialInterpolationAlgorithms|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|PolynomialInterpolationAlgorithms|))))))))))) 

(DEFUN |PolynomialInterpolationAlgorithms;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) . #1=(|PolynomialInterpolationAlgorithms|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|PolynomialInterpolationAlgorithms| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 23) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PolynomialInterpolationAlgorithms|
     (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|) $)))) 

(MAKEPROP '|PolynomialInterpolationAlgorithms| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (0 . |Zero|)
     (4 . |One|) (8 . |One|) (|NonNegativeInteger|) (12 . |monomial|)
     (18 . |Zero|) (22 . -) (28 . *) (34 . -) (40 . *) (46 . /) (52 . *)
     (58 . +) (|List| 6) |PINTERPA;LagrangeInterpolation;2LP;1|)
  '#(|LagrangeInterpolation| 64) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 22
      '(0 7 0 8 0 7 0 9 0 6 0 10 2 7 0 6 11 12 0 6 0 13 2 7 0 0 0 14 2 7 0 0 0
        15 2 6 0 0 0 16 2 6 0 0 0 17 2 6 0 0 0 18 2 7 0 6 0 19 2 7 0 0 0 20 2 0
        7 21 21 22)))))
  '|lookupComplete|)) 
