
(/VERSIONCHECK 2) 

(DEFUN |PNTHEORY;MonicQuotient| (|a| |b| $)
 (PROG (|db| #1=#:G3555 |t| |q| |da|)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (SPADCALL |b| (QREFELT $ 26)) 1))
      (|error| "divisor must be monic"))
     ('T
      (COND ((SPADCALL |b| (|spadConstant| $ 7) (QREFELT $ 28)) |a|)
       ('T
        (SEQ (LETT |da| (SPADCALL |a| (QREFELT $ 29)) |PNTHEORY;MonicQuotient|)
         (LETT |db| (SPADCALL |b| (QREFELT $ 29)) |PNTHEORY;MonicQuotient|)
         (LETT |q| (|spadConstant| $ 17) |PNTHEORY;MonicQuotient|)
         (SEQ G190
          (COND ((NULL (COND ((< |da| |db|) 'NIL) ('T 'T))) (GO G191)))
          (SEQ
           (LETT |t|
            (SPADCALL (SPADCALL |a| (QREFELT $ 26))
             (PROG1 (LETT #1# (- |da| |db|) |PNTHEORY;MonicQuotient|)
              (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
             (QREFELT $ 10))
            |PNTHEORY;MonicQuotient|)
           (LETT |a|
            (SPADCALL |a| (SPADCALL |b| |t| (QREFELT $ 30)) (QREFELT $ 31))
            |PNTHEORY;MonicQuotient|)
           (LETT |q| (SPADCALL |q| |t| (QREFELT $ 32))
            |PNTHEORY;MonicQuotient|)
           (EXIT
            (LETT |da| (SPADCALL |a| (QREFELT $ 29))
             |PNTHEORY;MonicQuotient|)))
          NIL (GO G190) G191 (EXIT NIL))
         (EXIT |q|)))))))))) 

(DEFUN |PNTHEORY;cyclotomic;ISup;2| (|n| $)
 (PROG (|p| |#G5| |k| |#G6| |q| |r| #1=#:G3564 |t| |c| |s| #2=#:G3568 |m|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "cyclotomic not defined for negative integers"))
     ((EQL |n| 0) (QREFELT $ 11))
     ('T
      (SEQ (LETT |k| |n| |PNTHEORY;cyclotomic;ISup;2|)
       (LETT |s| (LETT |p| 1 |PNTHEORY;cyclotomic;ISup;2|)
        |PNTHEORY;cyclotomic;ISup;2|)
       (LETT |c| (SPADCALL (QREFELT $ 11) (|spadConstant| $ 7) (QREFELT $ 31))
        |PNTHEORY;cyclotomic;ISup;2|)
       (SEQ G190 (COND ((NULL (< 1 |k|)) (GO G191)))
        (SEQ
         (LETT |p| (SPADCALL |p| (QREFELT $ 34)) |PNTHEORY;cyclotomic;ISup;2|)
         (PROGN (LETT |#G5| (DIVIDE2 |k| |p|) |PNTHEORY;cyclotomic;ISup;2|)
          (LETT |q| (QCAR |#G5|) |PNTHEORY;cyclotomic;ISup;2|)
          (LETT |r| (QCDR |#G5|) |PNTHEORY;cyclotomic;ISup;2|) |#G5|)
         (EXIT
          (COND
           ((EQL |r| 0)
            (SEQ
             (SEQ G190 (COND ((NULL (EQL |r| 0)) (GO G191)))
              (SEQ (LETT |k| |q| |PNTHEORY;cyclotomic;ISup;2|)
               (EXIT
                (PROGN
                 (LETT |#G6| (DIVIDE2 |k| |p|) |PNTHEORY;cyclotomic;ISup;2|)
                 (LETT |q| (QCAR |#G6|) |PNTHEORY;cyclotomic;ISup;2|)
                 (LETT |r| (QCDR |#G6|) |PNTHEORY;cyclotomic;ISup;2|) |#G6|)))
              NIL (GO G190) G191 (EXIT NIL))
             (LETT |t|
              (SPADCALL |c|
               (PROG1 (LETT #1# |p| |PNTHEORY;cyclotomic;ISup;2|)
                (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
               (QREFELT $ 35))
              |PNTHEORY;cyclotomic;ISup;2|)
             (LETT |c| (|PNTHEORY;MonicQuotient| |t| |c| $)
              |PNTHEORY;cyclotomic;ISup;2|)
             (EXIT (LETT |s| (* |s| |p|) |PNTHEORY;cyclotomic;ISup;2|)))))))
        NIL (GO G190) G191 (EXIT NIL))
       (LETT |m|
        (PROG1 (LETT #2# (QUOTIENT2 |n| |s|) |PNTHEORY;cyclotomic;ISup;2|)
         (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
        |PNTHEORY;cyclotomic;ISup;2|)
       (EXIT (SPADCALL |c| |m| (QREFELT $ 35)))))))))) 

(DEFUN |PNTHEORY;euler;ISup;3| (|n| $)
 (PROG (|#G8| |#G9| |#G10| |s| |i| |t| #1=#:G3574 |c| |p|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "euler not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QCAR (QREFELT $ 19)))
         (PROGN (LETT |#G8| 0 |PNTHEORY;euler;ISup;3|)
          (LETT |#G9| (|spadConstant| $ 18) |PNTHEORY;euler;ISup;3|)
          (LETT |s| |#G8| |PNTHEORY;euler;ISup;3|)
          (LETT |p| |#G9| |PNTHEORY;euler;ISup;3|)))
        ('T
         (PROGN (LETT |#G10| (QREFELT $ 19) |PNTHEORY;euler;ISup;3|)
          (LETT |s| (QCAR |#G10|) |PNTHEORY;euler;ISup;3|)
          (LETT |p| (QCDR |#G10|) |PNTHEORY;euler;ISup;3|) |#G10|)))
       (SEQ (LETT |i| (+ |s| 1) |PNTHEORY;euler;ISup;3|) G190
        (COND ((> |i| |n|) (GO G191)))
        (SEQ
         (LETT |t|
          (SPADCALL (SPADCALL |i| (QREFELT $ 37)) (SPADCALL |p| (QREFELT $ 38))
           (QREFELT $ 39))
          |PNTHEORY;euler;ISup;3|)
         (LETT |c|
          (SPADCALL
           (SPADCALL (SPADCALL |i| (QREFELT $ 41))
            (EXPT 2
             (PROG1 (LETT #1# |i| |PNTHEORY;euler;ISup;3|)
              (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#)))
            (QREFELT $ 42))
           (SPADCALL |t| (SPADCALL 1 2 (QREFELT $ 42)) (QREFELT $ 43))
           (QREFELT $ 44))
          |PNTHEORY;euler;ISup;3|)
         (EXIT
          (LETT |p| (SPADCALL |t| (SPADCALL |c| (QREFELT $ 45)) (QREFELT $ 46))
           |PNTHEORY;euler;ISup;3|)))
        (LETT |i| (+ |i| 1) |PNTHEORY;euler;ISup;3|) (GO G190) G191 (EXIT NIL))
       (PROGN (RPLACA (QREFELT $ 19) |n|) (QCAR (QREFELT $ 19)))
       (PROGN (RPLACD (QREFELT $ 19) |p|) (QCDR (QREFELT $ 19)))
       (EXIT |p|)))))))) 

(DEFUN |PNTHEORY;bernoulli;ISup;4| (|n| $)
 (PROG (|#G15| |#G16| |#G17| |s| |i| |t| |c| |p|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "bernoulli not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QCAR (QREFELT $ 20)))
         (PROGN (LETT |#G15| 0 |PNTHEORY;bernoulli;ISup;4|)
          (LETT |#G16| (|spadConstant| $ 18) |PNTHEORY;bernoulli;ISup;4|)
          (LETT |s| |#G15| |PNTHEORY;bernoulli;ISup;4|)
          (LETT |p| |#G16| |PNTHEORY;bernoulli;ISup;4|)))
        ('T
         (PROGN (LETT |#G17| (QREFELT $ 20) |PNTHEORY;bernoulli;ISup;4|)
          (LETT |s| (QCAR |#G17|) |PNTHEORY;bernoulli;ISup;4|)
          (LETT |p| (QCDR |#G17|) |PNTHEORY;bernoulli;ISup;4|) |#G17|)))
       (SEQ (LETT |i| (+ |s| 1) |PNTHEORY;bernoulli;ISup;4|) G190
        (COND ((> |i| |n|) (GO G191)))
        (SEQ
         (LETT |t|
          (SPADCALL (SPADCALL |i| (QREFELT $ 37)) (SPADCALL |p| (QREFELT $ 38))
           (QREFELT $ 39))
          |PNTHEORY;bernoulli;ISup;4|)
         (LETT |c| (SPADCALL |i| (QREFELT $ 48)) |PNTHEORY;bernoulli;ISup;4|)
         (EXIT
          (LETT |p| (SPADCALL |t| (SPADCALL |c| (QREFELT $ 45)) (QREFELT $ 46))
           |PNTHEORY;bernoulli;ISup;4|)))
        (LETT |i| (+ |i| 1) |PNTHEORY;bernoulli;ISup;4|) (GO G190) G191
        (EXIT NIL))
       (PROGN (RPLACA (QREFELT $ 20) |n|) (QCAR (QREFELT $ 20)))
       (PROGN (RPLACD (QREFELT $ 20) |p|) (QCDR (QREFELT $ 20)))
       (EXIT |p|)))))))) 

(DEFUN |PNTHEORY;fixedDivisor;SupI;5| (|a| $)
 (PROG (|d| |k| |g|)
  (RETURN
   (SEQ (|SparseUnivariatePolynomial| (|Integer|))
    (LETT |d| (SPADCALL |a| (QREFELT $ 29)) |PNTHEORY;fixedDivisor;SupI;5|)
    (LETT |g| (SPADCALL |a| (SPADCALL |a| (QREFELT $ 50)) (QREFELT $ 51))
     |PNTHEORY;fixedDivisor;SupI;5|)
    (SEQ (LETT |k| 1 |PNTHEORY;fixedDivisor;SupI;5|) G190
     (COND ((OR (QSGREATERP |k| |d|) (NULL (< 1 |g|))) (GO G191)))
     (SEQ
      (EXIT
       (LETT |g| (GCD |g| (SPADCALL |a| |k| (QREFELT $ 52)))
        |PNTHEORY;fixedDivisor;SupI;5|)))
     (LETT |k| (QSADD1 |k|) |PNTHEORY;fixedDivisor;SupI;5|) (GO G190) G191
     (EXIT NIL))
    (EXIT |g|))))) 

(DEFUN |PNTHEORY;hermite;ISup;6| (|n| $)
 (PROG (|#G24| |s| |k| |#G29| |#G30| |p| |q|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "hermite not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QVELT (QREFELT $ 21) 0))
         (SEQ (LETT |s| 0 |PNTHEORY;hermite;ISup;6|)
          (LETT |p| (|spadConstant| $ 7) |PNTHEORY;hermite;ISup;6|)
          (EXIT (LETT |q| (QREFELT $ 11) |PNTHEORY;hermite;ISup;6|))))
        ('T
         (PROGN (LETT |#G24| (QREFELT $ 21) |PNTHEORY;hermite;ISup;6|)
          (LETT |s| (QVELT |#G24| 0) |PNTHEORY;hermite;ISup;6|)
          (LETT |p| (QVELT |#G24| 1) |PNTHEORY;hermite;ISup;6|)
          (LETT |q| (QVELT |#G24| 2) |PNTHEORY;hermite;ISup;6|) |#G24|)))
       (SEQ (LETT |k| (+ |s| 1) |PNTHEORY;hermite;ISup;6|) G190
        (COND ((> |k| |n|) (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT |#G29|
            (SPADCALL
             (SPADCALL (SPADCALL 2 (QREFELT $ 11) (QREFELT $ 55)) |p|
              (QREFELT $ 30))
             (SPADCALL (SPADCALL 2 (- |k| 1) (QREFELT $ 56)) |q|
              (QREFELT $ 57))
             (QREFELT $ 31))
            |PNTHEORY;hermite;ISup;6|)
           (LETT |#G30| |p| |PNTHEORY;hermite;ISup;6|)
           (LETT |p| |#G29| |PNTHEORY;hermite;ISup;6|)
           (LETT |q| |#G30| |PNTHEORY;hermite;ISup;6|))))
        (LETT |k| (+ |k| 1) |PNTHEORY;hermite;ISup;6|) (GO G190) G191
        (EXIT NIL))
       (QSETVELT (QREFELT $ 21) 0 |n|) (QSETVELT (QREFELT $ 21) 1 |p|)
       (QSETVELT (QREFELT $ 21) 2 |q|) (EXIT |p|)))))))) 

(DEFUN |PNTHEORY;legendre;ISup;7| (|n| $)
 (PROG (|#G32| |s| |k| |t| |#G37| |#G38| |p| |q|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "legendre not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QVELT (QREFELT $ 23) 0))
         (SEQ (LETT |s| 0 |PNTHEORY;legendre;ISup;7|)
          (LETT |p| (|spadConstant| $ 18) |PNTHEORY;legendre;ISup;7|)
          (EXIT (LETT |q| (QREFELT $ 16) |PNTHEORY;legendre;ISup;7|))))
        ('T
         (PROGN (LETT |#G32| (QREFELT $ 23) |PNTHEORY;legendre;ISup;7|)
          (LETT |s| (QVELT |#G32| 0) |PNTHEORY;legendre;ISup;7|)
          (LETT |p| (QVELT |#G32| 1) |PNTHEORY;legendre;ISup;7|)
          (LETT |q| (QVELT |#G32| 2) |PNTHEORY;legendre;ISup;7|) |#G32|)))
       (SEQ (LETT |k| (+ |s| 1) |PNTHEORY;legendre;ISup;7|) G190
        (COND ((> |k| |n|) (GO G191)))
        (SEQ (LETT |t| (- |k| 1) |PNTHEORY;legendre;ISup;7|)
         (EXIT
          (PROGN
           (LETT |#G37|
            (SPADCALL
             (SPADCALL
              (SPADCALL (SPADCALL (+ |k| |t|) |k| (QREFELT $ 42))
               (QREFELT $ 16) (QREFELT $ 39))
              |p| (QREFELT $ 59))
             (SPADCALL (SPADCALL |t| |k| (QREFELT $ 42)) |q| (QREFELT $ 39))
             (QREFELT $ 60))
            |PNTHEORY;legendre;ISup;7|)
           (LETT |#G38| |p| |PNTHEORY;legendre;ISup;7|)
           (LETT |p| |#G37| |PNTHEORY;legendre;ISup;7|)
           (LETT |q| |#G38| |PNTHEORY;legendre;ISup;7|))))
        (LETT |k| (+ |k| 1) |PNTHEORY;legendre;ISup;7|) (GO G190) G191
        (EXIT NIL))
       (QSETVELT (QREFELT $ 23) 0 |n|) (QSETVELT (QREFELT $ 23) 1 |p|)
       (QSETVELT (QREFELT $ 23) 2 |q|) (EXIT |p|)))))))) 

(DEFUN |PNTHEORY;laguerre;ISup;8| (|n| $)
 (PROG (|#G40| |s| |k| |t| |#G45| |#G46| |p| |q|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "laguerre not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QVELT (QREFELT $ 22) 0))
         (SEQ (LETT |s| 0 |PNTHEORY;laguerre;ISup;8|)
          (LETT |p| (|spadConstant| $ 7) |PNTHEORY;laguerre;ISup;8|)
          (EXIT (LETT |q| (QREFELT $ 11) |PNTHEORY;laguerre;ISup;8|))))
        ('T
         (PROGN (LETT |#G40| (QREFELT $ 22) |PNTHEORY;laguerre;ISup;8|)
          (LETT |s| (QVELT |#G40| 0) |PNTHEORY;laguerre;ISup;8|)
          (LETT |p| (QVELT |#G40| 1) |PNTHEORY;laguerre;ISup;8|)
          (LETT |q| (QVELT |#G40| 2) |PNTHEORY;laguerre;ISup;8|) |#G40|)))
       (SEQ (LETT |k| (+ |s| 1) |PNTHEORY;laguerre;ISup;8|) G190
        (COND ((> |k| |n|) (GO G191)))
        (SEQ (LETT |t| (- |k| 1) |PNTHEORY;laguerre;ISup;8|)
         (EXIT
          (PROGN
           (LETT |#G45|
            (SPADCALL
             (SPADCALL
              (SPADCALL (SPADCALL (+ |k| |t|) (QREFELT $ 62)) (QREFELT $ 11)
               (QREFELT $ 31))
              |p| (QREFELT $ 30))
             (SPADCALL (SPADCALL |t| 2 (QREFELT $ 63)) |q| (QREFELT $ 57))
             (QREFELT $ 31))
            |PNTHEORY;laguerre;ISup;8|)
           (LETT |#G46| |p| |PNTHEORY;laguerre;ISup;8|)
           (LETT |p| |#G45| |PNTHEORY;laguerre;ISup;8|)
           (LETT |q| |#G46| |PNTHEORY;laguerre;ISup;8|))))
        (LETT |k| (+ |k| 1) |PNTHEORY;laguerre;ISup;8|) (GO G190) G191
        (EXIT NIL))
       (QSETVELT (QREFELT $ 22) 0 |n|) (QSETVELT (QREFELT $ 22) 1 |p|)
       (QSETVELT (QREFELT $ 22) 2 |q|) (EXIT |p|)))))))) 

(DEFUN |PNTHEORY;chebyshevT;ISup;9| (|n| $)
 (PROG (|#G48| |s| |k| |#G53| |#G54| |p| |q|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "chebyshevT not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QVELT (QREFELT $ 24) 0))
         (SEQ (LETT |s| 0 |PNTHEORY;chebyshevT;ISup;9|)
          (LETT |p| (|spadConstant| $ 7) |PNTHEORY;chebyshevT;ISup;9|)
          (EXIT (LETT |q| (QREFELT $ 11) |PNTHEORY;chebyshevT;ISup;9|))))
        ('T
         (PROGN (LETT |#G48| (QREFELT $ 24) |PNTHEORY;chebyshevT;ISup;9|)
          (LETT |s| (QVELT |#G48| 0) |PNTHEORY;chebyshevT;ISup;9|)
          (LETT |p| (QVELT |#G48| 1) |PNTHEORY;chebyshevT;ISup;9|)
          (LETT |q| (QVELT |#G48| 2) |PNTHEORY;chebyshevT;ISup;9|) |#G48|)))
       (SEQ (LETT |k| (+ |s| 1) |PNTHEORY;chebyshevT;ISup;9|) G190
        (COND ((> |k| |n|) (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT |#G53|
            (SPADCALL
             (SPADCALL (SPADCALL 2 (QREFELT $ 11) (QREFELT $ 55)) |p|
              (QREFELT $ 30))
             |q| (QREFELT $ 31))
            |PNTHEORY;chebyshevT;ISup;9|)
           (LETT |#G54| |p| |PNTHEORY;chebyshevT;ISup;9|)
           (LETT |p| |#G53| |PNTHEORY;chebyshevT;ISup;9|)
           (LETT |q| |#G54| |PNTHEORY;chebyshevT;ISup;9|))))
        (LETT |k| (+ |k| 1) |PNTHEORY;chebyshevT;ISup;9|) (GO G190) G191
        (EXIT NIL))
       (QSETVELT (QREFELT $ 24) 0 |n|) (QSETVELT (QREFELT $ 24) 1 |p|)
       (QSETVELT (QREFELT $ 24) 2 |q|) (EXIT |p|)))))))) 

(DEFUN |PNTHEORY;chebyshevU;ISup;10| (|n| $)
 (PROG (|#G56| |s| |k| |#G61| |#G62| |p| |q|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "chebyshevU not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QVELT (QREFELT $ 25) 0))
         (SEQ (LETT |s| 0 |PNTHEORY;chebyshevU;ISup;10|)
          (LETT |p| (|spadConstant| $ 7) |PNTHEORY;chebyshevU;ISup;10|)
          (EXIT
           (LETT |q| (|spadConstant| $ 17) |PNTHEORY;chebyshevU;ISup;10|))))
        ('T
         (PROGN (LETT |#G56| (QREFELT $ 25) |PNTHEORY;chebyshevU;ISup;10|)
          (LETT |s| (QVELT |#G56| 0) |PNTHEORY;chebyshevU;ISup;10|)
          (LETT |p| (QVELT |#G56| 1) |PNTHEORY;chebyshevU;ISup;10|)
          (LETT |q| (QVELT |#G56| 2) |PNTHEORY;chebyshevU;ISup;10|) |#G56|)))
       (SEQ (LETT |k| (+ |s| 1) |PNTHEORY;chebyshevU;ISup;10|) G190
        (COND ((> |k| |n|) (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT |#G61|
            (SPADCALL
             (SPADCALL (SPADCALL 2 (QREFELT $ 11) (QREFELT $ 55)) |p|
              (QREFELT $ 30))
             |q| (QREFELT $ 31))
            |PNTHEORY;chebyshevU;ISup;10|)
           (LETT |#G62| |p| |PNTHEORY;chebyshevU;ISup;10|)
           (LETT |p| |#G61| |PNTHEORY;chebyshevU;ISup;10|)
           (LETT |q| |#G62| |PNTHEORY;chebyshevU;ISup;10|))))
        (LETT |k| (+ |k| 1) |PNTHEORY;chebyshevU;ISup;10|) (GO G190) G191
        (EXIT NIL))
       (QSETVELT (QREFELT $ 25) 0 |n|) (QSETVELT (QREFELT $ 25) 1 |p|)
       (QSETVELT (QREFELT $ 25) 2 |q|) (EXIT |p|)))))))) 

(DEFUN |PolynomialNumberTheoryFunctions| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3624)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|PolynomialNumberTheoryFunctions|)
        |PolynomialNumberTheoryFunctions|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|PolynomialNumberTheoryFunctions|
           (LIST (CONS NIL (CONS 1 (|PolynomialNumberTheoryFunctions;|))))))
         (LETT #1# T |PolynomialNumberTheoryFunctions|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache|
           '|PolynomialNumberTheoryFunctions|))))))))))) 

(DEFUN |PolynomialNumberTheoryFunctions;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|PolynomialNumberTheoryFunctions|) .
     #1=(|PolynomialNumberTheoryFunctions|))
    (LETT $ (GETREFV 67) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PolynomialNumberTheoryFunctions| NIL
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 11 (SPADCALL 1 1 (QREFELT $ 10)))
    (QSETREFV $ 16 (SPADCALL (|spadConstant| $ 13) 1 (QREFELT $ 15)))
    (QSETREFV $ 19 (CONS 0 (|spadConstant| $ 18)))
    (QSETREFV $ 20 (CONS 0 (|spadConstant| $ 18)))
    (QSETREFV $ 21 (VECTOR 0 (|spadConstant| $ 7) (QREFELT $ 11)))
    (QSETREFV $ 22 (VECTOR 0 (|spadConstant| $ 7) (QREFELT $ 11)))
    (QSETREFV $ 23 (VECTOR 0 (|spadConstant| $ 18) (QREFELT $ 16)))
    (QSETREFV $ 24 (VECTOR 0 (|spadConstant| $ 7) (QREFELT $ 11)))
    (QSETREFV $ 25 (VECTOR 0 (|spadConstant| $ 7) (|spadConstant| $ 17))) $)))) 

(MAKEPROP '|PolynomialNumberTheoryFunctions| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|SparseUnivariatePolynomial| 8) (0 . |One|)
     (|Integer|) (|NonNegativeInteger|) (4 . |monomial|) '|x| (|Fraction| 8)
     (10 . |One|) (|SparseUnivariatePolynomial| 12) (14 . |monomial|) '|y|
     (20 . |Zero|) (24 . |One|) 'E 'B 'H 'L 'P 'CT 'U
     (28 . |leadingCoefficient|) (|Boolean|) (33 . =) (39 . |degree|) (44 . *)
     (50 . -) (56 . +) (|IntegerPrimesPackage| 8) (62 . |nextPrime|)
     (67 . |multiplyExponents|) |PNTHEORY;cyclotomic;ISup;2| (73 . |coerce|)
     (78 . |integrate|) (83 . *) (|IntegerNumberTheoryFunctions|)
     (89 . |euler|) (94 . /) (100 . |elt|) (106 . -) (112 . |coerce|) (117 . +)
     |PNTHEORY;euler;ISup;3| (123 . |bernoulli|) |PNTHEORY;bernoulli;ISup;4|
     (128 . |minimumDegree|) (133 . |coefficient|) (139 . |elt|)
     |PNTHEORY;fixedDivisor;SupI;5| (|PositiveInteger|) (145 . *) (151 . *)
     (157 . *) |PNTHEORY;hermite;ISup;6| (163 . *) (169 . -)
     |PNTHEORY;legendre;ISup;7| (175 . |coerce|) (180 . **)
     |PNTHEORY;laguerre;ISup;8| |PNTHEORY;chebyshevT;ISup;9|
     |PNTHEORY;chebyshevU;ISup;10|)
  '#(|legendre| 186 |laguerre| 191 |hermite| 196 |fixedDivisor| 201 |euler| 206
     |cyclotomic| 211 |chebyshevU| 216 |chebyshevT| 221 |bernoulli| 226)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 66
      '(0 6 0 7 2 6 0 8 9 10 0 12 0 13 2 14 0 12 9 15 0 6 0 17 0 14 0 18 1 6 8
        0 26 2 6 27 0 0 28 1 6 9 0 29 2 6 0 0 0 30 2 6 0 0 0 31 2 6 0 0 0 32 1
        33 8 8 34 2 6 0 0 9 35 1 12 0 8 37 1 14 0 0 38 2 14 0 12 0 39 1 40 8 8
        41 2 12 0 8 8 42 2 14 12 0 12 43 2 12 0 0 0 44 1 14 0 12 45 2 14 0 0 0
        46 1 40 12 8 48 1 6 9 0 50 2 6 8 0 9 51 2 6 8 0 8 52 2 6 0 54 0 55 2 8
        0 54 0 56 2 6 0 8 0 57 2 14 0 0 0 59 2 14 0 0 0 60 1 6 0 8 62 2 8 0 0
        54 63 1 0 14 8 61 1 0 6 8 64 1 0 6 8 58 1 0 8 6 53 1 0 14 8 47 1 0 6 8
        36 1 0 6 8 66 1 0 6 8 65 1 0 14 8 49)))))
  '|lookupComplete|)) 

(MAKEPROP '|PolynomialNumberTheoryFunctions| 'NILADIC T) 
