
(/VERSIONCHECK 2) 

(DEFUN |POINT;point;L$;1| (|l| $)
 (PROG (|pt| |i| |x| #1=#:G3544)
  (RETURN
   (SEQ (LETT |pt| (SPADCALL (LENGTH |l|) 'R (QREFELT $ 8)) |POINT;point;L$;1|)
    (SEQ (LETT |i| (SPADCALL |pt| (QREFELT $ 10)) |POINT;point;L$;1|)
     (LETT |x| NIL |POINT;point;L$;1|) (LETT #1# |l| |POINT;point;L$;1|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |x| (CAR #1#) |POINT;point;L$;1|) NIL))
       (GO G191)))
     (SEQ (EXIT (SPADCALL |pt| |i| |x| (QREFELT $ 11))))
     (LETT #1# (PROG1 (CDR #1#) (LETT |i| (+ |i| 1) |POINT;point;L$;1|))
      |POINT;point;L$;1|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |pt|))))) 

(DEFUN |POINT;dimension;$Pi;2| (|p| $)
 (PROG (#1=#:G3545)
  (RETURN
   (PROG1 (LETT #1# (SPADCALL |p| (QREFELT $ 14)) |POINT;dimension;$Pi;2|)
    (|check-subtype| (> #1# 0) '(|PositiveInteger|) #1#))))) 

(DEFUN |POINT;convert;L$;3| (|l| $) (SPADCALL |l| (QREFELT $ 13))) 

(DEFUN |POINT;cross;3$;4| (|p0| |p1| $)
 (SEQ
  (COND
   ((EQL (SPADCALL |p0| (QREFELT $ 14)) 3)
    (COND
     ((NULL (EQL (SPADCALL |p1| (QREFELT $ 14)) 3))
      (EXIT (|error| #1="Arguments to cross must be three dimensional")))))
   ('T (EXIT (|error| #1#))))
  (EXIT
   (SPADCALL
    (LIST
     (SPADCALL
      (SPADCALL (SPADCALL |p0| 2 (QREFELT $ 18))
       (SPADCALL |p1| 3 (QREFELT $ 18)) (QREFELT $ 19))
      (SPADCALL (SPADCALL |p1| 2 (QREFELT $ 18))
       (SPADCALL |p0| 3 (QREFELT $ 18)) (QREFELT $ 19))
      (QREFELT $ 20))
     (SPADCALL
      (SPADCALL (SPADCALL |p1| 1 (QREFELT $ 18))
       (SPADCALL |p0| 3 (QREFELT $ 18)) (QREFELT $ 19))
      (SPADCALL (SPADCALL |p0| 1 (QREFELT $ 18))
       (SPADCALL |p1| 3 (QREFELT $ 18)) (QREFELT $ 19))
      (QREFELT $ 20))
     (SPADCALL
      (SPADCALL (SPADCALL |p0| 1 (QREFELT $ 18))
       (SPADCALL |p1| 2 (QREFELT $ 18)) (QREFELT $ 19))
      (SPADCALL (SPADCALL |p1| 1 (QREFELT $ 18))
       (SPADCALL |p0| 2 (QREFELT $ 18)) (QREFELT $ 19))
      (QREFELT $ 20)))
    (QREFELT $ 13))))) 

(DEFUN |POINT;extend;$L$;5| (|p| |l| $)
 (SPADCALL |p| (SPADCALL |l| (QREFELT $ 13)) (QREFELT $ 23))) 

(DEFUN |Point| (#1=#:G3564)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3565)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|Point|) '|domainEqualList|)
        |Point|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT (PROG1 (|Point;| #1#) (LETT #2# T |Point|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|Point|))))))))))) 

(DEFUN |Point;| (|#1|)
 (PROG (DV$1 |dv$| $ #1=#:G3561 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #2=(|Point|))
    (LETT |dv$| (LIST '|Point| DV$1) . #2#) (LETT $ (GETREFV 42) . #2#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|SetCategory|))
        (|HasCategory| |#1| '(|ConvertibleTo| (|InputForm|)))
        (LETT #1# (|HasCategory| |#1| '(|OrderedSet|)) . #2#)
        (OR #1# (|HasCategory| |#1| '(|SetCategory|)))
        (|HasCategory| (|Integer|) '(|OrderedSet|))
        (|HasCategory| |#1| '(|AbelianSemiGroup|))
        (|HasCategory| |#1| '(|AbelianMonoid|))
        (|HasCategory| |#1| '(|AbelianGroup|)) (|HasCategory| |#1| '(|Monoid|))
        (|HasCategory| |#1| '(|Ring|))
        (AND (|HasCategory| |#1| '(|RadicalCategory|))
         (|HasCategory| |#1| '(|Ring|)))
        (AND (|HasCategory| |#1| '(|SetCategory|))
         (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|))))
        (OR
         (AND #1# (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|))))
         (AND (|HasCategory| |#1| '(|SetCategory|))
          (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|)))))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|Point| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) $)))) 

(MAKEPROP '|Point| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|Vector| 6) (|local| |#1|) (|NonNegativeInteger|)
     (0 . |new|) (|Integer|) (6 . |minIndex|) (11 . |setelt|) (|List| 6)
     |POINT;point;L$;1| (18 . |#|) (|PositiveInteger|) |POINT;dimension;$Pi;2|
     |POINT;convert;L$;3| (23 . |elt|) (29 . *) (35 . -) (41 . |One|)
     |POINT;cross;3$;4| (45 . |concat|) |POINT;extend;$L$;5| (|Mapping| 6 6 6)
     (|Boolean|) (|Equation| 6) (|List| 27) (|Mapping| 26 6) (|Mapping| 26 6 6)
     (|UniversalSegment| 9) (|Void|) (|Mapping| 6 6) (|InputForm|) (|Matrix| 6)
     (|OutputForm|) (|SingleInteger|) (|String|) (|List| $)
     (|Union| 6 '"failed") (|List| 9))
  '#(~= 51 |zero| 57 |swap!| 62 |sorted?| 69 |sort!| 80 |sort| 91 |size?| 102
     |setelt| 108 |select| 122 |sample| 128 |reverse!| 132 |reverse| 137
     |removeDuplicates| 142 |remove| 147 |reduce| 159 |qsetelt!| 180 |qelt| 187
     |position| 193 |point| 212 |parts| 217 |outerProduct| 222 |new| 228
     |more?| 234 |minIndex| 240 |min| 245 |merge| 251 |members| 264 |member?|
     269 |maxIndex| 275 |max| 280 |map!| 286 |map| 292 |magnitude| 305 |less?|
     310 |length| 316 |latex| 321 |insert| 326 |indices| 340 |index?| 345
     |hash| 351 |first| 356 |find| 361 |fill!| 367 |extend| 373 |every?| 379
     |eval| 385 |eq?| 411 |entry?| 417 |entries| 423 |empty?| 428 |empty| 433
     |elt| 437 |dot| 456 |dimension| 462 |delete| 467 |cross| 479 |count| 485
     |copyInto!| 497 |copy| 504 |convert| 509 |construct| 519 |concat| 524
     |coerce| 547 |any?| 552 >= 558 > 564 = 570 <= 576 < 582 - 588 + 599 * 605
     |#| 623)
  '((|shallowlyMutable| . 0) (|finiteAggregate| . 0))
  (CONS (|makeByteWordVec2| 13 '(0 0 0 0 0 0 0 0 3 0 0 13 4 0 0 13 1 2 4))
   (CONS
    '#(NIL |VectorCategory&| |OneDimensionalArrayAggregate&|
       |FiniteLinearAggregate&| |LinearAggregate&| |IndexedAggregate&|
       |Collection&| |HomogeneousAggregate&| |OrderedSet&| |Aggregate&|
       |EltableAggregate&| |Evalable&| |SetCategory&| NIL NIL |InnerEvalable&|
       NIL NIL |BasicType&|)
    (CONS
     '#((|PointCategory| 6) (|VectorCategory| 6)
        (|OneDimensionalArrayAggregate| 6) (|FiniteLinearAggregate| 6)
        (|LinearAggregate| 6) (|IndexedAggregate| 9 6) (|Collection| 6)
        (|HomogeneousAggregate| 6) (|OrderedSet|) (|Aggregate|)
        (|EltableAggregate| 9 6) (|Evalable| 6) (|SetCategory|) (|Type|)
        (|Eltable| 9 6) (|InnerEvalable| 6 6) (|CoercibleTo| 36)
        (|ConvertibleTo| 34) (|BasicType|))
     (|makeByteWordVec2| 41
      '(2 0 0 7 6 8 1 0 9 0 10 3 0 6 0 9 6 11 1 0 7 0 14 2 0 6 0 9 18 2 6 0 0 0
        19 2 6 0 0 0 20 0 6 0 21 2 0 0 0 0 23 2 1 26 0 0 1 1 7 0 7 1 3 0 32 0 9
        9 1 1 3 26 0 1 2 0 26 30 0 1 1 3 0 0 1 2 0 0 30 0 1 1 3 0 0 1 2 0 0 30
        0 1 2 0 26 0 7 1 3 0 6 0 31 6 1 3 0 6 0 9 6 11 2 0 0 29 0 1 0 0 0 1 1 0
        0 0 1 1 0 0 0 1 1 1 0 0 1 2 1 0 6 0 1 2 0 0 29 0 1 4 1 6 25 0 6 6 1 2 0
        6 25 0 1 3 0 6 25 0 6 1 3 0 6 0 9 6 1 2 0 6 0 9 1 2 1 9 6 0 1 3 1 9 6 0
        9 1 2 0 9 29 0 1 1 0 0 12 13 1 0 12 0 1 2 10 35 0 0 1 2 0 0 7 6 8 2 0
        26 0 7 1 1 5 9 0 10 2 3 0 0 0 1 2 3 0 0 0 1 3 0 0 30 0 0 1 1 0 12 0 1 2
        1 26 6 0 1 1 5 9 0 1 2 3 0 0 0 1 2 0 0 33 0 1 3 0 0 25 0 0 1 2 0 0 33 0
        1 1 11 6 0 1 2 0 26 0 7 1 1 11 6 0 1 1 1 38 0 1 3 0 0 0 0 9 1 3 0 0 6 0
        9 1 1 0 41 0 1 2 0 26 9 0 1 1 1 37 0 1 1 5 6 0 1 2 0 40 29 0 1 2 0 0 0
        6 1 2 0 0 0 12 24 2 0 26 29 0 1 3 12 0 0 12 12 1 2 12 0 0 27 1 3 12 0 0
        6 6 1 2 12 0 0 28 1 2 0 26 0 0 1 2 1 26 6 0 1 1 0 12 0 1 1 0 26 0 1 0 0
        0 1 2 0 0 0 31 1 3 0 6 0 9 6 1 2 0 6 0 9 18 2 10 6 0 0 1 1 0 15 0 16 2
        0 0 0 31 1 2 0 0 0 9 1 2 0 0 0 0 22 2 1 7 6 0 1 2 0 7 29 0 1 3 0 0 0 0
        9 1 1 0 0 0 1 1 2 34 0 1 1 0 0 12 17 1 0 0 12 1 1 0 0 39 1 2 0 0 0 0 23
        2 0 0 0 6 1 2 0 0 6 0 1 1 1 36 0 1 2 0 26 29 0 1 2 3 26 0 0 1 2 3 26 0
        0 1 2 1 26 0 0 1 2 3 26 0 0 1 2 3 26 0 0 1 2 8 0 0 0 1 1 8 0 0 1 2 6 0
        0 0 1 2 8 0 9 0 1 2 9 0 0 6 1 2 9 0 6 0 1 1 0 7 0 14)))))
  '|lookupComplete|)) 
