
(/VERSIONCHECK 2) 

(DEFUN |PWFFINTB;reducedDiscriminant;UPR;1| (|f| $)
 (PROG (|ff| |ee| |cc| |cden| |denom| |gg| |ans|)
  (RETURN
   (SEQ
    (LETT |ff|
     (SPADCALL (CONS #'|PWFFINTB;reducedDiscriminant;UPR;1!0| $) |f|
      (QREFELT $ 15))
     |PWFFINTB;reducedDiscriminant;UPR;1|)
    (LETT |ee| (SPADCALL |ff| (SPADCALL |ff| (QREFELT $ 16)) (QREFELT $ 18))
     |PWFFINTB;reducedDiscriminant;UPR;1|)
    (LETT |cc|
     (SPADCALL (SPADCALL (QVELT |ee| 0) (QREFELT $ 20))
      (SPADCALL (QVELT |ee| 1) (QREFELT $ 20)) (QREFELT $ 21))
     |PWFFINTB;reducedDiscriminant;UPR;1|)
    (LETT |cden| (SPADCALL |cc| (QREFELT $ 24))
     |PWFFINTB;reducedDiscriminant;UPR;1|)
    (LETT |denom| (QCDR |cden|) |PWFFINTB;reducedDiscriminant;UPR;1|)
    (LETT |gg|
     (SPADCALL (SPADCALL (ELT $ 25) (QCAR |cden|) (QREFELT $ 29))
      (QREFELT $ 31))
     |PWFFINTB;reducedDiscriminant;UPR;1|)
    (LETT |ans| (SPADCALL |denom| |gg| (QREFELT $ 33))
     |PWFFINTB;reducedDiscriminant;UPR;1|)
    (EXIT
     (COND
      ((QEQCAR |ans| 1)
       (|error| "PWFFINTB: error in reduced discriminant computation"))
      ('T (QCDR |ans|)))))))) 

(DEFUN |PWFFINTB;reducedDiscriminant;UPR;1!0| (|#1| $)
 (SPADCALL |#1| (QREFELT $ 11))) 

(DEFUN |PWFFINTB;compLocalBasis| (|poly| |prime| $)
 (PROG (|sae|)
  (RETURN
   (SEQ
    (LETT |sae| (|SimpleAlgebraicExtension| (QREFELT $ 7) (QREFELT $ 8) |poly|)
     |PWFFINTB;compLocalBasis|)
    (EXIT
     (SPADCALL |prime|
      (|compiledLookupCheck| '|localIntegralBasis|
       (LIST
        (LIST '|Record|
         (LIST '|:| '|basis| (LIST '|Matrix| (|devaluate| (ELT $ 7))))
         (LIST '|:| '|basisDen| (|devaluate| (ELT $ 7)))
         (LIST '|:| '|basisInv| (LIST '|Matrix| (|devaluate| (ELT $ 7)))))
        (|devaluate| (ELT $ 7)))
       (|WildFunctionFieldIntegralBasis| (ELT $ 6) (ELT $ 7) (ELT $ 8)
        |sae|)))))))) 

(DEFUN |PWFFINTB;compLocalBasisOverExt| (|poly0| |prime0| |irrPoly0| |k| $)
 (PROG
  (|n| |disc0| |r| #1=#:G3565 |irrPoly| E |poly| |redDisc0| |redDisc| |prime|
   |sae| |pp| |redIrrPoly| |factorListSAE| #2=#:G3585 |f| #3=#:G3586
   |redFactors| #4=#:G3587 |ff| #5=#:G3588 |primaries| #6=#:G3570 |deg|
   |henselInfo| |henselFactors| |psi1| FF |factorIb| |bs| |ib| |b| |bas| |bInv|
   |p| |bDen|)
  (RETURN
   (SEQ
    (LETT |n| (SPADCALL |poly0| (QREFELT $ 36))
     |PWFFINTB;compLocalBasisOverExt|)
    (LETT |disc0| (SPADCALL |poly0| (QREFELT $ 37))
     |PWFFINTB;compLocalBasisOverExt|)
    (EXIT
     (COND
      ((QEQCAR (SPADCALL |disc0| |prime0| (QREFELT $ 33)) 1)
       (VECTOR (SPADCALL |n| (|spadConstant| $ 39) (QREFELT $ 41))
        (|spadConstant| $ 39)
        (SPADCALL |n| (|spadConstant| $ 39) (QREFELT $ 41))))
      ('T
       (SEQ
        (LETT |r| (SPADCALL |irrPoly0| (QREFELT $ 36))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |irrPoly|
         (SPADCALL
          (PROG1 (LETT #1# |r| |PWFFINTB;compLocalBasisOverExt|)
           (|check-subtype| (> #1# 0) '(|PositiveInteger|) #1#))
          (QREFELT $ 45))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT E
         (|SimpleAlgebraicExtension| (QREFELT $ 6)
          (|SparseUnivariatePolynomial| (QREFELT $ 6)) |irrPoly|)
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |poly|
         (SPADCALL (CONS #'|PWFFINTB;compLocalBasisOverExt!0| (VECTOR E $))
          |poly0|
          (|compiledLookupCheck| '|mapBivariate|
           (LIST
            (LIST '|SparseUnivariatePolynomial|
             (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
            (LIST '|Mapping| (|devaluate| E) (|devaluate| (ELT $ 6)))
            (|devaluate| (ELT $ 8)))
           (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |redDisc0| (SPADCALL |poly0| (QREFELT $ 34))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |redDisc|
         (SPADCALL (CONS #'|PWFFINTB;compLocalBasisOverExt!1| (VECTOR E $))
          |redDisc0|
          (|compiledLookupCheck| '|mapUnivariate|
           (LIST (LIST '|SparseUnivariatePolynomial| (|devaluate| E))
            (LIST '|Mapping| (|devaluate| E) (|devaluate| (ELT $ 6)))
            (|devaluate| (ELT $ 7)))
           (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |prime|
         (SPADCALL (CONS #'|PWFFINTB;compLocalBasisOverExt!2| (VECTOR E $))
          |prime0|
          (|compiledLookupCheck| '|mapUnivariate|
           (LIST (LIST '|SparseUnivariatePolynomial| (|devaluate| E))
            (LIST '|Mapping| (|devaluate| E) (|devaluate| (ELT $ 6)))
            (|devaluate| (ELT $ 7)))
           (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |sae|
         (|SimpleAlgebraicExtension| E (|SparseUnivariatePolynomial| E)
          |prime|)
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |redIrrPoly|
         (SEQ
          (LETT |pp|
           (SPADCALL (CONS #'|PWFFINTB;compLocalBasisOverExt!3| (VECTOR E $))
            |irrPoly0|
            (|compiledLookupCheck| '|mapBivariate|
             (LIST
              (LIST '|SparseUnivariatePolynomial|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
              (LIST '|Mapping| (|devaluate| E) (|devaluate| (ELT $ 6)))
              (|devaluate| (ELT $ 8)))
             (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
           |PWFFINTB;compLocalBasisOverExt|)
          (EXIT
           (SPADCALL
            (|compiledLookupCheck| '|reduce|
             (LIST '$ (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
             |sae|)
            |pp|
            (|compiledLookupCheck| '|mapUnivariate|
             (LIST (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|))
              (LIST '|Mapping| (|devaluate| |sae|)
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
              (LIST '|SparseUnivariatePolynomial|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
             (|IntegralBasisPolynomialTools| (|SparseUnivariatePolynomial| E)
              (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E))
              (|SparseUnivariatePolynomial|
               (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E)))
              |sae|)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |factorListSAE|
         (SPADCALL
          (SPADCALL |redIrrPoly|
           (|compiledLookupCheck| '|factor|
            (LIST
             (LIST '|Factored|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
             (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
            (|DistinctDegreeFactorize| |sae|
             (|SparseUnivariatePolynomial| |sae|))))
          (|compiledLookupCheck| '|factors|
           (LIST
            (LIST '|List|
             (LIST '|Record|
              (LIST '|:| '|factor|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
              (LIST '|:| '|exponent| (LIST '|Integer|))))
            '$)
           (|Factored| (|SparseUnivariatePolynomial| |sae|))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |redFactors|
         (PROGN (LETT #2# NIL |PWFFINTB;compLocalBasisOverExt|)
          (SEQ (LETT |f| NIL |PWFFINTB;compLocalBasisOverExt|)
           (LETT #3# |factorListSAE| |PWFFINTB;compLocalBasisOverExt|) G190
           (COND
            ((OR (ATOM #3#)
              (PROGN (LETT |f| (CAR #3#) |PWFFINTB;compLocalBasisOverExt|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #2#
              (CONS
               (SPADCALL (QCAR |f|) |k|
                (|compiledLookupCheck| '**
                 (LIST '$ '$ (LIST '|NonNegativeInteger|))
                 (|SparseUnivariatePolynomial| |sae|)))
               #2#)
              |PWFFINTB;compLocalBasisOverExt|)))
           (LETT #3# (CDR #3#) |PWFFINTB;compLocalBasisOverExt|) (GO G190) G191
           (EXIT (NREVERSE0 #2#))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |primaries|
         (PROGN (LETT #4# NIL |PWFFINTB;compLocalBasisOverExt|)
          (SEQ (LETT |ff| NIL |PWFFINTB;compLocalBasisOverExt|)
           (LETT #5# |redFactors| |PWFFINTB;compLocalBasisOverExt|) G190
           (COND
            ((OR (ATOM #5#)
              (PROGN (LETT |ff| (CAR #5#) |PWFFINTB;compLocalBasisOverExt|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #4#
              (CONS
               (SPADCALL
                (|compiledLookupCheck| '|lift|
                 (LIST (LIST '|SparseUnivariatePolynomial| (|devaluate| E)) '$)
                 |sae|)
                |ff|
                (|compiledLookupCheck| '|mapUnivariate|
                 (LIST
                  (LIST '|SparseUnivariatePolynomial|
                   (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
                  (LIST '|Mapping|
                   (LIST '|SparseUnivariatePolynomial| (|devaluate| E))
                   (|devaluate| |sae|))
                  (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
                 (|IntegralBasisPolynomialTools|
                  (|SparseUnivariatePolynomial| E)
                  (|SparseUnivariatePolynomial|
                   (|SparseUnivariatePolynomial| E))
                  (|SparseUnivariatePolynomial|
                   (|SparseUnivariatePolynomial|
                    (|SparseUnivariatePolynomial| E)))
                  |sae|)))
               #4#)
              |PWFFINTB;compLocalBasisOverExt|)))
           (LETT #5# (CDR #5#) |PWFFINTB;compLocalBasisOverExt|) (GO G190) G191
           (EXIT (NREVERSE0 #4#))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |deg|
         (PROG1
          (LETT #6#
           (+ 1
            (*
             (SPADCALL |redDisc| |prime|
              (|compiledLookupCheck| '|order|
               (LIST (LIST '|NonNegativeInteger|) '$ '$)
               (|SparseUnivariatePolynomial| E)))
             (SPADCALL |prime|
              (|compiledLookupCheck| '|degree|
               (LIST (LIST '|NonNegativeInteger|) '$)
               (|SparseUnivariatePolynomial| E)))))
           |PWFFINTB;compLocalBasisOverExt|)
          (|check-subtype| (> #6# 0) '(|PositiveInteger|) #6#))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |henselInfo|
         (SPADCALL |poly| |primaries| |prime| |deg|
          (|compiledLookupCheck| '|HenselLift|
           (LIST
            (LIST '|Record|
             (LIST '|:| '|plist|
              (LIST '|List|
               (LIST '|SparseUnivariatePolynomial|
                (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))))
             (LIST '|:| '|modulo|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
            (LIST '|SparseUnivariatePolynomial|
             (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
            (LIST '|List|
             (LIST '|SparseUnivariatePolynomial|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
            (LIST '|SparseUnivariatePolynomial| (|devaluate| E))
            (LIST '|PositiveInteger|))
           (|GeneralHenselPackage| (|SparseUnivariatePolynomial| E)
            (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |henselFactors| (QCAR |henselInfo|)
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |psi1| (|SPADfirst| |henselFactors|)
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT FF
         (|SimpleAlgebraicExtension| (|SparseUnivariatePolynomial| E)
          (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E))
          |psi1|)
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |factorIb|
         (SPADCALL |prime|
          (|compiledLookupCheck| '|localIntegralBasis|
           (LIST
            (LIST '|Record|
             (LIST '|:| '|basis|
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
             (LIST '|:| '|basisDen|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
             (LIST '|:| '|basisInv|
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))))
            (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
           (|WildFunctionFieldIntegralBasis| E (|SparseUnivariatePolynomial| E)
            (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E))
            FF)))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |bs|
         (SPADCALL |factorIb| (SPADCALL (QREFELT $ 48)) |r|
          (|compiledLookupCheck| '|listConjugateBases|
           (LIST
            (LIST '|List|
             (LIST '|Record|
              (LIST '|:| '|basis|
               (LIST '|Matrix|
                (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
              (LIST '|:| '|basisDen|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
              (LIST '|:| '|basisInv|
               (LIST '|Matrix|
                (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))))
            (LIST '|Record|
             (LIST '|:| '|basis|
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
             (LIST '|:| '|basisDen|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
             (LIST '|:| '|basisInv|
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))))
            (LIST '|NonNegativeInteger|) (LIST '|NonNegativeInteger|))
           (|ChineseRemainderToolsForIntegralBases| E
            (|SparseUnivariatePolynomial| E)
            (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |ib|
         (SPADCALL |henselFactors| |bs| |n|
          (|compiledLookupCheck| '|chineseRemainder|
           (LIST
            (LIST '|Record|
             (LIST '|:| '|basis|
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
             (LIST '|:| '|basisDen|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
             (LIST '|:| '|basisInv|
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))))
            (LIST '|List|
             (LIST '|SparseUnivariatePolynomial|
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
            (LIST '|List|
             (LIST '|Record|
              (LIST '|:| '|basis|
               (LIST '|Matrix|
                (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
              (LIST '|:| '|basisDen|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
              (LIST '|:| '|basisInv|
               (LIST '|Matrix|
                (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))))
            (LIST '|NonNegativeInteger|))
           (|ChineseRemainderToolsForIntegralBases| E
            (|SparseUnivariatePolynomial| E)
            (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| E)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |b|
         (SEQ
          (LETT |bas|
           (SPADCALL
            (|compiledLookupCheck| '|retractIfCan|
             (LIST (LIST '|Union| (|devaluate| (ELT $ 6)) '#7="failed") '$) E)
            (QVELT |ib| 0)
            (|compiledLookupCheck| '|mapMatrixIfCan|
             (LIST
              (LIST '|Union| (LIST '|Matrix| (|devaluate| (ELT $ 7)))
               '#8="failed")
              (LIST '|Mapping|
               (LIST '|Union| (|devaluate| (ELT $ 6)) '#9="failed")
               (|devaluate| E))
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
             (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
           |PWFFINTB;compLocalBasisOverExt|)
          (EXIT
           (COND ((QEQCAR |bas| 1) (|error| "retraction of basis failed"))
            ('T (QCDR |bas|)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |bInv|
         (SEQ
          (LETT |bas|
           (SPADCALL
            (|compiledLookupCheck| '|retractIfCan|
             (LIST (LIST '|Union| (|devaluate| (ELT $ 6)) '#7#) '$) E)
            (QVELT |ib| 2)
            (|compiledLookupCheck| '|mapMatrixIfCan|
             (LIST
              (LIST '|Union| (LIST '|Matrix| (|devaluate| (ELT $ 7))) '#8#)
              (LIST '|Mapping| (LIST '|Union| (|devaluate| (ELT $ 6)) '#9#)
               (|devaluate| E))
              (LIST '|Matrix|
               (LIST '|SparseUnivariatePolynomial| (|devaluate| E))))
             (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
           |PWFFINTB;compLocalBasisOverExt|)
          (EXIT
           (COND
            ((QEQCAR |bas| 1) (|error| "retraction of basis inverse failed"))
            ('T (QCDR |bas|)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (LETT |bDen|
         (SEQ
          (LETT |p|
           (SPADCALL
            (|compiledLookupCheck| '|retractIfCan|
             (LIST (LIST '|Union| (|devaluate| (ELT $ 6)) '#7#) '$) E)
            (QVELT |ib| 1)
            (|compiledLookupCheck| '|mapUnivariateIfCan|
             (LIST (LIST '|Union| (|devaluate| (ELT $ 7)) '"failed")
              (LIST '|Mapping|
               (LIST '|Union| (|devaluate| (ELT $ 6)) '"failed")
               (|devaluate| E))
              (LIST '|SparseUnivariatePolynomial| (|devaluate| E)))
             (|IntegralBasisPolynomialTools| (ELT $ 6) (ELT $ 7) (ELT $ 8) E)))
           |PWFFINTB;compLocalBasisOverExt|)
          (EXIT
           (COND
            ((QEQCAR |p| 1) (|error| "retraction of basis denominator failed"))
            ('T (QCDR |p|)))))
         |PWFFINTB;compLocalBasisOverExt|)
        (EXIT (VECTOR |b| |bDen| |bInv|)))))))))) 

(DEFUN |PWFFINTB;compLocalBasisOverExt!3| (|#1| $$)
 (SPADCALL |#1|
  (|compiledLookupCheck| '|coerce|
   (LIST '$ (|devaluate| (ELT (QREFELT $$ 1) 6))) (QREFELT $$ 0)))) 

(DEFUN |PWFFINTB;compLocalBasisOverExt!2| (|#1| $$)
 (SPADCALL |#1|
  (|compiledLookupCheck| '|coerce|
   (LIST '$ (|devaluate| (ELT (QREFELT $$ 1) 6))) (QREFELT $$ 0)))) 

(DEFUN |PWFFINTB;compLocalBasisOverExt!1| (|#1| $$)
 (SPADCALL |#1|
  (|compiledLookupCheck| '|coerce|
   (LIST '$ (|devaluate| (ELT (QREFELT $$ 1) 6))) (QREFELT $$ 0)))) 

(DEFUN |PWFFINTB;compLocalBasisOverExt!0| (|#1| $$)
 (SPADCALL |#1|
  (|compiledLookupCheck| '|coerce|
   (LIST '$ (|devaluate| (ELT (QREFELT $$ 1) 6))) (QREFELT $$ 0)))) 

(DEFUN |PWFFINTB;padicLocalIntegralBasis| (|p| |disc| |redDisc| |prime| $)
 (PROG
  (|sae| |reducedP| |factorListSAE| #1=#:G3616 #2=#:G3617 |redPrimes|
   #3=#:G3618 #4=#:G3619 |primes| #5=#:G3620 #6=#:G3621 #7=#:G3598 |expons|
   #8=#:G3622 |f| #9=#:G3623 #10=#:G3601 |redPrimaries| #11=#:G3624 |ff|
   #12=#:G3625 |primaries| #13=#:G3604 |deg| |henselInfo| |henselFactors|
   |degPrime| |qq| #14=#:G3628 |k| #15=#:G3627 |pp| #16=#:G3626 |degPp| |base|
   |factorBases| |ib| |index|)
  (RETURN
   (SEQ
    (LETT |sae|
     (|SimpleAlgebraicExtension| (QREFELT $ 6) (QREFELT $ 7) |prime|)
     |PWFFINTB;padicLocalIntegralBasis|)
    (LETT |reducedP|
     (SPADCALL
      (|compiledLookupCheck| '|reduce| (LIST '$ (|devaluate| (ELT $ 7))) |sae|)
      |p|
      (|compiledLookupCheck| '|mapUnivariate|
       (LIST (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|))
        (LIST '|Mapping| (|devaluate| |sae|) (|devaluate| (ELT $ 7)))
        (|devaluate| (ELT $ 8)))
       (|IntegralBasisPolynomialTools| (ELT $ 7) (ELT $ 8)
        (|SparseUnivariatePolynomial| (ELT $ 8)) |sae|)))
     |PWFFINTB;padicLocalIntegralBasis|)
    (LETT |factorListSAE|
     (SPADCALL
      (SPADCALL |reducedP|
       (|compiledLookupCheck| '|factor|
        (LIST
         (LIST '|Factored|
          (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
         (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
        (|DistinctDegreeFactorize| |sae|
         (|SparseUnivariatePolynomial| |sae|))))
      (|compiledLookupCheck| '|factors|
       (LIST
        (LIST '|List|
         (LIST '|Record|
          (LIST '|:| '|factor|
           (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
          (LIST '|:| '|exponent| (LIST '|Integer|))))
        '$)
       (|Factored| (|SparseUnivariatePolynomial| |sae|))))
     |PWFFINTB;padicLocalIntegralBasis|)
    (EXIT
     (COND
      ((EQL (LENGTH |factorListSAE|) 1)
       (SEQ
        (LETT |ib| (SPADCALL |prime| (QREFELT $ 53))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |index| (SPADCALL (QVELT |ib| 2) (QREFELT $ 55))
         |PWFFINTB;padicLocalIntegralBasis|)
        (EXIT
         (VECTOR (QVELT |ib| 0) (QVELT |ib| 1) (QVELT |ib| 2)
          (SPADCALL |disc| (SPADCALL |index| |index| (QREFELT $ 56))
           (QREFELT $ 57))))))
      ('T
       (SEQ
        (LETT |redPrimes|
         (PROGN (LETT #1# NIL |PWFFINTB;padicLocalIntegralBasis|)
          (SEQ (LETT |f| NIL |PWFFINTB;padicLocalIntegralBasis|)
           (LETT #2# |factorListSAE| |PWFFINTB;padicLocalIntegralBasis|) G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |f| (CAR #2#) |PWFFINTB;padicLocalIntegralBasis|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1# (CONS (QCAR |f|) #1#)
              |PWFFINTB;padicLocalIntegralBasis|)))
           (LETT #2# (CDR #2#) |PWFFINTB;padicLocalIntegralBasis|) (GO G190)
           G191 (EXIT (NREVERSE0 #1#))))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |primes|
         (PROGN (LETT #3# NIL |PWFFINTB;padicLocalIntegralBasis|)
          (SEQ (LETT |ff| NIL |PWFFINTB;padicLocalIntegralBasis|)
           (LETT #4# |redPrimes| |PWFFINTB;padicLocalIntegralBasis|) G190
           (COND
            ((OR (ATOM #4#)
              (PROGN (LETT |ff| (CAR #4#) |PWFFINTB;padicLocalIntegralBasis|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #3#
              (CONS
               (SPADCALL
                (|compiledLookupCheck| '|lift|
                 (LIST (|devaluate| (ELT $ 7)) '$) |sae|)
                |ff|
                (|compiledLookupCheck| '|mapUnivariate|
                 (LIST (|devaluate| (ELT $ 8))
                  (LIST '|Mapping| (|devaluate| (ELT $ 7)) (|devaluate| |sae|))
                  (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
                 (|IntegralBasisPolynomialTools| (ELT $ 7) (ELT $ 8)
                  (|SparseUnivariatePolynomial| (ELT $ 8)) |sae|)))
               #3#)
              |PWFFINTB;padicLocalIntegralBasis|)))
           (LETT #4# (CDR #4#) |PWFFINTB;padicLocalIntegralBasis|) (GO G190)
           G191 (EXIT (NREVERSE0 #3#))))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |expons|
         (PROGN (LETT #5# NIL |PWFFINTB;padicLocalIntegralBasis|)
          (SEQ (LETT |f| NIL |PWFFINTB;padicLocalIntegralBasis|)
           (LETT #6# |factorListSAE| |PWFFINTB;padicLocalIntegralBasis|) G190
           (COND
            ((OR (ATOM #6#)
              (PROGN (LETT |f| (CAR #6#) |PWFFINTB;padicLocalIntegralBasis|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #5#
              (CONS
               (PROG1 (LETT #7# (QCDR |f|) |PWFFINTB;padicLocalIntegralBasis|)
                (|check-subtype| (>= #7# 0) '(|NonNegativeInteger|) #7#))
               #5#)
              |PWFFINTB;padicLocalIntegralBasis|)))
           (LETT #6# (CDR #6#) |PWFFINTB;padicLocalIntegralBasis|) (GO G190)
           G191 (EXIT (NREVERSE0 #5#))))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |redPrimaries|
         (PROGN (LETT #8# NIL |PWFFINTB;padicLocalIntegralBasis|)
          (SEQ (LETT |f| NIL |PWFFINTB;padicLocalIntegralBasis|)
           (LETT #9# |factorListSAE| |PWFFINTB;padicLocalIntegralBasis|) G190
           (COND
            ((OR (ATOM #9#)
              (PROGN (LETT |f| (CAR #9#) |PWFFINTB;padicLocalIntegralBasis|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #8#
              (CONS
               (SPADCALL (QCAR |f|)
                (PROG1
                 (LETT #10# (QCDR |f|) |PWFFINTB;padicLocalIntegralBasis|)
                 (|check-subtype| (>= #10# 0) '(|NonNegativeInteger|) #10#))
                (|compiledLookupCheck| '**
                 (LIST '$ '$ (LIST '|NonNegativeInteger|))
                 (|SparseUnivariatePolynomial| |sae|)))
               #8#)
              |PWFFINTB;padicLocalIntegralBasis|)))
           (LETT #9# (CDR #9#) |PWFFINTB;padicLocalIntegralBasis|) (GO G190)
           G191 (EXIT (NREVERSE0 #8#))))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |primaries|
         (PROGN (LETT #11# NIL |PWFFINTB;padicLocalIntegralBasis|)
          (SEQ (LETT |ff| NIL |PWFFINTB;padicLocalIntegralBasis|)
           (LETT #12# |redPrimaries| |PWFFINTB;padicLocalIntegralBasis|) G190
           (COND
            ((OR (ATOM #12#)
              (PROGN (LETT |ff| (CAR #12#) |PWFFINTB;padicLocalIntegralBasis|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #11#
              (CONS
               (SPADCALL
                (|compiledLookupCheck| '|lift|
                 (LIST (|devaluate| (ELT $ 7)) '$) |sae|)
                |ff|
                (|compiledLookupCheck| '|mapUnivariate|
                 (LIST (|devaluate| (ELT $ 8))
                  (LIST '|Mapping| (|devaluate| (ELT $ 7)) (|devaluate| |sae|))
                  (LIST '|SparseUnivariatePolynomial| (|devaluate| |sae|)))
                 (|IntegralBasisPolynomialTools| (ELT $ 7) (ELT $ 8)
                  (|SparseUnivariatePolynomial| (ELT $ 8)) |sae|)))
               #11#)
              |PWFFINTB;padicLocalIntegralBasis|)))
           (LETT #12# (CDR #12#) |PWFFINTB;padicLocalIntegralBasis|) (GO G190)
           G191 (EXIT (NREVERSE0 #11#))))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |deg|
         (PROG1
          (LETT #13#
           (+ 1
            (* (SPADCALL |redDisc| |prime| (QREFELT $ 58))
             (SPADCALL |prime| (QREFELT $ 59))))
           |PWFFINTB;padicLocalIntegralBasis|)
          (|check-subtype| (> #13# 0) '(|PositiveInteger|) #13#))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |henselInfo|
         (SPADCALL |p| |primaries| |prime| |deg| (QREFELT $ 63))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |henselFactors| (QCAR |henselInfo|)
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |factorBases| NIL |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |degPrime| (SPADCALL |prime| (QREFELT $ 59))
         |PWFFINTB;padicLocalIntegralBasis|)
        (SEQ (LETT |qq| NIL |PWFFINTB;padicLocalIntegralBasis|)
         (LETT #14# |henselFactors| |PWFFINTB;padicLocalIntegralBasis|)
         (LETT |k| NIL |PWFFINTB;padicLocalIntegralBasis|)
         (LETT #15# |expons| |PWFFINTB;padicLocalIntegralBasis|)
         (LETT |pp| NIL |PWFFINTB;padicLocalIntegralBasis|)
         (LETT #16# |primes| |PWFFINTB;padicLocalIntegralBasis|) G190
         (COND
          ((OR (ATOM #16#)
            (PROGN (LETT |pp| (CAR #16#) |PWFFINTB;padicLocalIntegralBasis|)
             NIL)
            (ATOM #15#)
            (PROGN (LETT |k| (CAR #15#) |PWFFINTB;padicLocalIntegralBasis|)
             NIL)
            (ATOM #14#)
            (PROGN (LETT |qq| (CAR #14#) |PWFFINTB;padicLocalIntegralBasis|)
             NIL))
           (GO G191)))
         (SEQ
          (LETT |base|
           (SEQ
            (LETT |degPp| (SPADCALL |pp| (QREFELT $ 36))
             |PWFFINTB;padicLocalIntegralBasis|)
            (COND
             ((< 1 |degPp|)
              (COND
               ((EQL (GCD |degPp| |degPrime|) 1)
                (EXIT
                 (|PWFFINTB;compLocalBasisOverExt| |qq| |prime| |pp| |k|
                  $))))))
            (EXIT (|PWFFINTB;compLocalBasis| |qq| |prime| $)))
           |PWFFINTB;padicLocalIntegralBasis|)
          (EXIT
           (LETT |factorBases| (CONS |base| |factorBases|)
            |PWFFINTB;padicLocalIntegralBasis|)))
         (LETT #16#
          (PROG1 (CDR #16#)
           (LETT #15#
            (PROG1 (CDR #15#)
             (LETT #14# (CDR #14#) |PWFFINTB;padicLocalIntegralBasis|))
            |PWFFINTB;padicLocalIntegralBasis|))
          |PWFFINTB;padicLocalIntegralBasis|)
         (GO G190) G191 (EXIT NIL))
        (LETT |factorBases| (NREVERSE |factorBases|)
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |ib|
         (SPADCALL |henselFactors| |factorBases| (SPADCALL (QREFELT $ 66))
          (QREFELT $ 69))
         |PWFFINTB;padicLocalIntegralBasis|)
        (LETT |index| (SPADCALL (QVELT |ib| 2) (QREFELT $ 55))
         |PWFFINTB;padicLocalIntegralBasis|)
        (EXIT
         (VECTOR (QVELT |ib| 0) (QVELT |ib| 1) (QVELT |ib| 2)
          (SPADCALL |disc| (SPADCALL |index| |index| (QREFELT $ 56))
           (QREFELT $ 57)))))))))))) 

(DEFUN |PWFFINTB;localIntegralBasis;RR;5| (|prime| $)
 (PROG (|p| |disc| |redDisc| |ib|)
  (RETURN
   (SEQ (LETT |p| (SPADCALL (QREFELT $ 70)) |PWFFINTB;localIntegralBasis;RR;5|)
    (LETT |disc| (SPADCALL |p| (QREFELT $ 37))
     |PWFFINTB;localIntegralBasis;RR;5|)
    (LETT |redDisc| (SPADCALL |p| (QREFELT $ 34))
     |PWFFINTB;localIntegralBasis;RR;5|)
    (LETT |ib|
     (|PWFFINTB;padicLocalIntegralBasis| |p| |disc| |redDisc| |prime| $)
     |PWFFINTB;localIntegralBasis;RR;5|)
    (EXIT (VECTOR (QVELT |ib| 0) (QVELT |ib| 1) (QVELT |ib| 2))))))) 

(DEFUN |PWFFINTB;listSquaredFactors| (|px| $)
 (PROG (|factored| |f| #1=#:G3640 |ans|)
  (RETURN
   (SEQ (LETT |ans| NIL |PWFFINTB;listSquaredFactors|)
    (LETT |factored| (SPADCALL |px| (QREFELT $ 74))
     |PWFFINTB;listSquaredFactors|)
    (SEQ (LETT |f| NIL |PWFFINTB;listSquaredFactors|)
     (LETT #1# (SPADCALL |factored| (QREFELT $ 77))
      |PWFFINTB;listSquaredFactors|)
     G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |f| (CAR #1#) |PWFFINTB;listSquaredFactors|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((< 1 (QCDR |f|))
         (LETT |ans| (CONS (QCAR |f|) |ans|) |PWFFINTB;listSquaredFactors|)))))
     (LETT #1# (CDR #1#) |PWFFINTB;listSquaredFactors|) (GO G190) G191
     (EXIT NIL))
    (EXIT |ans|))))) 

(DEFUN |PWFFINTB;integralBasis;R;7| ($)
 (PROG
  (|p| |n| |singList| |redDisc| |prime| #1=#:G3648 |lb| |rb| |rbinv| |rbden|
   |disc| |mat| |runningRbden| |runningRb| |runningRbinv|)
  (RETURN
   (SEQ (LETT |p| (SPADCALL (QREFELT $ 70)) |PWFFINTB;integralBasis;R;7|)
    (LETT |disc| (SPADCALL |p| (QREFELT $ 37)) |PWFFINTB;integralBasis;R;7|)
    (LETT |n| (SPADCALL (QREFELT $ 66)) |PWFFINTB;integralBasis;R;7|)
    (LETT |singList| (|PWFFINTB;listSquaredFactors| |disc| $)
     |PWFFINTB;integralBasis;R;7|)
    (LETT |redDisc| (SPADCALL |p| (QREFELT $ 34)) |PWFFINTB;integralBasis;R;7|)
    (LETT |runningRb|
     (LETT |runningRbinv| (SPADCALL |n| (|spadConstant| $ 39) (QREFELT $ 41))
      |PWFFINTB;integralBasis;R;7|)
     |PWFFINTB;integralBasis;R;7|)
    (LETT |runningRbden| (|spadConstant| $ 39) |PWFFINTB;integralBasis;R;7|)
    (EXIT
     (COND
      ((NULL |singList|) (VECTOR |runningRb| |runningRbden| |runningRbinv|))
      ('T
       (SEQ
        (SEQ (LETT |prime| NIL |PWFFINTB;integralBasis;R;7|)
         (LETT #1# |singList| |PWFFINTB;integralBasis;R;7|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |prime| (CAR #1#) |PWFFINTB;integralBasis;R;7|) NIL))
           (GO G191)))
         (SEQ
          (LETT |lb|
           (|PWFFINTB;padicLocalIntegralBasis| |p| |disc| |redDisc| |prime| $)
           |PWFFINTB;integralBasis;R;7|)
          (LETT |rb| (QVELT |lb| 0) |PWFFINTB;integralBasis;R;7|)
          (LETT |rbinv| (QVELT |lb| 2) |PWFFINTB;integralBasis;R;7|)
          (LETT |rbden| (QVELT |lb| 1) |PWFFINTB;integralBasis;R;7|)
          (LETT |disc| (QVELT |lb| 3) |PWFFINTB;integralBasis;R;7|)
          (LETT |mat|
           (SPADCALL (SPADCALL |rbden| |runningRb| (QREFELT $ 79))
            (SPADCALL |runningRbden| |rb| (QREFELT $ 79)) (QREFELT $ 80))
           |PWFFINTB;integralBasis;R;7|)
          (LETT |runningRbden| (SPADCALL |runningRbden| |rbden| (QREFELT $ 56))
           |PWFFINTB;integralBasis;R;7|)
          (LETT |runningRb|
           (SPADCALL (SPADCALL |mat| |runningRbden| (QREFELT $ 82))
            (QREFELT $ 83))
           |PWFFINTB;integralBasis;R;7|)
          (EXIT
           (LETT |runningRbinv|
            (SPADCALL |runningRb| |runningRbden| (QREFELT $ 85))
            |PWFFINTB;integralBasis;R;7|)))
         (LETT #1# (CDR #1#) |PWFFINTB;integralBasis;R;7|) (GO G190) G191
         (EXIT NIL))
        (EXIT (VECTOR |runningRb| |runningRbden| |runningRbinv|)))))))))) 

(DEFUN |PAdicWildFunctionFieldIntegralBasis| (&REST #1=#:G3653 &AUX #2=#:G3651)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3652)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|PAdicWildFunctionFieldIntegralBasis|)
         '|domainEqualList|)
        |PAdicWildFunctionFieldIntegralBasis|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |PAdicWildFunctionFieldIntegralBasis;|) #2#)
         (LETT #3# T |PAdicWildFunctionFieldIntegralBasis|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache|
           '|PAdicWildFunctionFieldIntegralBasis|))))))))))) 

(DEFUN |PAdicWildFunctionFieldIntegralBasis;| (|#1| |#2| |#3| |#4|)
 (PROG (DV$1 DV$2 DV$3 DV$4 |dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) . #1=(|PAdicWildFunctionFieldIntegralBasis|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT DV$4 (|devaluate| |#4|) . #1#)
    (LETT |dv$|
     (LIST '|PAdicWildFunctionFieldIntegralBasis| DV$1 DV$2 DV$3 DV$4) . #1#)
    (LETT $ (GETREFV 87) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PAdicWildFunctionFieldIntegralBasis|
     (LIST DV$1 DV$2 DV$3 DV$4) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 |#4|) $)))) 

(MAKEPROP '|PAdicWildFunctionFieldIntegralBasis| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     (|local| |#4|) (|Fraction| 7) (0 . |coerce|)
     (|SparseUnivariatePolynomial| 10) (|Mapping| 10 7)
     (|IntegralBasisPolynomialTools| 7 8 (|SparseUnivariatePolynomial| 8) 10)
     (5 . |mapUnivariate|) (11 . |differentiate|)
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (16 . |extendedEuclidean|) (|List| 10) (22 . |coefficients|)
     (27 . |concat|) (|Record| (|:| |num| 19) (|:| |den| 7))
     (|CommonDenominator| 7 10 19) (33 . |splitDenominator|) (38 . |numer|)
     (|List| 7) (|Mapping| 7 10) (|ListFunctions2| 10 7) (43 . |map|)
     (|List| $) (49 . |gcd|) (|Union| $ '"failed") (54 . |exquo|)
     |PWFFINTB;reducedDiscriminant;UPR;1| (|NonNegativeInteger|)
     (60 . |degree|) (65 . |discriminant|) (70 . |One|) (74 . |One|)
     (|Matrix| 7) (78 . |scalarMatrix|) (|SparseUnivariatePolynomial| 6)
     (|PositiveInteger|) (|IrredPolyOverFiniteField| 6)
     (84 . |generateIrredPoly|) (89 . |One|) (93 . |One|) (97 . |size|)
     (|Vector| $) (101 . |basis|)
     (|Record| (|:| |basis| 40) (|:| |basisDen| 7) (|:| |basisInv| 40))
     (|WildFunctionFieldIntegralBasis| 6 7 8 9) (105 . |localIntegralBasis|)
     (|IntegralBasisTools| 7 8 9) (110 . |diagonalProduct|) (115 . *)
     (121 . |quo|) (127 . |order|) (133 . |degree|)
     (|Record| (|:| |plist| 61) (|:| |modulo| 7)) (|List| 8)
     (|GeneralHenselPackage| 7 8) (138 . |HenselLift|) (|Fraction| (|Integer|))
     (146 . |One|) (150 . |rank|) (|List| 51)
     (|ChineseRemainderToolsForIntegralBases| 6 7 8) (154 . |chineseRemainder|)
     (161 . |definingPolynomial|) |PWFFINTB;localIntegralBasis;RR;5|
     (|Factored| 7) (|DistinctDegreeFactorize| 6 7) (165 . |factor|)
     (|Record| (|:| |factor| 7) (|:| |exponent| (|Integer|))) (|List| 75)
     (170 . |factors|) (175 . |One|) (179 . *) (185 . |vertConcat|)
     (|ModularHermitianRowReduction| 7) (191 . |rowEchelon|)
     (197 . |squareTop|)
     (|TriangularMatrixOperations| 7 (|Vector| 7) (|Vector| 7) 40)
     (202 . |UpTriBddDenomInv|) |PWFFINTB;integralBasis;R;7|)
  '#(|reducedDiscriminant| 208 |localIntegralBasis| 213 |integralBasis| 218)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 86
      '(1 10 0 7 11 2 14 12 13 8 15 1 12 0 0 16 2 12 17 0 0 18 1 12 19 0 20 2
        19 0 0 0 21 1 23 22 19 24 1 10 7 0 25 2 28 26 27 19 29 1 7 0 30 31 2 7
        32 0 0 33 1 8 35 0 36 1 8 7 0 37 0 6 0 38 0 7 0 39 2 40 0 35 7 41 1 44
        42 43 45 0 8 0 46 0 9 0 47 0 6 35 48 0 9 49 50 1 52 51 7 53 1 54 7 40
        55 2 7 0 0 0 56 2 7 0 0 0 57 2 7 35 0 0 58 1 7 35 0 59 4 62 60 8 61 7
        43 63 0 64 0 65 0 9 43 66 3 68 51 61 67 35 69 0 9 8 70 1 73 72 7 74 1
        72 76 0 77 0 72 0 78 2 40 0 7 0 79 2 40 0 0 0 80 2 81 40 40 7 82 1 40 0
        0 83 2 84 40 40 7 85 1 0 7 8 34 1 0 51 7 71 0 0 51 86)))))
  '|lookupComplete|)) 
