
(/VERSIONCHECK 2) 

(DEFUN |QFORM;quadraticForm;Sm$;1| (|m| $)
 (COND
  ((NULL (SPADCALL |m| (QREFELT $ 10)))
   (|error| "quadraticForm requires a symmetric matrix"))
  ('T |m|))) 

(PUT '|QFORM;matrix;$Sm;2| '|SPADreplace| '(XLAM (|q|) |q|)) 

(DEFUN |QFORM;matrix;$Sm;2| (|q| $) |q|) 

(DEFUN |QFORM;elt;$DpK;3| (|q| |v| $)
 (SPADCALL |v| (SPADCALL (SPADCALL |q| (QREFELT $ 12)) |v| (QREFELT $ 14))
  (QREFELT $ 15))) 

(DEFUN |QuadraticForm| (&REST #1=#:G3552 &AUX #2=#:G3550) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3551)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|QuadraticForm|) '|domainEqualList|)
        |QuadraticForm|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |QuadraticForm;|) #2#)
         (LETT #3# T |QuadraticForm|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|QuadraticForm|))))))))))) 

(DEFUN |QuadraticForm;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|QuadraticForm|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|QuadraticForm| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 24) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|QuadraticForm| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 (|SquareMatrix| |#1| |#2|)) $)))) 

(MAKEPROP '|QuadraticForm| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|SquareMatrix| 6 7) (|local| |#1|) (|local| |#2|)
     '|Rep| (|Boolean|) (0 . |symmetric?|) |QFORM;quadraticForm;Sm$;1|
     |QFORM;matrix;$Sm;2| (|DirectProduct| 6 7) (5 . *) (11 . |dot|)
     |QFORM;elt;$DpK;3| (|Integer|) (|Union| $ '"failed")
     (|NonNegativeInteger|) (|PositiveInteger|) (|SingleInteger|) (|String|)
     (|OutputForm|))
  '#(~= 17 |zero?| 23 |subtractIfCan| 28 |sample| 34 |quadraticForm| 38
     |matrix| 43 |latex| 48 |hash| 53 |elt| 58 |coerce| 64 |Zero| 69 = 73 - 79
     + 90 * 96)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0 0 0 0 0 0))
   (CONS
    '#(|AbelianGroup&| NIL |AbelianMonoid&| |AbelianSemiGroup&| |SetCategory&|
       |BasicType&| NIL)
    (CONS
     '#((|AbelianGroup|) (|CancellationAbelianMonoid|) (|AbelianMonoid|)
        (|AbelianSemiGroup|) (|SetCategory|) (|BasicType|) (|CoercibleTo| 23))
     (|makeByteWordVec2| 23
      '(1 8 9 0 10 2 8 13 0 13 14 2 13 7 0 0 15 2 0 9 0 0 1 1 0 9 0 1 2 0 18 0
        0 1 0 0 0 1 1 0 0 5 11 1 0 5 0 12 1 0 22 0 1 1 0 21 0 1 2 0 7 0 13 16 1
        0 23 0 1 0 0 0 1 2 0 9 0 0 1 1 0 0 0 1 2 0 0 0 0 1 2 0 0 0 0 1 2 0 0 17
        0 1 2 0 0 19 0 1 2 0 0 20 0 1)))))
  '|lookupComplete|)) 
