
(/VERSIONCHECK 2) 

(DEFUN |RMATRIX;Zero;$;1| ($) (QREFELT $ 12)) 

(DEFUN |RMATRIX;coerce;$Of;2| (|x| $) (SPADCALL |x| (QREFELT $ 15))) 

(DEFUN |RMATRIX;matrix;L$;3| (|l| $)
 (PROG
  (#1=#:G3552 #2=#:G3547 |ans| |ll| #3=#:G3554 |i| #4=#:G3553 |r| #5=#:G3556
   |j| #6=#:G3555)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (LENGTH |l|) (QREFELT $ 6)))
      (|error| "matrix: wrong number of rows"))
     ('T
      (SEQ
       (SEQ
        (EXIT
         (SEQ (LETT |ll| NIL |RMATRIX;matrix;L$;3|)
          (LETT #1# |l| |RMATRIX;matrix;L$;3|) G190
          (COND
           ((OR (ATOM #1#)
             (PROGN (LETT |ll| (CAR #1#) |RMATRIX;matrix;L$;3|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (COND
             ((NULL (EQL (LENGTH |ll|) (QREFELT $ 7)))
              (PROGN
               (LETT #2# (|error| "matrix: wrong number of columns")
                |RMATRIX;matrix;L$;3|)
               (GO #2#))))))
          (LETT #1# (CDR #1#) |RMATRIX;matrix;L$;3|) (GO G190) G191
          (EXIT NIL)))
        #2# (EXIT #2#))
       (LETT |ans|
        (SPADCALL (QREFELT $ 6) (QREFELT $ 7) (|spadConstant| $ 9)
         (QREFELT $ 11))
        |RMATRIX;matrix;L$;3|)
       (SEQ (LETT |ll| NIL |RMATRIX;matrix;L$;3|)
        (LETT #3# |l| |RMATRIX;matrix;L$;3|)
        (LETT |i| (SPADCALL |ans| (QREFELT $ 18)) |RMATRIX;matrix;L$;3|)
        (LETT #4# (SPADCALL |ans| (QREFELT $ 19)) |RMATRIX;matrix;L$;3|) G190
        (COND
         ((OR (> |i| #4#) (ATOM #3#)
           (PROGN (LETT |ll| (CAR #3#) |RMATRIX;matrix;L$;3|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |r| NIL |RMATRIX;matrix;L$;3|)
           (LETT #5# |ll| |RMATRIX;matrix;L$;3|)
           (LETT |j| (SPADCALL |ans| (QREFELT $ 20)) |RMATRIX;matrix;L$;3|)
           (LETT #6# (SPADCALL |ans| (QREFELT $ 21)) |RMATRIX;matrix;L$;3|)
           G190
           (COND
            ((OR (> |j| #6#) (ATOM #5#)
              (PROGN (LETT |r| (CAR #5#) |RMATRIX;matrix;L$;3|) NIL))
             (GO G191)))
           (SEQ (EXIT (SPADCALL |ans| |i| |j| |r| (QREFELT $ 22))))
           (LETT |j|
            (PROG1 (+ |j| 1) (LETT #5# (CDR #5#) |RMATRIX;matrix;L$;3|))
            |RMATRIX;matrix;L$;3|)
           (GO G190) G191 (EXIT NIL))))
        (LETT |i| (PROG1 (+ |i| 1) (LETT #3# (CDR #3#) |RMATRIX;matrix;L$;3|))
         |RMATRIX;matrix;L$;3|)
        (GO G190) G191 (EXIT NIL))
       (EXIT |ans|)))))))) 

(DEFUN |RMATRIX;row;$IDp;4| (|x| |i| $)
 (SPADCALL (SPADCALL |x| |i| (QREFELT $ 26)) (QREFELT $ 28))) 

(DEFUN |RMATRIX;column;$IDp;5| (|x| |j| $)
 (SPADCALL (SPADCALL |x| |j| (QREFELT $ 30)) (QREFELT $ 32))) 

(DEFUN |RMATRIX;coerce;$M;6| (|x| $) (SPADCALL |x| (QREFELT $ 34))) 

(DEFUN |RMATRIX;rectangularMatrix;M$;7| (|x| $)
 (SEQ
  (COND
   ((EQL (SPADCALL |x| (QREFELT $ 36)) (QREFELT $ 6))
    (COND
     ((NULL (EQL (SPADCALL |x| (QREFELT $ 37)) (QREFELT $ 7)))
      (EXIT (|error| #1="rectangularMatrix: matrix of bad dimensions")))))
   ('T (EXIT (|error| #1#))))
  (EXIT (SPADCALL |x| (QREFELT $ 34))))) 

(DEFUN |RMATRIX;rowEchelon;2$;8| (|x| $) (SPADCALL |x| (QREFELT $ 39))) 

(DEFUN |RMATRIX;rank;$Nni;9| (|x| $) (SPADCALL |x| (QREFELT $ 41))) 

(DEFUN |RMATRIX;nullity;$Nni;10| (|x| $) (SPADCALL |x| (QREFELT $ 43))) 

(DEFUN |RMATRIX;nullSpace;$L;11| (|x| $)
 (PROG (#1=#:G3569 |c| #2=#:G3570)
  (RETURN
   (SEQ
    (PROGN (LETT #1# NIL |RMATRIX;nullSpace;$L;11|)
     (SEQ (LETT |c| NIL |RMATRIX;nullSpace;$L;11|)
      (LETT #2# (SPADCALL |x| (QREFELT $ 46)) |RMATRIX;nullSpace;$L;11|) G190
      (COND
       ((OR (ATOM #2#)
         (PROGN (LETT |c| (CAR #2#) |RMATRIX;nullSpace;$L;11|) NIL))
        (GO G191)))
      (SEQ
       (EXIT
        (LETT #1# (CONS (SPADCALL |c| (QREFELT $ 32)) #1#)
         |RMATRIX;nullSpace;$L;11|)))
      (LETT #2# (CDR #2#) |RMATRIX;nullSpace;$L;11|) (GO G190) G191
      (EXIT (NREVERSE0 #1#)))))))) 

(DEFUN |RMATRIX;dimension;Cn;12| ($)
 (SPADCALL (* (QREFELT $ 6) (QREFELT $ 7)) (QREFELT $ 50))) 

(DEFUN |RMATRIX;convert;$If;13| (|x| $)
 (SPADCALL
  (LIST (SPADCALL (SPADCALL "rectangularMatrix" (QREFELT $ 54)) (QREFELT $ 56))
   (SPADCALL (SPADCALL |x| (QREFELT $ 35)) (QREFELT $ 57)))
  (QREFELT $ 59))) 

(DEFUN |RectangularMatrix| (&REST #1=#:G3585 &AUX #2=#:G3583) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3584)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|RectangularMatrix|) '|domainEqualList|)
        |RectangularMatrix|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |RectangularMatrix;|) #2#)
         (LETT #3# T |RectangularMatrix|))
        (COND
         ((NOT #3#) (HREM |$ConstructorCache| '|RectangularMatrix|))))))))))) 

(DEFUN |RectangularMatrix;| (|#1| |#2| |#3|)
 (PROG (DV$1 DV$2 DV$3 |dv$| $ #1=#:G3580 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #2=(|RectangularMatrix|))
    (LETT DV$2 (|devaluate| |#2|) . #2#) (LETT DV$3 (|devaluate| |#3|) . #2#)
    (LETT |dv$| (LIST '|RectangularMatrix| DV$1 DV$2 DV$3) . #2#)
    (LETT $ (GETREFV 71) . #2#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#3| '(|ConvertibleTo| (|InputForm|)))
        (|HasCategory| |#3| '(|Field|)) (|HasCategory| |#3| '(|SetCategory|))
        (|HasCategory| |#3| '(|EuclideanDomain|))
        (|HasCategory| |#3| '(|IntegralDomain|))
        (LETT #1# (|HasCategory| |#3| '(|CommutativeRing|)) . #2#)
        (OR #1# (|HasCategory| |#3| '(|Field|)))
        (AND (|HasCategory| |#3| '(|SetCategory|))
         (|HasCategory| |#3| (LIST '|Evalable| (|devaluate| |#3|))))
        (OR
         (AND #1# (|HasCategory| |#3| (LIST '|Evalable| (|devaluate| |#3|))))
         (AND (|HasCategory| |#3| '(|Field|))
          (|HasCategory| |#3| (LIST '|Evalable| (|devaluate| |#3|))))
         (AND (|HasCategory| |#3| '(|SetCategory|))
          (|HasCategory| |#3| (LIST '|Evalable| (|devaluate| |#3|)))))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|RectangularMatrix| (LIST DV$1 DV$2 DV$3)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|)
    (QSETREFV $ 12 (SPADCALL |#1| |#2| (|spadConstant| $ 9) (QREFELT $ 11)))
    (COND
     ((|testBitVector| |pv$| 4)
      (QSETREFV $ 40 (CONS (|dispatchFunction| |RMATRIX;rowEchelon;2$;8|) $))))
    (COND
     ((|testBitVector| |pv$| 5)
      (PROGN
       (QSETREFV $ 42 (CONS (|dispatchFunction| |RMATRIX;rank;$Nni;9|) $))
       (QSETREFV $ 44 (CONS (|dispatchFunction| |RMATRIX;nullity;$Nni;10|) $))
       (QSETREFV $ 48
        (CONS (|dispatchFunction| |RMATRIX;nullSpace;$L;11|) $)))))
    (COND
     ((|testBitVector| |pv$| 2)
      (QSETREFV $ 51 (CONS (|dispatchFunction| |RMATRIX;dimension;Cn;12|) $))))
    (COND
     ((|testBitVector| |pv$| 1)
      (QSETREFV $ 60 (CONS (|dispatchFunction| |RMATRIX;convert;$If;13|) $))))
    $)))) 

(MAKEPROP '|RectangularMatrix| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|Matrix| 8) (|local| |#1|) (|local| |#2|)
     (|local| |#3|) (0 . |Zero|) (|NonNegativeInteger|) (4 . |new|) 'ZERO
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |RMATRIX;Zero;$;1|) $))
     (|OutputForm|) (11 . |coerce|) |RMATRIX;coerce;$Of;2| (|Integer|)
     (16 . |minRowIndex|) (21 . |maxRowIndex|) (26 . |minColIndex|)
     (31 . |maxColIndex|) (36 . |qsetelt!|) (|List| 64) |RMATRIX;matrix;L$;3|
     (|Vector| 8) (44 . |row|) (|DirectProduct| 7 8) (50 . |directProduct|)
     |RMATRIX;row;$IDp;4| (55 . |column|) (|DirectProduct| 6 8)
     (61 . |directProduct|) |RMATRIX;column;$IDp;5| (66 . |copy|)
     |RMATRIX;coerce;$M;6| (71 . |nrows|) (76 . |ncols|)
     |RMATRIX;rectangularMatrix;M$;7| (81 . |rowEchelon|) (86 . |rowEchelon|)
     (91 . |rank|) (96 . |rank|) (101 . |nullity|) (106 . |nullity|)
     (|List| 25) (111 . |nullSpace|) (|List| 31) (116 . |nullSpace|)
     (|CardinalNumber|) (121 . |coerce|) (126 . |dimension|) (|String|)
     (|Symbol|) (130 . |coerce|) (|InputForm|) (135 . |convert|)
     (140 . |convert|) (|List| $) (145 . |convert|) (150 . |convert|)
     (|Boolean|) (|Equation| 8) (|List| 62) (|List| 8) (|Mapping| 61 8)
     (|Mapping| 8 8) (|Union| $ '"failed") (|Mapping| 8 8 8)
     (|PositiveInteger|) (|SingleInteger|))
  '#(~= 155 |zero?| 161 |symmetric?| 166 |subtractIfCan| 171 |square?| 177
     |size?| 182 |sample| 188 |rowEchelon| 192 |row| 197 |rectangularMatrix|
     203 |rank| 208 |qelt| 213 |parts| 220 |nullity| 225 |nullSpace| 230
     |nrows| 235 |ncols| 240 |more?| 245 |minRowIndex| 251 |minColIndex| 256
     |members| 261 |member?| 266 |maxRowIndex| 272 |maxColIndex| 277 |matrix|
     282 |map| 287 |listOfLists| 300 |less?| 305 |latex| 311 |hash| 316 |exquo|
     321 |every?| 327 |eval| 333 |eq?| 359 |empty?| 365 |empty| 370 |elt| 374
     |dimension| 389 |diagonal?| 393 |count| 398 |copy| 410 |convert| 415
     |column| 420 |coerce| 426 |any?| 436 |antisymmetric?| 442 |Zero| 447 = 451
     / 457 - 463 + 474 * 480 |#| 510)
  '((|finiteAggregate| . 0) (|leftUnitary| . 0) (|rightUnitary| . 0))
  (CONS (|makeByteWordVec2| 9 '(0 2 7 0 0 0 0 0 0 0 0 0 0 9 0 0 0 0 9 1))
   (CONS
    '#(|RectangularMatrixCategory&| |VectorSpace&| |Module&| NIL NIL NIL
       |AbelianGroup&| NIL |AbelianMonoid&| |HomogeneousAggregate&|
       |AbelianSemiGroup&| |Aggregate&| |SetCategory&| |Evalable&| NIL NIL
       |BasicType&| NIL |InnerEvalable&| NIL)
    (CONS
     '#((|RectangularMatrixCategory| 6 7 8 (|DirectProduct| 7 8)
         (|DirectProduct| 6 8))
        (|VectorSpace| 8) (|Module| 8) (|BiModule| 8 8) (|LeftModule| 8)
        (|RightModule| 8) (|AbelianGroup|) (|CancellationAbelianMonoid|)
        (|AbelianMonoid|) (|HomogeneousAggregate| 8) (|AbelianSemiGroup|)
        (|Aggregate|) (|SetCategory|) (|Evalable| 8)
        (|CoercibleTo| (|Matrix| 8)) (|Type|) (|BasicType|) (|CoercibleTo| 14)
        (|InnerEvalable| 8 8) (|ConvertibleTo| 55))
     (|makeByteWordVec2| 70
      '(0 8 0 9 3 5 0 10 10 8 11 1 5 14 0 15 1 5 17 0 18 1 5 17 0 19 1 5 17 0
        20 1 5 17 0 21 4 5 8 0 17 17 8 22 2 5 25 0 17 26 1 27 0 25 28 2 5 25 0
        17 30 1 31 0 25 32 1 5 0 0 34 1 5 10 0 36 1 5 10 0 37 1 5 0 0 39 1 0 0
        0 40 1 5 10 0 41 1 0 10 0 42 1 5 10 0 43 1 0 10 0 44 1 5 45 0 46 1 0 47
        0 48 1 49 0 10 50 0 0 49 51 1 53 0 52 54 1 55 0 53 56 1 5 55 0 57 1 55
        0 58 59 1 0 55 0 60 2 0 61 0 0 1 1 0 61 0 1 1 0 61 0 1 2 0 67 0 0 1 1 0
        61 0 1 2 0 61 0 10 1 0 0 0 1 1 4 0 0 40 2 0 27 0 17 29 1 0 0 5 38 1 5
        10 0 42 3 0 8 0 17 17 1 1 0 64 0 1 1 5 10 0 44 1 5 47 0 48 1 0 10 0 1 1
        0 10 0 1 2 0 61 0 10 1 1 0 17 0 1 1 0 17 0 1 1 0 64 0 1 2 3 61 8 0 1 1
        0 17 0 1 1 0 17 0 1 1 0 0 23 24 3 0 0 68 0 0 1 2 0 0 66 0 1 1 0 23 0 1
        2 0 61 0 10 1 1 0 52 0 1 1 0 70 0 1 2 5 67 0 8 1 2 0 61 65 0 1 2 8 0 0
        62 1 2 8 0 0 63 1 3 8 0 0 64 64 1 3 8 0 0 8 8 1 2 0 61 0 0 1 1 0 61 0 1
        0 0 0 1 4 0 8 0 17 17 8 1 3 0 8 0 17 17 1 0 2 49 51 1 0 61 0 1 2 3 10 8
        0 1 2 0 10 65 0 1 1 0 0 0 1 1 1 55 0 60 2 0 31 0 17 33 1 0 5 0 35 1 0
        14 0 16 2 0 61 65 0 1 1 0 61 0 1 0 0 0 13 2 0 61 0 0 1 2 2 0 0 8 1 2 0
        0 0 0 1 1 0 0 0 1 2 0 0 0 0 1 2 0 0 8 0 1 2 0 0 0 8 1 2 0 0 17 0 1 2 0
        0 10 0 1 2 0 0 69 0 1 1 0 10 0 1)))))
  '|lookupComplete|)) 
