
(/VERSIONCHECK 2) 

(DEFUN |SUBSPACE;leaf?;$B;1| (|space| $)
 (SPADCALL (SPADCALL |space| (QREFELT $ 11)) (QREFELT $ 14))) 

(DEFUN |SUBSPACE;root?;$B;2| (|space| $) (EQL (QVELT |space| 5) 0)) 

(DEFUN |SUBSPACE;internal?;$B;3| (|space| $)
 (COND
  ((SPADCALL |space| (QREFELT $ 16))
   (COND ((SPADCALL |space| (QREFELT $ 15)) 'NIL) ('T 'T)))
  ('T 'T))) 

(DEFUN |SUBSPACE;new;$;4| ($)
 (VECTOR (SPADCALL NIL (QREFELT $ 20)) 0 (SPADCALL (QREFELT $ 22))
  (SPADCALL (QREFELT $ 23)) (SPADCALL (QREFELT $ 23)) 0 NIL NIL 0 0
  (SPADCALL (QREFELT $ 23)))) 

(DEFUN |SUBSPACE;subspace;$;5| ($) (SPADCALL (QREFELT $ 24))) 

(DEFUN |SUBSPACE;birth;2$;6| (|momma| $)
 (PROG (|baby| |lastKid|)
  (RETURN
   (SEQ (LETT |baby| (SPADCALL (QREFELT $ 24)) |SUBSPACE;birth;2$;6|)
    (QSETVELT |baby| 5 (+ (QVELT |momma| 5) 1))
    (QSETVELT |baby| 10 (LIST |momma|))
    (COND
     ((NULL
       (SPADCALL (LETT |lastKid| (QVELT |momma| 4) |SUBSPACE;birth;2$;6|)
        (QREFELT $ 14)))
      (COND
       ((NULL (SPADCALL (SPADCALL |lastKid| (QREFELT $ 26)) (QREFELT $ 14)))
        (EXIT (|error| (SPADCALL (QREFELT $ 9) (QREFELT $ 29))))))))
    (COND
     ((SPADCALL |lastKid| (QREFELT $ 14))
      (SEQ (QSETVELT |momma| 3 (LIST |baby|))
       (QSETVELT |momma| 4 (QVELT |momma| 3)) (EXIT (QSETVELT |momma| 9 1))))
     ('T
      (SEQ (SPADCALL |lastKid| (LIST |baby|) (QREFELT $ 30))
       (QSETVELT |momma| 4 (SPADCALL |lastKid| (QREFELT $ 26)))
       (EXIT (QSETVELT |momma| 9 (+ (QVELT |momma| 9) 1))))))
    (EXIT |baby|))))) 

(DEFUN |SUBSPACE;child;$Nni$;7| (|space| |num| $)
 (SPADCALL (QVELT |space| 3) |num| (QREFELT $ 33))) 

(PUT '|SUBSPACE;children;$L;8| '|SPADreplace|
 '(XLAM (|space|) (QVELT |space| 3))) 

(DEFUN |SUBSPACE;children;$L;8| (|space| $) (QVELT |space| 3)) 

(PUT '|SUBSPACE;numberOfChildren;$Nni;9| '|SPADreplace|
 '(XLAM (|space|) (QVELT |space| 9))) 

(DEFUN |SUBSPACE;numberOfChildren;$Nni;9| (|space| $) (QVELT |space| 9)) 

(DEFUN |SUBSPACE;shallowCopy;2$;10| (|space| $)
 (PROG (|node|)
  (RETURN
   (SEQ (LETT |node| (SPADCALL (QREFELT $ 24)) |SUBSPACE;shallowCopy;2$;10|)
    (QSETVELT |node| 0 (QVELT |space| 0)) (QSETVELT |node| 1 (QVELT |space| 1))
    (QSETVELT |node| 2 (SPADCALL (QVELT |space| 2) (QREFELT $ 37)))
    (QSETVELT |node| 5 (QVELT |space| 5))
    (QSETVELT |node| 10 (SPADCALL (QREFELT $ 23)))
    (COND
     ((SPADCALL |space| (QREFELT $ 16))
      (SEQ (QSETVELT |node| 6 (SPADCALL (QVELT |space| 6) (QREFELT $ 39)))
       (QSETVELT |node| 7 (SPADCALL (QVELT |node| 6) (QREFELT $ 40)))
       (EXIT (QSETVELT |node| 8 (QVELT |space| 8))))))
    (EXIT |node|))))) 

(DEFUN |SUBSPACE;deepCopy;2$;11| (|space| $)
 (PROG (|node| |c| #1=#:G3601 |cc|)
  (RETURN
   (SEQ
    (LETT |node| (SPADCALL |space| (QREFELT $ 41)) |SUBSPACE;deepCopy;2$;11|)
    (EXIT
     (COND ((SPADCALL |space| (QREFELT $ 15)) |node|)
      ('T
       (SEQ
        (SEQ (LETT |c| NIL |SUBSPACE;deepCopy;2$;11|)
         (LETT #1# (SPADCALL |space| (QREFELT $ 11)) |SUBSPACE;deepCopy;2$;11|)
         G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |c| (CAR #1#) |SUBSPACE;deepCopy;2$;11|) NIL))
           (GO G191)))
         (SEQ
          (LETT |cc| (SPADCALL |c| (QREFELT $ 42)) |SUBSPACE;deepCopy;2$;11|)
          (QSETVELT |cc| 10 (LIST |node|))
          (EXIT
           (QSETVELT |node| 3
            (SPADCALL |cc| (QVELT |node| 3) (QREFELT $ 43)))))
         (LETT #1# (CDR #1#) |SUBSPACE;deepCopy;2$;11|) (GO G190) G191
         (EXIT NIL))
        (QSETVELT |node| 3 (SPADCALL (QVELT |node| 3) (QREFELT $ 44)))
        (QSETVELT |node| 4 (SPADCALL (QVELT |node| 3) (QREFELT $ 45)))
        (EXIT |node|))))))))) 

(DEFUN |SUBSPACE;merge;3$;12| (|s1| |s2| $)
 (PROG (|n1| |n2|)
  (RETURN
   (SEQ (LETT |n1| (SPADCALL |s1| (QREFELT $ 42)) |SUBSPACE;merge;3$;12|)
    (LETT |n2| (SPADCALL |s2| (QREFELT $ 42)) |SUBSPACE;merge;3$;12|)
    (QSETVELT |n1| 3
     (SPADCALL (SPADCALL |n1| (QREFELT $ 11)) (SPADCALL |n2| (QREFELT $ 11))
      (QREFELT $ 46)))
    (EXIT |n1|))))) 

(DEFUN |SUBSPACE;merge;L$;13| (|listOfSpaces| $)
 (PROG (|space| |s| #1=#:G3609 #2=#:G3610 |c| #3=#:G3611)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |listOfSpaces| (QREFELT $ 14))
      (|error| "empty list passed as argument to merge"))
     ('T
      (SEQ
       (LETT |space|
        (SPADCALL (SPADCALL |listOfSpaces| (QREFELT $ 48)) (QREFELT $ 42))
        |SUBSPACE;merge;L$;13|)
       (SEQ (LETT |s| NIL |SUBSPACE;merge;L$;13|)
        (LETT #1# (SPADCALL |listOfSpaces| (QREFELT $ 26))
         |SUBSPACE;merge;L$;13|)
        G190
        (COND
         ((OR (ATOM #1#)
           (PROGN (LETT |s| (CAR #1#) |SUBSPACE;merge;L$;13|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (QSETVELT |space| 3
           (SPADCALL (QVELT |space| 3)
            (PROGN (LETT #2# NIL |SUBSPACE;merge;L$;13|)
             (SEQ (LETT |c| NIL |SUBSPACE;merge;L$;13|)
              (LETT #3# (QVELT |s| 3) |SUBSPACE;merge;L$;13|) G190
              (COND
               ((OR (ATOM #3#)
                 (PROGN (LETT |c| (CAR #3#) |SUBSPACE;merge;L$;13|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT #2# (CONS (SPADCALL |c| (QREFELT $ 42)) #2#)
                 |SUBSPACE;merge;L$;13|)))
              (LETT #3# (CDR #3#) |SUBSPACE;merge;L$;13|) (GO G190) G191
              (EXIT (NREVERSE0 #2#))))
            (QREFELT $ 46)))))
        (LETT #1# (CDR #1#) |SUBSPACE;merge;L$;13|) (GO G190) G191 (EXIT NIL))
       (EXIT |space|)))))))) 

(DEFUN |SUBSPACE;separate;$L;14| (|space| $)
 (PROG (|s| #1=#:G3616 |spc| |spaceList|)
  (RETURN
   (SEQ (LETT |spaceList| (SPADCALL (QREFELT $ 23)) |SUBSPACE;separate;$L;14|)
    (SEQ (LETT |s| NIL |SUBSPACE;separate;$L;14|)
     (LETT #1# (QVELT |space| 3) |SUBSPACE;separate;$L;14|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |s| (CAR #1#) |SUBSPACE;separate;$L;14|) NIL))
       (GO G191)))
     (SEQ
      (LETT |spc| (SPADCALL |space| (QREFELT $ 41)) |SUBSPACE;separate;$L;14|)
      (QSETVELT |spc| 3 (LIST (SPADCALL |s| (QREFELT $ 42))))
      (EXIT
       (LETT |spaceList| (SPADCALL |spc| |spaceList| (QREFELT $ 43))
        |SUBSPACE;separate;$L;14|)))
     (LETT #1# (CDR #1#) |SUBSPACE;separate;$L;14|) (GO G190) G191 (EXIT NIL))
    (EXIT |spaceList|))))) 

(DEFUN |SUBSPACE;addPoint;$LP$;15| (|space| |path| |point| $)
 (PROG (|lastPt| |which| |i| #1=#:G3627 |depth| |more| #2=#:G3628 |node|)
  (RETURN
   (SEQ
    (COND
     ((NULL
       (NULL (LETT |lastPt| (QVELT |space| 7) |SUBSPACE;addPoint;$LP$;15|)))
      (COND
       ((NULL (NULL (CDR |lastPt|)))
        (EXIT (|error| (SPADCALL (QREFELT $ 9) (QREFELT $ 29))))))))
    (COND
     ((NULL |lastPt|)
      (SEQ (QSETVELT |space| 6 (LIST |point|))
       (EXIT (QSETVELT |space| 7 (QVELT |space| 6)))))
     ('T
      (SEQ (SPADCALL |lastPt| (LIST |point|) (QREFELT $ 51))
       (EXIT (QSETVELT |space| 7 (CDR |lastPt|))))))
    (QSETVELT |space| 8 (+ (QVELT |space| 8) 1))
    (LETT |which| (QVELT |space| 8) |SUBSPACE;addPoint;$LP$;15|)
    (LETT |node| |space| |SUBSPACE;addPoint;$LP$;15|)
    (LETT |depth| 0 |SUBSPACE;addPoint;$LP$;15|)
    (SEQ (LETT |i| NIL |SUBSPACE;addPoint;$LP$;15|)
     (LETT #1# |path| |SUBSPACE;addPoint;$LP$;15|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;addPoint;$LP$;15|) NIL))
       (GO G191)))
     (SEQ
      (LETT |node| (SPADCALL |node| |i| (QREFELT $ 35))
       |SUBSPACE;addPoint;$LP$;15|)
      (EXIT (LETT |depth| (+ |depth| 1) |SUBSPACE;addPoint;$LP$;15|)))
     (LETT #1# (CDR #1#) |SUBSPACE;addPoint;$LP$;15|) (GO G190) G191
     (EXIT NIL))
    (SEQ (LETT |more| |depth| |SUBSPACE;addPoint;$LP$;15|)
     (LETT #2# (- (QREFELT $ 6) 1) |SUBSPACE;addPoint;$LP$;15|) G190
     (COND ((> |more| #2#) (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| (QREFELT $ 31))
        |SUBSPACE;addPoint;$LP$;15|)))
     (LETT |more| (+ |more| 1) |SUBSPACE;addPoint;$LP$;15|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |node| 0 |point|) (QSETVELT |node| 1 |which|) (EXIT |space|))))) 

(DEFUN |SUBSPACE;addPoint2;$P$;16| (|space| |point| $)
 (PROG (|lastPt| |which| |depth| |first| |more| #1=#:G3637 |node|)
  (RETURN
   (SEQ
    (COND
     ((NULL
       (NULL (LETT |lastPt| (QVELT |space| 7) |SUBSPACE;addPoint2;$P$;16|)))
      (COND
       ((NULL (NULL (CDR |lastPt|)))
        (EXIT (|error| (SPADCALL (QREFELT $ 9) (QREFELT $ 29))))))))
    (COND
     ((NULL |lastPt|)
      (SEQ (QSETVELT |space| 6 (LIST |point|))
       (EXIT (QSETVELT |space| 7 (QVELT |space| 6)))))
     ('T
      (SEQ (SPADCALL |lastPt| (LIST |point|) (QREFELT $ 51))
       (EXIT (QSETVELT |space| 7 (CDR |lastPt|))))))
    (QSETVELT |space| 8 (+ (QVELT |space| 8) 1))
    (LETT |which| (QVELT |space| 8) |SUBSPACE;addPoint2;$P$;16|)
    (LETT |node| |space| |SUBSPACE;addPoint2;$P$;16|)
    (LETT |depth| 0 |SUBSPACE;addPoint2;$P$;16|)
    (LETT |node| (SPADCALL |node| (QREFELT $ 31)) |SUBSPACE;addPoint2;$P$;16|)
    (LETT |first| |node| |SUBSPACE;addPoint2;$P$;16|)
    (SEQ (LETT |more| 1 |SUBSPACE;addPoint2;$P$;16|)
     (LETT #1# (- (QREFELT $ 6) 1) |SUBSPACE;addPoint2;$P$;16|) G190
     (COND ((QSGREATERP |more| #1#) (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| (QREFELT $ 31))
        |SUBSPACE;addPoint2;$P$;16|)))
     (LETT |more| (QSADD1 |more|) |SUBSPACE;addPoint2;$P$;16|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |node| 0 |point|) (QSETVELT |node| 1 |which|) (EXIT |first|))))) 

(DEFUN |SUBSPACE;addPointLast;2$PNni$;17| (|space| |node| |point| |depth| $)
 (PROG (|lastPt| |which| |more| #1=#:G3646)
  (RETURN
   (SEQ
    (COND
     ((NULL
       (NULL
        (LETT |lastPt| (QVELT |space| 7) |SUBSPACE;addPointLast;2$PNni$;17|)))
      (COND
       ((NULL (NULL (CDR |lastPt|)))
        (EXIT (|error| (SPADCALL (QREFELT $ 9) (QREFELT $ 29))))))))
    (COND
     ((NULL |lastPt|)
      (SEQ (QSETVELT |space| 6 (LIST |point|))
       (EXIT (QSETVELT |space| 7 (QVELT |space| 6)))))
     ('T
      (SEQ (SPADCALL |lastPt| (LIST |point|) (QREFELT $ 51))
       (EXIT (QSETVELT |space| 7 (CDR |lastPt|))))))
    (QSETVELT |space| 8 (+ (QVELT |space| 8) 1))
    (LETT |which| (QVELT |space| 8) |SUBSPACE;addPointLast;2$PNni$;17|)
    (COND
     ((EQL |depth| 2)
      (LETT |node| (SPADCALL |node| 2 (QREFELT $ 35))
       |SUBSPACE;addPointLast;2$PNni$;17|)))
    (SEQ (LETT |more| |depth| |SUBSPACE;addPointLast;2$PNni$;17|)
     (LETT #1# (- (QREFELT $ 6) 1) |SUBSPACE;addPointLast;2$PNni$;17|) G190
     (COND ((> |more| #1#) (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| (QREFELT $ 31))
        |SUBSPACE;addPointLast;2$PNni$;17|)))
     (LETT |more| (+ |more| 1) |SUBSPACE;addPointLast;2$PNni$;17|) (GO G190)
     G191 (EXIT NIL))
    (QSETVELT |node| 0 |point|) (QSETVELT |node| 1 |which|) (EXIT |node|))))) 

(DEFUN |SUBSPACE;addPoint;$LNni$;18| (|space| |path| |which| $)
 (PROG (|i| #1=#:G3653 |depth| |more| #2=#:G3654 |node|)
  (RETURN
   (SEQ (LETT |node| |space| |SUBSPACE;addPoint;$LNni$;18|)
    (LETT |depth| 0 |SUBSPACE;addPoint;$LNni$;18|)
    (SEQ (LETT |i| NIL |SUBSPACE;addPoint;$LNni$;18|)
     (LETT #1# |path| |SUBSPACE;addPoint;$LNni$;18|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;addPoint;$LNni$;18|) NIL))
       (GO G191)))
     (SEQ
      (LETT |node| (SPADCALL |node| |i| (QREFELT $ 35))
       |SUBSPACE;addPoint;$LNni$;18|)
      (EXIT (LETT |depth| (+ |depth| 1) |SUBSPACE;addPoint;$LNni$;18|)))
     (LETT #1# (CDR #1#) |SUBSPACE;addPoint;$LNni$;18|) (GO G190) G191
     (EXIT NIL))
    (SEQ (LETT |more| |depth| |SUBSPACE;addPoint;$LNni$;18|)
     (LETT #2# (- (QREFELT $ 6) 1) |SUBSPACE;addPoint;$LNni$;18|) G190
     (COND ((> |more| #2#) (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| (QREFELT $ 31))
        |SUBSPACE;addPoint;$LNni$;18|)))
     (LETT |more| (+ |more| 1) |SUBSPACE;addPoint;$LNni$;18|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |node| 0 (SPADCALL (QVELT |space| 6) |which| (QREFELT $ 56)))
    (QSETVELT |node| 1 |which|) (EXIT |space|))))) 

(DEFUN |SUBSPACE;addPoint;$PNni;19| (|space| |point| $)
 (PROG (|lastPt|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |space| (QREFELT $ 16))
      (SEQ
       (COND
        ((NULL
          (NULL
           (LETT |lastPt| (QVELT |space| 7) |SUBSPACE;addPoint;$PNni;19|)))
         (COND
          ((NULL (NULL (CDR |lastPt|)))
           (EXIT (|error| (SPADCALL (QREFELT $ 9) (QREFELT $ 29))))))))
       (COND
        ((NULL |lastPt|)
         (SEQ (QSETVELT |space| 6 (LIST |point|))
          (EXIT (QSETVELT |space| 7 (QVELT |space| 6)))))
        ('T
         (SEQ (SPADCALL |lastPt| (LIST |point|) (QREFELT $ 51))
          (EXIT (QSETVELT |space| 7 (CDR |lastPt|))))))
       (EXIT (QSETVELT |space| 8 (+ (QVELT |space| 8) 1)))))
     ('T
      (|error|
       "You need to pass a top level SubSpace (level should be zero)"))))))) 

(DEFUN |SUBSPACE;modifyPoint;$LP$;20| (|space| |path| |point| $)
 (PROG (|lastPt| |which| |i| #1=#:G3671 |node|)
  (RETURN
   (SEQ
    (COND
     ((NULL
       (NULL (LETT |lastPt| (QVELT |space| 7) |SUBSPACE;modifyPoint;$LP$;20|)))
      (COND
       ((NULL (NULL (CDR |lastPt|)))
        (EXIT (|error| (SPADCALL (QREFELT $ 9) (QREFELT $ 29))))))))
    (COND
     ((NULL |lastPt|)
      (SEQ (QSETVELT |space| 6 (LIST |point|))
       (EXIT (QSETVELT |space| 7 (QVELT |space| 6)))))
     ('T
      (SEQ (SPADCALL |lastPt| (LIST |point|) (QREFELT $ 51))
       (EXIT (QSETVELT |space| 7 (CDR |lastPt|))))))
    (QSETVELT |space| 8 (+ (QVELT |space| 8) 1))
    (LETT |which| (QVELT |space| 8) |SUBSPACE;modifyPoint;$LP$;20|)
    (LETT |node| |space| |SUBSPACE;modifyPoint;$LP$;20|)
    (SEQ (LETT |i| NIL |SUBSPACE;modifyPoint;$LP$;20|)
     (LETT #1# |path| |SUBSPACE;modifyPoint;$LP$;20|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;modifyPoint;$LP$;20|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| |i| (QREFELT $ 35))
        |SUBSPACE;modifyPoint;$LP$;20|)))
     (LETT #1# (CDR #1#) |SUBSPACE;modifyPoint;$LP$;20|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |node| 0 |point|) (QSETVELT |node| 1 |which|) (EXIT |space|))))) 

(DEFUN |SUBSPACE;modifyPoint;$LNni$;21| (|space| |path| |which| $)
 (PROG (|i| #1=#:G3676 |node|)
  (RETURN
   (SEQ (LETT |node| |space| |SUBSPACE;modifyPoint;$LNni$;21|)
    (SEQ (LETT |i| NIL |SUBSPACE;modifyPoint;$LNni$;21|)
     (LETT #1# |path| |SUBSPACE;modifyPoint;$LNni$;21|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;modifyPoint;$LNni$;21|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| |i| (QREFELT $ 35))
        |SUBSPACE;modifyPoint;$LNni$;21|)))
     (LETT #1# (CDR #1#) |SUBSPACE;modifyPoint;$LNni$;21|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |node| 0 (SPADCALL (QVELT |space| 6) |which| (QREFELT $ 56)))
    (QSETVELT |node| 1 |which|) (EXIT |space|))))) 

(DEFUN |SUBSPACE;modifyPoint;$NniP$;22| (|space| |which| |point| $)
 (SEQ
  (COND
   ((SPADCALL |space| (QREFELT $ 16))
    (SEQ (SPADCALL (QVELT |space| 6) |which| |point| (QREFELT $ 61))
     (EXIT |space|)))
   ('T
    (|error|
     "You need to pass a top level SubSpace (level should be zero)"))))) 

(DEFUN |SUBSPACE;closeComponent;$LB$;23| (|space| |path| |val| $)
 (PROG (|i| #1=#:G3684 |node|)
  (RETURN
   (SEQ (LETT |node| |space| |SUBSPACE;closeComponent;$LB$;23|)
    (SEQ (LETT |i| NIL |SUBSPACE;closeComponent;$LB$;23|)
     (LETT #1# |path| |SUBSPACE;closeComponent;$LB$;23|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;closeComponent;$LB$;23|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| |i| (QREFELT $ 35))
        |SUBSPACE;closeComponent;$LB$;23|)))
     (LETT #1# (CDR #1#) |SUBSPACE;closeComponent;$LB$;23|) (GO G190) G191
     (EXIT NIL))
    (SPADCALL (QVELT |node| 2) |val| (QREFELT $ 63)) (EXIT |space|))))) 

(DEFUN |SUBSPACE;defineProperty;$LSscp$;24| (|space| |path| |prop| $)
 (PROG (|i| #1=#:G3688 |node|)
  (RETURN
   (SEQ (LETT |node| |space| |SUBSPACE;defineProperty;$LSscp$;24|)
    (SEQ (LETT |i| NIL |SUBSPACE;defineProperty;$LSscp$;24|)
     (LETT #1# |path| |SUBSPACE;defineProperty;$LSscp$;24|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;defineProperty;$LSscp$;24|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| |i| (QREFELT $ 35))
        |SUBSPACE;defineProperty;$LSscp$;24|)))
     (LETT #1# (CDR #1#) |SUBSPACE;defineProperty;$LSscp$;24|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |node| 2 |prop|) (EXIT |space|))))) 

(DEFUN |SUBSPACE;traverse;$L$;25| (|space| |path| $)
 (PROG (|i| #1=#:G3692)
  (RETURN
   (SEQ
    (SEQ (LETT |i| NIL |SUBSPACE;traverse;$L$;25|)
     (LETT #1# |path| |SUBSPACE;traverse;$L$;25|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |i| (CAR #1#) |SUBSPACE;traverse;$L$;25|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |space| (SPADCALL |space| |i| (QREFELT $ 35))
        |SUBSPACE;traverse;$L$;25|)))
     (LETT #1# (CDR #1#) |SUBSPACE;traverse;$L$;25|) (GO G190) G191 (EXIT NIL))
    (EXIT |space|))))) 

(DEFUN |SUBSPACE;extractPoint;$P;26| (|space| $)
 (PROG (|node|)
  (RETURN
   (SEQ (LETT |node| |space| |SUBSPACE;extractPoint;$P;26|)
    (SEQ G190
     (COND
      ((NULL (COND ((SPADCALL |node| (QREFELT $ 16)) 'NIL) ('T 'T)))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |node| (SPADCALL |node| (QREFELT $ 67))
        |SUBSPACE;extractPoint;$P;26|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL (QVELT |node| 6) (QVELT |space| 1) (QREFELT $ 56))))))) 

(PUT '|SUBSPACE;extractIndex;$Nni;27| '|SPADreplace|
 '(XLAM (|space|) (QVELT |space| 1))) 

(DEFUN |SUBSPACE;extractIndex;$Nni;27| (|space| $) (QVELT |space| 1)) 

(DEFUN |SUBSPACE;extractClosed;$B;28| (|space| $)
 (SPADCALL (QVELT |space| 2) (QREFELT $ 70))) 

(PUT '|SUBSPACE;extractProperty;$Sscp;29| '|SPADreplace|
 '(XLAM (|space|) (QVELT |space| 2))) 

(DEFUN |SUBSPACE;extractProperty;$Sscp;29| (|space| $) (QVELT |space| 2)) 

(DEFUN |SUBSPACE;parent;2$;30| (|space| $)
 (COND
  ((SPADCALL (QVELT |space| 10) (QREFELT $ 14))
   (|error| "This is a top level SubSpace - it does not have a parent"))
  ('T (SPADCALL (QVELT |space| 10) (QREFELT $ 48))))) 

(PUT '|SUBSPACE;pointData;$L;31| '|SPADreplace|
 '(XLAM (|space|) (QVELT |space| 6))) 

(DEFUN |SUBSPACE;pointData;$L;31| (|space| $) (QVELT |space| 6)) 

(PUT '|SUBSPACE;level;$Nni;32| '|SPADreplace|
 '(XLAM (|space|) (QVELT |space| 5))) 

(DEFUN |SUBSPACE;level;$Nni;32| (|space| $) (QVELT |space| 5)) 

(DEFUN |SUBSPACE;=;2$B;33| (|s1| |s2| $)
 (PROG (|c2| #1=#:G3718 |c1| #2=#:G3717 #3=#:G3713 #4=#:G3711 #5=#:G3712)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |s1| (QREFELT $ 15))
      (COND
       ((SPADCALL |s2| (QREFELT $ 15))
        (EXIT
         (COND
          ((SPADCALL (QVELT |s1| 0) (QVELT |s2| 0) (QREFELT $ 75))
           (COND
            ((SPADCALL (QVELT |s1| 2) (QVELT |s2| 2) (QREFELT $ 76))
             (EQL (QVELT |s1| 5) (QVELT |s2| 5)))
            ('T 'NIL)))
          ('T 'NIL)))))))
    (COND
     ((NULL
       (EQL (SPADCALL (QVELT |s1| 3) (QREFELT $ 77))
        (SPADCALL (QVELT |s2| 3) (QREFELT $ 77))))
      (EXIT 'NIL)))
    (EXIT
     (COND
      ((PROGN (LETT #5# NIL |SUBSPACE;=;2$B;33|)
        (SEQ (LETT |c2| NIL |SUBSPACE;=;2$B;33|)
         (LETT #1# (QVELT |s2| 3) |SUBSPACE;=;2$B;33|)
         (LETT |c1| NIL |SUBSPACE;=;2$B;33|)
         (LETT #2# (QVELT |s1| 3) |SUBSPACE;=;2$B;33|) G190
         (COND
          ((OR (ATOM #2#) (PROGN (LETT |c1| (CAR #2#) |SUBSPACE;=;2$B;33|) NIL)
            (ATOM #1#) (PROGN (LETT |c2| (CAR #1#) |SUBSPACE;=;2$B;33|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (PROGN
            (LETT #3# (SPADCALL |c1| |c2| (QREFELT $ 78)) |SUBSPACE;=;2$B;33|)
            (COND
             (#5# (LETT #4# (COND (#4# #3#) ('T 'NIL)) |SUBSPACE;=;2$B;33|))
             ('T
              (PROGN (LETT #4# #3# |SUBSPACE;=;2$B;33|)
               (LETT #5# 'T |SUBSPACE;=;2$B;33|)))))))
         (LETT #2# (PROG1 (CDR #2#) (LETT #1# (CDR #1#) |SUBSPACE;=;2$B;33|))
          |SUBSPACE;=;2$B;33|)
         (GO G190) G191 (EXIT NIL))
        (COND (#5# #4#) ('T 'T)))
       (COND
        ((SPADCALL (QVELT |s1| 2) (QVELT |s2| 2) (QREFELT $ 76))
         (EQL (QVELT |s1| 5) (QVELT |s2| 5)))
        ('T 'NIL)))
      ('T 'NIL))))))) 

(DEFUN |SUBSPACE;coerce;$Of;34| (|space| $)
 (PROG (|s|)
  (RETURN
   (SPADCALL
    (LIST (SPADCALL (QREFELT $ 6) (QREFELT $ 80)) "-Space with depth of "
     (SPADCALL (- (QREFELT $ 6) (QVELT |space| 5)) (QREFELT $ 81)) " and "
     (SPADCALL
      (LETT |s| (SPADCALL (QVELT |space| 3) (QREFELT $ 77))
       |SUBSPACE;coerce;$Of;34|)
      (QREFELT $ 82))
     (COND ((EQL |s| 1) " component") ('T " components")))
    (QREFELT $ 83))))) 

(DEFUN |SubSpace| (&REST #1=#:G3724 &AUX #2=#:G3722) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3723)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|SubSpace|) '|domainEqualList|)
        |SubSpace|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |SubSpace;|) #2#) (LETT #3# T |SubSpace|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|SubSpace|))))))))))) 

(DEFUN |SubSpace;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|SubSpace|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|SubSpace| DV$1 DV$2) . #1#) (LETT $ (GETREFV 86) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|SubSpace| (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8
     (|Record| (|:| |pt| (|Point| |#2|)) (|:| |index| (|NonNegativeInteger|))
      (|:| |property| (|SubSpaceComponentProperty|))
      (|:| |childrenField| (|List| $)) (|:| |lastChild| (|List| $))
      (|:| |levelField| (|NonNegativeInteger|))
      (|:| |pointDataField| (|List| (|Point| |#2|)))
      (|:| |lastPoint| (|List| (|Point| |#2|)))
      (|:| |noPoints| (|NonNegativeInteger|))
      (|:| |noChildren| (|NonNegativeInteger|))
      (|:| |parentField| (|List| $))))
    (QSETREFV $ 9 "Non-null list: Please inform Stephen Watt") $)))) 

(MAKEPROP '|SubSpace| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) '|Rep| 'TELLWATT
     (|List| $) |SUBSPACE;children;$L;8| (|Boolean|) (|List| $$) (0 . |empty?|)
     |SUBSPACE;leaf?;$B;1| |SUBSPACE;root?;$B;2| |SUBSPACE;internal?;$B;3|
     (|List| 7) (|Point| 7) (5 . |point|) (|SubSpaceComponentProperty|)
     (10 . |new|) (14 . |nil|) |SUBSPACE;new;$;4| |SUBSPACE;subspace;$;5|
     (18 . |rest|) (|OutputForm|) (|String|) (23 . |coerce|) (28 . |setrest!|)
     |SUBSPACE;birth;2$;6| (|Integer|) (34 . |elt|) (|NonNegativeInteger|)
     |SUBSPACE;child;$Nni$;7| |SUBSPACE;numberOfChildren;$Nni;9| (40 . |copy|)
     (|List| 19) (45 . |copy|) (50 . |tail|) |SUBSPACE;shallowCopy;2$;10|
     |SUBSPACE;deepCopy;2$;11| (55 . |cons|) (61 . |reverse!|) (66 . |tail|)
     (71 . |append|) |SUBSPACE;merge;3$;12| (77 . |first|)
     |SUBSPACE;merge;L$;13| |SUBSPACE;separate;$L;14| (82 . |setrest!|)
     (|List| 34) |SUBSPACE;addPoint;$LP$;15| |SUBSPACE;addPoint2;$P$;16|
     |SUBSPACE;addPointLast;2$PNni$;17| (88 . |elt|)
     |SUBSPACE;addPoint;$LNni$;18| |SUBSPACE;addPoint;$PNni;19|
     |SUBSPACE;modifyPoint;$LP$;20| |SUBSPACE;modifyPoint;$LNni$;21|
     (94 . |setelt|) |SUBSPACE;modifyPoint;$NniP$;22| (101 . |close|)
     |SUBSPACE;closeComponent;$LB$;23| |SUBSPACE;defineProperty;$LSscp$;24|
     |SUBSPACE;traverse;$L$;25| |SUBSPACE;parent;2$;30|
     |SUBSPACE;extractPoint;$P;26| |SUBSPACE;extractIndex;$Nni;27|
     (107 . |closed?|) |SUBSPACE;extractClosed;$B;28|
     |SUBSPACE;extractProperty;$Sscp;29| |SUBSPACE;pointData;$L;31|
     |SUBSPACE;level;$Nni;32| (112 . =) (118 . =) (124 . |#|)
     |SUBSPACE;=;2$B;33| (|PositiveInteger|) (129 . |coerce|) (134 . |coerce|)
     (139 . |coerce|) (144 . |hconcat|) |SUBSPACE;coerce;$Of;34|
     (|SingleInteger|))
  '#(~= 149 |traverse| 155 |subspace| 161 |shallowCopy| 165 |separate| 170
     |root?| 175 |pointData| 180 |parent| 185 |numberOfChildren| 190 |new| 195
     |modifyPoint| 199 |merge| 220 |level| 231 |leaf?| 236 |latex| 241
     |internal?| 246 |hash| 251 |extractProperty| 256 |extractPoint| 261
     |extractIndex| 266 |extractClosed| 271 |defineProperty| 276 |deepCopy| 283
     |coerce| 288 |closeComponent| 293 |children| 300 |child| 305 |birth| 311
     |addPointLast| 316 |addPoint2| 324 |addPoint| 330 = 350)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0 0))
   (CONS '#(|SetCategory&| |BasicType&| NIL)
    (CONS '#((|SetCategory|) (|BasicType|) (|CoercibleTo| 27))
     (|makeByteWordVec2| 85
      '(1 13 12 0 14 1 19 0 18 20 0 21 0 22 0 13 0 23 1 13 0 0 26 1 28 27 0 29
        2 13 0 0 0 30 2 13 2 0 32 33 1 21 0 0 37 1 38 0 0 39 1 38 0 0 40 2 13 0
        2 0 43 1 13 0 0 44 1 13 0 0 45 2 13 0 0 0 46 1 13 2 0 48 2 38 0 0 0 51
        2 38 19 0 32 56 3 38 19 0 32 19 61 2 21 12 0 12 63 1 21 12 0 70 2 19 12
        0 0 75 2 21 12 0 0 76 1 13 34 0 77 1 79 27 0 80 1 32 27 0 81 1 34 27 0
        82 1 27 0 10 83 2 0 12 0 0 1 2 0 0 0 52 66 0 0 0 25 1 0 0 0 41 1 0 10 0
        50 1 0 12 0 16 1 0 38 0 73 1 0 0 0 67 1 0 34 0 36 0 0 0 24 3 0 0 0 34
        19 62 3 0 0 0 52 34 60 3 0 0 0 52 19 59 1 0 0 10 49 2 0 0 0 0 47 1 0 34
        0 74 1 0 12 0 15 1 0 28 0 1 1 0 12 0 17 1 0 85 0 1 1 0 21 0 72 1 0 19 0
        68 1 0 34 0 69 1 0 12 0 71 3 0 0 0 52 21 65 1 0 0 0 42 1 0 27 0 84 3 0
        0 0 52 12 64 1 0 10 0 11 2 0 0 0 34 35 1 0 0 0 31 4 0 0 0 0 19 34 55 2
        0 0 0 19 54 2 0 34 0 19 58 3 0 0 0 52 34 57 3 0 0 0 52 19 53 2 0 12 0 0
        78)))))
  '|lookupComplete|)) 
