
(/VERSIONCHECK 2) 

(DEFUN |SULS;variable;$S;1| (|x| $) (QREFELT $ 7)) 

(DEFUN |SULS;center;$Coef;2| (|x| $) (QREFELT $ 8)) 

(DEFUN |SULS;coerce;V$;3| (|v| $)
 (COND
  ((SPADCALL (QREFELT $ 8) (QREFELT $ 14))
   (SPADCALL (|spadConstant| $ 15) 1 (QREFELT $ 18)))
  ('T
   (SPADCALL (SPADCALL (|spadConstant| $ 15) 1 (QREFELT $ 18))
    (SPADCALL (QREFELT $ 8) 0 (QREFELT $ 18)) (QREFELT $ 21))))) 

(DEFUN |SULS;pole?;$B;4| (|x| $) (MINUSP (SPADCALL |x| 0 (QREFELT $ 24)))) 

(PUT '|SULS;coerce;Suts$;5| '|SPADreplace| '(XLAM (|uts|) |uts|)) 

(DEFUN |SULS;coerce;Suts$;5| (|uts| $) |uts|) 

(DEFUN |SULS;taylorIfCan;$U;6| (|uls| $)
 (COND ((SPADCALL |uls| (QREFELT $ 25)) (CONS 1 "failed"))
  ('T (CONS 0 |uls|)))) 

(DEFUN |SULS;taylor;$Suts;7| (|uls| $)
 (PROG (|uts|)
  (RETURN
   (SEQ (LETT |uts| (SPADCALL |uls| (QREFELT $ 29)) |SULS;taylor;$Suts;7|)
    (EXIT
     (COND ((QEQCAR |uts| 1) (|error| "taylor: Laurent series has a pole"))
      ('T (QCDR |uts|)))))))) 

(DEFUN |SULS;retractIfCan;$U;8| (|x| $) (SPADCALL |x| (QREFELT $ 29))) 

(DEFUN |SULS;laurent;ISuts$;9| (|n| |uts| $)
 (SPADCALL (SPADCALL (|spadConstant| $ 15) |n| (QREFELT $ 18))
  (SPADCALL |uts| (QREFELT $ 27)) (QREFELT $ 32))) 

(PUT '|SULS;removeZeroes;2$;10| '|SPADreplace| '(XLAM (|uls|) |uls|)) 

(DEFUN |SULS;removeZeroes;2$;10| (|uls| $) |uls|) 

(PUT '|SULS;removeZeroes;I2$;11| '|SPADreplace| '(XLAM (|n| |uls|) |uls|)) 

(DEFUN |SULS;removeZeroes;I2$;11| (|n| |uls| $) |uls|) 

(DEFUN |SULS;taylorRep;$Suts;12| (|uls| $)
 (SPADCALL
  (SPADCALL
   (SPADCALL (|spadConstant| $ 15) (- (SPADCALL |uls| 0 (QREFELT $ 24)))
    (QREFELT $ 18))
   |uls| (QREFELT $ 32))
  (QREFELT $ 30))) 

(DEFUN |SULS;degree;$I;13| (|uls| $) (SPADCALL |uls| 0 (QREFELT $ 24))) 

(DEFUN |SULS;numer;$Suts;14| (|uls| $) (SPADCALL |uls| (QREFELT $ 36))) 

(DEFUN |SULS;denom;$Suts;15| (|uls| $)
 (PROG (#1=#:G3580)
  (RETURN
   (SPADCALL (|spadConstant| $ 15)
    (PROG1
     (LETT #1# (- (SPADCALL |uls| 0 (QREFELT $ 24))) |SULS;denom;$Suts;15|)
     (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
    (QREFELT $ 40))))) 

(DEFUN |SULS;*;Suts2$;16| (|uts| |uls| $)
 (SPADCALL (SPADCALL |uts| (QREFELT $ 27)) |uls| (QREFELT $ 32))) 

(DEFUN |SULS;*;$Suts$;17| (|uls| |uts| $)
 (SPADCALL |uls| (SPADCALL |uts| (QREFELT $ 27)) (QREFELT $ 32))) 

(DEFUN |SULS;/;2Suts$;18| (|uts1| |uts2| $)
 (SPADCALL (SPADCALL |uts1| (QREFELT $ 27)) (SPADCALL |uts2| (QREFELT $ 27))
  (QREFELT $ 44))) 

(DEFUN |SULS;recip;$U;19| (|uls| $)
 (SPADCALL (|spadConstant| $ 16) |uls| 'NIL (QREFELT $ 47))) 

(DEFUN |SULS;exquo;2$U;20| (|uls1| |uls2| $)
 (SPADCALL |uls1| |uls2| 'NIL (QREFELT $ 47))) 

(DEFUN |SULS;/;3$;21| (|uls1| |uls2| $)
 (PROG (|q|)
  (RETURN
   (SEQ (LETT |q| (SPADCALL |uls1| |uls2| (QREFELT $ 49)) |SULS;/;3$;21|)
    (EXIT
     (COND ((QEQCAR |q| 1) (|error| "quotient cannot be computed"))
      ('T (QCDR |q|)))))))) 

(DEFUN |SULS;differentiate;$V$;22| (|uls| |v| $)
 (SPADCALL |uls| (QREFELT $ 50))) 

(DEFUN |SULS;elt;3$;23| (|uls1| |uls2| $)
 (PROG (|ord| |recipr| |uls3| #1=#:G3606)
  (RETURN
   (SEQ
    (COND
     ((< (SPADCALL |uls2| 1 (QREFELT $ 24)) 1)
      (|error| "elt: second argument must have positive order"))
     ((MINUSP (LETT |ord| (SPADCALL |uls1| 0 (QREFELT $ 24)) |SULS;elt;3$;23|))
      (SEQ (LETT |recipr| (SPADCALL |uls2| (QREFELT $ 48)) |SULS;elt;3$;23|)
       (EXIT
        (COND
         ((QEQCAR |recipr| 1) (|error| "elt: second argument not invertible"))
         ('T
          (SEQ
           (LETT |uls3|
            (SPADCALL |uls1|
             (SPADCALL (|spadConstant| $ 15) (- |ord|) (QREFELT $ 18))
             (QREFELT $ 32))
            |SULS;elt;3$;23|)
           (EXIT
            (SPADCALL (SPADCALL |uls3| |uls2| (QREFELT $ 52))
             (SPADCALL (QCDR |recipr|)
              (PROG1 (LETT #1# (- |ord|) |SULS;elt;3$;23|)
               (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
              (QREFELT $ 53))
             (QREFELT $ 32)))))))))
     ('T (SPADCALL |uls1| |uls2| (QREFELT $ 52)))))))) 

(DEFUN |SULS;rationalFunction;$IF;24| (|uls| |n| $)
 (PROG (|e| #1=#:G3613 |m| #2=#:G3616 |poly| |v| |c| #3=#:G3617)
  (RETURN
   (SEQ
    (COND
     ((ZEROP
       (LETT |e| (SPADCALL |uls| 0 (QREFELT $ 24))
        |SULS;rationalFunction;$IF;24|))
      (COND ((MINUSP |n|) (|spadConstant| $ 56))
       ('T
        (SPADCALL
         (SPADCALL (SPADCALL |uls| (QREFELT $ 30))
          (PROG1 (LETT #1# |n| |SULS;rationalFunction;$IF;24|)
           (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
          (QREFELT $ 58))
         (QREFELT $ 59)))))
     ((MINUSP (LETT |m| (- |n| |e|) |SULS;rationalFunction;$IF;24|))
      (|spadConstant| $ 56))
     ('T
      (SEQ
       (LETT |poly|
        (SPADCALL
         (SPADCALL
          (SPADCALL
           (SPADCALL (SPADCALL (|spadConstant| $ 15) (- |e|) (QREFELT $ 18))
            |uls| (QREFELT $ 32))
           (QREFELT $ 30))
          (PROG1 (LETT #2# |m| |SULS;rationalFunction;$IF;24|)
           (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
          (QREFELT $ 58))
         (QREFELT $ 59))
        |SULS;rationalFunction;$IF;24|)
       (LETT |v| (SPADCALL (SPADCALL |uls| (QREFELT $ 11)) (QREFELT $ 60))
        |SULS;rationalFunction;$IF;24|)
       (LETT |c|
        (SPADCALL (SPADCALL (SPADCALL |uls| (QREFELT $ 12)) (QREFELT $ 61))
         (QREFELT $ 59))
        |SULS;rationalFunction;$IF;24|)
       (EXIT
        (SPADCALL |poly|
         (SPADCALL (SPADCALL |v| |c| (QREFELT $ 62))
          (PROG1 (LETT #3# (- |e|) |SULS;rationalFunction;$IF;24|)
           (|check-subtype| (>= #3# 0) '(|NonNegativeInteger|) #3#))
          (QREFELT $ 63))
         (QREFELT $ 64)))))))))) 

(DEFUN |SULS;rationalFunction;$2IF;25| (|uls| |n1| |n2| $)
 (SPADCALL (SPADCALL |uls| |n1| |n2| (QREFELT $ 66)) |n2| (QREFELT $ 65))) 

(DEFUN |SULS;integrate;2$;26| (|uls| $)
 (COND
  ((SPADCALL (SPADCALL |uls| -1 (QREFELT $ 68)) (QREFELT $ 14))
   (|error| "integrate: series has term of order -1"))
  ('T (SPADCALL |uls| (QREFELT $ 69))))) 

(DEFUN |SULS;integrate;$V$;27| (|uls| |v| $) (SPADCALL |uls| (QREFELT $ 70))) 

(DEFUN |SULS;**;3$;28| (|uls1| |uls2| $)
 (SPADCALL (SPADCALL (SPADCALL |uls1| (QREFELT $ 72)) |uls2| (QREFELT $ 32))
  (QREFELT $ 73))) 

(DEFUN |SULS;exp;2$;29| (|uls| $) (SPADCALL |uls| (QREFELT $ 76))) 

(DEFUN |SULS;log;2$;30| (|uls| $) (SPADCALL |uls| (QREFELT $ 77))) 

(DEFUN |SULS;sin;2$;31| (|uls| $) (SPADCALL |uls| (QREFELT $ 78))) 

(DEFUN |SULS;cos;2$;32| (|uls| $) (SPADCALL |uls| (QREFELT $ 80))) 

(DEFUN |SULS;tan;2$;33| (|uls| $) (SPADCALL |uls| (QREFELT $ 82))) 

(DEFUN |SULS;cot;2$;34| (|uls| $) (SPADCALL |uls| (QREFELT $ 84))) 

(DEFUN |SULS;sec;2$;35| (|uls| $) (SPADCALL |uls| (QREFELT $ 86))) 

(DEFUN |SULS;csc;2$;36| (|uls| $) (SPADCALL |uls| (QREFELT $ 88))) 

(DEFUN |SULS;asin;2$;37| (|uls| $) (SPADCALL |uls| (QREFELT $ 90))) 

(DEFUN |SULS;acos;2$;38| (|uls| $) (SPADCALL |uls| (QREFELT $ 92))) 

(DEFUN |SULS;atan;2$;39| (|uls| $) (SPADCALL |uls| (QREFELT $ 94))) 

(DEFUN |SULS;acot;2$;40| (|uls| $) (SPADCALL |uls| (QREFELT $ 96))) 

(DEFUN |SULS;asec;2$;41| (|uls| $) (SPADCALL |uls| (QREFELT $ 98))) 

(DEFUN |SULS;acsc;2$;42| (|uls| $) (SPADCALL |uls| (QREFELT $ 100))) 

(DEFUN |SULS;sinh;2$;43| (|uls| $) (SPADCALL |uls| (QREFELT $ 102))) 

(DEFUN |SULS;cosh;2$;44| (|uls| $) (SPADCALL |uls| (QREFELT $ 104))) 

(DEFUN |SULS;tanh;2$;45| (|uls| $) (SPADCALL |uls| (QREFELT $ 106))) 

(DEFUN |SULS;coth;2$;46| (|uls| $) (SPADCALL |uls| (QREFELT $ 108))) 

(DEFUN |SULS;sech;2$;47| (|uls| $) (SPADCALL |uls| (QREFELT $ 110))) 

(DEFUN |SULS;csch;2$;48| (|uls| $) (SPADCALL |uls| (QREFELT $ 112))) 

(DEFUN |SULS;asinh;2$;49| (|uls| $) (SPADCALL |uls| (QREFELT $ 114))) 

(DEFUN |SULS;acosh;2$;50| (|uls| $) (SPADCALL |uls| (QREFELT $ 116))) 

(DEFUN |SULS;atanh;2$;51| (|uls| $) (SPADCALL |uls| (QREFELT $ 118))) 

(DEFUN |SULS;acoth;2$;52| (|uls| $) (SPADCALL |uls| (QREFELT $ 120))) 

(DEFUN |SULS;asech;2$;53| (|uls| $) (SPADCALL |uls| (QREFELT $ 122))) 

(DEFUN |SULS;acsch;2$;54| (|uls| $) (SPADCALL |uls| (QREFELT $ 124))) 

(DEFUN |SULS;**;$F$;55| (|uls| |r| $) (SPADCALL |uls| |r| (QREFELT $ 127))) 

(DEFUN |SULS;**;$F$;56| (|uls| |r| $)
 (PROG (|ord0| |order| |n| |utsPow| |uts|)
  (RETURN
   (SEQ
    (COND
     ((MINUSP (LETT |ord0| (SPADCALL |uls| 0 (QREFELT $ 24)) |SULS;**;$F$;56|))
      (SEQ (LETT |order| |ord0| |SULS;**;$F$;56|)
       (LETT |n|
        (SPADCALL |order| (SPADCALL |r| (QREFELT $ 129)) (QREFELT $ 130))
        |SULS;**;$F$;56|)
       (EXIT
        (COND ((QEQCAR |n| 1) (|error| "**: rational power does not exist"))
         ('T
          (SEQ
           (LETT |uts|
            (SPADCALL
             (SPADCALL |uls|
              (SPADCALL (|spadConstant| $ 15) (- |order|) (QREFELT $ 18))
              (QREFELT $ 32))
             (QREFELT $ 131))
            |SULS;**;$F$;56|)
           (LETT |utsPow|
            (SPADCALL (SPADCALL |uts| |r| (QREFELT $ 132)) (QREFELT $ 27))
            |SULS;**;$F$;56|)
           (EXIT
            (SPADCALL
             (SPADCALL (|spadConstant| $ 15)
              (* (QCDR |n|) (SPADCALL |r| (QREFELT $ 133))) (QREFELT $ 18))
             |utsPow| (QREFELT $ 32)))))))))
     ('T
      (SEQ (LETT |uts| (SPADCALL |uls| (QREFELT $ 131)) |SULS;**;$F$;56|)
       (EXIT
        (SPADCALL (SPADCALL |uts| |r| (QREFELT $ 132)) (QREFELT $ 27)))))))))) 

(DEFUN |SULS;coerce;$Of;57| (|uls| $)
 (PROG (|st| |nx| |count| #1=#:G3665 |degr|)
  (RETURN
   (SEQ (LETT |st| (SPADCALL |uls| (QREFELT $ 136)) |SULS;coerce;$Of;57|)
    (COND
     ((NULL (SPADCALL |st| (QREFELT $ 137)))
      (COND
       ((NULL (SPADCALL |st| (QREFELT $ 138)))
        (COND
         ((QEQCAR
           (LETT |nx|
            (SPADCALL
             (SPADCALL (SPADCALL |uls| (QREFELT $ 140)) (QREFELT $ 142))
             (QREFELT $ 144))
            |SULS;coerce;$Of;57|)
           0)
          (SEQ (LETT |count| |$streamCount| |SULS;coerce;$Of;57|)
           (LETT |degr|
            (MIN |count|
             (+
              (+
               (PROG2 (LETT #1# |nx| |SULS;coerce;$Of;57|) (QCDR #1#)
                (|check-union| (QEQCAR #1# 0) (|Integer|) #1#))
               |count|)
              1))
            |SULS;coerce;$Of;57|)
           (EXIT (SPADCALL |uls| |degr| (QREFELT $ 145))))))))))
    (EXIT
     (SPADCALL |st| (SPADCALL |uls| (QREFELT $ 140))
      (SPADCALL |uls| (QREFELT $ 11)) (SPADCALL |uls| (QREFELT $ 12))
      (|spadConstant| $ 146) (QREFELT $ 148))))))) 

(DEFUN |SparseUnivariateLaurentSeries| (&REST #1=#:G3714 &AUX #2=#:G3712)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3713)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|SparseUnivariateLaurentSeries|)
         '|domainEqualList|)
        |SparseUnivariateLaurentSeries|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |SparseUnivariateLaurentSeries;|) #2#)
         (LETT #3# T |SparseUnivariateLaurentSeries|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache| '|SparseUnivariateLaurentSeries|))))))))))) 

(DEFUN |SparseUnivariateLaurentSeries;| (|#1| |#2| |#3|)
 (PROG
  (DV$1 DV$2 DV$3 |dv$| $ #1=#:G3709 #2=#:G3707 #3=#:G3706 #4=#:G3705
   #5=#:G3704 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #6=(|SparseUnivariateLaurentSeries|))
    (LETT DV$2 (|devaluate| |#2|) . #6#) (LETT DV$3 (|devaluate| |#3|) . #6#)
    (LETT |dv$| (LIST '|SparseUnivariateLaurentSeries| DV$1 DV$2 DV$3) . #6#)
    (LETT $ (GETREFV 194) . #6#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|IntegralDomain|))
        (|HasCategory| |#1| '(|CommutativeRing|))
        (OR (|HasCategory| |#1| '(|CommutativeRing|))
         (|HasCategory| |#1| '(|IntegralDomain|)))
        (|HasCategory| (|Integer|) '(|SemiGroup|))
        (LETT #1# (|HasCategory| |#1| '(|Field|)) . #6#)
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|CharacteristicZero|)))
         (|HasCategory| |#1| '(|CharacteristicZero|)))
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|PartialDifferentialRing| (|Symbol|))))
         (AND (|HasCategory| |#1| '(|PartialDifferentialRing| (|Symbol|)))
          (|HasSignature| |#1|
           (LIST '*
            (LIST (|devaluate| |#1|) '(|Integer|) (|devaluate| |#1|))))))
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|DifferentialRing|)))
         (|HasSignature| |#1|
          (LIST '* (LIST (|devaluate| |#1|) '(|Integer|) (|devaluate| |#1|)))))
        (OR #1# (|HasCategory| |#1| '(|IntegralDomain|)))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|RetractableTo| (|Symbol|))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|ConvertibleTo| (|InputForm|))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|RealConstant|)))
        (OR (|HasCategory| |#1| '(|CommutativeRing|)) #1#
         (|HasCategory| |#1| '(|IntegralDomain|)))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|OrderedIntegralDomain|)))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|RetractableTo| (|Integer|))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|StepThrough|)))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          (LIST '|Eltable|
           (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|))
           (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|)))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          (LIST '|Evalable|
           (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|)))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          (LIST '|InnerEvalable| '(|Symbol|)
           (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|)))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|LinearlyExplicitRingOver| (|Integer|))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|ConvertibleTo| (|Pattern| (|Integer|)))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|ConvertibleTo| (|Pattern| (|Float|)))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|PatternMatchable| (|Integer|))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|PatternMatchable| (|Float|))))
        (|HasSignature| |#1|
         (LIST '** (LIST (|devaluate| |#1|) (|devaluate| |#1|) '(|Integer|))))
        (AND
         (|HasSignature| |#1|
          (LIST '** (LIST (|devaluate| |#1|) (|devaluate| |#1|) '(|Integer|))))
         (|HasSignature| |#1|
          (LIST '|coerce| (LIST (|devaluate| |#1|) '(|Symbol|)))))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|IntegerNumberSystem|)))
        (AND #1#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|EuclideanDomain|)))
        (LETT #2#
         (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|PolynomialFactorizationExplicit|))
         . #6#)
        (AND #1# #2#)
        (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
         '(|CharacteristicNonZero|))
        (LETT #3# (|HasCategory| |#1| '(|CharacteristicNonZero|)) . #6#)
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|CharacteristicNonZero|)))
         #3#)
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         (AND #1# #2#) (|HasCategory| |#1| '(|IntegralDomain|)))
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         (AND #1# #2#) (|HasCategory| |#1| '(|CommutativeRing|)))
        (LETT #4#
         (AND (|HasCategory| |#1| '(|Field|))
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedSet|)))
         . #6#)
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         #4#)
        (LETT #5# (|HasCategory| |#1| '(|Algebra| (|Fraction| (|Integer|)))) .
         #6#)
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         (AND #1# #2#)
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|ConvertibleTo| (|InputForm|))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|ConvertibleTo| (|Pattern| (|Float|)))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|ConvertibleTo| (|Pattern| (|Integer|)))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           (LIST '|Eltable|
            (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|))
            (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|)))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           (LIST '|Evalable|
            (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|)))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           (LIST '|InnerEvalable| '(|Symbol|)
            (LIST '|SparseUnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|)))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|LinearlyExplicitRingOver| (|Integer|))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|PatternMatchable| (|Float|))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|PatternMatchable| (|Integer|))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RetractableTo| (|Integer|))))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RetractableTo| (|Symbol|))))
         #4#
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RealConstant|)))
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|StepThrough|)))
         #5#)
        (OR
         (AND (|HasCategory| |#1| '(|PrimitiveFunctionCategory|))
          (|HasCategory| |#1| '(|TranscendentalFunctionCategory|)) #5#
          (|HasCategory| |#1|
           '(|AlgebraicallyClosedFunctionSpace| (|Integer|))))
         (AND #5#
          (|HasSignature| |#1|
           (LIST '|integrate|
            (LIST (|devaluate| |#1|) (|devaluate| |#1|) '(|Symbol|))))
          (|HasSignature| |#1|
           (LIST '|variables|
            (LIST '(|List| (|Symbol|)) (|devaluate| |#1|))))))
        (OR
         (AND #1#
          (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RetractableTo| (|Integer|))))
         #5#)))
      . #6#))
    (|haddProp| |$ConstructorCache| '|SparseUnivariateLaurentSeries|
     (LIST DV$1 DV$2 DV$3) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|)
    (AND #1# (|HasCategory| $ '(|CharacteristicNonZero|)) #2#
     (|augmentPredVector| $ 2199023255552))
    (AND
     (OR
      (AND #1#
       (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)
        '(|CharacteristicNonZero|)))
      (AND #1# (|HasCategory| $ '(|CharacteristicNonZero|)) #2#) #3#)
     (|augmentPredVector| $ 4398046511104))
    (QSETREFV $ 9 (|InnerSparseUnivariatePowerSeries| |#1|))
    (COND
     ((|testBitVector| |pv$| 5)
      (QSETREFV $ 45 (CONS (|dispatchFunction| |SULS;/;2Suts$;18|) $))))
    (COND
     ((|testBitVector| |pv$| 1)
      (QSETREFV $ 49 (CONS (|dispatchFunction| |SULS;exquo;2$U;20|) $))))
    (COND
     ((|testBitVector| |pv$| 5)
      (QSETREFV $ 44 (CONS (|dispatchFunction| |SULS;/;3$;21|) $))))
    (COND
     ((|testBitVector| |pv$| 1)
      (PROGN
       (QSETREFV $ 65
        (CONS (|dispatchFunction| |SULS;rationalFunction;$IF;24|) $))
       (QSETREFV $ 67
        (CONS (|dispatchFunction| |SULS;rationalFunction;$2IF;25|) $)))))
    (COND
     ((|testBitVector| |pv$| 38)
      (PROGN
       (QSETREFV $ 70 (CONS (|dispatchFunction| |SULS;integrate;2$;26|) $))
       (QSETREFV $ 71 (CONS (|dispatchFunction| |SULS;integrate;$V$;27|) $))
       (QSETREFV $ 74 (CONS (|dispatchFunction| |SULS;**;3$;28|) $))
       (QSETREFV $ 73 (CONS (|dispatchFunction| |SULS;exp;2$;29|) $))
       (QSETREFV $ 72 (CONS (|dispatchFunction| |SULS;log;2$;30|) $))
       (QSETREFV $ 79 (CONS (|dispatchFunction| |SULS;sin;2$;31|) $))
       (QSETREFV $ 81 (CONS (|dispatchFunction| |SULS;cos;2$;32|) $))
       (QSETREFV $ 83 (CONS (|dispatchFunction| |SULS;tan;2$;33|) $))
       (QSETREFV $ 85 (CONS (|dispatchFunction| |SULS;cot;2$;34|) $))
       (QSETREFV $ 87 (CONS (|dispatchFunction| |SULS;sec;2$;35|) $))
       (QSETREFV $ 89 (CONS (|dispatchFunction| |SULS;csc;2$;36|) $))
       (QSETREFV $ 91 (CONS (|dispatchFunction| |SULS;asin;2$;37|) $))
       (QSETREFV $ 93 (CONS (|dispatchFunction| |SULS;acos;2$;38|) $))
       (QSETREFV $ 95 (CONS (|dispatchFunction| |SULS;atan;2$;39|) $))
       (QSETREFV $ 97 (CONS (|dispatchFunction| |SULS;acot;2$;40|) $))
       (QSETREFV $ 99 (CONS (|dispatchFunction| |SULS;asec;2$;41|) $))
       (QSETREFV $ 101 (CONS (|dispatchFunction| |SULS;acsc;2$;42|) $))
       (QSETREFV $ 103 (CONS (|dispatchFunction| |SULS;sinh;2$;43|) $))
       (QSETREFV $ 105 (CONS (|dispatchFunction| |SULS;cosh;2$;44|) $))
       (QSETREFV $ 107 (CONS (|dispatchFunction| |SULS;tanh;2$;45|) $))
       (QSETREFV $ 109 (CONS (|dispatchFunction| |SULS;coth;2$;46|) $))
       (QSETREFV $ 111 (CONS (|dispatchFunction| |SULS;sech;2$;47|) $))
       (QSETREFV $ 113 (CONS (|dispatchFunction| |SULS;csch;2$;48|) $))
       (QSETREFV $ 115 (CONS (|dispatchFunction| |SULS;asinh;2$;49|) $))
       (QSETREFV $ 117 (CONS (|dispatchFunction| |SULS;acosh;2$;50|) $))
       (QSETREFV $ 119 (CONS (|dispatchFunction| |SULS;atanh;2$;51|) $))
       (QSETREFV $ 121 (CONS (|dispatchFunction| |SULS;acoth;2$;52|) $))
       (QSETREFV $ 123 (CONS (|dispatchFunction| |SULS;asech;2$;53|) $))
       (QSETREFV $ 125 (CONS (|dispatchFunction| |SULS;acsch;2$;54|) $))
       (COND
        ((|testBitVector| |pv$| 2)
         (QSETREFV $ 128 (CONS (|dispatchFunction| |SULS;**;$F$;55|) $)))
        ('T
         (QSETREFV $ 128 (CONS (|dispatchFunction| |SULS;**;$F$;56|) $)))))))
    $)))) 

(MAKEPROP '|SparseUnivariateLaurentSeries| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|InnerSparseUnivariatePowerSeries| 6) (|local| |#1|)
     (|local| |#2|) (|local| |#3|) '|Rep| (|Symbol|) |SULS;variable;$S;1|
     |SULS;center;$Coef;2| (|Boolean|) (0 . |zero?|) (5 . |One|) (9 . |One|)
     (|Integer|) (13 . |monomial|) (19 . |Zero|) (23 . |Zero|) (27 . +)
     (|Variable| 7) |SULS;coerce;V$;3| (33 . |order|) |SULS;pole?;$B;4|
     (|SparseUnivariateTaylorSeries| 6 7 8) |SULS;coerce;Suts$;5|
     (|Union| 26 '"failed") |SULS;taylorIfCan;$U;6| |SULS;taylor;$Suts;7|
     |SULS;retractIfCan;$U;8| (39 . *) |SULS;laurent;ISuts$;9|
     |SULS;removeZeroes;2$;10| |SULS;removeZeroes;I2$;11|
     |SULS;taylorRep;$Suts;12| |SULS;degree;$I;13| |SULS;numer;$Suts;14|
     (|NonNegativeInteger|) (45 . |monomial|) |SULS;denom;$Suts;15|
     |SULS;*;Suts2$;16| |SULS;*;$Suts$;17| (51 . /) (57 . /)
     (|Union| $ '"failed") (63 . |iExquo|) |SULS;recip;$U;19| (70 . |exquo|)
     (76 . |differentiate|) |SULS;differentiate;$V$;22| (81 . |iCompose|)
     (87 . **) |SULS;elt;3$;23| (|Fraction| 57) (93 . |Zero|) (|Polynomial| 6)
     (97 . |polynomial|) (103 . |coerce|) (108 . |coerce|) (113 . |coerce|)
     (118 . -) (124 . **) (130 . /) (136 . |rationalFunction|)
     (142 . |truncate|) (149 . |rationalFunction|) (156 . |coefficient|)
     (162 . |integrate|) (167 . |integrate|) (172 . |integrate|) (178 . |log|)
     (183 . |exp|) (188 . **)
     (|ElementaryFunctionsUnivariateLaurentSeries| 6 26 $$) (194 . |exp|)
     (199 . |log|) (204 . |sin|) (209 . |sin|) (214 . |cos|) (219 . |cos|)
     (224 . |tan|) (229 . |tan|) (234 . |cot|) (239 . |cot|) (244 . |sec|)
     (249 . |sec|) (254 . |csc|) (259 . |csc|) (264 . |asin|) (269 . |asin|)
     (274 . |acos|) (279 . |acos|) (284 . |atan|) (289 . |atan|) (294 . |acot|)
     (299 . |acot|) (304 . |asec|) (309 . |asec|) (314 . |acsc|) (319 . |acsc|)
     (324 . |sinh|) (329 . |sinh|) (334 . |cosh|) (339 . |cosh|) (344 . |tanh|)
     (349 . |tanh|) (354 . |coth|) (359 . |coth|) (364 . |sech|) (369 . |sech|)
     (374 . |csch|) (379 . |csch|) (384 . |asinh|) (389 . |asinh|)
     (394 . |acosh|) (399 . |acosh|) (404 . |atanh|) (409 . |atanh|)
     (414 . |acoth|) (419 . |acoth|) (424 . |asech|) (429 . |asech|)
     (434 . |acsch|) (439 . |acsch|) (|Fraction| 17) (444 . |cRationalPower|)
     (450 . **) (456 . |denom|) (461 . |exquo|) (467 . |retract|) (472 . **)
     (478 . |numer|) (|Record| (|:| |k| 17) (|:| |c| 6)) (|Stream| 134)
     (483 . |getStream|) (488 . |explicitlyEmpty?|) (493 . |explicitEntries?|)
     (|Reference| 141) (498 . |getRef|) (|OrderedCompletion| 17) (503 . |elt|)
     (|Union| 17 '#1="failed") (508 . |retractIfCan|) (513 . |extend|)
     (519 . |One|) (|OutputForm|) (523 . |seriesToOutputForm|)
     |SULS;coerce;$Of;57| (|InputForm|) (|Pattern| 167) (|Pattern| 17)
     (|List| 26) (|Equation| 26) (|List| 154) (|List| 10) (|Matrix| 17)
     (|Matrix| $) (|Record| (|:| |mat| 157) (|:| |vec| (|Vector| 17)))
     (|Vector| $) (|PatternMatchResult| 167 $) (|PatternMatchResult| 17 $)
     (|Factored| 164) (|SparseUnivariatePolynomial| $) (|Union| 166 '"failed")
     (|List| 164) (|Float|) (|DoubleFloat|) (|Union| 126 '#1#)
     (|Union| 10 '#1#) (|Union| 160 '"failed") (|List| 39)
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|List| $) (|Factored| $) (|Mapping| 26 26)
     (|Record| (|:| |mat| 178) (|:| |vec| (|Vector| 26))) (|Matrix| 26)
     (|Record| (|:| |coef| 174) (|:| |generator| $)) (|Union| 174 '"failed")
     (|Record| (|:| |quotient| $) (|:| |remainder| $))
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (|Record| (|:| |coef1| $) (|:| |coef2| $)) (|Union| 183 '"failed")
     (|Stream| 6) (|Mapping| 6 17) (|PositiveInteger|) (|List| 190) (|List| 17)
     (|SingletonAsOrderedSet|) (|Mapping| 6 6) (|String|) (|SingleInteger|))
  '#(~= 532 |zero?| 538 |wholePart| 543 |variables| 548 |variable| 553
     |unitNormal| 558 |unitCanonical| 563 |unit?| 568 |truncate| 573 |terms|
     586 |taylorRep| 591 |taylorIfCan| 596 |taylor| 601 |tanh| 606 |tan| 611
     |subtractIfCan| 616 |squareFreePolynomial| 622 |squareFreePart| 627
     |squareFree| 632 |sqrt| 637 |solveLinearPolynomialEquation| 642
     |sizeLess?| 648 |sinh| 654 |sin| 659 |sign| 664 |series| 669 |sech| 674
     |sec| 679 |sample| 684 |retractIfCan| 688 |retract| 708 |removeZeroes| 728
     |rem| 739 |reductum| 745 |reducedSystem| 750 |recip| 772
     |rationalFunction| 777 |random| 790 |quo| 794 |principalIdeal| 800
     |prime?| 805 |positive?| 810 |pole?| 815 |pi| 820 |patternMatch| 824
     |order| 838 |one?| 849 |numerator| 854 |numer| 859 |nthRoot| 864
     |nextItem| 870 |negative?| 875 |multiplyExponents| 880
     |multiplyCoefficients| 886 |multiEuclidean| 892 |monomial?| 898 |monomial|
     903 |min| 923 |max| 929 |map| 935 |log| 947 |leadingMonomial| 952
     |leadingCoefficient| 957 |lcm| 962 |laurent| 973 |latex| 979 |inv| 984
     |integrate| 989 |init| 1006 |hash| 1010 |gcdPolynomial| 1015 |gcd| 1021
     |fractionPart| 1032 |floor| 1037 |factorSquareFreePolynomial| 1042
     |factorPolynomial| 1047 |factor| 1052 |extendedEuclidean| 1057 |extend|
     1070 |exquo| 1076 |expressIdealMember| 1082 |exp| 1088 |eval| 1093
     |euclideanSize| 1139 |elt| 1144 |divide| 1162 |differentiate| 1168
     |denominator| 1224 |denom| 1229 |degree| 1234 |csch| 1239 |csc| 1244
     |coth| 1249 |cot| 1254 |cosh| 1259 |cos| 1264 |convert| 1269 |conditionP|
     1294 |complete| 1299 |coerce| 1304 |coefficient| 1344 |charthRoot| 1350
     |characteristic| 1355 |center| 1359 |ceiling| 1364 |atanh| 1369 |atan|
     1374 |associates?| 1379 |asinh| 1385 |asin| 1390 |asech| 1395 |asec| 1400
     |approximate| 1405 |acsch| 1411 |acsc| 1416 |acoth| 1421 |acot| 1426
     |acosh| 1431 |acos| 1436 |abs| 1441 ^ 1446 |Zero| 1464 |One| 1468 D 1472
     >= 1522 > 1528 = 1534 <= 1540 < 1546 / 1552 - 1570 + 1581 ** 1587 * 1617)
  '(((|commutative| "*") . 35) (|noZeroDivisors| . 34)
    (|canonicalUnitNormal| . 5) (|canonicalsClosed| . 5) (|rightUnitary| . 0)
    (|leftUnitary| . 0) (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 39
    '(0 0 5 5 0 5 30 0 5 5 0 5 14 5 9 39 1 2 5 5 5 39 1 33 6 2 7 8 9 13 14 5 20
      5 0 0 39 3 14 5 0 0 0 0 39 39 2 14 5 5 0 14 0 14 0 0 5 0 0 37 16 5 23 24
      0 39 12 18 5 0 0 0 4 39 39 39 39 39 39 10 11 12 12 15 15 17 18 19 21 22
      5))
   (CONS
    '#(|UnivariateLaurentSeriesConstructorCategory&| NIL
       |QuotientFieldCategory&| |Field&| |UnivariatePowerSeriesCategory&|
       |EuclideanDomain&| |PolynomialFactorizationExplicit&|
       |PowerSeriesCategory&| NIL |UniqueFactorizationDomain&|
       |AbelianMonoidRing&| |GcdDomain&| NIL |DivisionRing&| |IntegralDomain&|
       |Algebra&| |Algebra&| |Algebra&| |Algebra&| |DifferentialExtension&|
       |FullyLinearlyExplicitRingOver&| |Module&| |Module&| NIL NIL |Module&|
       |PartialDifferentialRing&| |DifferentialRing&| NIL NIL |OrderedRing&|
       |Module&| NIL NIL |Ring&| NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL
       NIL NIL NIL NIL |AbelianGroup&| NIL NIL NIL |AbelianMonoid&| |Monoid&|
       NIL |AbelianSemiGroup&| |SemiGroup&| |OrderedSet&| NIL
       |FullyEvalableOver&| NIL NIL |SetCategory&|
       |TranscendentalFunctionCategory&| NIL |Evalable&| NIL |RetractableTo&|
       |BasicType&| NIL NIL |TrigonometricFunctionCategory&|
       |ArcTrigonometricFunctionCategory&| |HyperbolicFunctionCategory&| NIL
       |ElementaryFunctionCategory&| |RadicalCategory&| |RetractableTo&| NIL
       NIL NIL |RetractableTo&| |RetractableTo&| NIL |InnerEvalable&|
       |InnerEvalable&| NIL NIL NIL)
    (CONS
     '#((|UnivariateLaurentSeriesConstructorCategory| 6
         (|SparseUnivariateTaylorSeries| 6 7 8))
        (|UnivariateLaurentSeriesCategory| 6)
        (|QuotientFieldCategory| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|Field|) (|UnivariatePowerSeriesCategory| 6 17) (|EuclideanDomain|)
        (|PolynomialFactorizationExplicit|) (|PowerSeriesCategory| 6 17 190)
        (|PrincipalIdealDomain|) (|UniqueFactorizationDomain|)
        (|AbelianMonoidRing| 6 17) (|GcdDomain|) (|OrderedIntegralDomain|)
        (|DivisionRing|) (|IntegralDomain|) (|Algebra| 126) (|Algebra| $$)
        (|Algebra| 6) (|Algebra| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|DifferentialExtension| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|FullyLinearlyExplicitRingOver|
         (|SparseUnivariateTaylorSeries| 6 7 8))
        (|Module| 126) (|Module| $$) (|CharacteristicNonZero|)
        (|CharacteristicZero|) (|Module| 6) (|PartialDifferentialRing| 10)
        (|DifferentialRing|) (|EntireRing|) (|CommutativeRing|) (|OrderedRing|)
        (|Module| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|LinearlyExplicitRingOver| 17)
        (|LinearlyExplicitRingOver| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|Ring|) (|BiModule| 6 6) (|BiModule| 126 126) (|BiModule| $$ $$)
        (|OrderedAbelianGroup|)
        (|BiModule| (|SparseUnivariateTaylorSeries| 6 7 8)
         (|SparseUnivariateTaylorSeries| 6 7 8))
        (|Rng|) (|LeftModule| 6) (|RightModule| 6) (|LeftModule| $$)
        (|LeftModule| 126) (|RightModule| 126) (|RightModule| $$)
        (|OrderedCancellationAbelianMonoid|)
        (|LeftModule| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|RightModule| (|SparseUnivariateTaylorSeries| 6 7 8)) (|AbelianGroup|)
        (|OrderedAbelianMonoid|) (|CancellationAbelianMonoid|)
        (|OrderedAbelianSemiGroup|) (|AbelianMonoid|) (|Monoid|)
        (|FullyPatternMatchable| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|AbelianSemiGroup|) (|SemiGroup|) (|OrderedSet|) (|StepThrough|)
        (|FullyEvalableOver| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|PatternMatchable| 17) (|PatternMatchable| 167) (|SetCategory|)
        (|TranscendentalFunctionCategory|) (|RealConstant|)
        (|Evalable| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|Patternable| (|SparseUnivariateTaylorSeries| 6 7 8))
        (|RetractableTo| (|SparseUnivariateTaylorSeries| 6 7 8)) (|BasicType|)
        (|CoercibleTo| 147) (|Eltable| $$ $$) (|TrigonometricFunctionCategory|)
        (|ArcTrigonometricFunctionCategory|) (|HyperbolicFunctionCategory|)
        (|ArcHyperbolicFunctionCategory|) (|ElementaryFunctionCategory|)
        (|RadicalCategory|) (|RetractableTo| 10) (|ConvertibleTo| 150)
        (|ConvertibleTo| 168) (|ConvertibleTo| 167) (|RetractableTo| 126)
        (|RetractableTo| 17)
        (|Eltable| (|SparseUnivariateTaylorSeries| 6 7 8) $$)
        (|InnerEvalable| (|SparseUnivariateTaylorSeries| 6 7 8)
         (|SparseUnivariateTaylorSeries| 6 7 8))
        (|InnerEvalable| 10 (|SparseUnivariateTaylorSeries| 6 7 8))
        (|ConvertibleTo| 152) (|ConvertibleTo| 151) (|Type|))
     (|makeByteWordVec2| 193
      '(1 6 13 0 14 0 6 0 15 0 0 0 16 2 0 0 6 17 18 0 6 0 19 0 0 0 20 2 0 0 0 0
        21 2 0 17 0 17 24 2 0 0 0 0 32 2 26 0 6 39 40 2 0 0 0 0 44 2 0 0 26 26
        45 3 9 46 0 0 13 47 2 0 46 0 0 49 1 0 0 0 50 2 9 0 0 0 52 2 0 0 0 39 53
        0 55 0 56 2 26 57 0 39 58 1 55 0 57 59 1 55 0 10 60 1 57 0 6 61 2 55 0
        0 0 62 2 55 0 0 17 63 2 55 0 0 0 64 2 0 55 0 17 65 3 0 0 0 17 17 66 3 0
        55 0 17 17 67 2 0 6 0 17 68 1 9 0 0 69 1 0 0 0 70 2 0 0 0 22 71 1 0 0 0
        72 1 0 0 0 73 2 0 0 0 0 74 1 75 2 2 76 1 75 2 2 77 1 75 2 2 78 1 0 0 0
        79 1 75 2 2 80 1 0 0 0 81 1 75 2 2 82 1 0 0 0 83 1 75 2 2 84 1 0 0 0 85
        1 75 2 2 86 1 0 0 0 87 1 75 2 2 88 1 0 0 0 89 1 75 2 2 90 1 0 0 0 91 1
        75 2 2 92 1 0 0 0 93 1 75 2 2 94 1 0 0 0 95 1 75 2 2 96 1 0 0 0 97 1 75
        2 2 98 1 0 0 0 99 1 75 2 2 100 1 0 0 0 101 1 75 2 2 102 1 0 0 0 103 1
        75 2 2 104 1 0 0 0 105 1 75 2 2 106 1 0 0 0 107 1 75 2 2 108 1 0 0 0
        109 1 75 2 2 110 1 0 0 0 111 1 75 2 2 112 1 0 0 0 113 1 75 2 2 114 1 0
        0 0 115 1 75 2 2 116 1 0 0 0 117 1 75 2 2 118 1 0 0 0 119 1 75 2 2 120
        1 0 0 0 121 1 75 2 2 122 1 0 0 0 123 1 75 2 2 124 1 0 0 0 125 2 9 0 0
        126 127 2 0 0 0 126 128 1 126 17 0 129 2 17 46 0 0 130 1 0 26 0 131 2
        26 0 0 126 132 1 126 17 0 133 1 9 135 0 136 1 135 13 0 137 1 135 13 0
        138 1 9 139 0 140 1 139 141 0 142 1 141 143 0 144 2 0 0 0 17 145 0 126
        0 146 5 9 147 135 139 10 6 126 148 2 0 13 0 0 1 1 0 13 0 1 1 28 26 0 1
        1 0 188 0 1 1 0 10 0 11 1 34 173 0 1 1 34 0 0 1 1 34 13 0 1 2 0 0 0 17
        1 3 0 0 0 17 17 66 1 0 135 0 1 1 0 26 0 36 1 0 28 0 29 1 0 26 0 30 1 38
        0 0 107 1 38 0 0 83 2 0 46 0 0 1 1 30 163 164 1 1 5 0 0 1 1 5 175 0 1 1
        38 0 0 1 2 30 165 166 164 1 2 5 13 0 0 1 1 38 0 0 103 1 38 0 0 79 1 14
        17 0 1 1 0 0 135 1 1 38 0 0 111 1 38 0 0 87 0 0 0 1 1 15 143 0 1 1 15
        169 0 1 1 10 170 0 1 1 0 28 0 31 1 15 17 0 1 1 15 126 0 1 1 10 10 0 1 1
        0 26 0 131 1 0 0 0 34 2 0 0 17 0 35 2 5 0 0 0 1 1 0 0 0 1 1 20 157 158
        1 2 20 159 158 160 1 2 5 177 158 160 1 1 5 178 158 1 1 0 46 0 48 3 1 55
        0 17 17 67 2 1 55 0 17 65 0 27 0 1 2 5 0 0 0 1 1 5 179 174 1 1 5 13 0 1
        1 14 13 0 1 1 0 13 0 25 0 38 0 1 3 24 161 0 151 161 1 3 23 162 0 152
        162 1 2 0 17 0 17 24 1 0 17 0 1 1 0 13 0 1 1 5 0 0 1 1 5 26 0 38 2 38 0
        0 17 1 1 16 46 0 1 1 14 13 0 1 2 0 0 0 187 1 2 0 0 186 0 1 2 5 180 174
        0 1 1 0 13 0 1 3 0 0 0 188 189 1 3 0 0 0 190 17 1 2 0 0 6 17 18 2 37 0
        0 0 1 2 37 0 0 0 1 2 5 0 176 0 1 2 0 0 191 0 1 1 38 0 0 72 1 0 0 0 1 1
        0 6 0 1 2 5 0 0 0 1 1 5 0 174 1 2 0 0 17 26 33 1 0 192 0 1 1 5 0 0 1 2
        40 0 0 10 1 2 38 0 0 22 71 1 38 0 0 70 0 16 0 1 1 0 193 0 1 2 5 164 164
        164 1 2 5 0 0 0 1 1 5 0 174 1 1 28 0 0 1 1 27 26 0 1 1 30 163 164 1 1
        30 163 164 1 1 5 175 0 1 2 5 182 0 0 1 3 5 184 0 0 0 1 2 0 0 0 17 145 2
        34 46 0 0 49 2 5 180 174 0 1 1 38 0 0 73 3 18 0 0 26 26 1 3 18 0 0 153
        153 1 2 18 0 0 154 1 2 18 0 0 155 1 3 19 0 0 156 153 1 3 19 0 0 10 26 1
        2 25 185 0 6 1 1 5 39 0 1 2 17 0 0 26 1 2 4 0 0 0 54 2 0 6 0 17 1 2 5
        181 0 0 1 1 8 0 0 50 2 8 0 0 39 1 2 7 0 0 156 1 2 7 0 0 10 1 3 7 0 0
        156 172 1 3 7 0 0 10 39 1 2 5 0 0 176 1 3 5 0 0 176 39 1 2 0 0 0 22 51
        1 5 0 0 1 1 5 26 0 41 1 0 17 0 37 1 38 0 0 113 1 38 0 0 89 1 38 0 0 109
        1 38 0 0 85 1 38 0 0 105 1 38 0 0 81 1 11 150 0 1 1 22 151 0 1 1 21 152
        0 1 1 12 167 0 1 1 12 168 0 1 1 42 171 158 1 1 0 0 0 1 1 10 0 10 1 1 34
        0 0 1 1 41 0 126 1 1 2 0 6 1 1 0 0 22 23 1 0 0 26 27 1 0 0 17 1 1 0 147
        0 149 2 0 6 0 17 68 1 43 46 0 1 0 0 39 1 1 0 6 0 12 1 27 26 0 1 1 38 0
        0 119 1 38 0 0 95 2 34 13 0 0 1 1 38 0 0 115 1 38 0 0 91 1 38 0 0 123 1
        38 0 0 99 2 26 6 0 17 1 1 38 0 0 125 1 38 0 0 101 1 38 0 0 121 1 38 0 0
        97 1 38 0 0 117 1 38 0 0 93 1 14 0 0 1 2 5 0 0 17 1 2 0 0 0 39 1 2 0 0
        0 187 1 0 0 0 20 0 0 0 16 1 8 0 0 1 2 8 0 0 39 1 2 7 0 0 156 1 2 7 0 0
        10 1 3 7 0 0 10 39 1 3 7 0 0 156 172 1 3 5 0 0 176 39 1 2 5 0 0 176 1 2
        37 13 0 0 1 2 37 13 0 0 1 2 0 13 0 0 1 2 37 13 0 0 1 2 37 13 0 0 1 2 5
        0 26 26 45 2 5 0 0 0 44 2 5 0 0 6 1 2 0 0 0 0 1 1 0 0 0 1 2 0 0 0 0 21
        2 38 0 0 126 128 2 38 0 0 0 74 2 5 0 0 17 1 2 0 0 0 39 53 2 0 0 0 187 1
        2 38 0 126 0 1 2 38 0 0 126 1 2 5 0 0 26 43 2 5 0 26 0 42 2 0 0 6 0 1 2
        0 0 0 6 1 2 0 0 0 0 32 2 0 0 17 0 1 2 0 0 39 0 1 2 0 0 187 0 1)))))
  '|lookupComplete|)) 
