
(/VERSIONCHECK 2) 

(DEFUN |SUPEXPR;exp;2$;1| (|p| $)
 (SEQ
  (COND
   ((SPADCALL |p| (QREFELT $ 8))
    (SPADCALL (SPADCALL (SPADCALL |p| (QREFELT $ 9)) (QREFELT $ 10))
     (QREFELT $ 11)))
   ('T
    (SEQ
     (SPADCALL
      (SPADCALL "exp p for p= " (SPADCALL |p| (QREFELT $ 13)) (QREFELT $ 14))
      (QREFELT $ 17))
     (EXIT
      (|error|
       "SUPTRAFUN: exp only defined for elements of the coefficient ring"))))))) 

(DEFUN |SUPEXPR;sin;2$;2| (|p| $)
 (SEQ
  (COND
   ((SPADCALL |p| (QREFELT $ 8))
    (SPADCALL (SPADCALL (SPADCALL |p| (QREFELT $ 9)) (QREFELT $ 19))
     (QREFELT $ 11)))
   ('T
    (SEQ
     (SPADCALL
      (SPADCALL "sin p for p= " (SPADCALL |p| (QREFELT $ 13)) (QREFELT $ 14))
      (QREFELT $ 17))
     (EXIT
      (|error|
       "SUPTRAFUN: sin only defined for elements of the coefficient ring"))))))) 

(DEFUN |SUPEXPR;asin;2$;3| (|p| $)
 (SEQ
  (COND
   ((SPADCALL |p| (QREFELT $ 8))
    (SPADCALL (SPADCALL (SPADCALL |p| (QREFELT $ 9)) (QREFELT $ 21))
     (QREFELT $ 11)))
   ('T
    (SEQ
     (SPADCALL
      (SPADCALL "asin p for p= " (SPADCALL |p| (QREFELT $ 13)) (QREFELT $ 14))
      (QREFELT $ 17))
     (EXIT
      (|error|
       "SUPTRAFUN: asin only defined for elements of the coefficient ring"))))))) 

(DEFUN |SUPEXPR;cos;2$;4| (|p| $)
 (SEQ
  (COND
   ((SPADCALL |p| (QREFELT $ 8))
    (SPADCALL (SPADCALL (SPADCALL |p| (QREFELT $ 9)) (QREFELT $ 23))
     (QREFELT $ 11)))
   ('T
    (SEQ
     (SPADCALL
      (SPADCALL "cos p for p= " (SPADCALL |p| (QREFELT $ 13)) (QREFELT $ 14))
      (QREFELT $ 17))
     (EXIT
      (|error|
       "SUPTRAFUN: cos only defined for elements of the coefficient ring"))))))) 

(DEFUN |SUPEXPR;acos;2$;5| (|p| $)
 (SEQ
  (COND
   ((SPADCALL |p| (QREFELT $ 8))
    (SPADCALL (SPADCALL (SPADCALL |p| (QREFELT $ 9)) (QREFELT $ 25))
     (QREFELT $ 11)))
   ('T
    (SEQ
     (SPADCALL
      (SPADCALL "acos p for p= " (SPADCALL |p| (QREFELT $ 13)) (QREFELT $ 14))
      (QREFELT $ 17))
     (EXIT
      (|error|
       "SUPTRAFUN: acos only defined for elements of the coefficient ring"))))))) 

(DEFUN |SparseUnivariatePolynomialExpressions| (#1=#:G3607)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3608)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|SparseUnivariatePolynomialExpressions|)
         '|domainEqualList|)
        |SparseUnivariatePolynomialExpressions|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|SparseUnivariatePolynomialExpressions;| #1#)
         (LETT #2# T |SparseUnivariatePolynomialExpressions|))
        (COND
         ((NOT #2#)
          (HREM |$ConstructorCache|
           '|SparseUnivariatePolynomialExpressions|))))))))))) 

(DEFUN |SparseUnivariatePolynomialExpressions;| (|#1|)
 (PROG (DV$1 |dv$| $ #1=#:G3604 |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) .
     #2=(|SparseUnivariatePolynomialExpressions|))
    (LETT |dv$| (LIST '|SparseUnivariatePolynomialExpressions| DV$1) . #2#)
    (LETT $ (GETREFV 80) . #2#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|PolynomialFactorizationExplicit|))
        (|HasCategory| |#1| '(|IntegralDomain|))
        (|HasCategory| |#1| '(|CommutativeRing|))
        (OR (|HasCategory| |#1| '(|CommutativeRing|))
         (|HasCategory| |#1| '(|IntegralDomain|)))
        (AND (|HasCategory| |#1| '(|PatternMatchable| (|Float|)))
         (|HasCategory| (|SingletonAsOrderedSet|)
          '(|PatternMatchable| (|Float|))))
        (AND (|HasCategory| |#1| '(|PatternMatchable| (|Integer|)))
         (|HasCategory| (|SingletonAsOrderedSet|)
          '(|PatternMatchable| (|Integer|))))
        (AND (|HasCategory| |#1| '(|ConvertibleTo| (|Pattern| (|Float|))))
         (|HasCategory| (|SingletonAsOrderedSet|)
          '(|ConvertibleTo| (|Pattern| (|Float|)))))
        (AND (|HasCategory| |#1| '(|ConvertibleTo| (|Pattern| (|Integer|))))
         (|HasCategory| (|SingletonAsOrderedSet|)
          '(|ConvertibleTo| (|Pattern| (|Integer|)))))
        (AND (|HasCategory| |#1| '(|ConvertibleTo| (|InputForm|)))
         (|HasCategory| (|SingletonAsOrderedSet|)
          '(|ConvertibleTo| (|InputForm|))))
        (|HasCategory| |#1| '(|OrderedSet|))
        (|HasCategory| |#1| '(|LinearlyExplicitRingOver| (|Integer|)))
        (|HasCategory| |#1| '(|CharacteristicZero|))
        (|HasCategory| |#1| '(|CharacteristicNonZero|))
        (|HasCategory| |#1| '(|Algebra| (|Fraction| (|Integer|))))
        (|HasCategory| |#1| '(|RetractableTo| (|Integer|)))
        (|HasCategory| |#1| '(|RetractableTo| (|Fraction| (|Integer|))))
        (|HasCategory| |#1| '(|Field|)) (|HasCategory| |#1| '(|StepThrough|))
        (|HasCategory| |#1| '(|PartialDifferentialRing| (|Symbol|)))
        (|HasCategory| |#1| '(|TranscendentalFunctionCategory|))
        (OR (|HasCategory| |#1| '(|Algebra| (|Fraction| (|Integer|))))
         (|HasCategory| |#1| '(|RetractableTo| (|Fraction| (|Integer|)))))
        (|HasCategory| |#1| '(|DifferentialRing|))
        (|HasAttribute| |#1| '|canonicalUnitNormal|)
        (LETT #1# (|HasCategory| |#1| '(|GcdDomain|)) . #2#)
        (OR (|HasCategory| |#1| '(|CommutativeRing|))
         (|HasCategory| |#1| '(|Field|)) #1#
         (|HasCategory| |#1| '(|IntegralDomain|))
         (|HasCategory| |#1| '(|PolynomialFactorizationExplicit|)))
        (OR (|HasCategory| |#1| '(|Field|)) #1#
         (|HasCategory| |#1| '(|IntegralDomain|))
         (|HasCategory| |#1| '(|PolynomialFactorizationExplicit|)))
        (OR (|HasCategory| |#1| '(|Field|)) #1#
         (|HasCategory| |#1| '(|PolynomialFactorizationExplicit|)))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|SparseUnivariatePolynomialExpressions|
     (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (AND (|HasCategory| |#1| '(|PolynomialFactorizationExplicit|))
     (|HasCategory| $ '(|CharacteristicNonZero|))
     (|augmentPredVector| $ 134217728))
    (AND
     (OR
      (AND (|HasCategory| |#1| '(|PolynomialFactorizationExplicit|))
       (|HasCategory| $ '(|CharacteristicNonZero|)))
      (|HasCategory| |#1| '(|CharacteristicNonZero|)))
     (|augmentPredVector| $ 268435456))
    (COND
     ((|testBitVector| |pv$| 20)
      (PROGN (QSETREFV $ 18 (CONS (|dispatchFunction| |SUPEXPR;exp;2$;1|) $))
       (QSETREFV $ 20 (CONS (|dispatchFunction| |SUPEXPR;sin;2$;2|) $))
       (QSETREFV $ 22 (CONS (|dispatchFunction| |SUPEXPR;asin;2$;3|) $))
       (QSETREFV $ 24 (CONS (|dispatchFunction| |SUPEXPR;cos;2$;4|) $))
       (QSETREFV $ 26 (CONS (|dispatchFunction| |SUPEXPR;acos;2$;5|) $)))))
    $)))) 

(MAKEPROP '|SparseUnivariatePolynomialExpressions| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|SparseUnivariatePolynomial| 6) (|local| |#1|)
     (|Boolean|) (0 . |ground?|) (5 . |ground|) (10 . |exp|) (15 . |coerce|)
     (|OutputForm|) (20 . |coerce|) (25 . |hconcat|) (|Void|) (|OutputPackage|)
     (31 . |output|) (36 . |exp|) (41 . |sin|) (46 . |sin|) (51 . |asin|)
     (56 . |asin|) (61 . |cos|) (66 . |cos|) (71 . |acos|) (76 . |acos|)
     (|InputForm|) (|Pattern| (|Float|)) (|Pattern| 63)
     (|PatternMatchResult| (|Float|) $) (|PatternMatchResult| 63 $)
     (|Union| 53 '"failed") (|Matrix| $) (|Union| $ '"failed") (|Fraction| 63)
     (|SingletonAsOrderedSet|) (|NonNegativeInteger|) (|Union| 39 '"failed")
     (|List| $) (|Record| (|:| |coef| 39) (|:| |generator| $))
     (|Record| (|:| |quotient| $) (|:| |remainder| $))
     (|Record| (|:| |coef1| $) (|:| |coef2| $)) (|Union| 42 '"failed")
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (|Fraction| $) (|SparseUnivariatePolynomial| $) (|Factored| $)
     (|Record| (|:| |primePart| $) (|:| |commonPart| $))
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|Record| (|:| |coef| 6) (|:| |quotient| $) (|:| |remainder| $))
     (|Union| 45 '"failed") (|Record| (|:| |mat| 54) (|:| |vec| (|Vector| 63)))
     (|Vector| $) (|Matrix| 63) (|Symbol|) (|List| 55) (|List| 37)
     (|Factored| 46) (|Union| 60 '"failed") (|List| 46)
     (|Union| 35 '#1="failed") (|Union| 63 '#1#) (|Integer|) (|Mapping| 6 6)
     (|Vector| 6) (|List| 36) (|Record| (|:| |var| 36) (|:| |exponent| 37))
     (|Union| 67 '"failed") (|Union| 36 '"failed") (|Matrix| 6)
     (|Record| (|:| |mat| 70) (|:| |vec| 65)) (|List| 6) (|List| 74)
     (|Equation| $) (|Union| 6 '#1#) (|Mapping| 37 37) (|PositiveInteger|)
     (|String|) (|SingleInteger|))
  '#(~= 81 |zero?| 87 |vectorise| 92 |variables| 98 |unmakeSUP| 103
     |univariate| 108 |unitNormal| 119 |unitCanonical| 124 |unit?| 129
     |totalDegree| 134 |tanh| 145 |tan| 150 |subtractIfCan| 155
     |subResultantGcd| 161 |squareFreePolynomial| 167 |squareFreePart| 172
     |squareFree| 177 |solveLinearPolynomialEquation| 182 |sizeLess?| 188
     |sinh| 194 |sin| 199 |shiftRight| 204 |shiftLeft| 210 |separate| 216
     |sech| 222 |sec| 227 |sample| 232 |retractIfCan| 236 |retract| 256
     |resultant| 276 |rem| 289 |reductum| 295 |reducedSystem| 300 |recip| 322
     |quo| 327 |pseudoRemainder| 333 |pseudoQuotient| 339 |pseudoDivide| 345
     |principalIdeal| 351 |primitivePart| 356 |primitiveMonomials| 367 |prime?|
     372 |pomopo!| 377 |pi| 385 |patternMatch| 389 |order| 403 |one?| 409
     |numberOfMonomials| 414 |nextItem| 419 |multivariate| 424
     |multiplyExponents| 436 |multiEuclidean| 442 |monomials| 448 |monomial?|
     453 |monomial| 458 |monicDivide| 478 |minimumDegree| 491 |min| 508 |max|
     514 |mapExponents| 520 |map| 526 |makeSUP| 532 |mainVariable| 537 |log|
     542 |leadingMonomial| 547 |leadingCoefficient| 552 |lcm| 557 |latex| 568
     |karatsubaDivide| 573 |isTimes| 579 |isPlus| 584 |isExpt| 589 |integrate|
     594 |init| 599 |hash| 603 |ground?| 608 |ground| 613 |gcdPolynomial| 618
     |gcd| 624 |factorSquareFreePolynomial| 635 |factorPolynomial| 640 |factor|
     645 |extendedEuclidean| 650 |exquo| 663 |expressIdealMember| 675 |exp| 681
     |eval| 686 |euclideanSize| 740 |elt| 745 |divideExponents| 775 |divide|
     781 |discriminant| 787 |differentiate| 798 |degree| 881 |csch| 898 |csc|
     903 |coth| 908 |cot| 913 |cosh| 918 |cos| 923 |convert| 928 |content| 943
     |conditionP| 954 |composite| 959 |coerce| 971 |coefficients| 1001
     |coefficient| 1006 |charthRoot| 1026 |characteristic| 1031 |binomThmExpt|
     1035 |atanh| 1042 |atan| 1047 |associates?| 1052 |asinh| 1058 |asin| 1063
     |asech| 1068 |asec| 1073 |acsch| 1078 |acsc| 1083 |acoth| 1088 |acot| 1093
     |acosh| 1098 |acos| 1103 ^ 1108 |Zero| 1120 |One| 1124 D 1128 >= 1204 >
     1210 = 1216 <= 1222 < 1228 / 1234 - 1240 + 1251 ** 1257 * 1275)
  '(((|commutative| "*") . 3) (|noZeroDivisors| . 2) (|additiveValuation| . 17)
    (|canonicalUnitNormal| . 23) (|leftUnitary| . 0) (|rightUnitary| . 0)
    (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 27
    '(0 0 1 17 0 1 17 0 27 26 0 0 2 3 14 0 0 0 2 2 11 3 12 13 14 25 19 0 0 4 14
      0 0 0 0 3 14 14 0 0 0 0 0 0 5 6 10 18 0 0 0 20 0 0 0 0 0 0 0 0 0 7 8 9 15
      16 2 20 20 20 20 20))
   (CONS
    '#(|UnivariatePolynomialCategory&| |PolynomialCategory&|
       |PolynomialFactorizationExplicit&| |EuclideanDomain&|
       |FiniteAbelianMonoidRing&| |UniqueFactorizationDomain&| NIL
       |AbelianMonoidRing&| |GcdDomain&| |IntegralDomain&|
       |DifferentialExtension&| |FullyLinearlyExplicitRingOver&| |Algebra&|
       |Algebra&| |Algebra&| |PartialDifferentialRing&| |DifferentialRing&| NIL
       |Module&| NIL NIL |Module&| NIL NIL |Module&| NIL
       |PartialDifferentialRing&| NIL |Ring&| NIL NIL NIL NIL NIL NIL NIL NIL
       NIL |AbelianGroup&| NIL |AbelianMonoid&| |Monoid&| |AbelianSemiGroup&|
       |SemiGroup&| NIL NIL |OrderedSet&| NIL |Evalable&| |FullyRetractableTo&|
       |SetCategory&| |TranscendentalFunctionCategory&| NIL NIL
       |RetractableTo&| |InnerEvalable&| |InnerEvalable&| |InnerEvalable&|
       |RetractableTo&| |BasicType&| NIL NIL NIL NIL |RetractableTo&|
       |RetractableTo&| NIL |TrigonometricFunctionCategory&|
       |ArcTrigonometricFunctionCategory&| |HyperbolicFunctionCategory&| NIL
       |ElementaryFunctionCategory&|)
    (CONS
     '#((|UnivariatePolynomialCategory| 6) (|PolynomialCategory| 6 37 36)
        (|PolynomialFactorizationExplicit|) (|EuclideanDomain|)
        (|FiniteAbelianMonoidRing| 6 37) (|UniqueFactorizationDomain|)
        (|PrincipalIdealDomain|) (|AbelianMonoidRing| 6 37) (|GcdDomain|)
        (|IntegralDomain|) (|DifferentialExtension| 6)
        (|FullyLinearlyExplicitRingOver| 6) (|Algebra| $$) (|Algebra| 6)
        (|Algebra| 35) (|PartialDifferentialRing| 36) (|DifferentialRing|)
        (|LinearlyExplicitRingOver| 6) (|Module| $$) (|EntireRing|)
        (|LinearlyExplicitRingOver| 63) (|Module| 6) (|CharacteristicZero|)
        (|CharacteristicNonZero|) (|Module| 35) (|CommutativeRing|)
        (|PartialDifferentialRing| 55) (|BiModule| 6 6) (|Ring|)
        (|BiModule| $$ $$) (|BiModule| 35 35) (|LeftModule| 6) (|Rng|)
        (|RightModule| 6) (|LeftModule| $$) (|RightModule| $$)
        (|LeftModule| 35) (|RightModule| 35) (|AbelianGroup|)
        (|CancellationAbelianMonoid|) (|AbelianMonoid|) (|Monoid|)
        (|AbelianSemiGroup|) (|SemiGroup|) (|PatternMatchable| (|Float|))
        (|PatternMatchable| 63) (|OrderedSet|) (|StepThrough|) (|Evalable| $$)
        (|FullyRetractableTo| 6) (|SetCategory|)
        (|TranscendentalFunctionCategory|) (|Eltable| $$ $$) (|Eltable| 6 6)
        (|RetractableTo| 36) (|InnerEvalable| 36 $$) (|InnerEvalable| 36 6)
        (|InnerEvalable| $$ $$) (|RetractableTo| 6) (|BasicType|)
        (|CoercibleTo| 12) (|ConvertibleTo| 28) (|ConvertibleTo| 29)
        (|ConvertibleTo| 27) (|RetractableTo| 63) (|RetractableTo| 35)
        (|Eltable| (|Fraction| $$) (|Fraction| $$))
        (|TrigonometricFunctionCategory|) (|ArcTrigonometricFunctionCategory|)
        (|HyperbolicFunctionCategory|) (|ArcHyperbolicFunctionCategory|)
        (|ElementaryFunctionCategory|))
     (|makeByteWordVec2| 79
      '(1 0 7 0 8 1 0 6 0 9 1 6 0 0 10 1 0 0 6 11 1 0 12 0 13 2 12 0 0 0 14 1
        16 15 12 17 1 0 0 0 18 1 6 0 0 19 1 0 0 0 20 1 6 0 0 21 1 0 0 0 22 1 6
        0 0 23 1 0 0 0 24 1 6 0 0 25 1 0 0 0 26 2 0 7 0 0 1 1 0 7 0 1 2 0 65 0
        37 1 1 0 66 0 1 1 0 0 5 1 1 0 5 0 1 2 0 46 0 36 1 1 2 49 0 1 1 2 0 0 1
        1 2 7 0 1 1 0 37 0 1 2 0 37 0 66 1 1 20 0 0 1 1 20 0 0 1 2 0 34 0 0 1 2
        2 0 0 0 1 1 1 58 46 1 1 24 0 0 1 1 24 47 0 1 2 1 59 60 46 1 2 17 7 0 0
        1 1 20 0 0 1 1 20 0 0 20 2 0 0 0 37 1 2 0 0 0 37 1 2 24 48 0 0 1 1 20 0
        0 1 1 20 0 0 1 0 0 0 1 1 16 61 0 1 1 15 62 0 1 1 0 69 0 1 1 0 75 0 1 1
        16 35 0 1 1 15 63 0 1 1 0 36 0 1 1 0 6 0 1 2 3 6 0 0 1 3 3 0 0 0 36 1 2
        17 0 0 0 1 1 0 0 0 1 2 11 52 33 53 1 1 11 54 33 1 1 0 70 33 1 2 0 71 33
        53 1 1 0 34 0 1 2 17 0 0 0 1 2 0 0 0 0 1 2 2 0 0 0 1 2 2 50 0 0 1 1 17
        40 39 1 2 24 0 0 36 1 1 24 0 0 1 1 0 39 0 1 1 1 7 0 1 4 0 0 0 6 37 0 1
        0 20 0 1 3 5 30 0 28 30 1 3 6 31 0 29 31 1 2 2 37 0 0 1 1 0 7 0 1 1 0
        37 0 1 1 18 34 0 1 2 0 0 5 36 1 2 0 0 46 36 1 2 0 0 0 37 1 2 17 38 39 0
        1 1 0 39 0 1 1 0 7 0 1 3 0 0 0 36 37 1 3 0 0 0 66 57 1 2 0 0 6 37 1 2 0
        41 0 0 1 3 0 41 0 0 36 1 2 0 37 0 36 1 2 0 57 0 66 1 1 0 37 0 1 2 10 0
        0 0 1 2 10 0 0 0 1 2 0 0 76 0 1 2 0 0 64 0 1 1 0 5 0 1 1 0 69 0 1 1 20
        0 0 1 1 0 0 0 1 1 0 6 0 1 2 24 0 0 0 1 1 24 0 39 1 1 0 78 0 1 2 0 41 0
        37 1 1 0 38 0 1 1 0 38 0 1 1 0 68 0 1 1 14 0 0 1 0 18 0 1 1 0 79 0 1 1
        0 7 0 8 1 0 6 0 9 2 24 46 46 46 1 2 24 0 0 0 1 1 24 0 39 1 1 1 58 46 1
        1 1 58 46 1 1 1 47 0 1 3 17 43 0 0 0 1 2 17 44 0 0 1 2 2 34 0 0 1 2 2
        34 0 6 1 2 17 38 39 0 1 1 20 0 0 18 3 0 0 0 66 39 1 3 0 0 0 66 72 1 3 0
        0 0 36 0 1 3 0 0 0 36 6 1 3 0 0 0 0 0 1 3 0 0 0 39 39 1 2 0 0 0 73 1 2
        0 0 0 74 1 1 17 37 0 1 2 17 6 45 6 1 2 2 45 0 45 1 2 2 45 45 45 1 2 0 0
        0 0 1 2 0 6 0 6 1 2 0 34 0 37 1 2 17 41 0 0 1 1 3 6 0 1 2 3 0 0 36 1 3
        19 0 0 55 37 1 3 19 0 0 56 57 1 2 19 0 0 56 1 2 19 0 0 55 1 3 0 0 0 64
        0 1 2 0 0 0 64 1 3 0 0 0 64 37 1 1 0 0 0 1 2 0 0 0 37 1 3 0 0 0 66 57 1
        3 0 0 0 36 37 1 2 0 0 0 36 1 2 0 0 0 66 1 2 0 57 0 66 1 2 0 37 0 36 1 1
        0 37 0 1 1 20 0 0 1 1 20 0 0 1 1 20 0 0 1 1 20 0 0 1 1 20 0 0 1 1 20 0
        0 24 1 9 27 0 1 1 7 28 0 1 1 8 29 0 1 2 24 0 0 36 1 1 24 6 0 1 1 28 32
        33 1 2 2 51 45 0 1 2 2 34 0 0 1 1 21 0 35 1 1 2 0 0 1 1 0 0 36 1 1 0 0
        6 11 1 0 0 63 1 1 0 12 0 13 1 0 72 0 1 3 0 0 0 66 57 1 3 0 0 0 36 37 1
        2 0 6 0 37 1 1 29 34 0 1 0 0 37 1 3 3 0 0 0 37 1 1 20 0 0 1 1 20 0 0 1
        2 2 7 0 0 1 1 20 0 0 1 1 20 0 0 22 1 20 0 0 1 1 20 0 0 1 1 20 0 0 1 1
        20 0 0 1 1 20 0 0 1 1 20 0 0 1 1 20 0 0 1 1 20 0 0 26 2 0 0 0 37 1 2 0
        0 0 77 1 0 0 0 1 0 0 0 1 3 19 0 0 55 37 1 3 19 0 0 56 57 1 2 19 0 0 55
        1 2 19 0 0 56 1 2 0 0 0 64 1 3 0 0 0 64 37 1 1 0 0 0 1 2 0 0 0 37 1 3 0
        0 0 66 57 1 2 0 0 0 66 1 3 0 0 0 36 37 1 2 0 0 0 36 1 2 10 7 0 0 1 2 10
        7 0 0 1 2 0 7 0 0 1 2 10 7 0 0 1 2 10 7 0 0 1 2 17 0 0 6 1 2 0 0 0 0 1
        1 0 0 0 1 2 0 0 0 0 1 2 20 0 0 0 1 2 0 0 0 37 1 2 0 0 0 77 1 2 14 0 35
        0 1 2 14 0 0 35 1 2 0 0 6 0 1 2 0 0 0 6 1 2 0 0 0 0 1 2 0 0 63 0 1 2 0
        0 37 0 1 2 0 0 77 0 1)))))
  '|lookupComplete|)) 
