
(/VERSIONCHECK 2) 

(PUT '|TREE;empty?;$B;1| '|SPADreplace| '(XLAM (|t|) (QEQCAR |t| 1))) 

(DEFUN |TREE;empty?;$B;1| (|t| $) (QEQCAR |t| 1)) 

(PUT '|TREE;empty;$;2| '|SPADreplace| '(XLAM NIL (CONS 1 "empty"))) 

(DEFUN |TREE;empty;$;2| ($) (CONS 1 "empty")) 

(DEFUN |TREE;children;$L;3| (|t| $)
 (COND ((QEQCAR |t| 1) (|error| "cannot take the children of an empty tree"))
  ('T (QCDR (CDR |t|))))) 

(DEFUN |TREE;setchildren!;$L$;4| (|t| |lt| $)
 (SEQ
  (COND ((QEQCAR |t| 1) (|error| "cannot set children of an empty tree"))
   ('T (SEQ (PROGN (RPLACD (CDR |t|) |lt|) (QCDR (CDR |t|))) (EXIT |t|)))))) 

(DEFUN |TREE;setvalue!;$2S;5| (|t| |s| $)
 (SEQ
  (COND ((QEQCAR |t| 1) (|error| "cannot set value of an empty tree"))
   ('T (SEQ (PROGN (RPLACA (CDR |t|) |s|) (QCAR (CDR |t|))) (EXIT |s|)))))) 

(DEFUN |TREE;count;S$Nni;6| (|n| |t| $)
 (PROG (|c| #1=#:G3604 #2=#:G3598 #3=#:G3596 #4=#:G3597 |i|)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) 0)
     ('T
      (SEQ
       (LETT |i|
        (PROGN (LETT #4# NIL |TREE;count;S$Nni;6|)
         (SEQ (LETT |c| NIL |TREE;count;S$Nni;6|)
          (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;count;S$Nni;6|) G190
          (COND
           ((OR (ATOM #1#)
             (PROGN (LETT |c| (CAR #1#) |TREE;count;S$Nni;6|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (PROGN
             (LETT #2# (SPADCALL |n| |c| (QREFELT $ 16)) |TREE;count;S$Nni;6|)
             (COND (#4# (LETT #3# (+ #3# #2#) |TREE;count;S$Nni;6|))
              ('T
               (PROGN (LETT #3# #2# |TREE;count;S$Nni;6|)
                (LETT #4# 'T |TREE;count;S$Nni;6|)))))))
          (LETT #1# (CDR #1#) |TREE;count;S$Nni;6|) (GO G190) G191 (EXIT NIL))
         (COND (#4# #3#) ('T 0)))
        |TREE;count;S$Nni;6|)
       (EXIT
        (COND
         ((SPADCALL (SPADCALL |t| (QREFELT $ 17)) |n| (QREFELT $ 18))
          (+ |i| 1))
         ('T |i|)))))))))) 

(DEFUN |TREE;count;M$Nni;7| (|fn| |t| $)
 (PROG (|c| #1=#:G3611 #2=#:G3607 #3=#:G3605 #4=#:G3606 |i|)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) 0)
     ('T
      (SEQ
       (LETT |i|
        (PROGN (LETT #4# NIL |TREE;count;M$Nni;7|)
         (SEQ (LETT |c| NIL |TREE;count;M$Nni;7|)
          (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;count;M$Nni;7|) G190
          (COND
           ((OR (ATOM #1#)
             (PROGN (LETT |c| (CAR #1#) |TREE;count;M$Nni;7|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (PROGN
             (LETT #2# (SPADCALL |fn| |c| (QREFELT $ 20)) |TREE;count;M$Nni;7|)
             (COND (#4# (LETT #3# (+ #3# #2#) |TREE;count;M$Nni;7|))
              ('T
               (PROGN (LETT #3# #2# |TREE;count;M$Nni;7|)
                (LETT #4# 'T |TREE;count;M$Nni;7|)))))))
          (LETT #1# (CDR #1#) |TREE;count;M$Nni;7|) (GO G190) G191 (EXIT NIL))
         (COND (#4# #3#) ('T 0)))
        |TREE;count;M$Nni;7|)
       (EXIT
        (COND ((SPADCALL (SPADCALL |t| (QREFELT $ 17)) |fn|) (+ |i| 1))
         ('T |i|)))))))))) 

(DEFUN |TREE;map;M2$;8| (|fn| |t| $)
 (PROG (#1=#:G3615 |c| #2=#:G3616)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) |t|)
     ('T
      (SPADCALL (SPADCALL (SPADCALL |t| (QREFELT $ 17)) |fn|)
       (PROGN (LETT #1# NIL |TREE;map;M2$;8|)
        (SEQ (LETT |c| NIL |TREE;map;M2$;8|)
         (LETT #2# (SPADCALL |t| (QREFELT $ 12)) |TREE;map;M2$;8|) G190
         (COND
          ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |TREE;map;M2$;8|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #1# (CONS (SPADCALL |fn| |c| (QREFELT $ 22)) #1#)
            |TREE;map;M2$;8|)))
         (LETT #2# (CDR #2#) |TREE;map;M2$;8|) (GO G190) G191
         (EXIT (NREVERSE0 #1#))))
       (QREFELT $ 23)))))))) 

(DEFUN |TREE;map!;M2$;9| (|fn| |t| $)
 (PROG (|c| #1=#:G3620)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) |t|)
     ('T
      (SEQ
       (SPADCALL |t| (SPADCALL (SPADCALL |t| (QREFELT $ 17)) |fn|)
        (QREFELT $ 14))
       (EXIT
        (SEQ (LETT |c| NIL |TREE;map!;M2$;9|)
         (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;map!;M2$;9|) G190
         (COND
          ((OR (ATOM #1#) (PROGN (LETT |c| (CAR #1#) |TREE;map!;M2$;9|) NIL))
           (GO G191)))
         (SEQ (EXIT (SPADCALL |fn| |c| (QREFELT $ 24))))
         (LETT #1# (CDR #1#) |TREE;map!;M2$;9|) (GO G190) G191
         (EXIT NIL)))))))))) 

(DEFUN |TREE;tree;SL$;10| (|s| |lt| $) (CONS 0 (CONS |s| |lt|))) 

(DEFUN |TREE;tree;S$;11| (|s| $) (CONS 0 (CONS |s| NIL))) 

(DEFUN |TREE;tree;L$;12| (|ls| $)
 (PROG (#1=#:G3628 |s| #2=#:G3629)
  (RETURN
   (SEQ
    (COND ((NULL |ls|) (SPADCALL (QREFELT $ 10)))
     ('T
      (SPADCALL (|SPADfirst| |ls|)
       (PROGN (LETT #1# NIL |TREE;tree;L$;12|)
        (SEQ (LETT |s| NIL |TREE;tree;L$;12|)
         (LETT #2# (CDR |ls|) |TREE;tree;L$;12|) G190
         (COND
          ((OR (ATOM #2#) (PROGN (LETT |s| (CAR #2#) |TREE;tree;L$;12|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #1# (CONS (SPADCALL |s| (QREFELT $ 25)) #1#)
            |TREE;tree;L$;12|)))
         (LETT #2# (CDR #2#) |TREE;tree;L$;12|) (GO G190) G191
         (EXIT (NREVERSE0 #1#))))
       (QREFELT $ 23)))))))) 

(DEFUN |TREE;value;$S;13| (|t| $)
 (COND ((QEQCAR |t| 1) (|error| "cannot take the value of an empty tree"))
  ('T (QCAR (CDR |t|))))) 

(DEFUN |TREE;child?;2$B;14| (|t1| |t2| $)
 (PROG (|t| #1=#:G3639 #2=#:G3636 #3=#:G3634 #4=#:G3635)
  (RETURN
   (SEQ
    (COND ((SPADCALL |t2| (QREFELT $ 9)) 'NIL)
     ('T
      (PROGN (LETT #4# NIL |TREE;child?;2$B;14|)
       (SEQ (LETT |t| NIL |TREE;child?;2$B;14|)
        (LETT #1# (SPADCALL |t2| (QREFELT $ 12)) |TREE;child?;2$B;14|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |t| (CAR #1#) |TREE;child?;2$B;14|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (SPADCALL |t1| |t| (QREFELT $ 28)) |TREE;child?;2$B;14|)
           (COND (#4# (LETT #3# (COND (#3# 'T) ('T #2#)) |TREE;child?;2$B;14|))
            ('T
             (PROGN (LETT #3# #2# |TREE;child?;2$B;14|)
              (LETT #4# 'T |TREE;child?;2$B;14|)))))))
        (LETT #1# (CDR #1#) |TREE;child?;2$B;14|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T 'NIL))))))))) 

(DEFUN |TREE;distance1| (|t1| |t2| $)
 (PROG
  (#1=#:G3647 |t| #2=#:G3648 |n| |u| #3=#:G3538 #4=#:G3649 #5=#:G3644
   #6=#:G3642 #7=#:G3643)
  (RETURN
   (SEQ
    (COND ((SPADCALL |t1| |t2| (QREFELT $ 28)) 0) ((QEQCAR |t2| 1) -1)
     ('T
      (SEQ
       (LETT |u|
        (PROGN (LETT #1# NIL |TREE;distance1|)
         (SEQ (LETT |t| NIL |TREE;distance1|)
          (LETT #2# (SPADCALL |t2| (QREFELT $ 12)) |TREE;distance1|) G190
          (COND
           ((OR (ATOM #2#) (PROGN (LETT |t| (CAR #2#) |TREE;distance1|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (COND
             ((SEQ (LETT |n| (|TREE;distance1| |t1| |t| $) |TREE;distance1|)
               (EXIT (COND ((< |n| 0) 'NIL) ('T 'T))))
              (LETT #1# (CONS |n| #1#) |TREE;distance1|)))))
          (LETT #2# (CDR #2#) |TREE;distance1|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |TREE;distance1|)
       (EXIT
        (COND
         ((< 0 (LENGTH |u|))
          (+ 1
           (PROGN (LETT #7# NIL |TREE;distance1|)
            (SEQ (LETT #3# NIL |TREE;distance1|)
             (LETT #4# |u| |TREE;distance1|) G190
             (COND
              ((OR (ATOM #4#)
                (PROGN (LETT #3# (CAR #4#) |TREE;distance1|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (PROGN (LETT #5# #3# |TREE;distance1|)
                (COND (#7# (LETT #6# (MIN #6# #5#) |TREE;distance1|))
                 ('T
                  (PROGN (LETT #6# #5# |TREE;distance1|)
                   (LETT #7# 'T |TREE;distance1|)))))))
             (LETT #4# (CDR #4#) |TREE;distance1|) (GO G190) G191 (EXIT NIL))
            (COND (#7# #6#) ('T (|IdentityError| '|min|))))))
         ('T -1)))))))))) 

(DEFUN |TREE;distance;2$I;16| (|t1| |t2| $)
 (PROG (|n|)
  (RETURN
   (SEQ (LETT |n| (|TREE;distance1| |t1| |t2| $) |TREE;distance;2$I;16|)
    (EXIT (COND ((< |n| 0) (|TREE;distance1| |t2| |t1| $)) ('T |n|))))))) 

(DEFUN |TREE;node?;2$B;17| (|t1| |t2| $)
 (PROG (|t| #1=#:G3656 #2=#:G3654 #3=#:G3652 #4=#:G3653)
  (RETURN
   (SEQ
    (COND ((SPADCALL |t1| |t2| (QREFELT $ 28)) 'T) ((QEQCAR |t| 1) 'NIL)
     ('T
      (PROGN (LETT #4# NIL |TREE;node?;2$B;17|)
       (SEQ (LETT |t| NIL |TREE;node?;2$B;17|)
        (LETT #1# (SPADCALL |t2| (QREFELT $ 12)) |TREE;node?;2$B;17|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |t| (CAR #1#) |TREE;node?;2$B;17|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (SPADCALL |t1| |t| (QREFELT $ 32)) |TREE;node?;2$B;17|)
           (COND (#4# (LETT #3# (COND (#3# 'T) ('T #2#)) |TREE;node?;2$B;17|))
            ('T
             (PROGN (LETT #3# #2# |TREE;node?;2$B;17|)
              (LETT #4# 'T |TREE;node?;2$B;17|)))))))
        (LETT #1# (CDR #1#) |TREE;node?;2$B;17|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T 'NIL))))))))) 

(DEFUN |TREE;leaf?;$B;18| (|t| $)
 (COND ((QEQCAR |t| 1) 'NIL)
  ('T (SPADCALL (SPADCALL |t| (QREFELT $ 12)) (QREFELT $ 34))))) 

(DEFUN |TREE;leaves;$L;19| (|t| $)
 (PROG (|c| #1=#:G3666 #2=#:G3663 #3=#:G3661 #4=#:G3662)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) NIL)
     ((SPADCALL |t| (QREFELT $ 35)) (LIST (SPADCALL |t| (QREFELT $ 17))))
     ('T
      (PROGN (LETT #4# NIL |TREE;leaves;$L;19|)
       (SEQ (LETT |c| NIL |TREE;leaves;$L;19|)
        (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;leaves;$L;19|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |c| (CAR #1#) |TREE;leaves;$L;19|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN (LETT #2# (SPADCALL |c| (QREFELT $ 36)) |TREE;leaves;$L;19|)
           (COND (#4# (LETT #3# (APPEND #3# #2#) |TREE;leaves;$L;19|))
            ('T
             (PROGN (LETT #3# #2# |TREE;leaves;$L;19|)
              (LETT #4# 'T |TREE;leaves;$L;19|)))))))
        (LETT #1# (CDR #1#) |TREE;leaves;$L;19|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T (|IdentityError| '|append|)))))))))) 

(DEFUN |TREE;less?;$NniB;20| (|t| |n| $) (< (SPADCALL |t| (QREFELT $ 37)) |n|)) 

(DEFUN |TREE;more?;$NniB;21| (|t| |n| $) (< |n| (SPADCALL |t| (QREFELT $ 37)))) 

(DEFUN |TREE;nodes;$L;22| (|t| $)
 (PROG
  (#1=#:G3675 |c| #2=#:G3676 |nl| #3=#:G3539 #4=#:G3677 #5=#:G3672 #6=#:G3670
   #7=#:G3671)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) (SPADCALL (QREFELT $ 40)))
     ('T
      (SEQ
       (LETT |nl|
        (PROGN (LETT #1# NIL |TREE;nodes;$L;22|)
         (SEQ (LETT |c| NIL |TREE;nodes;$L;22|)
          (LETT #2# (SPADCALL |t| (QREFELT $ 12)) |TREE;nodes;$L;22|) G190
          (COND
           ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |TREE;nodes;$L;22|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |c| (QREFELT $ 41)) #1#)
             |TREE;nodes;$L;22|)))
          (LETT #2# (CDR #2#) |TREE;nodes;$L;22|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |TREE;nodes;$L;22|)
       (EXIT
        (COND ((SPADCALL |nl| NIL (QREFELT $ 43)) (LIST |t|))
         ('T
          (SPADCALL |t|
           (PROGN (LETT #7# NIL |TREE;nodes;$L;22|)
            (SEQ (LETT #3# NIL |TREE;nodes;$L;22|)
             (LETT #4# |nl| |TREE;nodes;$L;22|) G190
             (COND
              ((OR (ATOM #4#)
                (PROGN (LETT #3# (CAR #4#) |TREE;nodes;$L;22|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (PROGN (LETT #5# #3# |TREE;nodes;$L;22|)
                (COND
                 (#7#
                  (LETT #6# (SPADCALL #6# #5# (QREFELT $ 44))
                   |TREE;nodes;$L;22|))
                 ('T
                  (PROGN (LETT #6# #5# |TREE;nodes;$L;22|)
                   (LETT #7# 'T |TREE;nodes;$L;22|)))))))
             (LETT #4# (CDR #4#) |TREE;nodes;$L;22|) (GO G190) G191 (EXIT NIL))
            (COND (#7# #6#) ('T (|IdentityError| '|append|))))
           (QREFELT $ 45)))))))))))) 

(DEFUN |TREE;size?;$NniB;23| (|t| |n| $)
 (EQL (SPADCALL |t| (QREFELT $ 37)) |n|)) 

(DEFUN |TREE;any?;M$B;24| (|fn| |t| $)
 (PROG (|c| #1=#:G3687 #2=#:G3684 #3=#:G3682 #4=#:G3683)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) 'NIL)
     ((SPADCALL (SPADCALL |t| (QREFELT $ 17)) |fn|) 'T)
     ('T
      (PROGN (LETT #4# NIL |TREE;any?;M$B;24|)
       (SEQ (LETT |c| NIL |TREE;any?;M$B;24|)
        (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;any?;M$B;24|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |c| (CAR #1#) |TREE;any?;M$B;24|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (SPADCALL |fn| |c| (QREFELT $ 47)) |TREE;any?;M$B;24|)
           (COND (#4# (LETT #3# (COND (#3# 'T) ('T #2#)) |TREE;any?;M$B;24|))
            ('T
             (PROGN (LETT #3# #2# |TREE;any?;M$B;24|)
              (LETT #4# 'T |TREE;any?;M$B;24|)))))))
        (LETT #1# (CDR #1#) |TREE;any?;M$B;24|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T 'NIL))))))))) 

(DEFUN |TREE;every?;M$B;25| (|fn| |t| $)
 (PROG (|c| #1=#:G3693 #2=#:G3690 #3=#:G3688 #4=#:G3689)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) 'T)
     ((SPADCALL (SPADCALL |t| (QREFELT $ 17)) |fn|)
      (PROGN (LETT #4# NIL |TREE;every?;M$B;25|)
       (SEQ (LETT |c| NIL |TREE;every?;M$B;25|)
        (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;every?;M$B;25|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |c| (CAR #1#) |TREE;every?;M$B;25|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (SPADCALL |fn| |c| (QREFELT $ 48)) |TREE;every?;M$B;25|)
           (COND
            (#4# (LETT #3# (COND (#3# #2#) ('T 'NIL)) |TREE;every?;M$B;25|))
            ('T
             (PROGN (LETT #3# #2# |TREE;every?;M$B;25|)
              (LETT #4# 'T |TREE;every?;M$B;25|)))))))
        (LETT #1# (CDR #1#) |TREE;every?;M$B;25|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T 'T))))
     ('T 'NIL)))))) 

(DEFUN |TREE;member?;S$B;26| (|n| |t| $)
 (PROG (|c| #1=#:G3699 #2=#:G3696 #3=#:G3694 #4=#:G3695)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) 'NIL)
     ((SPADCALL |n| (SPADCALL |t| (QREFELT $ 17)) (QREFELT $ 18)) 'T)
     ('T
      (PROGN (LETT #4# NIL |TREE;member?;S$B;26|)
       (SEQ (LETT |c| NIL |TREE;member?;S$B;26|)
        (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;member?;S$B;26|) G190
        (COND
         ((OR (ATOM #1#)
           (PROGN (LETT |c| (CAR #1#) |TREE;member?;S$B;26|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (SPADCALL |n| |c| (QREFELT $ 49)) |TREE;member?;S$B;26|)
           (COND
            (#4# (LETT #3# (COND (#3# 'T) ('T #2#)) |TREE;member?;S$B;26|))
            ('T
             (PROGN (LETT #3# #2# |TREE;member?;S$B;26|)
              (LETT #4# 'T |TREE;member?;S$B;26|)))))))
        (LETT #1# (CDR #1#) |TREE;member?;S$B;26|) (GO G190) G191 (EXIT NIL))
       (COND (#4# #3#) ('T 'NIL))))))))) 

(DEFUN |TREE;members;$L;27| (|t| $) (SPADCALL |t| (QREFELT $ 50))) 

(DEFUN |TREE;parts;$L;28| (|t| $)
 (PROG
  (#1=#:G3707 |c| #2=#:G3708 |u| #3=#:G3540 #4=#:G3709 #5=#:G3704 #6=#:G3702
   #7=#:G3703)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) NIL)
     ('T
      (SEQ
       (LETT |u|
        (PROGN (LETT #1# NIL |TREE;parts;$L;28|)
         (SEQ (LETT |c| NIL |TREE;parts;$L;28|)
          (LETT #2# (SPADCALL |t| (QREFELT $ 12)) |TREE;parts;$L;28|) G190
          (COND
           ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |TREE;parts;$L;28|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |c| (QREFELT $ 50)) #1#)
             |TREE;parts;$L;28|)))
          (LETT #2# (CDR #2#) |TREE;parts;$L;28|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |TREE;parts;$L;28|)
       (EXIT
        (COND
         ((SPADCALL |u| NIL (QREFELT $ 53))
          (LIST (SPADCALL |t| (QREFELT $ 17))))
         ('T
          (CONS (SPADCALL |t| (QREFELT $ 17))
           (PROGN (LETT #7# NIL |TREE;parts;$L;28|)
            (SEQ (LETT #3# NIL |TREE;parts;$L;28|)
             (LETT #4# |u| |TREE;parts;$L;28|) G190
             (COND
              ((OR (ATOM #4#)
                (PROGN (LETT #3# (CAR #4#) |TREE;parts;$L;28|) NIL))
               (GO G191)))
             (SEQ
              (EXIT
               (PROGN (LETT #5# #3# |TREE;parts;$L;28|)
                (COND (#7# (LETT #6# (APPEND #6# #5#) |TREE;parts;$L;28|))
                 ('T
                  (PROGN (LETT #6# #5# |TREE;parts;$L;28|)
                   (LETT #7# 'T |TREE;parts;$L;28|)))))))
             (LETT #4# (CDR #4#) |TREE;parts;$L;28|) (GO G190) G191 (EXIT NIL))
            (COND (#7# #6#) ('T (|IdentityError| '|append|))))))))))))))) 

(DEFUN |TREE;=;2$B;29| (|t1| |t2| $) (|TREE;equal?| |t1| |t2| |t1| |t2| 0 $)) 

(DEFUN |TREE;equal?| (|t1| |t2| |ot1| |ot2| |k| $)
 (PROG
  (|c1| |c2| |y| #1=#:G3724 |x| #2=#:G3723 #3=#:G3718 #4=#:G3716 #5=#:G3717)
  (RETURN
   (SEQ
    (COND
     ((EQL |k| 5)
      (COND
       ((OR (SPADCALL |ot1| (QREFELT $ 54)) (SPADCALL |ot2| (QREFELT $ 54)))
        (EXIT
         (|error| "use cyclicEqual? to test equality on cyclic trees"))))))
    (EXIT
     (COND ((QEQCAR |t1| 1) (QEQCAR |t2| 1)) ((QEQCAR |t2| 1) 'NIL)
      ('T
       (COND
        ((SPADCALL (SPADCALL |t1| (QREFELT $ 17))
          (SPADCALL |t2| (QREFELT $ 17)) (QREFELT $ 18))
         (SEQ (LETT |c1| (SPADCALL |t1| (QREFELT $ 12)) |TREE;equal?|)
          (LETT |c2| (SPADCALL |t2| (QREFELT $ 12)) |TREE;equal?|)
          (EXIT
           (COND
            ((SPADCALL |c1| |c2| (QREFELT $ 55))
             (PROGN (LETT #5# NIL |TREE;equal?|)
              (SEQ (LETT |y| NIL |TREE;equal?|) (LETT #1# |c2| |TREE;equal?|)
               (LETT |x| NIL |TREE;equal?|) (LETT #2# |c1| |TREE;equal?|) G190
               (COND
                ((OR (ATOM #2#) (PROGN (LETT |x| (CAR #2#) |TREE;equal?|) NIL)
                  (ATOM #1#) (PROGN (LETT |y| (CAR #1#) |TREE;equal?|) NIL))
                 (GO G191)))
               (SEQ
                (EXIT
                 (PROGN
                  (LETT #3# (|TREE;equal?| |x| |y| |ot1| |ot2| (+ |k| 1) $)
                   |TREE;equal?|)
                  (COND
                   (#5# (LETT #4# (COND (#4# #3#) ('T 'NIL)) |TREE;equal?|))
                   ('T
                    (PROGN (LETT #4# #3# |TREE;equal?|)
                     (LETT #5# 'T |TREE;equal?|)))))))
               (LETT #2# (PROG1 (CDR #2#) (LETT #1# (CDR #1#) |TREE;equal?|))
                |TREE;equal?|)
               (GO G190) G191 (EXIT NIL))
              (COND (#5# #4#) ('T 'T))))
            ('T 'NIL)))))
        ('T 'NIL))))))))) 

(DEFUN |TREE;#;$Nni;31| (|t| $) (|TREE;treeCount| |t| |t| 0 $)) 

(DEFUN |TREE;treeCount| (|t| |origTree| |k| $)
 (PROG (|c| #1=#:G3738 #2=#:G3735 #3=#:G3733 #4=#:G3734)
  (RETURN
   (SEQ
    (COND
     ((EQL |k| 5)
      (COND
       ((SPADCALL |origTree| (QREFELT $ 54))
        (EXIT (|error| "# is not defined on cyclic trees"))))))
    (EXIT
     (COND ((QEQCAR |t| 1) 0)
      ('T
       (+ 1
        (PROGN (LETT #4# NIL |TREE;treeCount|)
         (SEQ (LETT |c| NIL |TREE;treeCount|)
          (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;treeCount|) G190
          (COND
           ((OR (ATOM #1#) (PROGN (LETT |c| (CAR #1#) |TREE;treeCount|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (PROGN
             (LETT #2# (|TREE;treeCount| |c| |origTree| (+ |k| 1) $)
              |TREE;treeCount|)
             (COND (#4# (LETT #3# (+ #3# #2#) |TREE;treeCount|))
              ('T
               (PROGN (LETT #3# #2# |TREE;treeCount|)
                (LETT #4# 'T |TREE;treeCount|)))))))
          (LETT #1# (CDR #1#) |TREE;treeCount|) (GO G190) G191 (EXIT NIL))
         (COND (#4# #3#) ('T 0))))))))))) 

(DEFUN |TREE;copy;2$;33| (|t| $) (|TREE;copy1| |t| |t| 0 $)) 

(DEFUN |TREE;copy1| (|t| |origTree| |k| $)
 (PROG (#1=#:G3748 |x| #2=#:G3749)
  (RETURN
   (SEQ
    (COND
     ((EQL |k| 5)
      (COND
       ((SPADCALL |origTree| (QREFELT $ 54))
        (EXIT (|error| "use cyclicCopy to copy a cyclic tree"))))))
    (EXIT
     (COND ((QEQCAR |t| 1) |t|)
      ((SPADCALL (SPADCALL |t| (QREFELT $ 12)) (QREFELT $ 34))
       (SPADCALL (SPADCALL |t| (QREFELT $ 17)) (QREFELT $ 25)))
      ('T
       (SPADCALL (SPADCALL |t| (QREFELT $ 17))
        (PROGN (LETT #1# NIL |TREE;copy1|)
         (SEQ (LETT |x| NIL |TREE;copy1|)
          (LETT #2# (SPADCALL |t| (QREFELT $ 12)) |TREE;copy1|) G190
          (COND
           ((OR (ATOM #2#) (PROGN (LETT |x| (CAR #2#) |TREE;copy1|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (|TREE;copy1| |x| |origTree| (+ |k| 1) $) #1#)
             |TREE;copy1|)))
          (LETT #2# (CDR #2#) |TREE;copy1|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        (QREFELT $ 23))))))))) 

(DEFUN |TREE;coerce;$Of;35| (|t| $)
 (|TREE;coerce1| |t| (SPADCALL (QREFELT $ 40)) (SPADCALL |t| (QREFELT $ 57))
  $)) 

(DEFUN |TREE;coerce1| (|t| |parents| |pl| $)
 (PROG (|k| |nodeForm| #1=#:G3760 |br| #2=#:G3761)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t| 1) (SPADCALL NIL (QREFELT $ 60)))
     ((|TREE;eqMember?| |t| |parents| $)
      (|TREE;multipleOverbar| "." (|TREE;eqMemberIndex| |t| |pl| 0 $) |pl| $))
     ((SPADCALL (SPADCALL |t| (QREFELT $ 12)) (QREFELT $ 34))
      (SPADCALL (SPADCALL |t| (QREFELT $ 17)) (QREFELT $ 61)))
     ('T
      (SEQ
       (LETT |nodeForm| (SPADCALL (SPADCALL |t| (QREFELT $ 17)) (QREFELT $ 61))
        |TREE;coerce1|)
       (SEQ (LETT |k| (|TREE;eqMemberIndex| |t| |pl| 0 $) |TREE;coerce1|)
        (EXIT
         (COND
          ((< 0 |k|)
           (LETT |nodeForm| (|TREE;multipleOverbar| |nodeForm| |k| |pl| $)
            |TREE;coerce1|)))))
       (EXIT
        (SPADCALL |nodeForm|
         (PROGN (LETT #1# NIL |TREE;coerce1|)
          (SEQ (LETT |br| NIL |TREE;coerce1|)
           (LETT #2# (SPADCALL |t| (QREFELT $ 12)) |TREE;coerce1|) G190
           (COND
            ((OR (ATOM #2#) (PROGN (LETT |br| (CAR #2#) |TREE;coerce1|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS
               (|TREE;coerce1| |br| (SPADCALL |t| |parents| (QREFELT $ 45))
                |pl| $)
               #1#)
              |TREE;coerce1|)))
           (LETT #2# (CDR #2#) |TREE;coerce1|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         (QREFELT $ 62)))))))))) 

(DEFUN |TREE;multipleOverbar| (|x| |k| |pl| $)
 (PROG (|s| |c|)
  (RETURN
   (SEQ
    (COND ((< |k| 1) |x|)
     ((EQL (SPADCALL |pl| (QREFELT $ 63)) 1) (SPADCALL |x| (QREFELT $ 64)))
     ('T
      (SEQ (LETT |s| "abcdefghijklmnopqrstuvwxyz" |TREE;multipleOverbar|)
       (LETT |c| (SPADCALL |s| (+ 1 (REMAINDER2 (- |k| 1) 26)) (QREFELT $ 67))
        |TREE;multipleOverbar|)
       (EXIT
        (SPADCALL (SPADCALL |c| (QREFELT $ 68)) |x| (QREFELT $ 69)))))))))) 

(DEFUN |TREE;cyclic?;$B;38| (|t| $)
 (|TREE;cyclic2?| |t| (SPADCALL (QREFELT $ 40)) $)) 

(DEFUN |TREE;cyclic2?| (|x| |parents| $)
 (PROG (|y| #1=#:G3775 #2=#:G3774 #3=#:G3770)
  (RETURN
   (SEQ
    (EXIT
     (COND ((SPADCALL |x| (QREFELT $ 9)) 'NIL)
      ((|TREE;eqMember?| |x| |parents| $) 'T)
      ('T
       (SEQ
        (SEQ
         (EXIT
          (SEQ (LETT |y| NIL |TREE;cyclic2?|)
           (LETT #1# (SPADCALL |x| (QREFELT $ 12)) |TREE;cyclic2?|) G190
           (COND
            ((OR (ATOM #1#) (PROGN (LETT |y| (CAR #1#) |TREE;cyclic2?|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((|TREE;cyclic2?| |y| (SPADCALL |x| |parents| (QREFELT $ 45)) $)
               (PROGN
                (LETT #3# (PROGN (LETT #2# 'T |TREE;cyclic2?|) (GO #2#))
                 |TREE;cyclic2?|)
                (GO #3#))))))
           (LETT #1# (CDR #1#) |TREE;cyclic2?|) (GO G190) G191 (EXIT NIL)))
         #3# (EXIT #3#))
        (EXIT 'NIL)))))
    #2# (EXIT #2#))))) 

(DEFUN |TREE;cyclicCopy;2$;40| (|t| $)
 (|TREE;cyclicCopy2| |t| (SPADCALL |t| (QREFELT $ 70)) $)) 

(DEFUN |TREE;cyclicCopy2| (|t| |cycles| $)
 (PROG (#1=#:G3779 #2=#:G3780 |c| #3=#:G3781)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((|TREE;eqMember?| |t| |cycles| $)
       (PROGN (LETT #1# (|TREE;copyCycle2| |t| |cycles| $) |TREE;cyclicCopy2|)
        (GO #1#)))
      ('T
       (SPADCALL (SPADCALL |t| (QREFELT $ 17))
        (PROGN (LETT #2# NIL |TREE;cyclicCopy2|)
         (SEQ (LETT |c| NIL |TREE;cyclicCopy2|)
          (LETT #3# (SPADCALL |t| (QREFELT $ 12)) |TREE;cyclicCopy2|) G190
          (COND
           ((OR (ATOM #3#) (PROGN (LETT |c| (CAR #3#) |TREE;cyclicCopy2|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #2# (CONS (|TREE;cyclicCopy2| |c| |cycles| $) #2#)
             |TREE;cyclicCopy2|)))
          (LETT #3# (CDR #3#) |TREE;cyclicCopy2|) (GO G190) G191
          (EXIT (NREVERSE0 #2#))))
        (QREFELT $ 23)))))
    #1# (EXIT #1#))))) 

(DEFUN |TREE;copyCycle2| (|cycle| |cycleList| $)
 (PROG (|newCycle| #1=#:G3785 |c| #2=#:G3786)
  (RETURN
   (SEQ
    (LETT |newCycle|
     (SPADCALL (SPADCALL |cycle| (QREFELT $ 17)) (SPADCALL (QREFELT $ 72))
      (QREFELT $ 23))
     |TREE;copyCycle2|)
    (SPADCALL |newCycle|
     (PROGN (LETT #1# NIL |TREE;copyCycle2|)
      (SEQ (LETT |c| NIL |TREE;copyCycle2|)
       (LETT #2# (SPADCALL |cycle| (QREFELT $ 12)) |TREE;copyCycle2|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |TREE;copyCycle2|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1#
          (CONS (|TREE;copyCycle4| |c| |cycle| |newCycle| |cycleList| $) #1#)
          |TREE;copyCycle2|)))
       (LETT #2# (CDR #2#) |TREE;copyCycle2|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     (QREFELT $ 13))
    (EXIT |newCycle|))))) 

(DEFUN |TREE;copyCycle4| (|t| |cycle| |newCycle| |cycleList| $)
 (PROG (#1=#:G3792 |c| #2=#:G3793)
  (RETURN
   (SEQ
    (COND ((SPADCALL |cycle| (QREFELT $ 9)) (SPADCALL (QREFELT $ 10)))
     ((SPADCALL |t| |cycle| (QREFELT $ 73)) |newCycle|)
     ((|TREE;eqMember?| |t| |cycleList| $)
      (|TREE;copyCycle2| |t| |cycleList| $))
     ('T
      (SPADCALL (SPADCALL |t| (QREFELT $ 17))
       (PROGN (LETT #1# NIL |TREE;copyCycle4|)
        (SEQ (LETT |c| NIL |TREE;copyCycle4|)
         (LETT #2# (SPADCALL |t| (QREFELT $ 12)) |TREE;copyCycle4|) G190
         (COND
          ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |TREE;copyCycle4|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #1#
            (CONS (|TREE;copyCycle4| |c| |cycle| |newCycle| |cycleList| $) #1#)
            |TREE;copyCycle4|)))
         (LETT #2# (CDR #2#) |TREE;copyCycle4|) (GO G190) G191
         (EXIT (NREVERSE0 #1#))))
       (QREFELT $ 23)))))))) 

(DEFUN |TREE;cyclicEntries;$L;44| (|t| $)
 (|TREE;cyclicEntries3| |t| (SPADCALL (QREFELT $ 40)) (SPADCALL (QREFELT $ 40))
  $)) 

(DEFUN |TREE;cyclicEntries3| (|t| |parents| |cl| $)
 (PROG (|y| #1=#:G3800)
  (RETURN
   (SEQ
    (COND ((SPADCALL |t| (QREFELT $ 9)) |cl|)
     ((|TREE;eqMember?| |t| |parents| $) (|TREE;insert| |t| |cl| $))
     ('T
      (SEQ
       (LETT |parents| (SPADCALL |t| |parents| (QREFELT $ 45))
        |TREE;cyclicEntries3|)
       (SEQ (LETT |y| NIL |TREE;cyclicEntries3|)
        (LETT #1# (SPADCALL |t| (QREFELT $ 12)) |TREE;cyclicEntries3|) G190
        (COND
         ((OR (ATOM #1#)
           (PROGN (LETT |y| (CAR #1#) |TREE;cyclicEntries3|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT |cl| (|TREE;cyclicEntries3| |t| |parents| |cl| $)
           |TREE;cyclicEntries3|)))
        (LETT #1# (CDR #1#) |TREE;cyclicEntries3|) (GO G190) G191 (EXIT NIL))
       (EXIT |cl|)))))))) 

(DEFUN |TREE;cyclicEqual?;2$B;46| (|t1| |t2| $)
 (PROG (|cp1| |cp2|)
  (RETURN
   (SEQ (LETT |cp1| (SPADCALL |t1| (QREFELT $ 57)) |TREE;cyclicEqual?;2$B;46|)
    (LETT |cp2| (SPADCALL |t2| (QREFELT $ 57)) |TREE;cyclicEqual?;2$B;46|)
    (COND
     ((EQL (SPADCALL |cp1| (QREFELT $ 63)) (SPADCALL |cp2| (QREFELT $ 63)))
      (COND
       ((SPADCALL |cp1| (QREFELT $ 74))
        (EXIT (SPADCALL |t1| |t2| (QREFELT $ 28))))))
     ('T (EXIT (SPADCALL |t1| |t2| (QREFELT $ 28)))))
    (EXIT (|TREE;cyclicEqual4?| |t1| |t2| |cp1| |cp2| $)))))) 

(DEFUN |TREE;cyclicEqual4?| (|t1| |t2| |cp1| |cp2| $)
 (PROG
  (|k| #1=#:G3814 |y| #2=#:G3817 |x| #3=#:G3816 #4=#:G3813 #5=#:G3811
   #6=#:G3812)
  (RETURN
   (SEQ
    (COND ((QEQCAR |t1| 1) (QEQCAR |t2| 1)) ((QEQCAR |t2| 1) 'NIL)
     ('T
      (SEQ
       (EXIT
        (SEQ
         (SEQ
          (LETT |k| (|TREE;eqMemberIndex| |t1| |cp1| 0 $) |TREE;cyclicEqual4?|)
          (EXIT
           (COND
            ((NULL (EQL 0 |k|))
             (PROGN
              (LETT #1#
               (SPADCALL |t2| (SPADCALL |cp2| |k| (QREFELT $ 76))
                (QREFELT $ 73))
               |TREE;cyclicEqual4?|)
              (GO #1#))))))
         (EXIT
          (COND
           ((SPADCALL (SPADCALL |t1| (QREFELT $ 17))
             (SPADCALL |t2| (QREFELT $ 17)) (QREFELT $ 18))
            (PROGN (LETT #6# NIL |TREE;cyclicEqual4?|)
             (SEQ (LETT |y| NIL |TREE;cyclicEqual4?|)
              (LETT #2# (SPADCALL |t2| (QREFELT $ 12)) |TREE;cyclicEqual4?|)
              (LETT |x| NIL |TREE;cyclicEqual4?|)
              (LETT #3# (SPADCALL |t1| (QREFELT $ 12)) |TREE;cyclicEqual4?|)
              G190
              (COND
               ((OR (ATOM #3#)
                 (PROGN (LETT |x| (CAR #3#) |TREE;cyclicEqual4?|) NIL)
                 (ATOM #2#)
                 (PROGN (LETT |y| (CAR #2#) |TREE;cyclicEqual4?|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (PROGN
                 (LETT #4# (|TREE;cyclicEqual4?| |x| |y| |cp1| |cp2| $)
                  |TREE;cyclicEqual4?|)
                 (COND
                  (#6#
                   (LETT #5# (COND (#5# #4#) ('T 'NIL)) |TREE;cyclicEqual4?|))
                  ('T
                   (PROGN (LETT #5# #4# |TREE;cyclicEqual4?|)
                    (LETT #6# 'T |TREE;cyclicEqual4?|)))))))
              (LETT #3#
               (PROG1 (CDR #3#) (LETT #2# (CDR #2#) |TREE;cyclicEqual4?|))
               |TREE;cyclicEqual4?|)
              (GO G190) G191 (EXIT NIL))
             (COND (#6# #5#) ('T 'T))))
           ('T 'NIL)))))
       #1# (EXIT #1#)))))))) 

(DEFUN |TREE;cyclicParents;$L;48| (|t| $)
 (|TREE;cyclicParents3| |t| (SPADCALL (QREFELT $ 40)) (SPADCALL (QREFELT $ 40))
  $)) 

(DEFUN |TREE;cyclicParents3| (|x| |parents| |pl| $)
 (PROG (#1=#:G3827 #2=#:G3828 |cycleMembers| |y| #3=#:G3829)
  (RETURN
   (SEQ
    (COND ((SPADCALL |x| (QREFELT $ 9)) |pl|)
     ((|TREE;eqMember?| |x| |parents| $)
      (SEQ
       (LETT |cycleMembers|
        (PROGN (LETT #1# NIL |TREE;cyclicParents3|)
         (SEQ (LETT |y| NIL |TREE;cyclicParents3|)
          (LETT #2# |parents| |TREE;cyclicParents3|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |y| (CAR #2#) |TREE;cyclicParents3|) NIL)
             (NULL (COND ((SPADCALL |x| |y| (QREFELT $ 73)) 'NIL) ('T 'T))))
            (GO G191)))
          (SEQ (EXIT (LETT #1# (CONS |y| #1#) |TREE;cyclicParents3|)))
          (LETT #2# (CDR #2#) |TREE;cyclicParents3|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |TREE;cyclicParents3|)
       (EXIT
        (|TREE;eqUnion| (SPADCALL |x| |cycleMembers| (QREFELT $ 45)) |pl| $))))
     ('T
      (SEQ
       (LETT |parents| (SPADCALL |x| |parents| (QREFELT $ 45))
        |TREE;cyclicParents3|)
       (SEQ (LETT |y| NIL |TREE;cyclicParents3|)
        (LETT #3# (SPADCALL |x| (QREFELT $ 12)) |TREE;cyclicParents3|) G190
        (COND
         ((OR (ATOM #3#)
           (PROGN (LETT |y| (CAR #3#) |TREE;cyclicParents3|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT |pl| (|TREE;cyclicParents3| |y| |parents| |pl| $)
           |TREE;cyclicParents3|)))
        (LETT #3# (CDR #3#) |TREE;cyclicParents3|) (GO G190) G191 (EXIT NIL))
       (EXIT |pl|)))))))) 

(DEFUN |TREE;insert| (|x| |l| $)
 (COND ((|TREE;eqMember?| |x| |l| $) |l|)
  ('T (SPADCALL |x| |l| (QREFELT $ 45))))) 

(DEFUN |TREE;lastNode| (|l| $)
 (SEQ
  (COND ((SPADCALL |l| (QREFELT $ 34)) (|error| "empty tree has no last node"))
   ('T
    (SEQ
     (SEQ G190
      (COND
       ((NULL
         (COND ((SPADCALL (SPADCALL |l| (QREFELT $ 77)) (QREFELT $ 34)) 'NIL)
          ('T 'T)))
        (GO G191)))
      (SEQ (EXIT (LETT |l| (SPADCALL |l| (QREFELT $ 77)) |TREE;lastNode|))) NIL
      (GO G190) G191 (EXIT NIL))
     (EXIT |l|)))))) 

(DEFUN |TREE;eqMember?| (|y| |l| $)
 (PROG (|x| #1=#:G3844 #2=#:G3843 #3=#:G3841)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |x| NIL |TREE;eqMember?|) (LETT #1# |l| |TREE;eqMember?|)
         G190
         (COND
          ((OR (ATOM #1#) (PROGN (LETT |x| (CAR #1#) |TREE;eqMember?|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((SPADCALL |x| |y| (QREFELT $ 73))
             (PROGN
              (LETT #3# (PROGN (LETT #2# 'T |TREE;eqMember?|) (GO #2#))
               |TREE;eqMember?|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |TREE;eqMember?|) (GO G190) G191 (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT 'NIL)))
    #2# (EXIT #2#))))) 

(DEFUN |TREE;eqMemberIndex| (|x| |l| |k| $)
 (SEQ
  (COND ((SPADCALL |l| (QREFELT $ 74)) |k|)
   ('T
    (SEQ (LETT |k| (+ |k| 1) |TREE;eqMemberIndex|)
     (EXIT
      (COND ((SPADCALL |x| (SPADCALL |l| (QREFELT $ 78)) (QREFELT $ 73)) |k|)
       ('T
        (|TREE;eqMemberIndex| |x| (SPADCALL |l| (QREFELT $ 77)) |k| $))))))))) 

(DEFUN |TREE;eqUnion| (|u| |v| $)
 (PROG (|x| |newV|)
  (RETURN
   (SEQ
    (COND ((SPADCALL |u| (QREFELT $ 74)) |v|)
     ('T
      (SEQ (LETT |x| (SPADCALL |u| (QREFELT $ 78)) |TREE;eqUnion|)
       (LETT |newV|
        (COND ((|TREE;eqMember?| |x| |v| $) |v|)
         ('T (SPADCALL |x| |v| (QREFELT $ 45))))
        |TREE;eqUnion|)
       (EXIT (|TREE;eqUnion| (SPADCALL |u| (QREFELT $ 77)) |newV| $))))))))) 

(DEFUN |Tree| (#1=#:G3853)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3854)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|Tree|) '|domainEqualList|)
        |Tree|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT (PROG1 (|Tree;| #1#) (LETT #2# T |Tree|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|Tree|))))))))))) 

(DEFUN |Tree;| (|#1|)
 (PROG (DV$1 |dv$| $ #1=#:G3850 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #2=(|Tree|))
    (LETT |dv$| (LIST '|Tree| DV$1) . #2#) (LETT $ (GETREFV 83) . #2#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (LETT #1# (|HasCategory| |#1| '(|SetCategory|)) . #2#)
        (AND #1# (|HasCategory| |#1| (LIST '|Evalable| (|devaluate| |#1|))))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|Tree| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (QSETREFV $ 7
     (|Union|
      (|:| |node| (|Record| (|:| |value| |#1|) (|:| |args| (|List| $))))
      (|:| |empty| "empty")))
    (COND
     ((|testBitVector| |pv$| 1)
      (PROGN
       (QSETREFV $ 59 (CONS (|dispatchFunction| |TREE;coerce;$Of;35|) $)))))
    $)))) 

(MAKEPROP '|Tree| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) '|Rep| (|Boolean|)
     |TREE;empty?;$B;1| |TREE;empty;$;2| (|List| $) |TREE;children;$L;3|
     |TREE;setchildren!;$L$;4| |TREE;setvalue!;$2S;5| (|NonNegativeInteger|)
     |TREE;count;S$Nni;6| |TREE;value;$S;13| (0 . =) (|Mapping| 8 6)
     |TREE;count;M$Nni;7| (|Mapping| 6 6) |TREE;map;M2$;8| |TREE;tree;SL$;10|
     |TREE;map!;M2$;9| |TREE;tree;S$;11| (|List| 6) |TREE;tree;L$;12|
     |TREE;=;2$B;29| |TREE;child?;2$B;14| (|Integer|) |TREE;distance;2$I;16|
     |TREE;node?;2$B;17| (|List| $$) (6 . |empty?|) |TREE;leaf?;$B;18|
     |TREE;leaves;$L;19| |TREE;#;$Nni;31| |TREE;less?;$NniB;20|
     |TREE;more?;$NniB;21| (11 . |empty|) |TREE;nodes;$L;22| (|List| 33)
     (15 . =) (21 . |append|) (27 . |cons|) |TREE;size?;$NniB;23|
     |TREE;any?;M$B;24| |TREE;every?;M$B;25| |TREE;member?;S$B;26|
     |TREE;parts;$L;28| |TREE;members;$L;27| (|List| 26) (33 . =)
     |TREE;cyclic?;$B;38| (39 . =) |TREE;copy;2$;33| |TREE;cyclicParents;$L;48|
     (|OutputForm|) (45 . |coerce|) (50 . |coerce|) (55 . |coerce|)
     (60 . |prefix|) (66 . |#|) (71 . |overbar|) (|Character|) (|String|)
     (76 . |elt|) (82 . |coerce|) (87 . |overlabel|) |TREE;cyclicEntries;$L;44|
     |TREE;cyclicCopy;2$;40| (93 . |nil|) (97 . |eq?|) (103 . |null|)
     |TREE;cyclicEqual?;2$B;46| (108 . |elt|) (114 . |rest|) (119 . |first|)
     (|List| 80) (|Equation| 6) '"value" (|SingleInteger|))
  '#(~= 124 |value| 130 |tree| 135 |size?| 151 |setvalue!| 157 |setelt| 163
     |setchildren!| 170 |sample| 176 |parts| 180 |nodes| 185 |node?| 190
     |more?| 196 |members| 202 |member?| 207 |map!| 213 |map| 219 |less?| 225
     |leaves| 231 |leaf?| 236 |latex| 241 |hash| 246 |every?| 251 |eval| 257
     |eq?| 283 |empty?| 289 |empty| 294 |elt| 298 |distance| 304
     |cyclicParents| 310 |cyclicEqual?| 315 |cyclicEntries| 321 |cyclicCopy|
     326 |cyclic?| 331 |count| 336 |copy| 348 |coerce| 353 |children| 358
     |child?| 363 |any?| 369 = 375 |#| 381)
  '((|shallowlyMutable| . 0) (|finiteAggregate| . 0))
  (CONS (|makeByteWordVec2| 2 '(0 0 0 2 1 0 2 1 1))
   (CONS
    '#(|RecursiveAggregate&| |HomogeneousAggregate&| |Aggregate&| |Evalable&|
       |SetCategory&| NIL |InnerEvalable&| |BasicType&| NIL)
    (CONS
     '#((|RecursiveAggregate| 6) (|HomogeneousAggregate| 6) (|Aggregate|)
        (|Evalable| 6) (|SetCategory|) (|Type|) (|InnerEvalable| 6 6)
        (|BasicType|) (|CoercibleTo| 58))
     (|makeByteWordVec2| 82
      '(2 6 8 0 0 18 1 33 8 0 34 0 33 0 40 2 42 8 0 0 43 2 33 0 0 0 44 2 33 0 2
        0 45 2 52 8 0 0 53 2 33 8 0 0 55 1 0 58 0 59 1 26 58 0 60 1 6 58 0 61 2
        58 0 0 11 62 1 33 15 0 63 1 58 0 0 64 2 66 65 0 30 67 1 65 58 0 68 2 58
        0 0 0 69 0 33 0 72 2 0 8 0 0 73 1 33 8 0 74 2 33 2 0 30 76 1 33 0 0 77
        1 33 2 0 78 2 1 8 0 0 1 1 0 6 0 17 1 0 0 6 25 1 0 0 26 27 2 0 0 6 11 23
        2 0 8 0 15 46 2 0 6 0 6 14 3 0 6 0 81 6 1 2 0 0 0 11 13 0 0 0 1 1 0 26
        0 50 1 0 11 0 41 2 1 8 0 0 32 2 0 8 0 15 39 1 0 26 0 51 2 1 8 6 0 49 2
        0 0 21 0 24 2 0 0 21 0 22 2 0 8 0 15 38 1 0 26 0 36 1 0 8 0 35 1 1 66 0
        1 1 1 82 0 1 2 0 8 19 0 48 3 2 0 0 26 26 1 3 2 0 0 6 6 1 2 2 0 0 79 1 2
        2 0 0 80 1 2 0 8 0 0 73 1 0 8 0 9 0 0 0 10 2 0 6 0 81 1 2 0 30 0 0 31 1
        0 11 0 57 2 0 8 0 0 75 1 0 11 0 70 1 0 0 0 71 1 0 8 0 54 2 1 15 6 0 16
        2 0 15 19 0 20 1 0 0 0 56 1 1 58 0 59 1 0 11 0 12 2 1 8 0 0 29 2 0 8 19
        0 47 2 1 8 0 0 28 1 0 15 0 37)))))
  '|lookupComplete|)) 
