
(/VERSIONCHECK 2) 

(DEFUN |TS;polynomial;$NniP;1| (|s| |n| $)
 (PROG (|i| |sum|)
  (RETURN
   (SEQ (LETT |sum| (|spadConstant| $ 9) |TS;polynomial;$NniP;1|)
    (SEQ (LETT |i| 0 |TS;polynomial;$NniP;1|) G190
     (COND
      ((OR (QSGREATERP |i| |n|)
        (NULL (COND ((SPADCALL |s| (QREFELT $ 11)) 'NIL) ('T 'T))))
       (GO G191)))
     (SEQ
      (LETT |sum| (SPADCALL |sum| (SPADCALL |s| (QREFELT $ 12)) (QREFELT $ 13))
       |TS;polynomial;$NniP;1|)
      (EXIT (LETT |s| (SPADCALL |s| (QREFELT $ 14)) |TS;polynomial;$NniP;1|)))
     (LETT |i| (QSADD1 |i|) |TS;polynomial;$NniP;1|) (GO G190) G191 (EXIT NIL))
    (EXIT |sum|))))) 

(DEFUN |TaylorSeries| (#1=#:G3554)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3555)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|TaylorSeries|) '|domainEqualList|)
        |TaylorSeries|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|TaylorSeries;| #1#) (LETT #2# T |TaylorSeries|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|TaylorSeries|))))))))))) 

(DEFUN |TaylorSeries;| (|#1|)
 (PROG (DV$1 |dv$| $ #1=#:G3551 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #2=(|TaylorSeries|))
    (LETT |dv$| (LIST '|TaylorSeries| DV$1) . #2#) (LETT $ (GETREFV 35) . #2#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|Algebra| (|Fraction| (|Integer|))))
        (|HasCategory| |#1| '(|CommutativeRing|))
        (|HasCategory| |#1| '(|CharacteristicZero|))
        (|HasCategory| |#1| '(|CharacteristicNonZero|))
        (LETT #1# (|HasCategory| |#1| '(|IntegralDomain|)) . #2#)
        (OR (|HasCategory| |#1| '(|CommutativeRing|)) #1#)
        (|HasCategory| |#1| '(|Field|))))
      . #2#))
    (|haddProp| |$ConstructorCache| '|TaylorSeries| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (QSETREFV $ 7 (|Stream| (|Polynomial| |#1|))) $)))) 

(MAKEPROP '|TaylorSeries| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|SparseMultivariateTaylorSeries| 6 18 8)
     (|local| |#1|) '|Rep| (|Polynomial| 6) (0 . |Zero|) (|Boolean|)
     (4 . |empty?|) (9 . |frst|) (14 . +) (20 . |rst|) (|NonNegativeInteger|)
     |TS;polynomial;$NniP;1| (|Mapping| $) (|Symbol|) (|Integer|)
     (|Fraction| 19) (|Union| $ '"failed")
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|List| 18) (|List| 15) (|List| $) (|Equation| $) (|List| 26)
     (|IndexedExponents| 18) (|Mapping| 6 6) (|List| 28) (|PositiveInteger|)
     (|String|) (|OutputForm|) (|SingleInteger|))
  '#(~= 25 |zero?| 31 |variables| 36 |unitNormal| 41 |unitCanonical| 46 |unit?|
     51 |tanh| 56 |tan| 61 |subtractIfCan| 66 |sqrt| 72 |sinh| 77 |sin| 82
     |sech| 87 |sec| 92 |sample| 97 |reductum| 101 |recip| 106 |polynomial| 111
     |pole?| 124 |pi| 129 |order| 133 |one?| 146 |nthRoot| 151 |monomial?| 157
     |monomial| 162 |map| 196 |log| 202 |leadingMonomial| 207
     |leadingCoefficient| 212 |latex| 217 |integrate| 222 |hash| 235
     |fintegrate| 240 |extend| 247 |exquo| 253 |exp| 259 |eval| 264
     |differentiate| 304 |degree| 330 |csch| 335 |csc| 340 |coth| 345 |cot| 350
     |cosh| 355 |cos| 360 |complete| 365 |coerce| 370 |coefficient| 405
     |charthRoot| 431 |characteristic| 436 |atanh| 440 |atan| 445 |associates?|
     450 |asinh| 456 |asin| 461 |asech| 466 |asec| 471 |acsch| 476 |acsc| 481
     |acoth| 486 |acot| 491 |acosh| 496 |acos| 501 ^ 506 |Zero| 518 |One| 522 D
     526 = 552 / 558 - 564 + 575 ** 581 * 605)
  '(((|commutative| "*") . 2) (|noZeroDivisors| . 5) (|leftUnitary| . 0)
    (|rightUnitary| . 0) (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 6
    '(0 0 0 5 2 5 1 0 2 3 4 6 5 5 1 0 0 6 1 0 0 0 0 2 1 1 0 0 0 0 0 0 0 0 1 0 0
      0 0 1 1 1 1 1 1))
   (CONS
    '#(NIL |PowerSeriesCategory&| |AbelianMonoidRing&| |IntegralDomain&|
       |Algebra&| |Algebra&| |Algebra&| |PartialDifferentialRing&| |Module&|
       NIL NIL NIL |Module&| NIL |Module&| NIL |Ring&| NIL NIL NIL NIL NIL NIL
       NIL NIL NIL |AbelianGroup&| NIL |AbelianMonoid&| |Monoid&|
       |AbelianSemiGroup&| |SemiGroup&| |Evalable&| |SetCategory&|
       |TranscendentalFunctionCategory&| |InnerEvalable&| |InnerEvalable&|
       |BasicType&| NIL |TrigonometricFunctionCategory&|
       |ArcTrigonometricFunctionCategory&| |HyperbolicFunctionCategory&| NIL
       |ElementaryFunctionCategory&| |RadicalCategory&|)
    (CONS
     '#((|MultivariateTaylorSeriesCategory| 6 18)
        (|PowerSeriesCategory| 6 28 18) (|AbelianMonoidRing| 6 28)
        (|IntegralDomain|) (|Algebra| 6) (|Algebra| $$) (|Algebra| 20)
        (|PartialDifferentialRing| 18) (|Module| 6) (|CharacteristicZero|)
        (|CharacteristicNonZero|) (|CommutativeRing|) (|Module| $$)
        (|EntireRing|) (|Module| 20) (|BiModule| 6 6) (|Ring|)
        (|BiModule| $$ $$) (|BiModule| 20 20) (|LeftModule| 6) (|Rng|)
        (|RightModule| 6) (|LeftModule| $$) (|RightModule| $$)
        (|LeftModule| 20) (|RightModule| 20) (|AbelianGroup|)
        (|CancellationAbelianMonoid|) (|AbelianMonoid|) (|Monoid|)
        (|AbelianSemiGroup|) (|SemiGroup|) (|Evalable| $$) (|SetCategory|)
        (|TranscendentalFunctionCategory|) (|InnerEvalable| $$ $$)
        (|InnerEvalable| 18 $$) (|BasicType|) (|CoercibleTo| 33)
        (|TrigonometricFunctionCategory|) (|ArcTrigonometricFunctionCategory|)
        (|HyperbolicFunctionCategory|) (|ArcHyperbolicFunctionCategory|)
        (|ElementaryFunctionCategory|) (|RadicalCategory|))
     (|makeByteWordVec2| 34
      '(0 8 0 9 1 7 10 0 11 1 7 8 0 12 2 8 0 0 0 13 1 7 0 0 14 2 0 10 0 0 1 1 0
        10 0 1 1 0 23 0 1 1 5 22 0 1 1 5 0 0 1 1 5 10 0 1 1 1 0 0 1 1 1 0 0 1 2
        0 21 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 0 0 0 1 1
        0 0 0 1 1 0 21 0 1 3 0 8 0 15 15 1 2 0 8 0 15 16 1 0 10 0 1 0 1 0 1 3 0
        15 0 18 15 1 2 0 15 0 18 1 1 0 10 0 1 2 1 0 0 19 1 1 0 10 0 1 3 0 0 0
        23 24 1 3 0 0 0 18 15 1 2 0 0 6 28 1 3 0 0 0 18 28 1 3 0 0 0 23 30 1 2
        0 0 29 0 1 1 1 0 0 1 1 0 0 0 1 1 0 6 0 1 1 0 32 0 1 3 1 0 0 18 6 1 2 1
        0 0 18 1 1 0 34 0 1 3 1 0 17 18 6 1 2 0 0 0 15 1 2 5 21 0 0 1 1 1 0 0 1
        3 0 0 0 25 25 1 2 0 0 0 26 1 3 0 0 0 0 0 1 2 0 0 0 27 1 3 0 0 0 18 0 1
        3 0 0 0 23 25 1 3 0 0 0 23 24 1 3 0 0 0 18 15 1 2 0 0 0 18 1 2 0 0 0 23
        1 1 0 28 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0
        1 1 0 0 0 1 1 1 0 20 1 1 2 0 6 1 1 5 0 0 1 1 0 0 8 1 1 0 0 18 1 1 0 0
        19 1 1 0 33 0 1 2 0 8 0 15 1 3 0 0 0 23 24 1 3 0 0 0 18 15 1 2 0 6 0 28
        1 1 4 21 0 1 0 0 15 1 1 1 0 0 1 1 1 0 0 1 2 5 10 0 0 1 1 1 0 0 1 1 1 0
        0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0 1 1 1 0 0
        1 1 1 0 0 1 2 0 0 0 15 1 2 0 0 0 31 1 0 0 0 1 0 0 0 1 3 0 0 0 23 24 1 2
        0 0 0 23 1 3 0 0 0 18 15 1 2 0 0 0 18 1 2 0 10 0 0 1 2 7 0 0 6 1 2 0 0
        0 0 1 1 0 0 0 1 2 0 0 0 0 1 2 1 0 0 20 1 2 1 0 0 0 1 2 0 0 0 15 1 2 0 0
        0 31 1 2 1 0 0 20 1 2 1 0 20 0 1 2 0 0 6 0 1 2 0 0 0 6 1 2 0 0 0 0 1 2
        0 0 19 0 1 2 0 0 15 0 1 2 0 0 31 0 1)))))
  '|lookupComplete|)) 
