
(/VERSIONCHECK 2) 

(DEFUN |ULS;variable;$S;1| (|x| $) (QREFELT $ 7)) 

(DEFUN |ULS;center;$Coef;2| (|x| $) (QREFELT $ 8)) 

(DEFUN |ULS;coerce;V$;3| (|v| $)
 (COND
  ((SPADCALL (QREFELT $ 8) (QREFELT $ 13))
   (SPADCALL (|spadConstant| $ 14) 1 (QREFELT $ 17)))
  ('T
   (SPADCALL (SPADCALL (|spadConstant| $ 14) 1 (QREFELT $ 17))
    (SPADCALL (QREFELT $ 8) 0 (QREFELT $ 17)) (QREFELT $ 20))))) 

(DEFUN |ULS;differentiate;$V$;4| (|x| |v| $) (SPADCALL |x| (QREFELT $ 23))) 

(DEFUN |ULS;integrate;$V$;5| (|x| |v| $) (SPADCALL |x| (QREFELT $ 25))) 

(DEFUN |UnivariateLaurentSeries| (&REST #1=#:G3595 &AUX #2=#:G3593)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3594)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|UnivariateLaurentSeries|)
         '|domainEqualList|)
        |UnivariateLaurentSeries|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |UnivariateLaurentSeries;|) #2#)
         (LETT #3# T |UnivariateLaurentSeries|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache| '|UnivariateLaurentSeries|))))))))))) 

(DEFUN |UnivariateLaurentSeries;| (|#1| |#2| |#3|)
 (PROG
  (DV$1 DV$2 DV$3 |dv$| $ #1=#:G3590 #2=#:G3588 #3=#:G3587 #4=#:G3586
   #5=#:G3585 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #6=(|UnivariateLaurentSeries|))
    (LETT DV$2 (|devaluate| |#2|) . #6#) (LETT DV$3 (|devaluate| |#3|) . #6#)
    (LETT |dv$| (LIST '|UnivariateLaurentSeries| DV$1 DV$2 DV$3) . #6#)
    (LETT $ (GETREFV 81) . #6#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#1| '(|IntegralDomain|))
        (|HasCategory| |#1| '(|CommutativeRing|))
        (OR (|HasCategory| |#1| '(|CommutativeRing|))
         (|HasCategory| |#1| '(|IntegralDomain|)))
        (|HasCategory| (|Integer|) '(|SemiGroup|))
        (LETT #1# (|HasCategory| |#1| '(|Field|)) . #6#)
        (OR
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|CharacteristicZero|)))
         (|HasCategory| |#1| '(|CharacteristicZero|)))
        (OR
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|PartialDifferentialRing| (|Symbol|))))
         (AND (|HasCategory| |#1| '(|PartialDifferentialRing| (|Symbol|)))
          (|HasSignature| |#1|
           (LIST '*
            (LIST (|devaluate| |#1|) '(|Integer|) (|devaluate| |#1|))))))
        (OR
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|DifferentialRing|)))
         (|HasSignature| |#1|
          (LIST '* (LIST (|devaluate| |#1|) '(|Integer|) (|devaluate| |#1|)))))
        (OR #1# (|HasCategory| |#1| '(|IntegralDomain|)))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|RetractableTo| (|Symbol|))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|ConvertibleTo| (|InputForm|))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|RealConstant|)))
        (OR (|HasCategory| |#1| '(|CommutativeRing|)) #1#
         (|HasCategory| |#1| '(|IntegralDomain|)))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|OrderedIntegralDomain|)))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|RetractableTo| (|Integer|))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|StepThrough|)))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          (LIST '|Eltable|
           (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|))
           (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|)))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          (LIST '|Evalable|
           (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|)))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          (LIST '|InnerEvalable| '(|Symbol|)
           (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
            (|devaluate| |#2|) (|devaluate| |#3|)))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|LinearlyExplicitRingOver| (|Integer|))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|ConvertibleTo| (|Pattern| (|Integer|)))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|ConvertibleTo| (|Pattern| (|Float|)))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|PatternMatchable| (|Integer|))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|PatternMatchable| (|Float|))))
        (|HasSignature| |#1|
         (LIST '** (LIST (|devaluate| |#1|) (|devaluate| |#1|) '(|Integer|))))
        (AND
         (|HasSignature| |#1|
          (LIST '** (LIST (|devaluate| |#1|) (|devaluate| |#1|) '(|Integer|))))
         (|HasSignature| |#1|
          (LIST '|coerce| (LIST (|devaluate| |#1|) '(|Symbol|)))))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|IntegerNumberSystem|)))
        (AND #1#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|EuclideanDomain|)))
        (LETT #2#
         (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
          '(|PolynomialFactorizationExplicit|))
         . #6#)
        (AND #1# #2#)
        (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
         '(|CharacteristicNonZero|))
        (LETT #3# (|HasCategory| |#1| '(|CharacteristicNonZero|)) . #6#)
        (OR
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|CharacteristicNonZero|)))
         #3#)
        (OR (AND #1# #2#)
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         (|HasCategory| |#1| '(|IntegralDomain|)))
        (OR (AND #1# #2#)
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         (|HasCategory| |#1| '(|CommutativeRing|)))
        (LETT #4#
         (AND (|HasCategory| |#1| '(|Field|))
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedSet|)))
         . #6#)
        (OR
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         #4#)
        (LETT #5# (|HasCategory| |#1| '(|Algebra| (|Fraction| (|Integer|)))) .
         #6#)
        (OR (AND #1# #2#)
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|ConvertibleTo| (|InputForm|))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|ConvertibleTo| (|Pattern| (|Float|)))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|ConvertibleTo| (|Pattern| (|Integer|)))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           (LIST '|Eltable|
            (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|))
            (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|)))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           (LIST '|Evalable|
            (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|)))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           (LIST '|InnerEvalable| '(|Symbol|)
            (LIST '|UnivariateTaylorSeries| (|devaluate| |#1|)
             (|devaluate| |#2|) (|devaluate| |#3|)))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|LinearlyExplicitRingOver| (|Integer|))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|PatternMatchable| (|Float|))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|PatternMatchable| (|Integer|))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RetractableTo| (|Integer|))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RetractableTo| (|Symbol|))))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|OrderedIntegralDomain|)))
         #4#
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RealConstant|)))
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|StepThrough|)))
         #5#)
        (OR
         (AND (|HasCategory| |#1| '(|PrimitiveFunctionCategory|))
          (|HasCategory| |#1| '(|TranscendentalFunctionCategory|)) #5#
          (|HasCategory| |#1|
           '(|AlgebraicallyClosedFunctionSpace| (|Integer|))))
         (AND #5#
          (|HasSignature| |#1|
           (LIST '|integrate|
            (LIST (|devaluate| |#1|) (|devaluate| |#1|) '(|Symbol|))))
          (|HasSignature| |#1|
           (LIST '|variables|
            (LIST '(|List| (|Symbol|)) (|devaluate| |#1|))))))
        (OR
         (AND #1#
          (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
           '(|RetractableTo| (|Integer|))))
         #5#)))
      . #6#))
    (|haddProp| |$ConstructorCache| '|UnivariateLaurentSeries|
     (LIST DV$1 DV$2 DV$3) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|)
    (AND #1# (|HasCategory| $ '(|CharacteristicNonZero|)) #2#
     (|augmentPredVector| $ 2199023255552))
    (AND
     (OR
      (AND #1#
       (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|)
        '(|CharacteristicNonZero|)))
      (AND #1# (|HasCategory| $ '(|CharacteristicNonZero|)) #2#) #3#)
     (|augmentPredVector| $ 4398046511104))
    (COND
     ((|testBitVector| |pv$| 38)
      (QSETREFV $ 26 (CONS (|dispatchFunction| |ULS;integrate;$V$;5|) $))))
    $)))) 

(MAKEPROP '|UnivariateLaurentSeries| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|UnivariateLaurentSeriesConstructor| 6 30)
     (|local| |#1|) (|local| |#2|) (|local| |#3|) (|Symbol|)
     |ULS;variable;$S;1| |ULS;center;$Coef;2| (|Boolean|) (0 . |zero?|)
     (5 . |One|) (9 . |One|) (|Integer|) (13 . |monomial|) (19 . |Zero|)
     (23 . |Zero|) (27 . +) (|Variable| 7) |ULS;coerce;V$;3|
     (33 . |differentiate|) |ULS;differentiate;$V$;4| (38 . |integrate|)
     (43 . |integrate|) (|InputForm|) (|Pattern| 45) (|Pattern| 16)
     (|UnivariateTaylorSeries| 6 7 8) (|List| 30) (|Equation| 30) (|List| 32)
     (|List| 9) (|Matrix| 16) (|Matrix| $)
     (|Record| (|:| |mat| 35) (|:| |vec| (|Vector| 16))) (|Vector| $)
     (|PatternMatchResult| 45 $) (|PatternMatchResult| 16 $) (|Factored| 42)
     (|SparseUnivariatePolynomial| $) (|Union| 44 '"failed") (|List| 42)
     (|Float|) (|DoubleFloat|) (|Union| 16 '#1="failed") (|Fraction| 16)
     (|Union| 48 '#1#) (|Union| 9 '#1#) (|Union| $ '"failed")
     (|Union| 38 '"failed") (|NonNegativeInteger|)
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|List| 53) (|List| $) (|Factored| $) (|Mapping| 30 30)
     (|Record| (|:| |mat| 60) (|:| |vec| (|Vector| 30))) (|Matrix| 30)
     (|Record| (|:| |coef| 56) (|:| |generator| $)) (|Union| 56 '"failed")
     (|Record| (|:| |quotient| $) (|:| |remainder| $))
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (|Record| (|:| |coef1| $) (|:| |coef2| $)) (|Union| 65 '"failed")
     (|Fraction| (|Polynomial| 6)) (|Stream| 6) (|Union| 30 '"failed")
     (|Mapping| 6 16) (|Record| (|:| |k| 16) (|:| |c| 6)) (|Stream| 71)
     (|PositiveInteger|) (|List| 76) (|List| 16) (|SingletonAsOrderedSet|)
     (|Mapping| 6 6) (|String|) (|OutputForm|) (|SingleInteger|))
  '#(|variable| 49 |monomial| 54 |integrate| 60 |differentiate| 71 |coerce| 82
     |center| 87 |Zero| 92 |One| 96 + 100)
  '(((|commutative| "*") . 35) (|noZeroDivisors| . 34)
    (|canonicalUnitNormal| . 5) (|canonicalsClosed| . 5) (|rightUnitary| . 0)
    (|leftUnitary| . 0) (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 39
    '(0 0 5 5 0 5 30 0 5 5 0 5 14 5 9 39 1 2 5 5 5 39 1 33 6 2 7 8 9 13 14 5 20
      5 0 0 39 3 14 5 0 0 0 0 39 39 2 14 5 5 0 14 0 14 0 0 5 0 0 37 16 5 23 24
      0 39 12 18 5 0 0 0 4 39 39 39 39 39 39 10 11 12 12 15 15 17 18 19 21 22
      5))
   (CONS
    '#(|UnivariateLaurentSeriesConstructorCategory&| NIL
       |QuotientFieldCategory&| |Field&| |UnivariatePowerSeriesCategory&|
       |EuclideanDomain&| |PolynomialFactorizationExplicit&|
       |PowerSeriesCategory&| NIL |UniqueFactorizationDomain&|
       |AbelianMonoidRing&| |GcdDomain&| NIL |DivisionRing&| |IntegralDomain&|
       |Algebra&| |Algebra&| |Algebra&| |Algebra&| |DifferentialExtension&|
       |FullyLinearlyExplicitRingOver&| |Module&| |Module&| NIL NIL |Module&|
       |PartialDifferentialRing&| |DifferentialRing&| NIL NIL |OrderedRing&|
       |Module&| NIL NIL |Ring&| NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL
       NIL NIL NIL NIL |AbelianGroup&| NIL NIL NIL |AbelianMonoid&| |Monoid&|
       NIL |AbelianSemiGroup&| |SemiGroup&| |OrderedSet&| NIL
       |FullyEvalableOver&| NIL NIL |SetCategory&|
       |TranscendentalFunctionCategory&| NIL |Evalable&| NIL |RetractableTo&|
       |BasicType&| NIL NIL |TrigonometricFunctionCategory&|
       |ArcTrigonometricFunctionCategory&| |HyperbolicFunctionCategory&| NIL
       |ElementaryFunctionCategory&| |RadicalCategory&| |RetractableTo&| NIL
       NIL NIL |RetractableTo&| |RetractableTo&| NIL |InnerEvalable&|
       |InnerEvalable&| NIL NIL NIL)
    (CONS
     '#((|UnivariateLaurentSeriesConstructorCategory| 6
         (|UnivariateTaylorSeries| 6 7 8))
        (|UnivariateLaurentSeriesCategory| 6)
        (|QuotientFieldCategory| (|UnivariateTaylorSeries| 6 7 8)) (|Field|)
        (|UnivariatePowerSeriesCategory| 6 16) (|EuclideanDomain|)
        (|PolynomialFactorizationExplicit|) (|PowerSeriesCategory| 6 16 76)
        (|PrincipalIdealDomain|) (|UniqueFactorizationDomain|)
        (|AbelianMonoidRing| 6 16) (|GcdDomain|) (|OrderedIntegralDomain|)
        (|DivisionRing|) (|IntegralDomain|) (|Algebra| 48) (|Algebra| $$)
        (|Algebra| 6) (|Algebra| (|UnivariateTaylorSeries| 6 7 8))
        (|DifferentialExtension| (|UnivariateTaylorSeries| 6 7 8))
        (|FullyLinearlyExplicitRingOver| (|UnivariateTaylorSeries| 6 7 8))
        (|Module| 48) (|Module| $$) (|CharacteristicNonZero|)
        (|CharacteristicZero|) (|Module| 6) (|PartialDifferentialRing| 9)
        (|DifferentialRing|) (|EntireRing|) (|CommutativeRing|) (|OrderedRing|)
        (|Module| (|UnivariateTaylorSeries| 6 7 8))
        (|LinearlyExplicitRingOver| 16)
        (|LinearlyExplicitRingOver| (|UnivariateTaylorSeries| 6 7 8)) (|Ring|)
        (|BiModule| 6 6) (|BiModule| 48 48) (|BiModule| $$ $$)
        (|OrderedAbelianGroup|)
        (|BiModule| (|UnivariateTaylorSeries| 6 7 8)
         (|UnivariateTaylorSeries| 6 7 8))
        (|Rng|) (|LeftModule| 6) (|RightModule| 6) (|LeftModule| $$)
        (|LeftModule| 48) (|RightModule| 48) (|RightModule| $$)
        (|OrderedCancellationAbelianMonoid|)
        (|LeftModule| (|UnivariateTaylorSeries| 6 7 8))
        (|RightModule| (|UnivariateTaylorSeries| 6 7 8)) (|AbelianGroup|)
        (|OrderedAbelianMonoid|) (|CancellationAbelianMonoid|)
        (|OrderedAbelianSemiGroup|) (|AbelianMonoid|) (|Monoid|)
        (|FullyPatternMatchable| (|UnivariateTaylorSeries| 6 7 8))
        (|AbelianSemiGroup|) (|SemiGroup|) (|OrderedSet|) (|StepThrough|)
        (|FullyEvalableOver| (|UnivariateTaylorSeries| 6 7 8))
        (|PatternMatchable| 16) (|PatternMatchable| 45) (|SetCategory|)
        (|TranscendentalFunctionCategory|) (|RealConstant|)
        (|Evalable| (|UnivariateTaylorSeries| 6 7 8))
        (|Patternable| (|UnivariateTaylorSeries| 6 7 8))
        (|RetractableTo| (|UnivariateTaylorSeries| 6 7 8)) (|BasicType|)
        (|CoercibleTo| 79) (|Eltable| $$ $$) (|TrigonometricFunctionCategory|)
        (|ArcTrigonometricFunctionCategory|) (|HyperbolicFunctionCategory|)
        (|ArcHyperbolicFunctionCategory|) (|ElementaryFunctionCategory|)
        (|RadicalCategory|) (|RetractableTo| 9) (|ConvertibleTo| 27)
        (|ConvertibleTo| 46) (|ConvertibleTo| 45) (|RetractableTo| 48)
        (|RetractableTo| 16) (|Eltable| (|UnivariateTaylorSeries| 6 7 8) $$)
        (|InnerEvalable| (|UnivariateTaylorSeries| 6 7 8)
         (|UnivariateTaylorSeries| 6 7 8))
        (|InnerEvalable| 9 (|UnivariateTaylorSeries| 6 7 8))
        (|ConvertibleTo| 29) (|ConvertibleTo| 28) (|Type|))
     (|makeByteWordVec2| 38
      '(1 6 12 0 13 0 6 0 14 0 0 0 15 2 0 0 6 16 17 0 6 0 18 0 0 0 19 2 0 0 0 0
        20 1 0 0 0 23 1 0 0 0 25 2 0 0 0 21 26 1 0 9 0 10 2 0 0 6 16 17 2 38 0
        0 21 26 1 38 0 0 25 1 8 0 0 23 2 0 0 0 21 24 1 0 0 21 22 1 0 6 0 11 0 0
        0 19 0 0 0 15 2 0 0 0 0 20)))))
  '|lookupIncomplete|)) 
