
(/VERSIONCHECK 2) 

(DEFUN |CARTEN;sample;$;1| ($) (SPADCALL (QREFELT $ 16))) 

(DEFUN |CARTEN;int2index| (|n| |indv| $)
 (PROG (|rnk| |i| |qr|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "Index error (too small)"))
     ('T
      (SEQ (LETT |rnk| (QVSIZE |indv|) |CARTEN;int2index|)
       (SEQ (LETT |i| 1 |CARTEN;int2index|) G190
        (COND ((QSGREATERP |i| |rnk|) (GO G191)))
        (SEQ (LETT |qr| (DIVIDE2 |n| (QREFELT $ 7)) |CARTEN;int2index|)
         (LETT |n| (QCAR |qr|) |CARTEN;int2index|)
         (EXIT
          (SPADCALL |indv| (+ (- |rnk| |i|) 1) (+ (QCDR |qr|) (QREFELT $ 6))
           (QREFELT $ 20))))
        (LETT |i| (QSADD1 |i|) |CARTEN;int2index|) (GO G190) G191 (EXIT NIL))
       (EXIT
        (COND ((EQL |n| 0) |indv|)
         ('T (|error| "Index error (too big)"))))))))))) 

(DEFUN |CARTEN;index2int| (|indv| $)
 (PROG (|i| #1=#:G3573 |ix| |n|)
  (RETURN
   (SEQ (LETT |n| 0 |CARTEN;index2int|)
    (SEQ (LETT |i| 1 |CARTEN;index2int|)
     (LETT #1# (QVSIZE |indv|) |CARTEN;index2int|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (LETT |ix| (- (SPADCALL |indv| |i| (QREFELT $ 21)) (QREFELT $ 6))
       |CARTEN;index2int|)
      (COND
       ((OR (< |ix| 0) (< (- (QREFELT $ 7) 1) |ix|))
        (EXIT (|error| "Index error (out of range)"))))
      (EXIT
       (LETT |n| (+ (SPADCALL (QREFELT $ 7) |n| (QREFELT $ 22)) |ix|)
        |CARTEN;index2int|)))
     (LETT |i| (QSADD1 |i|) |CARTEN;index2int|) (GO G190) G191 (EXIT NIL))
    (EXIT |n|))))) 

(DEFUN |CARTEN;lengthRankOrElse| (|v| $)
 (PROG (|qr| |rx|)
  (RETURN
   (SEQ
    (COND ((EQL |v| 1) 0) ((EQL |v| (QREFELT $ 7)) 1)
     ((EQL |v| (QREFELT $ 13)) 2) ((EQL |v| (QREFELT $ 14)) 3)
     ((EQL |v| (QREFELT $ 15)) 4)
     ('T
      (SEQ (LETT |rx| 0 |CARTEN;lengthRankOrElse|)
       (SEQ G190 (COND ((NULL (COND ((EQL |v| 0) 'NIL) ('T 'T))) (GO G191)))
        (SEQ (LETT |qr| (DIVIDE2 |v| (QREFELT $ 7)) |CARTEN;lengthRankOrElse|)
         (LETT |v| (QCAR |qr|) |CARTEN;lengthRankOrElse|)
         (EXIT
          (COND
           ((NULL (EQL |v| 0))
            (COND
             ((NULL (EQL (QCDR |qr|) 0))
              (|error| "Rank is not a whole number"))
             ('T (LETT |rx| (+ |rx| 1) |CARTEN;lengthRankOrElse|)))))))
        NIL (GO G190) G191 (EXIT NIL))
       (EXIT |rx|)))))))) 

(DEFUN |CARTEN;mkPerm| (|n| |l| $)
 (PROG (|p| |seen| #1=#:G3588 |i| |e| #2=#:G3585)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (LENGTH |l|) |n|)) (|error| "The list is not a permutation."))
     ('T
      (SEQ (LETT |p| (SPADCALL |n| 0 (QREFELT $ 23)) |CARTEN;mkPerm|)
       (LETT |seen| (SPADCALL |n| 'NIL (QREFELT $ 26)) |CARTEN;mkPerm|)
       (SEQ (LETT |e| NIL |CARTEN;mkPerm|) (LETT #1# |l| |CARTEN;mkPerm|)
        (LETT |i| 1 |CARTEN;mkPerm|) G190
        (COND
         ((OR (QSGREATERP |i| |n|) (ATOM #1#)
           (PROGN (LETT |e| (CAR #1#) |CARTEN;mkPerm|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (COND
           ((OR (< |e| 1) (< |n| |e|))
            (|error| "The list is not a permutation."))
           ('T
            (SEQ (SPADCALL |p| |i| |e| (QREFELT $ 20))
             (EXIT (SPADCALL |seen| |e| 'T (QREFELT $ 27))))))))
        (LETT |i| (PROG1 (QSADD1 |i|) (LETT #1# (CDR #1#) |CARTEN;mkPerm|))
         |CARTEN;mkPerm|)
        (GO G190) G191 (EXIT NIL))
       (SEQ
        (EXIT
         (SEQ (LETT |e| 1 |CARTEN;mkPerm|) G190
          (COND ((QSGREATERP |e| |n|) (GO G191)))
          (SEQ
           (EXIT
            (COND
             ((NULL (SPADCALL |seen| |e| (QREFELT $ 28)))
              (PROGN
               (LETT #2# (|error| "The list is not a permutation.")
                |CARTEN;mkPerm|)
               (GO #2#))))))
          (LETT |e| (QSADD1 |e|) |CARTEN;mkPerm|) (GO G190) G191 (EXIT NIL)))
        #2# (EXIT #2#))
       (EXIT |p|)))))))) 

(DEFUN |CARTEN;permute!| (|t| |s| |p| $)
 (PROG (|i| #1=#:G3592)
  (RETURN
   (SEQ
    (SEQ (LETT |i| 1 |CARTEN;permute!|)
     (LETT #1# (QVSIZE |p|) |CARTEN;permute!|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |t| |i|
        (SPADCALL |s| (SPADCALL |p| |i| (QREFELT $ 21)) (QREFELT $ 21))
        (QREFELT $ 20))))
     (LETT |i| (QSADD1 |i|) |CARTEN;permute!|) (GO G190) G191 (EXIT NIL))
    (EXIT |t|))))) 

(DEFUN |CARTEN;permsign!| (|v| $)
 (PROG
  (|maxix| #1=#:G3597 |psum| #2=#:G3610 |n| |j| #3=#:G3612 #4=#:G3611 |nTrans|
   |e| |totTrans| |i| #5=#:G3613 #6=#:G3609)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |maxix| (- (+ (QREFELT $ 6) (QVSIZE |v|)) 1) |CARTEN;permsign!|)
      (LETT |psum|
       (PROG2
        (LETT #1#
         (SPADCALL
          (- (* (+ |maxix| 1) |maxix|) (* (QREFELT $ 6) (- (QREFELT $ 6) 1))) 2
          (QREFELT $ 30))
         |CARTEN;permsign!|)
        (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|Integer|) #1#))
       |CARTEN;permsign!|)
      (LETT |n| 0 |CARTEN;permsign!|)
      (SEQ (LETT |i| 1 |CARTEN;permsign!|)
       (LETT #2# (QVSIZE |v|) |CARTEN;permsign!|) G190
       (COND ((QSGREATERP |i| #2#) (GO G191)))
       (SEQ
        (EXIT
         (LETT |n| (+ |n| (SPADCALL |v| |i| (QREFELT $ 21)))
          |CARTEN;permsign!|)))
       (LETT |i| (QSADD1 |i|) |CARTEN;permsign!|) (GO G190) G191 (EXIT NIL))
      (EXIT
       (COND
        ((EQL |n| |psum|)
         (SEQ (LETT |totTrans| 0 |CARTEN;permsign!|)
          (LETT |nTrans| 1 |CARTEN;permsign!|)
          (SEQ G190
           (COND ((NULL (COND ((EQL |nTrans| 0) 'NIL) ('T 'T))) (GO G191)))
           (SEQ (LETT |nTrans| 0 |CARTEN;permsign!|)
            (SEQ (LETT |j| 2 |CARTEN;permsign!|)
             (LETT #3# (QVSIZE |v|) |CARTEN;permsign!|)
             (LETT |i| 1 |CARTEN;permsign!|)
             (LETT #4# (- (QVSIZE |v|) 1) |CARTEN;permsign!|) G190
             (COND ((OR (QSGREATERP |i| #4#) (QSGREATERP |j| #3#)) (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((< (SPADCALL |v| |j| (QREFELT $ 21))
                  (SPADCALL |v| |i| (QREFELT $ 21)))
                 (SEQ (LETT |nTrans| (+ |nTrans| 1) |CARTEN;permsign!|)
                  (LETT |e| (SPADCALL |v| |i| (QREFELT $ 21))
                   |CARTEN;permsign!|)
                  (SPADCALL |v| |i| (SPADCALL |v| |j| (QREFELT $ 21))
                   (QREFELT $ 20))
                  (EXIT (SPADCALL |v| |j| |e| (QREFELT $ 20))))))))
             (LETT |i|
              (PROG1 (QSADD1 |i|) (LETT |j| (QSADD1 |j|) |CARTEN;permsign!|))
              |CARTEN;permsign!|)
             (GO G190) G191 (EXIT NIL))
            (EXIT
             (LETT |totTrans| (+ |totTrans| |nTrans|) |CARTEN;permsign!|)))
           NIL (GO G190) G191 (EXIT NIL))
          (SEQ (LETT |i| 1 |CARTEN;permsign!|)
           (LETT #5# (QREFELT $ 7) |CARTEN;permsign!|) G190
           (COND ((QSGREATERP |i| #5#) (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((NULL
                (EQL (SPADCALL |v| |i| (QREFELT $ 21))
                 (- (+ (QREFELT $ 6) |i|) 1)))
               (PROGN (LETT #6# 0 |CARTEN;permsign!|) (GO #6#))))))
           (LETT |i| (QSADD1 |i|) |CARTEN;permsign!|) (GO G190) G191
           (EXIT NIL))
          (EXIT (COND ((ODDP |totTrans|) -1) ('T 1)))))
        ('T 0)))))
    #6# (EXIT #6#))))) 

(DEFUN |CARTEN;ravel;$L;8| (|x| $)
 (PROG (#1=#:G3616 |i| #2=#:G3617)
  (RETURN
   (SEQ
    (PROGN (LETT #1# NIL |CARTEN;ravel;$L;8|)
     (SEQ (LETT |i| 0 |CARTEN;ravel;$L;8|)
      (LETT #2# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;ravel;$L;8|) G190
      (COND ((QSGREATERP |i| #2#) (GO G191)))
      (SEQ
       (EXIT
        (LETT #1# (CONS (SPADCALL |x| |i| (QREFELT $ 32)) #1#)
         |CARTEN;ravel;$L;8|)))
      (LETT |i| (QSADD1 |i|) |CARTEN;ravel;$L;8|) (GO G190) G191
      (EXIT (NREVERSE0 #1#)))))))) 

(DEFUN |CARTEN;unravel;L$;9| (|l| $)
 (PROG (|nz| |z| |r| #1=#:G3622 |i| #2=#:G3621)
  (RETURN
   (SEQ (LETT |nz| (LENGTH |l|) |CARTEN;unravel;L$;9|)
    (|CARTEN;lengthRankOrElse| |nz| $)
    (LETT |z| (SPADCALL |nz| (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;unravel;L$;9|)
    (SEQ (LETT |r| NIL |CARTEN;unravel;L$;9|)
     (LETT #1# |l| |CARTEN;unravel;L$;9|) (LETT |i| 0 |CARTEN;unravel;L$;9|)
     (LETT #2# (- |nz| 1) |CARTEN;unravel;L$;9|) G190
     (COND
      ((OR (QSGREATERP |i| #2#) (ATOM #1#)
        (PROGN (LETT |r| (CAR #1#) |CARTEN;unravel;L$;9|) NIL))
       (GO G191)))
     (SEQ (EXIT (SPADCALL |z| |i| |r| (QREFELT $ 37))))
     (LETT |i| (PROG1 (QSADD1 |i|) (LETT #1# (CDR #1#) |CARTEN;unravel;L$;9|))
      |CARTEN;unravel;L$;9|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;kroneckerDelta;$;10| ($)
 (PROG (|z| |zi| #1=#:G3627 |i| #2=#:G3626)
  (RETURN
   (SEQ
    (LETT |z| (SPADCALL (QREFELT $ 13) (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;kroneckerDelta;$;10|)
    (SEQ (LETT |zi| 0 |CARTEN;kroneckerDelta;$;10|)
     (LETT #1# (+ (QREFELT $ 7) 1) |CARTEN;kroneckerDelta;$;10|)
     (LETT |i| 1 |CARTEN;kroneckerDelta;$;10|)
     (LETT #2# (QREFELT $ 7) |CARTEN;kroneckerDelta;$;10|) G190
     (COND ((QSGREATERP |i| #2#) (GO G191)))
     (SEQ (EXIT (SPADCALL |z| |zi| (|spadConstant| $ 39) (QREFELT $ 37))))
     (LETT |i|
      (PROG1 (QSADD1 |i|)
       (LETT |zi| (QSPLUS |zi| #1#) |CARTEN;kroneckerDelta;$;10|))
      |CARTEN;kroneckerDelta;$;10|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;leviCivitaSymbol;$;11| ($)
 (PROG (|nz| |z| |indv| |i| #1=#:G3631)
  (RETURN
   (SEQ
    (LETT |nz| (EXPT (QREFELT $ 7) (QREFELT $ 7))
     |CARTEN;leviCivitaSymbol;$;11|)
    (LETT |z| (SPADCALL |nz| (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;leviCivitaSymbol;$;11|)
    (LETT |indv| (SPADCALL (QREFELT $ 7) 0 (QREFELT $ 23))
     |CARTEN;leviCivitaSymbol;$;11|)
    (SEQ (LETT |i| 0 |CARTEN;leviCivitaSymbol;$;11|)
     (LETT #1# (- |nz| 1) |CARTEN;leviCivitaSymbol;$;11|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i|
        (SPADCALL (|CARTEN;permsign!| (|CARTEN;int2index| |i| |indv| $) $)
         (QREFELT $ 40))
        (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;leviCivitaSymbol;$;11|) (GO G190) G191
     (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;degree;$Nni;12| (|x| $) (SPADCALL |x| (QREFELT $ 42))) 

(DEFUN |CARTEN;rank;$Nni;13| (|x| $)
 (PROG (|n|)
  (RETURN
   (SEQ (LETT |n| (SPADCALL |x| (QREFELT $ 31)) |CARTEN;rank;$Nni;13|)
    (EXIT (|CARTEN;lengthRankOrElse| |n| $)))))) 

(DEFUN |CARTEN;elt;$R;14| (|x| $)
 (COND
  ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) 1))
   (|error| "Index error (the rank is not 0)"))
  ('T (SPADCALL |x| 0 (QREFELT $ 32))))) 

(DEFUN |CARTEN;elt;$IR;15| (|x| |i| $)
 (COND
  ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (QREFELT $ 7)))
   (|error| "Index error (the rank is not 1)"))
  ('T (SPADCALL |x| (- |i| (QREFELT $ 6)) (QREFELT $ 32))))) 

(DEFUN |CARTEN;elt;$2IR;16| (|x| |i| |j| $)
 (COND
  ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (QREFELT $ 13)))
   (|error| "Index error (the rank is not 2)"))
  ('T
   (SPADCALL |x|
    (+ (SPADCALL (QREFELT $ 7) (- |i| (QREFELT $ 6)) (QREFELT $ 22))
     (- |j| (QREFELT $ 6)))
    (QREFELT $ 32))))) 

(DEFUN |CARTEN;elt;$3IR;17| (|x| |i| |j| |k| $)
 (COND
  ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (QREFELT $ 14)))
   (|error| "Index error (the rank is not 3)"))
  ('T
   (SPADCALL |x|
    (+
     (+ (SPADCALL (QREFELT $ 13) (- |i| (QREFELT $ 6)) (QREFELT $ 22))
      (SPADCALL (QREFELT $ 7) (- |j| (QREFELT $ 6)) (QREFELT $ 22)))
     (- |k| (QREFELT $ 6)))
    (QREFELT $ 32))))) 

(DEFUN |CARTEN;elt;$4IR;18| (|x| |i| |j| |k| |l| $)
 (COND
  ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (QREFELT $ 15)))
   (|error| "Index error (the rank is not 4)"))
  ('T
   (SPADCALL |x|
    (+
     (+
      (+ (SPADCALL (QREFELT $ 14) (- |i| (QREFELT $ 6)) (QREFELT $ 22))
       (SPADCALL (QREFELT $ 13) (- |j| (QREFELT $ 6)) (QREFELT $ 22)))
      (SPADCALL (QREFELT $ 7) (- |k| (QREFELT $ 6)) (QREFELT $ 22)))
     (- |l| (QREFELT $ 6)))
    (QREFELT $ 32))))) 

(DEFUN |CARTEN;elt;$LR;19| (|x| |i| $)
 (PROG (|ii| #1=#:G3656 |ix| |n|)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (LENGTH |i|) (SPADCALL |x| (QREFELT $ 42))))
      (|error| "Index error (wrong rank)"))
     ('T
      (SEQ (LETT |n| 0 |CARTEN;elt;$LR;19|)
       (SEQ (LETT |ii| NIL |CARTEN;elt;$LR;19|)
        (LETT #1# |i| |CARTEN;elt;$LR;19|) G190
        (COND
         ((OR (ATOM #1#) (PROGN (LETT |ii| (CAR #1#) |CARTEN;elt;$LR;19|) NIL))
          (GO G191)))
        (SEQ (LETT |ix| (- |ii| (QREFELT $ 6)) |CARTEN;elt;$LR;19|)
         (COND
          ((OR (< |ix| 0) (< (- (QREFELT $ 7) 1) |ix|))
           (EXIT (|error| "Index error (out of range)"))))
         (EXIT
          (LETT |n| (+ (SPADCALL (QREFELT $ 7) |n| (QREFELT $ 22)) |ix|)
           |CARTEN;elt;$LR;19|)))
        (LETT #1# (CDR #1#) |CARTEN;elt;$LR;19|) (GO G190) G191 (EXIT NIL))
       (EXIT (SPADCALL |x| |n| (QREFELT $ 32)))))))))) 

(DEFUN |CARTEN;coerce;L$;20| (|lr| $)
 (PROG (|z| |i| #1=#:G3662 |r| #2=#:G3661)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (LENGTH |lr|) (QREFELT $ 7)))
      (|error| "Incorrect number of components"))
     ('T
      (SEQ
       (LETT |z| (SPADCALL (QREFELT $ 7) (|spadConstant| $ 35) (QREFELT $ 36))
        |CARTEN;coerce;L$;20|)
       (SEQ (LETT |i| 0 |CARTEN;coerce;L$;20|)
        (LETT #1# (- (QREFELT $ 7) 1) |CARTEN;coerce;L$;20|)
        (LETT |r| NIL |CARTEN;coerce;L$;20|)
        (LETT #2# |lr| |CARTEN;coerce;L$;20|) G190
        (COND
         ((OR (ATOM #2#) (PROGN (LETT |r| (CAR #2#) |CARTEN;coerce;L$;20|) NIL)
           (QSGREATERP |i| #1#))
          (GO G191)))
        (SEQ (EXIT (SPADCALL |z| |i| |r| (QREFELT $ 37))))
        (LETT #2#
         (PROG1 (CDR #2#) (LETT |i| (QSADD1 |i|) |CARTEN;coerce;L$;20|))
         |CARTEN;coerce;L$;20|)
        (GO G190) G191 (EXIT NIL))
       (EXIT |z|)))))))) 

(DEFUN |CARTEN;coerce;L$;21| (|lx| $)
 (PROG
  (|rx| #1=#:G3670 #2=#:G3665 |nx| |z| |offz| |x| #3=#:G3671 |i| #4=#:G3672)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (SPADCALL |lx| (QREFELT $ 53)) (QREFELT $ 7)))
      (|error| "Incorrect number of slices"))
     ('T
      (SEQ
       (LETT |rx| (SPADCALL (SPADCALL |lx| (QREFELT $ 54)) (QREFELT $ 42))
        |CARTEN;coerce;L$;21|)
       (SEQ
        (EXIT
         (SEQ (LETT |x| NIL |CARTEN;coerce;L$;21|)
          (LETT #1# |lx| |CARTEN;coerce;L$;21|) G190
          (COND
           ((OR (ATOM #1#)
             (PROGN (LETT |x| (CAR #1#) |CARTEN;coerce;L$;21|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (COND
             ((NULL (EQL (SPADCALL |x| (QREFELT $ 42)) |rx|))
              (PROGN
               (LETT #2# (|error| "Inhomogeneous slice ranks")
                |CARTEN;coerce;L$;21|)
               (GO #2#))))))
          (LETT #1# (CDR #1#) |CARTEN;coerce;L$;21|) (GO G190) G191
          (EXIT NIL)))
        #2# (EXIT #2#))
       (LETT |nx| (SPADCALL (SPADCALL |lx| (QREFELT $ 54)) (QREFELT $ 31))
        |CARTEN;coerce;L$;21|)
       (LETT |z|
        (SPADCALL (* (QREFELT $ 7) |nx|) (|spadConstant| $ 35) (QREFELT $ 36))
        |CARTEN;coerce;L$;21|)
       (SEQ (LETT |offz| 0 |CARTEN;coerce;L$;21|)
        (LETT |x| NIL |CARTEN;coerce;L$;21|)
        (LETT #3# |lx| |CARTEN;coerce;L$;21|) G190
        (COND
         ((OR (ATOM #3#)
           (PROGN (LETT |x| (CAR #3#) |CARTEN;coerce;L$;21|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |i| 0 |CARTEN;coerce;L$;21|)
           (LETT #4# (- |nx| 1) |CARTEN;coerce;L$;21|) G190
           (COND ((QSGREATERP |i| #4#) (GO G191)))
           (SEQ
            (EXIT
             (SPADCALL |z| (+ |offz| |i|) (SPADCALL |x| |i| (QREFELT $ 32))
              (QREFELT $ 37))))
           (LETT |i| (QSADD1 |i|) |CARTEN;coerce;L$;21|) (GO G190) G191
           (EXIT NIL))))
        (LETT #3#
         (PROG1 (CDR #3#)
          (LETT |offz| (QSPLUS |offz| |nx|) |CARTEN;coerce;L$;21|))
         |CARTEN;coerce;L$;21|)
        (GO G190) G191 (EXIT NIL))
       (EXIT |z|)))))))) 

(DEFUN |CARTEN;retractIfCan;$U;22| (|x| $)
 (COND
  ((ZEROP (SPADCALL |x| (QREFELT $ 42)))
   (CONS 0 (SPADCALL |x| (QREFELT $ 44))))
  ('T (CONS 1 "failed")))) 

(DEFUN |CARTEN;mkOutf| (|x| |i0| |rnk| $)
 (PROG
  (#1=#:G3688 #2=#:G3689 |rnk1| |nskip| #3=#:G3690 |i| #4=#:G3691 #5=#:G3692
   |j| #6=#:G3693)
  (RETURN
   (SEQ
    (COND
     ((ODDP |rnk|)
      (SEQ (LETT |rnk1| (- |rnk| 1) |CARTEN;mkOutf|)
       (LETT |nskip| (EXPT (QREFELT $ 7) |rnk1|) |CARTEN;mkOutf|)
       (EXIT
        (SPADCALL
         (PROGN (LETT #1# NIL |CARTEN;mkOutf|)
          (SEQ (LETT |i| 0 |CARTEN;mkOutf|)
           (LETT #2# (- (QREFELT $ 7) 1) |CARTEN;mkOutf|) G190
           (COND ((QSGREATERP |i| #2#) (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS (|CARTEN;mkOutf| |x| (+ |i0| (* |nskip| |i|)) |rnk1| $)
               #1#)
              |CARTEN;mkOutf|)))
           (LETT |i| (QSADD1 |i|) |CARTEN;mkOutf|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         (QREFELT $ 61)))))
     ((EQL |rnk| 0)
      (SPADCALL (SPADCALL |x| |i0| (QREFELT $ 32)) (QREFELT $ 62)))
     ('T
      (SEQ (LETT |rnk1| (- |rnk| 2) |CARTEN;mkOutf|)
       (LETT |nskip| (EXPT (QREFELT $ 7) |rnk1|) |CARTEN;mkOutf|)
       (EXIT
        (SPADCALL
         (PROGN (LETT #3# NIL |CARTEN;mkOutf|)
          (SEQ (LETT |i| 0 |CARTEN;mkOutf|)
           (LETT #4# (- (QREFELT $ 7) 1) |CARTEN;mkOutf|) G190
           (COND ((QSGREATERP |i| #4#) (GO G191)))
           (SEQ
            (EXIT
             (LETT #3#
              (CONS
               (PROGN (LETT #5# NIL |CARTEN;mkOutf|)
                (SEQ (LETT |j| 0 |CARTEN;mkOutf|)
                 (LETT #6# (- (QREFELT $ 7) 1) |CARTEN;mkOutf|) G190
                 (COND ((QSGREATERP |j| #6#) (GO G191)))
                 (SEQ
                  (EXIT
                   (LETT #5#
                    (CONS
                     (|CARTEN;mkOutf| |x|
                      (+ |i0| (* |nskip| (+ (* (QREFELT $ 7) |i|) |j|))) |rnk1|
                      $)
                     #5#)
                    |CARTEN;mkOutf|)))
                 (LETT |j| (QSADD1 |j|) |CARTEN;mkOutf|) (GO G190) G191
                 (EXIT (NREVERSE0 #5#))))
               #3#)
              |CARTEN;mkOutf|)))
           (LETT |i| (QSADD1 |i|) |CARTEN;mkOutf|) (GO G190) G191
           (EXIT (NREVERSE0 #3#))))
         (QREFELT $ 64)))))))))) 

(DEFUN |CARTEN;coerce;$Of;24| (|x| $)
 (|CARTEN;mkOutf| |x| 0 (SPADCALL |x| (QREFELT $ 42)) $)) 

(DEFUN |CARTEN;Zero;$;25| ($) (SPADCALL (|spadConstant| $ 35) (QREFELT $ 66))) 

(DEFUN |CARTEN;One;$;26| ($) (SPADCALL (|spadConstant| $ 39) (QREFELT $ 66))) 

(DEFUN |CARTEN;coerce;R$;27| (|r| $) (SPADCALL 1 |r| (QREFELT $ 36))) 

(DEFUN |CARTEN;coerce;Dp$;28| (|v| $)
 (PROG (|z| |j| #1=#:G3702 |i| #2=#:G3701)
  (RETURN
   (SEQ
    (LETT |z| (SPADCALL (QREFELT $ 7) (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;coerce;Dp$;28|)
    (SEQ (LETT |j| (SPADCALL |v| (QREFELT $ 70)) |CARTEN;coerce;Dp$;28|)
     (LETT #1# (SPADCALL |v| (QREFELT $ 71)) |CARTEN;coerce;Dp$;28|)
     (LETT |i| 0 |CARTEN;coerce;Dp$;28|)
     (LETT #2# (- (QREFELT $ 7) 1) |CARTEN;coerce;Dp$;28|) G190
     (COND ((OR (QSGREATERP |i| #2#) (> |j| #1#)) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i| (SPADCALL |v| |j| (QREFELT $ 72)) (QREFELT $ 37))))
     (LETT |i| (PROG1 (QSADD1 |i|) (LETT |j| (+ |j| 1) |CARTEN;coerce;Dp$;28|))
      |CARTEN;coerce;Dp$;28|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;coerce;Sm$;29| (|m| $)
 (PROG (|z| |i| #1=#:G3708 |j| #2=#:G3709 |offz|)
  (RETURN
   (SEQ
    (LETT |z|
     (SPADCALL (SPADCALL (QREFELT $ 7) 2 (QREFELT $ 12)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;coerce;Sm$;29|)
    (LETT |offz| 0 |CARTEN;coerce;Sm$;29|)
    (SEQ (LETT |i| 0 |CARTEN;coerce;Sm$;29|)
     (LETT #1# (- (QREFELT $ 7) 1) |CARTEN;coerce;Sm$;29|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (SEQ (LETT |j| 0 |CARTEN;coerce;Sm$;29|)
       (LETT #2# (- (QREFELT $ 7) 1) |CARTEN;coerce;Sm$;29|) G190
       (COND ((QSGREATERP |j| #2#) (GO G191)))
       (SEQ
        (EXIT
         (SPADCALL |z| (+ |offz| |j|)
          (SPADCALL |m| (+ |i| 1) (+ |j| 1) (QREFELT $ 75)) (QREFELT $ 37))))
       (LETT |j| (QSADD1 |j|) |CARTEN;coerce;Sm$;29|) (GO G190) G191
       (EXIT NIL))
      (EXIT (LETT |offz| (+ |offz| (QREFELT $ 7)) |CARTEN;coerce;Sm$;29|)))
     (LETT |i| (QSADD1 |i|) |CARTEN;coerce;Sm$;29|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;=;2$B;30| (|x| |y| $)
 (PROG (|i| #1=#:G3715 #2=#:G3714)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (SPADCALL |y| (QREFELT $ 31))))
       'NIL)
      ('T
       (SEQ
        (SEQ (LETT |i| 0 |CARTEN;=;2$B;30|)
         (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;=;2$B;30|) G190
         (COND ((QSGREATERP |i| #1#) (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((NULL
              (SPADCALL (SPADCALL |x| |i| (QREFELT $ 32))
               (SPADCALL |y| |i| (QREFELT $ 32)) (QREFELT $ 77)))
             (PROGN (LETT #2# 'NIL |CARTEN;=;2$B;30|) (GO #2#))))))
         (LETT |i| (QSADD1 |i|) |CARTEN;=;2$B;30|) (GO G190) G191 (EXIT NIL))
        (EXIT 'T)))))
    #2# (EXIT #2#))))) 

(DEFUN |CARTEN;+;3$;31| (|x| |y| $)
 (PROG (|z| |i| #1=#:G3720)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (SPADCALL |y| (QREFELT $ 31))))
      (|error| "Rank mismatch"))
     ('T
      (SEQ
       (LETT |z|
        (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
         (QREFELT $ 36))
        |CARTEN;+;3$;31|)
       (SEQ (LETT |i| 0 |CARTEN;+;3$;31|)
        (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;+;3$;31|) G190
        (COND ((QSGREATERP |i| #1#) (GO G191)))
        (SEQ
         (EXIT
          (SPADCALL |z| |i|
           (SPADCALL (SPADCALL |x| |i| (QREFELT $ 32))
            (SPADCALL |y| |i| (QREFELT $ 32)) (QREFELT $ 79))
           (QREFELT $ 37))))
        (LETT |i| (QSADD1 |i|) |CARTEN;+;3$;31|) (GO G190) G191 (EXIT NIL))
       (EXIT |z|)))))))) 

(DEFUN |CARTEN;-;3$;32| (|x| |y| $)
 (PROG (|z| |i| #1=#:G3725)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (SPADCALL |x| (QREFELT $ 31)) (SPADCALL |y| (QREFELT $ 31))))
      (|error| "Rank mismatch"))
     ('T
      (SEQ
       (LETT |z|
        (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
         (QREFELT $ 36))
        |CARTEN;-;3$;32|)
       (SEQ (LETT |i| 0 |CARTEN;-;3$;32|)
        (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;-;3$;32|) G190
        (COND ((QSGREATERP |i| #1#) (GO G191)))
        (SEQ
         (EXIT
          (SPADCALL |z| |i|
           (SPADCALL (SPADCALL |x| |i| (QREFELT $ 32))
            (SPADCALL |y| |i| (QREFELT $ 32)) (QREFELT $ 81))
           (QREFELT $ 37))))
        (LETT |i| (QSADD1 |i|) |CARTEN;-;3$;32|) (GO G190) G191 (EXIT NIL))
       (EXIT |z|)))))))) 

(DEFUN |CARTEN;-;2$;33| (|x| $)
 (PROG (|z| |i| #1=#:G3729)
  (RETURN
   (SEQ
    (LETT |z|
     (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;-;2$;33|)
    (SEQ (LETT |i| 0 |CARTEN;-;2$;33|)
     (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;-;2$;33|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i|
        (SPADCALL (SPADCALL |x| |i| (QREFELT $ 32)) (QREFELT $ 83))
        (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;-;2$;33|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;*;I2$;34| (|n| |x| $)
 (PROG (|z| |i| #1=#:G3733)
  (RETURN
   (SEQ
    (LETT |z|
     (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;*;I2$;34|)
    (SEQ (LETT |i| 0 |CARTEN;*;I2$;34|)
     (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;*;I2$;34|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i|
        (SPADCALL |n| (SPADCALL |x| |i| (QREFELT $ 32)) (QREFELT $ 85))
        (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;*;I2$;34|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;*;$I$;35| (|x| |n| $)
 (PROG (|z| |i| #1=#:G3737)
  (RETURN
   (SEQ
    (LETT |z|
     (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;*;$I$;35|)
    (SEQ (LETT |i| 0 |CARTEN;*;$I$;35|)
     (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;*;$I$;35|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i|
        (SPADCALL |n| (SPADCALL |x| |i| (QREFELT $ 32)) (QREFELT $ 85))
        (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;*;$I$;35|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;*;R2$;36| (|r| |x| $)
 (PROG (|z| |i| #1=#:G3741)
  (RETURN
   (SEQ
    (LETT |z|
     (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;*;R2$;36|)
    (SEQ (LETT |i| 0 |CARTEN;*;R2$;36|)
     (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;*;R2$;36|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i|
        (SPADCALL |r| (SPADCALL |x| |i| (QREFELT $ 32)) (QREFELT $ 88))
        (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;*;R2$;36|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;*;$R$;37| (|x| |r| $)
 (PROG (|z| |i| #1=#:G3745)
  (RETURN
   (SEQ
    (LETT |z|
     (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;*;$R$;37|)
    (SEQ (LETT |i| 0 |CARTEN;*;$R$;37|)
     (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;*;$R$;37|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |z| |i|
        (SPADCALL |r| (SPADCALL |x| |i| (QREFELT $ 32)) (QREFELT $ 88))
        (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;*;$R$;37|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;product;3$;38| (|x| |y| $)
 (PROG (|nx| |ny| |z| |ioff| |i| #1=#:G3750 |j| #2=#:G3751)
  (RETURN
   (SEQ (LETT |nx| (SPADCALL |x| (QREFELT $ 31)) |CARTEN;product;3$;38|)
    (LETT |ny| (SPADCALL |y| (QREFELT $ 31)) |CARTEN;product;3$;38|)
    (LETT |z| (SPADCALL (* |nx| |ny|) (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;product;3$;38|)
    (SEQ (LETT |ioff| 0 |CARTEN;product;3$;38|)
     (LETT |i| 0 |CARTEN;product;3$;38|)
     (LETT #1# (- |nx| 1) |CARTEN;product;3$;38|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |j| 0 |CARTEN;product;3$;38|)
        (LETT #2# (- |ny| 1) |CARTEN;product;3$;38|) G190
        (COND ((QSGREATERP |j| #2#) (GO G191)))
        (SEQ
         (EXIT
          (SPADCALL |z| (+ |ioff| |j|)
           (SPADCALL (SPADCALL |x| |i| (QREFELT $ 32))
            (SPADCALL |y| |j| (QREFELT $ 32)) (QREFELT $ 88))
           (QREFELT $ 37))))
        (LETT |j| (QSADD1 |j|) |CARTEN;product;3$;38|) (GO G190) G191
        (EXIT NIL))))
     (LETT |i|
      (PROG1 (QSADD1 |i|)
       (LETT |ioff| (QSPLUS |ioff| |ny|) |CARTEN;product;3$;38|))
      |CARTEN;product;3$;38|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;*;3$;39| (|x| |y| $)
 (PROG (|rx| |ry|)
  (RETURN
   (SEQ (LETT |rx| (SPADCALL |x| (QREFELT $ 42)) |CARTEN;*;3$;39|)
    (LETT |ry| (SPADCALL |y| (QREFELT $ 42)) |CARTEN;*;3$;39|)
    (EXIT
     (COND
      ((EQL |rx| 0)
       (SPADCALL (SPADCALL |x| 0 (QREFELT $ 32)) |y| (QREFELT $ 89)))
      ((EQL |ry| 0)
       (SPADCALL |x| (SPADCALL |y| 0 (QREFELT $ 32)) (QREFELT $ 90)))
      ('T (SPADCALL |x| |rx| |y| 1 (QREFELT $ 92))))))))) 

(DEFUN |CARTEN;contract;$2I$;40| (|x| |i| |j| $)
 (PROG
  (|rx| |#G110| |#G111| |rl| |nl| |zol| |xol| |rm| |nm| |zom| |xom| |rh| |nh|
   |zoh| |xoh| |xok| |z| |zh| |xh| |h| |zm| |xm| |m| |zl| |xl| |l| |xk| |k|
   #1=#:G3761)
  (RETURN
   (SEQ (LETT |rx| (SPADCALL |x| (QREFELT $ 42)) |CARTEN;contract;$2I$;40|)
    (COND
     ((OR (OR (OR (OR (< |i| 1) (< |rx| |i|)) (< |j| 1)) (< |rx| |j|))
       (EQL |i| |j|))
      (EXIT (|error| "Improper index for contraction"))))
    (COND
     ((< |j| |i|)
      (PROGN (LETT |#G110| |j| |CARTEN;contract;$2I$;40|)
       (LETT |#G111| |i| |CARTEN;contract;$2I$;40|)
       (LETT |i| |#G110| |CARTEN;contract;$2I$;40|)
       (LETT |j| |#G111| |CARTEN;contract;$2I$;40|))))
    (LETT |rl| (- |rx| |j|) |CARTEN;contract;$2I$;40|)
    (LETT |nl| (EXPT (QREFELT $ 7) |rl|) |CARTEN;contract;$2I$;40|)
    (LETT |zol| 1 |CARTEN;contract;$2I$;40|)
    (LETT |xol| |zol| |CARTEN;contract;$2I$;40|)
    (LETT |rm| (- (- |j| |i|) 1) |CARTEN;contract;$2I$;40|)
    (LETT |nm| (EXPT (QREFELT $ 7) |rm|) |CARTEN;contract;$2I$;40|)
    (LETT |zom| |nl| |CARTEN;contract;$2I$;40|)
    (LETT |xom| (* |zom| (QREFELT $ 7)) |CARTEN;contract;$2I$;40|)
    (LETT |rh| (- |i| 1) |CARTEN;contract;$2I$;40|)
    (LETT |nh| (EXPT (QREFELT $ 7) |rh|) |CARTEN;contract;$2I$;40|)
    (LETT |zoh| (* |nl| |nm|) |CARTEN;contract;$2I$;40|)
    (LETT |xoh| (* |zoh| (SPADCALL (QREFELT $ 7) 2 (QREFELT $ 12)))
     |CARTEN;contract;$2I$;40|)
    (LETT |xok| (* |nl| (+ 1 (* |nm| (QREFELT $ 7))))
     |CARTEN;contract;$2I$;40|)
    (LETT |z|
     (SPADCALL (* (* |nl| |nm|) |nh|) (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;contract;$2I$;40|)
    (SEQ (LETT |zh| 0 |CARTEN;contract;$2I$;40|)
     (LETT |xh| 0 |CARTEN;contract;$2I$;40|)
     (LETT |h| 1 |CARTEN;contract;$2I$;40|) G190
     (COND ((QSGREATERP |h| |nh|) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |zm| |zh| |CARTEN;contract;$2I$;40|)
        (LETT |xm| |xh| |CARTEN;contract;$2I$;40|)
        (LETT |m| 1 |CARTEN;contract;$2I$;40|) G190
        (COND ((QSGREATERP |m| |nm|) (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |zl| |zm| |CARTEN;contract;$2I$;40|)
           (LETT |xl| |xm| |CARTEN;contract;$2I$;40|)
           (LETT |l| 1 |CARTEN;contract;$2I$;40|) G190
           (COND ((QSGREATERP |l| |nl|) (GO G191)))
           (SEQ (SPADCALL |z| |zl| (|spadConstant| $ 35) (QREFELT $ 37))
            (EXIT
             (SEQ (LETT |xk| |xl| |CARTEN;contract;$2I$;40|)
              (LETT |k| 1 |CARTEN;contract;$2I$;40|)
              (LETT #1# (QREFELT $ 7) |CARTEN;contract;$2I$;40|) G190
              (COND ((QSGREATERP |k| #1#) (GO G191)))
              (SEQ
               (EXIT
                (SPADCALL |z| |zl|
                 (SPADCALL (SPADCALL |z| |zl| (QREFELT $ 32))
                  (SPADCALL |x| |xk| (QREFELT $ 32)) (QREFELT $ 79))
                 (QREFELT $ 37))))
              (LETT |k|
               (PROG1 (QSADD1 |k|)
                (LETT |xk| (+ |xk| |xok|) |CARTEN;contract;$2I$;40|))
               |CARTEN;contract;$2I$;40|)
              (GO G190) G191 (EXIT NIL))))
           (LETT |l|
            (PROG1 (QSADD1 |l|)
             (LETT |xl|
              (PROG1 (+ |xl| |xol|)
               (LETT |zl| (+ |zl| |zol|) |CARTEN;contract;$2I$;40|))
              |CARTEN;contract;$2I$;40|))
            |CARTEN;contract;$2I$;40|)
           (GO G190) G191 (EXIT NIL))))
        (LETT |m|
         (PROG1 (QSADD1 |m|)
          (LETT |xm|
           (PROG1 (+ |xm| |xom|)
            (LETT |zm| (+ |zm| |zom|) |CARTEN;contract;$2I$;40|))
           |CARTEN;contract;$2I$;40|))
         |CARTEN;contract;$2I$;40|)
        (GO G190) G191 (EXIT NIL))))
     (LETT |h|
      (PROG1 (QSADD1 |h|)
       (LETT |xh|
        (PROG1 (QSPLUS |xh| |xoh|)
         (LETT |zh| (QSPLUS |zh| |zoh|) |CARTEN;contract;$2I$;40|))
        |CARTEN;contract;$2I$;40|))
      |CARTEN;contract;$2I$;40|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;contract;$I$I$;41| (|x| |i| |y| |j| $)
 (PROG
  (|rx| |ry| |rly| |nly| |oly| |zoly| |rhy| |nhy| |ohy| |zohy| |rlx| |nlx|
   |olx| |zolx| |rhx| |nhx| |ohx| |zohx| |z| |zhx| |xh| |dxh| |zlx| |xl| |dxl|
   |zhy| |yh| |dyh| |zly| |yl| |dyl| |yk| |xk| |k| #1=#:G3770)
  (RETURN
   (SEQ (LETT |rx| (SPADCALL |x| (QREFELT $ 42)) |CARTEN;contract;$I$I$;41|)
    (LETT |ry| (SPADCALL |y| (QREFELT $ 42)) |CARTEN;contract;$I$I$;41|)
    (COND
     ((OR (OR (OR (< |i| 1) (< |rx| |i|)) (< |j| 1)) (< |ry| |j|))
      (EXIT (|error| "Improper index for contraction"))))
    (LETT |rly| (- |ry| |j|) |CARTEN;contract;$I$I$;41|)
    (LETT |nly| (EXPT (QREFELT $ 7) |rly|) |CARTEN;contract;$I$I$;41|)
    (LETT |oly| 1 |CARTEN;contract;$I$I$;41|)
    (LETT |zoly| 1 |CARTEN;contract;$I$I$;41|)
    (LETT |rhy| (- |j| 1) |CARTEN;contract;$I$I$;41|)
    (LETT |nhy| (EXPT (QREFELT $ 7) |rhy|) |CARTEN;contract;$I$I$;41|)
    (LETT |ohy| (* |nly| (QREFELT $ 7)) |CARTEN;contract;$I$I$;41|)
    (LETT |zohy| (SPADCALL |zoly| |nly| (QREFELT $ 95))
     |CARTEN;contract;$I$I$;41|)
    (LETT |rlx| (- |rx| |i|) |CARTEN;contract;$I$I$;41|)
    (LETT |nlx| (EXPT (QREFELT $ 7) |rlx|) |CARTEN;contract;$I$I$;41|)
    (LETT |olx| 1 |CARTEN;contract;$I$I$;41|)
    (LETT |zolx| (* |zohy| |nhy|) |CARTEN;contract;$I$I$;41|)
    (LETT |rhx| (- |i| 1) |CARTEN;contract;$I$I$;41|)
    (LETT |nhx| (EXPT (QREFELT $ 7) |rhx|) |CARTEN;contract;$I$I$;41|)
    (LETT |ohx| (* |nlx| (QREFELT $ 7)) |CARTEN;contract;$I$I$;41|)
    (LETT |zohx| (* |zolx| |nlx|) |CARTEN;contract;$I$I$;41|)
    (LETT |z|
     (SPADCALL (* (* (* |nlx| |nhx|) |nly|) |nhy|) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;contract;$I$I$;41|)
    (SEQ (LETT |zhx| 0 |CARTEN;contract;$I$I$;41|)
     (LETT |xh| 0 |CARTEN;contract;$I$I$;41|)
     (LETT |dxh| 1 |CARTEN;contract;$I$I$;41|) G190
     (COND ((QSGREATERP |dxh| |nhx|) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |zlx| |zhx| |CARTEN;contract;$I$I$;41|)
        (LETT |xl| |xh| |CARTEN;contract;$I$I$;41|)
        (LETT |dxl| 1 |CARTEN;contract;$I$I$;41|) G190
        (COND ((QSGREATERP |dxl| |nlx|) (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |zhy| |zlx| |CARTEN;contract;$I$I$;41|)
           (LETT |yh| 0 |CARTEN;contract;$I$I$;41|)
           (LETT |dyh| 1 |CARTEN;contract;$I$I$;41|) G190
           (COND ((QSGREATERP |dyh| |nhy|) (GO G191)))
           (SEQ
            (EXIT
             (SEQ (LETT |zly| |zhy| |CARTEN;contract;$I$I$;41|)
              (LETT |yl| |yh| |CARTEN;contract;$I$I$;41|)
              (LETT |dyl| 1 |CARTEN;contract;$I$I$;41|) G190
              (COND ((QSGREATERP |dyl| |nly|) (GO G191)))
              (SEQ (SPADCALL |z| |zly| (|spadConstant| $ 35) (QREFELT $ 37))
               (EXIT
                (SEQ (LETT |yk| |yl| |CARTEN;contract;$I$I$;41|)
                 (LETT |xk| |xl| |CARTEN;contract;$I$I$;41|)
                 (LETT |k| 1 |CARTEN;contract;$I$I$;41|)
                 (LETT #1# (QREFELT $ 7) |CARTEN;contract;$I$I$;41|) G190
                 (COND ((QSGREATERP |k| #1#) (GO G191)))
                 (SEQ
                  (EXIT
                   (SPADCALL |z| |zly|
                    (SPADCALL (SPADCALL |z| |zly| (QREFELT $ 32))
                     (SPADCALL (SPADCALL |x| |xk| (QREFELT $ 32))
                      (SPADCALL |y| |yk| (QREFELT $ 32)) (QREFELT $ 88))
                     (QREFELT $ 79))
                    (QREFELT $ 37))))
                 (LETT |k|
                  (PROG1 (QSADD1 |k|)
                   (LETT |xk|
                    (PROG1 (+ |xk| |nlx|)
                     (LETT |yk| (+ |yk| |nly|) |CARTEN;contract;$I$I$;41|))
                    |CARTEN;contract;$I$I$;41|))
                  |CARTEN;contract;$I$I$;41|)
                 (GO G190) G191 (EXIT NIL))))
              (LETT |dyl|
               (PROG1 (QSADD1 |dyl|)
                (LETT |yl|
                 (PROG1 (+ |yl| |oly|)
                  (LETT |zly| (+ |zly| |zoly|) |CARTEN;contract;$I$I$;41|))
                 |CARTEN;contract;$I$I$;41|))
               |CARTEN;contract;$I$I$;41|)
              (GO G190) G191 (EXIT NIL))))
           (LETT |dyh|
            (PROG1 (QSADD1 |dyh|)
             (LETT |yh|
              (PROG1 (QSPLUS |yh| |ohy|)
               (LETT |zhy| (+ |zhy| |zohy|) |CARTEN;contract;$I$I$;41|))
              |CARTEN;contract;$I$I$;41|))
            |CARTEN;contract;$I$I$;41|)
           (GO G190) G191 (EXIT NIL))))
        (LETT |dxl|
         (PROG1 (QSADD1 |dxl|)
          (LETT |xl|
           (PROG1 (+ |xl| |olx|)
            (LETT |zlx| (+ |zlx| |zolx|) |CARTEN;contract;$I$I$;41|))
           |CARTEN;contract;$I$I$;41|))
         |CARTEN;contract;$I$I$;41|)
        (GO G190) G191 (EXIT NIL))))
     (LETT |dxh|
      (PROG1 (QSADD1 |dxh|)
       (LETT |xh|
        (PROG1 (QSPLUS |xh| |ohx|)
         (LETT |zhx| (QSPLUS |zhx| |zohx|) |CARTEN;contract;$I$I$;41|))
        |CARTEN;contract;$I$I$;41|))
      |CARTEN;contract;$I$I$;41|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;transpose;2$;42| (|x| $)
 (SPADCALL |x| 1 (SPADCALL |x| (QREFELT $ 42)) (QREFELT $ 96))) 

(DEFUN |CARTEN;transpose;$2I$;43| (|x| |i| |j| $)
 (PROG
  (|rx| |#G146| |#G147| |rl| |nl| |zol| |zoi| |rm| |nm| |zom| |zoj| |rh| |nh|
   |zoh| |z| |zh| |h| |zm| |m| |zl| |l| |xp| |zp| |p| #1=#:G3779 |xq| |zq| |q|
   #2=#:G3780)
  (RETURN
   (SEQ (LETT |rx| (SPADCALL |x| (QREFELT $ 42)) |CARTEN;transpose;$2I$;43|)
    (COND
     ((OR (OR (OR (OR (< |i| 1) (< |rx| |i|)) (< |j| 1)) (< |rx| |j|))
       (EQL |i| |j|))
      (EXIT (|error| "Improper indicies for transposition"))))
    (COND
     ((< |j| |i|)
      (PROGN (LETT |#G146| |j| |CARTEN;transpose;$2I$;43|)
       (LETT |#G147| |i| |CARTEN;transpose;$2I$;43|)
       (LETT |i| |#G146| |CARTEN;transpose;$2I$;43|)
       (LETT |j| |#G147| |CARTEN;transpose;$2I$;43|))))
    (LETT |rl| (- |rx| |j|) |CARTEN;transpose;$2I$;43|)
    (LETT |nl| (EXPT (QREFELT $ 7) |rl|) |CARTEN;transpose;$2I$;43|)
    (LETT |zol| 1 |CARTEN;transpose;$2I$;43|)
    (LETT |zoi| (SPADCALL |zol| |nl| (QREFELT $ 95))
     |CARTEN;transpose;$2I$;43|)
    (LETT |rm| (- (- |j| |i|) 1) |CARTEN;transpose;$2I$;43|)
    (LETT |nm| (EXPT (QREFELT $ 7) |rm|) |CARTEN;transpose;$2I$;43|)
    (LETT |zom| (* |nl| (QREFELT $ 7)) |CARTEN;transpose;$2I$;43|)
    (LETT |zoj| (* |zom| |nm|) |CARTEN;transpose;$2I$;43|)
    (LETT |rh| (- |i| 1) |CARTEN;transpose;$2I$;43|)
    (LETT |nh| (EXPT (QREFELT $ 7) |rh|) |CARTEN;transpose;$2I$;43|)
    (LETT |zoh| (* (* |nl| |nm|) (SPADCALL (QREFELT $ 7) 2 (QREFELT $ 12)))
     |CARTEN;transpose;$2I$;43|)
    (LETT |z|
     (SPADCALL (SPADCALL |x| (QREFELT $ 31)) (|spadConstant| $ 35)
      (QREFELT $ 36))
     |CARTEN;transpose;$2I$;43|)
    (SEQ (LETT |zh| 0 |CARTEN;transpose;$2I$;43|)
     (LETT |h| 1 |CARTEN;transpose;$2I$;43|) G190
     (COND ((QSGREATERP |h| |nh|) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |zm| |zh| |CARTEN;transpose;$2I$;43|)
        (LETT |m| 1 |CARTEN;transpose;$2I$;43|) G190
        (COND ((QSGREATERP |m| |nm|) (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |zl| |zm| |CARTEN;transpose;$2I$;43|)
           (LETT |l| 1 |CARTEN;transpose;$2I$;43|) G190
           (COND ((QSGREATERP |l| |nl|) (GO G191)))
           (SEQ
            (EXIT
             (SEQ (LETT |xp| |zl| |CARTEN;transpose;$2I$;43|)
              (LETT |zp| |zl| |CARTEN;transpose;$2I$;43|)
              (LETT |p| 1 |CARTEN;transpose;$2I$;43|)
              (LETT #1# (QREFELT $ 7) |CARTEN;transpose;$2I$;43|) G190
              (COND ((QSGREATERP |p| #1#) (GO G191)))
              (SEQ
               (EXIT
                (SEQ (LETT |xq| |xp| |CARTEN;transpose;$2I$;43|)
                 (LETT |zq| |zp| |CARTEN;transpose;$2I$;43|)
                 (LETT |q| 1 |CARTEN;transpose;$2I$;43|)
                 (LETT #2# (QREFELT $ 7) |CARTEN;transpose;$2I$;43|) G190
                 (COND ((QSGREATERP |q| #2#) (GO G191)))
                 (SEQ
                  (EXIT
                   (SPADCALL |z| |zq| (SPADCALL |x| |xq| (QREFELT $ 32))
                    (QREFELT $ 37))))
                 (LETT |q|
                  (PROG1 (QSADD1 |q|)
                   (LETT |zq|
                    (PROG1 (+ |zq| |zoj|)
                     (LETT |xq| (+ |xq| |zoi|) |CARTEN;transpose;$2I$;43|))
                    |CARTEN;transpose;$2I$;43|))
                  |CARTEN;transpose;$2I$;43|)
                 (GO G190) G191 (EXIT NIL))))
              (LETT |p|
               (PROG1 (QSADD1 |p|)
                (LETT |zp|
                 (PROG1 (+ |zp| |zoi|)
                  (LETT |xp| (+ |xp| |zoj|) |CARTEN;transpose;$2I$;43|))
                 |CARTEN;transpose;$2I$;43|))
               |CARTEN;transpose;$2I$;43|)
              (GO G190) G191 (EXIT NIL))))
           (LETT |l|
            (PROG1 (QSADD1 |l|)
             (LETT |zl| (+ |zl| |zol|) |CARTEN;transpose;$2I$;43|))
            |CARTEN;transpose;$2I$;43|)
           (GO G190) G191 (EXIT NIL))))
        (LETT |m|
         (PROG1 (QSADD1 |m|)
          (LETT |zm| (+ |zm| |zom|) |CARTEN;transpose;$2I$;43|))
         |CARTEN;transpose;$2I$;43|)
        (GO G190) G191 (EXIT NIL))))
     (LETT |h|
      (PROG1 (QSADD1 |h|)
       (LETT |zh| (QSPLUS |zh| |zoh|) |CARTEN;transpose;$2I$;43|))
      |CARTEN;transpose;$2I$;43|)
     (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CARTEN;reindex;$L$;44| (|x| |l| $)
 (PROG (|nx| |z| |rx| |p| |xiv| |ziv| |i| #1=#:G3785 |pi|)
  (RETURN
   (SEQ (LETT |nx| (SPADCALL |x| (QREFELT $ 31)) |CARTEN;reindex;$L$;44|)
    (LETT |z| (SPADCALL |nx| (|spadConstant| $ 35) (QREFELT $ 36))
     |CARTEN;reindex;$L$;44|)
    (LETT |rx| (SPADCALL |x| (QREFELT $ 42)) |CARTEN;reindex;$L$;44|)
    (LETT |p| (|CARTEN;mkPerm| |rx| |l| $) |CARTEN;reindex;$L$;44|)
    (LETT |xiv| (SPADCALL |rx| 0 (QREFELT $ 23)) |CARTEN;reindex;$L$;44|)
    (LETT |ziv| (SPADCALL |rx| 0 (QREFELT $ 23)) |CARTEN;reindex;$L$;44|)
    (SEQ (LETT |i| 0 |CARTEN;reindex;$L$;44|)
     (LETT #1# (- (SPADCALL |x| (QREFELT $ 31)) 1) |CARTEN;reindex;$L$;44|)
     G190 (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ
      (LETT |pi|
       (|CARTEN;index2int|
        (|CARTEN;permute!| |ziv| (|CARTEN;int2index| |i| |xiv| $) |p| $) $)
       |CARTEN;reindex;$L$;44|)
      (EXIT
       (SPADCALL |z| |pi| (SPADCALL |x| |i| (QREFELT $ 32)) (QREFELT $ 37))))
     (LETT |i| (QSADD1 |i|) |CARTEN;reindex;$L$;44|) (GO G190) G191 (EXIT NIL))
    (EXIT |z|))))) 

(DEFUN |CartesianTensor| (&REST #1=#:G3790 &AUX #2=#:G3788) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3789)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|CartesianTensor|) '|domainEqualList|)
        |CartesianTensor|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |CartesianTensor;|) #2#)
         (LETT #3# T |CartesianTensor|))
        (COND
         ((NOT #3#) (HREM |$ConstructorCache| '|CartesianTensor|))))))))))) 

(DEFUN |CartesianTensor;| (|#1| |#2| |#3|)
 (PROG (DV$1 DV$2 DV$3 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|CartesianTensor|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT |dv$| (LIST '|CartesianTensor| DV$1 DV$2 DV$3) . #1#)
    (LETT $ (GETREFV 101) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|CartesianTensor| (LIST DV$1 DV$2 DV$3)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 (|IndexedVector| |#3| 0))
    (QSETREFV $ 13 (SPADCALL |#2| 2 (QREFELT $ 12)))
    (QSETREFV $ 14 (SPADCALL |#2| 3 (QREFELT $ 12)))
    (QSETREFV $ 15 (SPADCALL |#2| 4 (QREFELT $ 12))) $)))) 

(MAKEPROP '|CartesianTensor| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     '|Rep| (|PositiveInteger|) (|NonNegativeInteger|) (0 . **) '|dim2| '|dim3|
     '|dim4| |CARTEN;kroneckerDelta;$;10| |CARTEN;sample;$;1| (|Integer|)
     (|Vector| 18) (6 . |setelt|) (13 . |elt|) (19 . *) (25 . |new|)
     (|Boolean|) (|Vector| 24) (31 . |new|) (37 . |setelt|) (44 . |elt|)
     (|Union| $ '"failed") (50 . |exquo|) (56 . |#|) (61 . |elt|) (|List| 8)
     |CARTEN;ravel;$L;8| (67 . |Zero|) (71 . |new|) (77 . |setelt|)
     |CARTEN;unravel;L$;9| (84 . |One|) (88 . |coerce|)
     |CARTEN;leviCivitaSymbol;$;11| |CARTEN;rank;$Nni;13|
     |CARTEN;degree;$Nni;12| |CARTEN;elt;$R;14| |CARTEN;elt;$IR;15|
     |CARTEN;elt;$2IR;16| |CARTEN;elt;$3IR;17| |CARTEN;elt;$4IR;18| (|List| 18)
     |CARTEN;elt;$LR;19| |CARTEN;coerce;L$;20| (|List| $$) (93 . |#|)
     (98 . |first|) (|List| $) |CARTEN;coerce;L$;21| (|Union| 8 '"failed")
     |CARTEN;retractIfCan;$U;22| (|OutputForm|) (|List| 59) (103 . |coerce|)
     (108 . |coerce|) (|List| 55) (113 . |matrix|) |CARTEN;coerce;$Of;24|
     |CARTEN;coerce;R$;27|
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |CARTEN;Zero;$;25|) $))
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |CARTEN;One;$;26|) $))
     (|DirectProduct| 7 8) (118 . |minIndex|) (123 . |maxIndex|) (128 . |elt|)
     |CARTEN;coerce;Dp$;28| (|SquareMatrix| 7 8) (134 . |elt|)
     |CARTEN;coerce;Sm$;29| (141 . =) |CARTEN;=;2$B;30| (147 . +)
     |CARTEN;+;3$;31| (153 . -) |CARTEN;-;3$;32| (159 . -) |CARTEN;-;2$;33|
     (164 . *) |CARTEN;*;I2$;34| |CARTEN;*;$I$;35| (170 . *) |CARTEN;*;R2$;36|
     |CARTEN;*;$R$;37| |CARTEN;product;3$;38| |CARTEN;contract;$I$I$;41|
     |CARTEN;*;3$;39| |CARTEN;contract;$2I$;40| (176 . *)
     |CARTEN;transpose;$2I$;43| |CARTEN;transpose;2$;42|
     |CARTEN;reindex;$L$;44| (|SingleInteger|) (|String|))
  '#(~= 182 |unravel| 188 |transpose| 193 |sample| 205 |retractIfCan| 209
     |retract| 214 |reindex| 219 |ravel| 225 |rank| 230 |product| 235
     |leviCivitaSymbol| 241 |latex| 245 |kroneckerDelta| 250 |hash| 254 |elt|
     259 |degree| 300 |contract| 305 |coerce| 320 |Zero| 350 |One| 354 = 358 -
     364 + 375 * 381)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0 0 0 0 0 0))
   (CONS
    '#(|GradedAlgebra&| |GradedModule&| |GradedModule&| |SetCategory&|
       |BasicType&| |RetractableTo&| NIL)
    (CONS
     '#((|GradedAlgebra| 8 11) (|GradedModule| 8 11) (|GradedModule| 18 11)
        (|SetCategory|) (|BasicType|) (|RetractableTo| 8) (|CoercibleTo| 59))
     (|makeByteWordVec2| 100
      '(2 11 0 0 10 12 3 19 18 0 18 18 20 2 19 18 0 18 21 2 18 0 11 0 22 2 19 0
        11 18 23 2 25 0 11 24 26 3 25 24 0 18 24 27 2 25 24 0 18 28 2 18 29 0 0
        30 1 9 11 0 31 2 9 8 0 18 32 0 8 0 35 2 9 0 11 8 36 3 9 8 0 18 8 37 0 8
        0 39 1 8 0 18 40 1 52 11 0 53 1 52 2 0 54 1 60 59 0 61 1 8 59 0 62 1 59
        0 63 64 1 69 18 0 70 1 69 18 0 71 2 69 8 0 18 72 3 74 8 0 18 18 75 2 8
        24 0 0 77 2 8 0 0 0 79 2 8 0 0 0 81 1 8 0 0 83 2 8 0 18 0 85 2 8 0 0 0
        88 2 11 0 10 0 95 2 0 24 0 0 1 1 0 0 33 38 3 0 0 0 18 18 96 1 0 0 0 97
        0 0 0 17 1 0 57 0 58 1 0 8 0 1 2 0 0 0 49 98 1 0 33 0 34 1 0 11 0 42 2
        0 0 0 0 91 0 0 0 41 1 0 100 0 1 0 0 0 16 1 0 99 0 1 2 0 8 0 49 50 5 0 8
        0 18 18 18 18 48 3 0 8 0 18 18 46 4 0 8 0 18 18 18 47 1 0 8 0 44 2 0 8
        0 18 45 1 0 11 0 43 4 0 0 0 18 0 18 92 3 0 0 0 18 18 94 1 0 0 33 51 1 0
        0 55 56 1 0 0 69 73 1 0 0 74 76 1 0 0 8 66 1 0 59 0 65 0 0 0 67 0 0 0
        68 2 0 24 0 0 78 2 0 0 0 0 82 1 0 0 0 84 2 0 0 0 0 80 2 0 0 0 0 93 2 0
        0 18 0 86 2 0 0 0 18 87 2 0 0 0 8 90 2 0 0 8 0 89)))))
  '|lookupComplete|)) 
