
(/VERSIONCHECK 2) 

(DEFUN |DIOSP;dioSolve;ER;1| (|eq| $)
 (PROG
  (|p| |n| #1=#:G3568 |c| |mon| |graph| |sol| |hs| |ihs| #2=#:G3569 |x|
   #3=#:G3570 |vars|)
  (RETURN
   (SEQ
    (LETT |p|
     (SPADCALL (SPADCALL |eq| (QREFELT $ 8)) (SPADCALL |eq| (QREFELT $ 9))
      (QREFELT $ 10))
     |DIOSP;dioSolve;ER;1|)
    (LETT |n| (SPADCALL |p| (QREFELT $ 12)) |DIOSP;dioSolve;ER;1|)
    (COND
     ((OR (EQL |n| 0) (< 1 |n|))
      (EXIT (|error| "a linear Diophantine equation is expected"))))
    (LETT |mon| NIL |DIOSP;dioSolve;ER;1|) (LETT |c| 0 |DIOSP;dioSolve;ER;1|)
    (SEQ (LETT |x| NIL |DIOSP;dioSolve;ER;1|)
     (LETT #1# (SPADCALL |p| (QREFELT $ 14)) |DIOSP;dioSolve;ER;1|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |x| (CAR #1#) |DIOSP;dioSolve;ER;1|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((SPADCALL |x| (QREFELT $ 16))
         (LETT |c| (SPADCALL |x| (QREFELT $ 18)) |DIOSP;dioSolve;ER;1|))
        ('T (LETT |mon| (CONS |x| |mon|) |DIOSP;dioSolve;ER;1|)))))
     (LETT #1# (CDR #1#) |DIOSP;dioSolve;ER;1|) (GO G190) G191 (EXIT NIL))
    (LETT |graph| (|DIOSP;initializeGraph| |mon| |c| $) |DIOSP;dioSolve;ER;1|)
    (LETT |sol| (SPADCALL (QVELT |graph| 1) (QREFELT $ 20))
     |DIOSP;dioSolve;ER;1|)
    (LETT |hs| (|DIOSP;findSolutions| |sol| (QVELT |graph| 2) 1 1 |graph| 'T $)
     |DIOSP;dioSolve;ER;1|)
    (LETT |ihs|
     (COND ((EQL |c| 0) (LIST |sol|))
      ('T
       (|DIOSP;findSolutions| |sol| (+ (QVELT |graph| 2) |c|) 1 1 |graph| 'NIL
        $)))
     |DIOSP;dioSolve;ER;1|)
    (LETT |vars|
     (PROGN (LETT #2# NIL |DIOSP;dioSolve;ER;1|)
      (SEQ (LETT |x| NIL |DIOSP;dioSolve;ER;1|)
       (LETT #3# |mon| |DIOSP;dioSolve;ER;1|) G190
       (COND
        ((OR (ATOM #3#) (PROGN (LETT |x| (CAR #3#) |DIOSP;dioSolve;ER;1|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #2# (CONS (|SPADfirst| (SPADCALL |x| (QREFELT $ 22))) #2#)
          |DIOSP;dioSolve;ER;1|)))
       (LETT #3# (CDR #3#) |DIOSP;dioSolve;ER;1|) (GO G190) G191
       (EXIT (NREVERSE0 #2#))))
     |DIOSP;dioSolve;ER;1|)
    (EXIT
     (VECTOR |vars| (COND ((NULL |ihs|) (CONS 1 "failed")) ('T (CONS 0 |ihs|)))
      |hs|)))))) 

(DEFUN |DIOSP;initializeGraph| (|mon| |c| $)
 (PROG
  (#1=#:G3578 |x| #2=#:G3579 |coeffs| |k| |m| |n| #3=#:G3580 #4=#:G3581 |i|)
  (RETURN
   (SEQ
    (LETT |coeffs|
     (SPADCALL
      (PROGN (LETT #1# NIL |DIOSP;initializeGraph|)
       (SEQ (LETT |x| NIL |DIOSP;initializeGraph|)
        (LETT #2# |mon| |DIOSP;initializeGraph|) G190
        (COND
         ((OR (ATOM #2#)
           (PROGN (LETT |x| (CAR #2#) |DIOSP;initializeGraph|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT #1# (CONS (|SPADfirst| (SPADCALL |x| (QREFELT $ 27))) #1#)
           |DIOSP;initializeGraph|)))
        (LETT #2# (CDR #2#) |DIOSP;initializeGraph|) (GO G190) G191
        (EXIT (NREVERSE0 #1#))))
      (QREFELT $ 29))
     |DIOSP;initializeGraph|)
    (LETT |k| (QVSIZE |coeffs|) |DIOSP;initializeGraph|)
    (LETT |m| (MIN |c| (SPADCALL (ELT $ 30) |coeffs| (QREFELT $ 32)))
     |DIOSP;initializeGraph|)
    (LETT |n| (MAX |c| (SPADCALL (ELT $ 33) |coeffs| (QREFELT $ 32)))
     |DIOSP;initializeGraph|)
    (EXIT
     (VECTOR
      (PRIMVEC2ARR
       (PROGN (LETT #3# (GETREFV (QSADD1 (- |n| |m|))) |DIOSP;initializeGraph|)
        (SEQ (LETT #4# 0 |DIOSP;initializeGraph|)
         (LETT |i| |m| |DIOSP;initializeGraph|) G190
         (COND ((> |i| |n|) (GO G191)))
         (SEQ
          (EXIT
           (SETELT #3# #4# (|DIOSP;createNode| |i| |coeffs| |k| (- 1 |m|) $))))
         (LETT |i|
          (PROG1 (+ |i| 1) (LETT #4# (QSADD1 #4#) |DIOSP;initializeGraph|))
          |DIOSP;initializeGraph|)
         (GO G190) G191 (EXIT NIL))
        #3#))
      |k| (- 1 |m|))))))) 

(DEFUN |DIOSP;createNode| (|ind| |coeffs| |k| |zeroNode| $)
 (PROG (|v| |i| #1=#:G3583 #2=#:G3584)
  (RETURN
   (SEQ (LETT |v| (SPADCALL |k| (QREFELT $ 34)) |DIOSP;createNode|)
    (SEQ (LETT |i| 1 |DIOSP;createNode|) G190
     (COND ((QSGREATERP |i| |k|) (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((< 0 |ind|)
         (SEQ
          (EXIT
           (COND
            ((< (SPADCALL |coeffs| |i| (QREFELT $ 35)) 0)
             (PROGN
              (LETT #1#
               (SPADCALL |v| |i|
                (+ (+ |zeroNode| |ind|) (SPADCALL |coeffs| |i| (QREFELT $ 35)))
                (QREFELT $ 36))
               |DIOSP;createNode|)
              (GO #1#)))))
          #1# (EXIT #1#)))
        ('T
         (SEQ
          (EXIT
           (COND
            ((< 0 (SPADCALL |coeffs| |i| (QREFELT $ 35)))
             (PROGN
              (LETT #2#
               (SPADCALL |v| |i|
                (+ (+ |zeroNode| |ind|) (SPADCALL |coeffs| |i| (QREFELT $ 35)))
                (QREFELT $ 36))
               |DIOSP;createNode|)
              (GO #2#)))))
          #2# (EXIT #2#))))))
     (LETT |i| (QSADD1 |i|) |DIOSP;createNode|) (GO G190) G191 (EXIT NIL))
    (EXIT (CONS |v| 'T)))))) 

(DEFUN |DIOSP;findSolutions| (|sol| |ind| |m| |n| |graph| |flag| $)
 (PROG (|node| |v| |k| |i| #1=#:G3603 |x| |s| |sols|)
  (RETURN
   (SEQ (LETT |sols| NIL |DIOSP;findSolutions|)
    (LETT |node| (SPADCALL (QVELT |graph| 0) |ind| (QREFELT $ 39))
     |DIOSP;findSolutions|)
    (EXIT
     (COND
      ((QCDR |node|)
       (SEQ (PROGN (RPLACD |node| 'NIL) (QCDR |node|))
        (LETT |v| (QCAR |node|) |DIOSP;findSolutions|)
        (LETT |k| (COND ((< |ind| (QVELT |graph| 2)) |m|) ('T |n|))
         |DIOSP;findSolutions|)
        (SEQ (LETT |i| |k| |DIOSP;findSolutions|)
         (LETT #1# (QVELT |graph| 1) |DIOSP;findSolutions|) G190
         (COND ((> |i| #1#) (GO G191)))
         (SEQ
          (LETT |x| (SPADCALL |sol| |i| (QREFELT $ 40)) |DIOSP;findSolutions|)
          (EXIT
           (COND
            ((< 0 (SPADCALL |v| |i| (QREFELT $ 35)))
             (SEQ (SPADCALL |sol| |i| (+ |x| 1) (QREFELT $ 41))
              (EXIT
               (COND
                ((EQL (SPADCALL |v| |i| (QREFELT $ 35)) (QVELT |graph| 2))
                 (COND
                  ((|DIOSP;verifyMinimality| |sol| |graph| |flag| $)
                   (SEQ
                    (LETT |sols| (CONS (SPADCALL |sol| (QREFELT $ 42)) |sols|)
                     |DIOSP;findSolutions|)
                    (EXIT (SPADCALL |sol| |i| |x| (QREFELT $ 41)))))
                  ('T (SPADCALL |sol| |i| |x| (QREFELT $ 41)))))
                ('T
                 (SEQ
                  (LETT |s|
                   (COND
                    ((< |ind| (QVELT |graph| 2))
                     (|DIOSP;findSolutions| |sol|
                      (SPADCALL |v| |i| (QREFELT $ 35)) |i| |n| |graph| |flag|
                      $))
                    ('T
                     (|DIOSP;findSolutions| |sol|
                      (SPADCALL |v| |i| (QREFELT $ 35)) |m| |i| |graph| |flag|
                      $)))
                   |DIOSP;findSolutions|)
                  (LETT |sols| (APPEND |s| |sols|) |DIOSP;findSolutions|)
                  (EXIT (SPADCALL |sol| |i| |x| (QREFELT $ 41))))))))))))
         (LETT |i| (+ |i| 1) |DIOSP;findSolutions|) (GO G190) G191 (EXIT NIL))
        (PROGN (RPLACD |node| 'T) (QCDR |node|)) (EXIT |sols|)))
      ('T |sols|))))))) 

(DEFUN |DIOSP;verifyMinimality| (|sol| |graph| |flag| $)
 (PROG (|i| |x| #1=#:G3606)
  (RETURN
   (SEQ
    (COND
     (|flag|
      (SEQ (LETT |i| 1 |DIOSP;verifyMinimality|)
       (SEQ G190
        (COND ((NULL (EQL (SPADCALL |sol| |i| (QREFELT $ 40)) 0)) (GO G191)))
        (SEQ (EXIT (LETT |i| (+ |i| 1) |DIOSP;verifyMinimality|))) NIL
        (GO G190) G191 (EXIT NIL))
       (LETT |x| (SPADCALL |sol| |i| (QREFELT $ 40)) |DIOSP;verifyMinimality|)
       (SPADCALL |sol| |i|
        (PROG1 (LETT #1# (- |x| 1) |DIOSP;verifyMinimality|)
         (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
        (QREFELT $ 41))
       (LETT |flag|
        (|DIOSP;verifySolution| |sol| (QVELT |graph| 2) 1 1 |graph| $)
        |DIOSP;verifyMinimality|)
       (SPADCALL |sol| |i| |x| (QREFELT $ 41)) (EXIT |flag|)))
     ('T (|DIOSP;verifySolution| |sol| (QVELT |graph| 2) 1 1 |graph| $))))))) 

(DEFUN |DIOSP;verifySolution| (|sol| |ind| |m| |n| |graph| $)
 (PROG (|node| |v| |k| |i| #1=#:G3622 |x| #2=#:G3612 |flag| #3=#:G3617)
  (RETURN
   (SEQ (LETT |flag| 'T |DIOSP;verifySolution|)
    (LETT |node| (SPADCALL (QVELT |graph| 0) |ind| (QREFELT $ 39))
     |DIOSP;verifySolution|)
    (LETT |v| (QCAR |node|) |DIOSP;verifySolution|)
    (LETT |k| (COND ((< |ind| (QVELT |graph| 2)) |m|) ('T |n|))
     |DIOSP;verifySolution|)
    (SEQ (LETT |i| |k| |DIOSP;verifySolution|)
     (LETT #1# (QVELT |graph| 1) |DIOSP;verifySolution|) G190
     (COND ((OR (> |i| #1#) (NULL |flag|)) (GO G191)))
     (SEQ (LETT |x| (SPADCALL |sol| |i| (QREFELT $ 40)) |DIOSP;verifySolution|)
      (EXIT
       (COND
        ((< 0 |x|)
         (SEQ
          (EXIT
           (COND
            ((< 0 (SPADCALL |v| |i| (QREFELT $ 35)))
             (PROGN
              (LETT #3#
               (SEQ
                (SPADCALL |sol| |i|
                 (PROG1 (LETT #2# (- |x| 1) |DIOSP;verifySolution|)
                  (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
                 (QREFELT $ 41))
                (EXIT
                 (COND
                  ((EQL (SPADCALL |v| |i| (QREFELT $ 35)) (QVELT |graph| 2))
                   (SEQ (LETT |flag| 'NIL |DIOSP;verifySolution|)
                    (EXIT (SPADCALL |sol| |i| |x| (QREFELT $ 41)))))
                  ('T
                   (SEQ
                    (LETT |flag|
                     (COND
                      ((< |ind| (QVELT |graph| 2))
                       (|DIOSP;verifySolution| |sol|
                        (SPADCALL |v| |i| (QREFELT $ 35)) |i| |n| |graph| $))
                      ('T
                       (|DIOSP;verifySolution| |sol|
                        (SPADCALL |v| |i| (QREFELT $ 35)) |m| |i| |graph| $)))
                     |DIOSP;verifySolution|)
                    (EXIT (SPADCALL |sol| |i| |x| (QREFELT $ 41))))))))
               |DIOSP;verifySolution|)
              (GO #3#)))))
          #3# (EXIT #3#))))))
     (LETT |i| (+ |i| 1) |DIOSP;verifySolution|) (GO G190) G191 (EXIT NIL))
    (EXIT |flag|))))) 

(DEFUN |DiophantineSolutionPackage| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3626)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|DiophantineSolutionPackage|)
        |DiophantineSolutionPackage|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|DiophantineSolutionPackage|
           (LIST (CONS NIL (CONS 1 (|DiophantineSolutionPackage;|))))))
         (LETT #1# T |DiophantineSolutionPackage|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache| '|DiophantineSolutionPackage|))))))))))) 

(DEFUN |DiophantineSolutionPackage;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|DiophantineSolutionPackage|) .
     #1=(|DiophantineSolutionPackage|))
    (LETT $ (GETREFV 43) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|DiophantineSolutionPackage| NIL
     (CONS 1 $))
    (|stuffDomainSlots| $) $)))) 

(MAKEPROP '|DiophantineSolutionPackage| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|Polynomial| 17) (|Equation| 6) (0 . |lhs|)
     (5 . |rhs|) (10 . -) (|NonNegativeInteger|) (16 . |totalDegree|)
     (|List| $) (21 . |monomials|) (|Boolean|) (26 . |ground?|) (|Integer|)
     (31 . |ground|) (|Vector| 11) (36 . |zero|) (|List| (|Symbol|))
     (41 . |variables|) (|Union| (|List| 19) '"failed")
     (|Record| (|:| |varOrder| 21) (|:| |inhom| 23) (|:| |hom| (|List| 19)))
     |DIOSP;dioSolve;ER;1| (|List| 17) (46 . |coefficients|) (|Vector| 17)
     (51 . |vector|) (56 . |min|) (|Mapping| 17 17 17) (62 . |reduce|)
     (68 . |max|) (74 . |zero|) (79 . |elt|) (85 . |setelt|)
     (|Record| (|:| |vert| 28) (|:| |free| 15)) (|Vector| 37) (92 . |elt|)
     (98 . |elt|) (104 . |setelt|) (111 . |copy|))
  '#(|dioSolve| 116) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 42
      '(1 7 6 0 8 1 7 6 0 9 2 6 0 0 0 10 1 6 11 0 12 1 6 13 0 14 1 6 15 0 16 1
        6 17 0 18 1 19 0 11 20 1 6 21 0 22 1 6 26 0 27 1 28 0 26 29 2 17 0 0 0
        30 2 28 17 31 0 32 2 17 0 0 0 33 1 28 0 11 34 2 28 17 0 17 35 3 28 17 0
        17 17 36 2 38 37 0 17 39 2 19 11 0 17 40 3 19 11 0 17 11 41 1 19 0 0 42
        1 0 24 7 25)))))
  '|lookupComplete|)) 

(MAKEPROP '|DiophantineSolutionPackage| 'NILADIC T) 
