
(/VERSIONCHECK 2) 

(DEFUN |DRAWPT;draw;LLTdv;1| (|lp| |l| $)
 (SPADCALL (SPADCALL (LIST |lp|) (QREFELT $ 8)) |l| (QREFELT $ 11))) 

(DEFUN |DRAWPT;draw;LTdv;2| (|lp| $) (SPADCALL |lp| NIL (QREFELT $ 13))) 

(DEFUN |DRAWPT;draw;2LLTdv;3| (|lx| |ly| |l| $)
 (PROG (#1=#:G3547 |y| #2=#:G3549 |x| #3=#:G3548)
  (RETURN
   (SEQ
    (SPADCALL
     (PROGN (LETT #1# NIL |DRAWPT;draw;2LLTdv;3|)
      (SEQ (LETT |y| NIL |DRAWPT;draw;2LLTdv;3|)
       (LETT #2# |ly| |DRAWPT;draw;2LLTdv;3|)
       (LETT |x| NIL |DRAWPT;draw;2LLTdv;3|)
       (LETT #3# |lx| |DRAWPT;draw;2LLTdv;3|) G190
       (COND
        ((OR (ATOM #3#) (PROGN (LETT |x| (CAR #3#) |DRAWPT;draw;2LLTdv;3|) NIL)
          (ATOM #2#) (PROGN (LETT |y| (CAR #2#) |DRAWPT;draw;2LLTdv;3|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (SPADCALL (LIST |x| |y|) (QREFELT $ 17)) #1#)
          |DRAWPT;draw;2LLTdv;3|)))
       (LETT #3# (PROG1 (CDR #3#) (LETT #2# (CDR #2#) |DRAWPT;draw;2LLTdv;3|))
        |DRAWPT;draw;2LLTdv;3|)
       (GO G190) G191 (EXIT (NREVERSE0 #1#))))
     |l| (QREFELT $ 13)))))) 

(DEFUN |DRAWPT;draw;2LTdv;4| (|lx| |ly| $)
 (SPADCALL |lx| |ly| NIL (QREFELT $ 18))) 

(DEFUN |DRAWPT;draw;3LTdv;5| (|x| |y| |z| $)
 (SPADCALL |x| |y| |z| NIL (QREFELT $ 21))) 

(DEFUN |DRAWPT;draw;3LLTdv;6| (|x| |y| |z| |l| $)
 (PROG (|m| |n| |zLen| |j| |i| |zval| |row| |points|)
  (RETURN
   (SEQ (LETT |m| (LENGTH |x|) |DRAWPT;draw;3LLTdv;6|)
    (EXIT
     (COND ((ZEROP |m|) (|error| "No X values"))
      ('T
       (SEQ (LETT |n| (LENGTH |y|) |DRAWPT;draw;3LLTdv;6|)
        (EXIT
         (COND ((ZEROP |n|) (|error| "No Y values"))
          ('T
           (SEQ (LETT |zLen| (LENGTH |z|) |DRAWPT;draw;3LLTdv;6|)
            (EXIT
             (COND
              ((SPADCALL |zLen| (* |m| |n|) (QREFELT $ 25))
               (COND
                ((< (* |m| |n|) |zLen|)
                 (|error| "Too many Z-values to fit grid"))
                ('T (|error| "Not enough Z-values to fit grid"))))
              ('T
               (SEQ (LETT |points| NIL |DRAWPT;draw;3LLTdv;6|)
                (SEQ (LETT |j| |n| |DRAWPT;draw;3LLTdv;6|) G190
                 (COND ((< |j| 1) (GO G191)))
                 (SEQ (LETT |row| NIL |DRAWPT;draw;3LLTdv;6|)
                  (SEQ (LETT |i| |m| |DRAWPT;draw;3LLTdv;6|) G190
                   (COND ((< |i| 1) (GO G191)))
                   (SEQ
                    (LETT |zval| (+ (* (- |j| 1) |m|) |i|)
                     |DRAWPT;draw;3LLTdv;6|)
                    (EXIT
                     (LETT |row|
                      (CONS
                       (SPADCALL
                        (LIST (SPADCALL |x| |i| (QREFELT $ 27))
                         (SPADCALL |y| |j| (QREFELT $ 27))
                         (SPADCALL |z| |zval| (QREFELT $ 27))
                         (SPADCALL |z| |zval| (QREFELT $ 27)))
                        (QREFELT $ 17))
                       |row|)
                      |DRAWPT;draw;3LLTdv;6|)))
                   (LETT |i| (+ |i| -1) |DRAWPT;draw;3LLTdv;6|) (GO G190) G191
                   (EXIT NIL))
                  (EXIT
                   (LETT |points| (CONS |row| |points|)
                    |DRAWPT;draw;3LLTdv;6|)))
                 (LETT |j| (+ |j| -1) |DRAWPT;draw;3LLTdv;6|) (GO G190) G191
                 (EXIT NIL))
                (EXIT
                 (SPADCALL (SPADCALL |points| (QREFELT $ 29)) |l|
                  (QREFELT $ 30))))))))))))))))))) 

(DEFUN |TopLevelDrawFunctionsForPoints| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3565)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|TopLevelDrawFunctionsForPoints|)
        |TopLevelDrawFunctionsForPoints|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|TopLevelDrawFunctionsForPoints|
           (LIST (CONS NIL (CONS 1 (|TopLevelDrawFunctionsForPoints;|))))))
         (LETT #1# T |TopLevelDrawFunctionsForPoints|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache|
           '|TopLevelDrawFunctionsForPoints|))))))))))) 

(DEFUN |TopLevelDrawFunctionsForPoints;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|TopLevelDrawFunctionsForPoints|) .
     #1=(|TopLevelDrawFunctionsForPoints|))
    (LETT $ (GETREFV 31) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|TopLevelDrawFunctionsForPoints| NIL
     (CONS 1 $))
    (|stuffDomainSlots| $) $)))) 

(MAKEPROP '|TopLevelDrawFunctionsForPoints| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|List| 12) (|GraphImage|) (0 . |makeGraphImage|)
     (|List| (|DrawOption|)) (|TwoDimensionalViewport|) (5 . |makeViewport2D|)
     (|List| 16) |DRAWPT;draw;LLTdv;1| |DRAWPT;draw;LTdv;2| (|List| 26)
     (|Point| 26) (11 . |point|) |DRAWPT;draw;2LLTdv;3| |DRAWPT;draw;2LTdv;4|
     (|ThreeDimensionalViewport|) |DRAWPT;draw;3LLTdv;6| |DRAWPT;draw;3LTdv;5|
     (|Boolean|) (|Integer|) (16 . ~=) (|DoubleFloat|) (22 . |elt|)
     (|ThreeSpace| 26) (28 . |mesh|) (33 . |makeViewport3D|))
  '#(|draw| 39) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 30
      '(1 7 0 6 8 2 10 0 7 9 11 1 16 0 15 17 2 24 23 0 0 25 2 15 26 0 24 27 1
        28 0 6 29 2 20 0 28 9 30 2 0 10 15 15 19 1 0 10 12 14 3 0 10 15 15 9 18
        2 0 10 12 9 13 4 0 20 15 15 15 9 21 3 0 20 15 15 15 22)))))
  '|lookupComplete|)) 

(MAKEPROP '|TopLevelDrawFunctionsForPoints| 'NILADIC T) 
