
(/VERSIONCHECK 2) 

(PUT '|DROPT;length| '|SPADreplace| 'LENGTH) 

(DEFUN |DROPT;length| (|tup| $) (LENGTH |tup|)) 

(PUT '|DROPT;lengthR| '|SPADreplace| 'LENGTH) 

(DEFUN |DROPT;lengthR| (|tup| $) (LENGTH |tup|)) 

(PUT '|DROPT;lengthI| '|SPADreplace| 'LENGTH) 

(DEFUN |DROPT;lengthI| (|tup| $) (LENGTH |tup|)) 

(DEFUN |DROPT;viewpoint;R$;4| (|vp| $)
 (CONS (SPADCALL "viewpoint" (QREFELT $ 9)) (SPADCALL |vp| (QREFELT $ 13)))) 

(DEFUN |DROPT;title;S$;5| (|s| $)
 (CONS (SPADCALL "title" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 16)))) 

(DEFUN |DROPT;style;S$;6| (|s| $)
 (CONS (SPADCALL "style" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 16)))) 

(DEFUN |DROPT;toScale;B$;7| (|b| $)
 (CONS (SPADCALL "toScale" (QREFELT $ 9)) (SPADCALL |b| (QREFELT $ 21)))) 

(DEFUN |DROPT;clip;B$;8| (|b| $)
 (CONS (SPADCALL "clipBoolean" (QREFELT $ 9)) (SPADCALL |b| (QREFELT $ 21)))) 

(DEFUN |DROPT;adaptive;B$;9| (|b| $)
 (CONS (SPADCALL "adaptive" (QREFELT $ 9)) (SPADCALL |b| (QREFELT $ 21)))) 

(DEFUN |DROPT;pointColor;F$;10| (|x| $)
 (CONS (SPADCALL "pointColorFloat" (QREFELT $ 9))
  (SPADCALL |x| (QREFELT $ 27)))) 

(DEFUN |DROPT;pointColor;P$;11| (|c| $)
 (CONS (SPADCALL "pointColorPalette" (QREFELT $ 9))
  (SPADCALL |c| (QREFELT $ 31)))) 

(DEFUN |DROPT;curveColor;F$;12| (|x| $)
 (CONS (SPADCALL "curveColorFloat" (QREFELT $ 9))
  (SPADCALL |x| (QREFELT $ 27)))) 

(DEFUN |DROPT;curveColor;P$;13| (|c| $)
 (CONS (SPADCALL "curveColorPalette" (QREFELT $ 9))
  (SPADCALL |c| (QREFELT $ 31)))) 

(DEFUN |DROPT;colorFunction;M$;14| (|f| $)
 (CONS (SPADCALL "colorFunction1" (QREFELT $ 9))
  (SPADCALL |f| (QREFELT $ 37)))) 

(DEFUN |DROPT;colorFunction;M$;15| (|f| $)
 (CONS (SPADCALL "colorFunction2" (QREFELT $ 9))
  (SPADCALL |f| (QREFELT $ 41)))) 

(DEFUN |DROPT;colorFunction;M$;16| (|f| $)
 (CONS (SPADCALL "colorFunction3" (QREFELT $ 9))
  (SPADCALL |f| (QREFELT $ 45)))) 

(DEFUN |DROPT;clip;L$;17| (|tup| $)
 (COND
  ((< 3 (|DROPT;length| |tup| $))
   (|error| "clip: at most 3 segments may be specified"))
  ('T
   (CONS (SPADCALL "clipSegment" (QREFELT $ 9))
    (SPADCALL |tup| (QREFELT $ 49)))))) 

(DEFUN |DROPT;coordinates;M$;18| (|f| $)
 (CONS (SPADCALL "coordinates" (QREFELT $ 9)) (SPADCALL |f| (QREFELT $ 53)))) 

(DEFUN |DROPT;tubeRadius;F$;19| (|x| $)
 (CONS (SPADCALL "tubeRadius" (QREFELT $ 9)) (SPADCALL |x| (QREFELT $ 27)))) 

(DEFUN |DROPT;range;L$;20| (|tup| $)
 (PROG (|n|)
  (RETURN
   (SEQ (LETT |n| (|DROPT;length| |tup| $) |DROPT;range;L$;20|)
    (EXIT
     (COND ((< 3 |n|) (|error| "range: at most 3 segments may be specified"))
      ((< |n| 2) (|error| "range: at least 2 segments may be specified"))
      ('T
       (CONS (SPADCALL "rangeFloat" (QREFELT $ 9))
        (SPADCALL |tup| (QREFELT $ 49)))))))))) 

(DEFUN |DROPT;range;L$;21| (|tup| $)
 (PROG (|n|)
  (RETURN
   (SEQ (LETT |n| (|DROPT;lengthR| |tup| $) |DROPT;range;L$;21|)
    (EXIT
     (COND ((< 3 |n|) (|error| "range: at most 3 segments may be specified"))
      ((< |n| 2) (|error| "range: at least 2 segments may be specified"))
      ('T
       (CONS (SPADCALL "rangeRat" (QREFELT $ 9))
        (SPADCALL |tup| (QREFELT $ 59)))))))))) 

(DEFUN |DROPT;ranges;L$;22| (|s| $)
 (CONS (SPADCALL "ranges" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 49)))) 

(DEFUN |DROPT;space;Ts$;23| (|s| $)
 (CONS (SPADCALL "space" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 64)))) 

(DEFUN |DROPT;var1Steps;Pi$;24| (|s| $)
 (CONS (SPADCALL "var1Steps" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 68)))) 

(DEFUN |DROPT;var2Steps;Pi$;25| (|s| $)
 (CONS (SPADCALL "var2Steps" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 68)))) 

(DEFUN |DROPT;tubePoints;Pi$;26| (|s| $)
 (CONS (SPADCALL "tubePoints" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 68)))) 

(DEFUN |DROPT;coord;M$;27| (|s| $)
 (CONS (SPADCALL "coord" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 53)))) 

(DEFUN |DROPT;unit;L$;28| (|s| $)
 (CONS (SPADCALL "unit" (QREFELT $ 9)) (SPADCALL |s| (QREFELT $ 75)))) 

(DEFUN |DROPT;coerce;$Of;29| (|x| $)
 (SPADCALL (SPADCALL (QCAR |x|) (QREFELT $ 78))
  (SPADCALL (QCDR |x|) (QREFELT $ 79)) (QREFELT $ 80))) 

(DEFUN |DROPT;=;2$B;30| (|x| |y| $)
 (COND
  ((EQUAL (QCAR |x|) (QCAR |y|))
   (SPADCALL (QCDR |x|) (QCDR |y|) (QREFELT $ 82)))
  ('T 'NIL))) 

(DEFUN |DROPT;option?;LSB;31| (|l| |s| $)
 (PROG (|x| #1=#:G3596 #2=#:G3595 #3=#:G3593)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |x| NIL |DROPT;option?;LSB;31|)
         (LETT #1# |l| |DROPT;option?;LSB;31|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |x| (CAR #1#) |DROPT;option?;LSB;31|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((EQUAL (QCAR |x|) |s|)
             (PROGN
              (LETT #3# (PROGN (LETT #2# 'T |DROPT;option?;LSB;31|) (GO #2#))
               |DROPT;option?;LSB;31|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |DROPT;option?;LSB;31|) (GO G190) G191
         (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT 'NIL)))
    #2# (EXIT #2#))))) 

(DEFUN |DROPT;option;LSU;32| (|l| |s| $)
 (PROG (|x| #1=#:G3608 #2=#:G3607 #3=#:G3602)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |x| NIL |DROPT;option;LSU;32|)
         (LETT #1# |l| |DROPT;option;LSU;32|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |x| (CAR #1#) |DROPT;option;LSU;32|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((EQUAL (QCAR |x|) |s|)
             (PROGN
              (LETT #3#
               (PROGN (LETT #2# (CONS 0 (QCDR |x|)) |DROPT;option;LSU;32|)
                (GO #2#))
               |DROPT;option;LSU;32|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |DROPT;option;LSU;32|) (GO G190) G191 (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT (CONS 1 "failed"))))
    #2# (EXIT #2#))))) 

(DEFUN |DrawOption| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3612)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|DrawOption|) |DrawOption|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|DrawOption|
           (LIST (CONS NIL (CONS 1 (|DrawOption;|))))))
         (LETT #1# T |DrawOption|))
        (COND ((NOT #1#) (HREM |$ConstructorCache| '|DrawOption|))))))))))) 

(DEFUN |DrawOption;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT |dv$| '(|DrawOption|) . #1=(|DrawOption|))
    (LETT $ (GETREFV 89) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|DrawOption| NIL (CONS 1 $))
    (|stuffDomainSlots| $)
    (QSETREFV $ 6 (|Record| (|:| |keyword| (|Symbol|)) (|:| |value| (|Any|))))
    $)))) 

(MAKEPROP '|DrawOption| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL '|Rep| (|String|) (|Symbol|) (0 . |coerce|)
     (|Any|)
     (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|))
      (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|))
      (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|))
      (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))
     (|AnyFunctions1| 11) (5 . |coerce|) |DROPT;viewpoint;R$;4|
     (|AnyFunctions1| 7) (10 . |coerce|) |DROPT;title;S$;5| |DROPT;style;S$;6|
     (|Boolean|) (|AnyFunctions1| 19) (15 . |coerce|) |DROPT;toScale;B$;7|
     |DROPT;clip;B$;8| |DROPT;adaptive;B$;9| (|Float|) (|AnyFunctions1| 25)
     (20 . |coerce|) |DROPT;pointColor;F$;10| (|Palette|) (|AnyFunctions1| 29)
     (25 . |coerce|) |DROPT;pointColor;P$;11| |DROPT;curveColor;F$;12|
     |DROPT;curveColor;P$;13| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))
     (|AnyFunctions1| 35) (30 . |coerce|) |DROPT;colorFunction;M$;14|
     (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))
     (|AnyFunctions1| 39) (35 . |coerce|) |DROPT;colorFunction;M$;15|
     (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)
      (|DoubleFloat|))
     (|AnyFunctions1| 43) (40 . |coerce|) |DROPT;colorFunction;M$;16|
     (|List| (|Segment| 25)) (|AnyFunctions1| 47) (45 . |coerce|)
     |DROPT;clip;L$;17|
     (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))
     (|AnyFunctions1| 51) (50 . |coerce|) |DROPT;coordinates;M$;18|
     |DROPT;tubeRadius;F$;19| |DROPT;range;L$;20|
     (|List| (|Segment| (|Fraction| (|Integer|)))) (|AnyFunctions1| 57)
     (55 . |coerce|) |DROPT;range;L$;21| |DROPT;ranges;L$;22|
     (|ThreeSpace| (|DoubleFloat|)) (|AnyFunctions1| 62) (60 . |coerce|)
     |DROPT;space;Ts$;23| (|PositiveInteger|) (|AnyFunctions1| 66)
     (65 . |coerce|) |DROPT;var1Steps;Pi$;24| |DROPT;var2Steps;Pi$;25|
     |DROPT;tubePoints;Pi$;26| |DROPT;coord;M$;27| (|List| 25)
     (|AnyFunctions1| 73) (70 . |coerce|) |DROPT;unit;L$;28| (|OutputForm|)
     (75 . |coerce|) (80 . |coerce|) (85 . =) |DROPT;coerce;$Of;29| (91 . =)
     |DROPT;=;2$B;30| (|List| $) |DROPT;option?;LSB;31| (|Union| 10 '"failed")
     |DROPT;option;LSU;32| (|SingleInteger|))
  '#(~= 97 |viewpoint| 103 |var2Steps| 108 |var1Steps| 113 |unit| 118
     |tubeRadius| 123 |tubePoints| 128 |toScale| 133 |title| 138 |style| 143
     |space| 148 |ranges| 153 |range| 158 |pointColor| 168 |option?| 178
     |option| 184 |latex| 190 |hash| 195 |curveColor| 200 |coordinates| 210
     |coord| 215 |colorFunction| 220 |coerce| 235 |clip| 240 |adaptive| 250 =
     255)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0 0))
   (CONS '#(|SetCategory&| |BasicType&| NIL)
    (CONS '#((|SetCategory|) (|BasicType|) (|CoercibleTo| 77))
     (|makeByteWordVec2| 88
      '(1 8 0 7 9 1 12 10 11 13 1 15 10 7 16 1 20 10 19 21 1 26 10 25 27 1 30
        10 29 31 1 36 10 35 37 1 40 10 39 41 1 44 10 43 45 1 48 10 47 49 1 52
        10 51 53 1 58 10 57 59 1 63 10 62 64 1 67 10 66 68 1 74 10 73 75 1 8 77
        0 78 1 10 77 0 79 2 77 0 0 0 80 2 10 19 0 0 82 2 0 19 0 0 1 1 0 0 11 14
        1 0 0 66 70 1 0 0 66 69 1 0 0 73 76 1 0 0 25 55 1 0 0 66 71 1 0 0 19 22
        1 0 0 7 17 1 0 0 7 18 1 0 0 62 65 1 0 0 47 61 1 0 0 57 60 1 0 0 47 56 1
        0 0 29 32 1 0 0 25 28 2 0 19 84 8 85 2 0 86 84 8 87 1 0 7 0 1 1 0 88 0
        1 1 0 0 29 34 1 0 0 25 33 1 0 0 51 54 1 0 0 51 72 1 0 0 39 42 1 0 0 43
        46 1 0 0 35 38 1 0 77 0 81 1 0 0 47 50 1 0 0 19 23 1 0 0 19 24 2 0 19 0
        0 83)))))
  '|lookupComplete|)) 

(MAKEPROP '|DrawOption| 'NILADIC T) 
