
(/VERSIONCHECK 2) 

(DEFUN |EXPRODE;localInteger| (|n| $)
 (COND ((QREFELT $ 16) |n|) ('T (SPADCALL (QREFELT $ 15) |n| (QREFELT $ 17))))) 

(DEFUN |EXPRODE;diffRhs| (|f| |g| $)
 (|EXPRODE;diffRhsK| (SPADCALL |f| (QREFELT $ 19)) |g| $)) 

(DEFUN |EXPRODE;k2exquo| (|k| $)
 (PROG (|op| #1=#:G3552 |f| #2=#:G3553)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL (LETT |op| (SPADCALL |k| (QREFELT $ 21)) |EXPRODE;k2exquo|)
       (SPADCALL "%diff" (QREFELT $ 10)) (QREFELT $ 23))
      (|error| "Improper differential equation"))
     ('T
      (SPADCALL |op|
       (PROGN (LETT #1# NIL |EXPRODE;k2exquo|)
        (SEQ (LETT |f| NIL |EXPRODE;k2exquo|)
         (LETT #2# (SPADCALL |k| (QREFELT $ 25)) |EXPRODE;k2exquo|) G190
         (COND
          ((OR (ATOM #2#) (PROGN (LETT |f| (CAR #2#) |EXPRODE;k2exquo|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #1# (CONS (|EXPRODE;div2exquo| |f| $) #1#)
            |EXPRODE;k2exquo|)))
         (LETT #2# (CDR #2#) |EXPRODE;k2exquo|) (GO G190) G191
         (EXIT (NREVERSE0 #1#))))
       (QREFELT $ 27)))))))) 

(DEFUN |EXPRODE;smp2exquo| (|p| $)
 (SPADCALL (CONS (|function| |EXPRODE;k2exquo|) $)
  (CONS #'|EXPRODE;smp2exquo!0| $) |p| (QREFELT $ 33))) 

(DEFUN |EXPRODE;smp2exquo!0| (|#1| $) (SPADCALL |#1| (QREFELT $ 28))) 

(DEFUN |EXPRODE;div2exquo| (|f| $)
 (PROG (|d|)
  (RETURN
   (SEQ (LETT |d| (SPADCALL |f| (QREFELT $ 35)) |EXPRODE;div2exquo|)
    (EXIT
     (COND ((SPADCALL |d| (|spadConstant| $ 38) (QREFELT $ 39)) |f|)
      ('T
       (SPADCALL (QREFELT $ 14)
        (|EXPRODE;smp2exquo| (SPADCALL |f| (QREFELT $ 40)) $)
        (|EXPRODE;smp2exquo| |d| $) (QREFELT $ 41))))))))) 

(DEFUN |EXPRODE;diffRhsK| (|k| |g| $)
 (PROG (|h|)
  (RETURN
   (SEQ (LETT |h| (SPADCALL |g| |k| (QREFELT $ 43)) |EXPRODE;diffRhsK|)
    (COND
     ((NULL (< 1 (SPADCALL (SPADCALL |h| (QREFELT $ 46)) (QREFELT $ 50))))
      (COND
       ((SPADCALL (SPADCALL |h| (QREFELT $ 51)) (QREFELT $ 52))
        (EXIT
         (SPADCALL
          (SPADCALL (SPADCALL (SPADCALL |h| (QREFELT $ 46)) 0 (QREFELT $ 54))
           (SPADCALL (SPADCALL |h| (QREFELT $ 46)) 1 (QREFELT $ 54))
           (QREFELT $ 55))
          (QREFELT $ 56)))))))
    (EXIT (|error| "Improper differential equation")))))) 

(DEFUN |EXPRODE;checkCompat| (|y| |eqx| |eqy| $)
 (COND
  ((SPADCALL (SPADCALL |eqy| (QREFELT $ 58))
    (SPADCALL |y| (SPADCALL |eqx| (QREFELT $ 59)) (QREFELT $ 17))
    (QREFELT $ 60))
   (SPADCALL |eqy| (QREFELT $ 59)))
  ('T (|error| "Improper initial value")))) 

(DEFUN |EXPRODE;findCompat| (|yx| |l| $)
 (PROG (|eq| #1=#:G3569 #2=#:G3568 #3=#:G3566)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |eq| NIL |EXPRODE;findCompat|)
         (LETT #1# |l| |EXPRODE;findCompat|) G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |eq| (CAR #1#) |EXPRODE;findCompat|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((SPADCALL |yx| (SPADCALL |eq| (QREFELT $ 58)) (QREFELT $ 60))
             (PROGN
              (LETT #3#
               (PROGN
                (LETT #2# (SPADCALL |eq| (QREFELT $ 59)) |EXPRODE;findCompat|)
                (GO #2#))
               |EXPRODE;findCompat|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |EXPRODE;findCompat|) (GO G190) G191 (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT (|error| "Improper initial value"))))
    #2# (EXIT #2#))))) 

(DEFUN |EXPRODE;findEq| (|k| |x| |sys| $)
 (PROG (|eq| #1=#:G3574 #2=#:G3573 #3=#:G3571)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |k|
       (SPADCALL (SPADCALL (SPADCALL |k| (QREFELT $ 61)) |x| (QREFELT $ 62))
        (QREFELT $ 19))
       |EXPRODE;findEq|)
      (SEQ
       (EXIT
        (SEQ (LETT |eq| NIL |EXPRODE;findEq|) (LETT #1# |sys| |EXPRODE;findEq|)
         G190
         (COND
          ((OR (ATOM #1#) (PROGN (LETT |eq| (CAR #1#) |EXPRODE;findEq|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((SPADCALL |k| (SPADCALL |eq| (QREFELT $ 64)) (QREFELT $ 66))
             (PROGN
              (LETT #3# (PROGN (LETT #2# |eq| |EXPRODE;findEq|) (GO #2#))
               |EXPRODE;findEq|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |EXPRODE;findEq|) (GO G190) G191 (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT (|error| "Improper differential equation"))))
    #2# (EXIT #2#))))) 

(DEFUN |EXPRODE;checkOrder1| (|diffeq| |y| |yx| |x| |sy| $)
 (|EXPRODE;div2exquo|
  (SPADCALL
   (|EXPRODE;diffRhs|
    (SPADCALL (SPADCALL |yx| (QREFELT $ 61)) |x| (QREFELT $ 62)) |diffeq| $)
   (LIST |yx|) (LIST |sy|) (QREFELT $ 67))
  $)) 

(DEFUN |EXPRODE;checkOrderN| (|diffeq| |y| |yx| |x| |sy| |n| $)
 (PROG (|i| |f| |l| |m| |lv|)
  (RETURN
   (SEQ
    (COND ((ZEROP |n|) (|error| "No initial value(s) given"))
     ('T
      (SEQ
       (LETT |m|
        (SPADCALL
         (SPADCALL
          (LETT |l|
           (LIST
            (SPADCALL
             (LETT |f| (SPADCALL |yx| (QREFELT $ 61)) |EXPRODE;checkOrderN|)
             (QREFELT $ 19)))
           |EXPRODE;checkOrderN|)
          (QREFELT $ 69))
         (QREFELT $ 70))
        |EXPRODE;checkOrderN|)
       (LETT |lv|
        (LIST
         (SPADCALL (QREFELT $ 13) |sy| (|EXPRODE;localInteger| |m| $)
          (QREFELT $ 41)))
        |EXPRODE;checkOrderN|)
       (SEQ (LETT |i| 2 |EXPRODE;checkOrderN|) G190
        (COND ((QSGREATERP |i| |n|) (GO G191)))
        (SEQ
         (LETT |l|
          (CONS
           (SPADCALL
            (LETT |f| (SPADCALL |f| |x| (QREFELT $ 62)) |EXPRODE;checkOrderN|)
            (QREFELT $ 19))
           |l|)
          |EXPRODE;checkOrderN|)
         (EXIT
          (LETT |lv|
           (CONS
            (SPADCALL (QREFELT $ 13) |sy|
             (|EXPRODE;localInteger|
              (LETT |m| (SPADCALL |m| (|spadConstant| $ 37) (QREFELT $ 71))
               |EXPRODE;checkOrderN|)
              $)
             (QREFELT $ 41))
            |lv|)
           |EXPRODE;checkOrderN|)))
        (LETT |i| (QSADD1 |i|) |EXPRODE;checkOrderN|) (GO G190) G191
        (EXIT NIL))
       (EXIT
        (|EXPRODE;div2exquo|
         (SPADCALL
          (|EXPRODE;diffRhs| (SPADCALL |f| |x| (QREFELT $ 62)) |diffeq| $) |l|
          |lv| (QREFELT $ 67))
         $))))))))) 

(DEFUN |EXPRODE;checkSystem| (|diffeq| |yx| |lv| $)
 (PROG (|k| #1=#:G3585 #2=#:G3584 #3=#:G3582)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ
       (EXIT
        (SEQ (LETT |k| NIL |EXPRODE;checkSystem|)
         (LETT #1# (SPADCALL |diffeq| (QREFELT $ 64)) |EXPRODE;checkSystem|)
         G190
         (COND
          ((OR (ATOM #1#)
            (PROGN (LETT |k| (CAR #1#) |EXPRODE;checkSystem|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((SPADCALL |k| (SPADCALL "%diff" (QREFELT $ 10)) (QREFELT $ 72))
             (PROGN
              (LETT #3#
               (PROGN
                (LETT #2#
                 (|EXPRODE;div2exquo|
                  (SPADCALL (|EXPRODE;diffRhsK| |k| |diffeq| $) |yx| |lv|
                   (QREFELT $ 67))
                  $)
                 |EXPRODE;checkSystem|)
                (GO #2#))
               |EXPRODE;checkSystem|)
              (GO #3#))))))
         (LETT #1# (CDR #1#) |EXPRODE;checkSystem|) (GO G190) G191 (EXIT NIL)))
       #3# (EXIT #3#))
      (EXIT (|spadConstant| $ 73))))
    #2# (EXIT #2#))))) 

(DEFUN |EXPRODE;seriesSolve;LLELA;13| (|l| |y| |eqx| |eqy| $)
 (PROG (#1=#:G3588 |deq| #2=#:G3589)
  (RETURN
   (SEQ
    (SPADCALL
     (PROGN (LETT #1# NIL |EXPRODE;seriesSolve;LLELA;13|)
      (SEQ (LETT |deq| NIL |EXPRODE;seriesSolve;LLELA;13|)
       (LETT #2# |l| |EXPRODE;seriesSolve;LLELA;13|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |deq| (CAR #2#) |EXPRODE;seriesSolve;LLELA;13|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1#
          (CONS
           (SPADCALL (SPADCALL |deq| (QREFELT $ 58))
            (SPADCALL |deq| (QREFELT $ 59)) (QREFELT $ 74))
           #1#)
          |EXPRODE;seriesSolve;LLELA;13|)))
       (LETT #2# (CDR #2#) |EXPRODE;seriesSolve;LLELA;13|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |y| |eqx| |eqy| (QREFELT $ 78)))))) 

(DEFUN |EXPRODE;seriesSolve;LLELA;14| (|l| |y| |eqx| |y0| $)
 (PROG (#1=#:G3593 |deq| #2=#:G3594)
  (RETURN
   (SEQ
    (SPADCALL
     (PROGN (LETT #1# NIL |EXPRODE;seriesSolve;LLELA;14|)
      (SEQ (LETT |deq| NIL |EXPRODE;seriesSolve;LLELA;14|)
       (LETT #2# |l| |EXPRODE;seriesSolve;LLELA;14|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |deq| (CAR #2#) |EXPRODE;seriesSolve;LLELA;14|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1#
          (CONS
           (SPADCALL (SPADCALL |deq| (QREFELT $ 58))
            (SPADCALL |deq| (QREFELT $ 59)) (QREFELT $ 74))
           #1#)
          |EXPRODE;seriesSolve;LLELA;14|)))
       (LETT #2# (CDR #2#) |EXPRODE;seriesSolve;LLELA;14|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |y| |eqx| |y0| (QREFELT $ 80)))))) 

(DEFUN |EXPRODE;seriesSolve;LLELA;15| (|l| |ly| |eqx| |eqy| $)
 (PROG (#1=#:G3597 |y| #2=#:G3598)
  (RETURN
   (SEQ
    (SPADCALL |l| |ly| |eqx|
     (PROGN (LETT #1# NIL |EXPRODE;seriesSolve;LLELA;15|)
      (SEQ (LETT |y| NIL |EXPRODE;seriesSolve;LLELA;15|)
       (LETT #2# |ly| |EXPRODE;seriesSolve;LLELA;15|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |y| (CAR #2#) |EXPRODE;seriesSolve;LLELA;15|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1#
          (CONS
           (|EXPRODE;findCompat|
            (SPADCALL |y| (SPADCALL |eqx| (QREFELT $ 59)) (QREFELT $ 17)) |eqy|
            $)
           #1#)
          |EXPRODE;seriesSolve;LLELA;15|)))
       (LETT #2# (CDR #2#) |EXPRODE;seriesSolve;LLELA;15|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     (QREFELT $ 80)))))) 

(DEFUN |EXPRODE;seriesSolve;EBo2EA;16| (|diffeq| |y| |eqx| |eqy| $)
 (SPADCALL
  (SPADCALL (SPADCALL |diffeq| (QREFELT $ 58))
   (SPADCALL |diffeq| (QREFELT $ 59)) (QREFELT $ 74))
  |y| |eqx| |eqy| (QREFELT $ 82))) 

(DEFUN |EXPRODE;seriesSolve;EBoEFA;17| (|diffeq| |y| |eqx| |y0| $)
 (SPADCALL
  (SPADCALL (SPADCALL |diffeq| (QREFELT $ 58))
   (SPADCALL |diffeq| (QREFELT $ 59)) (QREFELT $ 74))
  |y| |eqx| |y0| (QREFELT $ 84))) 

(DEFUN |EXPRODE;seriesSolve;EBoELA;18| (|diffeq| |y| |eqx| |y0| $)
 (SPADCALL
  (SPADCALL (SPADCALL |diffeq| (QREFELT $ 58))
   (SPADCALL |diffeq| (QREFELT $ 59)) (QREFELT $ 74))
  |y| |eqx| |y0| (QREFELT $ 86))) 

(DEFUN |EXPRODE;seriesSolve;FBo2EA;19| (|diffeq| |y| |eqx| |eqy| $)
 (SPADCALL |diffeq| |y| |eqx| (|EXPRODE;checkCompat| |y| |eqx| |eqy| $)
  (QREFELT $ 84))) 

(DEFUN |EXPRODE;seriesSolve;FBoEFA;20| (|diffeq| |y| |eqx| |y0| $)
 (PROG (#1=#:G3607 |x| |sy| |yx| |f| |center|)
  (RETURN
   (SEQ
    (LETT |x|
     (PROG2
      (LETT #1#
       (SPADCALL (SPADCALL (SPADCALL |eqx| (QREFELT $ 58)) (QREFELT $ 19))
        (QREFELT $ 89))
       |EXPRODE;seriesSolve;FBoEFA;20|)
      (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|Symbol|) #1#))
     |EXPRODE;seriesSolve;FBoEFA;20|)
    (LETT |sy| (SPADCALL |y| (QREFELT $ 90)) |EXPRODE;seriesSolve;FBoEFA;20|)
    (LETT |yx|
     (SPADCALL (SPADCALL |y| (SPADCALL |eqx| (QREFELT $ 58)) (QREFELT $ 17))
      (QREFELT $ 19))
     |EXPRODE;seriesSolve;FBoEFA;20|)
    (LETT |f|
     (|EXPRODE;checkOrder1| |diffeq| |y| |yx| |x|
      (SPADCALL |sy| (QREFELT $ 91)) $)
     |EXPRODE;seriesSolve;FBoEFA;20|)
    (LETT |center| (SPADCALL |eqx| (QREFELT $ 59))
     |EXPRODE;seriesSolve;FBoEFA;20|)
    (EXIT
     (SPADCALL
      (SPADCALL
       (SPADCALL |f| |sy|
        (|compiledLookupCheck| '|compiledFunction|
         (LIST
          (LIST '|Mapping|
           (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
            |center|)
           (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
            |center|))
          (|devaluate| (ELT $ 7)) (LIST '|Symbol|))
         (|MakeUnaryCompiledFunction| (ELT $ 7)
          (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|)
          (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))
       |y0|
       (|compiledLookupCheck| '|ode1|
        (LIST
         (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x| |center|)
         (LIST '|Mapping|
          (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x| |center|)
          (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
           |center|))
         (|devaluate| (ELT $ 7)))
        (|UnivariateTaylorSeriesODESolver| (ELT $ 7)
         (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))
      (|compiledLookupCheck| '|coerce|
       (LIST (LIST '|Any|)
        (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x| |center|))
       (|AnyFunctions1|
        (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))))))) 

(DEFUN |EXPRODE;seriesSolve;FBoELA;21| (|diffeq| |y| |eqx| |y0| $)
 (PROG (#1=#:G3612 |x| |sy| |yx| |f| |center|)
  (RETURN
   (SEQ
    (LETT |x|
     (PROG2
      (LETT #1#
       (SPADCALL (SPADCALL (SPADCALL |eqx| (QREFELT $ 58)) (QREFELT $ 19))
        (QREFELT $ 89))
       |EXPRODE;seriesSolve;FBoELA;21|)
      (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|Symbol|) #1#))
     |EXPRODE;seriesSolve;FBoELA;21|)
    (LETT |sy| (SPADCALL (QREFELT $ 92)) |EXPRODE;seriesSolve;FBoELA;21|)
    (LETT |yx|
     (SPADCALL (SPADCALL |y| (SPADCALL |eqx| (QREFELT $ 58)) (QREFELT $ 17))
      (QREFELT $ 19))
     |EXPRODE;seriesSolve;FBoELA;21|)
    (LETT |f|
     (|EXPRODE;checkOrderN| |diffeq| |y| |yx| |x|
      (SPADCALL |sy| (QREFELT $ 91)) (LENGTH |y0|) $)
     |EXPRODE;seriesSolve;FBoELA;21|)
    (LETT |center| (SPADCALL |eqx| (QREFELT $ 59))
     |EXPRODE;seriesSolve;FBoELA;21|)
    (EXIT
     (SPADCALL
      (SPADCALL
       (SPADCALL |f| |sy|
        (|compiledLookupCheck| '|compiledFunction|
         (LIST
          (LIST '|Mapping|
           (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
            |center|)
           (LIST '|List|
            (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
             |center|)))
          (|devaluate| (ELT $ 7)) (LIST '|Symbol|))
         (|MakeUnaryCompiledFunction| (ELT $ 7)
          (|List| (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))
          (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))
       |y0|
       (|compiledLookupCheck| '|ode|
        (LIST
         (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x| |center|)
         (LIST '|Mapping|
          (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x| |center|)
          (LIST '|List|
           (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
            |center|)))
         (LIST '|List| (|devaluate| (ELT $ 7))))
        (|UnivariateTaylorSeriesODESolver| (ELT $ 7)
         (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))
      (|compiledLookupCheck| '|coerce|
       (LIST (LIST '|Any|)
        (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x| |center|))
       (|AnyFunctions1|
        (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))))))) 

(DEFUN |EXPRODE;seriesSolve;LLELA;22| (|sys| |ly| |eqx| |l0| $)
 (PROG
  (|kx| #1=#:G3617 |x| |sy| |fsy| #2=#:G3627 |y| #3=#:G3628 |yx| #4=#:G3629
   #5=#:G3630 |m| |lelt| #6=#:G3631 |k| #7=#:G3632 #8=#:G3633 |eq| #9=#:G3634
   |l| |center| #10=#:G3635 |f| #11=#:G3636)
  (RETURN
   (SEQ
    (LETT |x|
     (PROG2
      (LETT #1#
       (SPADCALL
        (LETT |kx| (SPADCALL (SPADCALL |eqx| (QREFELT $ 58)) (QREFELT $ 19))
         |EXPRODE;seriesSolve;LLELA;22|)
        (QREFELT $ 89))
       |EXPRODE;seriesSolve;LLELA;22|)
      (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|Symbol|) #1#))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |fsy|
     (SPADCALL
      (LETT |sy| (SPADCALL (QREFELT $ 92)) |EXPRODE;seriesSolve;LLELA;22|)
      (QREFELT $ 91))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |m| (SPADCALL (- (SPADCALL |l0| (QREFELT $ 93)) 1) (QREFELT $ 70))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |yx|
     (CONS |kx|
      (PROGN (LETT #2# NIL |EXPRODE;seriesSolve;LLELA;22|)
       (SEQ (LETT |y| NIL |EXPRODE;seriesSolve;LLELA;22|)
        (LETT #3# |ly| |EXPRODE;seriesSolve;LLELA;22|) G190
        (COND
         ((OR (ATOM #3#)
           (PROGN (LETT |y| (CAR #3#) |EXPRODE;seriesSolve;LLELA;22|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT #2#
           (CONS
            (SPADCALL
             (SPADCALL |y| (SPADCALL |eqx| (QREFELT $ 58)) (QREFELT $ 17))
             (QREFELT $ 19))
            #2#)
           |EXPRODE;seriesSolve;LLELA;22|)))
        (LETT #3# (CDR #3#) |EXPRODE;seriesSolve;LLELA;22|) (GO G190) G191
        (EXIT (NREVERSE0 #2#)))))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |lelt|
     (PROGN (LETT #4# NIL |EXPRODE;seriesSolve;LLELA;22|)
      (SEQ (LETT |k| NIL |EXPRODE;seriesSolve;LLELA;22|)
       (LETT #5# |yx| |EXPRODE;seriesSolve;LLELA;22|) G190
       (COND
        ((OR (ATOM #5#)
          (PROGN (LETT |k| (CAR #5#) |EXPRODE;seriesSolve;LLELA;22|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #4#
          (CONS
           (SPADCALL (QREFELT $ 13) |fsy|
            (|EXPRODE;localInteger|
             (LETT |m| (SPADCALL |m| (|spadConstant| $ 37) (QREFELT $ 71))
              |EXPRODE;seriesSolve;LLELA;22|)
             $)
            (QREFELT $ 41))
           #4#)
          |EXPRODE;seriesSolve;LLELA;22|)))
       (LETT #5# (CDR #5#) |EXPRODE;seriesSolve;LLELA;22|) (GO G190) G191
       (EXIT (NREVERSE0 #4#))))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |sys|
     (PROGN (LETT #6# NIL |EXPRODE;seriesSolve;LLELA;22|)
      (SEQ (LETT |k| NIL |EXPRODE;seriesSolve;LLELA;22|)
       (LETT #7# (CDR |yx|) |EXPRODE;seriesSolve;LLELA;22|) G190
       (COND
        ((OR (ATOM #7#)
          (PROGN (LETT |k| (CAR #7#) |EXPRODE;seriesSolve;LLELA;22|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #6# (CONS (|EXPRODE;findEq| |k| |x| |sys| $) #6#)
          |EXPRODE;seriesSolve;LLELA;22|)))
       (LETT #7# (CDR #7#) |EXPRODE;seriesSolve;LLELA;22|) (GO G190) G191
       (EXIT (NREVERSE0 #6#))))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |l|
     (PROGN (LETT #8# NIL |EXPRODE;seriesSolve;LLELA;22|)
      (SEQ (LETT |eq| NIL |EXPRODE;seriesSolve;LLELA;22|)
       (LETT #9# |sys| |EXPRODE;seriesSolve;LLELA;22|) G190
       (COND
        ((OR (ATOM #9#)
          (PROGN (LETT |eq| (CAR #9#) |EXPRODE;seriesSolve;LLELA;22|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #8# (CONS (|EXPRODE;checkSystem| |eq| |yx| |lelt| $) #8#)
          |EXPRODE;seriesSolve;LLELA;22|)))
       (LETT #9# (CDR #9#) |EXPRODE;seriesSolve;LLELA;22|) (GO G190) G191
       (EXIT (NREVERSE0 #8#))))
     |EXPRODE;seriesSolve;LLELA;22|)
    (LETT |center| (SPADCALL |eqx| (QREFELT $ 59))
     |EXPRODE;seriesSolve;LLELA;22|)
    (EXIT
     (SPADCALL
      (SPADCALL |l0|
       (PROGN (LETT #10# NIL |EXPRODE;seriesSolve;LLELA;22|)
        (SEQ (LETT |f| NIL |EXPRODE;seriesSolve;LLELA;22|)
         (LETT #11# |l| |EXPRODE;seriesSolve;LLELA;22|) G190
         (COND
          ((OR (ATOM #11#)
            (PROGN (LETT |f| (CAR #11#) |EXPRODE;seriesSolve;LLELA;22|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #10#
            (CONS
             (SPADCALL |f| |sy|
              (|compiledLookupCheck| '|compiledFunction|
               (LIST
                (LIST '|Mapping|
                 (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
                  |center|)
                 (LIST '|List|
                  (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
                   |center|)))
                (|devaluate| (ELT $ 7)) (LIST '|Symbol|))
               (|MakeUnaryCompiledFunction| (ELT $ 7)
                (|List| (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))
                (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))
             #10#)
            |EXPRODE;seriesSolve;LLELA;22|)))
         (LETT #11# (CDR #11#) |EXPRODE;seriesSolve;LLELA;22|) (GO G190) G191
         (EXIT (NREVERSE0 #10#))))
       (|compiledLookupCheck| '|mpsode|
        (LIST
         (LIST '|List|
          (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
           |center|))
         (LIST '|List| (|devaluate| (ELT $ 7)))
         (LIST '|List|
          (LIST '|Mapping|
           (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
            |center|)
           (LIST '|List|
            (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
             |center|)))))
        (|UnivariateTaylorSeriesODESolver| (ELT $ 7)
         (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|))))
      (|compiledLookupCheck| '|coerce|
       (LIST (LIST '|Any|)
        (LIST '|List|
         (LIST '|UnivariateTaylorSeries| (|devaluate| (ELT $ 7)) |x|
          |center|)))
       (|AnyFunctions1|
        (|List| (|UnivariateTaylorSeries| (ELT $ 7) |x| |center|)))))))))) 

(DEFUN |ExpressionSpaceODESolver| (&REST #1=#:G3641 &AUX #2=#:G3639)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3640)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|ExpressionSpaceODESolver|)
         '|domainEqualList|)
        |ExpressionSpaceODESolver|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |ExpressionSpaceODESolver;|) #2#)
         (LETT #3# T |ExpressionSpaceODESolver|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache| '|ExpressionSpaceODESolver|))))))))))) 

(DEFUN |ExpressionSpaceODESolver;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|ExpressionSpaceODESolver|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|ExpressionSpaceODESolver| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 94) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|ExpressionSpaceODESolver|
     (LIST DV$1 DV$2) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 13 (SPADCALL (SPADCALL "elt" (QREFELT $ 10)) (QREFELT $ 12)))
    (QSETREFV $ 14
     (SPADCALL (SPADCALL "fixedPointExquo" (QREFELT $ 10)) (QREFELT $ 12)))
    (QSETREFV $ 15
     (SPADCALL (SPADCALL "integer" (QREFELT $ 10)) (QREFELT $ 12)))
    (QSETREFV $ 16 (|HasCategory| |#1| '(|IntegerNumberSystem|))) $)))) 

(MAKEPROP '|ExpressionSpaceODESolver| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|String|)
     (|Symbol|) (0 . |coerce|) (|BasicOperator|) (5 . |operator|) '|opelt|
     '|opex| '|opint| '|Rint?| (10 . |elt|) (|Kernel| $) (16 . |retract|)
     (|Kernel| 7) (21 . |operator|) (|Boolean|) (26 . |is?|) (|List| 7)
     (32 . |argument|) (|List| $) (37 . |kernel|) (43 . |coerce|)
     (|Mapping| 7 20) (|Mapping| 7 6) (|SparseMultivariatePolynomial| 6 20)
     (|PolynomialCategoryLifting| (|IndexedExponents| 20) 20 6 31 7)
     (48 . |map|) (|SparseMultivariatePolynomial| 6 18) (55 . |denom|)
     (60 . |One|) (64 . |One|) (68 . |One|) (72 . =) (78 . |numer|)
     (83 . |elt|) (|Fraction| (|SparseUnivariatePolynomial| $))
     (90 . |univariate|) (|SparseUnivariatePolynomial| 7) (|Fraction| 44)
     (96 . |numer|) (101 . |One|) (105 . |One|) (|NonNegativeInteger|)
     (109 . |degree|) (114 . |denom|) (119 . |ground?|) (124 . |Zero|)
     (128 . |coefficient|) (134 . /) (140 . -) (|Equation| 7) (145 . |lhs|)
     (150 . |rhs|) (155 . =) (161 . |coerce|) (166 . |differentiate|)
     (|List| 18) (172 . |kernels|) (|List| 20) (177 . |member?|)
     (183 . |subst|) (|Integer|) (190 . |minIndex|) (195 . |coerce|) (200 . +)
     (206 . |is?|) (212 . |Zero|) (216 . -) (|Any|) (|List| 11) (|List| 57)
     |EXPRODE;seriesSolve;LLELA;15| |EXPRODE;seriesSolve;LLELA;13|
     |EXPRODE;seriesSolve;LLELA;22| |EXPRODE;seriesSolve;LLELA;14|
     |EXPRODE;seriesSolve;FBo2EA;19| |EXPRODE;seriesSolve;EBo2EA;16|
     |EXPRODE;seriesSolve;FBoEFA;20| |EXPRODE;seriesSolve;EBoEFA;17|
     |EXPRODE;seriesSolve;FBoELA;21| |EXPRODE;seriesSolve;EBoELA;18|
     (|Union| 9 '"failed") (222 . |symbolIfCan|) (227 . |name|)
     (232 . |coerce|) (237 . |new|) (241 . |minIndex|))
  '#(|seriesSolve| 246) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 93
      '(1 9 0 8 10 1 11 0 9 12 2 7 0 11 0 17 1 7 18 0 19 1 20 11 0 21 2 11 22 0
        9 23 1 20 24 0 25 2 7 0 11 26 27 1 7 0 6 28 3 32 7 29 30 31 33 1 7 34 0
        35 0 6 0 36 0 7 0 37 0 31 0 38 2 31 22 0 0 39 1 7 34 0 40 3 7 0 11 0 0
        41 2 7 42 0 18 43 1 45 44 0 46 0 45 0 47 0 44 0 48 1 44 49 0 50 1 45 44
        0 51 1 44 22 0 52 0 6 0 53 2 44 7 0 49 54 2 7 0 0 0 55 1 7 0 0 56 1 57
        7 0 58 1 57 7 0 59 2 7 22 0 0 60 1 7 0 18 61 2 7 0 0 9 62 1 7 63 0 64 2
        65 22 20 0 66 3 7 0 0 63 26 67 1 65 68 0 69 1 7 0 68 70 2 7 0 0 0 71 2
        20 22 0 9 72 0 7 0 73 2 7 0 0 0 74 1 20 88 0 89 1 11 9 0 90 1 7 0 9 91
        0 9 0 92 1 24 68 0 93 4 0 75 57 11 57 24 87 4 0 75 57 11 57 57 83 4 0
        75 77 76 57 77 79 4 0 75 24 76 57 24 80 4 0 75 77 76 57 24 81 4 0 75 57
        11 57 7 85 4 0 75 24 76 57 77 78 4 0 75 7 11 57 7 84 4 0 75 7 11 57 24
        86 4 0 75 7 11 57 57 82)))))
  '|lookupComplete|)) 
