
(/VERSIONCHECK 2) 

(DEFUN |FORTRAN;makeRep| (|b| $) (CONS (SPADCALL (QREFELT $ 12)) |b|)) 

(PUT '|FORTRAN;codeFrom| '|SPADreplace| 'QCDR) 

(DEFUN |FORTRAN;codeFrom| (|u| $) (QCDR |u|)) 

(DEFUN |FORTRAN;outputAsFortran;$V;3| (|p| $)
 (PROG
  (|tempName| #1=#:G3566 |l| #2=#:G3567 |body| |intrinsics| |expr| #3=#:G3568)
  (RETURN
   (SEQ (SPADCALL (SPADCALL 25000 (QREFELT $ 15)) (QREFELT $ 17))
    (LETT |tempName| (SPADCALL "FPTEMP" (QREFELT $ 20))
     |FORTRAN;outputAsFortran;$V;3|)
    (SPADCALL |tempName| (QREFELT $ 23)) (|initialiseIntrinsicList|)
    (LETT |body|
     (PROGN (LETT #1# NIL |FORTRAN;outputAsFortran;$V;3|)
      (SEQ (LETT |l| NIL |FORTRAN;outputAsFortran;$V;3|)
       (LETT #2# (|FORTRAN;codeFrom| |p| $) |FORTRAN;outputAsFortran;$V;3|)
       G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |l| (CAR #2#) |FORTRAN;outputAsFortran;$V;3|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (SPADCALL |l| (QREFELT $ 25)) #1#)
          |FORTRAN;outputAsFortran;$V;3|)))
       (LETT #2# (CDR #2#) |FORTRAN;outputAsFortran;$V;3|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |FORTRAN;outputAsFortran;$V;3|)
    (LETT |intrinsics| (|getIntrinsicList|) |FORTRAN;outputAsFortran;$V;3|)
    (SPADCALL (QREFELT $ 26))
    (|fortFormatHead| (SPADCALL (QREFELT $ 7) (QREFELT $ 29))
     (SPADCALL (QREFELT $ 6) (QREFELT $ 30))
     (SPADCALL (QREFELT $ 8) (QREFELT $ 32)))
    (SPADCALL (QREFELT $ 9) (QREFELT $ 33))
    (SPADCALL (QCAR |p|) (QREFELT $ 33)) (SPADCALL |tempName| (QREFELT $ 34))
    (|fortFormatIntrinsics| |intrinsics|) (SPADCALL |tempName| (QREFELT $ 35))
    (SEQ (LETT |expr| NIL |FORTRAN;outputAsFortran;$V;3|)
     (LETT #3# |body| |FORTRAN;outputAsFortran;$V;3|) G190
     (COND
      ((OR (ATOM #3#)
        (PROGN (LETT |expr| (CAR #3#) |FORTRAN;outputAsFortran;$V;3|) NIL))
       (GO G191)))
     (SEQ (EXIT (|displayLines1| |expr|)))
     (LETT #3# (CDR #3#) |FORTRAN;outputAsFortran;$V;3|) (GO G190) G191
     (EXIT NIL))
    (|dispStatement| 'END) (EXIT (SPADCALL (QREFELT $ 36))))))) 

(DEFUN |FORTRAN;mkString| (|l| $)
 (SPADCALL (SPADCALL (SPADCALL |l| (QREFELT $ 32)) (QREFELT $ 39))
  (QREFELT $ 40))) 

(DEFUN |FORTRAN;checkVariables| (|user| |target| $)
 (PROG (|s1| |s2|)
  (RETURN
   (SEQ
    (COND
     ((NULL
       (SPADCALL
        (SPADCALL (SPADCALL (ELT $ 41) |user| (QREFELT $ 43)) |target|
         (QREFELT $ 44))
        NIL (QREFELT $ 46)))
      (SEQ (LETT |s1| (|FORTRAN;mkString| |user| $) |FORTRAN;checkVariables|)
       (LETT |s2| (|FORTRAN;mkString| |target| $) |FORTRAN;checkVariables|)
       (EXIT
        (|error|
         (LIST "Incompatible variable lists:" (SPADCALL |s1| (QREFELT $ 47))
          (SPADCALL |s2| (QREFELT $ 47)))))))
     ('T (SPADCALL (QREFELT $ 36)))))))) 

(DEFUN |FORTRAN;coerce;E$;6| (|u| $)
 (PROG (|l|)
  (RETURN
   (SEQ
    (|FORTRAN;checkVariables| (SPADCALL |u| (QREFELT $ 49)) (QREFELT $ 8) $)
    (LETT |l|
     (LIST (SPADCALL (QREFELT $ 6) |u| (QREFELT $ 50))
      (SPADCALL (QREFELT $ 51)))
     |FORTRAN;coerce;E$;6|)
    (EXIT (|FORTRAN;makeRep| |l| $)))))) 

(DEFUN |FORTRAN;coerce;E$;7| (|u| $)
 (PROG
  (|vList| #1=#:G3591 #2=#:G3592 |veList| #3=#:G3593 #4=#:G3594 |aeList|
   #5=#:G3595 |v| #6=#:G3597 |w| #7=#:G3596 |eList|)
  (RETURN
   (SEQ
    (COND
     ((QEQCAR (SPADCALL (SPADCALL |u| (QREFELT $ 54)) (QREFELT $ 56)) 1)
      (|error| "left hand side is not a kernel"))
     ('T
      (SEQ
       (LETT |vList| (SPADCALL (SPADCALL |u| (QREFELT $ 54)) (QREFELT $ 49))
        |FORTRAN;coerce;E$;7|)
       (COND
        ((NULL (EQL (LENGTH |vList|) (LENGTH (QREFELT $ 8))))
         (EXIT (|error| "Incorrect number of arguments"))))
       (LETT |veList|
        (PROGN (LETT #1# NIL |FORTRAN;coerce;E$;7|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;7|)
          (LETT #2# |vList| |FORTRAN;coerce;E$;7|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |w| (CAR #2#) |FORTRAN;coerce;E$;7|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |w| (QREFELT $ 57)) #1#)
             |FORTRAN;coerce;E$;7|)))
          (LETT #2# (CDR #2#) |FORTRAN;coerce;E$;7|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |FORTRAN;coerce;E$;7|)
       (LETT |aeList|
        (PROGN (LETT #3# NIL |FORTRAN;coerce;E$;7|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;7|)
          (LETT #4# (QREFELT $ 8) |FORTRAN;coerce;E$;7|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |w| (CAR #4#) |FORTRAN;coerce;E$;7|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3# (CONS (SPADCALL |w| (QREFELT $ 57)) #3#)
             |FORTRAN;coerce;E$;7|)))
          (LETT #4# (CDR #4#) |FORTRAN;coerce;E$;7|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |FORTRAN;coerce;E$;7|)
       (LETT |eList|
        (PROGN (LETT #5# NIL |FORTRAN;coerce;E$;7|)
         (SEQ (LETT |v| NIL |FORTRAN;coerce;E$;7|)
          (LETT #6# |aeList| |FORTRAN;coerce;E$;7|)
          (LETT |w| NIL |FORTRAN;coerce;E$;7|)
          (LETT #7# |veList| |FORTRAN;coerce;E$;7|) G190
          (COND
           ((OR (ATOM #7#)
             (PROGN (LETT |w| (CAR #7#) |FORTRAN;coerce;E$;7|) NIL) (ATOM #6#)
             (PROGN (LETT |v| (CAR #6#) |FORTRAN;coerce;E$;7|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #5# (CONS (SPADCALL |w| |v| (QREFELT $ 58)) #5#)
             |FORTRAN;coerce;E$;7|)))
          (LETT #7#
           (PROG1 (CDR #7#) (LETT #6# (CDR #6#) |FORTRAN;coerce;E$;7|))
           |FORTRAN;coerce;E$;7|)
          (GO G190) G191 (EXIT (NREVERSE0 #5#))))
        |FORTRAN;coerce;E$;7|)
       (EXIT
        (SPADCALL
         (SPADCALL (SPADCALL |u| (QREFELT $ 59)) |eList| (QREFELT $ 61))
         (QREFELT $ 52)))))))))) 

(DEFUN |FORTRAN;coerce;E$;8| (|u| $)
 (PROG (|l|)
  (RETURN
   (SEQ
    (|FORTRAN;checkVariables| (SPADCALL |u| (QREFELT $ 64)) (QREFELT $ 8) $)
    (LETT |l|
     (LIST (SPADCALL (QREFELT $ 6) |u| (QREFELT $ 65))
      (SPADCALL (QREFELT $ 51)))
     |FORTRAN;coerce;E$;8|)
    (EXIT (|FORTRAN;makeRep| |l| $)))))) 

(DEFUN |FORTRAN;coerce;E$;9| (|u| $)
 (PROG
  (|vList| #1=#:G3611 #2=#:G3612 |veList| #3=#:G3613 #4=#:G3614 |aeList|
   #5=#:G3615 |v| #6=#:G3617 |w| #7=#:G3616 |eList|)
  (RETURN
   (SEQ
    (COND
     ((QEQCAR (SPADCALL (SPADCALL |u| (QREFELT $ 68)) (QREFELT $ 69)) 1)
      (|error| "left hand side is not a kernel"))
     ('T
      (SEQ
       (LETT |vList| (SPADCALL (SPADCALL |u| (QREFELT $ 68)) (QREFELT $ 64))
        |FORTRAN;coerce;E$;9|)
       (COND
        ((NULL (EQL (LENGTH |vList|) (LENGTH (QREFELT $ 8))))
         (EXIT (|error| "Incorrect number of arguments"))))
       (LETT |veList|
        (PROGN (LETT #1# NIL |FORTRAN;coerce;E$;9|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;9|)
          (LETT #2# |vList| |FORTRAN;coerce;E$;9|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |w| (CAR #2#) |FORTRAN;coerce;E$;9|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |w| (QREFELT $ 70)) #1#)
             |FORTRAN;coerce;E$;9|)))
          (LETT #2# (CDR #2#) |FORTRAN;coerce;E$;9|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |FORTRAN;coerce;E$;9|)
       (LETT |aeList|
        (PROGN (LETT #3# NIL |FORTRAN;coerce;E$;9|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;9|)
          (LETT #4# (QREFELT $ 8) |FORTRAN;coerce;E$;9|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |w| (CAR #4#) |FORTRAN;coerce;E$;9|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3# (CONS (SPADCALL |w| (QREFELT $ 70)) #3#)
             |FORTRAN;coerce;E$;9|)))
          (LETT #4# (CDR #4#) |FORTRAN;coerce;E$;9|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |FORTRAN;coerce;E$;9|)
       (LETT |eList|
        (PROGN (LETT #5# NIL |FORTRAN;coerce;E$;9|)
         (SEQ (LETT |v| NIL |FORTRAN;coerce;E$;9|)
          (LETT #6# |aeList| |FORTRAN;coerce;E$;9|)
          (LETT |w| NIL |FORTRAN;coerce;E$;9|)
          (LETT #7# |veList| |FORTRAN;coerce;E$;9|) G190
          (COND
           ((OR (ATOM #7#)
             (PROGN (LETT |w| (CAR #7#) |FORTRAN;coerce;E$;9|) NIL) (ATOM #6#)
             (PROGN (LETT |v| (CAR #6#) |FORTRAN;coerce;E$;9|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #5# (CONS (SPADCALL |w| |v| (QREFELT $ 71)) #5#)
             |FORTRAN;coerce;E$;9|)))
          (LETT #7#
           (PROG1 (CDR #7#) (LETT #6# (CDR #6#) |FORTRAN;coerce;E$;9|))
           |FORTRAN;coerce;E$;9|)
          (GO G190) G191 (EXIT (NREVERSE0 #5#))))
        |FORTRAN;coerce;E$;9|)
       (EXIT
        (SPADCALL
         (SPADCALL (SPADCALL |u| (QREFELT $ 72)) |eList| (QREFELT $ 73))
         (QREFELT $ 66)))))))))) 

(DEFUN |FORTRAN;coerce;E$;10| (|u| $)
 (PROG (|l|)
  (RETURN
   (SEQ
    (|FORTRAN;checkVariables| (SPADCALL |u| (QREFELT $ 76)) (QREFELT $ 8) $)
    (LETT |l|
     (LIST (SPADCALL (QREFELT $ 6) |u| (QREFELT $ 77))
      (SPADCALL (QREFELT $ 51)))
     |FORTRAN;coerce;E$;10|)
    (EXIT (|FORTRAN;makeRep| |l| $)))))) 

(DEFUN |FORTRAN;coerce;E$;11| (|u| $)
 (PROG
  (|vList| #1=#:G3631 #2=#:G3632 |veList| #3=#:G3633 #4=#:G3634 |aeList|
   #5=#:G3635 |v| #6=#:G3637 |w| #7=#:G3636 |eList|)
  (RETURN
   (SEQ
    (COND
     ((QEQCAR (SPADCALL (SPADCALL |u| (QREFELT $ 80)) (QREFELT $ 81)) 1)
      (|error| "left hand side is not a kernel"))
     ('T
      (SEQ
       (LETT |vList| (SPADCALL (SPADCALL |u| (QREFELT $ 80)) (QREFELT $ 76))
        |FORTRAN;coerce;E$;11|)
       (COND
        ((NULL (EQL (LENGTH |vList|) (LENGTH (QREFELT $ 8))))
         (EXIT (|error| "Incorrect number of arguments"))))
       (LETT |veList|
        (PROGN (LETT #1# NIL |FORTRAN;coerce;E$;11|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;11|)
          (LETT #2# |vList| |FORTRAN;coerce;E$;11|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |w| (CAR #2#) |FORTRAN;coerce;E$;11|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |w| (QREFELT $ 82)) #1#)
             |FORTRAN;coerce;E$;11|)))
          (LETT #2# (CDR #2#) |FORTRAN;coerce;E$;11|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |FORTRAN;coerce;E$;11|)
       (LETT |aeList|
        (PROGN (LETT #3# NIL |FORTRAN;coerce;E$;11|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;11|)
          (LETT #4# (QREFELT $ 8) |FORTRAN;coerce;E$;11|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |w| (CAR #4#) |FORTRAN;coerce;E$;11|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3# (CONS (SPADCALL |w| (QREFELT $ 82)) #3#)
             |FORTRAN;coerce;E$;11|)))
          (LETT #4# (CDR #4#) |FORTRAN;coerce;E$;11|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |FORTRAN;coerce;E$;11|)
       (LETT |eList|
        (PROGN (LETT #5# NIL |FORTRAN;coerce;E$;11|)
         (SEQ (LETT |v| NIL |FORTRAN;coerce;E$;11|)
          (LETT #6# |aeList| |FORTRAN;coerce;E$;11|)
          (LETT |w| NIL |FORTRAN;coerce;E$;11|)
          (LETT #7# |veList| |FORTRAN;coerce;E$;11|) G190
          (COND
           ((OR (ATOM #7#)
             (PROGN (LETT |w| (CAR #7#) |FORTRAN;coerce;E$;11|) NIL) (ATOM #6#)
             (PROGN (LETT |v| (CAR #6#) |FORTRAN;coerce;E$;11|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #5# (CONS (SPADCALL |w| |v| (QREFELT $ 83)) #5#)
             |FORTRAN;coerce;E$;11|)))
          (LETT #7#
           (PROG1 (CDR #7#) (LETT #6# (CDR #6#) |FORTRAN;coerce;E$;11|))
           |FORTRAN;coerce;E$;11|)
          (GO G190) G191 (EXIT (NREVERSE0 #5#))))
        |FORTRAN;coerce;E$;11|)
       (EXIT
        (SPADCALL
         (SPADCALL (SPADCALL |u| (QREFELT $ 84)) |eList| (QREFELT $ 85))
         (QREFELT $ 78)))))))))) 

(PUT '|FORTRAN;coerce;R$;12| '|SPADreplace| '(XLAM (|u|) |u|)) 

(DEFUN |FORTRAN;coerce;R$;12| (|u| $) |u|) 

(DEFUN |FORTRAN;coerce;$Of;13| (|u| $) (SPADCALL (QREFELT $ 6) (QREFELT $ 30))) 

(DEFUN |FORTRAN;coerce;L$;14| (|c| $) (|FORTRAN;makeRep| |c| $)) 

(DEFUN |FORTRAN;coerce;Fc$;15| (|c| $) (|FORTRAN;makeRep| (LIST |c|) $)) 

(DEFUN |FORTRAN;coerce;E$;16| (|u| $)
 (PROG (|l|)
  (RETURN
   (SEQ
    (|FORTRAN;checkVariables| (SPADCALL |u| (QREFELT $ 94)) (QREFELT $ 8) $)
    (LETT |l|
     (LIST (SPADCALL (QREFELT $ 6) |u| (QREFELT $ 95))
      (SPADCALL (QREFELT $ 51)))
     |FORTRAN;coerce;E$;16|)
    (EXIT (|FORTRAN;makeRep| |l| $)))))) 

(DEFUN |FORTRAN;coerce;E$;17| (|u| $)
 (PROG
  (|vList| #1=#:G3657 #2=#:G3658 |veList| #3=#:G3659 #4=#:G3660 |aeList|
   #5=#:G3661 |v| #6=#:G3663 |w| #7=#:G3662 |eList|)
  (RETURN
   (SEQ
    (COND
     ((QEQCAR (SPADCALL (SPADCALL |u| (QREFELT $ 98)) (QREFELT $ 99)) 1)
      (|error| "left hand side is not a kernel"))
     ('T
      (SEQ
       (LETT |vList| (SPADCALL (SPADCALL |u| (QREFELT $ 98)) (QREFELT $ 94))
        |FORTRAN;coerce;E$;17|)
       (COND
        ((NULL (EQL (LENGTH |vList|) (LENGTH (QREFELT $ 8))))
         (EXIT (|error| "Incorrect number of arguments"))))
       (LETT |veList|
        (PROGN (LETT #1# NIL |FORTRAN;coerce;E$;17|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;17|)
          (LETT #2# |vList| |FORTRAN;coerce;E$;17|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |w| (CAR #2#) |FORTRAN;coerce;E$;17|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |w| (QREFELT $ 100)) #1#)
             |FORTRAN;coerce;E$;17|)))
          (LETT #2# (CDR #2#) |FORTRAN;coerce;E$;17|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |FORTRAN;coerce;E$;17|)
       (LETT |aeList|
        (PROGN (LETT #3# NIL |FORTRAN;coerce;E$;17|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;17|)
          (LETT #4# (QREFELT $ 8) |FORTRAN;coerce;E$;17|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |w| (CAR #4#) |FORTRAN;coerce;E$;17|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3# (CONS (SPADCALL |w| (QREFELT $ 100)) #3#)
             |FORTRAN;coerce;E$;17|)))
          (LETT #4# (CDR #4#) |FORTRAN;coerce;E$;17|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |FORTRAN;coerce;E$;17|)
       (LETT |eList|
        (PROGN (LETT #5# NIL |FORTRAN;coerce;E$;17|)
         (SEQ (LETT |v| NIL |FORTRAN;coerce;E$;17|)
          (LETT #6# |aeList| |FORTRAN;coerce;E$;17|)
          (LETT |w| NIL |FORTRAN;coerce;E$;17|)
          (LETT #7# |veList| |FORTRAN;coerce;E$;17|) G190
          (COND
           ((OR (ATOM #7#)
             (PROGN (LETT |w| (CAR #7#) |FORTRAN;coerce;E$;17|) NIL) (ATOM #6#)
             (PROGN (LETT |v| (CAR #6#) |FORTRAN;coerce;E$;17|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #5# (CONS (SPADCALL |w| |v| (QREFELT $ 101)) #5#)
             |FORTRAN;coerce;E$;17|)))
          (LETT #7#
           (PROG1 (CDR #7#) (LETT #6# (CDR #6#) |FORTRAN;coerce;E$;17|))
           |FORTRAN;coerce;E$;17|)
          (GO G190) G191 (EXIT (NREVERSE0 #5#))))
        |FORTRAN;coerce;E$;17|)
       (EXIT
        (SPADCALL
         (SPADCALL (SPADCALL |u| (QREFELT $ 102)) |eList| (QREFELT $ 103))
         (QREFELT $ 96)))))))))) 

(DEFUN |FORTRAN;coerce;E$;18| (|u| $)
 (PROG (|l|)
  (RETURN
   (SEQ
    (|FORTRAN;checkVariables| (SPADCALL |u| (QREFELT $ 106)) (QREFELT $ 8) $)
    (LETT |l|
     (LIST (SPADCALL (QREFELT $ 6) |u| (QREFELT $ 107))
      (SPADCALL (QREFELT $ 51)))
     |FORTRAN;coerce;E$;18|)
    (EXIT (|FORTRAN;makeRep| |l| $)))))) 

(DEFUN |FORTRAN;coerce;E$;19| (|u| $)
 (PROG
  (|vList| #1=#:G3677 #2=#:G3678 |veList| #3=#:G3679 #4=#:G3680 |aeList|
   #5=#:G3681 |v| #6=#:G3683 |w| #7=#:G3682 |eList|)
  (RETURN
   (SEQ
    (COND
     ((QEQCAR (SPADCALL (SPADCALL |u| (QREFELT $ 110)) (QREFELT $ 111)) 1)
      (|error| "left hand side is not a kernel"))
     ('T
      (SEQ
       (LETT |vList| (SPADCALL (SPADCALL |u| (QREFELT $ 110)) (QREFELT $ 106))
        |FORTRAN;coerce;E$;19|)
       (COND
        ((NULL (EQL (LENGTH |vList|) (LENGTH (QREFELT $ 8))))
         (EXIT (|error| "Incorrect number of arguments"))))
       (LETT |veList|
        (PROGN (LETT #1# NIL |FORTRAN;coerce;E$;19|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;19|)
          (LETT #2# |vList| |FORTRAN;coerce;E$;19|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |w| (CAR #2#) |FORTRAN;coerce;E$;19|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |w| (QREFELT $ 112)) #1#)
             |FORTRAN;coerce;E$;19|)))
          (LETT #2# (CDR #2#) |FORTRAN;coerce;E$;19|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |FORTRAN;coerce;E$;19|)
       (LETT |aeList|
        (PROGN (LETT #3# NIL |FORTRAN;coerce;E$;19|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;19|)
          (LETT #4# (QREFELT $ 8) |FORTRAN;coerce;E$;19|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |w| (CAR #4#) |FORTRAN;coerce;E$;19|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3# (CONS (SPADCALL |w| (QREFELT $ 112)) #3#)
             |FORTRAN;coerce;E$;19|)))
          (LETT #4# (CDR #4#) |FORTRAN;coerce;E$;19|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |FORTRAN;coerce;E$;19|)
       (LETT |eList|
        (PROGN (LETT #5# NIL |FORTRAN;coerce;E$;19|)
         (SEQ (LETT |v| NIL |FORTRAN;coerce;E$;19|)
          (LETT #6# |aeList| |FORTRAN;coerce;E$;19|)
          (LETT |w| NIL |FORTRAN;coerce;E$;19|)
          (LETT #7# |veList| |FORTRAN;coerce;E$;19|) G190
          (COND
           ((OR (ATOM #7#)
             (PROGN (LETT |w| (CAR #7#) |FORTRAN;coerce;E$;19|) NIL) (ATOM #6#)
             (PROGN (LETT |v| (CAR #6#) |FORTRAN;coerce;E$;19|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #5# (CONS (SPADCALL |w| |v| (QREFELT $ 113)) #5#)
             |FORTRAN;coerce;E$;19|)))
          (LETT #7#
           (PROG1 (CDR #7#) (LETT #6# (CDR #6#) |FORTRAN;coerce;E$;19|))
           |FORTRAN;coerce;E$;19|)
          (GO G190) G191 (EXIT (NREVERSE0 #5#))))
        |FORTRAN;coerce;E$;19|)
       (EXIT
        (SPADCALL
         (SPADCALL (SPADCALL |u| (QREFELT $ 114)) |eList| (QREFELT $ 115))
         (QREFELT $ 108)))))))))) 

(DEFUN |FORTRAN;coerce;E$;20| (|u| $)
 (PROG (|l|)
  (RETURN
   (SEQ
    (|FORTRAN;checkVariables| (SPADCALL |u| (QREFELT $ 118)) (QREFELT $ 8) $)
    (LETT |l|
     (LIST (SPADCALL (QREFELT $ 6) |u| (QREFELT $ 119))
      (SPADCALL (QREFELT $ 51)))
     |FORTRAN;coerce;E$;20|)
    (EXIT (|FORTRAN;makeRep| |l| $)))))) 

(DEFUN |FORTRAN;coerce;E$;21| (|u| $)
 (PROG
  (|vList| #1=#:G3697 #2=#:G3698 |veList| #3=#:G3699 #4=#:G3700 |aeList|
   #5=#:G3701 |v| #6=#:G3703 |w| #7=#:G3702 |eList|)
  (RETURN
   (SEQ
    (COND
     ((QEQCAR (SPADCALL (SPADCALL |u| (QREFELT $ 122)) (QREFELT $ 123)) 1)
      (|error| "left hand side is not a kernel"))
     ('T
      (SEQ
       (LETT |vList| (SPADCALL (SPADCALL |u| (QREFELT $ 122)) (QREFELT $ 118))
        |FORTRAN;coerce;E$;21|)
       (COND
        ((NULL (EQL (LENGTH |vList|) (LENGTH (QREFELT $ 8))))
         (EXIT (|error| "Incorrect number of arguments"))))
       (LETT |veList|
        (PROGN (LETT #1# NIL |FORTRAN;coerce;E$;21|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;21|)
          (LETT #2# |vList| |FORTRAN;coerce;E$;21|) G190
          (COND
           ((OR (ATOM #2#)
             (PROGN (LETT |w| (CAR #2#) |FORTRAN;coerce;E$;21|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #1# (CONS (SPADCALL |w| (QREFELT $ 124)) #1#)
             |FORTRAN;coerce;E$;21|)))
          (LETT #2# (CDR #2#) |FORTRAN;coerce;E$;21|) (GO G190) G191
          (EXIT (NREVERSE0 #1#))))
        |FORTRAN;coerce;E$;21|)
       (LETT |aeList|
        (PROGN (LETT #3# NIL |FORTRAN;coerce;E$;21|)
         (SEQ (LETT |w| NIL |FORTRAN;coerce;E$;21|)
          (LETT #4# (QREFELT $ 8) |FORTRAN;coerce;E$;21|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |w| (CAR #4#) |FORTRAN;coerce;E$;21|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3# (CONS (SPADCALL |w| (QREFELT $ 124)) #3#)
             |FORTRAN;coerce;E$;21|)))
          (LETT #4# (CDR #4#) |FORTRAN;coerce;E$;21|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |FORTRAN;coerce;E$;21|)
       (LETT |eList|
        (PROGN (LETT #5# NIL |FORTRAN;coerce;E$;21|)
         (SEQ (LETT |v| NIL |FORTRAN;coerce;E$;21|)
          (LETT #6# |aeList| |FORTRAN;coerce;E$;21|)
          (LETT |w| NIL |FORTRAN;coerce;E$;21|)
          (LETT #7# |veList| |FORTRAN;coerce;E$;21|) G190
          (COND
           ((OR (ATOM #7#)
             (PROGN (LETT |w| (CAR #7#) |FORTRAN;coerce;E$;21|) NIL) (ATOM #6#)
             (PROGN (LETT |v| (CAR #6#) |FORTRAN;coerce;E$;21|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #5# (CONS (SPADCALL |w| |v| (QREFELT $ 125)) #5#)
             |FORTRAN;coerce;E$;21|)))
          (LETT #7#
           (PROG1 (CDR #7#) (LETT #6# (CDR #6#) |FORTRAN;coerce;E$;21|))
           |FORTRAN;coerce;E$;21|)
          (GO G190) G191 (EXIT (NREVERSE0 #5#))))
        |FORTRAN;coerce;E$;21|)
       (EXIT
        (SPADCALL
         (SPADCALL (SPADCALL |u| (QREFELT $ 126)) |eList| (QREFELT $ 127))
         (QREFELT $ 120)))))))))) 

(DEFUN |FortranProgram| (&REST #1=#:G3708 &AUX #2=#:G3706) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3707)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|FortranProgram|) '|domainEqualList|)
        |FortranProgram|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |FortranProgram;|) #2#)
         (LETT #3# T |FortranProgram|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|FortranProgram|))))))))))) 

(DEFUN |FortranProgram;| (|#1| |#2| |#3| |#4|)
 (PROG (DV$1 DV$2 DV$3 DV$4 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|FortranProgram|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT DV$4 (|devaluate| |#4|) . #1#)
    (LETT |dv$| (LIST '|FortranProgram| DV$1 DV$2 DV$3 DV$4) . #1#)
    (LETT $ (GETREFV 129) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|FortranProgram|
     (LIST DV$1 DV$2 DV$3 DV$4) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 |#4|)
    (QSETREFV $ 10
     (|Record| (|:| |localSymbols| (|SymbolTable|))
      (|:| |code| (|List| (|FortranCode|)))))
    $)))) 

(MAKEPROP '|FortranProgram| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     (|local| |#4|) '|Rep| (|SymbolTable|) (0 . |empty|) (|Integer|)
     (|SingleInteger|) (4 . |coerce|) (|FortranCode|) (9 . |setLabelValue|)
     (|String|) (|Symbol|) (14 . |coerce|) (|Void|) (|TheSymbolTable|)
     (19 . |newSubProgram|) (|SExpression|) (24 . |getCode|)
     (29 . |endSubProgram|) (|OutputForm|)
     (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| '"void"))
     (33 . |coerce|) (38 . |coerce|) (|List| 19) (43 . |coerce|)
     (48 . |printTypes|) (53 . |printTypes|) (58 . |clearTheSymbolTable|)
     (63 . |void|) |FORTRAN;outputAsFortran;$V;3| (|InputForm|)
     (67 . |convert|) (72 . |unparse|) (77 . |name|) (|Mapping| 19 19)
     (82 . |map|) (88 . |setDifference|) (|Boolean|) (94 . =) (100 . |coerce|)
     (|Expression| (|MachineInteger|)) (105 . |variables|) (110 . |assign|)
     (116 . |returns|) |FORTRAN;coerce;E$;6| (|Equation| 48) (120 . |lhs|)
     (|Union| (|Kernel| $) '"failed") (125 . |retractIfCan|) (130 . |coerce|)
     (135 . |equation|) (141 . |rhs|) (|List| (|Equation| $)) (146 . |subst|)
     |FORTRAN;coerce;E$;7| (|Expression| (|MachineFloat|)) (152 . |variables|)
     (157 . |assign|) |FORTRAN;coerce;E$;8| (|Equation| 63) (163 . |lhs|)
     (168 . |retractIfCan|) (173 . |coerce|) (178 . |equation|) (184 . |rhs|)
     (189 . |subst|) |FORTRAN;coerce;E$;9| (|Expression| (|MachineComplex|))
     (195 . |variables|) (200 . |assign|) |FORTRAN;coerce;E$;10|
     (|Equation| 75) (206 . |lhs|) (211 . |retractIfCan|) (216 . |coerce|)
     (221 . |equation|) (227 . |rhs|) (232 . |subst|) |FORTRAN;coerce;E$;11|
     (|Record| (|:| |localSymbols| 11) (|:| |code| 90)) |FORTRAN;coerce;R$;12|
     |FORTRAN;coerce;$Of;13| (|List| 16) |FORTRAN;coerce;L$;14|
     |FORTRAN;coerce;Fc$;15| (|Expression| 13) (238 . |variables|)
     (243 . |assign|) |FORTRAN;coerce;E$;16| (|Equation| 93) (249 . |lhs|)
     (254 . |retractIfCan|) (259 . |coerce|) (264 . |equation|) (270 . |rhs|)
     (275 . |subst|) |FORTRAN;coerce;E$;17| (|Expression| (|Float|))
     (281 . |variables|) (286 . |assign|) |FORTRAN;coerce;E$;18|
     (|Equation| 105) (292 . |lhs|) (297 . |retractIfCan|) (302 . |coerce|)
     (307 . |equation|) (313 . |rhs|) (318 . |subst|) |FORTRAN;coerce;E$;19|
     (|Expression| (|Complex| (|Float|))) (324 . |variables|) (329 . |assign|)
     |FORTRAN;coerce;E$;20| (|Equation| 117) (335 . |lhs|)
     (340 . |retractIfCan|) (345 . |coerce|) (350 . |equation|) (356 . |rhs|)
     (361 . |subst|) |FORTRAN;coerce;E$;21|)
  '#(|outputAsFortran| 367 |coerce| 372) 'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0 0))
   (CONS '#(NIL NIL NIL)
    (CONS '#((|FortranProgramCategory|) (|Type|) (|CoercibleTo| 27))
     (|makeByteWordVec2| 128
      '(0 11 0 12 1 14 0 13 15 1 16 14 14 17 1 19 0 18 20 1 22 21 19 23 1 16 24
        0 25 0 22 19 26 1 28 27 0 29 1 19 27 0 30 1 31 27 0 32 1 11 21 0 33 1
        22 21 19 34 1 22 21 19 35 0 21 0 36 1 38 0 27 39 1 38 18 0 40 1 19 0 0
        41 2 31 0 42 0 43 2 31 0 0 0 44 2 31 45 0 0 46 1 18 27 0 47 1 48 31 0
        49 2 16 0 19 48 50 0 16 0 51 1 53 48 0 54 1 48 55 0 56 1 48 0 19 57 2
        53 0 48 48 58 1 53 48 0 59 2 48 0 0 60 61 1 63 31 0 64 2 16 0 19 63 65
        1 67 63 0 68 1 63 55 0 69 1 63 0 19 70 2 67 0 63 63 71 1 67 63 0 72 2
        63 0 0 60 73 1 75 31 0 76 2 16 0 19 75 77 1 79 75 0 80 1 75 55 0 81 1
        75 0 19 82 2 79 0 75 75 83 1 79 75 0 84 2 75 0 0 60 85 1 93 31 0 94 2
        16 0 19 93 95 1 97 93 0 98 1 93 55 0 99 1 93 0 19 100 2 97 0 93 93 101
        1 97 93 0 102 2 93 0 0 60 103 1 105 31 0 106 2 16 0 19 105 107 1 109
        105 0 110 1 105 55 0 111 1 105 0 19 112 2 109 0 105 105 113 1 109 105 0
        114 2 105 0 0 60 115 1 117 31 0 118 2 16 0 19 117 119 1 121 117 0 122 1
        117 55 0 123 1 117 0 19 124 2 121 0 117 117 125 1 121 117 0 126 2 117 0
        0 60 127 1 0 21 0 37 1 0 0 109 116 1 0 0 121 128 1 0 0 117 120 1 0 0 97
        104 1 0 0 93 96 1 0 0 105 108 1 0 0 67 74 1 0 0 79 86 1 0 0 75 78 1 0 0
        53 62 1 0 0 48 52 1 0 0 63 66 1 0 0 90 91 1 0 0 87 88 1 0 0 16 92 1 0
        27 0 89)))))
  '|lookupComplete|)) 
