
(/VERSIONCHECK 2) 

(PUT '|HASHTBL;=;2$B;1| '|SPADreplace| 'EQ) 

(DEFUN |HASHTBL;=;2$B;1| (|t1| |t2| $) (EQ |t1| |t2|)) 

(PUT '|HASHTBL;keys;$L;2| '|SPADreplace| 'HKEYS) 

(DEFUN |HASHTBL;keys;$L;2| (|t| $) (HKEYS |t|)) 

(PUT '|HASHTBL;#;$Nni;3| '|SPADreplace| 'HCOUNT) 

(DEFUN |HASHTBL;#;$Nni;3| (|t| $) (HCOUNT |t|)) 

(PUT '|HASHTBL;setelt;$Key2Entry;4| '|SPADreplace| 'HPUT) 

(DEFUN |HASHTBL;setelt;$Key2Entry;4| (|t| |k| |e| $) (HPUT |t| |k| |e|)) 

(DEFUN |HASHTBL;remove!;Key$U;5| (|k| |t| $)
 (PROG (|r|)
  (RETURN
   (SEQ (LETT |r| (HGET |t| |k| (QREFELT $ 9)) |HASHTBL;remove!;Key$U;5|)
    (COND
     ((NULL (EQ |r| (QREFELT $ 9)))
      (EXIT (SEQ (HREM |t| |k|) (EXIT (CONS 0 |r|))))))
    (EXIT (CONS 1 "failed")))))) 

(DEFUN |HASHTBL;empty;$;6| ($)
 (MAKE-HASHTABLE (INTERN (QREFELT $ 8)) (INTERN "STRONG"))) 

(DEFUN |HASHTBL;search;Key$U;7| (|k| |t| $)
 (PROG (|r|)
  (RETURN
   (SEQ (LETT |r| (HGET |t| |k| (QREFELT $ 9)) |HASHTBL;search;Key$U;7|)
    (COND ((NULL (EQ |r| (QREFELT $ 9))) (EXIT (CONS 0 |r|))))
    (EXIT (CONS 1 "failed")))))) 

(DEFUN |HashTable| (&REST #1=#:G3611 &AUX #2=#:G3609) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3610)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|HashTable|) '|domainEqualList|)
        |HashTable|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |HashTable;|) #2#) (LETT #3# T |HashTable|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|HashTable|))))))))))) 

(DEFUN |HashTable;| (|#1| |#2| |#3|)
 (PROG (DV$1 DV$2 DV$3 |dv$| $ #1=#:G3606 #2=#:G3605 |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #3=(|HashTable|))
    (LETT DV$2 (|devaluate| |#2|) . #3#) (LETT DV$3 (|devaluate| |#3|) . #3#)
    (LETT |dv$| (LIST '|HashTable| DV$1 DV$2 DV$3) . #3#)
    (LETT $ (GETREFV 40) . #3#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST
        (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))
         '(|ConvertibleTo| (|InputForm|)))
        (LETT #1#
         (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))
          '(|SetCategory|))
         . #3#)
        (AND
         (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))
          (LIST '|Evalable|
           (LIST '|Record| (LIST '|:| '|key| (|devaluate| |#1|))
            (LIST '|:| '|entry| (|devaluate| |#2|)))))
         #1#)
        (|HasCategory| |#1| '(|OrderedSet|))
        (LETT #2# (|HasCategory| |#2| '(|SetCategory|)) . #3#) (OR #2# #1#)
        (AND #2# (|HasCategory| |#2| (LIST '|Evalable| (|devaluate| |#2|))))))
      . #3#))
    (|haddProp| |$ConstructorCache| '|HashTable| (LIST DV$1 DV$2 DV$3)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 (GENSYM)) $)))) 

(MAKEPROP '|HashTable| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     '|failMsg| (|Boolean|) |HASHTBL;=;2$B;1| (|List| 6) |HASHTBL;keys;$L;2|
     (|NonNegativeInteger|) |HASHTBL;#;$Nni;3| |HASHTBL;setelt;$Key2Entry;4|
     (|Union| 7 '"failed") |HASHTBL;remove!;Key$U;5| |HASHTBL;empty;$;6|
     |HASHTBL;search;Key$U;7| (|Record| (|:| |key| 6) (|:| |entry| 7))
     (|List| 21) (|List| 24) (|Equation| 21) (|Mapping| 21 21 21)
     (|Equation| 7) (|List| 26) (|List| 7) (|OutputForm|) (|String|)
     (|SingleInteger|) (|InputForm|) (|Mapping| 10 7) (|Mapping| 10 21)
     (|Mapping| 7 7) (|Void|) (|Mapping| 21 21) (|Mapping| 7 7 7)
     (|Union| 21 '"failed"))
  '#(~= 0 |table| 6 |swap!| 15 |size?| 22 |setelt| 28 |select!| 35 |select| 41
     |search| 47 |sample| 53 |removeDuplicates| 57 |remove!| 62 |remove| 80
     |reduce| 92 |qsetelt!| 113 |qelt| 120 |parts| 126 |more?| 136 |minIndex|
     142 |members| 147 |member?| 157 |maxIndex| 169 |map!| 174 |map| 186
     |less?| 205 |latex| 211 |keys| 216 |key?| 221 |inspect| 227 |insert!| 232
     |indices| 238 |index?| 243 |hash| 249 |first| 254 |find| 259 |fill!| 265
     |extract!| 271 |every?| 276 |eval| 288 |eq?| 340 |entry?| 346 |entries|
     352 |empty?| 357 |empty| 362 |elt| 366 |dictionary| 379 |count| 388 |copy|
     412 |convert| 417 |construct| 422 |coerce| 427 |bag| 432 |any?| 437 = 449
     |#| 455)
  '((|finiteAggregate| . 0) (|shallowlyMutable| . 0))
  (CONS (|makeByteWordVec2| 7 '(0 0 0 0 0 0 0 0 0 0 0 3 6 7 0 0 3 6 6 1 7))
   (CONS
    '#(|TableAggregate&| |KeyedDictionary&| |Dictionary&|
       |DictionaryOperations&| |BagAggregate&| |IndexedAggregate&|
       |Collection&| |HomogeneousAggregate&| |HomogeneousAggregate&|
       |EltableAggregate&| |Aggregate&| |Evalable&| |SetCategory&| |Evalable&|
       NIL NIL |InnerEvalable&| |BasicType&| NIL NIL |InnerEvalable&|)
    (CONS
     '#((|TableAggregate| 6 7) (|KeyedDictionary| 6 7)
        (|Dictionary| (|Record| (|:| |key| 6) (|:| |entry| 7)))
        (|DictionaryOperations| (|Record| (|:| |key| 6) (|:| |entry| 7)))
        (|BagAggregate| (|Record| (|:| |key| 6) (|:| |entry| 7)))
        (|IndexedAggregate| 6 7)
        (|Collection| (|Record| (|:| |key| 6) (|:| |entry| 7)))
        (|HomogeneousAggregate| 7)
        (|HomogeneousAggregate| (|Record| (|:| |key| 6) (|:| |entry| 7)))
        (|EltableAggregate| 6 7) (|Aggregate|)
        (|Evalable| (|Record| (|:| |key| 6) (|:| |entry| 7))) (|SetCategory|)
        (|Evalable| 7) (|Eltable| 6 7) (|Type|)
        (|InnerEvalable| (|Record| (|:| |key| 6) (|:| |entry| 7))
         (|Record| (|:| |key| 6) (|:| |entry| 7)))
        (|BasicType|) (|CoercibleTo| 29) (|ConvertibleTo| 32)
        (|InnerEvalable| 7 7))
     (|makeByteWordVec2| 39
      '(2 6 10 0 0 1 1 0 0 22 1 0 0 0 1 3 0 36 0 6 6 1 2 0 10 0 14 1 3 0 7 0 6
        7 16 2 0 0 34 0 1 2 0 0 34 0 1 2 0 17 6 0 20 0 0 0 1 1 2 0 0 1 2 0 0 21
        0 1 2 0 0 34 0 1 2 0 17 6 0 18 2 2 0 21 0 1 2 0 0 34 0 1 4 2 21 25 0 21
        21 1 2 0 21 25 0 1 3 0 21 25 0 21 1 3 0 7 0 6 7 1 2 0 7 0 6 1 1 0 28 0
        1 1 0 22 0 1 2 0 10 0 14 1 1 4 6 0 1 1 0 28 0 1 1 0 22 0 1 2 2 10 21 0
        1 2 5 10 7 0 1 1 4 6 0 1 2 0 0 35 0 1 2 0 0 37 0 1 3 0 0 38 0 0 1 2 0 0
        35 0 1 2 0 0 37 0 1 2 0 10 0 14 1 1 6 30 0 1 1 0 12 0 13 2 0 10 6 0 1 1
        0 21 0 1 2 0 0 21 0 1 1 0 12 0 1 2 0 10 6 0 1 1 6 31 0 1 1 4 7 0 1 2 0
        39 34 0 1 2 0 0 0 7 1 1 0 21 0 1 2 0 10 33 0 1 2 0 10 34 0 1 3 3 0 0 21
        21 1 3 3 0 0 22 22 1 2 3 0 0 23 1 2 3 0 0 24 1 2 7 0 0 26 1 2 7 0 0 27
        1 3 7 0 0 28 28 1 3 7 0 0 7 7 1 2 0 10 0 0 1 2 5 10 7 0 1 1 0 28 0 1 1
        0 10 0 1 0 0 0 19 3 0 7 0 6 7 1 2 0 7 0 6 1 1 0 0 22 1 0 0 0 1 2 2 14
        21 0 1 2 5 14 7 0 1 2 0 14 33 0 1 2 0 14 34 0 1 1 0 0 0 1 1 1 32 0 1 1
        0 0 22 1 1 6 29 0 1 1 0 0 22 1 2 0 10 33 0 1 2 0 10 34 0 1 2 6 10 0 0
        11 1 0 14 0 15)))))
  '|lookupComplete|)) 
