
(/VERSIONCHECK 2) 

(DEFUN |INEP;numeric| (|r| $)
 (COND
  ((|domainEqual| (QREFELT $ 6) (|Fraction| (|Integer|)))
   (COND
    ((|domainEqual| (QREFELT $ 7) (|Float|)) (SPADCALL |r| (QREFELT $ 11)))
    ((|domainEqual| (QREFELT $ 7) (|Fraction| (|Integer|))) |r|)
    ((|domainEqual| (QREFELT $ 7) (|Complex| (|Float|)))
     (SPADCALL |r| (QREFELT $ 13)))
    ((|domainEqual| (QREFELT $ 7) (|Complex| (|Fraction| (|Integer|))))
     (SPADCALL |r| (QREFELT $ 15)))))
  ((|domainEqual| (QREFELT $ 6) (|Complex| (|Fraction| (|Integer|))))
   (COND
    ((|domainEqual| (QREFELT $ 7) (|Complex| (|Fraction| (|Integer|)))) |r|)
    ((|domainEqual| (QREFELT $ 7) (|Complex| (|Float|)))
     (SPADCALL (SPADCALL |r| (QREFELT $ 16)) (QREFELT $ 17)))))
  ('T (|error| "unsupported coefficient type")))) 

(DEFUN |INEP;monicize| (|f| $)
 (PROG (|a|)
  (RETURN
   (SEQ (LETT |a| (SPADCALL |f| (QREFELT $ 19)) |INEP;monicize|)
    (EXIT
     (COND ((SPADCALL |a| (|spadConstant| $ 20) (QREFELT $ 23)) |f|)
      ('T (SPADCALL (SPADCALL |a| (QREFELT $ 24)) |f| (QREFELT $ 25))))))))) 

(DEFUN |INEP;reduction| (|u| |p| $) (SPADCALL |u| |p| (QREFELT $ 26))) 

(DEFUN |INEP;merge| (|p| |q| $)
 (COND ((SPADCALL |p| |q| (QREFELT $ 27)) (CONS 0 |p|))
  ((SPADCALL |p| (|spadConstant| $ 30) (QREFELT $ 27)) (CONS 0 |q|))
  ((SPADCALL |q| (|spadConstant| $ 30) (QREFELT $ 27)) (CONS 0 |p|))
  ('T (CONS 1 "failed")))) 

(DEFUN |INEP;exactquo| (|u| |v| |p| $)
 (PROG (|val|)
  (RETURN
   (SEQ (LETT |val| (SPADCALL |v| |p| |u| (QREFELT $ 33)) |INEP;exactquo|)
    (EXIT
     (COND ((QEQCAR |val| 1) (CONS 1 "failed"))
      ('T (CONS 0 (QCAR (QCDR |val|)))))))))) 

(DEFUN |INEP;evalvect| (|vect| |alg| $)
 (PROG (|n| |w| |i| |polf| |v|)
  (RETURN
   (SEQ (LETT |n| (SPADCALL |vect| (QREFELT $ 36)) |INEP;evalvect|)
    (LETT |w| (SPADCALL |n| 1 (QREFELT $ 38)) |INEP;evalvect|)
    (SEQ (LETT |i| 1 |INEP;evalvect|) G190
     (COND ((QSGREATERP |i| |n|) (GO G191)))
     (SEQ
      (LETT |polf|
       (SPADCALL (CONS (|function| |INEP;numeric|) $)
        (SPADCALL |vect| |i| 1 (QREFELT $ 40)) (QREFELT $ 44))
       |INEP;evalvect|)
      (LETT |v| (SPADCALL |polf| |alg| (QREFELT $ 45)) |INEP;evalvect|)
      (EXIT (SPADCALL |w| |i| 1 |v| (QREFELT $ 46))))
     (LETT |i| (QSADD1 |i|) |INEP;evalvect|) (GO G190) G191 (EXIT NIL))
    (EXIT |w|))))) 

(DEFUN |INEP;inteigen| (A |p| |fact| $)
 (PROG
  (|dimA| MM AM |lff| |ff| #1=#:G3590 |pol| |alpha| B1 |vecr| #2=#:G3591 |wf|
   |lr| |ppol| |alg| B |j| |sln2| |vec| #3=#:G3592 |wk| |i| |soln| |res|)
  (RETURN
   (SEQ (LETT |dimA| (SPADCALL A (QREFELT $ 48)) |INEP;inteigen|)
    (LETT MM
     (|ModularField| (|SparseUnivariatePolynomial| (QREFELT $ 6))
      (|SparseUnivariatePolynomial| (QREFELT $ 6))
      (CONS (|function| |INEP;reduction|) $) (CONS (|function| |INEP;merge|) $)
      (CONS (|function| |INEP;exactquo|) $))
     |INEP;inteigen|)
    (LETT AM (|Matrix| MM) |INEP;inteigen|)
    (LETT |lff| (SPADCALL (SPADCALL |p| |fact|) (QREFELT $ 52))
     |INEP;inteigen|)
    (LETT |res| NIL |INEP;inteigen|) (LETT |lr| NIL |INEP;inteigen|)
    (SEQ (LETT |ff| NIL |INEP;inteigen|) (LETT #1# |lff| |INEP;inteigen|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |ff| (CAR #1#) |INEP;inteigen|) NIL))
       (GO G191)))
     (SEQ (LETT |pol| (QCAR |ff|) |INEP;inteigen|)
      (EXIT
       (COND
        ((EQL (SPADCALL |pol| (QREFELT $ 53)) 1)
         (SEQ
          (LETT |alpha|
           (SPADCALL
            (SPADCALL (SPADCALL |pol| 0 (QREFELT $ 54))
             (SPADCALL |pol| (QREFELT $ 19)) (QREFELT $ 55))
            (QREFELT $ 56))
           |INEP;inteigen|)
          (LETT B1 (SPADCALL |dimA| |dimA| (QREFELT $ 57)) |INEP;inteigen|)
          (SEQ (LETT |i| 1 |INEP;inteigen|) G190
           (COND ((QSGREATERP |i| |dimA|) (GO G191)))
           (SEQ
            (SEQ (LETT |j| 1 |INEP;inteigen|) G190
             (COND ((QSGREATERP |j| |dimA|) (GO G191)))
             (SEQ
              (EXIT
               (SPADCALL B1 |i| |j| (SPADCALL A |i| |j| (QREFELT $ 58))
                (QREFELT $ 59))))
             (LETT |j| (QSADD1 |j|) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
            (EXIT
             (SPADCALL B1 |i| |i|
              (SPADCALL (SPADCALL B1 |i| |i| (QREFELT $ 58)) |alpha|
               (QREFELT $ 60))
              (QREFELT $ 59))))
           (LETT |i| (QSADD1 |i|) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
          (LETT |lr| NIL |INEP;inteigen|)
          (SEQ (LETT |vecr| NIL |INEP;inteigen|)
           (LETT #2# (SPADCALL B1 (QREFELT $ 62)) |INEP;inteigen|) G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |vecr| (CAR #2#) |INEP;inteigen|) NIL))
             (GO G191)))
           (SEQ (LETT |wf| (SPADCALL |dimA| 1 (QREFELT $ 38)) |INEP;inteigen|)
            (SEQ (LETT |i| 1 |INEP;inteigen|) G190
             (COND ((QSGREATERP |i| |dimA|) (GO G191)))
             (SEQ
              (EXIT
               (SPADCALL |wf| |i| 1
                (|INEP;numeric| (SPADCALL |vecr| |i| (QREFELT $ 64)) $)
                (QREFELT $ 46))))
             (LETT |i| (QSADD1 |i|) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
            (EXIT (LETT |lr| (CONS |wf| |lr|) |INEP;inteigen|)))
           (LETT #2# (CDR #2#) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
          (EXIT
           (LETT |res|
            (CONS (CONS 0 (VECTOR (|INEP;numeric| |alpha| $) (QCDR |ff|) |lr|))
             |res|)
            |INEP;inteigen|))))
        ('T
         (SEQ (LETT |ppol| (|INEP;monicize| |pol| $) |INEP;inteigen|)
          (LETT |alg|
           (SPADCALL (SPADCALL (|spadConstant| $ 20) 1 (QREFELT $ 65)) |ppol|
            (|compiledLookupCheck| '|reduce|
             (LIST '$
              (LIST '|SparseUnivariatePolynomial| (|devaluate| (ELT $ 6)))
              (LIST '|SparseUnivariatePolynomial| (|devaluate| (ELT $ 6))))
             MM))
           |INEP;inteigen|)
          (LETT B
           (SPADCALL |dimA| |dimA|
            (|compiledLookupCheck| '|zero|
             (LIST '$ (LIST '|NonNegativeInteger|)
              (LIST '|NonNegativeInteger|))
             AM))
           |INEP;inteigen|)
          (SEQ (LETT |i| 1 |INEP;inteigen|) G190
           (COND ((QSGREATERP |i| |dimA|) (GO G191)))
           (SEQ
            (SEQ (LETT |j| 1 |INEP;inteigen|) G190
             (COND ((QSGREATERP |j| |dimA|) (GO G191)))
             (SEQ
              (EXIT
               (SPADCALL B |i| |j|
                (SPADCALL
                 (SPADCALL (SPADCALL A |i| |j| (QREFELT $ 58)) (QREFELT $ 66))
                 |ppol|
                 (|compiledLookupCheck| '|reduce|
                  (LIST '$
                   (LIST '|SparseUnivariatePolynomial| (|devaluate| (ELT $ 6)))
                   (LIST '|SparseUnivariatePolynomial|
                    (|devaluate| (ELT $ 6))))
                  MM))
                (|compiledLookupCheck| '|setelt|
                 (LIST (|devaluate| MM) '$ (LIST '|Integer|) (LIST '|Integer|)
                  (|devaluate| MM))
                 AM))))
             (LETT |j| (QSADD1 |j|) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
            (EXIT
             (SPADCALL B |i| |i|
              (SPADCALL
               (SPADCALL B |i| |i|
                (|compiledLookupCheck| '|elt|
                 (LIST (|devaluate| MM) '$ (LIST '|Integer|) (LIST '|Integer|))
                 AM))
               |alg| (|compiledLookupCheck| '- (LIST '$ '$ '$) MM))
              (|compiledLookupCheck| '|setelt|
               (LIST (|devaluate| MM) '$ (LIST '|Integer|) (LIST '|Integer|)
                (|devaluate| MM))
               AM))))
           (LETT |i| (QSADD1 |i|) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
          (LETT |sln2|
           (SPADCALL B
            (|compiledLookupCheck| '|nullSpace|
             (LIST (LIST '|List| (LIST '|Vector| (|devaluate| MM))) '$) AM))
           |INEP;inteigen|)
          (LETT |soln| NIL |INEP;inteigen|)
          (SEQ (LETT |vec| NIL |INEP;inteigen|)
           (LETT #3# |sln2| |INEP;inteigen|) G190
           (COND
            ((OR (ATOM #3#) (PROGN (LETT |vec| (CAR #3#) |INEP;inteigen|) NIL))
             (GO G191)))
           (SEQ (LETT |wk| (SPADCALL |dimA| 1 (QREFELT $ 67)) |INEP;inteigen|)
            (SEQ (LETT |i| 1 |INEP;inteigen|) G190
             (COND ((QSGREATERP |i| |dimA|) (GO G191)))
             (SEQ
              (EXIT
               (SPADCALL |wk| |i| 1
                (SPADCALL
                 (SPADCALL |vec| |i|
                  (|compiledLookupCheck| '|elt|
                   (LIST (|devaluate| MM) '$ (LIST '|Integer|)) (|Vector| MM)))
                 (|compiledLookupCheck| '|coerce|
                  (LIST
                   (LIST '|SparseUnivariatePolynomial| (|devaluate| (ELT $ 6)))
                   '$)
                  MM))
                (QREFELT $ 68))))
             (LETT |i| (QSADD1 |i|) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
            (EXIT (LETT |soln| (CONS |wk| |soln|) |INEP;inteigen|)))
           (LETT #3# (CDR #3#) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
          (EXIT
           (LETT |res|
            (CONS (CONS 1 (VECTOR (QCAR |ff|) (QCDR |ff|) |soln|)) |res|)
            |INEP;inteigen|)))))))
     (LETT #1# (CDR #1#) |INEP;inteigen|) (GO G190) G191 (EXIT NIL))
    (EXIT |res|))))) 

(DEFUN |INEP;solve1;SupParL;8| (|up| |eps| $)
 (PROG (|c| #1=#:G3599 #2=#:G3595 #3=#:G3593 #4=#:G3594 |denom| |upi|)
  (RETURN
   (SEQ
    (LETT |denom|
     (PROGN (LETT #4# NIL |INEP;solve1;SupParL;8|)
      (SEQ (LETT |c| NIL |INEP;solve1;SupParL;8|)
       (LETT #1# (SPADCALL |up| (QREFELT $ 70)) |INEP;solve1;SupParL;8|) G190
       (COND
        ((OR (ATOM #1#)
          (PROGN (LETT |c| (CAR #1#) |INEP;solve1;SupParL;8|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (PROGN
          (LETT #2# (SPADCALL |c| (QREFELT $ 71)) |INEP;solve1;SupParL;8|)
          (COND
           (#4#
            (LETT #3# (SPADCALL #3# #2# (QREFELT $ 72))
             |INEP;solve1;SupParL;8|))
           ('T
            (PROGN (LETT #3# #2# |INEP;solve1;SupParL;8|)
             (LETT #4# 'T |INEP;solve1;SupParL;8|)))))))
       (LETT #1# (CDR #1#) |INEP;solve1;SupParL;8|) (GO G190) G191 (EXIT NIL))
      (COND (#4# #3#) ('T 1)))
     |INEP;solve1;SupParL;8|)
    (LETT |up| (SPADCALL |denom| |up| (QREFELT $ 73)) |INEP;solve1;SupParL;8|)
    (LETT |upi| (SPADCALL (ELT $ 74) |up| (QREFELT $ 79))
     |INEP;solve1;SupParL;8|)
    (EXIT (SPADCALL |upi| |eps| (QREFELT $ 82))))))) 

(DEFUN |INEP;solve1;SupParL;9| (|up| |eps| $)
 (PROG (|c| #1=#:G3606 #2=#:G3602 #3=#:G3600 #4=#:G3601 |denom| |upgi|)
  (RETURN
   (SEQ
    (LETT |denom|
     (PROGN (LETT #4# NIL |INEP;solve1;SupParL;9|)
      (SEQ (LETT |c| NIL |INEP;solve1;SupParL;9|)
       (LETT #1# (SPADCALL |up| (QREFELT $ 70)) |INEP;solve1;SupParL;9|) G190
       (COND
        ((OR (ATOM #1#)
          (PROGN (LETT |c| (CAR #1#) |INEP;solve1;SupParL;9|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (PROGN
          (LETT #2#
           (SPADCALL (SPADCALL (SPADCALL |c| (QREFELT $ 84)) (QREFELT $ 71))
            (SPADCALL (SPADCALL |c| (QREFELT $ 85)) (QREFELT $ 71))
            (QREFELT $ 72))
           |INEP;solve1;SupParL;9|)
          (COND
           (#4#
            (LETT #3# (SPADCALL #3# #2# (QREFELT $ 72))
             |INEP;solve1;SupParL;9|))
           ('T
            (PROGN (LETT #3# #2# |INEP;solve1;SupParL;9|)
             (LETT #4# 'T |INEP;solve1;SupParL;9|)))))))
       (LETT #1# (CDR #1#) |INEP;solve1;SupParL;9|) (GO G190) G191 (EXIT NIL))
      (COND (#4# #3#) ('T 1)))
     |INEP;solve1;SupParL;9|)
    (LETT |up| (SPADCALL |denom| |up| (QREFELT $ 73)) |INEP;solve1;SupParL;9|)
    (LETT |upgi|
     (SPADCALL (CONS #'|INEP;solve1;SupParL;9!0| $) |up| (QREFELT $ 92))
     |INEP;solve1;SupParL;9|)
    (EXIT (SPADCALL |upgi| |eps| (QREFELT $ 94))))))) 

(DEFUN |INEP;solve1;SupParL;9!0| (|#1| $)
 (SPADCALL (SPADCALL (SPADCALL |#1| (QREFELT $ 84)) (QREFELT $ 74))
  (SPADCALL (SPADCALL |#1| (QREFELT $ 85)) (QREFELT $ 74)) (QREFELT $ 87))) 

(DEFUN |INEP;innerEigenvectors;MParML;10| (A |eps| |fact| $)
 (PROG
  (|pol| |sln1| |n| |lev| #1=#:G3617 |leva| |lval| |lvect| |lmult| |alg|
   #2=#:G3618 #3=#:G3619 |ep| #4=#:G3620 |nsl| |sln|)
  (RETURN
   (SEQ
    (LETT |pol| (SPADCALL A (QREFELT $ 95)) |INEP;innerEigenvectors;MParML;10|)
    (LETT |sln1| (|INEP;inteigen| A |pol| |fact| $)
     |INEP;innerEigenvectors;MParML;10|)
    (LETT |n| (SPADCALL A (QREFELT $ 48)) |INEP;innerEigenvectors;MParML;10|)
    (LETT |sln| NIL |INEP;innerEigenvectors;MParML;10|)
    (SEQ (LETT |lev| NIL |INEP;innerEigenvectors;MParML;10|)
     (LETT #1# |sln1| |INEP;innerEigenvectors;MParML;10|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |lev| (CAR #1#) |INEP;innerEigenvectors;MParML;10|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((QEQCAR |lev| 0)
         (LETT |sln| (CONS (QCDR |lev|) |sln|)
          |INEP;innerEigenvectors;MParML;10|))
        ('T
         (SEQ (LETT |leva| (QCDR |lev|) |INEP;innerEigenvectors;MParML;10|)
          (LETT |lval| (SPADCALL (QVELT |leva| 0) |eps| (QREFELT $ 83))
           |INEP;innerEigenvectors;MParML;10|)
          (LETT |lvect| (QVELT |leva| 2) |INEP;innerEigenvectors;MParML;10|)
          (LETT |lmult| (QVELT |leva| 1) |INEP;innerEigenvectors;MParML;10|)
          (EXIT
           (SEQ (LETT |alg| NIL |INEP;innerEigenvectors;MParML;10|)
            (LETT #2# |lval| |INEP;innerEigenvectors;MParML;10|) G190
            (COND
             ((OR (ATOM #2#)
               (PROGN (LETT |alg| (CAR #2#) |INEP;innerEigenvectors;MParML;10|)
                NIL))
              (GO G191)))
            (SEQ
             (LETT |nsl|
              (VECTOR |alg| |lmult|
               (PROGN (LETT #3# NIL |INEP;innerEigenvectors;MParML;10|)
                (SEQ (LETT |ep| NIL |INEP;innerEigenvectors;MParML;10|)
                 (LETT #4# |lvect| |INEP;innerEigenvectors;MParML;10|) G190
                 (COND
                  ((OR (ATOM #4#)
                    (PROGN
                     (LETT |ep| (CAR #4#) |INEP;innerEigenvectors;MParML;10|)
                     NIL))
                   (GO G191)))
                 (SEQ
                  (EXIT
                   (LETT #3# (CONS (|INEP;evalvect| |ep| |alg| $) #3#)
                    |INEP;innerEigenvectors;MParML;10|)))
                 (LETT #4# (CDR #4#) |INEP;innerEigenvectors;MParML;10|)
                 (GO G190) G191 (EXIT (NREVERSE0 #3#)))))
              |INEP;innerEigenvectors;MParML;10|)
             (EXIT
              (LETT |sln| (CONS |nsl| |sln|)
               |INEP;innerEigenvectors;MParML;10|)))
            (LETT #2# (CDR #2#) |INEP;innerEigenvectors;MParML;10|) (GO G190)
            G191 (EXIT NIL))))))))
     (LETT #1# (CDR #1#) |INEP;innerEigenvectors;MParML;10|) (GO G190) G191
     (EXIT NIL))
    (EXIT |sln|))))) 

(DEFUN |INEP;charpol;MSup;11| (A $)
 (PROG (|dimA| B |i| |j|)
  (RETURN
   (SEQ (LETT |dimA| (SPADCALL A (QREFELT $ 48)) |INEP;charpol;MSup;11|)
    (COND
     ((NULL (EQL |dimA| (SPADCALL A (QREFELT $ 100))))
      (EXIT (|error| " The matrix is not square"))))
    (LETT B (SPADCALL |dimA| |dimA| (QREFELT $ 67)) |INEP;charpol;MSup;11|)
    (SEQ (LETT |i| 1 |INEP;charpol;MSup;11|) G190
     (COND ((QSGREATERP |i| |dimA|) (GO G191)))
     (SEQ
      (SEQ (LETT |j| 1 |INEP;charpol;MSup;11|) G190
       (COND ((QSGREATERP |j| |dimA|) (GO G191)))
       (SEQ
        (EXIT
         (SPADCALL B |i| |j|
          (SPADCALL (SPADCALL A |i| |j| (QREFELT $ 58)) (QREFELT $ 66))
          (QREFELT $ 68))))
       (LETT |j| (QSADD1 |j|) |INEP;charpol;MSup;11|) (GO G190) G191
       (EXIT NIL))
      (EXIT
       (SPADCALL B |i| |i|
        (SPADCALL (SPADCALL B |i| |i| (QREFELT $ 40))
         (SPADCALL (|spadConstant| $ 20) 1 (QREFELT $ 65)) (QREFELT $ 101))
        (QREFELT $ 68))))
     (LETT |i| (QSADD1 |i|) |INEP;charpol;MSup;11|) (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL B (QREFELT $ 102))))))) 

(DEFUN |InnerNumericEigenPackage| (&REST #1=#:G3631 &AUX #2=#:G3629)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3630)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|InnerNumericEigenPackage|)
         '|domainEqualList|)
        |InnerNumericEigenPackage|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |InnerNumericEigenPackage;|) #2#)
         (LETT #3# T |InnerNumericEigenPackage|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache| '|InnerNumericEigenPackage|))))))))))) 

(DEFUN |InnerNumericEigenPackage;| (|#1| |#2| |#3|)
 (PROG (DV$1 DV$2 DV$3 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|InnerNumericEigenPackage|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT |dv$| (LIST '|InnerNumericEigenPackage| DV$1 DV$2 DV$3) . #1#)
    (LETT $ (GETREFV 103) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|InnerNumericEigenPackage|
     (LIST DV$1 DV$2 DV$3) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|)
    (COND
     ((|domainEqual| |#1| (|Fraction| (|Integer|)))
      (QSETREFV $ 83 (CONS (|dispatchFunction| |INEP;solve1;SupParL;8|) $)))
     ((|domainEqual| |#1| (|Complex| (|Fraction| (|Integer|))))
      (QSETREFV $ 83 (CONS (|dispatchFunction| |INEP;solve1;SupParL;9|) $)))
     ('T (|error| "unsupported matrix type")))
    $)))) 

(MAKEPROP '|InnerNumericEigenPackage| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     (|Float|) (|Fraction| 39) (0 . |convert|) (|Complex| 9) (5 . |coerce|)
     (|Complex| 10) (10 . |coerce|) (15 . |convert|) (20 . |convert|)
     (|SparseUnivariatePolynomial| 6) (25 . |leadingCoefficient|) (30 . |One|)
     (34 . |One|) (|Boolean|) (38 . =) (44 . |inv|) (49 . *) (55 . |rem|)
     (61 . =) (67 . |Zero|) (71 . |Zero|) (75 . |Zero|)
     (|Record| (|:| |coef1| $) (|:| |coef2| $)) (|Union| 31 '"failed")
     (79 . |extendedEuclidean|) (|NonNegativeInteger|) (|Matrix| 18)
     (86 . |nrows|) (|Matrix| 7) (91 . |zero|) (|Integer|) (97 . |elt|)
     (|SparseUnivariatePolynomial| 7) (|Mapping| 7 6)
     (|UnivariatePolynomialCategoryFunctions2| 6 18 7 41) (104 . |map|)
     (110 . |elt|) (116 . |setelt|) (|Matrix| 6) (124 . |nrows|)
     (|Record| (|:| |factor| 18) (|:| |exponent| 39)) (|List| 49)
     (|Factored| 18) (129 . |factors|) (134 . |degree|) (139 . |coefficient|)
     (145 . /) (151 . -) (156 . |zero|) (162 . |elt|) (169 . |setelt|)
     (177 . -) (|List| 63) (183 . |nullSpace|) (|Vector| 6) (188 . |elt|)
     (194 . |monomial|) (200 . |coerce|) (205 . |zero|) (211 . |setelt|)
     (|List| 6) (219 . |coefficients|) (224 . |denom|) (229 . |lcm|) (235 . *)
     (241 . |numer|) (|SparseUnivariatePolynomial| 39) (|Mapping| 39 10)
     (|SparseUnivariatePolynomial| 10)
     (|UnivariatePolynomialCategoryFunctions2| 10 77 39 75) (246 . |map|)
     (|List| 7) (|InnerNumericFloatSolvePackage| 39 7 8) (252 . |innerSolve1|)
     (258 . |solve1|) (264 . |real|) (269 . |imag|) (|Complex| 39)
     (274 . |complex|) (|SparseUnivariatePolynomial| 86) (|Mapping| 86 14)
     (|SparseUnivariatePolynomial| 14)
     (|UnivariatePolynomialCategoryFunctions2| 14 90 86 88) (280 . |map|)
     (|InnerNumericFloatSolvePackage| 86 7 8) (286 . |innerSolve1|)
     |INEP;charpol;MSup;11|
     (|Record| (|:| |outval| 7) (|:| |outmult| 39) (|:| |outvect| (|List| 37)))
     (|List| 96) (|Mapping| 51 18) |INEP;innerEigenvectors;MParML;10|
     (292 . |ncols|) (297 . -) (303 . |determinant|))
  '#(|solve1| 308 |innerEigenvectors| 314 |charpol| 321) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 102
      '(1 10 9 0 11 1 12 0 10 13 1 14 0 10 15 1 14 12 0 16 1 12 12 0 17 1 18 6
        0 19 0 6 0 20 0 7 0 21 2 6 22 0 0 23 1 6 0 0 24 2 18 0 6 0 25 2 18 0 0
        0 26 2 18 22 0 0 27 0 6 0 28 0 7 0 29 0 18 0 30 3 18 32 0 0 0 33 1 35
        34 0 36 2 37 0 34 34 38 3 35 18 0 39 39 40 2 43 41 42 18 44 2 41 7 0 7
        45 4 37 7 0 39 39 7 46 1 47 34 0 48 1 51 50 0 52 1 18 34 0 53 2 18 6 0
        34 54 2 6 0 0 0 55 1 6 0 0 56 2 47 0 34 34 57 3 47 6 0 39 39 58 4 47 6
        0 39 39 6 59 2 6 0 0 0 60 1 47 61 0 62 2 63 6 0 39 64 2 18 0 6 34 65 1
        18 0 6 66 2 35 0 34 34 67 4 35 18 0 39 39 18 68 1 18 69 0 70 1 10 39 0
        71 2 39 0 0 0 72 2 18 0 39 0 73 1 10 39 0 74 2 78 75 76 77 79 2 81 80
        75 8 82 2 0 80 18 8 83 1 14 10 0 84 1 14 10 0 85 2 86 0 39 39 87 2 91
        88 89 90 92 2 93 80 88 8 94 1 47 34 0 100 2 18 0 0 0 101 1 35 18 0 102
        2 0 80 18 8 83 3 0 97 47 8 98 99 1 0 18 47 95)))))
  '|lookupComplete|)) 
