
(/VERSIONCHECK 2) 

(DEFUN |INTHEORY;harmonic;IF;1| (|n| $)
 (PROG (|#G3| |s| |k| |h|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "harmonic not defined for negative integers"))
     ('T
      (SEQ
       (COND
        ((< |n| (QCAR (QREFELT $ 16)))
         (SEQ (LETT |s| 0 |INTHEORY;harmonic;IF;1|)
          (EXIT (LETT |h| (|spadConstant| $ 17) |INTHEORY;harmonic;IF;1|))))
        ('T
         (PROGN (LETT |#G3| (QREFELT $ 16) |INTHEORY;harmonic;IF;1|)
          (LETT |s| (QCAR |#G3|) |INTHEORY;harmonic;IF;1|)
          (LETT |h| (QCDR |#G3|) |INTHEORY;harmonic;IF;1|) |#G3|)))
       (SEQ (LETT |k| (+ |s| 1) |INTHEORY;harmonic;IF;1|) G190
        (COND ((> |k| |n|) (GO G191)))
        (SEQ
         (EXIT
          (LETT |h|
           (SPADCALL |h| (SPADCALL 1 |k| (QREFELT $ 18)) (QREFELT $ 19))
           |INTHEORY;harmonic;IF;1|)))
        (LETT |k| (+ |k| 1) |INTHEORY;harmonic;IF;1|) (GO G190) G191
        (EXIT NIL))
       (PROGN (RPLACA (QREFELT $ 16) |n|) (QCAR (QREFELT $ 16)))
       (PROGN (RPLACD (QREFELT $ 16) |h|) (QCDR (QREFELT $ 16)))
       (EXIT |h|)))))))) 

(DEFUN |INTHEORY;fibonacci;2I;2| (|n| $)
 (PROG (|#G8| |#G9| |k| |t| |#G11| |#G12| |#G13| |#G14| |f1| |f2|)
  (RETURN
   (SEQ
    (COND ((EQL |n| 0) 0)
     ((< |n| 0)
      (* (COND ((ODDP |n|) 1) ('T -1)) (SPADCALL (- |n|) (QREFELT $ 21))))
     ('T
      (SEQ
       (PROGN (LETT |#G8| 0 |INTHEORY;fibonacci;2I;2|)
        (LETT |#G9| 1 |INTHEORY;fibonacci;2I;2|)
        (LETT |f1| |#G8| |INTHEORY;fibonacci;2I;2|)
        (LETT |f2| |#G9| |INTHEORY;fibonacci;2I;2|))
       (SEQ (LETT |k| (- (INTEGER-LENGTH |n|) 2) |INTHEORY;fibonacci;2I;2|)
        G190 (COND ((< |k| 0) (GO G191)))
        (SEQ
         (LETT |t| (SPADCALL |f2| 2 (QREFELT $ 23)) |INTHEORY;fibonacci;2I;2|)
         (PROGN
          (LETT |#G11| (+ |t| (SPADCALL |f1| 2 (QREFELT $ 23)))
           |INTHEORY;fibonacci;2I;2|)
          (LETT |#G12| (+ |t| (* (SPADCALL 2 |f1| (QREFELT $ 24)) |f2|))
           |INTHEORY;fibonacci;2I;2|)
          (LETT |f1| |#G11| |INTHEORY;fibonacci;2I;2|)
          (LETT |f2| |#G12| |INTHEORY;fibonacci;2I;2|))
         (EXIT
          (COND
           ((SPADCALL |n| |k| (QREFELT $ 26))
            (PROGN (LETT |#G13| |f2| |INTHEORY;fibonacci;2I;2|)
             (LETT |#G14| (+ |f1| |f2|) |INTHEORY;fibonacci;2I;2|)
             (LETT |f1| |#G13| |INTHEORY;fibonacci;2I;2|)
             (LETT |f2| |#G14| |INTHEORY;fibonacci;2I;2|))))))
        (LETT |k| (+ |k| -1) |INTHEORY;fibonacci;2I;2|) (GO G190) G191
        (EXIT NIL))
       (EXIT |f2|)))))))) 

(DEFUN |INTHEORY;euler;2I;3| (|n| $)
 (PROG (|l| #1=#:G3570 |i| |j| #2=#:G3580 |t| |e|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "euler not defined for negative integers"))
     ((ODDP |n|) 0)
     ('T
      (SEQ
       (LETT |l| (SPADCALL (QREFELT $ 10) (QREFELT $ 27))
        |INTHEORY;euler;2I;3|)
       (EXIT
        (COND ((< |n| |l|) (SPADCALL (QREFELT $ 10) |n| (QREFELT $ 28)))
         ('T
          (SEQ
           (SPADCALL (QREFELT $ 10)
            (SPADCALL
             (PROG1 (LETT #1# (- (+ |n| 1) |l|) |INTHEORY;euler;2I;3|)
              (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
             0 (QREFELT $ 9))
            (QREFELT $ 29))
           (SEQ (LETT |i| 1 |INTHEORY;euler;2I;3|) G190
            (COND ((> |i| |l|) (GO G191)))
            (SEQ (EXIT (SPADCALL (QREFELT $ 10) |i| 0 (QREFELT $ 30))))
            (LETT |i| (+ |i| 2) |INTHEORY;euler;2I;3|) (GO G190) G191
            (EXIT NIL))
           (SEQ (LETT |i| (+ |l| 1) |INTHEORY;euler;2I;3|) G190
            (COND ((> |i| |n|) (GO G191)))
            (SEQ
             (LETT |t| (LETT |e| 1 |INTHEORY;euler;2I;3|)
              |INTHEORY;euler;2I;3|)
             (SEQ (LETT |j| 2 |INTHEORY;euler;2I;3|)
              (LETT #2# (- |i| 2) |INTHEORY;euler;2I;3|) G190
              (COND ((> |j| #2#) (GO G191)))
              (SEQ
               (LETT |t|
                (QUOTIENT2 (* (* |t| (+ (- |i| |j|) 1)) (+ (- |i| |j|) 2))
                 (SPADCALL |j| (- |j| 1) (QREFELT $ 31)))
                |INTHEORY;euler;2I;3|)
               (EXIT
                (LETT |e|
                 (+ |e| (* |t| (SPADCALL (QREFELT $ 10) |j| (QREFELT $ 28))))
                 |INTHEORY;euler;2I;3|)))
              (LETT |j| (+ |j| 2) |INTHEORY;euler;2I;3|) (GO G190) G191
              (EXIT NIL))
             (EXIT (SPADCALL (QREFELT $ 10) |i| (- |e|) (QREFELT $ 30))))
            (LETT |i| (+ |i| 2) |INTHEORY;euler;2I;3|) (GO G190) G191
            (EXIT NIL))
           (EXIT (SPADCALL (QREFELT $ 10) |n| (QREFELT $ 28)))))))))))))) 

(DEFUN |INTHEORY;bernoulli;IF;4| (|n| $)
 (PROG (|l| #1=#:G3581 |i| |j| #2=#:G3591 |t| |b|)
  (RETURN
   (SEQ
    (COND ((< |n| 0) (|error| "bernoulli not defined for negative integers"))
     ((ODDP |n|)
      (COND
       ((EQL |n| 1) (SPADCALL (SPADCALL 1 2 (QREFELT $ 18)) (QREFELT $ 33)))
       ('T (|spadConstant| $ 17))))
     ('T
      (SEQ
       (LETT |l| (SPADCALL (QREFELT $ 15) (QREFELT $ 34))
        |INTHEORY;bernoulli;IF;4|)
       (EXIT
        (COND ((< |n| |l|) (SPADCALL (QREFELT $ 15) |n| (QREFELT $ 35)))
         ('T
          (SEQ
           (SPADCALL (QREFELT $ 15)
            (SPADCALL
             (PROG1 (LETT #1# (- (+ |n| 1) |l|) |INTHEORY;bernoulli;IF;4|)
              (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
             (|spadConstant| $ 17) (QREFELT $ 14))
            (QREFELT $ 36))
           (SEQ (LETT |i| 1 |INTHEORY;bernoulli;IF;4|) G190
            (COND ((> |i| |l|) (GO G191)))
            (SEQ
             (EXIT
              (SPADCALL (QREFELT $ 15) |i| (|spadConstant| $ 17)
               (QREFELT $ 37))))
            (LETT |i| (+ |i| 2) |INTHEORY;bernoulli;IF;4|) (GO G190) G191
            (EXIT NIL))
           (SEQ (LETT |i| (+ |l| 1) |INTHEORY;bernoulli;IF;4|) G190
            (COND ((> |i| |n|) (GO G191)))
            (SEQ (LETT |t| 1 |INTHEORY;bernoulli;IF;4|)
             (LETT |b| (SPADCALL (- 1 |i|) 2 (QREFELT $ 18))
              |INTHEORY;bernoulli;IF;4|)
             (SEQ (LETT |j| 2 |INTHEORY;bernoulli;IF;4|)
              (LETT #2# (- |i| 2) |INTHEORY;bernoulli;IF;4|) G190
              (COND ((> |j| #2#) (GO G191)))
              (SEQ
               (LETT |t|
                (QUOTIENT2 (* (* |t| (+ (- |i| |j|) 2)) (+ (- |i| |j|) 3))
                 (SPADCALL |j| (- |j| 1) (QREFELT $ 31)))
                |INTHEORY;bernoulli;IF;4|)
               (EXIT
                (LETT |b|
                 (SPADCALL |b|
                  (SPADCALL (SPADCALL |t| (QREFELT $ 38))
                   (SPADCALL (QREFELT $ 15) |j| (QREFELT $ 35)) (QREFELT $ 39))
                  (QREFELT $ 19))
                 |INTHEORY;bernoulli;IF;4|)))
              (LETT |j| (+ |j| 2) |INTHEORY;bernoulli;IF;4|) (GO G190) G191
              (EXIT NIL))
             (EXIT
              (SPADCALL (QREFELT $ 15) |i|
               (SPADCALL
                (SPADCALL |b| (SPADCALL (+ |i| 1) (QREFELT $ 38))
                 (QREFELT $ 40))
                (QREFELT $ 33))
               (QREFELT $ 37))))
            (LETT |i| (+ |i| 2) |INTHEORY;bernoulli;IF;4|) (GO G190) G191
            (EXIT NIL))
           (EXIT (SPADCALL (QREFELT $ 15) |n| (QREFELT $ 35)))))))))))))) 

(DEFUN |INTHEORY;inverse| (|a| |b| $)
 (PROG (|borg| |q| |r| |#G25| |#G26| |#G27| |#G28| |c1| |d1|)
  (RETURN
   (SEQ (LETT |borg| |b| |INTHEORY;inverse|) (LETT |c1| 1 |INTHEORY;inverse|)
    (LETT |d1| 0 |INTHEORY;inverse|)
    (SEQ G190 (COND ((NULL (COND ((EQL |b| 0) 'NIL) ('T 'T))) (GO G191)))
     (SEQ (LETT |q| (QUOTIENT2 |a| |b|) |INTHEORY;inverse|)
      (LETT |r| (- |a| (* |q| |b|)) |INTHEORY;inverse|)
      (PROGN (LETT |#G25| |b| |INTHEORY;inverse|)
       (LETT |#G26| |r| |INTHEORY;inverse|)
       (LETT |a| |#G25| |INTHEORY;inverse|)
       (LETT |b| |#G26| |INTHEORY;inverse|))
      (EXIT
       (PROGN (LETT |#G27| |d1| |INTHEORY;inverse|)
        (LETT |#G28| (- |c1| (* |q| |d1|)) |INTHEORY;inverse|)
        (LETT |c1| |#G27| |INTHEORY;inverse|)
        (LETT |d1| |#G28| |INTHEORY;inverse|))))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT
     (COND ((EQL |a| 1) (SPADCALL |c1| |borg| (QREFELT $ 42)))
      ('T (|error| "moduli are not relatively prime")))))))) 

(DEFUN |INTHEORY;chineseRemainder;5I;6| (|x1| |m1| |x2| |m2| $)
 (SEQ
  (COND ((OR (< |m1| 0) (< |m2| 0)) (|error| "moduli must be positive"))
   ('T
    (SEQ
     (LETT |x1| (SPADCALL |x1| |m1| (QREFELT $ 42))
      |INTHEORY;chineseRemainder;5I;6|)
     (LETT |x2| (SPADCALL |x2| |m2| (QREFELT $ 42))
      |INTHEORY;chineseRemainder;5I;6|)
     (EXIT
      (+ |x1|
       (* |m1|
        (SPADCALL (* (- |x2| |x1|) (|INTHEORY;inverse| |m1| |m2| $)) |m2|
         (QREFELT $ 42)))))))))) 

(DEFUN |INTHEORY;jacobi;3I;7| (|a| |b| $)
 (PROG (|#G37| |#G38| #1=#:G3618 |k| |j|)
  (RETURN
   (SEQ (COND ((< |b| 0) (LETT |b| (- |b|) |INTHEORY;jacobi;3I;7|)))
    (EXIT
     (COND ((EQL |b| 0) (|error| "second argument of jacobi may not be 0"))
      ((EQL |b| 1) 1)
      ('T
       (SEQ
        (COND
         ((SPADCALL |b| (QREFELT $ 44))
          (COND
           ((< 1 (SPADCALL |a| 4 (QREFELT $ 42)))
            (EXIT
             (|error|
              "J(a/b) not defined for b even and a = 2 or 3 (mod 4)"))))))
        (COND
         ((SPADCALL |b| (QREFELT $ 44))
          (COND ((SPADCALL |a| (QREFELT $ 44)) (EXIT 0)))))
        (SEQ (LETT |k| 0 |INTHEORY;jacobi;3I;7|) G190
         (COND ((NULL (SPADCALL |b| (QREFELT $ 44))) (GO G191)))
         (SEQ (EXIT (LETT |b| (QUOTIENT2 |b| 2) |INTHEORY;jacobi;3I;7|)))
         (LETT |k| (QSADD1 |k|) |INTHEORY;jacobi;3I;7|) (GO G190) G191
         (EXIT NIL))
        (LETT |j|
         (SEQ
          (COND
           ((ODDP |k|)
            (COND ((EQL (SPADCALL |a| 8 (QREFELT $ 42)) 5) (EXIT -1)))))
          (EXIT 1))
         |INTHEORY;jacobi;3I;7|)
        (EXIT
         (COND ((EQL |b| 1) |j|)
          ('T
           (SEQ
            (LETT |a| (SPADCALL |a| |b| (QREFELT $ 42)) |INTHEORY;jacobi;3I;7|)
            (SEQ G190 (COND ((NULL (< 1 |a|)) (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((ODDP |a|)
                 (SEQ
                  (COND
                   ((EQL (REMAINDER2 |a| 4) 3)
                    (COND
                     ((EQL (REMAINDER2 |b| 4) 3)
                      (LETT |j| (- |j|) |INTHEORY;jacobi;3I;7|)))))
                  (EXIT
                   (PROGN
                    (LETT |#G37| (REMAINDER2 |b| |a|) |INTHEORY;jacobi;3I;7|)
                    (LETT |#G38| |a| |INTHEORY;jacobi;3I;7|)
                    (LETT |a| |#G37| |INTHEORY;jacobi;3I;7|)
                    (LETT |b| |#G38| |INTHEORY;jacobi;3I;7|)))))
                ('T
                 (SEQ
                  (SEQ (LETT #1# NIL |INTHEORY;jacobi;3I;7|)
                   (LETT |k| 0 |INTHEORY;jacobi;3I;7|) G190
                   (COND (#1# (GO G191)))
                   (SEQ
                    (EXIT (LETT |a| (QUOTIENT2 |a| 2) |INTHEORY;jacobi;3I;7|)))
                   (LETT |k|
                    (PROG1 (QSADD1 |k|)
                     (LETT #1# (ODDP |a|) |INTHEORY;jacobi;3I;7|))
                    |INTHEORY;jacobi;3I;7|)
                   (GO G190) G191 (EXIT NIL))
                  (EXIT
                   (COND
                    ((ODDP |k|)
                     (COND
                      ((< 4 (REMAINDER2 (+ |b| 2) 8))
                       (LETT |j| (- |j|) |INTHEORY;jacobi;3I;7|)))))))))))
             NIL (GO G190) G191 (EXIT NIL))
            (EXIT (COND ((EQL |a| 0) 0) ('T |j|))))))))))))))) 

(DEFUN |INTHEORY;legendre;3I;8| (|a| |p| $)
 (COND ((SPADCALL |p| (QREFELT $ 47)) (SPADCALL |a| |p| (QREFELT $ 45)))
  ('T (|error| "characteristic of legendre must be prime")))) 

(DEFUN |INTHEORY;eulerPhi;2I;9| (|n| $)
 (PROG (|entry| #1=#:G3628 |r|)
  (RETURN
   (SEQ
    (COND ((EQL |n| 0) 0)
     ('T
      (SEQ (LETT |r| (|spadConstant| $ 12) |INTHEORY;eulerPhi;2I;9|)
       (SEQ (LETT |entry| NIL |INTHEORY;eulerPhi;2I;9|)
        (LETT #1# (SPADCALL (SPADCALL |n| (QREFELT $ 50)) (QREFELT $ 54))
         |INTHEORY;eulerPhi;2I;9|)
        G190
        (COND
         ((OR (ATOM #1#)
           (PROGN (LETT |entry| (CAR #1#) |INTHEORY;eulerPhi;2I;9|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT |r|
           (SPADCALL
            (SPADCALL (- (QCAR |entry|) 1) (QCAR |entry|) (QREFELT $ 18)) |r|
            (QREFELT $ 39))
           |INTHEORY;eulerPhi;2I;9|)))
        (LETT #1# (CDR #1#) |INTHEORY;eulerPhi;2I;9|) (GO G190) G191
        (EXIT NIL))
       (EXIT
        (SPADCALL (SPADCALL |n| |r| (QREFELT $ 55)) (QREFELT $ 56)))))))))) 

(DEFUN |INTHEORY;divisors;IL;10| (|n| $)
 (PROG (|f| #1=#:G3638 |k| #2=#:G3639 |pow| |m| #3=#:G3640 |newList| |oldList|)
  (RETURN
   (SEQ (LETT |oldList| (LIST 1) |INTHEORY;divisors;IL;10|)
    (SEQ (LETT |f| NIL |INTHEORY;divisors;IL;10|)
     (LETT #1# (SPADCALL (SPADCALL |n| (QREFELT $ 50)) (QREFELT $ 54))
      |INTHEORY;divisors;IL;10|)
     G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |f| (CAR #1#) |INTHEORY;divisors;IL;10|) NIL))
       (GO G191)))
     (SEQ (LETT |newList| |oldList| |INTHEORY;divisors;IL;10|)
      (SEQ (LETT |k| 1 |INTHEORY;divisors;IL;10|)
       (LETT #2# (QCDR |f|) |INTHEORY;divisors;IL;10|) G190
       (COND ((QSGREATERP |k| #2#) (GO G191)))
       (SEQ (LETT |pow| (EXPT (QCAR |f|) |k|) |INTHEORY;divisors;IL;10|)
        (EXIT
         (SEQ (LETT |m| NIL |INTHEORY;divisors;IL;10|)
          (LETT #3# |oldList| |INTHEORY;divisors;IL;10|) G190
          (COND
           ((OR (ATOM #3#)
             (PROGN (LETT |m| (CAR #3#) |INTHEORY;divisors;IL;10|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT |newList| (CONS (* |pow| |m|) |newList|)
             |INTHEORY;divisors;IL;10|)))
          (LETT #3# (CDR #3#) |INTHEORY;divisors;IL;10|) (GO G190) G191
          (EXIT NIL))))
       (LETT |k| (QSADD1 |k|) |INTHEORY;divisors;IL;10|) (GO G190) G191
       (EXIT NIL))
      (EXIT (LETT |oldList| |newList| |INTHEORY;divisors;IL;10|)))
     (LETT #1# (CDR #1#) |INTHEORY;divisors;IL;10|) (GO G190) G191 (EXIT NIL))
    (EXIT
     (SPADCALL (CONS #'|INTHEORY;divisors;IL;10!0| $) |oldList|
      (QREFELT $ 61))))))) 

(DEFUN |INTHEORY;divisors;IL;10!0| (|#1| |#2| $)
 (SPADCALL |#1| |#2| (QREFELT $ 58))) 

(DEFUN |INTHEORY;numberOfDivisors;2I;11| (|n| $)
 (PROG (|entry| #1=#:G3646 #2=#:G3644 #3=#:G3642 #4=#:G3643)
  (RETURN
   (SEQ
    (COND ((EQL |n| 0) 0)
     ('T
      (PROGN (LETT #4# NIL |INTHEORY;numberOfDivisors;2I;11|)
       (SEQ (LETT |entry| NIL |INTHEORY;numberOfDivisors;2I;11|)
        (LETT #1# (SPADCALL (SPADCALL |n| (QREFELT $ 50)) (QREFELT $ 54))
         |INTHEORY;numberOfDivisors;2I;11|)
        G190
        (COND
         ((OR (ATOM #1#)
           (PROGN (LETT |entry| (CAR #1#) |INTHEORY;numberOfDivisors;2I;11|)
            NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (PROGN
           (LETT #2# (+ 1 (QCDR |entry|)) |INTHEORY;numberOfDivisors;2I;11|)
           (COND (#4# (LETT #3# (* #3# #2#) |INTHEORY;numberOfDivisors;2I;11|))
            ('T
             (PROGN (LETT #3# #2# |INTHEORY;numberOfDivisors;2I;11|)
              (LETT #4# 'T |INTHEORY;numberOfDivisors;2I;11|)))))))
        (LETT #1# (CDR #1#) |INTHEORY;numberOfDivisors;2I;11|) (GO G190) G191
        (EXIT NIL))
       (COND (#4# #3#) ('T 1))))))))) 

(DEFUN |INTHEORY;sumOfDivisors;2I;12| (|n| $)
 (PROG (|entry| #1=#:G3654 #2=#:G3651 #3=#:G3650 #4=#:G3648 #5=#:G3649 |r|)
  (RETURN
   (SEQ
    (COND ((EQL |n| 0) 0)
     ('T
      (SEQ
       (LETT |r|
        (PROGN (LETT #5# NIL |INTHEORY;sumOfDivisors;2I;12|)
         (SEQ (LETT |entry| NIL |INTHEORY;sumOfDivisors;2I;12|)
          (LETT #1# (SPADCALL (SPADCALL |n| (QREFELT $ 50)) (QREFELT $ 54))
           |INTHEORY;sumOfDivisors;2I;12|)
          G190
          (COND
           ((OR (ATOM #1#)
             (PROGN (LETT |entry| (CAR #1#) |INTHEORY;sumOfDivisors;2I;12|)
              NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (PROGN
             (LETT #3#
              (SPADCALL
               (-
                (EXPT (QCAR |entry|)
                 (+
                  (PROG1
                   (LETT #2# (QCDR |entry|) |INTHEORY;sumOfDivisors;2I;12|)
                   (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
                  1))
                1)
               (- (QCAR |entry|) 1) (QREFELT $ 18))
              |INTHEORY;sumOfDivisors;2I;12|)
             (COND
              (#5#
               (LETT #4# (SPADCALL #4# #3# (QREFELT $ 39))
                |INTHEORY;sumOfDivisors;2I;12|))
              ('T
               (PROGN (LETT #4# #3# |INTHEORY;sumOfDivisors;2I;12|)
                (LETT #5# 'T |INTHEORY;sumOfDivisors;2I;12|)))))))
          (LETT #1# (CDR #1#) |INTHEORY;sumOfDivisors;2I;12|) (GO G190) G191
          (EXIT NIL))
         (COND (#5# #4#) ('T (|spadConstant| $ 12))))
        |INTHEORY;sumOfDivisors;2I;12|)
       (EXIT (SPADCALL |r| (QREFELT $ 56)))))))))) 

(DEFUN |INTHEORY;sumOfKthPowerDivisors;INniI;13| (|n| |k| $)
 (PROG (|entry| #1=#:G3662 #2=#:G3659 #3=#:G3658 #4=#:G3656 #5=#:G3657 |r|)
  (RETURN
   (SEQ
    (COND ((EQL |n| 0) 0)
     ('T
      (SEQ
       (LETT |r|
        (PROGN (LETT #5# NIL |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
         (SEQ (LETT |entry| NIL |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
          (LETT #1# (SPADCALL (SPADCALL |n| (QREFELT $ 50)) (QREFELT $ 54))
           |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
          G190
          (COND
           ((OR (ATOM #1#)
             (PROGN
              (LETT |entry| (CAR #1#)
               |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
              NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (PROGN
             (LETT #3#
              (SPADCALL
               (-
                (EXPT (QCAR |entry|)
                 (+
                  (* |k|
                   (PROG1
                    (LETT #2# (QCDR |entry|)
                     |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
                    (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#)))
                  |k|))
                1)
               (- (EXPT (QCAR |entry|) |k|) 1) (QREFELT $ 18))
              |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
             (COND
              (#5#
               (LETT #4# (SPADCALL #4# #3# (QREFELT $ 39))
                |INTHEORY;sumOfKthPowerDivisors;INniI;13|))
              ('T
               (PROGN (LETT #4# #3# |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
                (LETT #5# 'T |INTHEORY;sumOfKthPowerDivisors;INniI;13|)))))))
          (LETT #1# (CDR #1#) |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
          (GO G190) G191 (EXIT NIL))
         (COND (#5# #4#) ('T (|spadConstant| $ 12))))
        |INTHEORY;sumOfKthPowerDivisors;INniI;13|)
       (EXIT (SPADCALL |r| (QREFELT $ 56)))))))))) 

(DEFUN |INTHEORY;moebiusMu;2I;14| (|n| $)
 (PROG (|t| |k| #1=#:G3668 #2=#:G3667 #3=#:G3665)
  (RETURN
   (SEQ
    (EXIT
     (COND ((EQL |n| 1) 1)
      ('T
       (SEQ (LETT |t| (SPADCALL |n| (QREFELT $ 50)) |INTHEORY;moebiusMu;2I;14|)
        (SEQ
         (EXIT
          (SEQ (LETT |k| NIL |INTHEORY;moebiusMu;2I;14|)
           (LETT #1# (SPADCALL |t| (QREFELT $ 54)) |INTHEORY;moebiusMu;2I;14|)
           G190
           (COND
            ((OR (ATOM #1#)
              (PROGN (LETT |k| (CAR #1#) |INTHEORY;moebiusMu;2I;14|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((< 1 (QCDR |k|))
               (PROGN
                (LETT #3#
                 (PROGN (LETT #2# 0 |INTHEORY;moebiusMu;2I;14|) (GO #2#))
                 |INTHEORY;moebiusMu;2I;14|)
                (GO #3#))))))
           (LETT #1# (CDR #1#) |INTHEORY;moebiusMu;2I;14|) (GO G190) G191
           (EXIT NIL)))
         #3# (EXIT #3#))
        (EXIT (COND ((ODDP (SPADCALL |t| (QREFELT $ 67))) -1) ('T 1)))))))
    #2# (EXIT #2#))))) 

(DEFUN |IntegerNumberTheoryFunctions| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3672)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|IntegerNumberTheoryFunctions|)
        |IntegerNumberTheoryFunctions|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|IntegerNumberTheoryFunctions|
           (LIST (CONS NIL (CONS 1 (|IntegerNumberTheoryFunctions;|))))))
         (LETT #1# T |IntegerNumberTheoryFunctions|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache| '|IntegerNumberTheoryFunctions|))))))))))) 

(DEFUN |IntegerNumberTheoryFunctions;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|IntegerNumberTheoryFunctions|) .
     #1=(|IntegerNumberTheoryFunctions|))
    (LETT $ (GETREFV 69) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|IntegerNumberTheoryFunctions| NIL
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 10 (SPADCALL 1 1 (QREFELT $ 9)))
    (QSETREFV $ 15 (SPADCALL 1 (|spadConstant| $ 12) (QREFELT $ 14)))
    (QSETREFV $ 16 (CONS 1 (|spadConstant| $ 12))) $)))) 

(MAKEPROP '|IntegerNumberTheoryFunctions| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|NonNegativeInteger|) (|Integer|)
     (|IndexedFlexibleArray| 7 (NRTEVAL 0)) (0 . |new|) 'E (|Fraction| 7)
     (6 . |One|) (|IndexedFlexibleArray| 11 (NRTEVAL 0)) (10 . |new|) 'B 'H
     (16 . |Zero|) (20 . /) (26 . +) |INTHEORY;harmonic;IF;1|
     |INTHEORY;fibonacci;2I;2| (|PositiveInteger|) (32 . **) (38 . *)
     (|Boolean|) (44 . |bit?|) (50 . |#|) (55 . |elt|) (61 . |concat!|)
     (67 . |setelt|) (74 . *) |INTHEORY;euler;2I;3| (80 . -) (85 . |#|)
     (90 . |elt|) (96 . |concat!|) (102 . |setelt|) (109 . |coerce|) (114 . *)
     (120 . /) |INTHEORY;bernoulli;IF;4| (126 . |positiveRemainder|)
     |INTHEORY;chineseRemainder;5I;6| (132 . |even?|) |INTHEORY;jacobi;3I;7|
     (|IntegerPrimesPackage| 7) (137 . |prime?|) |INTHEORY;legendre;3I;8|
     (|Factored| $) (142 . |factor|)
     (|Record| (|:| |factor| 7) (|:| |exponent| 7)) (|List| 51) (|Factored| 7)
     (147 . |factors|) (152 . *) (158 . |numer|) |INTHEORY;eulerPhi;2I;9|
     (163 . <) (|Mapping| 25 7 7) (|List| 7) (169 . |sort|)
     |INTHEORY;divisors;IL;10| |INTHEORY;numberOfDivisors;2I;11|
     |INTHEORY;sumOfDivisors;2I;12| |INTHEORY;sumOfKthPowerDivisors;INniI;13|
     (175 . |One|) (179 . |numberOfFactors|) |INTHEORY;moebiusMu;2I;14|)
  '#(|sumOfKthPowerDivisors| 184 |sumOfDivisors| 190 |numberOfDivisors| 195
     |moebiusMu| 200 |legendre| 205 |jacobi| 211 |harmonic| 217 |fibonacci| 222
     |eulerPhi| 227 |euler| 232 |divisors| 237 |chineseRemainder| 242
     |bernoulli| 250)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 68
      '(2 8 0 6 7 9 0 11 0 12 2 13 0 6 11 14 0 11 0 17 2 11 0 7 7 18 2 11 0 0 0
        19 2 7 0 0 22 23 2 7 0 22 0 24 2 7 25 0 0 26 1 8 6 0 27 2 8 7 0 7 28 2
        8 0 0 0 29 3 8 7 0 7 7 30 2 7 0 6 0 31 1 11 0 0 33 1 13 6 0 34 2 13 11
        0 7 35 2 13 0 0 0 36 3 13 11 0 7 11 37 1 11 0 7 38 2 11 0 0 0 39 2 11 0
        0 0 40 2 7 0 0 0 42 1 7 25 0 44 1 46 25 7 47 1 7 49 0 50 1 53 52 0 54 2
        11 0 7 0 55 1 11 7 0 56 2 7 25 0 0 58 2 60 0 59 0 61 0 53 0 66 1 53 6 0
        67 2 0 7 7 6 65 1 0 7 7 64 1 0 7 7 63 1 0 7 7 68 2 0 7 7 7 48 2 0 7 7 7
        45 1 0 11 7 20 1 0 7 7 21 1 0 7 7 57 1 0 7 7 32 1 0 60 7 62 4 0 7 7 7 7
        7 43 1 0 11 7 41)))))
  '|lookupComplete|)) 

(MAKEPROP '|IntegerNumberTheoryFunctions| 'NILADIC T) 
