
(/VERSIONCHECK 2) 

(DEFUN |LF;Si;2F;1| (|x| $) (SPADCALL (QREFELT $ 21) |x| (QREFELT $ 25))) 

(DEFUN |LF;Ci;2F;2| (|x| $) (SPADCALL (QREFELT $ 22) |x| (QREFELT $ 25))) 

(DEFUN |LF;Ei;2F;3| (|x| $) (SPADCALL (QREFELT $ 19) |x| (QREFELT $ 25))) 

(DEFUN |LF;erf;2F;4| (|x| $) (SPADCALL (QREFELT $ 24) |x| (QREFELT $ 25))) 

(DEFUN |LF;li;2F;5| (|x| $) (SPADCALL (QREFELT $ 20) |x| (QREFELT $ 25))) 

(DEFUN |LF;dilog;2F;6| (|x| $) (SPADCALL (QREFELT $ 23) |x| (QREFELT $ 25))) 

(DEFUN |LF;belong?;BoB;7| (|op| $) (SPADCALL |op| "prim" (QREFELT $ 33))) 

(DEFUN |LF;isi| (|x| $) (SPADCALL (QREFELT $ 21) |x| (QREFELT $ 35))) 

(DEFUN |LF;ici| (|x| $) (SPADCALL (QREFELT $ 22) |x| (QREFELT $ 35))) 

(DEFUN |LF;ierf| (|x| $)
 (COND ((SPADCALL |x| (QREFELT $ 36)) (|spadConstant| $ 37))
  ('T (SPADCALL (QREFELT $ 24) |x| (QREFELT $ 35))))) 

(DEFUN |LF;ili2| (|x| $)
 (COND
  ((SPADCALL |x| (|spadConstant| $ 39) (QREFELT $ 40))
   (|error| "Invalid argument"))
  ('T (SPADCALL (QREFELT $ 23) |x| (QREFELT $ 35))))) 

(DEFUN |LF;integrand| (|l| $)
 (SPADCALL (|SPADfirst| |l|)
  (SPADCALL (SPADCALL |l| (QREFELT $ 42)) (QREFELT $ 44))
  (SPADCALL |l| (QREFELT $ 45)) (QREFELT $ 46))) 

(DEFUN |LF;integral;FSF;13| (|f| |x| $)
 (PROG (|k|)
  (RETURN
   (SPADCALL (QREFELT $ 17)
    (LIST
     (SPADCALL |f|
      (LETT |k| (SPADCALL |x| (QREFELT $ 48)) |LF;integral;FSF;13|)
      (QREFELT $ 11) (QREFELT $ 46))
     (QREFELT $ 11) (SPADCALL |k| (QREFELT $ 49)))
    (QREFELT $ 51))))) 

(DEFUN |LF;iint| (|l| $)
 (COND ((SPADCALL (|SPADfirst| |l|) (QREFELT $ 36)) (|spadConstant| $ 37))
  ('T (SPADCALL (QREFELT $ 17) |l| (QREFELT $ 53))))) 

(DEFUN |LF;ddint| (|l| $)
 (SPADCALL
  (SPADCALL (SPADCALL (|LF;integrand| |l| $) (QREFELT $ 55))
   (SPADCALL (SPADCALL (SPADCALL "d" (QREFELT $ 13)) (QREFELT $ 56))
    (SPADCALL (SPADCALL |l| (QREFELT $ 45)) (QREFELT $ 55)) (QREFELT $ 57))
   (QREFELT $ 58))
  (SPADCALL (SPADCALL (CDR |l|) (QREFELT $ 45)) (QREFELT $ 55))
  (SPADCALL (SPADCALL (CDR (CDR |l|)) (QREFELT $ 45)) (QREFELT $ 55))
  (QREFELT $ 59))) 

(DEFUN |LF;eqint| (|k1| |k2| $)
 (PROG (|a1| |a2| #1=#:G3572 |res|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |a1| (SPADCALL |k1| (QREFELT $ 60)) |LF;eqint|)
      (LETT |a2| (SPADCALL |k2| (QREFELT $ 60)) |LF;eqint|)
      (LETT |res|
       (SPADCALL (SPADCALL |k1| (QREFELT $ 61)) (SPADCALL |k2| (QREFELT $ 61))
        (QREFELT $ 62))
       |LF;eqint|)
      (COND ((NULL |res|) (PROGN (LETT #1# |res| |LF;eqint|) (GO #1#))))
      (LETT |res| (SPADCALL |a1| |a2| (QREFELT $ 63)) |LF;eqint|)
      (COND (|res| (PROGN (LETT #1# |res| |LF;eqint|) (GO #1#))))
      (EXIT
       (LETT |res|
        (COND
         ((SPADCALL (SPADCALL |a1| 3 (QREFELT $ 65))
           (SPADCALL |a2| 3 (QREFELT $ 65)) (QREFELT $ 40))
          (SPADCALL
           (SPADCALL (SPADCALL |a1| 1 (QREFELT $ 65))
            (LIST (SPADCALL (SPADCALL |a1| 2 (QREFELT $ 65)) (QREFELT $ 44)))
            (LIST (SPADCALL |a2| 2 (QREFELT $ 65))) (QREFELT $ 67))
           (SPADCALL |a2| 1 (QREFELT $ 65)) (QREFELT $ 40)))
         ('T 'NIL))
        |LF;eqint|))))
    #1# (EXIT #1#))))) 

(DEFUN |LF;dvint| (|l| |x| $)
 (PROG (|k|)
  (RETURN
   (SEQ
    (LETT |k| (SPADCALL (SPADCALL |l| (QREFELT $ 42)) (QREFELT $ 44))
     |LF;dvint|)
    (EXIT
     (SPADCALL
      (SPADCALL (SPADCALL (SPADCALL |l| (QREFELT $ 45)) |x| (QREFELT $ 68))
       (|LF;integrand| |l| $) (QREFELT $ 69))
      (SPADCALL (QREFELT $ 17)
       (LIST (SPADCALL (|SPADfirst| |l|) |x| (QREFELT $ 68))
        (SPADCALL |l| (QREFELT $ 42)) (SPADCALL |l| (QREFELT $ 45)))
       (QREFELT $ 51))
      (QREFELT $ 70))))))) 

(DEFUN |LF;dvdint| (|l| |x| $)
 (PROG (|y| |d| |k| |h| |f| |g|)
  (RETURN
   (SEQ
    (COND
     ((EQUAL |x|
       (SPADCALL (LETT |y| (SPADCALL |l| (QREFELT $ 45)) |LF;dvdint|)
        (QREFELT $ 71)))
      (|spadConstant| $ 37))
     ('T
      (SEQ
       (LETT |k|
        (SPADCALL (LETT |d| (SPADCALL |l| (QREFELT $ 42)) |LF;dvdint|)
         (QREFELT $ 44))
        |LF;dvdint|)
       (EXIT
        (SPADCALL
         (SPADCALL
          (SPADCALL
           (SPADCALL
            (LETT |h| (SPADCALL (CDR (CDR |l|)) (QREFELT $ 45)) |LF;dvdint|)
            |x| (QREFELT $ 68))
           (SPADCALL (LETT |f| (|SPADfirst| |l|) |LF;dvdint|) |k| |h|
            (QREFELT $ 46))
           (QREFELT $ 69))
          (SPADCALL
           (SPADCALL (LETT |g| (SPADCALL (CDR |l|) (QREFELT $ 45)) |LF;dvdint|)
            |x| (QREFELT $ 68))
           (SPADCALL |f| |k| |g| (QREFELT $ 46)) (QREFELT $ 69))
          (QREFELT $ 72))
         (SPADCALL (QREFELT $ 18)
          (LIST (SPADCALL |f| |x| (QREFELT $ 68)) |d| |y| |g| |h|)
          (QREFELT $ 51))
         (QREFELT $ 70)))))))))) 

(DEFUN |LF;integral;FSbF;19| (|f| |s| $)
 (PROG (|x|)
  (RETURN
   (SEQ
    (LETT |x| (SPADCALL (SPADCALL |s| (QREFELT $ 74)) (QREFELT $ 48))
     |LF;integral;FSbF;19|)
    (EXIT
     (SPADCALL (QREFELT $ 18)
      (LIST (SPADCALL |f| |x| (QREFELT $ 11) (QREFELT $ 46)) (QREFELT $ 11)
       (SPADCALL |x| (QREFELT $ 49))
       (SPADCALL (SPADCALL |s| (QREFELT $ 76)) (QREFELT $ 77))
       (SPADCALL (SPADCALL |s| (QREFELT $ 76)) (QREFELT $ 78)))
      (QREFELT $ 51))))))) 

(DEFUN |LF;ili| (|x| $)
 (COND
  ((SPADCALL |x| (|spadConstant| $ 39) (QREFELT $ 40))
   (|error| "Invalid argument"))
  ((SPADCALL |x| (SPADCALL "exp" (QREFELT $ 13)) (QREFELT $ 80))
   (SPADCALL
    (|SPADfirst| (SPADCALL (SPADCALL |x| (QREFELT $ 44)) (QREFELT $ 60)))
    (QREFELT $ 28)))
  ('T (SPADCALL (QREFELT $ 20) |x| (QREFELT $ 35))))) 

(DEFUN |LF;iei| (|x| $)
 (COND
  ((SPADCALL |x| (|spadConstant| $ 37) (QREFELT $ 40))
   (|error| "Invalid argument"))
  ((SPADCALL |x| (SPADCALL "log" (QREFELT $ 13)) (QREFELT $ 80))
   (SPADCALL
    (|SPADfirst| (SPADCALL (SPADCALL |x| (QREFELT $ 44)) (QREFELT $ 60)))
    (QREFELT $ 30)))
  ('T (SPADCALL (QREFELT $ 19) |x| (QREFELT $ 35))))) 

(DEFUN |LF;operator;2Bo;22| (|op| $)
 (COND
  ((SPADCALL |op| (SPADCALL "integral" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 17))
  ((SPADCALL |op| (SPADCALL "%defint" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 18))
  ((SPADCALL |op| (SPADCALL "Ei" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 19))
  ((SPADCALL |op| (SPADCALL "Si" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 21))
  ((SPADCALL |op| (SPADCALL "Ci" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 22))
  ((SPADCALL |op| (SPADCALL "li" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 20))
  ((SPADCALL |op| (SPADCALL "erf" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 24))
  ((SPADCALL |op| (SPADCALL "dilog" (QREFELT $ 13)) (QREFELT $ 82))
   (QREFELT $ 23))
  ('T (|error| "Not a Liouvillian operator")))) 

(DEFUN |LF;pint| (|l| $)
 (SPADCALL
  (CONS (SPADCALL (SPADCALL "integral" (QREFELT $ 13)) (QREFELT $ 105)) |l|)
  (QREFELT $ 106))) 

(DEFUN |LF;inint| (|l| $)
 (PROG (|r2|)
  (RETURN
   (SEQ
    (LETT |r2|
     (SPADCALL
      (LIST (SPADCALL (SPADCALL "::" (QREFELT $ 13)) (QREFELT $ 105))
       (SPADCALL (SPADCALL |l| (QREFELT $ 45)) (QREFELT $ 107))
       (SPADCALL (SPADCALL "Symbol" (QREFELT $ 13)) (QREFELT $ 105)))
      (QREFELT $ 106))
     |LF;inint|)
    (EXIT
     (|LF;pint| (LIST (SPADCALL (|LF;integrand| |l| $) (QREFELT $ 107)) |r2|)
      $)))))) 

(DEFUN |LF;indint| (|l| $)
 (|LF;pint|
  (LIST (SPADCALL (|LF;integrand| |l| $) (QREFELT $ 107))
   (SPADCALL
    (CONS (SPADCALL (SPADCALL "=" (QREFELT $ 13)) (QREFELT $ 105))
     (LIST (SPADCALL (SPADCALL |l| (QREFELT $ 45)) (QREFELT $ 107))
      (SPADCALL
       (CONS (SPADCALL (SPADCALL "SEGMENT" (QREFELT $ 13)) (QREFELT $ 105))
        (LIST (SPADCALL (SPADCALL (CDR |l|) (QREFELT $ 45)) (QREFELT $ 107))
         (SPADCALL (SPADCALL (CDR (CDR |l|)) (QREFELT $ 45)) (QREFELT $ 107))))
       (QREFELT $ 106))))
    (QREFELT $ 106)))
  $)) 

(DEFUN |LiouvillianFunction| (&REST #1=#:G3603 &AUX #2=#:G3601) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3602)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|LiouvillianFunction|) '|domainEqualList|)
        |LiouvillianFunction|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |LiouvillianFunction;|) #2#)
         (LETT #3# T |LiouvillianFunction|))
        (COND
         ((NOT #3#) (HREM |$ConstructorCache| '|LiouvillianFunction|))))))))))) 

(DEFUN |LiouvillianFunction;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|LiouvillianFunction|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|LiouvillianFunction| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 108) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|LiouvillianFunction| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 11 (SPADCALL (SPADCALL (QREFELT $ 9)) (QREFELT $ 10)))
    (QSETREFV $ 17
     (SPADCALL (SPADCALL "integral" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 18
     (SPADCALL (SPADCALL "%defint" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 19 (SPADCALL (SPADCALL "Ei" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 20 (SPADCALL (SPADCALL "li" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 21 (SPADCALL (SPADCALL "Si" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 22 (SPADCALL (SPADCALL "Ci" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 23 (SPADCALL (SPADCALL "dilog" (QREFELT $ 13)) (QREFELT $ 16)))
    (QSETREFV $ 24 (SPADCALL (SPADCALL "erf" (QREFELT $ 13)) (QREFELT $ 16)))
    (SPADCALL (QREFELT $ 19) (CONS (|function| |LF;iei|) $) (QREFELT $ 86))
    (SPADCALL (QREFELT $ 20) (CONS (|function| |LF;ili|) $) (QREFELT $ 86))
    (SPADCALL (QREFELT $ 21) (CONS (|function| |LF;isi|) $) (QREFELT $ 86))
    (SPADCALL (QREFELT $ 22) (CONS (|function| |LF;ici|) $) (QREFELT $ 86))
    (SPADCALL (QREFELT $ 24) (CONS (|function| |LF;ierf|) $) (QREFELT $ 86))
    (SPADCALL (QREFELT $ 23) (CONS (|function| |LF;ili2|) $) (QREFELT $ 86))
    (SPADCALL (QREFELT $ 17) (CONS (|function| |LF;iint|) $) (QREFELT $ 88))
    (SPADCALL (QREFELT $ 21) (CONS #'|LiouvillianFunction!0| $) (QREFELT $ 91))
    (SPADCALL (QREFELT $ 22) (CONS #'|LiouvillianFunction!1| $) (QREFELT $ 91))
    (SPADCALL (QREFELT $ 19) (CONS #'|LiouvillianFunction!2| $) (QREFELT $ 91))
    (SPADCALL (QREFELT $ 20) (CONS #'|LiouvillianFunction!3| $) (QREFELT $ 91))
    (SPADCALL (QREFELT $ 24) (CONS #'|LiouvillianFunction!4| $) (QREFELT $ 91))
    (SPADCALL (QREFELT $ 23) (CONS #'|LiouvillianFunction!5| $) (QREFELT $ 91))
    (SPADCALL (QREFELT $ 17) "%specialEqual" (CONS (|function| |LF;eqint|) $)
     (QREFELT $ 103))
    (SPADCALL (QREFELT $ 17) #2="%specialDiff" (CONS (|function| |LF;dvint|) $)
     (QREFELT $ 103))
    (SPADCALL (QREFELT $ 18) #2# (CONS (|function| |LF;dvdint|) $)
     (QREFELT $ 103))
    (SPADCALL (QREFELT $ 18) "%specialDisp" (CONS (|function| |LF;ddint|) $)
     (QREFELT $ 103))
    (COND
     ((|HasCategory| |#1| '(|ConvertibleTo| (|InputForm|)))
      (PROGN
       (SPADCALL (QREFELT $ 17) #3="%specialInput"
        (CONS (|function| |LF;inint|) $) (QREFELT $ 103))
       (SPADCALL (QREFELT $ 18) #3# (CONS (|function| |LF;indint|) $)
        (QREFELT $ 103)))))
    $)))) 

(DEFUN |LiouvillianFunction!5| (|#1| $)
 (SPADCALL (SPADCALL |#1| (QREFELT $ 94))
  (SPADCALL (|spadConstant| $ 39) |#1| (QREFELT $ 72)) (QREFELT $ 90))) 

(DEFUN |LiouvillianFunction!4| (|#1| $)
 (SPADCALL
  (SPADCALL 2
   (SPADCALL (SPADCALL (SPADCALL |#1| 2 (QREFELT $ 97)) (QREFELT $ 98))
    (QREFELT $ 93))
   (QREFELT $ 99))
  (SPADCALL (SPADCALL (QREFELT $ 100)) (QREFELT $ 101)) (QREFELT $ 90))) 

(DEFUN |LiouvillianFunction!3| (|#1| $)
 (SPADCALL (SPADCALL |#1| (QREFELT $ 94)) (QREFELT $ 95))) 

(DEFUN |LiouvillianFunction!2| (|#1| $)
 (SPADCALL (SPADCALL |#1| (QREFELT $ 93)) |#1| (QREFELT $ 90))) 

(DEFUN |LiouvillianFunction!1| (|#1| $)
 (SPADCALL (SPADCALL |#1| (QREFELT $ 92)) |#1| (QREFELT $ 90))) 

(DEFUN |LiouvillianFunction!0| (|#1| $)
 (SPADCALL (SPADCALL |#1| (QREFELT $ 89)) |#1| (QREFELT $ 90))) 

(MAKEPROP '|LiouvillianFunction| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|Symbol|)
     (0 . |new|) (4 . |coerce|) '|dummy| (|String|) (9 . |coerce|)
     (|BasicOperator|) (|CommonOperators|) (14 . |operator|) '|opint| '|opdint|
     '|opei| '|opli| '|opsi| '|opci| '|opli2| '|operf| (19 . |elt|)
     |LF;Si;2F;1| |LF;Ci;2F;2| |LF;Ei;2F;3| |LF;erf;2F;4| |LF;li;2F;5|
     |LF;dilog;2F;6| (|Boolean|) (25 . |has?|) |LF;belong?;BoB;7|
     (31 . |kernel|) (37 . |zero?|) (42 . |Zero|) (46 . |One|) (50 . |One|)
     (54 . =) (|List| 7) (60 . |second|) (|Kernel| $) (65 . |retract|)
     (70 . |third|) (75 . |eval|) (|Kernel| 7) (82 . |kernel|) (87 . |coerce|)
     (|List| $) (92 . |elt|) |LF;integral;FSF;13| (98 . |kernel|)
     (|OutputForm|) (104 . |coerce|) (109 . |coerce|) (114 . |hconcat|)
     (120 . *) (126 . |int|) (133 . |argument|) (138 . |operator|) (143 . =)
     (149 . =) (|Integer|) (155 . |elt|) (|List| 43) (161 . |subst|)
     (168 . |differentiate|) (174 . *) (180 . +) (186 . |retract|) (191 . -)
     (|SegmentBinding| 7) (197 . |variable|) (|Segment| 7) (202 . |segment|)
     (207 . |lo|) (212 . |hi|) |LF;integral;FSbF;19| (217 . |is?|)
     (223 . |Zero|) (227 . |is?|) |LF;operator;2Bo;22| (|Mapping| 7 7)
     (|BasicOperatorFunctions1| 7) (233 . |evaluate|) (|Mapping| 7 41)
     (239 . |evaluate|) (245 . |sin|) (250 . /) (256 . |derivative|)
     (262 . |cos|) (267 . |exp|) (272 . |log|) (277 . |inv|)
     (|PositiveInteger|) (282 . **) (288 . -) (293 . *) (299 . |pi|)
     (303 . |sqrt|) (|None|) (308 . |setProperty|) (|InputForm|)
     (315 . |convert|) (320 . |convert|) (325 . |convert|))
  '#(|operator| 330 |li| 335 |integral| 340 |erf| 352 |dilog| 357 |belong?| 362
     |Si| 367 |Ei| 372 |Ci| 377)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 107
      '(0 8 0 9 1 7 0 8 10 1 8 0 12 13 1 15 14 8 16 2 7 0 14 0 25 2 14 32 0 12
        33 2 7 0 14 0 35 1 7 32 0 36 0 7 0 37 0 6 0 38 0 7 0 39 2 7 32 0 0 40 1
        41 7 0 42 1 7 43 0 44 1 41 7 0 45 3 7 0 0 43 0 46 1 47 0 8 48 1 7 0 43
        49 2 7 0 14 50 51 2 7 0 14 50 53 1 7 54 0 55 1 8 54 0 56 2 54 0 0 0 57
        2 54 0 0 0 58 3 54 0 0 0 0 59 1 47 41 0 60 1 47 14 0 61 2 14 32 0 0 62
        2 41 32 0 0 63 2 41 7 0 64 65 3 7 0 0 66 50 67 2 7 0 0 8 68 2 7 0 0 0
        69 2 7 0 0 0 70 1 7 8 0 71 2 7 0 0 0 72 1 73 8 0 74 1 73 75 0 76 1 75 7
        0 77 1 75 7 0 78 2 7 32 0 8 80 0 6 0 81 2 14 32 0 8 82 2 85 14 14 84 86
        2 85 14 14 87 88 1 7 0 0 89 2 7 0 0 0 90 2 85 14 14 84 91 1 7 0 0 92 1
        7 0 0 93 1 7 0 0 94 1 7 0 0 95 2 7 0 0 96 97 1 7 0 0 98 2 7 0 96 0 99 0
        7 0 100 1 7 0 0 101 3 14 0 0 12 102 103 1 8 104 0 105 1 104 0 50 106 1
        7 104 0 107 1 0 14 14 83 1 0 7 7 30 2 0 7 7 73 79 2 0 7 7 8 52 1 0 7 7
        29 1 0 7 7 31 1 0 32 14 34 1 0 7 7 26 1 0 7 7 28 1 0 7 7 27)))))
  '|lookupComplete|)) 
