
(/VERSIONCHECK 2) 

(DEFUN |LIMITPS;noX?| (|fcn| |x| $)
 (COND ((SPADCALL |x| (SPADCALL |fcn| (QREFELT $ 11)) (QREFELT $ 14)) 'NIL)
  ('T 'T))) 

(DEFUN |LIMITPS;constant?| (|fcn| $) (NULL (SPADCALL |fcn| (QREFELT $ 11)))) 

(DEFUN |LIMITPS;firstNonLogPtr| (|fcn| |x| $)
 (PROG (|ker| #1=#:G3645 |list|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |list| (SPADCALL |fcn| (QREFELT $ 16)) |LIMITPS;firstNonLogPtr|)
      (SEQ G190 (COND ((NULL (COND ((NULL |list|) 'NIL) ('T 'T))) (GO G191)))
       (SEQ (LETT |ker| (|SPADfirst| |list|) |LIMITPS;firstNonLogPtr|)
        (COND
         ((NULL
           (SPADCALL |ker| (SPADCALL "log" (QREFELT $ 18)) (QREFELT $ 20)))
          (COND
           ((SPADCALL |x|
             (SPADCALL (SPADCALL |ker| (QREFELT $ 22)) (QREFELT $ 11))
             (QREFELT $ 14))
            (COND
             ((NULL (EQUAL |x| (SPADCALL |ker| (QREFELT $ 23))))
              (EXIT
               (PROGN (LETT #1# |list| |LIMITPS;firstNonLogPtr|)
                (GO #1#)))))))))
        (EXIT (LETT |list| (CDR |list|) |LIMITPS;firstNonLogPtr|)))
       NIL (GO G190) G191 (EXIT NIL))
      (EXIT NIL)))
    #1# (EXIT #1#))))) 

(DEFUN |LIMITPS;finiteValueAtInfinity?| (|ker| $)
 (COND
  ((OR (SPADCALL |ker| (SPADCALL "erf" (QREFELT $ 18)) (QREFELT $ 20))
    (OR (SPADCALL |ker| (SPADCALL "sech" (QREFELT $ 18)) (QREFELT $ 20))
     (OR (SPADCALL |ker| (SPADCALL "csch" (QREFELT $ 18)) (QREFELT $ 20))
      (OR (SPADCALL |ker| (SPADCALL "tanh" (QREFELT $ 18)) (QREFELT $ 20))
       (OR (SPADCALL |ker| (SPADCALL "coth" (QREFELT $ 18)) (QREFELT $ 20))
        (OR (SPADCALL |ker| (SPADCALL "atan" (QREFELT $ 18)) (QREFELT $ 20))
         (OR (SPADCALL |ker| (SPADCALL "acot" (QREFELT $ 18)) (QREFELT $ 20))
          (OR (SPADCALL |ker| (SPADCALL "asec" (QREFELT $ 18)) (QREFELT $ 20))
           (OR (SPADCALL |ker| (SPADCALL "acsc" (QREFELT $ 18)) (QREFELT $ 20))
            (OR
             (SPADCALL |ker| (SPADCALL "acsch" (QREFELT $ 18)) (QREFELT $ 20))
             (SPADCALL |ker| (SPADCALL "acoth" (QREFELT $ 18))
              (QREFELT $ 20))))))))))))
   'T)
  ('T 'NIL))) 

(DEFUN |LIMITPS;knownValueAtInfinity?| (|ker| $)
 (COND
  ((OR (SPADCALL |ker| (SPADCALL "exp" (QREFELT $ 18)) (QREFELT $ 20))
    (OR (SPADCALL |ker| (SPADCALL "sinh" (QREFELT $ 18)) (QREFELT $ 20))
     (SPADCALL |ker| (SPADCALL "cosh" (QREFELT $ 18)) (QREFELT $ 20))))
   'T)
  ('T 'NIL))) 

(DEFUN |LIMITPS;leftOrRight| (|fcn| |x| |limVal| $)
 (PROG (|value| |val| |inf|)
  (RETURN
   (SEQ
    (LETT |value|
     (|LIMITPS;limitPlus|
      (SPADCALL (SPADCALL |fcn| |limVal| (QREFELT $ 24)) (QREFELT $ 25)) |x| $)
     |LIMITPS;leftOrRight|)
    (EXIT
     (COND ((QEQCAR |value| 1) 0)
      ('T
       (SEQ
        (LETT |inf|
         (SPADCALL (LETT |val| (QCDR |value|) |LIMITPS;leftOrRight|)
          (QREFELT $ 28))
         |LIMITPS;leftOrRight|)
        (EXIT
         (COND ((EQL |inf| 0) (|error| "limit package: internal error"))
          ('T |inf|))))))))))) 

(DEFUN |LIMITPS;specialLimit| (|fcn| |x| $)
 (PROG
  (#1=#:G3686 #2=#:G3687 |xkers| |k| #3=#:G3688 |fval| |val| |valu| |finVal|
   |num| |den| #4=#:G3685)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |xkers|
       (PROGN (LETT #1# NIL |LIMITPS;specialLimit|)
        (SEQ (LETT |k| NIL |LIMITPS;specialLimit|)
         (LETT #2# (SPADCALL |fcn| (QREFELT $ 16)) |LIMITPS;specialLimit|) G190
         (COND
          ((OR (ATOM #2#)
            (PROGN (LETT |k| (CAR #2#) |LIMITPS;specialLimit|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (COND
            ((SPADCALL |x|
              (SPADCALL (SPADCALL |k| (QREFELT $ 22)) (QREFELT $ 11))
              (QREFELT $ 14))
             (LETT #1# (CONS |k| #1#) |LIMITPS;specialLimit|)))))
         (LETT #2# (CDR #2#) |LIMITPS;specialLimit|) (GO G190) G191
         (EXIT (NREVERSE0 #1#))))
       |LIMITPS;specialLimit|)
      (EXIT
       (COND ((EQL (LENGTH |xkers|) 1) (|LIMITPS;specialLimit1| |fcn| |x| $))
        ('T
         (SEQ
          (LETT |num| (SPADCALL |fcn| (QREFELT $ 31)) |LIMITPS;specialLimit|)
          (LETT |den| (SPADCALL |fcn| (QREFELT $ 32)) |LIMITPS;specialLimit|)
          (SEQ (LETT |k| NIL |LIMITPS;specialLimit|)
           (LETT #3# |xkers| |LIMITPS;specialLimit|) G190
           (COND
            ((OR (ATOM #3#)
              (PROGN (LETT |k| (CAR #3#) |LIMITPS;specialLimit|) NIL))
             (GO G191)))
           (SEQ
            (LETT |fval|
             (|LIMITPS;limitPlus| (SPADCALL |k| (QREFELT $ 22)) |x| $)
             |LIMITPS;specialLimit|)
            (EXIT
             (COND
              ((OR (QEQCAR |fval| 1)
                (NULL
                 (EQL
                  (SPADCALL (LETT |val| (QCDR |fval|) |LIMITPS;specialLimit|)
                   (QREFELT $ 28))
                  0)))
               (PROGN
                (LETT #4# (|LIMITPS;specialLimitNormalize| |fcn| |x| $)
                 |LIMITPS;specialLimit|)
                (GO #4#)))
              ('T
               (SEQ
                (LETT |valu| (SPADCALL |val| (QREFELT $ 34))
                 |LIMITPS;specialLimit|)
                (EXIT
                 (COND
                  ((QEQCAR |valu| 1)
                   (PROGN
                    (LETT #4# (|LIMITPS;specialLimitNormalize| |fcn| |x| $)
                     |LIMITPS;specialLimit|)
                    (GO #4#)))
                  ('T
                   (SEQ (LETT |finVal| (QCDR |valu|) |LIMITPS;specialLimit|)
                    (LETT |num| (SPADCALL |num| |k| |finVal| (QREFELT $ 35))
                     |LIMITPS;specialLimit|)
                    (LETT |den| (SPADCALL |den| |k| |finVal| (QREFELT $ 35))
                     |LIMITPS;specialLimit|)
                    (EXIT
                     (COND
                      ((SPADCALL |den| (|spadConstant| $ 8) (QREFELT $ 36))
                       (PROGN
                        (LETT #4# (|LIMITPS;specialLimitNormalize| |fcn| |x| $)
                         |LIMITPS;specialLimit|)
                        (GO #4#))))))))))))))
           (LETT #3# (CDR #3#) |LIMITPS;specialLimit|) (GO G190) G191
           (EXIT NIL))
          (EXIT
           (CONS 0
            (SPADCALL (SPADCALL |num| |den| (QREFELT $ 37))
             (QREFELT $ 38))))))))))
    #4# (EXIT #4#))))) 

(DEFUN |LIMITPS;specialLimitNormalize| (|fcn| |x| $)
 (PROG
  (|nfcn| #1=#:G3709 #2=#:G3710 |xkers| #3=#:G3711 |k| #4=#:G3712 |expKers|
   |expKer| |fval| |vv| |eq| |cc| |expKerLim| |limVal| |limm| |lim|)
  (RETURN
   (SEQ
    (LETT |nfcn| (SPADCALL |fcn| (QREFELT $ 40))
     |LIMITPS;specialLimitNormalize|)
    (EXIT
     (COND
      ((SPADCALL |fcn| |nfcn| (QREFELT $ 36))
       (SEQ
        (LETT |xkers|
         (PROGN (LETT #1# NIL |LIMITPS;specialLimitNormalize|)
          (SEQ (LETT |k| NIL |LIMITPS;specialLimitNormalize|)
           (LETT #2# (SPADCALL |fcn| (QREFELT $ 41))
            |LIMITPS;specialLimitNormalize|)
           G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |k| (CAR #2#) |LIMITPS;specialLimitNormalize|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((SPADCALL |x|
                (SPADCALL (SPADCALL |k| (QREFELT $ 22)) (QREFELT $ 11))
                (QREFELT $ 14))
               (LETT #1# (CONS |k| #1#) |LIMITPS;specialLimitNormalize|)))))
           (LETT #2# (CDR #2#) |LIMITPS;specialLimitNormalize|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         |LIMITPS;specialLimitNormalize|)
        (COND ((NULL (EQL (LENGTH |xkers|) 2)) (EXIT (CONS 1 "failed"))))
        (LETT |expKers|
         (PROGN (LETT #3# NIL |LIMITPS;specialLimitNormalize|)
          (SEQ (LETT |k| NIL |LIMITPS;specialLimitNormalize|)
           (LETT #4# |xkers| |LIMITPS;specialLimitNormalize|) G190
           (COND
            ((OR (ATOM #4#)
              (PROGN (LETT |k| (CAR #4#) |LIMITPS;specialLimitNormalize|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (COND
              ((SPADCALL |k| (SPADCALL "exp" (QREFELT $ 18)) (QREFELT $ 20))
               (LETT #3# (CONS |k| #3#) |LIMITPS;specialLimitNormalize|)))))
           (LETT #4# (CDR #4#) |LIMITPS;specialLimitNormalize|) (GO G190) G191
           (EXIT (NREVERSE0 #3#))))
         |LIMITPS;specialLimitNormalize|)
        (COND ((NULL (EQL (LENGTH |expKers|) 1)) (EXIT (CONS 1 "failed"))))
        (LETT |expKer| (|SPADfirst| |expKers|) |LIMITPS;specialLimitNormalize|)
        (LETT |fval|
         (|LIMITPS;limitPlus| (SPADCALL |expKer| (QREFELT $ 22)) |x| $)
         |LIMITPS;specialLimitNormalize|)
        (EXIT
         (COND ((QEQCAR |fval| 1) (CONS 1 "failed"))
          ('T
           (SEQ
            (LETT |vv| (SPADCALL (QREFELT $ 42))
             |LIMITPS;specialLimitNormalize|)
            (LETT |eq|
             (SPADCALL (SPADCALL |expKer| (QREFELT $ 22))
              (SPADCALL |vv| (QREFELT $ 43)) (QREFELT $ 45))
             |LIMITPS;specialLimitNormalize|)
            (LETT |cc| (SPADCALL |fcn| |eq| (QREFELT $ 47))
             |LIMITPS;specialLimitNormalize|)
            (LETT |expKerLim| (QCDR |fval|) |LIMITPS;specialLimitNormalize|)
            (LETT |limVal| (|LIMITPS;locallimit| |cc| |vv| |expKerLim| $)
             |LIMITPS;specialLimitNormalize|)
            (EXIT
             (COND
              ((OR (QEQCAR |limVal| 2) (NULL (QEQCAR |limVal| 0)))
               (CONS 1 "failed"))
              ('T
               (SEQ
                (LETT |limm| (QCDR |limVal|) |LIMITPS;specialLimitNormalize|)
                (LETT |lim| (SPADCALL |limm| (QREFELT $ 34))
                 |LIMITPS;specialLimitNormalize|)
                (EXIT
                 (COND ((QEQCAR |lim| 1) (CONS 1 "failed"))
                  ('T (|LIMITPS;limitPlus| (QCDR |lim|) |x| $))))))))))))))
      ('T (|LIMITPS;limitPlus| |nfcn| |x| $)))))))) 

(DEFUN |LIMITPS;specialLimit1| (|fcn| |x| $)
 (PROG
  (#1=#:G3727 |k| #2=#:G3728 |xkers| |ker| |vv| |eq| |cc| |lim| |argLim|
   |limVal|)
  (RETURN
   (SEQ
    (LETT |xkers|
     (PROGN (LETT #1# NIL |LIMITPS;specialLimit1|)
      (SEQ (LETT |k| NIL |LIMITPS;specialLimit1|)
       (LETT #2# (SPADCALL |fcn| (QREFELT $ 16)) |LIMITPS;specialLimit1|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |k| (CAR #2#) |LIMITPS;specialLimit1|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((SPADCALL |x|
            (SPADCALL (SPADCALL |k| (QREFELT $ 22)) (QREFELT $ 11))
            (QREFELT $ 14))
           (LETT #1# (CONS |k| #1#) |LIMITPS;specialLimit1|)))))
       (LETT #2# (CDR #2#) |LIMITPS;specialLimit1|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |LIMITPS;specialLimit1|)
    (COND ((NULL (EQL (LENGTH |xkers|) 1)) (EXIT (CONS 1 "failed"))))
    (LETT |ker| (|SPADfirst| |xkers|) |LIMITPS;specialLimit1|)
    (LETT |vv| (SPADCALL (QREFELT $ 42)) |LIMITPS;specialLimit1|)
    (LETT |eq|
     (SPADCALL (SPADCALL |ker| (QREFELT $ 22)) (SPADCALL |vv| (QREFELT $ 43))
      (QREFELT $ 45))
     |LIMITPS;specialLimit1|)
    (LETT |cc| (SPADCALL |fcn| |eq| (QREFELT $ 47)) |LIMITPS;specialLimit1|)
    (EXIT
     (COND
      ((SPADCALL |x| (SPADCALL |cc| (QREFELT $ 11)) (QREFELT $ 14))
       (CONS 1 "failed"))
      ('T
       (SEQ
        (LETT |lim| (|LIMITPS;specialLimitKernel| |ker| |x| $)
         |LIMITPS;specialLimit1|)
        (EXIT
         (COND ((QEQCAR |lim| 1) |lim|)
          ('T
           (SEQ (LETT |argLim| (QCDR |lim|) |LIMITPS;specialLimit1|)
            (LETT |limVal| (|LIMITPS;locallimit| |cc| |vv| |argLim| $)
             |LIMITPS;specialLimit1|)
            (EXIT
             (COND
              ((OR (QEQCAR |limVal| 2) (NULL (QEQCAR |limVal| 0)))
               (CONS 1 "failed"))
              ('T (CONS 0 (QCDR |limVal|))))))))))))))))) 

(DEFUN |LIMITPS;specialLimitKernel| (|ker| |x| $)
 (PROG
  (#1=#:G3734 |li| #2=#:G3782 |argLim| |args| |arg| |limm| |lim| |var| |f|
   |inf| |kerValue| |val|)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((SPADCALL |ker| (SPADCALL "log" (QREFELT $ 18)) (QREFELT $ 20))
       (SEQ
        (LETT |args| (SPADCALL |ker| (QREFELT $ 49))
         |LIMITPS;specialLimitKernel|)
        (EXIT
         (COND
          ((OR (NULL |args|) (NULL (NULL (CDR |args|)))) (CONS 1 "failed"))
          ('T
           (SEQ (LETT |arg| (|SPADfirst| |args|) |LIMITPS;specialLimitKernel|)
            (LETT |limm| (|LIMITPS;limitPlus| |arg| |x| $)
             |LIMITPS;specialLimitKernel|)
            (EXIT
             (COND ((QEQCAR |limm| 1) (CONS 1 "failed"))
              ('T
               (SEQ (LETT |lim| (QCDR |limm|) |LIMITPS;specialLimitKernel|)
                (EXIT
                 (COND
                  ((EQL
                    (LETT |inf| (SPADCALL |lim| (QREFELT $ 28))
                     |LIMITPS;specialLimitKernel|)
                    -1)
                   (CONS 1 "failed"))
                  ('T
                   (LETT |argLim|
                    (CONS 0
                     (COND ((EQL |inf| 1) |lim|)
                      ('T
                       (SEQ
                        (LETT |li|
                         (PROG2
                          (LETT #1# (SPADCALL |lim| (QREFELT $ 34))
                           |LIMITPS;specialLimitKernel|)
                          (QCDR #1#)
                          (|check-union| (QEQCAR #1# 0) (QREFELT $ 7) #1#))
                         |LIMITPS;specialLimitKernel|)
                        (EXIT
                         (COND
                          ((SPADCALL |li| (|spadConstant| $ 8) (QREFELT $ 36))
                           (COND
                            ((EQL
                              (|LIMITPS;leftOrRight| |arg| |x|
                               (|spadConstant| $ 8) $)
                              1)
                             (SPADCALL (QREFELT $ 52)))
                            ('T
                             (PROGN
                              (LETT #2# (CONS 1 "failed")
                               |LIMITPS;specialLimitKernel|)
                              (GO #2#)))))
                          ('T
                           (SPADCALL (SPADCALL |li| (QREFELT $ 53))
                            (QREFELT $ 38)))))))))
                    |LIMITPS;specialLimitKernel|))))))))))))))
      ('T
       (SEQ
        (LETT |args| (SPADCALL |ker| (QREFELT $ 49))
         |LIMITPS;specialLimitKernel|)
        (EXIT
         (COND
          ((OR (NULL |args|) (NULL (NULL (CDR |args|)))) (CONS 1 "failed"))
          ('T
           (SEQ (LETT |arg| (|SPADfirst| |args|) |LIMITPS;specialLimitKernel|)
            (LETT |limm| (|LIMITPS;limitPlus| |arg| |x| $)
             |LIMITPS;specialLimitKernel|)
            (EXIT
             (COND ((QEQCAR |limm| 1) (CONS 1 "failed"))
              ('T
               (SEQ (LETT |lim| (QCDR |limm|) |LIMITPS;specialLimitKernel|)
                (LETT |f|
                 (SPADCALL (SPADCALL |ker| (QREFELT $ 55))
                  (SPADCALL
                   (LETT |var| (SPADCALL (QREFELT $ 42))
                    |LIMITPS;specialLimitKernel|)
                   (QREFELT $ 43))
                  (QREFELT $ 56))
                 |LIMITPS;specialLimitKernel|)
                (LETT |inf| (SPADCALL |lim| (QREFELT $ 28))
                 |LIMITPS;specialLimitKernel|)
                (EXIT
                 (COND
                  ((EQL |inf| 0)
                   (COND
                    ((SPADCALL |ker| (SPADCALL "erf" (QREFELT $ 18))
                      (QREFELT $ 20))
                     (CONS 0
                      (SPADCALL
                       (SPADCALL (SPADCALL |lim| (QREFELT $ 57))
                        (QREFELT $ 59))
                       (QREFELT $ 38))))
                    ('T
                     (SEQ
                      (LETT |kerValue| (|LIMITPS;locallimit| |f| |var| |lim| $)
                       |LIMITPS;specialLimitKernel|)
                      (EXIT
                       (COND
                        ((OR (QEQCAR |kerValue| 2)
                          (NULL (QEQCAR |kerValue| 0)))
                         (CONS 1 "failed"))
                        ('T (CONS 0 (QCDR |kerValue|)))))))))
                  ((EQL |inf| 1)
                   (COND
                    ((|LIMITPS;finiteValueAtInfinity?| |ker| $)
                     (SEQ
                      (LETT |val|
                       (COND
                        ((SPADCALL |ker| (SPADCALL "erf" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (|spadConstant| $ 50))
                        ((OR
                          (SPADCALL |ker| (SPADCALL "sech" (QREFELT $ 18))
                           (QREFELT $ 20))
                          (OR
                           (SPADCALL |ker| (SPADCALL "csch" (QREFELT $ 18))
                            (QREFELT $ 20))
                           (OR
                            (SPADCALL |ker| (SPADCALL "tanh" (QREFELT $ 18))
                             (QREFELT $ 20))
                            (SPADCALL |ker| (SPADCALL "coth" (QREFELT $ 18))
                             (QREFELT $ 20)))))
                         (|spadConstant| $ 8))
                        ((SPADCALL |ker| (SPADCALL "atan" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL (SPADCALL (QREFELT $ 60))
                          (SPADCALL 2 (QREFELT $ 62)) (QREFELT $ 37)))
                        ((SPADCALL |ker| (SPADCALL "acot" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (|spadConstant| $ 8))
                        ((SPADCALL |ker| (SPADCALL "asec" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL (SPADCALL (QREFELT $ 60))
                          (SPADCALL 2 (QREFELT $ 62)) (QREFELT $ 37)))
                        ((OR
                          (SPADCALL |ker| (SPADCALL "acsc" (QREFELT $ 18))
                           (QREFELT $ 20))
                          (OR
                           (SPADCALL |ker| (SPADCALL "acsch" (QREFELT $ 18))
                            (QREFELT $ 20))
                           'T))
                         (|spadConstant| $ 8)))
                       |LIMITPS;specialLimitKernel|)
                      (EXIT (CONS 0 (SPADCALL |val| (QREFELT $ 38))))))
                    ((|LIMITPS;knownValueAtInfinity?| |ker| $) (CONS 0 |lim|))
                    ('T (CONS 1 "failed"))))
                  ('T
                   (COND
                    ((|LIMITPS;finiteValueAtInfinity?| |ker| $)
                     (SEQ
                      (LETT |val|
                       (COND
                        ((SPADCALL |ker| (SPADCALL "erf" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL (|spadConstant| $ 50) (QREFELT $ 63)))
                        ((OR
                          (SPADCALL |ker| (SPADCALL "sech" (QREFELT $ 18))
                           (QREFELT $ 20))
                          (OR
                           (SPADCALL |ker| (SPADCALL "csch" (QREFELT $ 18))
                            (QREFELT $ 20))
                           (OR
                            (SPADCALL |ker| (SPADCALL "tanh" (QREFELT $ 18))
                             (QREFELT $ 20))
                            (SPADCALL |ker| (SPADCALL "coth" (QREFELT $ 18))
                             (QREFELT $ 20)))))
                         (|spadConstant| $ 8))
                        ((SPADCALL |ker| (SPADCALL "atan" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 60))
                           (SPADCALL 2 (QREFELT $ 62)) (QREFELT $ 37))
                          (QREFELT $ 63)))
                        ((SPADCALL |ker| (SPADCALL "acot" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL (QREFELT $ 60)))
                        ((SPADCALL |ker| (SPADCALL "asec" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL
                          (SPADCALL (SPADCALL (QREFELT $ 60))
                           (SPADCALL 2 (QREFELT $ 62)) (QREFELT $ 37))
                          (QREFELT $ 63)))
                        ((SPADCALL |ker| (SPADCALL "acsc" (QREFELT $ 18))
                          (QREFELT $ 20))
                         (SPADCALL (SPADCALL (QREFELT $ 60)) (QREFELT $ 63)))
                        ((OR
                          (SPADCALL |ker| (SPADCALL "acsch" (QREFELT $ 18))
                           (QREFELT $ 20))
                          'T)
                         (|spadConstant| $ 8)))
                       |LIMITPS;specialLimitKernel|)
                      (EXIT (CONS 0 (SPADCALL |val| (QREFELT $ 38))))))
                    ((|LIMITPS;knownValueAtInfinity?| |ker| $)
                     (COND
                      ((SPADCALL |ker| (SPADCALL "exp" (QREFELT $ 18))
                        (QREFELT $ 20))
                       (CONS 0 (SPADCALL (|spadConstant| $ 8) (QREFELT $ 38))))
                      ((SPADCALL |ker| (SPADCALL "sinh" (QREFELT $ 18))
                        (QREFELT $ 20))
                       (CONS 0 |lim|))
                      ((SPADCALL |ker| (SPADCALL "cosh" (QREFELT $ 18))
                        (QREFELT $ 20))
                       (CONS 0 (SPADCALL (QREFELT $ 64))))
                      ('T (CONS 1 "failed"))))
                    ('T (CONS 1 "failed"))))))))))))))))))
    #2# (EXIT #2#))))) 

(DEFUN |LIMITPS;logOnlyLimit| (|coef| |x| $)
 (PROG (|vv| |eq| |cc|)
  (RETURN
   (SEQ (LETT |vv| (SPADCALL (QREFELT $ 42)) |LIMITPS;logOnlyLimit|)
    (LETT |eq|
     (SPADCALL (SPADCALL (SPADCALL |x| (QREFELT $ 43)) (QREFELT $ 53))
      (SPADCALL (SPADCALL (SPADCALL |vv| (QREFELT $ 43)) (QREFELT $ 25))
       (QREFELT $ 63))
      (QREFELT $ 45))
     |LIMITPS;logOnlyLimit|)
    (EXIT
     (COND
      ((SPADCALL |x|
        (SPADCALL
         (LETT |cc| (SPADCALL |coef| |eq| (QREFELT $ 47))
          |LIMITPS;logOnlyLimit|)
         (QREFELT $ 11))
        (QREFELT $ 14))
       (CONS 1 "failed"))
      ('T (|LIMITPS;limitPlus| |cc| |vv| $)))))))) 

(DEFUN |LIMITPS;locallimit| (|fcn| |x| |a| $)
 (PROG (|xK| |n| |u|)
  (RETURN
   (SEQ
    (LETT |xK| (SPADCALL (SPADCALL |x| (QREFELT $ 43)) (QREFELT $ 65))
     |LIMITPS;locallimit|)
    (LETT |n| (SPADCALL |a| (QREFELT $ 28)) |LIMITPS;locallimit|)
    (EXIT
     (COND
      ((EQL |n| 0)
       (|LIMITPS;realLimit|
        (|LIMITPS;localsubst| |fcn| |xK| 1 (SPADCALL |a| (QREFELT $ 57)) $) |x|
        $))
      ('T
       (SEQ
        (LETT |u|
         (|LIMITPS;limitPlus|
          (SPADCALL |fcn| |xK|
           (SPADCALL |n|
            (SPADCALL (SPADCALL |xK| (QREFELT $ 22)) (QREFELT $ 25))
            (QREFELT $ 66))
           (QREFELT $ 35))
          |x| $)
         |LIMITPS;locallimit|)
        (EXIT
         (COND ((QEQCAR |u| 1) (CONS 2 "failed"))
          ('T (CONS 0 (QCDR |u|))))))))))))) 

(DEFUN |LIMITPS;localsubst| (|fcn| |k| |n| |a| $)
 (SEQ
  (COND
   ((SPADCALL |a| (|spadConstant| $ 8) (QREFELT $ 36))
    (COND ((EQL |n| 1) (EXIT |fcn|)))))
  (EXIT
   (SPADCALL |fcn| |k|
    (SPADCALL (SPADCALL |n| (SPADCALL |k| (QREFELT $ 22)) (QREFELT $ 66)) |a|
     (QREFELT $ 67))
    (QREFELT $ 35))))) 

(DEFUN |LIMITPS;locallimitcomplex| (|fcn| |x| |a| $)
 (PROG (|xK| |g|)
  (RETURN
   (SEQ
    (LETT |xK| (SPADCALL (SPADCALL |x| (QREFELT $ 43)) (QREFELT $ 65))
     |LIMITPS;locallimitcomplex|)
    (LETT |g| (SPADCALL |a| (QREFELT $ 69)) |LIMITPS;locallimitcomplex|)
    (EXIT
     (COND
      ((QEQCAR |g| 0)
       (|LIMITPS;complLimit| (|LIMITPS;localsubst| |fcn| |xK| 1 (QCDR |g|) $)
        |x| $))
      ('T
       (|LIMITPS;complLimit|
        (SPADCALL |fcn| |xK|
         (SPADCALL (SPADCALL |xK| (QREFELT $ 22)) (QREFELT $ 25))
         (QREFELT $ 35))
        |x| $)))))))) 

(DEFUN |LIMITPS;limit;FEESU;15| (|fcn| |eq| |str| $)
 (PROG (|xx| |x| |a| |xK|)
  (RETURN
   (SEQ
    (LETT |xx| (SPADCALL (SPADCALL |eq| (QREFELT $ 70)) (QREFELT $ 72))
     |LIMITPS;limit;FEESU;15|)
    (EXIT
     (COND
      ((QEQCAR |xx| 1) (|error| "limit:left hand side must be a variable"))
      ('T
       (SEQ (LETT |x| (QCDR |xx|) |LIMITPS;limit;FEESU;15|)
        (LETT |a| (SPADCALL |eq| (QREFELT $ 73)) |LIMITPS;limit;FEESU;15|)
        (LETT |xK| (SPADCALL (SPADCALL |x| (QREFELT $ 43)) (QREFELT $ 65))
         |LIMITPS;limit;FEESU;15|)
        (EXIT
         (|LIMITPS;limitPlus|
          (|LIMITPS;localsubst| |fcn| |xK| (SPADCALL |str| (QREFELT $ 75)) |a|
           $)
          |x| $)))))))))) 

(DEFUN |LIMITPS;anyRootsOrAtrigs?| (|fcn| $)
 (PROG (|kernel| #1=#:G3832 #2=#:G3831 #3=#:G3824)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (SEQ (LETT |kernel| NIL |LIMITPS;anyRootsOrAtrigs?|)
       (LETT #1# (SPADCALL |fcn| (QREFELT $ 41)) |LIMITPS;anyRootsOrAtrigs?|)
       G190
       (COND
        ((OR (ATOM #1#)
          (PROGN (LETT |kernel| (CAR #1#) |LIMITPS;anyRootsOrAtrigs?|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((OR
            (SPADCALL |kernel| (SPADCALL "nthRoot" (QREFELT $ 18))
             (QREFELT $ 20))
            (OR
             (SPADCALL |kernel| (SPADCALL "asin" (QREFELT $ 18))
              (QREFELT $ 20))
             (OR
              (SPADCALL |kernel| (SPADCALL "acos" (QREFELT $ 18))
               (QREFELT $ 20))
              (SPADCALL |kernel| (SPADCALL "asec" (QREFELT $ 18))
               (QREFELT $ 20)))))
           (PROGN (LETT #2# 'T |LIMITPS;anyRootsOrAtrigs?|) (GO #2#)))
          ('T
           (SEQ
            (EXIT
             (COND
              ((SPADCALL |kernel| (SPADCALL "acsc" (QREFELT $ 18))
                (QREFELT $ 20))
               (PROGN
                (LETT #3#
                 (PROGN (LETT #2# 'T |LIMITPS;anyRootsOrAtrigs?|) (GO #2#))
                 |LIMITPS;anyRootsOrAtrigs?|)
                (GO #3#)))))
            #3# (EXIT #3#))))))
       (LETT #1# (CDR #1#) |LIMITPS;anyRootsOrAtrigs?|) (GO G190) G191
       (EXIT NIL))
      (EXIT 'NIL)))
    #2# (EXIT #2#))))) 

(DEFUN |LIMITPS;complLimit| (|fcn| |x| $)
 (PROG
  (|ppack| |pseries| |upxs| |lpack| |lseries| |uls| #1=#:G3850 |lim| |answer|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |lim|
       (COND
        ((|LIMITPS;anyRootsOrAtrigs?| |fcn| $)
         (SEQ
          (LETT |ppack|
           (|FunctionSpaceToUnivariatePowerSeries| (QREFELT $ 6) (QREFELT $ 7)
            (|Fraction| (|Integer|))
            (|UnivariatePuiseuxSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
            (|ElementaryFunctionsUnivariatePuiseuxSeries| (QREFELT $ 7)
             (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|UnivariatePuiseuxSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|ElementaryFunctionsUnivariateLaurentSeries| (QREFELT $ 7)
              (|UnivariateTaylorSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
              (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))))
            |x|)
           |LIMITPS;complLimit|)
          (LETT |pseries|
           (SPADCALL |fcn| 'NIL "complex"
            (|compiledLookupCheck| '|exprToUPS|
             (LIST
              (LIST '|Union|
               (LIST '|:| '|%series|
                (LIST '|UnivariatePuiseuxSeries| (|devaluate| (ELT $ 7)) |x|
                 (|devaluate| (ELT $ 9))))
               (LIST '|:| '|%problem|
                (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
                 (LIST '|:| '|prob| (LIST '|String|)))))
              (|devaluate| (ELT $ 7)) (LIST '|Boolean|) (LIST '|String|))
             |ppack|))
           |LIMITPS;complLimit|)
          (EXIT
           (COND
            ((QEQCAR |pseries| 1)
             (PROGN (LETT #1# (CONS 1 "failed") |LIMITPS;complLimit|)
              (GO #1#)))
            ('T
             (SEQ
              (COND
               ((SPADCALL (LETT |upxs| (CDR |pseries|) |LIMITPS;complLimit|)
                 (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                  (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                (LETT |upxs|
                 (SPADCALL (ELT $ 40) |upxs|
                  (|compiledLookupCheck| '|map|
                   (LIST '$
                    (LIST '|Mapping| (|devaluate| (ELT $ 7))
                     (|devaluate| (ELT $ 7)))
                    '$)
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                 |LIMITPS;complLimit|)))
              (EXIT
               (COND
                ((SPADCALL |upxs|
                  (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                 (PROGN
                  (LETT #1# (CONS 0 (SPADCALL (QREFELT $ 78)))
                   |LIMITPS;complLimit|)
                  (GO #1#)))
                ('T
                 (SPADCALL |upxs| (|spadConstant| $ 80)
                  (|compiledLookupCheck| '|coefficient|
                   (LIST (|devaluate| (ELT $ 7)) '$
                    (LIST '|Fraction| (LIST '|Integer|)))
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x|
                    (ELT $ 9)))))))))))))
        ('T
         (SEQ
          (LETT |lpack|
           (|FunctionSpaceToUnivariatePowerSeries| (QREFELT $ 6) (QREFELT $ 7)
            (|Integer|)
            (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
            (|ElementaryFunctionsUnivariateLaurentSeries| (QREFELT $ 7)
             (|UnivariateTaylorSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9)))
            |x|)
           |LIMITPS;complLimit|)
          (LETT |lseries|
           (SPADCALL |fcn| 'NIL "complex"
            (|compiledLookupCheck| '|exprToUPS|
             (LIST
              (LIST '|Union|
               (LIST '|:| '|%series|
                (LIST '|UnivariateLaurentSeries| (|devaluate| (ELT $ 7)) |x|
                 (|devaluate| (ELT $ 9))))
               (LIST '|:| '|%problem|
                (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
                 (LIST '|:| '|prob| (LIST '|String|)))))
              (|devaluate| (ELT $ 7)) (LIST '|Boolean|) (LIST '|String|))
             |lpack|))
           |LIMITPS;complLimit|)
          (EXIT
           (COND
            ((QEQCAR |lseries| 1)
             (PROGN (LETT #1# (CONS 1 "failed") |LIMITPS;complLimit|)
              (GO #1#)))
            ('T
             (SEQ
              (COND
               ((SPADCALL (LETT |uls| (CDR |lseries|) |LIMITPS;complLimit|)
                 (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                  (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                (LETT |uls|
                 (SPADCALL (ELT $ 40) |uls|
                  (|compiledLookupCheck| '|map|
                   (LIST '$
                    (LIST '|Mapping| (|devaluate| (ELT $ 7))
                     (|devaluate| (ELT $ 7)))
                    '$)
                   (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                 |LIMITPS;complLimit|)))
              (EXIT
               (COND
                ((SPADCALL |uls|
                  (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                   (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                 (PROGN
                  (LETT #1# (CONS 0 (SPADCALL (QREFELT $ 78)))
                   |LIMITPS;complLimit|)
                  (GO #1#)))
                ('T
                 (SPADCALL |uls| 0
                  (|compiledLookupCheck| '|coefficient|
                   (LIST (|devaluate| (ELT $ 7)) '$ (LIST '|Integer|))
                   (|UnivariateLaurentSeries| (ELT $ 7) |x|
                    (ELT $ 9))))))))))))))
       |LIMITPS;complLimit|)
      (EXIT
       (COND
        ((SPADCALL |x| (SPADCALL |lim| (QREFELT $ 11)) (QREFELT $ 14))
         (COND
          ((SPADCALL |x|
            (SPADCALL
             (LETT |answer| (SPADCALL |lim| (QREFELT $ 40))
              |LIMITPS;complLimit|)
             (QREFELT $ 11))
            (QREFELT $ 14))
           (|error| "limit: can't evaluate limit"))
          ('T (CONS 0 (SPADCALL |answer| (QREFELT $ 81))))))
        ('T (CONS 0 (SPADCALL |lim| (QREFELT $ 81))))))))
    #1# (EXIT #1#))))) 

(DEFUN |LIMITPS;okProblem?| (|function| |problem| $)
 (COND
  ((OR (EQUAL |function| "log") (EQUAL |function| "nth root"))
   (COND ((EQUAL |problem| "series of non-zero order") 'T)
    ('T (EQUAL |problem| "negative leading coefficient"))))
  ('T
   (COND ((EQUAL |function| "atan") (EQUAL |problem| "branch problem"))
    ((EQUAL |function| "erf") (EQUAL |problem| "unknown kernel"))
    ('T (EQUAL |problem| "essential singularity")))))) 

(DEFUN |LIMITPS;poleLimit| (|order| |coef| |x| $)
 (PROG (|s| |rtLim|)
  (RETURN
   (SEQ
    (COND
     ((NULL (SPADCALL |x| (SPADCALL |coef| (QREFELT $ 11)) (QREFELT $ 14)))
      (SEQ (LETT |s| (SPADCALL |coef| (QREFELT $ 84)) |LIMITPS;poleLimit|)
       (EXIT
        (COND
         ((QEQCAR |s| 0)
          (SEQ
           (LETT |rtLim|
            (SPADCALL (QCDR |s|) (SPADCALL (QREFELT $ 64)) (QREFELT $ 85))
            |LIMITPS;poleLimit|)
           (EXIT
            (COND
             ((SPADCALL (SPADCALL |order| (QREFELT $ 86)) (QREFELT $ 87))
              (CONS 0 |rtLim|))
             ((SPADCALL (SPADCALL |order| (QREFELT $ 88)) (QREFELT $ 87))
              (CONS 1 (CONS (CONS 1 "failed") (CONS 0 |rtLim|))))
             ('T
              (CONS 1
               (CONS (CONS 0 (SPADCALL |rtLim| (QREFELT $ 89)))
                (CONS 0 |rtLim|))))))))
         ('T (CONS 2 "failed"))))))
     ('T (|error| "limit: can't evaluate limit"))))))) 

(DEFUN |LIMITPS;poleLimitPlus| (|order| |coef| |x| $)
 (PROG (|s| |clim| |lim| |cclim| |ss| |t| |tt|)
  (RETURN
   (SEQ
    (COND
     ((NULL (SPADCALL |x| (SPADCALL |coef| (QREFELT $ 11)) (QREFELT $ 14)))
      (SEQ (LETT |s| (SPADCALL |coef| (QREFELT $ 84)) |LIMITPS;poleLimitPlus|)
       (EXIT
        (COND
         ((QEQCAR |s| 0)
          (CONS 0
           (SPADCALL (QCDR |s|) (SPADCALL (QREFELT $ 64)) (QREFELT $ 85))))
         ('T (CONS 1 "failed"))))))
     ('T
      (SEQ
       (LETT |clim| (|LIMITPS;specialLimit| |coef| |x| $)
        |LIMITPS;poleLimitPlus|)
       (EXIT
        (COND ((QEQCAR |clim| 1) (CONS 1 "failed"))
         ((SPADCALL (LETT |lim| (QCDR |clim|) |LIMITPS;poleLimitPlus|)
           (QREFELT $ 90))
          (SEQ
           (LETT |cclim|
            (|LIMITPS;specialLimit| (SPADCALL |coef| (QREFELT $ 25)) |x| $)
            |LIMITPS;poleLimitPlus|)
           (EXIT
            (COND ((QEQCAR |cclim| 1) (CONS 1 "failed"))
             ('T
              (SEQ
               (LETT |ss| (SPADCALL (QCDR |cclim|) (QREFELT $ 28))
                |LIMITPS;poleLimitPlus|)
               (EXIT
                (COND ((ZEROP |ss|) (|error| "limit: internal error"))
                 ('T
                  (CONS 0
                   (SPADCALL |ss| (SPADCALL (QREFELT $ 64))
                    (QREFELT $ 85))))))))))))
         ('T
          (SEQ
           (LETT |t| (SPADCALL |lim| (QREFELT $ 28)) |LIMITPS;poleLimitPlus|)
           (EXIT
            (COND
             ((ZEROP |t|)
              (SEQ
               (LETT |tt| (SPADCALL |coef| (QREFELT $ 84))
                |LIMITPS;poleLimitPlus|)
               (EXIT
                (COND
                 ((QEQCAR |tt| 0)
                  (CONS 0
                   (SPADCALL (QCDR |tt|) (SPADCALL (QREFELT $ 64))
                    (QREFELT $ 85))))
                 ('T (CONS 1 "failed"))))))
             ('T
              (CONS 0
               (SPADCALL |t| (SPADCALL (QREFELT $ 64))
                (QREFELT $ 85))))))))))))))))) 

(DEFUN |LIMITPS;realLimit| (|fcn| |x| $)
 (PROG
  (|ppack| |pseries| |upxs| |ordp| |cp| |lpack| |lseries| |trouble| |function|
   |problem| |xK| |fcn0| |left| |right| |uls| |ordl| |cl| #1=#:G3922 |lim|
   |answer|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |lim|
       (COND
        ((|LIMITPS;anyRootsOrAtrigs?| |fcn| $)
         (SEQ
          (LETT |ppack|
           (|FunctionSpaceToUnivariatePowerSeries| (QREFELT $ 6) (QREFELT $ 7)
            (|Fraction| (|Integer|))
            (|UnivariatePuiseuxSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
            (|ElementaryFunctionsUnivariatePuiseuxSeries| (QREFELT $ 7)
             (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|UnivariatePuiseuxSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|ElementaryFunctionsUnivariateLaurentSeries| (QREFELT $ 7)
              (|UnivariateTaylorSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
              (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))))
            |x|)
           |LIMITPS;realLimit|)
          (LETT |pseries|
           (SPADCALL |fcn| 'T "real: two sides"
            (|compiledLookupCheck| '|exprToUPS|
             (LIST
              (LIST '|Union|
               (LIST '|:| '|%series|
                (LIST '|UnivariatePuiseuxSeries| (|devaluate| (ELT $ 7)) |x|
                 (|devaluate| (ELT $ 9))))
               (LIST '|:| '|%problem|
                (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
                 (LIST '|:| '|prob| (LIST '|String|)))))
              (|devaluate| (ELT $ 7)) (LIST '|Boolean|) (LIST '|String|))
             |ppack|))
           |LIMITPS;realLimit|)
          (EXIT
           (COND
            ((QEQCAR |pseries| 1)
             (SEQ (LETT |trouble| (CDR |pseries|) |LIMITPS;realLimit|)
              (LETT |function| (QCAR |trouble|) |LIMITPS;realLimit|)
              (LETT |problem| (QCDR |trouble|) |LIMITPS;realLimit|)
              (EXIT
               (COND
                ((|LIMITPS;okProblem?| |function| |problem| $)
                 (SEQ
                  (LETT |left|
                   (SEQ
                    (LETT |xK| (SPADCALL |x| (QREFELT $ 91))
                     |LIMITPS;realLimit|)
                    (LETT |fcn0|
                     (SPADCALL |fcn| |xK|
                      (SPADCALL (SPADCALL |xK| (QREFELT $ 22)) (QREFELT $ 63))
                      (QREFELT $ 35))
                     |LIMITPS;realLimit|)
                    (EXIT (|LIMITPS;limitPlus| |fcn0| |x| $)))
                   |LIMITPS;realLimit|)
                  (LETT |right| (|LIMITPS;limitPlus| |fcn| |x| $)
                   |LIMITPS;realLimit|)
                  (COND
                   ((QEQCAR |left| 1)
                    (COND
                     ((QEQCAR |right| 1)
                      (EXIT
                       (PROGN (LETT #1# (CONS 2 "failed") |LIMITPS;realLimit|)
                        (GO #1#)))))))
                  (COND
                   ((QEQCAR |left| 0)
                    (COND
                     ((QEQCAR |right| 0)
                      (COND
                       ((SPADCALL (QCDR |left|) (QCDR |right|) (QREFELT $ 92))
                        (EXIT
                         (PROGN
                          (LETT #1# (CONS 0 (QCDR |left|)) |LIMITPS;realLimit|)
                          (GO #1#)))))))))
                  (EXIT
                   (PROGN
                    (LETT #1# (CONS 1 (CONS |left| |right|))
                     |LIMITPS;realLimit|)
                    (GO #1#)))))
                ('T
                 (PROGN (LETT #1# (CONS 2 "failed") |LIMITPS;realLimit|)
                  (GO #1#)))))))
            ('T
             (SEQ
              (COND
               ((SPADCALL (LETT |upxs| (CDR |pseries|) |LIMITPS;realLimit|)
                 (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                  (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                (LETT |upxs|
                 (SPADCALL (ELT $ 40) |upxs|
                  (|compiledLookupCheck| '|map|
                   (LIST '$
                    (LIST '|Mapping| (|devaluate| (ELT $ 7))
                     (|devaluate| (ELT $ 7)))
                    '$)
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                 |LIMITPS;realLimit|)))
              (EXIT
               (COND
                ((SPADCALL |upxs|
                  (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                 (SEQ
                  (LETT |cp|
                   (SPADCALL |upxs|
                    (LETT |ordp|
                     (SPADCALL |upxs|
                      (|compiledLookupCheck| '|order|
                       (LIST (LIST '|Fraction| (LIST '|Integer|)) '$)
                       (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                     |LIMITPS;realLimit|)
                    (|compiledLookupCheck| '|coefficient|
                     (LIST (|devaluate| (ELT $ 7)) '$
                      (LIST '|Fraction| (LIST '|Integer|)))
                     (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                   |LIMITPS;realLimit|)
                  (EXIT
                   (PROGN
                    (LETT #1# (|LIMITPS;poleLimit| |ordp| |cp| |x| $)
                     |LIMITPS;realLimit|)
                    (GO #1#)))))
                ('T
                 (CONS 0
                  (SPADCALL |upxs| (|spadConstant| $ 80)
                   (|compiledLookupCheck| '|coefficient|
                    (LIST (|devaluate| (ELT $ 7)) '$
                     (LIST '|Fraction| (LIST '|Integer|)))
                    (|UnivariatePuiseuxSeries| (ELT $ 7) |x|
                     (ELT $ 9))))))))))))))
        ('T
         (SEQ
          (LETT |lpack|
           (|FunctionSpaceToUnivariatePowerSeries| (QREFELT $ 6) (QREFELT $ 7)
            (|Integer|)
            (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
            (|ElementaryFunctionsUnivariateLaurentSeries| (QREFELT $ 7)
             (|UnivariateTaylorSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9)))
            |x|)
           |LIMITPS;realLimit|)
          (LETT |lseries|
           (SPADCALL |fcn| 'T "real: two sides"
            (|compiledLookupCheck| '|exprToUPS|
             (LIST
              (LIST '|Union|
               (LIST '|:| '|%series|
                (LIST '|UnivariateLaurentSeries| (|devaluate| (ELT $ 7)) |x|
                 (|devaluate| (ELT $ 9))))
               (LIST '|:| '|%problem|
                (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
                 (LIST '|:| '|prob| (LIST '|String|)))))
              (|devaluate| (ELT $ 7)) (LIST '|Boolean|) (LIST '|String|))
             |lpack|))
           |LIMITPS;realLimit|)
          (EXIT
           (COND
            ((QEQCAR |lseries| 1)
             (SEQ (LETT |trouble| (CDR |lseries|) |LIMITPS;realLimit|)
              (LETT |function| (QCAR |trouble|) |LIMITPS;realLimit|)
              (LETT |problem| (QCDR |trouble|) |LIMITPS;realLimit|)
              (EXIT
               (COND
                ((|LIMITPS;okProblem?| |function| |problem| $)
                 (SEQ
                  (LETT |left|
                   (SEQ
                    (LETT |xK| (SPADCALL |x| (QREFELT $ 91))
                     |LIMITPS;realLimit|)
                    (LETT |fcn0|
                     (SPADCALL |fcn| |xK|
                      (SPADCALL (SPADCALL |xK| (QREFELT $ 22)) (QREFELT $ 63))
                      (QREFELT $ 35))
                     |LIMITPS;realLimit|)
                    (EXIT (|LIMITPS;limitPlus| |fcn0| |x| $)))
                   |LIMITPS;realLimit|)
                  (LETT |right| (|LIMITPS;limitPlus| |fcn| |x| $)
                   |LIMITPS;realLimit|)
                  (COND
                   ((QEQCAR |left| 1)
                    (COND
                     ((QEQCAR |right| 1)
                      (EXIT
                       (PROGN (LETT #1# (CONS 2 "failed") |LIMITPS;realLimit|)
                        (GO #1#)))))))
                  (COND
                   ((QEQCAR |left| 0)
                    (COND
                     ((QEQCAR |right| 0)
                      (COND
                       ((SPADCALL (QCDR |left|) (QCDR |right|) (QREFELT $ 92))
                        (EXIT
                         (PROGN
                          (LETT #1# (CONS 0 (QCDR |left|)) |LIMITPS;realLimit|)
                          (GO #1#)))))))))
                  (EXIT
                   (PROGN
                    (LETT #1# (CONS 1 (CONS |left| |right|))
                     |LIMITPS;realLimit|)
                    (GO #1#)))))
                ('T
                 (PROGN (LETT #1# (CONS 2 "failed") |LIMITPS;realLimit|)
                  (GO #1#)))))))
            ('T
             (SEQ
              (COND
               ((SPADCALL (LETT |uls| (CDR |lseries|) |LIMITPS;realLimit|)
                 (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                  (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                (LETT |uls|
                 (SPADCALL (ELT $ 40) |uls|
                  (|compiledLookupCheck| '|map|
                   (LIST '$
                    (LIST '|Mapping| (|devaluate| (ELT $ 7))
                     (|devaluate| (ELT $ 7)))
                    '$)
                   (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                 |LIMITPS;realLimit|)))
              (EXIT
               (COND
                ((SPADCALL |uls|
                  (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                   (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                 (SEQ
                  (LETT |cl|
                   (SPADCALL |uls|
                    (LETT |ordl|
                     (SPADCALL |uls|
                      (|compiledLookupCheck| '|order|
                       (LIST (LIST '|Integer|) '$)
                       (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                     |LIMITPS;realLimit|)
                    (|compiledLookupCheck| '|coefficient|
                     (LIST (|devaluate| (ELT $ 7)) '$ (LIST '|Integer|))
                     (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                   |LIMITPS;realLimit|)
                  (EXIT
                   (PROGN
                    (LETT #1#
                     (|LIMITPS;poleLimit| (SPADCALL |ordl| (QREFELT $ 93)) |cl|
                      |x| $)
                     |LIMITPS;realLimit|)
                    (GO #1#)))))
                ('T
                 (CONS 0
                  (SPADCALL |uls| 0
                   (|compiledLookupCheck| '|coefficient|
                    (LIST (|devaluate| (ELT $ 7)) '$ (LIST '|Integer|))
                    (|UnivariateLaurentSeries| (ELT $ 7) |x|
                     (ELT $ 9)))))))))))))))
       |LIMITPS;realLimit|)
      (EXIT
       (COND ((QEQCAR |lim| 1) (CONS 2 "failed"))
        ((SPADCALL |x| (SPADCALL (QCDR |lim|) (QREFELT $ 11)) (QREFELT $ 14))
         (COND
          ((SPADCALL |x|
            (SPADCALL
             (LETT |answer| (SPADCALL (QCDR |lim|) (QREFELT $ 40))
              |LIMITPS;realLimit|)
             (QREFELT $ 11))
            (QREFELT $ 14))
           (|error| "limit: can't evaluate limit"))
          ('T (CONS 0 (SPADCALL |answer| (QREFELT $ 38))))))
        ('T (CONS 0 (SPADCALL (QCDR |lim|) (QREFELT $ 38))))))))
    #1# (EXIT #1#))))) 

(DEFUN |LIMITPS;xxpLimit| (|fcn| |x| $)
 (PROG (|xpack| |xxp|)
  (RETURN
   (SEQ
    (LETT |xpack|
     (|FunctionSpaceToExponentialExpansion| (QREFELT $ 6) (QREFELT $ 7) |x|
      (QREFELT $ 9))
     |LIMITPS;xxpLimit|)
    (LETT |xxp|
     (SPADCALL |fcn| 'T
      (|compiledLookupCheck| '|exprToXXP|
       (LIST
        (LIST '|Union|
         (LIST '|:| '|%expansion|
          (LIST '|ExponentialExpansion| (|devaluate| (ELT $ 6))
           (|devaluate| (ELT $ 7)) |x| (|devaluate| (ELT $ 9))))
         (LIST '|:| '|%problem|
          (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
           (LIST '|:| '|prob| (LIST '|String|)))))
        (|devaluate| (ELT $ 7)) (LIST '|Boolean|))
       |xpack|))
     |LIMITPS;xxpLimit|)
    (EXIT
     (COND ((QEQCAR |xxp| 1) (CONS 1 "failed"))
      ('T
       (SPADCALL (CDR |xxp|)
        (|compiledLookupCheck| '|limitPlus|
         (LIST
          (LIST '|Union| (LIST '|OrderedCompletion| (|devaluate| (ELT $ 7)))
           '"failed")
          '$)
         (|ExponentialExpansion| (ELT $ 6) (ELT $ 7) |x| (ELT $ 9))))))))))) 

(DEFUN |LIMITPS;limitPlus| (|fcn| |x| $)
 (PROG
  (|ppack| |pseries| |upxs| |ordp| |cp| |lpack| |lseries| |trouble| |ff| |pp|
   |uls| |ordl| |cl| #1=#:G3958 |lim| |answer| |xLim|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |lim|
       (COND
        ((|LIMITPS;anyRootsOrAtrigs?| |fcn| $)
         (SEQ
          (LETT |ppack|
           (|FunctionSpaceToUnivariatePowerSeries| (QREFELT $ 6) (QREFELT $ 7)
            (|Fraction| (|Integer|))
            (|UnivariatePuiseuxSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
            (|ElementaryFunctionsUnivariatePuiseuxSeries| (QREFELT $ 7)
             (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|UnivariatePuiseuxSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|ElementaryFunctionsUnivariateLaurentSeries| (QREFELT $ 7)
              (|UnivariateTaylorSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
              (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))))
            |x|)
           |LIMITPS;limitPlus|)
          (LETT |pseries|
           (SPADCALL |fcn| 'T "real: right side"
            (|compiledLookupCheck| '|exprToGenUPS|
             (LIST
              (LIST '|Union|
               (LIST '|:| '|%series|
                (LIST '|UnivariatePuiseuxSeries| (|devaluate| (ELT $ 7)) |x|
                 (|devaluate| (ELT $ 9))))
               (LIST '|:| '|%problem|
                (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
                 (LIST '|:| '|prob| (LIST '|String|)))))
              (|devaluate| (ELT $ 7)) (LIST '|Boolean|) (LIST '|String|))
             |ppack|))
           |LIMITPS;limitPlus|)
          (EXIT
           (COND
            ((QEQCAR |pseries| 1)
             (SEQ (LETT |trouble| (CDR |pseries|) |LIMITPS;limitPlus|)
              (LETT |ff| (QCAR |trouble|) |LIMITPS;limitPlus|)
              (LETT |pp| (QCDR |trouble|) |LIMITPS;limitPlus|)
              (EXIT
               (COND
                ((EQUAL |pp| "negative leading coefficient")
                 (PROGN (LETT #1# (CONS 1 "failed") |LIMITPS;limitPlus|)
                  (GO #1#)))
                ('T (CONS 1 "failed"))))))
            ('T
             (SEQ
              (COND
               ((SPADCALL (LETT |upxs| (CDR |pseries|) |LIMITPS;limitPlus|)
                 (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                  (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                (LETT |upxs|
                 (SPADCALL (ELT $ 40) |upxs|
                  (|compiledLookupCheck| '|map|
                   (LIST '$
                    (LIST '|Mapping| (|devaluate| (ELT $ 7))
                     (|devaluate| (ELT $ 7)))
                    '$)
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                 |LIMITPS;limitPlus|)))
              (EXIT
               (COND
                ((SPADCALL |upxs|
                  (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                   (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                 (SEQ
                  (LETT |cp|
                   (SPADCALL |upxs|
                    (LETT |ordp|
                     (SPADCALL |upxs|
                      (|compiledLookupCheck| '|order|
                       (LIST (LIST '|Fraction| (LIST '|Integer|)) '$)
                       (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                     |LIMITPS;limitPlus|)
                    (|compiledLookupCheck| '|coefficient|
                     (LIST (|devaluate| (ELT $ 7)) '$
                      (LIST '|Fraction| (LIST '|Integer|)))
                     (|UnivariatePuiseuxSeries| (ELT $ 7) |x| (ELT $ 9))))
                   |LIMITPS;limitPlus|)
                  (EXIT
                   (PROGN
                    (LETT #1# (|LIMITPS;poleLimitPlus| |ordp| |cp| |x| $)
                     |LIMITPS;limitPlus|)
                    (GO #1#)))))
                ('T
                 (CONS 0
                  (SPADCALL |upxs| (|spadConstant| $ 80)
                   (|compiledLookupCheck| '|coefficient|
                    (LIST (|devaluate| (ELT $ 7)) '$
                     (LIST '|Fraction| (LIST '|Integer|)))
                    (|UnivariatePuiseuxSeries| (ELT $ 7) |x|
                     (ELT $ 9))))))))))))))
        ('T
         (SEQ
          (LETT |lpack|
           (|FunctionSpaceToUnivariatePowerSeries| (QREFELT $ 6) (QREFELT $ 7)
            (|Integer|)
            (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
            (|ElementaryFunctionsUnivariateLaurentSeries| (QREFELT $ 7)
             (|UnivariateTaylorSeries| (QREFELT $ 7) |x| (QREFELT $ 9))
             (|UnivariateLaurentSeries| (QREFELT $ 7) |x| (QREFELT $ 9)))
            |x|)
           |LIMITPS;limitPlus|)
          (LETT |lseries|
           (SPADCALL |fcn| 'T "real: right side"
            (|compiledLookupCheck| '|exprToGenUPS|
             (LIST
              (LIST '|Union|
               (LIST '|:| '|%series|
                (LIST '|UnivariateLaurentSeries| (|devaluate| (ELT $ 7)) |x|
                 (|devaluate| (ELT $ 9))))
               (LIST '|:| '|%problem|
                (LIST '|Record| (LIST '|:| '|func| (LIST '|String|))
                 (LIST '|:| '|prob| (LIST '|String|)))))
              (|devaluate| (ELT $ 7)) (LIST '|Boolean|) (LIST '|String|))
             |lpack|))
           |LIMITPS;limitPlus|)
          (EXIT
           (COND
            ((QEQCAR |lseries| 1)
             (SEQ (LETT |trouble| (CDR |lseries|) |LIMITPS;limitPlus|)
              (LETT |ff| (QCAR |trouble|) |LIMITPS;limitPlus|)
              (LETT |pp| (QCDR |trouble|) |LIMITPS;limitPlus|)
              (EXIT
               (COND
                ((EQUAL |pp| "negative leading coefficient")
                 (PROGN (LETT #1# (CONS 1 "failed") |LIMITPS;limitPlus|)
                  (GO #1#)))
                ('T (CONS 1 "failed"))))))
            ('T
             (SEQ
              (COND
               ((SPADCALL (LETT |uls| (CDR |lseries|) |LIMITPS;limitPlus|)
                 (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                  (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                (LETT |uls|
                 (SPADCALL (ELT $ 40) |uls|
                  (|compiledLookupCheck| '|map|
                   (LIST '$
                    (LIST '|Mapping| (|devaluate| (ELT $ 7))
                     (|devaluate| (ELT $ 7)))
                    '$)
                   (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                 |LIMITPS;limitPlus|)))
              (EXIT
               (COND
                ((SPADCALL |uls|
                  (|compiledLookupCheck| '|pole?| (LIST (LIST '|Boolean|) '$)
                   (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                 (SEQ
                  (LETT |cl|
                   (SPADCALL |uls|
                    (LETT |ordl|
                     (SPADCALL |uls|
                      (|compiledLookupCheck| '|order|
                       (LIST (LIST '|Integer|) '$)
                       (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                     |LIMITPS;limitPlus|)
                    (|compiledLookupCheck| '|coefficient|
                     (LIST (|devaluate| (ELT $ 7)) '$ (LIST '|Integer|))
                     (|UnivariateLaurentSeries| (ELT $ 7) |x| (ELT $ 9))))
                   |LIMITPS;limitPlus|)
                  (EXIT
                   (PROGN
                    (LETT #1#
                     (|LIMITPS;poleLimitPlus| (SPADCALL |ordl| (QREFELT $ 93))
                      |cl| |x| $)
                     |LIMITPS;limitPlus|)
                    (GO #1#)))))
                ('T
                 (CONS 0
                  (SPADCALL |uls| 0
                   (|compiledLookupCheck| '|coefficient|
                    (LIST (|devaluate| (ELT $ 7)) '$ (LIST '|Integer|))
                    (|UnivariateLaurentSeries| (ELT $ 7) |x|
                     (ELT $ 9)))))))))))))))
       |LIMITPS;limitPlus|)
      (EXIT
       (COND
        ((QEQCAR |lim| 1)
         (SEQ
          (LETT |xLim| (|LIMITPS;xxpLimit| |fcn| |x| $) |LIMITPS;limitPlus|)
          (EXIT
           (COND ((QEQCAR |xLim| 1) (|LIMITPS;specialLimit| |fcn| |x| $))
            ('T |xLim|)))))
        ((SPADCALL |x| (SPADCALL (QCDR |lim|) (QREFELT $ 11)) (QREFELT $ 14))
         (COND
          ((SPADCALL |x|
            (SPADCALL
             (LETT |answer| (SPADCALL (QCDR |lim|) (QREFELT $ 40))
              |LIMITPS;limitPlus|)
             (QREFELT $ 11))
            (QREFELT $ 14))
           (SEQ
            (LETT |xLim| (|LIMITPS;xxpLimit| |answer| |x| $)
             |LIMITPS;limitPlus|)
            (EXIT
             (COND ((QEQCAR |xLim| 1) (|LIMITPS;specialLimit| |answer| |x| $))
              ('T |xLim|)))))
          ('T (CONS 0 (SPADCALL |answer| (QREFELT $ 38))))))
        ('T (CONS 0 (SPADCALL (QCDR |lim|) (QREFELT $ 38))))))))
    #1# (EXIT #1#))))) 

(DEFUN |LIMITPS;limit;FEEU;24| (|fcn| |eq| $)
 (PROG (|f| |xx| |x| |a|)
  (RETURN
   (SEQ
    (LETT |f| (SPADCALL (SPADCALL |eq| (QREFELT $ 95)) (QREFELT $ 34))
     |LIMITPS;limit;FEEU;24|)
    (EXIT
     (COND ((QEQCAR |f| 1) (|error| "limit:left hand side must be a variable"))
      ('T
       (SEQ
        (LETT |xx| (SPADCALL (QCDR |f|) (QREFELT $ 72))
         |LIMITPS;limit;FEEU;24|)
        (EXIT
         (COND
          ((QEQCAR |xx| 1) (|error| "limit:left hand side must be a variable"))
          ('T
           (SEQ (LETT |x| (QCDR |xx|) |LIMITPS;limit;FEEU;24|)
            (LETT |a| (SPADCALL |eq| (QREFELT $ 96)) |LIMITPS;limit;FEEU;24|)
            (EXIT (|LIMITPS;locallimit| |fcn| |x| |a| $)))))))))))))) 

(DEFUN |LIMITPS;complexLimit;FEEU;25| (|fcn| |eq| $)
 (PROG (|f| |xx| |x| |a|)
  (RETURN
   (SEQ
    (LETT |f| (SPADCALL (SPADCALL |eq| (QREFELT $ 101)) (QREFELT $ 69))
     |LIMITPS;complexLimit;FEEU;25|)
    (EXIT
     (COND ((QEQCAR |f| 1) (|error| "limit:left hand side must be a variable"))
      ('T
       (SEQ
        (LETT |xx| (SPADCALL (QCDR |f|) (QREFELT $ 72))
         |LIMITPS;complexLimit;FEEU;25|)
        (EXIT
         (COND
          ((QEQCAR |xx| 1) (|error| "limit:left hand side must be a variable"))
          ('T
           (SEQ (LETT |x| (QCDR |xx|) |LIMITPS;complexLimit;FEEU;25|)
            (LETT |a| (SPADCALL |eq| (QREFELT $ 102))
             |LIMITPS;complexLimit;FEEU;25|)
            (EXIT (|LIMITPS;locallimitcomplex| |fcn| |x| |a| $)))))))))))))) 

(DEFUN |PowerSeriesLimitPackage| (&REST #1=#:G3999 &AUX #2=#:G3997)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3998)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|PowerSeriesLimitPackage|)
         '|domainEqualList|)
        |PowerSeriesLimitPackage|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |PowerSeriesLimitPackage;|) #2#)
         (LETT #3# T |PowerSeriesLimitPackage|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache| '|PowerSeriesLimitPackage|))))))))))) 

(DEFUN |PowerSeriesLimitPackage;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|PowerSeriesLimitPackage|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|PowerSeriesLimitPackage| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 105) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PowerSeriesLimitPackage| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 9 (|spadConstant| $ 8)) $)))) 

(MAKEPROP '|PowerSeriesLimitPackage| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (0 . |Zero|)
     '|zeroFE| (|List| 13) (4 . |variables|) (|Boolean|) (|Symbol|)
     (9 . |member?|) (|List| 21) (15 . |kernels|) (|String|) (20 . |coerce|)
     (|Kernel| 7) (25 . |is?|) (|Kernel| $) (31 . |coerce|) (36 . |name|)
     (41 . -) (47 . |inv|) (|SingleInteger|) (|OrderedCompletion| 7)
     (52 . |whatInfinity|) (57 . |Zero|) (61 . |One|) (65 . |numerator|)
     (70 . |denominator|) (|Union| 7 '#1="failed") (75 . |retractIfCan|)
     (80 . |eval|) (87 . =) (93 . /) (99 . |coerce|)
     (|ElementaryFunctionStructurePackage| 6 7) (104 . |normalize|)
     (109 . |tower|) (114 . |new|) (118 . |coerce|) (|Equation| 7)
     (123 . |equation|) (|Equation| $) (129 . |eval|) (|List| 7)
     (135 . |argument|) (140 . |One|) (144 . -) (149 . |minusInfinity|)
     (153 . |log|) (|BasicOperator|) (158 . |operator|) (163 . |elt|)
     (169 . |retract|) (|LiouvillianFunction| 6 7) (174 . |erf|) (179 . |pi|)
     (|Integer|) (183 . |coerce|) (188 . -) (193 . |plusInfinity|)
     (197 . |retract|) (202 . *) (208 . +) (|OnePointCompletion| 7)
     (214 . |retractIfCan|) (219 . |lhs|) (|Union| 13 '#1#)
     (224 . |retractIfCan|) (229 . |rhs|) (|ToolsForSign| 6)
     (234 . |direction|) (|Union| 27 '"failed") |LIMITPS;limit;FEESU;15|
     (239 . |infinity|) (|Fraction| 61) (243 . |Zero|) (247 . |coerce|)
     (|Union| 61 '"failed") (|ElementaryFunctionSign| 6 7) (252 . |sign|)
     (257 . *) (263 . |numer|) (268 . |even?|) (273 . |denom|) (278 . -)
     (283 . |zero?|) (288 . |kernel|) (293 . =) (299 . |coerce|)
     (|Equation| 27) (304 . |lhs|) (309 . |rhs|)
     (|Record| (|:| |leftHandLimit| 76) (|:| |rightHandLimit| 76))
     (|Union| 27 97 '"failed") |LIMITPS;limit;FEEU;24| (|Equation| 68)
     (314 . |lhs|) (319 . |rhs|) (|Union| 68 '"failed")
     |LIMITPS;complexLimit;FEEU;25|)
  '#(|limit| 324 |complexLimit| 337) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 104
      '(0 7 0 8 1 7 10 0 11 2 10 12 13 0 14 1 7 15 0 16 1 13 0 17 18 2 19 12 0
        13 20 1 7 0 21 22 1 19 13 0 23 2 7 0 0 0 24 1 7 0 0 25 1 27 26 0 28 0 6
        0 29 0 6 0 30 1 7 0 0 31 1 7 0 0 32 1 27 33 0 34 3 7 0 0 21 0 35 2 7 12
        0 0 36 2 7 0 0 0 37 1 27 0 7 38 1 39 7 7 40 1 7 15 0 41 0 13 0 42 1 7 0
        13 43 2 44 0 7 7 45 2 7 0 0 46 47 1 19 48 0 49 0 7 0 50 1 6 0 0 51 0 27
        0 52 1 7 0 0 53 1 19 54 0 55 2 7 0 54 0 56 1 27 7 0 57 1 58 7 7 59 0 7
        0 60 1 7 0 61 62 1 7 0 0 63 0 27 0 64 1 7 21 0 65 2 7 0 61 0 66 2 7 0 0
        0 67 1 68 33 0 69 1 44 7 0 70 1 7 71 0 72 1 44 7 0 73 1 74 61 17 75 0
        68 0 78 0 79 0 80 1 68 0 7 81 1 83 82 7 84 2 27 0 61 0 85 1 79 61 0 86
        1 61 12 0 87 1 79 61 0 88 1 27 0 0 89 1 27 12 0 90 1 19 0 13 91 2 27 12
        0 0 92 1 79 0 61 93 1 94 27 0 95 1 94 27 0 96 1 100 68 0 101 1 100 68 0
        102 2 0 98 7 94 99 3 0 76 7 44 17 77 2 0 103 7 100 104)))))
  '|lookupComplete|)) 
