
(/VERSIONCHECK 2) 

(DEFUN |LSMP;hasSolution?;MColB;1| (A |b| $)
 (EQL (SPADCALL A (QREFELT $ 11))
  (SPADCALL (|LSMP;systemMatrix| A |b| $) (QREFELT $ 11)))) 

(DEFUN |LSMP;systemMatrix| (|m| |v| $)
 (SPADCALL |m| (SPADCALL (SPADCALL |v| (QREFELT $ 14)) (QREFELT $ 15))
  (QREFELT $ 16))) 

(DEFUN |LSMP;rank;MColNni;3| (A |b| $)
 (SPADCALL (|LSMP;systemMatrix| A |b| $) (QREFELT $ 11))) 

(DEFUN |LSMP;particularSolution;MColU;4| (A |b| $)
 (|LSMP;aSolution| (SPADCALL (|LSMP;systemMatrix| A |b| $) (QREFELT $ 18)) $)) 

(DEFUN |LSMP;aSolution| (|m| $)
 (PROG (#1=#:G3558 |nvar| |rk| |ck| |sol| |v| |i| |j| #2=#:G3573)
  (RETURN
   (SEQ
    (LETT |nvar|
     (PROG1 (LETT #1# (- (SPADCALL |m| (QREFELT $ 21)) 1) |LSMP;aSolution|)
      (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
     |LSMP;aSolution|)
    (LETT |rk| (SPADCALL |m| (QREFELT $ 24)) |LSMP;aSolution|)
    (SEQ G190
     (COND
      ((NULL
        (COND ((< |rk| (SPADCALL |m| (QREFELT $ 25))) 'NIL)
         ('T
          (SPADCALL (ELT $ 26) (SPADCALL |m| |rk| (QREFELT $ 27))
           (QREFELT $ 29)))))
       (GO G191)))
     (SEQ (EXIT (LETT |rk| (- |rk| 1) |LSMP;aSolution|))) NIL (GO G190) G191
     (EXIT NIL))
    (EXIT
     (COND
      ((< |rk| (SPADCALL |m| (QREFELT $ 25)))
       (CONS 0 (SPADCALL |nvar| (|spadConstant| $ 30) (QREFELT $ 31))))
      ('T
       (SEQ (LETT |ck| (SPADCALL |m| (QREFELT $ 32)) |LSMP;aSolution|)
        (SEQ G190
         (COND
          ((NULL
            (COND
             ((< |ck| (SPADCALL |m| (QREFELT $ 33)))
              (SPADCALL (SPADCALL |m| |rk| |ck| (QREFELT $ 34))
               (QREFELT $ 26)))
             ('T 'NIL)))
           (GO G191)))
         (SEQ (EXIT (LETT |ck| (+ |ck| 1) |LSMP;aSolution|))) NIL (GO G190)
         G191 (EXIT NIL))
        (EXIT
         (COND ((EQL |ck| (SPADCALL |m| (QREFELT $ 33))) (CONS 1 "failed"))
          ('T
           (SEQ
            (LETT |sol| (SPADCALL |nvar| (|spadConstant| $ 30) (QREFELT $ 31))
             |LSMP;aSolution|)
            (LETT |v|
             (SPADCALL |nvar| (- (SPADCALL |m| (QREFELT $ 25)) 1)
              (QREFELT $ 36))
             |LSMP;aSolution|)
            (SEQ (LETT |i| (SPADCALL |m| (QREFELT $ 25)) |LSMP;aSolution|) G190
             (COND ((> |i| |rk|) (GO G191)))
             (SEQ
              (SEQ (LETT |j| 0 |LSMP;aSolution|) G190
               (COND
                ((NULL
                  (SPADCALL
                   (SPADCALL |m| |i| (+ |j| (SPADCALL |m| (QREFELT $ 32)))
                    (QREFELT $ 34))
                   (QREFELT $ 26)))
                 (GO G191)))
               (SEQ (EXIT (|spadConstant| $ 30)))
               (LETT |j| (QSADD1 |j|) |LSMP;aSolution|) (GO G190) G191
               (EXIT NIL))
              (EXIT (SETELT |v| |j| |i|)))
             (LETT |i| (+ |i| 1) |LSMP;aSolution|) (GO G190) G191 (EXIT NIL))
            (SEQ (LETT |j| 0 |LSMP;aSolution|)
             (LETT #2# (- |nvar| 1) |LSMP;aSolution|) G190
             (COND ((QSGREATERP |j| #2#) (GO G191)))
             (SEQ
              (EXIT
               (COND
                ((NULL (< (ELT |v| |j|) (SPADCALL |m| (QREFELT $ 25))))
                 (SPADCALL |sol| (+ |j| (SPADCALL |sol| (QREFELT $ 37)))
                  (SPADCALL
                   (SPADCALL |m| (ELT |v| |j|) (SPADCALL |m| (QREFELT $ 33))
                    (QREFELT $ 34))
                   (QREFELT $ 38))
                  (QREFELT $ 39))))))
             (LETT |j| (QSADD1 |j|) |LSMP;aSolution|) (GO G190) G191
             (EXIT NIL))
            (EXIT (CONS 0 |sol|)))))))))))))) 

(DEFUN |LSMP;solve;MColR;6| (A |b| $)
 (PROG (|m|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL (ELT $ 26) |b| (QREFELT $ 40))
      (CONS
       (CONS 0
        (SPADCALL (SPADCALL A (QREFELT $ 21)) (|spadConstant| $ 30)
         (QREFELT $ 31)))
       (SPADCALL A (QREFELT $ 42))))
     ('T
      (SEQ
       (LETT |m| (SPADCALL (|LSMP;systemMatrix| A |b| $) (QREFELT $ 18))
        |LSMP;solve;MColR;6|)
       (EXIT
        (CONS (|LSMP;aSolution| |m| $)
         (SPADCALL
          (SPADCALL |m| (SPADCALL |m| (QREFELT $ 25))
           (SPADCALL |m| (QREFELT $ 24)) (SPADCALL |m| (QREFELT $ 32))
           (- (SPADCALL |m| (QREFELT $ 33)) 1) (QREFELT $ 43))
          (QREFELT $ 42))))))))))) 

(DEFUN |LSMP;solve;MLL;7| (A |l| $)
 (PROG (|sol0| |nl| #1=#:G3590 |b| #2=#:G3591)
  (RETURN
   (SEQ
    (COND
     ((NULL |l|)
      (LIST
       (CONS
        (CONS 0
         (SPADCALL (SPADCALL A (QREFELT $ 21)) (|spadConstant| $ 30)
          (QREFELT $ 31)))
        (SPADCALL A (QREFELT $ 42)))))
     ('T
      (SEQ
       (LETT |nl|
        (QCDR
         (LETT |sol0| (SPADCALL A (|SPADfirst| |l|) (QREFELT $ 45))
          |LSMP;solve;MLL;7|))
        |LSMP;solve;MLL;7|)
       (EXIT
        (CONS |sol0|
         (PROGN (LETT #1# NIL |LSMP;solve;MLL;7|)
          (SEQ (LETT |b| NIL |LSMP;solve;MLL;7|)
           (LETT #2# (CDR |l|) |LSMP;solve;MLL;7|) G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |b| (CAR #2#) |LSMP;solve;MLL;7|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS
               (CONS
                (|LSMP;aSolution|
                 (SPADCALL (|LSMP;systemMatrix| A |b| $) (QREFELT $ 18)) $)
                |nl|)
               #1#)
              |LSMP;solve;MLL;7|)))
           (LETT #2# (CDR #2#) |LSMP;solve;MLL;7|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))))))))))) 

(DEFUN |LinearSystemMatrixPackage| (&REST #1=#:G3596 &AUX #2=#:G3594)
 (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3595)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|LinearSystemMatrixPackage|)
         '|domainEqualList|)
        |LinearSystemMatrixPackage|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |LinearSystemMatrixPackage;|) #2#)
         (LETT #3# T |LinearSystemMatrixPackage|))
        (COND
         ((NOT #3#)
          (HREM |$ConstructorCache| '|LinearSystemMatrixPackage|))))))))))) 

(DEFUN |LinearSystemMatrixPackage;| (|#1| |#2| |#3| |#4|)
 (PROG (DV$1 DV$2 DV$3 DV$4 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|LinearSystemMatrixPackage|))
    (LETT DV$2 (|devaluate| |#2|) . #1#) (LETT DV$3 (|devaluate| |#3|) . #1#)
    (LETT DV$4 (|devaluate| |#4|) . #1#)
    (LETT |dv$| (LIST '|LinearSystemMatrixPackage| DV$1 DV$2 DV$3 DV$4) . #1#)
    (LETT $ (GETREFV 48) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|LinearSystemMatrixPackage|
     (LIST DV$1 DV$2 DV$3 DV$4) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 8 |#3|) (QSETREFV $ 9 |#4|) $)))) 

(MAKEPROP '|LinearSystemMatrixPackage| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|local| |#2|) (|local| |#3|)
     (|local| |#4|) (|NonNegativeInteger|) (0 . |rank|) (|Boolean|)
     |LSMP;hasSolution?;MColB;1| (5 . |coerce|) (10 . -) (15 . |horizConcat|)
     |LSMP;rank;MColNni;3| (21 . |rowEchelon|) (|Union| 8 '"failed")
     |LSMP;particularSolution;MColU;4| (26 . |ncols|) (31 . |One|) (|Integer|)
     (35 . |maxRowIndex|) (40 . |minRowIndex|) (45 . |zero?|) (50 . |row|)
     (|Mapping| 12 6) (56 . |every?|) (62 . |Zero|) (66 . |new|)
     (72 . |minColIndex|) (77 . |maxColIndex|) (82 . |qelt|)
     (|PrimitiveArray| 23) (89 . |new|) (95 . |minIndex|) (100 . -)
     (105 . |qsetelt!|) (112 . |every?|) (|List| 8) (118 . |nullSpace|)
     (123 . |subMatrix|) (|Record| (|:| |particular| 19) (|:| |basis| 41))
     |LSMP;solve;MColR;6| (|List| 44) |LSMP;solve;MLL;7|)
  '#(|solve| 132 |rank| 144 |particularSolution| 150 |hasSolution?| 156) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 47
      '(1 9 10 0 11 1 9 0 8 14 1 9 0 0 15 2 9 0 0 0 16 1 9 0 0 18 1 9 10 0 21 0
        6 0 22 1 9 23 0 24 1 9 23 0 25 1 6 12 0 26 2 9 7 0 23 27 2 7 12 28 0 29
        0 6 0 30 2 8 0 10 6 31 1 9 23 0 32 1 9 23 0 33 3 9 6 0 23 23 34 2 35 0
        10 23 36 1 8 23 0 37 1 6 0 0 38 3 8 6 0 23 6 39 2 8 12 28 0 40 1 9 41 0
        42 5 9 0 0 23 23 23 23 43 2 0 46 9 41 47 2 0 44 9 8 45 2 0 10 9 8 17 2
        0 19 9 8 20 2 0 12 9 8 13)))))
  '|lookupComplete|)) 
