
(/VERSIONCHECK 2) 

(DEFUN |MDDFACT;reduction| (|u| |p| $)
 (COND ((ZEROP |p|) |u|)
  ('T
   (SPADCALL (CONS #'|MDDFACT;reduction!0| (VECTOR $ |p|)) |u|
    (QREFELT $ 10))))) 

(DEFUN |MDDFACT;reduction!0| (|#1| $$)
 (SPADCALL |#1| (QREFELT $$ 1) (QREFELT (QREFELT $$ 0) 8))) 

(DEFUN |MDDFACT;merge| (|p| |q| $)
 (COND ((EQL |p| |q|) (CONS 0 |p|)) ((EQL |p| 0) (CONS 0 |q|))
  ((EQL |q| 0) (CONS 0 |p|)) ('T (CONS 1 "failed")))) 

(DEFUN |MDDFACT;modInverse| (|c| |p| $)
 (PROG (#1=#:G3562)
  (RETURN
   (QCAR
    (PROG2 (LETT #1# (SPADCALL |c| |p| 1 (QREFELT $ 15)) |MDDFACT;modInverse|)
     (QCDR #1#)
     (|check-union| (QEQCAR #1# 0)
      (|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|))) #1#)))))) 

(DEFUN |MDDFACT;exactquo| (|u| |v| |p| $)
 (PROG (|invlcv| |r|)
  (RETURN
   (SEQ
    (LETT |invlcv| (|MDDFACT;modInverse| (SPADCALL |v| (QREFELT $ 16)) |p| $)
     |MDDFACT;exactquo|)
    (LETT |r|
     (SPADCALL |u|
      (|MDDFACT;reduction| (SPADCALL |invlcv| |v| (QREFELT $ 17)) |p| $)
      (QREFELT $ 19))
     |MDDFACT;exactquo|)
    (COND
     ((NULL
       (SPADCALL (|MDDFACT;reduction| (QCDR |r|) |p| $) (|spadConstant| $ 11)
        (QREFELT $ 21)))
      (EXIT (CONS 1 "failed"))))
    (EXIT
     (CONS 0
      (|MDDFACT;reduction| (SPADCALL |invlcv| (QCAR |r|) (QREFELT $ 17)) |p|
       $))))))) 

(DEFUN |MDDFACT;lc| (|u| $)
 (SPADCALL (SPADCALL |u| (QREFELT $ 23)) (QREFELT $ 16))) 

(DEFUN |MDDFACT;degree| (|u| $)
 (SPADCALL (SPADCALL |u| (QREFELT $ 23)) (QREFELT $ 25))) 

(DEFUN |MDDFACT;makeMonic| (|u| $)
 (SPADCALL
  (|MDDFACT;modInverse| (|MDDFACT;lc| |u| $) (SPADCALL |u| (QREFELT $ 26)) $)
  |u| (QREFELT $ 27))) 

(DEFUN |MDDFACT;exptmod| (|u1| |i| |u2| $)
 (PROG (|ans|)
  (RETURN
   (SEQ
    (COND
     ((< |i| 0) (|error| "negative exponentiation not allowed for exptMod"))
     ('T
      (SEQ (LETT |ans| (|spadConstant| $ 28) |MDDFACT;exptmod|)
       (SEQ G190 (COND ((NULL (< 0 |i|)) (GO G191)))
        (SEQ
         (COND
          ((ODDP |i|)
           (LETT |ans|
            (SPADCALL (SPADCALL |ans| |u1| (QREFELT $ 29)) |u2| (QREFELT $ 30))
            |MDDFACT;exptmod|)))
         (LETT |i| (QUOTIENT2 |i| 2) |MDDFACT;exptmod|)
         (EXIT
          (LETT |u1|
           (SPADCALL (SPADCALL |u1| |u1| (QREFELT $ 29)) |u2| (QREFELT $ 30))
           |MDDFACT;exptmod|)))
        NIL (GO G190) G191 (EXIT NIL))
       (EXIT |ans|)))))))) 

(DEFUN |MDDFACT;exptMod;UIUIU;9| (|a| |i| |b| |q| $)
 (PROG (|ans|)
  (RETURN
   (SEQ
    (LETT |ans|
     (|MDDFACT;exptmod| (SPADCALL |a| |q| (QREFELT $ 31)) |i|
      (SPADCALL |b| |q| (QREFELT $ 31)) $)
     |MDDFACT;exptMod;UIUIU;9|)
    (EXIT (SPADCALL |ans| (QREFELT $ 23))))))) 

(DEFUN |MDDFACT;ddfactor| (|u| $)
 (PROG (|c| |ans| #1=#:G3588 |f| #2=#:G3589)
  (RETURN
   (SEQ
    (SEQ (LETT |c| (|MDDFACT;lc| |u| $) |MDDFACT;ddfactor|)
     (EXIT
      (COND
       ((NULL (EQL |c| 1))
        (LETT |u| (|MDDFACT;makeMonic| |u| $) |MDDFACT;ddfactor|)))))
    (LETT |ans| (|MDDFACT;sepfact| (|MDDFACT;ddfact| |u| $) $)
     |MDDFACT;ddfactor|)
    (EXIT
     (CONS (SPADCALL |c| (QREFELT $ 33))
      (PROGN (LETT #1# NIL |MDDFACT;ddfactor|)
       (SEQ (LETT |f| NIL |MDDFACT;ddfactor|)
        (LETT #2# |ans| |MDDFACT;ddfactor|) G190
        (COND
         ((OR (ATOM #2#) (PROGN (LETT |f| (CAR #2#) |MDDFACT;ddfactor|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (COND
           ((< 0 (|MDDFACT;degree| |f| $))
            (LETT #1# (CONS (|MDDFACT;makeMonic| |f| $) #1#)
             |MDDFACT;ddfactor|)))))
        (LETT #2# (CDR #2#) |MDDFACT;ddfactor|) (GO G190) G191
        (EXIT (NREVERSE0 #1#)))))))))) 

(DEFUN |MDDFACT;gcd;2UIU;11| (|u| |v| |q| $)
 (SPADCALL
  (SPADCALL (SPADCALL |u| |q| (QREFELT $ 31)) (SPADCALL |v| |q| (QREFELT $ 31))
   (QREFELT $ 34))
  (QREFELT $ 23))) 

(DEFUN |MDDFACT;factor;UIL;12| (|u| |q| $)
 (PROG (|v| |dv| |ans| #1=#:G3595 |f| #2=#:G3596)
  (RETURN
   (SEQ (LETT |v| (SPADCALL |u| |q| (QREFELT $ 31)) |MDDFACT;factor;UIL;12|)
    (LETT |dv| (SPADCALL (SPADCALL |u| (QREFELT $ 36)) |q| (QREFELT $ 31))
     |MDDFACT;factor;UIL;12|)
    (EXIT
     (COND
      ((< 0 (|MDDFACT;degree| (SPADCALL |v| |dv| (QREFELT $ 34)) $))
       (|error| "Modular factor: polynomial must be squarefree"))
      ('T
       (SEQ (LETT |ans| (|MDDFACT;ddfactor| |v| $) |MDDFACT;factor;UIL;12|)
        (EXIT
         (PROGN (LETT #1# NIL |MDDFACT;factor;UIL;12|)
          (SEQ (LETT |f| NIL |MDDFACT;factor;UIL;12|)
           (LETT #2# |ans| |MDDFACT;factor;UIL;12|) G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |f| (CAR #2#) |MDDFACT;factor;UIL;12|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1# (CONS (SPADCALL |f| (QREFELT $ 23)) #1#)
              |MDDFACT;factor;UIL;12|)))
           (LETT #2# (CDR #2#) |MDDFACT;factor;UIL;12|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))))))))))) 

(DEFUN |MDDFACT;ddfact| (|u| $)
 (PROG (|p| |m| |c| |w| |g| |ans| |d| #1=#:G3605 #2=#:G3601)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |p| (SPADCALL |u| (QREFELT $ 26)) |MDDFACT;ddfact|)
      (LETT |w| (SPADCALL (SPADCALL 1 1 (QREFELT $ 39)) |p| (QREFELT $ 31))
       |MDDFACT;ddfact|)
      (LETT |m| |w| |MDDFACT;ddfact|) (LETT |d| 1 |MDDFACT;ddfact|)
      (SEQ (LETT |c| (|MDDFACT;lc| |u| $) |MDDFACT;ddfact|)
       (EXIT
        (COND
         ((NULL (EQL |c| 1))
          (LETT |u| (|MDDFACT;makeMonic| |u| $) |MDDFACT;ddfact|)))))
      (LETT |ans| NIL |MDDFACT;ddfact|)
      (EXIT
       (SEQ G190 NIL
        (SEQ (LETT |w| (|MDDFACT;exptmod| |w| |p| |u| $) |MDDFACT;ddfact|)
         (LETT |g|
          (SPADCALL (SPADCALL |w| |m| (QREFELT $ 40)) |u| (QREFELT $ 34))
          |MDDFACT;ddfact|)
         (COND
          ((< 0 (|MDDFACT;degree| |g| $))
           (SEQ (LETT |g| (|MDDFACT;makeMonic| |g| $) |MDDFACT;ddfact|)
            (LETT |ans| (CONS (CONS |g| |d|) |ans|) |MDDFACT;ddfact|)
            (EXIT
             (LETT |u| (SPADCALL |u| |g| (QREFELT $ 41)) |MDDFACT;ddfact|)))))
         (EXIT
          (COND
           ((EQL (|MDDFACT;degree| |u| $) 0)
            (PROGN
             (LETT #1# (CONS (CONS (SPADCALL |c| (QREFELT $ 33)) 0) |ans|)
              |MDDFACT;ddfact|)
             (GO #1#)))
           ('T
            (SEQ
             (EXIT
              (SEQ (LETT |d| (+ |d| 1) |MDDFACT;ddfact|)
               (EXIT
                (COND
                 ((< (QUOTIENT2 (|MDDFACT;degree| |u| $) 2) |d|)
                  (PROGN
                   (LETT #2#
                    (PROGN
                     (LETT #1#
                      (CONS (CONS (SPADCALL |c| (QREFELT $ 33)) 0)
                       (CONS (CONS |u| (|MDDFACT;degree| |u| $)) |ans|))
                      |MDDFACT;ddfact|)
                     (GO #1#))
                    |MDDFACT;ddfact|)
                   (GO #2#)))))))
             #2# (EXIT #2#))))))
        NIL (GO G190) G191 (EXIT NIL)))))
    #1# (EXIT #1#))))) 

(DEFUN |MDDFACT;ddFact;UIL;14| (|u| |q| $)
 (PROG (|ans| #1=#:G3613 |dd| #2=#:G3614)
  (RETURN
   (SEQ
    (LETT |ans| (|MDDFACT;ddfact| (SPADCALL |u| |q| (QREFELT $ 31)) $)
     |MDDFACT;ddFact;UIL;14|)
    (EXIT
     (PROGN (LETT #1# NIL |MDDFACT;ddFact;UIL;14|)
      (SEQ (LETT |dd| NIL |MDDFACT;ddFact;UIL;14|)
       (LETT #2# |ans| |MDDFACT;ddFact;UIL;14|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |dd| (CAR #2#) |MDDFACT;ddFact;UIL;14|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1#
          (CONS (CONS (SPADCALL (QCAR |dd|) (QREFELT $ 23)) (QCDR |dd|)) #1#)
          |MDDFACT;ddFact;UIL;14|)))
       (LETT #2# (CDR #2#) |MDDFACT;ddFact;UIL;14|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))))))) 

(DEFUN |MDDFACT;linears;UIU;15| (|u| |q| $)
 (PROG (|uu| |m|)
  (RETURN
   (SEQ (LETT |uu| (SPADCALL |u| |q| (QREFELT $ 31)) |MDDFACT;linears;UIU;15|)
    (LETT |m| (SPADCALL (SPADCALL 1 1 (QREFELT $ 39)) |q| (QREFELT $ 31))
     |MDDFACT;linears;UIU;15|)
    (EXIT
     (SPADCALL
      (SPADCALL
       (SPADCALL (|MDDFACT;exptmod| |m| |q| |uu| $) |m| (QREFELT $ 40)) |uu|
       (QREFELT $ 34))
      (QREFELT $ 23))))))) 

(DEFUN |MDDFACT;sepfact| (|factList| $)
 (PROG (|f| #1=#:G3622 #2=#:G3620 #3=#:G3618 #4=#:G3619)
  (RETURN
   (SEQ
    (PROGN (LETT #4# NIL |MDDFACT;sepfact|)
     (SEQ (LETT |f| NIL |MDDFACT;sepfact|)
      (LETT #1# |factList| |MDDFACT;sepfact|) G190
      (COND
       ((OR (ATOM #1#) (PROGN (LETT |f| (CAR #1#) |MDDFACT;sepfact|) NIL))
        (GO G191)))
      (SEQ
       (EXIT
        (PROGN (LETT #2# (|MDDFACT;sepFact1| |f| $) |MDDFACT;sepfact|)
         (COND (#4# (LETT #3# (APPEND #3# #2#) |MDDFACT;sepfact|))
          ('T
           (PROGN (LETT #3# #2# |MDDFACT;sepfact|)
            (LETT #4# 'T |MDDFACT;sepfact|)))))))
      (LETT #1# (CDR #1#) |MDDFACT;sepfact|) (GO G190) G191 (EXIT NIL))
     (COND (#4# #3#) ('T (|IdentityError| '|append|)))))))) 

(DEFUN |MDDFACT;separateFactors;LIL;17| (|uddList| |q| $)
 (PROG (#1=#:G3629 |udd| #2=#:G3630 |ans| #3=#:G3631 |f| #4=#:G3632)
  (RETURN
   (SEQ
    (LETT |ans|
     (|MDDFACT;sepfact|
      (PROGN (LETT #1# NIL |MDDFACT;separateFactors;LIL;17|)
       (SEQ (LETT |udd| NIL |MDDFACT;separateFactors;LIL;17|)
        (LETT #2# |uddList| |MDDFACT;separateFactors;LIL;17|) G190
        (COND
         ((OR (ATOM #2#)
           (PROGN (LETT |udd| (CAR #2#) |MDDFACT;separateFactors;LIL;17|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (LETT #1#
           (CONS (CONS (SPADCALL (QCAR |udd|) |q| (QREFELT $ 31)) (QCDR |udd|))
            #1#)
           |MDDFACT;separateFactors;LIL;17|)))
        (LETT #2# (CDR #2#) |MDDFACT;separateFactors;LIL;17|) (GO G190) G191
        (EXIT (NREVERSE0 #1#))))
      $)
     |MDDFACT;separateFactors;LIL;17|)
    (EXIT
     (PROGN (LETT #3# NIL |MDDFACT;separateFactors;LIL;17|)
      (SEQ (LETT |f| NIL |MDDFACT;separateFactors;LIL;17|)
       (LETT #4# |ans| |MDDFACT;separateFactors;LIL;17|) G190
       (COND
        ((OR (ATOM #4#)
          (PROGN (LETT |f| (CAR #4#) |MDDFACT;separateFactors;LIL;17|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #3# (CONS (SPADCALL |f| (QREFELT $ 23)) #3#)
          |MDDFACT;separateFactors;LIL;17|)))
       (LETT #4# (CDR #4#) |MDDFACT;separateFactors;LIL;17|) (GO G190) G191
       (EXIT (NREVERSE0 #3#))))))))) 

(DEFUN |MDDFACT;decode| (|s| |p| |x| $)
 (PROG (|qr|)
  (RETURN
   (SEQ
    (COND ((< |s| |p|) (SPADCALL |s| (QREFELT $ 47)))
     ('T
      (SEQ (LETT |qr| (DIVIDE2 |s| |p|) |MDDFACT;decode|)
       (EXIT
        (SPADCALL (SPADCALL (QCDR |qr|) (QREFELT $ 47))
         (SPADCALL |x| (|MDDFACT;decode| (QCAR |qr|) |p| |x| $) (QREFELT $ 48))
         (QREFELT $ 49)))))))))) 

(DEFUN |MDDFACT;sepFact1| (|f| $)
 (PROG
  (|p| |d| |c| |u| |i| |du| |y| #1=#:G3659 |t| |flist| |fact| #2=#:G3660 |f1|
   |df1| |stack| |ans| |s| |ss| |x| #3=#:G3651)
  (RETURN
   (SEQ (LETT |u| (QCAR |f|) |MDDFACT;sepFact1|)
    (LETT |p| (SPADCALL |u| (QREFELT $ 26)) |MDDFACT;sepFact1|)
    (LETT |d| (QCDR |f|) |MDDFACT;sepFact1|)
    (EXIT
     (COND ((EQL |d| 0) (LIST |u|))
      ('T
       (SEQ
        (SEQ (LETT |c| (|MDDFACT;lc| |u| $) |MDDFACT;sepFact1|)
         (EXIT
          (COND
           ((NULL (EQL |c| 1))
            (LETT |u| (|MDDFACT;makeMonic| |u| $) |MDDFACT;sepFact1|)))))
        (LETT |du| (|MDDFACT;degree| |u| $) |MDDFACT;sepFact1|)
        (EXIT
         (COND ((EQL |d| |du|) (LIST |u|))
          ('T
           (SEQ (LETT |ans| NIL |MDDFACT;sepFact1|)
            (LETT |x| (SPADCALL 1 1 (QREFELT $ 39)) |MDDFACT;sepFact1|)
            (COND
             ((EQL |d| 1)
              (COND
               ((< |p| 1000)
                (EXIT
                 (SEQ
                  (SEQ (LETT |i| 0 |MDDFACT;sepFact1|) G190
                   (COND ((NULL (< 0 |du|)) (GO G191)))
                   (SEQ
                    (EXIT
                     (COND
                      ((SPADCALL
                        (SPADCALL |u| (SPADCALL |i| (QREFELT $ 47))
                         (QREFELT $ 51))
                        (|spadConstant| $ 11) (QREFELT $ 21))
                       (SEQ
                        (LETT |ans|
                         (CONS
                          (SPADCALL
                           (SPADCALL |x| (SPADCALL |i| (QREFELT $ 47))
                            (QREFELT $ 52))
                           |p| (QREFELT $ 31))
                          |ans|)
                         |MDDFACT;sepFact1|)
                        (EXIT (LETT |du| (- |du| 1) |MDDFACT;sepFact1|)))))))
                   (LETT |i| (QSADD1 |i|) |MDDFACT;sepFact1|) (GO G190) G191
                   (EXIT NIL))
                  (EXIT |ans|)))))))
            (LETT |y| |x| |MDDFACT;sepFact1|) (LETT |s| 0 |MDDFACT;sepFact1|)
            (LETT |ss| 1 |MDDFACT;sepFact1|)
            (LETT |stack| (LIST |u|) |MDDFACT;sepFact1|)
            (SEQ (LETT #1# NIL |MDDFACT;sepFact1|) G190 (COND (#1# (GO G191)))
             (SEQ
              (LETT |t|
               (SPADCALL
                (SPADCALL (SPADCALL |s| (QREFELT $ 47)) |x| (QREFELT $ 49)) |p|
                (QREFELT $ 31))
               |MDDFACT;sepFact1|)
              (SEQ
               (LETT |flist|
                (|MDDFACT;probSplit| (|SPADfirst| |stack|) |t| |d| $)
                |MDDFACT;sepFact1|)
               (EXIT
                (COND
                 ((NULL (QEQCAR |flist| 1))
                  (SEQ (LETT |stack| (CDR |stack|) |MDDFACT;sepFact1|)
                   (EXIT
                    (SEQ (LETT |fact| NIL |MDDFACT;sepFact1|)
                     (LETT #2# (QCDR |flist|) |MDDFACT;sepFact1|) G190
                     (COND
                      ((OR (ATOM #2#)
                        (PROGN (LETT |fact| (CAR #2#) |MDDFACT;sepFact1|) NIL))
                       (GO G191)))
                     (SEQ
                      (LETT |f1| (|MDDFACT;makeMonic| |fact| $)
                       |MDDFACT;sepFact1|)
                      (LETT |df1| (|MDDFACT;degree| |f1| $) |MDDFACT;sepFact1|)
                      (EXIT
                       (COND ((EQL |df1| 0) NIL)
                        ((< |d| |df1|)
                         (LETT |stack| (CONS |f1| |stack|) |MDDFACT;sepFact1|))
                        ('T
                         (LETT |ans| (CONS |f1| |ans|) |MDDFACT;sepFact1|)))))
                     (LETT #2# (CDR #2#) |MDDFACT;sepFact1|) (GO G190) G191
                     (EXIT NIL))))))))
              (EXIT
               (COND
                ((EQL |p| 2)
                 (SEQ (LETT |ss| (+ |ss| 1) |MDDFACT;sepFact1|)
                  (EXIT
                   (LETT |x|
                    (SPADCALL |y| (|MDDFACT;decode| |ss| |p| |y| $)
                     (QREFELT $ 48))
                    |MDDFACT;sepFact1|))))
                ('T
                 (SEQ (LETT |s| (+ |s| 1) |MDDFACT;sepFact1|)
                  (EXIT
                   (COND
                    ((EQL |s| |p|)
                     (SEQ
                      (EXIT
                       (SEQ (LETT |s| 0 |MDDFACT;sepFact1|)
                        (LETT |ss| (+ |ss| 1) |MDDFACT;sepFact1|)
                        (LETT |x|
                         (SPADCALL |y| (|MDDFACT;decode| |ss| |p| |y| $)
                          (QREFELT $ 48))
                         |MDDFACT;sepFact1|)
                        (EXIT
                         (COND
                          ((NULL (EQL (SPADCALL |x| (QREFELT $ 16)) 1))
                           (PROGN
                            (LETT #3#
                             (SEQ
                              (LETT |ss|
                               (EXPT |p| (SPADCALL |x| (QREFELT $ 25)))
                               |MDDFACT;sepFact1|)
                              (EXIT
                               (LETT |x|
                                (SPADCALL |y|
                                 (+ (SPADCALL |x| (QREFELT $ 25)) 1)
                                 (QREFELT $ 53))
                                |MDDFACT;sepFact1|)))
                             |MDDFACT;sepFact1|)
                            (GO #3#)))))))
                      #3# (EXIT #3#))))))))))
             (LETT #1# (NULL |stack|) |MDDFACT;sepFact1|) (GO G190) G191
             (EXIT NIL))
            (EXIT
             (CONS (SPADCALL |c| (|SPADfirst| |ans|) (QREFELT $ 27))
              (CDR |ans|))))))))))))))) 

(DEFUN |MDDFACT;probSplit| (|u| |t| |d| $)
 (PROG (|p| |f1| |r| |n| |f2| |g|)
  (RETURN
   (SEQ (LETT |p| (SPADCALL |u| (QREFELT $ 26)) |MDDFACT;probSplit|)
    (EXIT
     (COND ((EQL |p| 2) (|MDDFACT;probSplit2| |u| |t| |d| $))
      ('T
       (SEQ (LETT |f1| (SPADCALL |u| |t| (QREFELT $ 34)) |MDDFACT;probSplit|)
        (LETT |r| (QUOTIENT2 (- (EXPT |p| |d|) 1) 2) |MDDFACT;probSplit|)
        (LETT |n| (|MDDFACT;exptmod| |t| |r| |u| $) |MDDFACT;probSplit|)
        (LETT |f2|
         (SPADCALL |u| (SPADCALL |n| (|spadConstant| $ 28) (QREFELT $ 54))
          (QREFELT $ 34))
         |MDDFACT;probSplit|)
        (LETT |g| (SPADCALL |f1| |f2| (QREFELT $ 29)) |MDDFACT;probSplit|)
        (EXIT
         (COND
          ((OR (SPADCALL |g| (|spadConstant| $ 28) (QREFELT $ 55))
            (SPADCALL |g| |u| (QREFELT $ 55)))
           (CONS 1 "failed"))
          ('T
           (CONS 0
            (LIST |f1| |f2| (SPADCALL |u| |g| (QREFELT $ 41))))))))))))))) 

(DEFUN |MDDFACT;probSplit2| (|u| |t| |d| $)
 (PROG (|f|)
  (RETURN
   (SEQ
    (LETT |f| (SPADCALL |u| (|MDDFACT;trace| |t| |d| |u| $) (QREFELT $ 34))
     |MDDFACT;probSplit2|)
    (EXIT
     (COND
      ((OR (SPADCALL |f| (|spadConstant| $ 28) (QREFELT $ 55))
        (EQL (|MDDFACT;degree| |u| $) (|MDDFACT;degree| |f| $)))
       (CONS 1 "failed"))
      ('T
       (CONS 0
        (LIST (|spadConstant| $ 28) |f|
         (SPADCALL |u| |f| (QREFELT $ 41))))))))))) 

(DEFUN |MDDFACT;trace| (|t| |d| |u| $)
 (PROG (|p| |tt|)
  (RETURN
   (SEQ (LETT |p| (SPADCALL |t| (QREFELT $ 26)) |MDDFACT;trace|)
    (LETT |d| (- |d| 1) |MDDFACT;trace|) (LETT |tt| |t| |MDDFACT;trace|)
    (SEQ G190 (COND ((NULL (< 0 |d|)) (GO G191)))
     (SEQ
      (LETT |tt|
       (SPADCALL
        (SPADCALL |tt|
         (LETT |t| (|MDDFACT;exptmod| |t| |p| |u| $) |MDDFACT;trace|)
         (QREFELT $ 54))
        |u| (QREFELT $ 30))
       |MDDFACT;trace|)
      (EXIT (LETT |d| (- |d| 1) |MDDFACT;trace|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT |tt|))))) 

(DEFUN |ModularDistinctDegreeFactorizer| (#1=#:G3679)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3680)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|ModularDistinctDegreeFactorizer|)
         '|domainEqualList|)
        |ModularDistinctDegreeFactorizer|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|ModularDistinctDegreeFactorizer;| #1#)
         (LETT #2# T |ModularDistinctDegreeFactorizer|))
        (COND
         ((NOT #2#)
          (HREM |$ConstructorCache|
           '|ModularDistinctDegreeFactorizer|))))))))))) 

(DEFUN |ModularDistinctDegreeFactorizer;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT DV$1 (|devaluate| |#1|) . #1=(|ModularDistinctDegreeFactorizer|))
    (LETT |dv$| (LIST '|ModularDistinctDegreeFactorizer| DV$1) . #1#)
    (LETT $ (GETREFV 56) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|ModularDistinctDegreeFactorizer|
     (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (QSETREFV $ 22
     (|EuclideanModularRing| (|Integer|) |#1| (|Integer|)
      (CONS (|function| |MDDFACT;reduction|) $)
      (CONS (|function| |MDDFACT;merge|) $)
      (CONS (|function| |MDDFACT;exactquo|) $)))
    $)))) 

(MAKEPROP '|ModularDistinctDegreeFactorizer| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|Integer|)
     (0 . |positiveRemainder|) (|Mapping| 7 7) (6 . |map|) (12 . |Zero|)
     (16 . |One|) (|Record| (|:| |coef1| $) (|:| |coef2| $))
     (|Union| 13 '"failed") (20 . |extendedEuclidean|)
     (27 . |leadingCoefficient|) (32 . *)
     (|Record| (|:| |quotient| $) (|:| |remainder| $)) (38 . |monicDivide|)
     (|Boolean|) (44 . =) 'EMR (50 . |coerce|) (|NonNegativeInteger|)
     (55 . |degree|) (60 . |modulus|) (65 . *) (71 . |One|) (75 . *)
     (81 . |rem|) (87 . |reduce|) |MDDFACT;exptMod;UIUIU;9| (93 . |coerce|)
     (98 . |gcd|) |MDDFACT;gcd;2UIU;11| (104 . |differentiate|) (|List| 6)
     |MDDFACT;factor;UIL;12| (109 . |monomial|) (115 . -) (121 . |quo|)
     (|Record| (|:| |factor| 6) (|:| |degree| 7)) (|List| 42)
     |MDDFACT;ddFact;UIL;14| |MDDFACT;linears;UIU;15|
     |MDDFACT;separateFactors;LIL;17| (127 . |coerce|) (132 . *) (138 . +)
     (144 . |Zero|) (148 . |elt|) (154 . -) (160 . **) (166 . +) (172 . =))
  '#(|separateFactors| 178 |linears| 184 |gcd| 190 |factor| 197 |exptMod| 203
     |ddFact| 211)
  'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 55
      '(2 7 0 0 0 8 2 6 0 9 0 10 0 6 0 11 0 6 0 12 3 7 14 0 0 0 15 1 6 7 0 16 2
        6 0 7 0 17 2 6 18 0 0 19 2 6 20 0 0 21 1 22 6 0 23 1 6 24 0 25 1 22 7 0
        26 2 22 0 7 0 27 0 22 0 28 2 22 0 0 0 29 2 22 0 0 0 30 2 22 0 6 7 31 1
        22 0 7 33 2 22 0 0 0 34 1 6 0 0 36 2 6 0 7 24 39 2 22 0 0 0 40 2 22 0 0
        0 41 1 6 0 7 47 2 6 0 0 0 48 2 6 0 0 0 49 0 22 0 50 2 22 6 0 6 51 2 6 0
        0 0 52 2 6 0 0 24 53 2 22 0 0 0 54 2 22 20 0 0 55 2 0 37 43 7 46 2 0 6
        6 7 45 3 0 6 6 6 7 35 2 0 37 6 7 38 4 0 6 6 7 6 7 32 2 0 43 6 7 44)))))
  '|lookupComplete|)) 
