
(/VERSIONCHECK 2) 

(DEFUN |PrimeField| (#1=#:G3573)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3574)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|PrimeField|) '|domainEqualList|)
        |PrimeField|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT (PROG1 (|PrimeField;| #1#) (LETT #2# T |PrimeField|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|PrimeField|))))))))))) 

(DEFUN |PrimeField;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|PrimeField|))
    (LETT |dv$| (LIST '|PrimeField| DV$1) . #1#) (LETT $ (GETREFV 40) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|PrimeField| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|)
    (AND (|HasCategory| $ '(|CharacteristicZero|)) (|augmentPredVector| $ 1))
    (AND (|HasCategory| $ '(|CharacteristicNonZero|))
     (|augmentPredVector| $ 2))
    (AND (|HasCategory| $ '(|Finite|)) (|augmentPredVector| $ 4))
    (QSETREFV $ 11 (SPADCALL |#1| (QREFELT $ 10)))
    (COND ((QREFELT $ 11))
     ('T (|error| "Argument to prime field must be a prime")))
    $)))) 

(MAKEPROP '|PrimeField| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|InnerPrimeField| 6) (|local| |#1|) (|Boolean|)
     (|Integer|) (|IntegerPrimesPackage| 8) (0 . |prime?|) '#:G3538
     (|NonNegativeInteger|) (|PositiveInteger|)
     (|SparseUnivariatePolynomial| $) (|Union| 14 '"failed")
     (|Union| $ '"failed") (|CardinalNumber|) (|OnePointCompletion| 13)
     (|Vector| $) (|Matrix| $)
     (|Union| '"prime" '"polynomial" '"normal" '"cyclic") (|Table| 13 12)
     (|Union| 19 '"failed") (|Record| (|:| |factor| 8) (|:| |exponent| 8))
     (|List| 24) (|Union| 12 '"failed") (|Fraction| 8) (|Factored| $)
     (|Record| (|:| |coef1| $) (|:| |coef2| $)) (|Union| 29 '"failed")
     (|Union| 32 '"failed") (|List| $)
     (|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $))
     (|Record| (|:| |quotient| $) (|:| |remainder| $))
     (|Record| (|:| |coef| 32) (|:| |generator| $))
     (|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $))
     (|String|) (|OutputForm|) (|SingleInteger|))
  '#()
  '((|canonicalsClosed| . 0) (|canonicalUnitNormal| . 0) (|noZeroDivisors| . 0)
    ((|commutative| "*") . 0) (|rightUnitary| . 0) (|leftUnitary| . 0)
    (|unitsKnown| . 0))
  (CONS
   (|makeByteWordVec2| 1
    '(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
      0 0 0 0 0))
   (CONS
    '#(|FiniteAlgebraicExtensionField&| |FiniteFieldCategory&|
       |ExtensionField&| |FieldOfPrimeCharacteristic&| |Field&|
       |EuclideanDomain&| NIL |UniqueFactorizationDomain&| |GcdDomain&|
       |DivisionRing&| |IntegralDomain&| |VectorSpace&| |Algebra&| |Algebra&|
       |Module&| |DifferentialRing&| NIL |Module&| NIL NIL NIL NIL NIL |Ring&|
       NIL NIL NIL NIL NIL |AbelianGroup&| NIL |AbelianMonoid&| |Monoid&| NIL
       NIL |AbelianSemiGroup&| |SemiGroup&| |SetCategory&| NIL |RetractableTo&|
       |BasicType&| NIL)
    (CONS
     '#((|FiniteAlgebraicExtensionField| $$) (|FiniteFieldCategory|)
        (|ExtensionField| $$) (|FieldOfPrimeCharacteristic|) (|Field|)
        (|EuclideanDomain|) (|PrincipalIdealDomain|)
        (|UniqueFactorizationDomain|) (|GcdDomain|) (|DivisionRing|)
        (|IntegralDomain|) (|VectorSpace| $$) (|Algebra| 27) (|Algebra| $$)
        (|Module| $$) (|DifferentialRing|) (|CharacteristicNonZero|)
        (|Module| 27) (|EntireRing|) (|CommutativeRing|) (|CharacteristicZero|)
        (|BiModule| $$ $$) (|BiModule| 27 27) (|Ring|) (|LeftModule| $$)
        (|RightModule| 27) (|LeftModule| 27) (|Rng|) (|RightModule| $$)
        (|AbelianGroup|) (|CancellationAbelianMonoid|) (|AbelianMonoid|)
        (|Monoid|) (|StepThrough|) (|Finite|) (|AbelianSemiGroup|)
        (|SemiGroup|) (|SetCategory|) (|ConvertibleTo| 8) (|RetractableTo| $$)
        (|BasicType|) (|CoercibleTo| 38))
     (|makeByteWordVec2| 10 '(1 9 7 8 10)))))
  '|lookupIncomplete|)) 
