
(/VERSIONCHECK 2) 

(DEFUN |PLOT;Fnan?| (|x| $) (SPADCALL |x| |x| (QREFELT $ 17))) 

(DEFUN |PLOT;Pnan?| (|x| $)
 (SPADCALL (CONS (|function| |PLOT;Fnan?|) $) |x| (QREFELT $ 20))) 

(DEFUN |PLOT;listBranches;$L;3| (|plot| $)
 (PROG (|curve| #1=#:G3575 |p| #2=#:G3576 |newl| |outList|)
  (RETURN
   (SEQ (LETT |outList| NIL |PLOT;listBranches;$L;3|)
    (SEQ (LETT |curve| NIL |PLOT;listBranches;$L;3|)
     (LETT #1# (QVELT |plot| 4) |PLOT;listBranches;$L;3|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |curve| (CAR #1#) |PLOT;listBranches;$L;3|) NIL))
       (GO G191)))
     (SEQ (LETT |newl| NIL |PLOT;listBranches;$L;3|)
      (SEQ (LETT |p| NIL |PLOT;listBranches;$L;3|)
       (LETT #2# (QVELT |curve| 3) |PLOT;listBranches;$L;3|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |p| (CAR #2#) |PLOT;listBranches;$L;3|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((|PLOT;Pnan?| |p| $)
           (COND
            ((NULL (NULL |newl|))
             (SEQ
              (LETT |outList|
               (CONS (LETT |newl| (NREVERSE |newl|) |PLOT;listBranches;$L;3|)
                |outList|)
               |PLOT;listBranches;$L;3|)
              (EXIT (LETT |newl| NIL |PLOT;listBranches;$L;3|))))))
          ('T (LETT |newl| (CONS |p| |newl|) |PLOT;listBranches;$L;3|)))))
       (LETT #2# (CDR #2#) |PLOT;listBranches;$L;3|) (GO G190) G191 (EXIT NIL))
      (EXIT
       (COND
        ((NULL (NULL |newl|))
         (LETT |outList|
          (CONS (LETT |newl| (NREVERSE |newl|) |PLOT;listBranches;$L;3|)
           |outList|)
          |PLOT;listBranches;$L;3|)))))
     (LETT #1# (CDR #1#) |PLOT;listBranches;$L;3|) (GO G190) G191 (EXIT NIL))
    (EXIT |outList|))))) 

(DEFUN |PLOT;checkRange| (|r| $)
 (COND
  ((< (SPADCALL |r| (QREFELT $ 24)) (SPADCALL |r| (QREFELT $ 25)))
   (|error| "ranges cannot be negative"))
  ('T |r|))) 

(DEFUN |PLOT;intersect| (|s| |t| $)
 (|PLOT;checkRange|
  (SPADCALL (MAX (SPADCALL |s| (QREFELT $ 25)) (SPADCALL |t| (QREFELT $ 25)))
   (MIN (SPADCALL |s| (QREFELT $ 24)) (SPADCALL |t| (QREFELT $ 24)))
   (QREFELT $ 26))
  $)) 

(DEFUN |PLOT;union| (|s| |t| $)
 (SPADCALL (MIN (SPADCALL |s| (QREFELT $ 25)) (SPADCALL |t| (QREFELT $ 25)))
  (MAX (SPADCALL |s| (QREFELT $ 24)) (SPADCALL |t| (QREFELT $ 24)))
  (QREFELT $ 26))) 

(DEFUN |PLOT;join| (|l| |i| $)
 (PROG (|rr| |r| #1=#:G3585 |u|)
  (RETURN
   (SEQ (LETT |rr| (|SPADfirst| |l|) |PLOT;join|)
    (LETT |u|
     (COND ((EQL |i| 0) (|SPADfirst| (QVELT |rr| 1)))
      ((EQL |i| 1) (SPADCALL (QVELT |rr| 1) (QREFELT $ 28)))
      ('T (SPADCALL (QVELT |rr| 1) (QREFELT $ 29))))
     |PLOT;join|)
    (SEQ (LETT |r| NIL |PLOT;join|) (LETT #1# (CDR |l|) |PLOT;join|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |r| (CAR #1#) |PLOT;join|) NIL)) (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((EQL |i| 0)
         (LETT |u| (|PLOT;union| |u| (|SPADfirst| (QVELT |r| 1)) $)
          |PLOT;join|))
        ((EQL |i| 1)
         (LETT |u| (|PLOT;union| |u| (SPADCALL (QVELT |r| 1) (QREFELT $ 28)) $)
          |PLOT;join|))
        ('T
         (LETT |u| (|PLOT;union| |u| (SPADCALL (QVELT |r| 1) (QREFELT $ 29)) $)
          |PLOT;join|)))))
     (LETT #1# (CDR #1#) |PLOT;join|) (GO G190) G191 (EXIT NIL))
    (EXIT |u|))))) 

(DEFUN |PLOT;parametricRange| (|r| $) (|SPADfirst| (QVELT |r| 2))) 

(DEFUN |PLOT;minPoints;I;9| ($) (QREFELT $ 8)) 

(DEFUN |PLOT;setMinPoints;2I;10| (|n| $)
 (SEQ (COND ((< |n| 3) (|error| "three points minimum required")))
  (COND ((< (QREFELT $ 9) |n|) (SETELT $ 9 |n|))) (EXIT (SETELT $ 8 |n|)))) 

(DEFUN |PLOT;maxPoints;I;11| ($) (QREFELT $ 9)) 

(DEFUN |PLOT;setMaxPoints;2I;12| (|n| $)
 (SEQ (COND ((< |n| 3) (|error| "three points minimum required")))
  (COND ((< |n| (QREFELT $ 8)) (SETELT $ 8 |n|))) (EXIT (SETELT $ 9 |n|)))) 

(DEFUN |PLOT;screenResolution;I;13| ($) (QREFELT $ 11)) 

(DEFUN |PLOT;setScreenResolution;2I;14| (|n| $)
 (SEQ (COND ((< |n| 2) (|error| "buy a new terminal")))
  (EXIT (SETELT $ 11 |n|)))) 

(DEFUN |PLOT;adaptive?;B;15| ($) (QREFELT $ 7)) 

(DEFUN |PLOT;setAdaptive;2B;16| (|b| $) (SETELT $ 7 |b|)) 

(PUT '|PLOT;parametric?;$B;17| '|SPADreplace| '(XLAM (|p|) (QVELT |p| 0))) 

(DEFUN |PLOT;parametric?;$B;17| (|p| $) (QVELT |p| 0)) 

(DEFUN |PLOT;numFunEvals;I;18| ($) (QREFELT $ 10)) 

(DEFUN |PLOT;debug;2B;19| (|b| $) (SETELT $ 15 |b|)) 

(DEFUN |PLOT;xRange;$S;20| (|plot| $)
 (SPADCALL (QVELT |plot| 2) (QREFELT $ 28))) 

(DEFUN |PLOT;yRange;$S;21| (|plot| $)
 (SPADCALL (QVELT |plot| 2) (QREFELT $ 29))) 

(DEFUN |PLOT;tRange;$S;22| (|plot| $) (|SPADfirst| (QVELT |plot| 2))) 

(DEFUN |PLOT;select| (|l| |f| |g| $)
 (PROG (|p| #1=#:G3609 |n| |m|)
  (RETURN
   (SEQ (LETT |m| (SPADCALL (|SPADfirst| |l|) |f|) |PLOT;select|)
    (COND ((|PLOT;Fnan?| |m| $) (LETT |m| 0.0 |PLOT;select|)))
    (SEQ (LETT |p| NIL |PLOT;select|) (LETT #1# (CDR |l|) |PLOT;select|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |p| (CAR #1#) |PLOT;select|) NIL))
       (GO G191)))
     (SEQ (LETT |n| |m| |PLOT;select|)
      (LETT |m| (SPADCALL |m| (SPADCALL |p| |f|) |g|) |PLOT;select|)
      (EXIT (COND ((|PLOT;Fnan?| |m| $) (LETT |m| |n| |PLOT;select|)))))
     (LETT #1# (CDR #1#) |PLOT;select|) (GO G190) G191 (EXIT NIL))
    (EXIT |m|))))) 

(DEFUN |PLOT;rangeRefine| (|curve| |nRange| $)
 (PROG
  (|l| |h| |f| #1=#:G3627 |s| |c| |q| |n| |d| |i| |t| |p| |xRange| |yRange|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (|PLOT;checkRange| |nRange| $)
      (LETT |l| (SPADCALL |nRange| (QREFELT $ 25)) |PLOT;rangeRefine|)
      (LETT |h| (SPADCALL |nRange| (QREFELT $ 24)) |PLOT;rangeRefine|)
      (LETT |t| (QVELT |curve| 2) |PLOT;rangeRefine|)
      (LETT |p| (QVELT |curve| 3) |PLOT;rangeRefine|)
      (LETT |f| (QVELT |curve| 0) |PLOT;rangeRefine|)
      (SEQ G190
       (COND
        ((NULL (COND ((NULL |t|) 'NIL) ('T (< (|SPADfirst| |t|) |l|))))
         (GO G191)))
       (SEQ (LETT |t| (CDR |t|) |PLOT;rangeRefine|)
        (EXIT (LETT |p| (CDR |p|) |PLOT;rangeRefine|)))
       NIL (GO G190) G191 (EXIT NIL))
      (LETT |c| NIL |PLOT;rangeRefine|) (LETT |q| NIL |PLOT;rangeRefine|)
      (SEQ G190
       (COND
        ((NULL (COND ((OR (NULL |t|) (< |h| (|SPADfirst| |t|))) 'NIL) ('T 'T)))
         (GO G191)))
       (SEQ (LETT |c| (CONS (|SPADfirst| |t|) |c|) |PLOT;rangeRefine|)
        (LETT |q| (CONS (|SPADfirst| |p|) |q|) |PLOT;rangeRefine|)
        (LETT |t| (CDR |t|) |PLOT;rangeRefine|)
        (EXIT (LETT |p| (CDR |p|) |PLOT;rangeRefine|)))
       NIL (GO G190) G191 (EXIT NIL))
      (COND
       ((NULL |c|)
        (PROGN (LETT #1# (|PLOT;basicPlot| |f| |nRange| $) |PLOT;rangeRefine|)
         (GO #1#))))
      (COND
       ((< (|SPADfirst| |c|) |h|)
        (SEQ (LETT |c| (CONS |h| |c|) |PLOT;rangeRefine|)
         (LETT |q| (CONS (SPADCALL |h| |f|) |q|) |PLOT;rangeRefine|)
         (EXIT (SETELT $ 10 (+ (QREFELT $ 10) 1))))))
      (LETT |t| (LETT |c| (NREVERSE |c|) |PLOT;rangeRefine|)
       |PLOT;rangeRefine|)
      (LETT |p| (LETT |q| (NREVERSE |q|) |PLOT;rangeRefine|)
       |PLOT;rangeRefine|)
      (LETT |s|
       (/ (- |h| |l|)
        (- (FLOAT (SPADCALL (QREFELT $ 31)) MOST-POSITIVE-DOUBLE-FLOAT) 1.0))
       |PLOT;rangeRefine|)
      (COND
       ((NULL (= (|SPADfirst| |t|) |l|))
        (SEQ
         (LETT |t| (LETT |c| (CONS |l| |c|) |PLOT;rangeRefine|)
          |PLOT;rangeRefine|)
         (LETT |p| (LETT |q| (CONS (SPADCALL |l| |f|) |p|) |PLOT;rangeRefine|)
          |PLOT;rangeRefine|)
         (EXIT (SETELT $ 10 (+ (QREFELT $ 10) 1))))))
      (SEQ G190
       (COND ((NULL (COND ((NULL (CDR |t|)) 'NIL) ('T 'T))) (GO G191)))
       (SEQ
        (LETT |n|
         (FIX (/ (- (SPADCALL |t| (QREFELT $ 46)) (|SPADfirst| |t|)) |s|))
         |PLOT;rangeRefine|)
        (LETT |d|
         (/ (- (SPADCALL |t| (QREFELT $ 46)) (|SPADfirst| |t|))
          (FLOAT (+ |n| 1) MOST-POSITIVE-DOUBLE-FLOAT))
         |PLOT;rangeRefine|)
        (SEQ (LETT |i| 1 |PLOT;rangeRefine|) G190
         (COND ((QSGREATERP |i| |n|) (GO G191)))
         (SEQ
          (SPADCALL |t| '|rest| (CONS (+ (|SPADfirst| |t|) |d|) (CDR |t|))
           (QREFELT $ 48))
          (SPADCALL |p| '|rest|
           (CONS (SPADCALL (SPADCALL |t| (QREFELT $ 46)) |f|) (CDR |p|))
           (QREFELT $ 50))
          (SETELT $ 10 (+ (QREFELT $ 10) 1))
          (LETT |t| (CDR |t|) |PLOT;rangeRefine|)
          (EXIT (LETT |p| (CDR |p|) |PLOT;rangeRefine|)))
         (LETT |i| (QSADD1 |i|) |PLOT;rangeRefine|) (GO G190) G191 (EXIT NIL))
        (LETT |t| (CDR |t|) |PLOT;rangeRefine|)
        (EXIT (LETT |p| (CDR |p|) |PLOT;rangeRefine|)))
       NIL (GO G190) G191 (EXIT NIL))
      (LETT |xRange|
       (SPADCALL (|PLOT;select| |q| (ELT $ 52) (ELT $ 53) $)
        (|PLOT;select| |q| (ELT $ 52) (ELT $ 54) $) (QREFELT $ 26))
       |PLOT;rangeRefine|)
      (LETT |yRange|
       (SPADCALL (|PLOT;select| |q| (ELT $ 55) (ELT $ 53) $)
        (|PLOT;select| |q| (ELT $ 55) (ELT $ 54) $) (QREFELT $ 26))
       |PLOT;rangeRefine|)
      (EXIT (VECTOR |f| (LIST |nRange| |xRange| |yRange|) |c| |q|))))
    #1# (EXIT #1#))))) 

(DEFUN |PLOT;adaptivePlot|
 (|curve| |tRange| |xRange| |yRange| |pixelfraction| $)
 (PROG
  (|xDiff| |yDiff| |l| |h| |tDiff| |f| |minLength| |maxLength| |tLimit|
   |headert| |headerp| |todot| |todop| |t0| |t1| |t2| |sp| |x0| |y0| |x1| |y1|
   |x2| |y2| |a1| |b1| |a2| |b2| |s1| |s2| |dp| #1=#:G3654 |n| |st| |tm| |tj|
   |todo1| |todo2| |t| |p|)
  (RETURN
   (SEQ
    (LETT |xDiff|
     (- (SPADCALL |xRange| (QREFELT $ 24)) (SPADCALL |xRange| (QREFELT $ 25)))
     |PLOT;adaptivePlot|)
    (LETT |yDiff|
     (- (SPADCALL |yRange| (QREFELT $ 24)) (SPADCALL |yRange| (QREFELT $ 25)))
     |PLOT;adaptivePlot|)
    (COND ((OR (= |xDiff| #2=0.0) (= |yDiff| #2#)) (EXIT |curve|)))
    (LETT |l| (SPADCALL |tRange| (QREFELT $ 25)) |PLOT;adaptivePlot|)
    (LETT |h| (SPADCALL |tRange| (QREFELT $ 24)) |PLOT;adaptivePlot|)
    (LETT |tDiff| (- |h| |l|) |PLOT;adaptivePlot|)
    (EXIT
     (COND ((= |tDiff| #2#) |curve|)
      ('T
       (SEQ (LETT |t| (QVELT |curve| 2) |PLOT;adaptivePlot|)
        (EXIT
         (COND ((< (LENGTH |t|) 3) |curve|)
          ('T
           (SEQ (LETT |p| (QVELT |curve| 3) |PLOT;adaptivePlot|)
            (LETT |f| (QVELT |curve| 0) |PLOT;adaptivePlot|)
            (LETT |minLength|
             (/ (FLOAT 4 MOST-POSITIVE-DOUBLE-FLOAT)
              (FLOAT 500 MOST-POSITIVE-DOUBLE-FLOAT))
             |PLOT;adaptivePlot|)
            (LETT |maxLength| (/ 1.0 (FLOAT 6 MOST-POSITIVE-DOUBLE-FLOAT))
             |PLOT;adaptivePlot|)
            (LETT |tLimit|
             (/ |tDiff|
              (FLOAT (* |pixelfraction| 500) MOST-POSITIVE-DOUBLE-FLOAT))
             |PLOT;adaptivePlot|)
            (SEQ G190
             (COND
              ((NULL (COND ((NULL |t|) 'NIL) ('T (< (|SPADfirst| |t|) |l|))))
               (GO G191)))
             (SEQ (LETT |t| (CDR |t|) |PLOT;adaptivePlot|)
              (EXIT (LETT |p| (CDR |p|) |PLOT;adaptivePlot|)))
             NIL (GO G190) G191 (EXIT NIL))
            (EXIT
             (COND ((< (LENGTH |t|) 3) |curve|)
              ('T
               (SEQ (LETT |headert| |t| |PLOT;adaptivePlot|)
                (LETT |headerp| |p| |PLOT;adaptivePlot|)
                (LETT |st| |t| |PLOT;adaptivePlot|)
                (LETT |sp| |p| |PLOT;adaptivePlot|)
                (LETT |todot| NIL |PLOT;adaptivePlot|)
                (LETT |todop| NIL |PLOT;adaptivePlot|)
                (SEQ G190
                 (COND
                  ((NULL (COND ((NULL (CDR (CDR |st|))) 'NIL) ('T 'T)))
                   (GO G191)))
                 (SEQ
                  (LETT |todot| (SPADCALL |todot| |st| (QREFELT $ 57))
                   |PLOT;adaptivePlot|)
                  (LETT |todop| (SPADCALL |todop| |sp| (QREFELT $ 58))
                   |PLOT;adaptivePlot|)
                  (LETT |st| (CDR |st|) |PLOT;adaptivePlot|)
                  (EXIT (LETT |sp| (CDR |sp|) |PLOT;adaptivePlot|)))
                 NIL (GO G190) G191 (EXIT NIL))
                (LETT |st| |headert| |PLOT;adaptivePlot|)
                (LETT |sp| |headerp| |PLOT;adaptivePlot|)
                (LETT |todo1| |todot| |PLOT;adaptivePlot|)
                (LETT |todo2| |todop| |PLOT;adaptivePlot|)
                (LETT |n| 0 |PLOT;adaptivePlot|)
                (SEQ
                 (EXIT
                  (SEQ G190
                   (COND
                    ((NULL (COND ((NULL |todo1|) 'NIL) ('T 'T))) (GO G191)))
                   (SEQ (LETT |st| (|SPADfirst| |todo1|) |PLOT;adaptivePlot|)
                    (LETT |t0| (|SPADfirst| |st|) |PLOT;adaptivePlot|)
                    (LETT |t1| (SPADCALL |st| (QREFELT $ 46))
                     |PLOT;adaptivePlot|)
                    (LETT |t2| (SPADCALL |st| (QREFELT $ 59))
                     |PLOT;adaptivePlot|)
                    (COND
                     ((< |h| |t2|)
                      (PROGN (LETT #1# |$NoValue| |PLOT;adaptivePlot|)
                       (GO #1#))))
                    (EXIT
                     (COND
                      ((< (- |t2| |t0|) |tLimit|)
                       (SEQ (LETT |todo1| (CDR |todo1|) |PLOT;adaptivePlot|)
                        (LETT |todo2| (CDR |todo2|) |PLOT;adaptivePlot|)
                        (EXIT
                         (COND
                          ((NULL (NULL |todo1|))
                           (SEQ
                            (LETT |t| (|SPADfirst| |todo1|)
                             |PLOT;adaptivePlot|)
                            (EXIT
                             (LETT |p| (|SPADfirst| |todo2|)
                              |PLOT;adaptivePlot|))))))))
                      ('T
                       (SEQ
                        (LETT |sp| (|SPADfirst| |todo2|) |PLOT;adaptivePlot|)
                        (LETT |x0| (SPADCALL (|SPADfirst| |sp|) (QREFELT $ 52))
                         |PLOT;adaptivePlot|)
                        (LETT |y0| (SPADCALL (|SPADfirst| |sp|) (QREFELT $ 55))
                         |PLOT;adaptivePlot|)
                        (LETT |x1|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 60))
                          (QREFELT $ 52))
                         |PLOT;adaptivePlot|)
                        (LETT |y1|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 60))
                          (QREFELT $ 55))
                         |PLOT;adaptivePlot|)
                        (LETT |x2|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 61))
                          (QREFELT $ 52))
                         |PLOT;adaptivePlot|)
                        (LETT |y2|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 61))
                          (QREFELT $ 55))
                         |PLOT;adaptivePlot|)
                        (LETT |a1| (/ (- |x1| |x0|) |xDiff|)
                         |PLOT;adaptivePlot|)
                        (LETT |b1| (/ (- |y1| |y0|) |yDiff|)
                         |PLOT;adaptivePlot|)
                        (LETT |a2| (/ (- |x2| |x1|) |xDiff|)
                         |PLOT;adaptivePlot|)
                        (LETT |b2| (/ (- |y2| |y1|) |yDiff|)
                         |PLOT;adaptivePlot|)
                        (LETT |s1|
                         (SPADCALL
                          (+ (SPADCALL |a1| 2 (QREFELT $ 63))
                           (SPADCALL |b1| 2 (QREFELT $ 63)))
                          (QREFELT $ 64))
                         |PLOT;adaptivePlot|)
                        (LETT |s2|
                         (SPADCALL
                          (+ (SPADCALL |a2| 2 (QREFELT $ 63))
                           (SPADCALL |b2| 2 (QREFELT $ 63)))
                          (QREFELT $ 64))
                         |PLOT;adaptivePlot|)
                        (LETT |dp| (+ (* |a1| |a2|) (* |b1| |b2|))
                         |PLOT;adaptivePlot|)
                        (COND
                         ((< |s1| |maxLength|)
                          (COND
                           ((< |s2| |maxLength|)
                            (COND
                             ((OR (= |s1| #2#) (= |s2| #2#))
                              (EXIT
                               (SEQ
                                (LETT |todo1| (CDR |todo1|)
                                 |PLOT;adaptivePlot|)
                                (LETT |todo2| (CDR |todo2|)
                                 |PLOT;adaptivePlot|)
                                (EXIT
                                 (COND
                                  ((NULL (NULL |todo1|))
                                   (SEQ
                                    (LETT |t| (|SPADfirst| |todo1|)
                                     |PLOT;adaptivePlot|)
                                    (EXIT
                                     (LETT |p| (|SPADfirst| |todo2|)
                                      |PLOT;adaptivePlot|)))))))))
                             ((< |s1| |minLength|)
                              (COND
                               ((OR (< |s2| |minLength|)
                                 (< (QREFELT $ 14) (/ (/ |dp| |s1|) |s2|)))
                                (EXIT
                                 (SEQ
                                  (LETT |todo1| (CDR |todo1|)
                                   |PLOT;adaptivePlot|)
                                  (LETT |todo2| (CDR |todo2|)
                                   |PLOT;adaptivePlot|)
                                  (EXIT
                                   (COND
                                    ((NULL (NULL |todo1|))
                                     (SEQ
                                      (LETT |t| (|SPADfirst| |todo1|)
                                       |PLOT;adaptivePlot|)
                                      (EXIT
                                       (LETT |p| (|SPADfirst| |todo2|)
                                        |PLOT;adaptivePlot|)))))))))))
                             ('T
                              (COND
                               ((< (QREFELT $ 14) (/ (/ |dp| |s1|) |s2|))
                                (EXIT
                                 (SEQ
                                  (LETT |todo1| (CDR |todo1|)
                                   |PLOT;adaptivePlot|)
                                  (LETT |todo2| (CDR |todo2|)
                                   |PLOT;adaptivePlot|)
                                  (EXIT
                                   (COND
                                    ((NULL (NULL |todo1|))
                                     (SEQ
                                      (LETT |t| (|SPADfirst| |todo1|)
                                       |PLOT;adaptivePlot|)
                                      (EXIT
                                       (LETT |p| (|SPADfirst| |todo2|)
                                        |PLOT;adaptivePlot|))))))))))))))))
                        (COND
                         ((< (QREFELT $ 9) |n|)
                          (PROGN (LETT #1# |$NoValue| |PLOT;adaptivePlot|)
                           (GO #1#)))
                         ('T (LETT |n| (+ |n| 1) |PLOT;adaptivePlot|)))
                        (LETT |st| (CDR |t|) |PLOT;adaptivePlot|)
                        (EXIT
                         (COND
                          ((NULL (CDR (CDR |st|)))
                           (SEQ
                            (LETT |tm|
                             (/ (+ |t0| |t1|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 48))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 50))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT;adaptivePlot|)
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT;adaptivePlot|)
                            (LETT |tm|
                             (/ (+ |t1| |t2|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 48))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 50))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |todo1| (CDR |todo1|) |PLOT;adaptivePlot|)
                            (LETT |todo2| (CDR |todo2|) |PLOT;adaptivePlot|)
                            (EXIT
                             (COND
                              ((NULL (NULL |todo1|))
                               (SEQ
                                (LETT |t| (|SPADfirst| |todo1|)
                                 |PLOT;adaptivePlot|)
                                (EXIT
                                 (LETT |p| (|SPADfirst| |todo2|)
                                  |PLOT;adaptivePlot|))))))))
                          ('T
                           (SEQ
                            (LETT |tm|
                             (/ (+ |t0| |t1|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 48))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 50))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT;adaptivePlot|)
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT;adaptivePlot|)
                            (LETT |todo1| (CDR |todo1|) |PLOT;adaptivePlot|)
                            (LETT |todo2| (CDR |todo2|) |PLOT;adaptivePlot|)
                            (LETT |tm|
                             (/ (+ |t1| |t2|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 48))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 50))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT;adaptivePlot|)
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 57))
                             |PLOT;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 58))
                             |PLOT;adaptivePlot|)
                            (LETT |todo1| (CDR |todo1|) |PLOT;adaptivePlot|)
                            (LETT |todo2| (CDR |todo2|) |PLOT;adaptivePlot|)
                            (EXIT
                             (COND
                              ((NULL (NULL |todo1|))
                               (SEQ
                                (LETT |t| (|SPADfirst| |todo1|)
                                 |PLOT;adaptivePlot|)
                                (EXIT
                                 (LETT |p| (|SPADfirst| |todo2|)
                                  |PLOT;adaptivePlot|)))))))))))))))
                   NIL (GO G190) G191 (EXIT NIL)))
                 #1# (EXIT #1#))
                (EXIT
                 (COND
                  ((< 0 |n|)
                   (SEQ (SETELT $ 10 (+ (QREFELT $ 10) |n|))
                    (LETT |t| (QVELT |curve| 2) |PLOT;adaptivePlot|)
                    (LETT |p| (QVELT |curve| 3) |PLOT;adaptivePlot|)
                    (LETT |xRange|
                     (SPADCALL (|PLOT;select| |p| (ELT $ 52) (ELT $ 53) $)
                      (|PLOT;select| |p| (ELT $ 52) (ELT $ 54) $)
                      (QREFELT $ 26))
                     |PLOT;adaptivePlot|)
                    (LETT |yRange|
                     (SPADCALL (|PLOT;select| |p| (ELT $ 55) (ELT $ 53) $)
                      (|PLOT;select| |p| (ELT $ 55) (ELT $ 54) $)
                      (QREFELT $ 26))
                     |PLOT;adaptivePlot|)
                    (EXIT
                     (VECTOR (QVELT |curve| 0)
                      (LIST |tRange| |xRange| |yRange|) |t| |p|))))
                  ('T |curve|))))))))))))))))))) 

(DEFUN |PLOT;basicPlot| (|f| |tRange| $)
 (PROG (|h| |s| |i| #1=#:G3666 |l| |t| |p| |xRange| |yRange|)
  (RETURN
   (SEQ (|PLOT;checkRange| |tRange| $)
    (LETT |l| (SPADCALL |tRange| (QREFELT $ 25)) |PLOT;basicPlot|)
    (LETT |h| (SPADCALL |tRange| (QREFELT $ 24)) |PLOT;basicPlot|)
    (LETT |t| (SPADCALL |l| (QREFELT $ 67)) |PLOT;basicPlot|)
    (LETT |p| (SPADCALL (SPADCALL |l| |f|) (QREFELT $ 68)) |PLOT;basicPlot|)
    (LETT |s|
     (/ (- |h| |l|)
      (FLOAT (- (SPADCALL (QREFELT $ 31)) 1) MOST-POSITIVE-DOUBLE-FLOAT))
     |PLOT;basicPlot|)
    (SEQ (LETT |i| 2 |PLOT;basicPlot|)
     (LETT #1# (- (SPADCALL (QREFELT $ 31)) 1) |PLOT;basicPlot|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ (LETT |l| (+ |l| |s|) |PLOT;basicPlot|)
      (LETT |t| (CONS |l| |t|) |PLOT;basicPlot|)
      (EXIT (LETT |p| (CONS (SPADCALL |l| |f|) |p|) |PLOT;basicPlot|)))
     (LETT |i| (QSADD1 |i|) |PLOT;basicPlot|) (GO G190) G191 (EXIT NIL))
    (LETT |t| (NREVERSE (CONS |h| |t|)) |PLOT;basicPlot|)
    (LETT |p| (NREVERSE (CONS (SPADCALL |h| |f|) |p|)) |PLOT;basicPlot|)
    (LETT |xRange|
     (SPADCALL (|PLOT;select| |p| (ELT $ 52) (ELT $ 53) $)
      (|PLOT;select| |p| (ELT $ 52) (ELT $ 54) $) (QREFELT $ 26))
     |PLOT;basicPlot|)
    (LETT |yRange|
     (SPADCALL (|PLOT;select| |p| (ELT $ 55) (ELT $ 53) $)
      (|PLOT;select| |p| (ELT $ 55) (ELT $ 54) $) (QREFELT $ 26))
     |PLOT;basicPlot|)
    (EXIT (VECTOR |f| (LIST |tRange| |xRange| |yRange|) |t| |p|)))))) 

(DEFUN |PLOT;zoom;$S$;27| (|p| |xRange| $)
 (VECTOR (QVELT |p| 0) (LIST |xRange| (SPADCALL (QVELT |p| 1) (QREFELT $ 29)))
  (QVELT |p| 2) (QVELT |p| 3) (QVELT |p| 4))) 

(DEFUN |PLOT;zoom;$2S$;28| (|p| |xRange| |yRange| $)
 (VECTOR (QVELT |p| 0) (LIST |xRange| |yRange|) (QVELT |p| 2) (QVELT |p| 3)
  (QVELT |p| 4))) 

(DEFUN |PLOT;basicRefine| (|curve| |nRange| $)
 (PROG (|tRange| |l| |h| |f| |tm| |pm| |t| |p| |xRange| |yRange|)
  (RETURN
   (SEQ (LETT |tRange| (|SPADfirst| (QVELT |curve| 1)) |PLOT;basicRefine|)
    (LETT |curve|
     (VECTOR (QVELT |curve| 0) (QVELT |curve| 1) (QVELT |curve| 2)
      (QVELT |curve| 3))
     |PLOT;basicRefine|)
    (LETT |t| (QSETVELT |curve| 2 (SPADCALL (QVELT |curve| 2) (QREFELT $ 71)))
     |PLOT;basicRefine|)
    (LETT |p| (QSETVELT |curve| 3 (SPADCALL (QVELT |curve| 3) (QREFELT $ 72)))
     |PLOT;basicRefine|)
    (LETT |l| (SPADCALL |nRange| (QREFELT $ 25)) |PLOT;basicRefine|)
    (LETT |h| (SPADCALL |nRange| (QREFELT $ 24)) |PLOT;basicRefine|)
    (LETT |f| (QVELT |curve| 0) |PLOT;basicRefine|)
    (SEQ G190
     (COND
      ((NULL (COND ((NULL (CDR |t|)) 'NIL) ('T (< (|SPADfirst| |t|) |h|))))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((< (SPADCALL |t| (QREFELT $ 46)) |l|)
         (SEQ (LETT |t| (CDR |t|) |PLOT;basicRefine|)
          (EXIT (LETT |p| (CDR |p|) |PLOT;basicRefine|))))
        ('T
         (SEQ
          (LETT |tm|
           (/ (+ (|SPADfirst| |t|) (SPADCALL |t| (QREFELT $ 46)))
            (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
           |PLOT;basicRefine|)
          (LETT |pm| (SPADCALL |tm| |f|) |PLOT;basicRefine|)
          (SETELT $ 10 (+ (QREFELT $ 10) 1))
          (SPADCALL |t| '|rest| (CONS |tm| (CDR |t|)) (QREFELT $ 48))
          (LETT |t| (CDR (CDR |t|)) |PLOT;basicRefine|)
          (SPADCALL |p| '|rest| (CONS |pm| (CDR |p|)) (QREFELT $ 50))
          (EXIT (LETT |p| (CDR (CDR |p|)) |PLOT;basicRefine|)))))))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |t| (QVELT |curve| 2) |PLOT;basicRefine|)
    (LETT |p| (QVELT |curve| 3) |PLOT;basicRefine|)
    (LETT |xRange|
     (SPADCALL (|PLOT;select| |p| (ELT $ 52) (ELT $ 53) $)
      (|PLOT;select| |p| (ELT $ 52) (ELT $ 54) $) (QREFELT $ 26))
     |PLOT;basicRefine|)
    (LETT |yRange|
     (SPADCALL (|PLOT;select| |p| (ELT $ 55) (ELT $ 53) $)
      (|PLOT;select| |p| (ELT $ 55) (ELT $ 54) $) (QREFELT $ 26))
     |PLOT;basicRefine|)
    (EXIT
     (VECTOR (QVELT |curve| 0) (LIST |tRange| |xRange| |yRange|) |t| |p|)))))) 

(DEFUN |PLOT;refine;2$;30| (|p| $)
 (SPADCALL |p| (|PLOT;parametricRange| |p| $) (QREFELT $ 73))) 

(DEFUN |PLOT;refine;$S$;31| (|p| |nRange| $)
 (PROG
  (|tRange| #1=#:G3687 #2=#:G3688 |tlimit| #3=#:G3689 |c| #4=#:G3690 |curves|
   |xRange| |yRange|)
  (RETURN
   (SEQ (SETELT $ 10 0)
    (LETT |tRange| (|PLOT;parametricRange| |p| $) |PLOT;refine;$S$;31|)
    (LETT |nRange| (|PLOT;intersect| |tRange| |nRange| $) |PLOT;refine;$S$;31|)
    (LETT |curves|
     (PROGN (LETT #1# NIL |PLOT;refine;$S$;31|)
      (SEQ (LETT |c| NIL |PLOT;refine;$S$;31|)
       (LETT #2# (QVELT |p| 4) |PLOT;refine;$S$;31|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |PLOT;refine;$S$;31|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (|PLOT;basicRefine| |c| |nRange| $) #1#)
          |PLOT;refine;$S$;31|)))
       (LETT #2# (CDR #2#) |PLOT;refine;$S$;31|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |PLOT;refine;$S$;31|)
    (LETT |xRange| (|PLOT;join| |curves| 1 $) |PLOT;refine;$S$;31|)
    (LETT |yRange| (|PLOT;join| |curves| 2 $) |PLOT;refine;$S$;31|)
    (COND
     ((SPADCALL (QREFELT $ 37))
      (SEQ
       (LETT |tlimit| (COND ((SPADCALL |p| (QREFELT $ 39)) 8) ('T 1))
        |PLOT;refine;$S$;31|)
       (LETT |curves|
        (PROGN (LETT #3# NIL |PLOT;refine;$S$;31|)
         (SEQ (LETT |c| NIL |PLOT;refine;$S$;31|)
          (LETT #4# |curves| |PLOT;refine;$S$;31|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |c| (CAR #4#) |PLOT;refine;$S$;31|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3#
             (CONS
              (|PLOT;adaptivePlot| |c| |nRange| |xRange| |yRange| |tlimit| $)
              #3#)
             |PLOT;refine;$S$;31|)))
          (LETT #4# (CDR #4#) |PLOT;refine;$S$;31|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |PLOT;refine;$S$;31|)
       (LETT |xRange| (|PLOT;join| |curves| 1 $) |PLOT;refine;$S$;31|)
       (EXIT
        (LETT |yRange| (|PLOT;join| |curves| 2 $) |PLOT;refine;$S$;31|)))))
    (EXIT
     (VECTOR (QVELT |p| 0) (QVELT |p| 1) (LIST |tRange| |xRange| |yRange|)
      (QVELT |p| 3) |curves|)))))) 

(DEFUN |PLOT;plot;$S$;32| (|p| |tRange| $)
 (PROG
  (#1=#:G3698 #2=#:G3699 |tlimit| #3=#:G3700 |c| #4=#:G3701 |curves| |xRange|
   |yRange|)
  (RETURN
   (SEQ (SETELT $ 10 0)
    (LETT |curves|
     (PROGN (LETT #1# NIL |PLOT;plot;$S$;32|)
      (SEQ (LETT |c| NIL |PLOT;plot;$S$;32|)
       (LETT #2# (QVELT |p| 4) |PLOT;plot;$S$;32|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |PLOT;plot;$S$;32|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (|PLOT;rangeRefine| |c| |tRange| $) #1#)
          |PLOT;plot;$S$;32|)))
       (LETT #2# (CDR #2#) |PLOT;plot;$S$;32|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |PLOT;plot;$S$;32|)
    (LETT |xRange| (|PLOT;join| |curves| 1 $) |PLOT;plot;$S$;32|)
    (LETT |yRange| (|PLOT;join| |curves| 2 $) |PLOT;plot;$S$;32|)
    (COND
     ((SPADCALL (QREFELT $ 37))
      (SEQ
       (LETT |tlimit| (COND ((SPADCALL |p| (QREFELT $ 39)) 8) ('T 1))
        |PLOT;plot;$S$;32|)
       (LETT |curves|
        (PROGN (LETT #3# NIL |PLOT;plot;$S$;32|)
         (SEQ (LETT |c| NIL |PLOT;plot;$S$;32|)
          (LETT #4# |curves| |PLOT;plot;$S$;32|) G190
          (COND
           ((OR (ATOM #4#) (PROGN (LETT |c| (CAR #4#) |PLOT;plot;$S$;32|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3#
             (CONS
              (|PLOT;adaptivePlot| |c| |tRange| |xRange| |yRange| |tlimit| $)
              #3#)
             |PLOT;plot;$S$;32|)))
          (LETT #4# (CDR #4#) |PLOT;plot;$S$;32|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |PLOT;plot;$S$;32|)
       (LETT |xRange| (|PLOT;join| |curves| 1 $) |PLOT;plot;$S$;32|)
       (EXIT (LETT |yRange| (|PLOT;join| |curves| 2 $) |PLOT;plot;$S$;32|)))))
    (EXIT
     (VECTOR (QVELT |p| 0) (LIST |xRange| |yRange|)
      (LIST |tRange| |xRange| |yRange|) (QVELT |p| 3) |curves|)))))) 

(DEFUN |PLOT;pt| (|xx| |yy| $)
 (PROG (|l|)
  (RETURN (SPADCALL (LETT |l| (LIST |xx| |yy|) |PLOT;pt|) (QREFELT $ 76))))) 

(DEFUN |PLOT;myTrap| (|ff| |f| $)
 (PROG (|s| |r|)
  (RETURN
   (SEQ (LETT |s| (|trapNumericErrors| (SPADCALL |f| |ff|)) |PLOT;myTrap|)
    (EXIT
     (COND ((QEQCAR |s| 1) 0.0)
      ('T
       (SEQ (LETT |r| (QCDR |s|) |PLOT;myTrap|)
        (EXIT
         (COND ((< MOST-POSITIVE-DOUBLE-FLOAT |r|) MOST-POSITIVE-DOUBLE-FLOAT)
          ((< |r| MOST-NEGATIVE-DOUBLE-FLOAT) MOST-NEGATIVE-DOUBLE-FLOAT)
          ('T |r|))))))))))) 

(DEFUN |PLOT;plot;MS$;35| (|f| |xRange| $)
 (PROG (|p| |r|)
  (RETURN
   (SEQ
    (LETT |p|
     (|PLOT;basicPlot| (CONS #'|PLOT;plot;MS$;35!0| (VECTOR $ |f|)) |xRange| $)
     |PLOT;plot;MS$;35|)
    (LETT |r| (QVELT |p| 1) |PLOT;plot;MS$;35|)
    (SETELT $ 10 (SPADCALL (QREFELT $ 31)))
    (COND
     ((SPADCALL (QREFELT $ 37))
      (SEQ
       (LETT |p|
        (|PLOT;adaptivePlot| |p| (|SPADfirst| |r|)
         (SPADCALL |r| (QREFELT $ 28)) (SPADCALL |r| (QREFELT $ 29)) 1 $)
        |PLOT;plot;MS$;35|)
       (EXIT (LETT |r| (QVELT |p| 1) |PLOT;plot;MS$;35|)))))
    (EXIT (VECTOR 'NIL (CDR |r|) |r| NIL (LIST |p|))))))) 

(DEFUN |PLOT;plot;MS$;35!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |PLOT;plot;MS$;35|)
  (RETURN (PROGN (|PLOT;pt| |#1| (|PLOT;myTrap| (QREFELT $$ 1) |#1| $) $))))) 

(DEFUN |PLOT;plot;M2S$;36| (|f| |xRange| |yRange| $)
 (PROG (|p|)
  (RETURN
   (SEQ (LETT |p| (SPADCALL |f| |xRange| (QREFELT $ 78)) |PLOT;plot;M2S$;36|)
    (QSETVELT |p| 1 (LIST |xRange| (|PLOT;checkRange| |yRange| $)))
    (EXIT |p|))))) 

(DEFUN |PLOT;plot;2MS$;37| (|f| |g| |tRange| $)
 (PROG (|p| |r|)
  (RETURN
   (SEQ
    (LETT |p|
     (|PLOT;basicPlot| (CONS #'|PLOT;plot;2MS$;37!0| (VECTOR |g| $ |f|))
      |tRange| $)
     |PLOT;plot;2MS$;37|)
    (LETT |r| (QVELT |p| 1) |PLOT;plot;2MS$;37|)
    (SETELT $ 10 (SPADCALL (QREFELT $ 31)))
    (COND
     ((SPADCALL (QREFELT $ 37))
      (SEQ
       (LETT |p|
        (|PLOT;adaptivePlot| |p| (|SPADfirst| |r|)
         (SPADCALL |r| (QREFELT $ 28)) (SPADCALL |r| (QREFELT $ 29)) 8 $)
        |PLOT;plot;2MS$;37|)
       (EXIT (LETT |r| (QVELT |p| 1) |PLOT;plot;2MS$;37|)))))
    (EXIT (VECTOR 'T (CDR |r|) |r| NIL (LIST |p|))))))) 

(DEFUN |PLOT;plot;2MS$;37!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 1) |PLOT;plot;2MS$;37|)
  (RETURN
   (PROGN
    (|PLOT;pt| (|PLOT;myTrap| (QREFELT $$ 2) |#1| $)
     (|PLOT;myTrap| (QREFELT $$ 0) |#1| $) $))))) 

(DEFUN |PLOT;plot;2M3S$;38| (|f| |g| |tRange| |xRange| |yRange| $)
 (PROG (|p|)
  (RETURN
   (SEQ
    (LETT |p| (SPADCALL |f| |g| |tRange| (QREFELT $ 80)) |PLOT;plot;2M3S$;38|)
    (QSETVELT |p| 1
     (LIST (|PLOT;checkRange| |xRange| $) (|PLOT;checkRange| |yRange| $)))
    (EXIT |p|))))) 

(DEFUN |PLOT;pointPlot;MS$;39| (|f| |tRange| $)
 (PROG (|p| |r|)
  (RETURN
   (SEQ (LETT |p| (|PLOT;basicPlot| |f| |tRange| $) |PLOT;pointPlot;MS$;39|)
    (LETT |r| (QVELT |p| 1) |PLOT;pointPlot;MS$;39|)
    (SETELT $ 10 (SPADCALL (QREFELT $ 31)))
    (COND
     ((SPADCALL (QREFELT $ 37))
      (SEQ
       (LETT |p|
        (|PLOT;adaptivePlot| |p| (|SPADfirst| |r|)
         (SPADCALL |r| (QREFELT $ 28)) (SPADCALL |r| (QREFELT $ 29)) 8 $)
        |PLOT;pointPlot;MS$;39|)
       (EXIT (LETT |r| (QVELT |p| 1) |PLOT;pointPlot;MS$;39|)))))
    (EXIT (VECTOR 'T (CDR |r|) |r| NIL (LIST |p|))))))) 

(DEFUN |PLOT;pointPlot;M3S$;40| (|f| |tRange| |xRange| |yRange| $)
 (PROG (|p|)
  (RETURN
   (SEQ
    (LETT |p| (SPADCALL |f| |tRange| (QREFELT $ 83)) |PLOT;pointPlot;M3S$;40|)
    (QSETVELT |p| 1
     (LIST (|PLOT;checkRange| |xRange| $) (|PLOT;checkRange| |yRange| $)))
    (EXIT |p|))))) 

(DEFUN |PLOT;plot;LS$;41| (|l| |xRange| $)
 (PROG
  (#1=#:G3739 #2=#:G3740 #3=#:G3741 |p| #4=#:G3743 |f| #5=#:G3742 |t| |yRange|)
  (RETURN
   (SEQ (COND ((NULL |l|) (|error| "empty list of functions")))
    (LETT |t|
     (PROGN (LETT #1# NIL |PLOT;plot;LS$;41|)
      (SEQ (LETT |f| NIL |PLOT;plot;LS$;41|) (LETT #2# |l| |PLOT;plot;LS$;41|)
       G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |f| (CAR #2#) |PLOT;plot;LS$;41|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1#
          (CONS
           (|PLOT;basicPlot| (CONS #'|PLOT;plot;LS$;41!0| (VECTOR $ |f|))
            |xRange| $)
           #1#)
          |PLOT;plot;LS$;41|)))
       (LETT #2# (CDR #2#) |PLOT;plot;LS$;41|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |PLOT;plot;LS$;41|)
    (LETT |yRange| (|PLOT;join| |t| 2 $) |PLOT;plot;LS$;41|)
    (SETELT $ 10 (* (LENGTH |l|) (SPADCALL (QREFELT $ 31))))
    (COND
     ((SPADCALL (QREFELT $ 37))
      (SEQ
       (LETT |t|
        (PROGN (LETT #3# NIL |PLOT;plot;LS$;41|)
         (SEQ (LETT |p| NIL |PLOT;plot;LS$;41|)
          (LETT #4# |t| |PLOT;plot;LS$;41|) (LETT |f| NIL |PLOT;plot;LS$;41|)
          (LETT #5# |l| |PLOT;plot;LS$;41|) G190
          (COND
           ((OR (ATOM #5#) (PROGN (LETT |f| (CAR #5#) |PLOT;plot;LS$;41|) NIL)
             (ATOM #4#) (PROGN (LETT |p| (CAR #4#) |PLOT;plot;LS$;41|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3#
             (CONS (|PLOT;adaptivePlot| |p| |xRange| |xRange| |yRange| 1 $)
              #3#)
             |PLOT;plot;LS$;41|)))
          (LETT #5# (PROG1 (CDR #5#) (LETT #4# (CDR #4#) |PLOT;plot;LS$;41|))
           |PLOT;plot;LS$;41|)
          (GO G190) G191 (EXIT (NREVERSE0 #3#))))
        |PLOT;plot;LS$;41|)
       (EXIT (LETT |yRange| (|PLOT;join| |t| 2 $) |PLOT;plot;LS$;41|)))))
    (EXIT
     (VECTOR 'NIL (LIST |xRange| |yRange|) (LIST |xRange| |xRange| |yRange|)
      NIL |t|)))))) 

(DEFUN |PLOT;plot;LS$;41!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |PLOT;plot;LS$;41|)
  (RETURN (PROGN (|PLOT;pt| |#1| (|PLOT;myTrap| (QREFELT $$ 1) |#1| $) $))))) 

(DEFUN |PLOT;plot;L2S$;42| (|l| |xRange| |yRange| $)
 (PROG (|p|)
  (RETURN
   (SEQ (LETT |p| (SPADCALL |l| |xRange| (QREFELT $ 86)) |PLOT;plot;L2S$;42|)
    (QSETVELT |p| 1 (LIST |xRange| (|PLOT;checkRange| |yRange| $)))
    (EXIT |p|))))) 

(DEFUN |PLOT;plotPolar;MS$;43| (|f| |thetaRange| $)
 (PROG NIL
  (RETURN
   (SPADCALL (CONS #'|PLOT;plotPolar;MS$;43!0| (VECTOR $ |f|))
    (CONS #'|PLOT;plotPolar;MS$;43!1| (VECTOR $ |f|)) |thetaRange|
    (QREFELT $ 80))))) 

(DEFUN |PLOT;plotPolar;MS$;43!1| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |PLOT;plotPolar;MS$;43|)
  (RETURN
   (PROGN
    (SPADCALL (SPADCALL |#1| (QREFELT $$ 1)) (SPADCALL |#1| (QREFELT $ 90))
     (QREFELT $ 89)))))) 

(DEFUN |PLOT;plotPolar;MS$;43!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 0) |PLOT;plotPolar;MS$;43|)
  (RETURN
   (PROGN
    (SPADCALL (SPADCALL |#1| (QREFELT $$ 1)) (SPADCALL |#1| (QREFELT $ 88))
     (QREFELT $ 89)))))) 

(DEFUN |PLOT;plotPolar;M$;44| (|f| $)
 (SPADCALL |f| (SPADCALL 0.0 (SPADCALL 2 PI (QREFELT $ 92)) (QREFELT $ 93))
  (QREFELT $ 91))) 

(DEFUN |PLOT;coerce;$Of;45| (|r| $)
 (PROG
  (|spaces| |xSymbol| |ySymbol| |tSymbol| |plotSymbol| |tRange| |curve|
   #1=#:G3756 |xRange| |yRange| |h| #2=#:G3757 |p| #3=#:G3758 |l| |f|)
  (RETURN
   (SEQ (LETT |spaces| (SPADCALL "   " (QREFELT $ 96)) |PLOT;coerce;$Of;45|)
    (LETT |xSymbol| "x = " |PLOT;coerce;$Of;45|)
    (LETT |ySymbol| "y = " |PLOT;coerce;$Of;45|)
    (LETT |tSymbol| "t = " |PLOT;coerce;$Of;45|)
    (LETT |plotSymbol| "PLOT" |PLOT;coerce;$Of;45|)
    (LETT |tRange| (SPADCALL (|PLOT;parametricRange| |r| $) (QREFELT $ 97))
     |PLOT;coerce;$Of;45|)
    (LETT |f| NIL |PLOT;coerce;$Of;45|)
    (SEQ (LETT |curve| NIL |PLOT;coerce;$Of;45|)
     (LETT #1# (QVELT |r| 4) |PLOT;coerce;$Of;45|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |curve| (CAR #1#) |PLOT;coerce;$Of;45|) NIL))
       (GO G191)))
     (SEQ
      (LETT |xRange|
       (SPADCALL (SPADCALL (QVELT |curve| 1) (QREFELT $ 28)) (QREFELT $ 97))
       |PLOT;coerce;$Of;45|)
      (LETT |yRange|
       (SPADCALL (SPADCALL (QVELT |curve| 1) (QREFELT $ 29)) (QREFELT $ 97))
       |PLOT;coerce;$Of;45|)
      (LETT |l| (LIST |xSymbol| |xRange| |spaces| |ySymbol| |yRange|)
       |PLOT;coerce;$Of;45|)
      (COND
       ((SPADCALL |r| (QREFELT $ 39))
        (LETT |l|
         (SPADCALL (LIST |tSymbol| |tRange| |spaces|) |l| (QREFELT $ 99))
         |PLOT;coerce;$Of;45|)))
      (LETT |h| (SPADCALL |l| (QREFELT $ 101)) |PLOT;coerce;$Of;45|)
      (LETT |l|
       (PROGN (LETT #2# NIL |PLOT;coerce;$Of;45|)
        (SEQ (LETT |p| NIL |PLOT;coerce;$Of;45|)
         (LETT #3# (QVELT |curve| 3) |PLOT;coerce;$Of;45|) G190
         (COND
          ((OR (ATOM #3#)
            (PROGN (LETT |p| (CAR #3#) |PLOT;coerce;$Of;45|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #2# (CONS (SPADCALL |p| (QREFELT $ 102)) #2#)
            |PLOT;coerce;$Of;45|)))
         (LETT #3# (CDR #3#) |PLOT;coerce;$Of;45|) (GO G190) G191
         (EXIT (NREVERSE0 #2#))))
       |PLOT;coerce;$Of;45|)
      (EXIT
       (LETT |f| (CONS (SPADCALL (CONS |h| |l|) (QREFELT $ 103)) |f|)
        |PLOT;coerce;$Of;45|)))
     (LETT #1# (CDR #1#) |PLOT;coerce;$Of;45|) (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL "PLOT" (NREVERSE |f|) (QREFELT $ 104))))))) 

(DEFUN |Plot| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3762)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|Plot|) |Plot|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|Plot|
           (LIST (CONS NIL (CONS 1 (|Plot;|))))))
         (LETT #1# T |Plot|))
        (COND ((NOT #1#) (HREM |$ConstructorCache| '|Plot|))))))))))) 

(DEFUN |Plot;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT |dv$| '(|Plot|) . #1=(|Plot|)) (LETT $ (GETREFV 106) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|Plot| NIL (CONS 1 $))
    (|stuffDomainSlots| $)
    (QSETREFV $ 6
     (|Record| (|:| |parametric| (|Boolean|))
      (|:| |display| (|List| (|Segment| (|DoubleFloat|))))
      (|:| |bounds| (|List| (|Segment| (|DoubleFloat|))))
      (|:| |axisLabels| (|List| (|String|)))
      (|:| |functions|
       (|List|
        (|Record|
         (|:| |source| (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)))
         (|:| |ranges| (|List| (|Segment| (|DoubleFloat|))))
         (|:| |knots| (|List| (|DoubleFloat|)))
         (|:| |points| (|List| (|Point| (|DoubleFloat|)))))))))
    (QSETREFV $ 7 'T) (QSETREFV $ 8 49) (QSETREFV $ 9 1000) (QSETREFV $ 10 0)
    (QSETREFV $ 11 500)
    (QSETREFV $ 14
     (COS (SPADCALL (FLOAT 4 MOST-POSITIVE-DOUBLE-FLOAT) (QREFELT $ 13))))
    (QSETREFV $ 15 'NIL) $)))) 

(MAKEPROP '|Plot| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL '|Rep| 'ADAPTIVE 'MINPOINTS 'MAXPOINTS
     'NUMFUNEVALS 'SCREENRES (|DoubleFloat|) (0 . |inv|) 'ANGLEBOUND 'DEBUG
     (|Boolean|) (5 . ~=) (|Mapping| 16 12) (|Point| 12) (11 . |any?|)
     (|List| 49) |PLOT;listBranches;$L;3| (|Segment| 12) (17 . |hi|)
     (22 . |lo|) (27 . SEGMENT) (|List| 23) (33 . |second|) (38 . |third|)
     (|Integer|) |PLOT;minPoints;I;9| |PLOT;setMinPoints;2I;10|
     |PLOT;maxPoints;I;11| |PLOT;setMaxPoints;2I;12|
     |PLOT;screenResolution;I;13| |PLOT;setScreenResolution;2I;14|
     |PLOT;adaptive?;B;15| |PLOT;setAdaptive;2B;16| |PLOT;parametric?;$B;17|
     |PLOT;numFunEvals;I;18| |PLOT;debug;2B;19| |PLOT;xRange;$S;20|
     |PLOT;yRange;$S;21| |PLOT;tRange;$S;22| (|List| 12) (43 . |second|)
     '"rest" (48 . |setelt|) (|List| 19) (55 . |setelt|) (|PointPackage| 12)
     (62 . |xCoord|) (67 . |min|) (73 . |max|) (79 . |yCoord|) (|List| 45)
     (84 . |concat!|) (90 . |concat!|) (96 . |third|) (101 . |second|)
     (106 . |third|) (|PositiveInteger|) (111 . **) (117 . |sqrt|)
     (|Fraction| 30) (122 . |Zero|) (126 . |list|) (131 . |list|)
     |PLOT;zoom;$S$;27| |PLOT;zoom;$2S$;28| (136 . |copy|) (141 . |copy|)
     |PLOT;refine;$S$;31| |PLOT;refine;2$;30| |PLOT;plot;$S$;32|
     (146 . |point|) (|Mapping| 12 12) |PLOT;plot;MS$;35| |PLOT;plot;M2S$;36|
     |PLOT;plot;2MS$;37| |PLOT;plot;2M3S$;38| (|Mapping| 19 12)
     |PLOT;pointPlot;MS$;39| |PLOT;pointPlot;M3S$;40| (|List| 77)
     |PLOT;plot;LS$;41| |PLOT;plot;L2S$;42| (151 . |cos|) (156 . *)
     (162 . |sin|) |PLOT;plotPolar;MS$;43| (167 . *) (173 . |segment|)
     |PLOT;plotPolar;M$;44| (|OutputForm|) (179 . |coerce|) (184 . |coerce|)
     (|List| 95) (189 . |concat!|) (|List| $) (195 . |hconcat|)
     (200 . |coerce|) (205 . |vconcat|) (210 . |prefix|) |PLOT;coerce;$Of;45|)
  '#(|zoom| 216 |yRange| 229 |xRange| 234 |tRange| 239 |setScreenResolution|
     244 |setMinPoints| 249 |setMaxPoints| 254 |setAdaptive| 259
     |screenResolution| 264 |refine| 268 |pointPlot| 279 |plotPolar| 293 |plot|
     304 |parametric?| 352 |numFunEvals| 357 |minPoints| 361 |maxPoints| 365
     |listBranches| 369 |debug| 374 |coerce| 379 |adaptive?| 384)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0))
   (CONS '#(NIL NIL)
    (CONS '#((|PlottablePlaneCurveCategory|) (|CoercibleTo| 95))
     (|makeByteWordVec2| 105
      '(1 12 0 0 13 2 12 16 0 0 17 2 19 16 18 0 20 1 23 12 0 24 1 23 12 0 25 2
        23 0 12 12 26 1 27 23 0 28 1 27 23 0 29 1 45 12 0 46 3 45 0 0 47 0 48 3
        49 0 0 47 0 50 1 51 12 19 52 2 12 0 0 0 53 2 12 0 0 0 54 1 51 12 19 55
        2 56 0 0 45 57 2 21 0 0 49 58 1 45 12 0 59 1 49 19 0 60 1 49 19 0 61 2
        12 0 0 62 63 1 12 0 0 64 0 65 0 66 1 45 0 12 67 1 49 0 19 68 1 45 0 0
        71 1 49 0 0 72 1 19 0 45 76 1 12 0 0 88 2 12 0 0 0 89 1 12 0 0 90 2 12
        0 62 0 92 2 23 0 12 12 93 1 95 95 0 96 1 23 95 0 97 2 98 0 0 0 99 1 95
        0 100 101 1 19 95 0 102 1 95 0 100 103 2 95 0 0 100 104 2 0 0 0 23 69 3
        0 0 0 23 23 70 1 0 23 0 43 1 0 23 0 42 1 0 23 0 44 1 0 30 30 36 1 0 30
        30 32 1 0 30 30 34 1 0 16 16 38 0 0 30 35 2 0 0 0 23 73 1 0 0 0 74 2 0
        0 82 23 83 4 0 0 82 23 23 23 84 2 0 0 77 23 91 1 0 0 77 94 2 0 0 0 23
        75 3 0 0 77 77 23 80 5 0 0 77 77 23 23 23 81 2 0 0 85 23 86 3 0 0 85 23
        23 87 2 0 0 77 23 78 3 0 0 77 23 23 79 1 0 16 0 39 0 0 30 40 0 0 30 31
        0 0 30 33 1 0 21 0 22 1 0 16 16 41 1 0 95 0 105 0 0 16 37)))))
  '|lookupComplete|)) 

(MAKEPROP '|Plot| 'NILADIC T) 
