
(/VERSIONCHECK 2) 

(DEFUN |PLOT3D;point| (|xx| |yy| |zz| |col| $)
 (PROG (|l|)
  (RETURN
   (SPADCALL (LETT |l| (LIST |xx| |yy| |zz| |col|) |PLOT3D;point|)
    (QREFELT $ 18))))) 

(DEFUN |PLOT3D;fourth| (|list| $) (|SPADfirst| (CDR (CDR (CDR |list|))))) 

(DEFUN |PLOT3D;checkRange| (|r| $)
 (COND
  ((< (SPADCALL |r| (QREFELT $ 20)) (SPADCALL |r| (QREFELT $ 21)))
   (|error| "ranges cannot be negative"))
  ('T |r|))) 

(DEFUN |PLOT3D;intersect| (|s| |t| $)
 (|PLOT3D;checkRange|
  (SPADCALL (MAX (SPADCALL |s| (QREFELT $ 21)) (SPADCALL |t| (QREFELT $ 21)))
   (MIN (SPADCALL |s| (QREFELT $ 20)) (SPADCALL |t| (QREFELT $ 20)))
   (QREFELT $ 22))
  $)) 

(DEFUN |PLOT3D;union| (|s| |t| $)
 (SPADCALL (MIN (SPADCALL |s| (QREFELT $ 21)) (SPADCALL |t| (QREFELT $ 21)))
  (MAX (SPADCALL |s| (QREFELT $ 20)) (SPADCALL |t| (QREFELT $ 20)))
  (QREFELT $ 22))) 

(DEFUN |PLOT3D;join| (|l| |i| $)
 (PROG (|rr| |u| |r| #1=#:G3566)
  (RETURN
   (SEQ (LETT |rr| (|SPADfirst| |l|) |PLOT3D;join|)
    (LETT |u|
     (COND ((EQL |i| 0) (|SPADfirst| (QVELT |rr| 1)))
      ((EQL |i| 1) (SPADCALL (QVELT |rr| 1) (QREFELT $ 24)))
      ((EQL |i| 2) (SPADCALL (QVELT |rr| 1) (QREFELT $ 25)))
      ('T (|PLOT3D;fourth| (QVELT |rr| 1) $)))
     |PLOT3D;join|)
    (SEQ (LETT |r| NIL |PLOT3D;join|) (LETT #1# (CDR |l|) |PLOT3D;join|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |r| (CAR #1#) |PLOT3D;join|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (COND ((EQL |i| 0) (|PLOT3D;union| |u| (|SPADfirst| (QVELT |r| 1)) $))
        ((EQL |i| 1)
         (|PLOT3D;union| |u| (SPADCALL (QVELT |r| 1) (QREFELT $ 24)) $))
        ((EQL |i| 2)
         (|PLOT3D;union| |u| (SPADCALL (QVELT |r| 1) (QREFELT $ 25)) $))
        ('T (|PLOT3D;union| |u| (|PLOT3D;fourth| (QVELT |r| 1) $) $)))))
     (LETT #1# (CDR #1#) |PLOT3D;join|) (GO G190) G191 (EXIT NIL))
    (EXIT |u|))))) 

(DEFUN |PLOT3D;parametricRange| (|r| $) (|SPADfirst| (QVELT |r| 1))) 

(DEFUN |PLOT3D;minPoints3D;I;8| ($) (QREFELT $ 8)) 

(DEFUN |PLOT3D;setMinPoints3D;2I;9| (|n| $)
 (SEQ (COND ((< |n| 3) (|error| "three points minimum required")))
  (COND ((< (QREFELT $ 9) |n|) (SETELT $ 9 |n|))) (EXIT (SETELT $ 8 |n|)))) 

(DEFUN |PLOT3D;maxPoints3D;I;10| ($) (QREFELT $ 9)) 

(DEFUN |PLOT3D;setMaxPoints3D;2I;11| (|n| $)
 (SEQ (COND ((< |n| 3) (|error| "three points minimum required")))
  (COND ((< |n| (QREFELT $ 8)) (SETELT $ 8 |n|))) (EXIT (SETELT $ 9 |n|)))) 

(DEFUN |PLOT3D;screenResolution3D;I;12| ($) (QREFELT $ 11)) 

(DEFUN |PLOT3D;setScreenResolution3D;2I;13| (|n| $)
 (SEQ (COND ((< |n| 2) (|error| "buy a new terminal")))
  (EXIT (SETELT $ 11 |n|)))) 

(DEFUN |PLOT3D;adaptive3D?;B;14| ($) (QREFELT $ 7)) 

(DEFUN |PLOT3D;setAdaptive3D;2B;15| (|b| $) (SETELT $ 7 |b|)) 

(DEFUN |PLOT3D;numFunEvals3D;I;16| ($) (QREFELT $ 10)) 

(DEFUN |PLOT3D;debug3D;2B;17| (|b| $) (SETELT $ 15 |b|)) 

(DEFUN |PLOT3D;xRange;$S;18| (|plot| $)
 (SPADCALL (QVELT |plot| 1) (QREFELT $ 24))) 

(DEFUN |PLOT3D;yRange;$S;19| (|plot| $)
 (SPADCALL (QVELT |plot| 1) (QREFELT $ 25))) 

(DEFUN |PLOT3D;zRange;$S;20| (|plot| $) (|PLOT3D;fourth| (QVELT |plot| 1) $)) 

(DEFUN |PLOT3D;tRange;$S;21| (|plot| $) (|SPADfirst| (QVELT |plot| 1))) 

(DEFUN |PLOT3D;tValues;$L;22| (|plot| $)
 (PROG (|curve| #1=#:G3589 |outList|)
  (RETURN
   (SEQ (LETT |outList| NIL |PLOT3D;tValues;$L;22|)
    (SEQ (LETT |curve| NIL |PLOT3D;tValues;$L;22|)
     (LETT #1# (QVELT |plot| 4) |PLOT3D;tValues;$L;22|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |curve| (CAR #1#) |PLOT3D;tValues;$L;22|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |outList| (CONS (QVELT |curve| 2) |outList|)
        |PLOT3D;tValues;$L;22|)))
     (LETT #1# (CDR #1#) |PLOT3D;tValues;$L;22|) (GO G190) G191 (EXIT NIL))
    (EXIT |outList|))))) 

(DEFUN |PLOT3D;select| (|l| |f| |g| $)
 (PROG (|p| #1=#:G3594 |fp| |m|)
  (RETURN
   (SEQ (LETT |m| (SPADCALL (|SPADfirst| |l|) |f|) |PLOT3D;select|)
    (SEQ (LETT |p| NIL |PLOT3D;select|) (LETT #1# (CDR |l|) |PLOT3D;select|)
     G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |p| (CAR #1#) |PLOT3D;select|) NIL))
       (GO G191)))
     (SEQ (LETT |fp| (SPADCALL |p| |f|) |PLOT3D;select|)
      (EXIT (LETT |m| (SPADCALL |m| |fp| |g|) |PLOT3D;select|)))
     (LETT #1# (CDR #1#) |PLOT3D;select|) (GO G190) G191 (EXIT NIL))
    (EXIT |m|))))) 

(DEFUN |PLOT3D;rangeRefine| (|curve| |nRange| $)
 (PROG
  (|l| |h| |f| #1=#:G3612 |s| |c| |q| |n| |d| |i| |t1| |t| |p| |xRange|
   |yRange| |zRange|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (|PLOT3D;checkRange| |nRange| $)
      (LETT |l| (SPADCALL |nRange| (QREFELT $ 21)) |PLOT3D;rangeRefine|)
      (LETT |h| (SPADCALL |nRange| (QREFELT $ 20)) |PLOT3D;rangeRefine|)
      (LETT |t| (QVELT |curve| 2) |PLOT3D;rangeRefine|)
      (LETT |p| (QVELT |curve| 3) |PLOT3D;rangeRefine|)
      (LETT |f| (QVELT |curve| 0) |PLOT3D;rangeRefine|)
      (SEQ G190
       (COND
        ((NULL (COND ((NULL |t|) 'NIL) ('T (< (|SPADfirst| |t|) |l|))))
         (GO G191)))
       (SEQ (LETT |t| (CDR |t|) |PLOT3D;rangeRefine|)
        (EXIT (LETT |p| (CDR |p|) |PLOT3D;rangeRefine|)))
       NIL (GO G190) G191 (EXIT NIL))
      (LETT |c| NIL |PLOT3D;rangeRefine|) (LETT |q| NIL |PLOT3D;rangeRefine|)
      (SEQ G190
       (COND
        ((NULL (COND ((OR (NULL |t|) (< |h| (|SPADfirst| |t|))) 'NIL) ('T 'T)))
         (GO G191)))
       (SEQ (LETT |c| (CONS (|SPADfirst| |t|) |c|) |PLOT3D;rangeRefine|)
        (LETT |q| (CONS (|SPADfirst| |p|) |q|) |PLOT3D;rangeRefine|)
        (LETT |t| (CDR |t|) |PLOT3D;rangeRefine|)
        (EXIT (LETT |p| (CDR |p|) |PLOT3D;rangeRefine|)))
       NIL (GO G190) G191 (EXIT NIL))
      (COND
       ((NULL |c|)
        (PROGN
         (LETT #1# (|PLOT3D;basicPlot| |f| |nRange| $) |PLOT3D;rangeRefine|)
         (GO #1#))))
      (COND
       ((< (|SPADfirst| |c|) |h|)
        (SEQ (LETT |c| (CONS |h| |c|) |PLOT3D;rangeRefine|)
         (LETT |q| (CONS (SPADCALL |h| |f|) |q|) |PLOT3D;rangeRefine|)
         (EXIT (SETELT $ 10 (+ (QREFELT $ 10) 1))))))
      (LETT |t| (LETT |c| (NREVERSE |c|) |PLOT3D;rangeRefine|)
       |PLOT3D;rangeRefine|)
      (LETT |p| (LETT |q| (NREVERSE |q|) |PLOT3D;rangeRefine|)
       |PLOT3D;rangeRefine|)
      (LETT |s|
       (/ (- |h| |l|) (- (FLOAT (QREFELT $ 8) MOST-POSITIVE-DOUBLE-FLOAT) 1.0))
       |PLOT3D;rangeRefine|)
      (COND
       ((NULL (= (|SPADfirst| |t|) |l|))
        (SEQ
         (LETT |t| (LETT |c| (CONS |l| |c|) |PLOT3D;rangeRefine|)
          |PLOT3D;rangeRefine|)
         (LETT |p|
          (LETT |q| (CONS (SPADCALL |l| |f|) |p|) |PLOT3D;rangeRefine|)
          |PLOT3D;rangeRefine|)
         (EXIT (SETELT $ 10 (+ (QREFELT $ 10) 1))))))
      (SEQ G190
       (COND ((NULL (COND ((NULL (CDR |t|)) 'NIL) ('T 'T))) (GO G191)))
       (SEQ
        (LETT |n|
         (FIX (/ (- (SPADCALL |t| (QREFELT $ 44)) (|SPADfirst| |t|)) |s|))
         |PLOT3D;rangeRefine|)
        (LETT |d|
         (/ (- (SPADCALL |t| (QREFELT $ 44)) (|SPADfirst| |t|))
          (FLOAT (+ |n| 1) MOST-POSITIVE-DOUBLE-FLOAT))
         |PLOT3D;rangeRefine|)
        (SEQ (LETT |i| 1 |PLOT3D;rangeRefine|) G190
         (COND ((QSGREATERP |i| |n|) (GO G191)))
         (SEQ
          (SPADCALL |t| '|rest| (CONS (+ (|SPADfirst| |t|) |d|) (CDR |t|))
           (QREFELT $ 46))
          (LETT |t1| (SPADCALL |t| (QREFELT $ 44)) |PLOT3D;rangeRefine|)
          (SPADCALL |p| '|rest| (CONS (SPADCALL |t1| |f|) (CDR |p|))
           (QREFELT $ 48))
          (SETELT $ 10 (+ (QREFELT $ 10) 1))
          (LETT |t| (CDR |t|) |PLOT3D;rangeRefine|)
          (EXIT (LETT |p| (CDR |p|) |PLOT3D;rangeRefine|)))
         (LETT |i| (QSADD1 |i|) |PLOT3D;rangeRefine|) (GO G190) G191
         (EXIT NIL))
        (LETT |t| (CDR |t|) |PLOT3D;rangeRefine|)
        (EXIT (LETT |p| (CDR |p|) |PLOT3D;rangeRefine|)))
       NIL (GO G190) G191 (EXIT NIL))
      (LETT |xRange|
       (SPADCALL (|PLOT3D;select| |q| (ELT $ 50) (ELT $ 51) $)
        (|PLOT3D;select| |q| (ELT $ 50) (ELT $ 52) $) (QREFELT $ 22))
       |PLOT3D;rangeRefine|)
      (LETT |yRange|
       (SPADCALL (|PLOT3D;select| |q| (ELT $ 53) (ELT $ 51) $)
        (|PLOT3D;select| |q| (ELT $ 53) (ELT $ 52) $) (QREFELT $ 22))
       |PLOT3D;rangeRefine|)
      (LETT |zRange|
       (SPADCALL (|PLOT3D;select| |q| (ELT $ 54) (ELT $ 51) $)
        (|PLOT3D;select| |q| (ELT $ 54) (ELT $ 52) $) (QREFELT $ 22))
       |PLOT3D;rangeRefine|)
      (EXIT (VECTOR |f| (LIST |nRange| |xRange| |yRange| |zRange|) |c| |q|))))
    #1# (EXIT #1#))))) 

(DEFUN |PLOT3D;adaptivePlot|
 (|curve| |tRg| |xRg| |yRg| |zRg| |pixelfraction| |resolution| $)
 (PROG
  (|xDiff| |yDiff| |zDiff| |l| |h| |tDiff| |f| |minLength| |maxLength| |tLimit|
   |headert| |headerp| |todot| |todop| |t0| |t1| |t2| |sp| |x0| |y0| |z0| |x1|
   |y1| |z1| |x2| |y2| |z2| |a1| |b1| |c1| |a2| |b2| |c2| |s1| |s2| |dp|
   #1=#:G3639 |n| |st| |tm| |tj| |todo1| |todo2| |t| |p|)
  (RETURN
   (SEQ
    (LETT |xDiff|
     (- (SPADCALL |xRg| (QREFELT $ 20)) (SPADCALL |xRg| (QREFELT $ 21)))
     |PLOT3D;adaptivePlot|)
    (LETT |yDiff|
     (- (SPADCALL |yRg| (QREFELT $ 20)) (SPADCALL |yRg| (QREFELT $ 21)))
     |PLOT3D;adaptivePlot|)
    (LETT |zDiff|
     (- (SPADCALL |zRg| (QREFELT $ 20)) (SPADCALL |zRg| (QREFELT $ 21)))
     |PLOT3D;adaptivePlot|)
    (COND ((= |xDiff| #2=0.0) (LETT |xDiff| #3=1.0 |PLOT3D;adaptivePlot|)))
    (COND ((= |yDiff| #2#) (LETT |yDiff| #3# |PLOT3D;adaptivePlot|)))
    (COND ((= |zDiff| #2#) (LETT |zDiff| #3# |PLOT3D;adaptivePlot|)))
    (LETT |l| (SPADCALL |tRg| (QREFELT $ 21)) |PLOT3D;adaptivePlot|)
    (LETT |h| (SPADCALL |tRg| (QREFELT $ 20)) |PLOT3D;adaptivePlot|)
    (LETT |tDiff| (- |h| |l|) |PLOT3D;adaptivePlot|)
    (EXIT
     (COND ((= |tDiff| #2#) |curve|)
      ('T
       (SEQ (LETT |t| (QVELT |curve| 2) |PLOT3D;adaptivePlot|)
        (EXIT
         (COND ((< (LENGTH |t|) 3) |curve|)
          ('T
           (SEQ (LETT |p| (QVELT |curve| 3) |PLOT3D;adaptivePlot|)
            (LETT |f| (QVELT |curve| 0) |PLOT3D;adaptivePlot|)
            (LETT |minLength|
             (/ (FLOAT 4 MOST-POSITIVE-DOUBLE-FLOAT)
              (FLOAT |resolution| MOST-POSITIVE-DOUBLE-FLOAT))
             |PLOT3D;adaptivePlot|)
            (LETT |maxLength| (/ #3# (FLOAT 4 MOST-POSITIVE-DOUBLE-FLOAT))
             |PLOT3D;adaptivePlot|)
            (LETT |tLimit|
             (/ |tDiff|
              (FLOAT (* |pixelfraction| |resolution|)
               MOST-POSITIVE-DOUBLE-FLOAT))
             |PLOT3D;adaptivePlot|)
            (SEQ G190
             (COND
              ((NULL (COND ((NULL |t|) 'NIL) ('T (< (|SPADfirst| |t|) |l|))))
               (GO G191)))
             (SEQ (LETT |t| (CDR |t|) |PLOT3D;adaptivePlot|)
              (EXIT (LETT |p| (CDR |p|) |PLOT3D;adaptivePlot|)))
             NIL (GO G190) G191 (EXIT NIL))
            (EXIT
             (COND ((< (LENGTH |t|) 3) |curve|)
              ('T
               (SEQ (LETT |headert| |t| |PLOT3D;adaptivePlot|)
                (LETT |headerp| |p| |PLOT3D;adaptivePlot|)
                (LETT |st| |t| |PLOT3D;adaptivePlot|)
                (LETT |sp| |p| |PLOT3D;adaptivePlot|)
                (LETT |todot| NIL |PLOT3D;adaptivePlot|)
                (LETT |todop| NIL |PLOT3D;adaptivePlot|)
                (SEQ G190
                 (COND
                  ((NULL (COND ((NULL (CDR (CDR |st|))) 'NIL) ('T 'T)))
                   (GO G191)))
                 (SEQ
                  (LETT |todot| (SPADCALL |todot| |st| (QREFELT $ 55))
                   |PLOT3D;adaptivePlot|)
                  (LETT |todop| (SPADCALL |todop| |sp| (QREFELT $ 57))
                   |PLOT3D;adaptivePlot|)
                  (LETT |st| (CDR |st|) |PLOT3D;adaptivePlot|)
                  (EXIT (LETT |sp| (CDR |sp|) |PLOT3D;adaptivePlot|)))
                 NIL (GO G190) G191 (EXIT NIL))
                (LETT |st| |headert| |PLOT3D;adaptivePlot|)
                (LETT |sp| |headerp| |PLOT3D;adaptivePlot|)
                (LETT |todo1| |todot| |PLOT3D;adaptivePlot|)
                (LETT |todo2| |todop| |PLOT3D;adaptivePlot|)
                (LETT |n| 0 |PLOT3D;adaptivePlot|)
                (SEQ
                 (EXIT
                  (SEQ G190
                   (COND
                    ((NULL (COND ((NULL |todo1|) 'NIL) ('T 'T))) (GO G191)))
                   (SEQ (LETT |st| (|SPADfirst| |todo1|) |PLOT3D;adaptivePlot|)
                    (LETT |t0| (|SPADfirst| |st|) |PLOT3D;adaptivePlot|)
                    (LETT |t1| (SPADCALL |st| (QREFELT $ 44))
                     |PLOT3D;adaptivePlot|)
                    (LETT |t2| (SPADCALL |st| (QREFELT $ 58))
                     |PLOT3D;adaptivePlot|)
                    (COND
                     ((< |h| |t2|)
                      (PROGN (LETT #1# |$NoValue| |PLOT3D;adaptivePlot|)
                       (GO #1#))))
                    (EXIT
                     (COND
                      ((< (- |t2| |t0|) |tLimit|)
                       (SEQ (LETT |todo1| (CDR |todo1|) |PLOT3D;adaptivePlot|)
                        (LETT |todo2| (CDR |todo2|) |PLOT3D;adaptivePlot|)
                        (EXIT
                         (COND
                          ((NULL (NULL |todo1|))
                           (SEQ
                            (LETT |t| (|SPADfirst| |todo1|)
                             |PLOT3D;adaptivePlot|)
                            (EXIT
                             (LETT |p| (|SPADfirst| |todo2|)
                              |PLOT3D;adaptivePlot|))))))))
                      ('T
                       (SEQ
                        (LETT |sp| (|SPADfirst| |todo2|) |PLOT3D;adaptivePlot|)
                        (LETT |x0| (SPADCALL (|SPADfirst| |sp|) (QREFELT $ 50))
                         |PLOT3D;adaptivePlot|)
                        (LETT |y0| (SPADCALL (|SPADfirst| |sp|) (QREFELT $ 53))
                         |PLOT3D;adaptivePlot|)
                        (LETT |z0| (SPADCALL (|SPADfirst| |sp|) (QREFELT $ 54))
                         |PLOT3D;adaptivePlot|)
                        (LETT |x1|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 59))
                          (QREFELT $ 50))
                         |PLOT3D;adaptivePlot|)
                        (LETT |y1|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 59))
                          (QREFELT $ 53))
                         |PLOT3D;adaptivePlot|)
                        (LETT |z1|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 59))
                          (QREFELT $ 54))
                         |PLOT3D;adaptivePlot|)
                        (LETT |x2|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 60))
                          (QREFELT $ 50))
                         |PLOT3D;adaptivePlot|)
                        (LETT |y2|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 60))
                          (QREFELT $ 53))
                         |PLOT3D;adaptivePlot|)
                        (LETT |z2|
                         (SPADCALL (SPADCALL |sp| (QREFELT $ 60))
                          (QREFELT $ 54))
                         |PLOT3D;adaptivePlot|)
                        (LETT |a1| (/ (- |x1| |x0|) |xDiff|)
                         |PLOT3D;adaptivePlot|)
                        (LETT |b1| (/ (- |y1| |y0|) |yDiff|)
                         |PLOT3D;adaptivePlot|)
                        (LETT |c1| (/ (- |z1| |z0|) |zDiff|)
                         |PLOT3D;adaptivePlot|)
                        (LETT |a2| (/ (- |x2| |x1|) |xDiff|)
                         |PLOT3D;adaptivePlot|)
                        (LETT |b2| (/ (- |y2| |y1|) |yDiff|)
                         |PLOT3D;adaptivePlot|)
                        (LETT |c2| (/ (- |z2| |z1|) |zDiff|)
                         |PLOT3D;adaptivePlot|)
                        (LETT |s1|
                         (SPADCALL
                          (+
                           (+ (SPADCALL |a1| 2 (QREFELT $ 62))
                            (SPADCALL |b1| 2 (QREFELT $ 62)))
                           (SPADCALL |c1| 2 (QREFELT $ 62)))
                          (QREFELT $ 63))
                         |PLOT3D;adaptivePlot|)
                        (LETT |s2|
                         (SPADCALL
                          (+
                           (+ (SPADCALL |a2| 2 (QREFELT $ 62))
                            (SPADCALL |b2| 2 (QREFELT $ 62)))
                           (SPADCALL |c2| 2 (QREFELT $ 62)))
                          (QREFELT $ 63))
                         |PLOT3D;adaptivePlot|)
                        (LETT |dp|
                         (+ (+ (* |a1| |a2|) (* |b1| |b2|)) (* |c1| |c2|))
                         |PLOT3D;adaptivePlot|)
                        (COND
                         ((< |s1| |maxLength|)
                          (COND
                           ((< |s2| |maxLength|)
                            (COND
                             ((OR (= |s1| #2#) (= |s2| #2#))
                              (EXIT
                               (SEQ
                                (LETT |todo1| (CDR |todo1|)
                                 |PLOT3D;adaptivePlot|)
                                (LETT |todo2| (CDR |todo2|)
                                 |PLOT3D;adaptivePlot|)
                                (EXIT
                                 (COND
                                  ((NULL (NULL |todo1|))
                                   (SEQ
                                    (LETT |t| (|SPADfirst| |todo1|)
                                     |PLOT3D;adaptivePlot|)
                                    (EXIT
                                     (LETT |p| (|SPADfirst| |todo2|)
                                      |PLOT3D;adaptivePlot|)))))))))
                             ((< |s1| |minLength|)
                              (COND
                               ((OR (< |s2| |minLength|)
                                 (< (QREFELT $ 14) (/ (/ |dp| |s1|) |s2|)))
                                (EXIT
                                 (SEQ
                                  (LETT |todo1| (CDR |todo1|)
                                   |PLOT3D;adaptivePlot|)
                                  (LETT |todo2| (CDR |todo2|)
                                   |PLOT3D;adaptivePlot|)
                                  (EXIT
                                   (COND
                                    ((NULL (NULL |todo1|))
                                     (SEQ
                                      (LETT |t| (|SPADfirst| |todo1|)
                                       |PLOT3D;adaptivePlot|)
                                      (EXIT
                                       (LETT |p| (|SPADfirst| |todo2|)
                                        |PLOT3D;adaptivePlot|)))))))))))
                             ('T
                              (COND
                               ((< (QREFELT $ 14) (/ (/ |dp| |s1|) |s2|))
                                (EXIT
                                 (SEQ
                                  (LETT |todo1| (CDR |todo1|)
                                   |PLOT3D;adaptivePlot|)
                                  (LETT |todo2| (CDR |todo2|)
                                   |PLOT3D;adaptivePlot|)
                                  (EXIT
                                   (COND
                                    ((NULL (NULL |todo1|))
                                     (SEQ
                                      (LETT |t| (|SPADfirst| |todo1|)
                                       |PLOT3D;adaptivePlot|)
                                      (EXIT
                                       (LETT |p| (|SPADfirst| |todo2|)
                                        |PLOT3D;adaptivePlot|))))))))))))))))
                        (COND
                         ((EQL |n| (QREFELT $ 9))
                          (PROGN (LETT #1# |$NoValue| |PLOT3D;adaptivePlot|)
                           (GO #1#)))
                         ('T (LETT |n| (+ |n| 1) |PLOT3D;adaptivePlot|)))
                        (LETT |st| (CDR |t|) |PLOT3D;adaptivePlot|)
                        (EXIT
                         (COND
                          ((NULL (CDR (CDR |st|)))
                           (SEQ
                            (LETT |tm|
                             (/ (+ |t0| |t1|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT3D;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT3D;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 46))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 48))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT3D;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT3D;adaptivePlot|)
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT3D;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT3D;adaptivePlot|)
                            (LETT |tm|
                             (/ (+ |t1| |t2|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT3D;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT3D;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 46))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 48))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo1| (CDR |todo1|) |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (CDR |todo2|) |PLOT3D;adaptivePlot|)
                            (EXIT
                             (COND
                              ((NULL (NULL |todo1|))
                               (SEQ
                                (LETT |t| (|SPADfirst| |todo1|)
                                 |PLOT3D;adaptivePlot|)
                                (EXIT
                                 (LETT |p| (|SPADfirst| |todo2|)
                                  |PLOT3D;adaptivePlot|))))))))
                          ('T
                           (SEQ
                            (LETT |tm|
                             (/ (+ |t0| |t1|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT3D;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT3D;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 46))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 48))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT3D;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT3D;adaptivePlot|)
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT3D;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT3D;adaptivePlot|)
                            (LETT |todo1| (CDR |todo1|) |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (CDR |todo2|) |PLOT3D;adaptivePlot|)
                            (LETT |tm|
                             (/ (+ |t1| |t2|)
                              (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
                             |PLOT3D;adaptivePlot|)
                            (LETT |tj| |tm| |PLOT3D;adaptivePlot|)
                            (SPADCALL |t| '|rest| (CONS |tj| (CDR |t|))
                             (QREFELT $ 46))
                            (SPADCALL |p| '|rest|
                             (CONS (SPADCALL |tj| |f|) (CDR |p|))
                             (QREFELT $ 48))
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |t| (CDR |t|) |PLOT3D;adaptivePlot|)
                            (LETT |p| (CDR |p|) |PLOT3D;adaptivePlot|)
                            (LETT |todo1| (SPADCALL |todo1| |t| (QREFELT $ 55))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (SPADCALL |todo2| |p| (QREFELT $ 57))
                             |PLOT3D;adaptivePlot|)
                            (LETT |todo1| (CDR |todo1|) |PLOT3D;adaptivePlot|)
                            (LETT |todo2| (CDR |todo2|) |PLOT3D;adaptivePlot|)
                            (EXIT
                             (COND
                              ((NULL (NULL |todo1|))
                               (SEQ
                                (LETT |t| (|SPADfirst| |todo1|)
                                 |PLOT3D;adaptivePlot|)
                                (EXIT
                                 (LETT |p| (|SPADfirst| |todo2|)
                                  |PLOT3D;adaptivePlot|)))))))))))))))
                   NIL (GO G190) G191 (EXIT NIL)))
                 #1# (EXIT #1#))
                (EXIT
                 (COND
                  ((< 0 |n|)
                   (SEQ (SETELT $ 10 (+ (QREFELT $ 10) |n|))
                    (LETT |t| (QVELT |curve| 2) |PLOT3D;adaptivePlot|)
                    (LETT |p| (QVELT |curve| 3) |PLOT3D;adaptivePlot|)
                    (LETT |xRg|
                     (SPADCALL (|PLOT3D;select| |p| (ELT $ 50) (ELT $ 51) $)
                      (|PLOT3D;select| |p| (ELT $ 50) (ELT $ 52) $)
                      (QREFELT $ 22))
                     |PLOT3D;adaptivePlot|)
                    (LETT |yRg|
                     (SPADCALL (|PLOT3D;select| |p| (ELT $ 53) (ELT $ 51) $)
                      (|PLOT3D;select| |p| (ELT $ 53) (ELT $ 52) $)
                      (QREFELT $ 22))
                     |PLOT3D;adaptivePlot|)
                    (LETT |zRg|
                     (SPADCALL (|PLOT3D;select| |p| (ELT $ 54) (ELT $ 51) $)
                      (|PLOT3D;select| |p| (ELT $ 54) (ELT $ 52) $)
                      (QREFELT $ 22))
                     |PLOT3D;adaptivePlot|)
                    (EXIT
                     (VECTOR (QVELT |curve| 0) (LIST |tRg| |xRg| |yRg| |zRg|)
                      |t| |p|))))
                  ('T |curve|))))))))))))))))))) 

(DEFUN |PLOT3D;basicPlot| (|f| |tRange| $)
 (PROG (|h| |s| |i| #1=#:G3651 |l| |t| |p| |xRange| |yRange| |zRange|)
  (RETURN
   (SEQ (|PLOT3D;checkRange| |tRange| $)
    (LETT |l| (SPADCALL |tRange| (QREFELT $ 21)) |PLOT3D;basicPlot|)
    (LETT |h| (SPADCALL |tRange| (QREFELT $ 20)) |PLOT3D;basicPlot|)
    (LETT |t| (SPADCALL |l| (QREFELT $ 66)) |PLOT3D;basicPlot|)
    (LETT |p| (SPADCALL (SPADCALL |l| |f|) (QREFELT $ 67)) |PLOT3D;basicPlot|)
    (LETT |s|
     (/ (- |h| |l|) (FLOAT (- (QREFELT $ 8) 1) MOST-POSITIVE-DOUBLE-FLOAT))
     |PLOT3D;basicPlot|)
    (SEQ (LETT |i| 2 |PLOT3D;basicPlot|)
     (LETT #1# (- (QREFELT $ 8) 1) |PLOT3D;basicPlot|) G190
     (COND ((QSGREATERP |i| #1#) (GO G191)))
     (SEQ (LETT |l| (+ |l| |s|) |PLOT3D;basicPlot|)
      (LETT |t| (CONS |l| |t|) |PLOT3D;basicPlot|)
      (EXIT (LETT |p| (CONS (SPADCALL |l| |f|) |p|) |PLOT3D;basicPlot|)))
     (LETT |i| (QSADD1 |i|) |PLOT3D;basicPlot|) (GO G190) G191 (EXIT NIL))
    (LETT |t| (NREVERSE (CONS |h| |t|)) |PLOT3D;basicPlot|)
    (LETT |p| (NREVERSE (CONS (SPADCALL |h| |f|) |p|)) |PLOT3D;basicPlot|)
    (LETT |xRange|
     (SPADCALL (|PLOT3D;select| |p| (ELT $ 50) (ELT $ 51) $)
      (|PLOT3D;select| |p| (ELT $ 50) (ELT $ 52) $) (QREFELT $ 22))
     |PLOT3D;basicPlot|)
    (LETT |yRange|
     (SPADCALL (|PLOT3D;select| |p| (ELT $ 53) (ELT $ 51) $)
      (|PLOT3D;select| |p| (ELT $ 53) (ELT $ 52) $) (QREFELT $ 22))
     |PLOT3D;basicPlot|)
    (LETT |zRange|
     (SPADCALL (|PLOT3D;select| |p| (ELT $ 54) (ELT $ 51) $)
      (|PLOT3D;select| |p| (ELT $ 54) (ELT $ 52) $) (QREFELT $ 22))
     |PLOT3D;basicPlot|)
    (EXIT (VECTOR |f| (LIST |tRange| |xRange| |yRange| |zRange|) |t| |p|)))))) 

(DEFUN |PLOT3D;zoom;$3S$;27| (|p| |xRange| |yRange| |zRange| $)
 (VECTOR (LIST |xRange| |yRange| |zRange|) (QVELT |p| 1) (QVELT |p| 2)
  (QVELT |p| 3) (QVELT |p| 4))) 

(DEFUN |PLOT3D;basicRefine| (|curve| |nRange| $)
 (PROG (|tRange| |l| |h| |f| |tm| |pm| |t| |p| |xRange| |yRange| |zRange|)
  (RETURN
   (SEQ (LETT |tRange| (|SPADfirst| (QVELT |curve| 1)) |PLOT3D;basicRefine|)
    (LETT |curve|
     (VECTOR (QVELT |curve| 0) (QVELT |curve| 1) (QVELT |curve| 2)
      (QVELT |curve| 3))
     |PLOT3D;basicRefine|)
    (LETT |t| (QSETVELT |curve| 2 (SPADCALL (QVELT |curve| 2) (QREFELT $ 69)))
     |PLOT3D;basicRefine|)
    (LETT |p| (QSETVELT |curve| 3 (SPADCALL (QVELT |curve| 3) (QREFELT $ 70)))
     |PLOT3D;basicRefine|)
    (LETT |l| (SPADCALL |nRange| (QREFELT $ 21)) |PLOT3D;basicRefine|)
    (LETT |h| (SPADCALL |nRange| (QREFELT $ 20)) |PLOT3D;basicRefine|)
    (LETT |f| (QVELT |curve| 0) |PLOT3D;basicRefine|)
    (SEQ G190
     (COND
      ((NULL (COND ((NULL (CDR |t|)) 'NIL) ('T (< (|SPADfirst| |t|) |h|))))
       (GO G191)))
     (SEQ
      (EXIT
       (COND
        ((< (SPADCALL |t| (QREFELT $ 44)) |l|)
         (SEQ (LETT |t| (CDR |t|) |PLOT3D;basicRefine|)
          (EXIT (LETT |p| (CDR |p|) |PLOT3D;basicRefine|))))
        ('T
         (SEQ
          (LETT |tm|
           (/ (+ (|SPADfirst| |t|) (SPADCALL |t| (QREFELT $ 44)))
            (FLOAT 2 MOST-POSITIVE-DOUBLE-FLOAT))
           |PLOT3D;basicRefine|)
          (LETT |pm| (SPADCALL |tm| |f|) |PLOT3D;basicRefine|)
          (SETELT $ 10 (+ (QREFELT $ 10) 1))
          (SPADCALL |t| '|rest| (CONS |tm| (CDR |t|)) (QREFELT $ 46))
          (LETT |t| (CDR (CDR |t|)) |PLOT3D;basicRefine|)
          (SPADCALL |p| '|rest| (CONS |pm| (CDR |p|)) (QREFELT $ 48))
          (EXIT (LETT |p| (CDR (CDR |p|)) |PLOT3D;basicRefine|)))))))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |t| (QVELT |curve| 2) |PLOT3D;basicRefine|)
    (LETT |p| (QVELT |curve| 3) |PLOT3D;basicRefine|)
    (LETT |xRange|
     (SPADCALL (|PLOT3D;select| |p| (ELT $ 50) (ELT $ 51) $)
      (|PLOT3D;select| |p| (ELT $ 50) (ELT $ 52) $) (QREFELT $ 22))
     |PLOT3D;basicRefine|)
    (LETT |yRange|
     (SPADCALL (|PLOT3D;select| |p| (ELT $ 53) (ELT $ 51) $)
      (|PLOT3D;select| |p| (ELT $ 53) (ELT $ 52) $) (QREFELT $ 22))
     |PLOT3D;basicRefine|)
    (LETT |zRange|
     (SPADCALL (|PLOT3D;select| |p| (ELT $ 54) (ELT $ 51) $)
      (|PLOT3D;select| |p| (ELT $ 54) (ELT $ 52) $) (QREFELT $ 22))
     |PLOT3D;basicRefine|)
    (EXIT
     (VECTOR (QVELT |curve| 0) (LIST |tRange| |xRange| |yRange| |zRange|) |t|
      |p|)))))) 

(DEFUN |PLOT3D;refine;2$;29| (|p| $)
 (SPADCALL |p| (|PLOT3D;parametricRange| |p| $) (QREFELT $ 71))) 

(DEFUN |PLOT3D;refine;$S$;30| (|p| |nRange| $)
 (PROG
  (|tRange| #1=#:G3669 #2=#:G3670 |tlimit| #3=#:G3671 |c| #4=#:G3672 |scrres|
   |curves| |xRange| |yRange| |zRange|)
  (RETURN
   (SEQ (SETELT $ 10 0)
    (LETT |tRange| (|PLOT3D;parametricRange| |p| $) |PLOT3D;refine;$S$;30|)
    (LETT |nRange| (|PLOT3D;intersect| |tRange| |nRange| $)
     |PLOT3D;refine;$S$;30|)
    (LETT |curves|
     (PROGN (LETT #1# NIL |PLOT3D;refine;$S$;30|)
      (SEQ (LETT |c| NIL |PLOT3D;refine;$S$;30|)
       (LETT #2# (QVELT |p| 4) |PLOT3D;refine;$S$;30|) G190
       (COND
        ((OR (ATOM #2#)
          (PROGN (LETT |c| (CAR #2#) |PLOT3D;refine;$S$;30|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (|PLOT3D;basicRefine| |c| |nRange| $) #1#)
          |PLOT3D;refine;$S$;30|)))
       (LETT #2# (CDR #2#) |PLOT3D;refine;$S$;30|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |PLOT3D;refine;$S$;30|)
    (LETT |xRange| (|PLOT3D;join| |curves| 1 $) |PLOT3D;refine;$S$;30|)
    (LETT |yRange| (|PLOT3D;join| |curves| 2 $) |PLOT3D;refine;$S$;30|)
    (LETT |zRange| (|PLOT3D;join| |curves| 3 $) |PLOT3D;refine;$S$;30|)
    (LETT |scrres| (QVELT |p| 2) |PLOT3D;refine;$S$;30|)
    (COND
     ((SPADCALL (QREFELT $ 34))
      (SEQ (LETT |tlimit| 8 |PLOT3D;refine;$S$;30|)
       (LETT |curves|
        (PROGN (LETT #3# NIL |PLOT3D;refine;$S$;30|)
         (SEQ (LETT |c| NIL |PLOT3D;refine;$S$;30|)
          (LETT #4# |curves| |PLOT3D;refine;$S$;30|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |c| (CAR #4#) |PLOT3D;refine;$S$;30|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3#
             (CONS
              (|PLOT3D;adaptivePlot| |c| |nRange| |xRange| |yRange| |zRange|
               |tlimit|
               (LETT |scrres| (SPADCALL 2 |scrres| (QREFELT $ 73))
                |PLOT3D;refine;$S$;30|)
               $)
              #3#)
             |PLOT3D;refine;$S$;30|)))
          (LETT #4# (CDR #4#) |PLOT3D;refine;$S$;30|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |PLOT3D;refine;$S$;30|)
       (LETT |xRange| (|PLOT3D;join| |curves| 1 $) |PLOT3D;refine;$S$;30|)
       (LETT |yRange| (|PLOT3D;join| |curves| 2 $) |PLOT3D;refine;$S$;30|)
       (EXIT
        (LETT |zRange| (|PLOT3D;join| |curves| 3 $) |PLOT3D;refine;$S$;30|)))))
    (EXIT
     (VECTOR (QVELT |p| 0) (LIST |tRange| |xRange| |yRange| |zRange|) |scrres|
      (QVELT |p| 3) |curves|)))))) 

(DEFUN |PLOT3D;plot;$S$;31| (|p| |tRange| $)
 (PROG
  (#1=#:G3679 #2=#:G3680 |tlimit| #3=#:G3681 |c| #4=#:G3682 |curves| |xRange|
   |yRange| |zRange|)
  (RETURN
   (SEQ (SETELT $ 10 0)
    (LETT |curves|
     (PROGN (LETT #1# NIL |PLOT3D;plot;$S$;31|)
      (SEQ (LETT |c| NIL |PLOT3D;plot;$S$;31|)
       (LETT #2# (QVELT |p| 4) |PLOT3D;plot;$S$;31|) G190
       (COND
        ((OR (ATOM #2#) (PROGN (LETT |c| (CAR #2#) |PLOT3D;plot;$S$;31|) NIL))
         (GO G191)))
       (SEQ
        (EXIT
         (LETT #1# (CONS (|PLOT3D;rangeRefine| |c| |tRange| $) #1#)
          |PLOT3D;plot;$S$;31|)))
       (LETT #2# (CDR #2#) |PLOT3D;plot;$S$;31|) (GO G190) G191
       (EXIT (NREVERSE0 #1#))))
     |PLOT3D;plot;$S$;31|)
    (LETT |xRange| (|PLOT3D;join| |curves| 1 $) |PLOT3D;plot;$S$;31|)
    (LETT |yRange| (|PLOT3D;join| |curves| 2 $) |PLOT3D;plot;$S$;31|)
    (LETT |zRange| (|PLOT3D;join| |curves| 3 $) |PLOT3D;plot;$S$;31|)
    (COND
     ((SPADCALL (QREFELT $ 34))
      (SEQ (LETT |tlimit| 8 |PLOT3D;plot;$S$;31|)
       (LETT |curves|
        (PROGN (LETT #3# NIL |PLOT3D;plot;$S$;31|)
         (SEQ (LETT |c| NIL |PLOT3D;plot;$S$;31|)
          (LETT #4# |curves| |PLOT3D;plot;$S$;31|) G190
          (COND
           ((OR (ATOM #4#)
             (PROGN (LETT |c| (CAR #4#) |PLOT3D;plot;$S$;31|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (LETT #3#
             (CONS
              (|PLOT3D;adaptivePlot| |c| |tRange| |xRange| |yRange| |zRange|
               |tlimit| (QVELT |p| 2) $)
              #3#)
             |PLOT3D;plot;$S$;31|)))
          (LETT #4# (CDR #4#) |PLOT3D;plot;$S$;31|) (GO G190) G191
          (EXIT (NREVERSE0 #3#))))
        |PLOT3D;plot;$S$;31|)
       (LETT |xRange| (|PLOT3D;join| |curves| 1 $) |PLOT3D;plot;$S$;31|)
       (LETT |yRange| (|PLOT3D;join| |curves| 2 $) |PLOT3D;plot;$S$;31|)
       (EXIT
        (LETT |zRange| (|PLOT3D;join| |curves| 3 $) |PLOT3D;plot;$S$;31|)))))
    (EXIT
     (VECTOR (LIST |xRange| |yRange| |zRange|)
      (LIST |tRange| |xRange| |yRange| |zRange|) (QVELT |p| 2) (QVELT |p| 3)
      |curves|)))))) 

(DEFUN |PLOT3D;pointPlot;MS$;32| (|f| |tRange| $)
 (PROG (|r| |p|)
  (RETURN
   (SEQ
    (LETT |p| (|PLOT3D;basicPlot| |f| |tRange| $) |PLOT3D;pointPlot;MS$;32|)
    (LETT |r| (QVELT |p| 1) |PLOT3D;pointPlot;MS$;32|)
    (SETELT $ 10 (QREFELT $ 8))
    (COND
     ((SPADCALL (QREFELT $ 34))
      (LETT |p|
       (|PLOT3D;adaptivePlot| |p| (|SPADfirst| |r|)
        (SPADCALL |r| (QREFELT $ 24)) (SPADCALL |r| (QREFELT $ 25))
        (|PLOT3D;fourth| |r| $) 8 (QREFELT $ 11) $)
       |PLOT3D;pointPlot;MS$;32|)))
    (EXIT (VECTOR (CDR |r|) |r| (QREFELT $ 11) NIL (LIST |p|))))))) 

(DEFUN |PLOT3D;pointPlot;M4S$;33| (|f| |tRange| |xRange| |yRange| |zRange| $)
 (PROG (|p|)
  (RETURN
   (SEQ
    (LETT |p| (SPADCALL |f| |tRange| (QREFELT $ 76))
     |PLOT3D;pointPlot;M4S$;33|)
    (QSETVELT |p| 0
     (LIST (|PLOT3D;checkRange| |xRange| $) (|PLOT3D;checkRange| |yRange| $)
      (|PLOT3D;checkRange| |zRange| $)))
    (EXIT |p|))))) 

(DEFUN |PLOT3D;myTrap| (|ff| |f| $)
 (PROG (|s| |r|)
  (RETURN
   (SEQ (LETT |s| (|trapNumericErrors| (SPADCALL |f| |ff|)) |PLOT3D;myTrap|)
    (COND ((QEQCAR |s| 1) (LETT |r| 0.0 |PLOT3D;myTrap|))
     ('T (LETT |r| (QCDR |s|) |PLOT3D;myTrap|)))
    (EXIT |r|))))) 

(DEFUN |PLOT3D;plot;4MS$;35| (|f1| |f2| |f3| |col| |tRange| $)
 (PROG (|r| |p|)
  (RETURN
   (SEQ
    (LETT |p|
     (|PLOT3D;basicPlot|
      (CONS #'|PLOT3D;plot;4MS$;35!0| (VECTOR |col| |f3| |f2| $ |f1|)) |tRange|
      $)
     |PLOT3D;plot;4MS$;35|)
    (LETT |r| (QVELT |p| 1) |PLOT3D;plot;4MS$;35|) (SETELT $ 10 (QREFELT $ 8))
    (COND
     ((SPADCALL (QREFELT $ 34))
      (LETT |p|
       (|PLOT3D;adaptivePlot| |p| (|SPADfirst| |r|)
        (SPADCALL |r| (QREFELT $ 24)) (SPADCALL |r| (QREFELT $ 25))
        (|PLOT3D;fourth| |r| $) 8 (QREFELT $ 11) $)
       |PLOT3D;plot;4MS$;35|)))
    (EXIT (VECTOR (CDR |r|) |r| (QREFELT $ 11) NIL (LIST |p|))))))) 

(DEFUN |PLOT3D;plot;4MS$;35!0| (|#1| $$)
 (PROG ($) (LETT $ (QREFELT $$ 3) |PLOT3D;plot;4MS$;35|)
  (RETURN
   (PROGN
    (|PLOT3D;point| (|PLOT3D;myTrap| (QREFELT $$ 4) |#1| $)
     (|PLOT3D;myTrap| (QREFELT $$ 2) |#1| $)
     (|PLOT3D;myTrap| (QREFELT $$ 1) |#1| $) (SPADCALL |#1| (QREFELT $$ 0))
     $))))) 

(DEFUN |PLOT3D;plot;4M4S$;36|
 (|f1| |f2| |f3| |col| |tRange| |xRange| |yRange| |zRange| $)
 (PROG (|p|)
  (RETURN
   (SEQ
    (LETT |p| (SPADCALL |f1| |f2| |f3| |col| |tRange| (QREFELT $ 79))
     |PLOT3D;plot;4M4S$;36|)
    (QSETVELT |p| 0
     (LIST (|PLOT3D;checkRange| |xRange| $) (|PLOT3D;checkRange| |yRange| $)
      (|PLOT3D;checkRange| |zRange| $)))
    (EXIT |p|))))) 

(DEFUN |PLOT3D;coerce;$Of;37| (|r| $)
 (PROG
  (|spaces| |xSymbol| |ySymbol| |zSymbol| |tSymbol| |tRange| |curve| #1=#:G3707
   |xRange| |yRange| |zRange| |h| #2=#:G3708 |p| #3=#:G3709 |l| |f|)
  (RETURN
   (SEQ (LETT |spaces| "   " |PLOT3D;coerce;$Of;37|)
    (LETT |xSymbol| "x = " |PLOT3D;coerce;$Of;37|)
    (LETT |ySymbol| "y = " |PLOT3D;coerce;$Of;37|)
    (LETT |zSymbol| "z = " |PLOT3D;coerce;$Of;37|)
    (LETT |tSymbol| "t = " |PLOT3D;coerce;$Of;37|)
    (LETT |tRange| (SPADCALL (|PLOT3D;parametricRange| |r| $) (QREFELT $ 82))
     |PLOT3D;coerce;$Of;37|)
    (LETT |f| NIL |PLOT3D;coerce;$Of;37|)
    (SEQ (LETT |curve| NIL |PLOT3D;coerce;$Of;37|)
     (LETT #1# (QVELT |r| 4) |PLOT3D;coerce;$Of;37|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |curve| (CAR #1#) |PLOT3D;coerce;$Of;37|) NIL))
       (GO G191)))
     (SEQ
      (LETT |xRange|
       (SPADCALL (SPADCALL (QVELT |curve| 1) 1 (QREFELT $ 83)) (QREFELT $ 82))
       |PLOT3D;coerce;$Of;37|)
      (LETT |yRange|
       (SPADCALL (SPADCALL (QVELT |curve| 1) 2 (QREFELT $ 83)) (QREFELT $ 82))
       |PLOT3D;coerce;$Of;37|)
      (LETT |zRange|
       (SPADCALL (SPADCALL (QVELT |curve| 1) 3 (QREFELT $ 83)) (QREFELT $ 82))
       |PLOT3D;coerce;$Of;37|)
      (LETT |l|
       (LIST |xSymbol| |xRange| |spaces| |ySymbol| |yRange| |spaces| |zSymbol|
        |zRange|)
       |PLOT3D;coerce;$Of;37|)
      (LETT |l|
       (SPADCALL (LIST |tSymbol| |tRange| |spaces|) |l| (QREFELT $ 85))
       |PLOT3D;coerce;$Of;37|)
      (LETT |h| (SPADCALL |l| (QREFELT $ 87)) |PLOT3D;coerce;$Of;37|)
      (LETT |l|
       (PROGN (LETT #2# NIL |PLOT3D;coerce;$Of;37|)
        (SEQ (LETT |p| NIL |PLOT3D;coerce;$Of;37|)
         (LETT #3# (QVELT |curve| 3) |PLOT3D;coerce;$Of;37|) G190
         (COND
          ((OR (ATOM #3#)
            (PROGN (LETT |p| (CAR #3#) |PLOT3D;coerce;$Of;37|) NIL))
           (GO G191)))
         (SEQ
          (EXIT
           (LETT #2# (CONS (SPADCALL |p| (QREFELT $ 88)) #2#)
            |PLOT3D;coerce;$Of;37|)))
         (LETT #3# (CDR #3#) |PLOT3D;coerce;$Of;37|) (GO G190) G191
         (EXIT (NREVERSE0 #2#))))
       |PLOT3D;coerce;$Of;37|)
      (EXIT
       (LETT |f| (CONS (SPADCALL (CONS |h| |l|) (QREFELT $ 89)) |f|)
        |PLOT3D;coerce;$Of;37|)))
     (LETT #1# (CDR #1#) |PLOT3D;coerce;$Of;37|) (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL "PLOT" (NREVERSE |f|) (QREFELT $ 90))))))) 

(DEFUN |PLOT3D;listBranches;$L;38| (|plot| $)
 (PROG (|curve| #1=#:G3714 |outList|)
  (RETURN
   (SEQ (LETT |outList| NIL |PLOT3D;listBranches;$L;38|)
    (SEQ (LETT |curve| NIL |PLOT3D;listBranches;$L;38|)
     (LETT #1# (QVELT |plot| 4) |PLOT3D;listBranches;$L;38|) G190
     (COND
      ((OR (ATOM #1#)
        (PROGN (LETT |curve| (CAR #1#) |PLOT3D;listBranches;$L;38|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (LETT |outList| (CONS (QVELT |curve| 3) |outList|)
        |PLOT3D;listBranches;$L;38|)))
     (LETT #1# (CDR #1#) |PLOT3D;listBranches;$L;38|) (GO G190) G191
     (EXIT NIL))
    (EXIT |outList|))))) 

(DEFUN |Plot3D| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3718)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|Plot3D|) |Plot3D|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|Plot3D|
           (LIST (CONS NIL (CONS 1 (|Plot3D;|))))))
         (LETT #1# T |Plot3D|))
        (COND ((NOT #1#) (HREM |$ConstructorCache| '|Plot3D|))))))))))) 

(DEFUN |Plot3D;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT |dv$| '(|Plot3D|) . #1=(|Plot3D|)) (LETT $ (GETREFV 93) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|Plot3D| NIL (CONS 1 $))
    (|stuffDomainSlots| $)
    (QSETREFV $ 6
     (|Record| (|:| |display| (|List| (|Segment| (|DoubleFloat|))))
      (|:| |bounds| (|List| (|Segment| (|DoubleFloat|))))
      (|:| |screenres| (|Integer|)) (|:| |axisLabels| (|List| (|String|)))
      (|:| |functions|
       (|List|
        (|Record|
         (|:| |source| (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)))
         (|:| |ranges| (|List| (|Segment| (|DoubleFloat|))))
         (|:| |knots| (|List| (|DoubleFloat|)))
         (|:| |points| (|List| (|Point| (|DoubleFloat|)))))))))
    (QSETREFV $ 7 'T) (QSETREFV $ 8 49) (QSETREFV $ 9 1000) (QSETREFV $ 10 0)
    (QSETREFV $ 11 500)
    (QSETREFV $ 14
     (COS (SPADCALL (FLOAT 4 MOST-POSITIVE-DOUBLE-FLOAT) (QREFELT $ 13))))
    (QSETREFV $ 15 'NIL) $)))) 

(MAKEPROP '|Plot3D| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL '|Rep| 'ADAPTIVE 'MINPOINTS 'MAXPOINTS
     'NUMFUNEVALS 'SCREENRES (|DoubleFloat|) (0 . |inv|) 'ANGLEBOUND 'DEBUG
     (|List| 12) (|Point| 12) (5 . |point|) (|Segment| 12) (10 . |hi|)
     (15 . |lo|) (20 . SEGMENT) (|List| 19) (26 . |second|) (31 . |third|)
     (|Integer|) |PLOT3D;minPoints3D;I;8| |PLOT3D;setMinPoints3D;2I;9|
     |PLOT3D;maxPoints3D;I;10| |PLOT3D;setMaxPoints3D;2I;11|
     |PLOT3D;screenResolution3D;I;12| |PLOT3D;setScreenResolution3D;2I;13|
     (|Boolean|) |PLOT3D;adaptive3D?;B;14| |PLOT3D;setAdaptive3D;2B;15|
     |PLOT3D;numFunEvals3D;I;16| |PLOT3D;debug3D;2B;17| |PLOT3D;xRange;$S;18|
     |PLOT3D;yRange;$S;19| |PLOT3D;zRange;$S;20| |PLOT3D;tRange;$S;21|
     (|List| 16) |PLOT3D;tValues;$L;22| (36 . |second|) '"rest" (41 . |setelt|)
     (|List| 17) (48 . |setelt|) (|PointPackage| 12) (55 . |xCoord|)
     (60 . |min|) (66 . |max|) (72 . |yCoord|) (77 . |zCoord|) (82 . |concat!|)
     (|List| 47) (88 . |concat!|) (94 . |third|) (99 . |second|)
     (104 . |third|) (|PositiveInteger|) (109 . **) (115 . |sqrt|)
     (|Fraction| 26) (120 . |Zero|) (124 . |list|) (129 . |list|)
     |PLOT3D;zoom;$3S$;27| (134 . |copy|) (139 . |copy|) |PLOT3D;refine;$S$;30|
     |PLOT3D;refine;2$;29| (144 . *) |PLOT3D;plot;$S$;31| (|Mapping| 17 12)
     |PLOT3D;pointPlot;MS$;32| |PLOT3D;pointPlot;M4S$;33| (|Mapping| 12 12)
     |PLOT3D;plot;4MS$;35| |PLOT3D;plot;4M4S$;36| (|OutputForm|)
     (150 . |coerce|) (155 . |elt|) (|List| 81) (161 . |concat!|) (|List| $)
     (167 . |hconcat|) (172 . |coerce|) (177 . |vconcat|) (182 . |prefix|)
     |PLOT3D;coerce;$Of;37| |PLOT3D;listBranches;$L;38|)
  '#(|zoom| 188 |zRange| 196 |yRange| 201 |xRange| 206 |tValues| 211 |tRange|
     216 |setScreenResolution3D| 221 |setMinPoints3D| 226 |setMaxPoints3D| 231
     |setAdaptive3D| 236 |screenResolution3D| 241 |refine| 245 |pointPlot| 256
     |plot| 271 |numFunEvals3D| 298 |minPoints3D| 302 |maxPoints3D| 306
     |listBranches| 310 |debug3D| 315 |coerce| 320 |adaptive3D?| 325)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0))
   (CONS '#(NIL NIL)
    (CONS '#((|PlottableSpaceCurveCategory|) (|CoercibleTo| 81))
     (|makeByteWordVec2| 92
      '(1 12 0 0 13 1 17 0 16 18 1 19 12 0 20 1 19 12 0 21 2 19 0 12 12 22 1 23
        19 0 24 1 23 19 0 25 1 16 12 0 44 3 16 0 0 45 0 46 3 47 0 0 45 0 48 1
        49 12 17 50 2 12 0 0 0 51 2 12 0 0 0 52 1 49 12 17 53 1 49 12 17 54 2
        42 0 0 16 55 2 56 0 0 47 57 1 16 12 0 58 1 47 17 0 59 1 47 17 0 60 2 12
        0 0 61 62 1 12 0 0 63 0 64 0 65 1 16 0 12 66 1 47 0 17 67 1 16 0 0 69 1
        47 0 0 70 2 26 0 61 0 73 1 19 81 0 82 2 23 19 0 26 83 2 84 0 0 0 85 1
        81 0 86 87 1 17 81 0 88 1 81 0 86 89 2 81 0 0 86 90 4 0 0 0 19 19 19 68
        1 0 19 0 40 1 0 19 0 39 1 0 19 0 38 1 0 42 0 43 1 0 19 0 41 1 0 26 26
        32 1 0 26 26 28 1 0 26 26 30 1 0 33 33 35 0 0 26 31 1 0 0 0 72 2 0 0 0
        19 71 5 0 0 75 19 19 19 19 77 2 0 0 75 19 76 2 0 0 0 19 74 5 0 0 78 78
        78 78 19 79 8 0 0 78 78 78 78 19 19 19 19 80 0 0 26 36 0 0 26 27 0 0 26
        29 1 0 56 0 92 1 0 33 33 37 1 0 81 0 91 0 0 33 34)))))
  '|lookupComplete|)) 

(MAKEPROP '|Plot3D| 'NILADIC T) 
