
(/VERSIONCHECK 2) 

(DEFUN |SCACHE;cache;L;1| ($) (QCAR (QREFELT $ 7))) 

(DEFUN |SCACHE;shiftCache| (|l| |n| $)
 (PROG (|x| #1=#:G3547)
  (RETURN
   (SEQ
    (SEQ (LETT |x| NIL |SCACHE;shiftCache|) (LETT #1# |l| |SCACHE;shiftCache|)
     G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |x| (CAR #1#) |SCACHE;shiftCache|) NIL))
       (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |x| (+ |n| (SPADCALL |x| (QREFELT $ 11))) (QREFELT $ 13))))
     (LETT #1# (CDR #1#) |SCACHE;shiftCache|) (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL (QREFELT $ 14))))))) 

(DEFUN |SCACHE;clearCache;V;3| ($)
 (PROG (|x| #1=#:G3551)
  (RETURN
   (SEQ
    (SEQ (LETT |x| NIL |SCACHE;clearCache;V;3|)
     (LETT #1# (SPADCALL (QREFELT $ 9)) |SCACHE;clearCache;V;3|) G190
     (COND
      ((OR (ATOM #1#) (PROGN (LETT |x| (CAR #1#) |SCACHE;clearCache;V;3|) NIL))
       (GO G191)))
     (SEQ (EXIT (SPADCALL |x| 0 (QREFELT $ 13))))
     (LETT #1# (CDR #1#) |SCACHE;clearCache;V;3|) (GO G190) G191 (EXIT NIL))
    (PROGN (RPLACA (QREFELT $ 7) NIL) (QCAR (QREFELT $ 7)))
    (EXIT (SPADCALL (QREFELT $ 14))))))) 

(DEFUN |SCACHE;enterInCache;SMS;4| (|x| |equal?| $)
 (PROG (|y| #1=#:G3557 |scan|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |scan| (SPADCALL (QREFELT $ 9)) |SCACHE;enterInCache;SMS;4|)
      (SEQ G190 (COND ((NULL (COND ((NULL |scan|) 'NIL) ('T 'T))) (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((SPADCALL
            (LETT |y| (|SPADfirst| |scan|) |SCACHE;enterInCache;SMS;4|)
            |equal?|)
           (SEQ (SPADCALL |x| (SPADCALL |y| (QREFELT $ 11)) (QREFELT $ 13))
            (EXIT
             (PROGN (LETT #1# |y| |SCACHE;enterInCache;SMS;4|) (GO #1#)))))
          ('T (LETT |scan| (CDR |scan|) |SCACHE;enterInCache;SMS;4|)))))
       NIL (GO G190) G191 (EXIT NIL))
      (SPADCALL |x| (+ 1 (LENGTH (SPADCALL (QREFELT $ 9)))) (QREFELT $ 13))
      (PROGN
       (RPLACA (QREFELT $ 7)
        (SPADCALL (SPADCALL (QREFELT $ 9)) |x| (QREFELT $ 16)))
       (QCAR (QREFELT $ 7)))
      (EXIT |x|)))
    #1# (EXIT #1#))))) 

(DEFUN |SCACHE;enterInCache;SMS;5| (|x| |triage| $)
 (PROG (|i| #1=#:G3566 |y| |n| #2=#:G3559 #3=#:G3565 |scan| |pos|)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |scan| (SPADCALL (QREFELT $ 9)) |SCACHE;enterInCache;SMS;5|)
      (LETT |pos| 0 |SCACHE;enterInCache;SMS;5|)
      (SEQ (LETT |i| 1 |SCACHE;enterInCache;SMS;5|)
       (LETT #1# (LENGTH |scan|) |SCACHE;enterInCache;SMS;5|) G190
       (COND ((QSGREATERP |i| #1#) (GO G191)))
       (SEQ
        (EXIT
         (COND
          ((ZEROP
            (LETT |n|
             (SPADCALL |x|
              (LETT |y| (|SPADfirst| |scan|) |SCACHE;enterInCache;SMS;5|)
              |triage|)
             |SCACHE;enterInCache;SMS;5|))
           (SEQ (SPADCALL |x| (SPADCALL |y| (QREFELT $ 11)) (QREFELT $ 13))
            (EXIT
             (PROGN (LETT #3# |y| |SCACHE;enterInCache;SMS;5|) (GO #3#)))))
          ((< |n| 0)
           (PROGN
            (LETT #3#
             (|SCACHE;insertInCache|
              (SPADCALL (SPADCALL (QREFELT $ 9))
               (PROG1 (LETT #2# (- |i| 1) |SCACHE;enterInCache;SMS;5|)
                (|check-subtype| (>= #2# 0) '(|NonNegativeInteger|) #2#))
               (QREFELT $ 19))
              |scan| |x| |pos| $)
             |SCACHE;enterInCache;SMS;5|)
            (GO #3#)))
          ('T
           (SEQ (LETT |scan| (CDR |scan|) |SCACHE;enterInCache;SMS;5|)
            (EXIT
             (LETT |pos| (SPADCALL |y| (QREFELT $ 11))
              |SCACHE;enterInCache;SMS;5|)))))))
       (LETT |i| (QSADD1 |i|) |SCACHE;enterInCache;SMS;5|) (GO G190) G191
       (EXIT NIL))
      (SPADCALL |x| (+ |pos| 1024) (QREFELT $ 13))
      (PROGN
       (RPLACA (QREFELT $ 7)
        (SPADCALL (SPADCALL (QREFELT $ 9)) |x| (QREFELT $ 16)))
       (QCAR (QREFELT $ 7)))
      (EXIT |x|)))
    #3# (EXIT #3#))))) 

(DEFUN |SCACHE;insertInCache| (|before| |after| |x| |pos| $)
 (PROG (#1=#:G3568)
  (RETURN
   (SEQ
    (COND
     ((EQL (+ |pos| 1) (SPADCALL (|SPADfirst| |after|) (QREFELT $ 11)))
      (|SCACHE;shiftCache| |after| 1024 $)))
    (SPADCALL |x|
     (+ |pos|
      (QUOTIENT2
       (PROG1
        (LETT #1# (- (SPADCALL (|SPADfirst| |after|) (QREFELT $ 11)) |pos|)
         |SCACHE;insertInCache|)
        (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
       2))
     (QREFELT $ 13))
    (PROGN
     (RPLACA (QREFELT $ 7)
      (SPADCALL |before| (CONS |x| |after|) (QREFELT $ 22)))
     (QCAR (QREFELT $ 7)))
    (EXIT |x|))))) 

(DEFUN |SortedCache| (#1=#:G3573)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3574)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|SortedCache|) '|domainEqualList|)
        |SortedCache|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT (PROG1 (|SortedCache;| #1#) (LETT #2# T |SortedCache|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|SortedCache|))))))))))) 

(DEFUN |SortedCache;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|SortedCache|))
    (LETT |dv$| (LIST '|SortedCache| DV$1) . #1#) (LETT $ (GETREFV 23) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|SortedCache| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 (LIST NIL)) $)))) 

(MAKEPROP '|SortedCache| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) '|cach| (|List| 6)
     |SCACHE;cache;L;1| (|NonNegativeInteger|) (0 . |position|) (|Void|)
     (5 . |setPosition|) (11 . |void|) |SCACHE;clearCache;V;3| (15 . |concat|)
     (|Mapping| (|Boolean|) 6) |SCACHE;enterInCache;SMS;4| (21 . |first|)
     (|Mapping| (|Integer|) 6 6) |SCACHE;enterInCache;SMS;5| (27 . |concat|))
  '#(|enterInCache| 33 |clearCache| 45 |cache| 49) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 22
      '(1 6 10 0 11 2 6 12 0 10 13 0 12 0 14 2 8 0 0 6 16 2 8 0 0 10 19 2 8 0 0
        0 22 2 0 6 6 20 21 2 0 6 6 17 18 0 0 12 15 0 0 8 9)))))
  '|lookupComplete|)) 
