
(/VERSIONCHECK 2) 

(DEFUN |SCPKG;matrix2Vector| (|m| $)
 (PROG (|lili| |li|)
  (RETURN
   (SEQ (LETT |lili| (SPADCALL |m| (QREFELT $ 9)) |SCPKG;matrix2Vector|)
    (LETT |li| (SPADCALL (ELT $ 11) |lili| (QREFELT $ 13))
     |SCPKG;matrix2Vector|)
    (EXIT (SPADCALL |li| (QREFELT $ 15))))))) 

(DEFUN |SCPKG;coordinates;MLV;2| (|x| |b| $)
 (PROG (#1=#:G3551 |m| |n| |transitionMatrix| |i| |res| #2=#:G3561)
  (RETURN
   (SEQ
    (LETT |m|
     (PROG1 (LETT #1# (SPADCALL |b| (QREFELT $ 18)) |SCPKG;coordinates;MLV;2|)
      (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
     |SCPKG;coordinates;MLV;2|)
    (LETT |n|
     (* (SPADCALL (SPADCALL |b| 1 (QREFELT $ 20)) (QREFELT $ 22))
      (SPADCALL (SPADCALL |b| 1 (QREFELT $ 20)) (QREFELT $ 23)))
     |SCPKG;coordinates;MLV;2|)
    (LETT |transitionMatrix|
     (SPADCALL |n| |m| (|spadConstant| $ 24) (QREFELT $ 25))
     |SCPKG;coordinates;MLV;2|)
    (SEQ (LETT |i| 1 |SCPKG;coordinates;MLV;2|) G190
     (COND ((QSGREATERP |i| |m|) (GO G191)))
     (SEQ
      (EXIT
       (SPADCALL |transitionMatrix| |i|
        (|SCPKG;matrix2Vector| (SPADCALL |b| |i| (QREFELT $ 20)) $)
        (QREFELT $ 26))))
     (LETT |i| (QSADD1 |i|) |SCPKG;coordinates;MLV;2|) (GO G190) G191
     (EXIT NIL))
    (LETT |res|
     (SPADCALL |transitionMatrix| (|SCPKG;matrix2Vector| |x| $) (QREFELT $ 30))
     |SCPKG;coordinates;MLV;2|)
    (COND
     ((NULL (SPADCALL (ELT $ 32) (|SPADfirst| (QCDR |res|)) (QREFELT $ 34)))
      (|error| "coordinates: the second argument is linearly dependent")))
    (EXIT
     (COND
      ((QEQCAR (QCAR |res|) 1)
       (|error|
        "coordinates: first argument is not in linear span of second argument"))
      ('T
       (PROG2 (LETT #2# (QCAR |res|) |SCPKG;coordinates;MLV;2|) (QCDR #2#)
        (|check-union| (QEQCAR #2# 0) (|Vector| (QREFELT $ 6)) #2#))))))))) 

(DEFUN |SCPKG;structuralConstants;LV;3| (|b| $)
 (PROG (#1=#:G3565 |m| #2=#:G3573 #3=#:G3574 |sC| |i| |j| |covec| |k|)
  (RETURN
   (SEQ
    (LETT |m|
     (PROG1
      (LETT #1# (SPADCALL |b| (QREFELT $ 18)) |SCPKG;structuralConstants;LV;3|)
      (|check-subtype| (>= #1# 0) '(|NonNegativeInteger|) #1#))
     |SCPKG;structuralConstants;LV;3|)
    (LETT |sC|
     (PRIMVEC2ARR
      (PROGN (LETT #2# (GETREFV |m|) |SCPKG;structuralConstants;LV;3|)
       (SEQ (LETT #3# 0 |SCPKG;structuralConstants;LV;3|)
        (LETT |k| 1 |SCPKG;structuralConstants;LV;3|) G190
        (COND ((QSGREATERP |k| |m|) (GO G191)))
        (SEQ
         (EXIT
          (SETELT #2# #3#
           (SPADCALL |m| |m| (|spadConstant| $ 24) (QREFELT $ 25)))))
        (LETT |k|
         (PROG1 (QSADD1 |k|)
          (LETT #3# (QSADD1 #3#) |SCPKG;structuralConstants;LV;3|))
         |SCPKG;structuralConstants;LV;3|)
        (GO G190) G191 (EXIT NIL))
       #2#))
     |SCPKG;structuralConstants;LV;3|)
    (SEQ (LETT |i| 1 |SCPKG;structuralConstants;LV;3|) G190
     (COND ((QSGREATERP |i| |m|) (GO G191)))
     (SEQ
      (EXIT
       (SEQ (LETT |j| 1 |SCPKG;structuralConstants;LV;3|) G190
        (COND ((QSGREATERP |j| |m|) (GO G191)))
        (SEQ
         (LETT |covec|
          (SPADCALL
           (SPADCALL (SPADCALL |b| |i| (QREFELT $ 20))
            (SPADCALL |b| |j| (QREFELT $ 20)) (QREFELT $ 36))
           |b| (QREFELT $ 35))
          |SCPKG;structuralConstants;LV;3|)
         (EXIT
          (SEQ (LETT |k| 1 |SCPKG;structuralConstants;LV;3|) G190
           (COND ((QSGREATERP |k| |m|) (GO G191)))
           (SEQ
            (EXIT
             (SPADCALL (SPADCALL |sC| |k| (QREFELT $ 38)) |i| |j|
              (SPADCALL |covec| |k| (QREFELT $ 39)) (QREFELT $ 40))))
           (LETT |k| (QSADD1 |k|) |SCPKG;structuralConstants;LV;3|) (GO G190)
           G191 (EXIT NIL))))
        (LETT |j| (QSADD1 |j|) |SCPKG;structuralConstants;LV;3|) (GO G190) G191
        (EXIT NIL))))
     (LETT |i| (QSADD1 |i|) |SCPKG;structuralConstants;LV;3|) (GO G190) G191
     (EXIT NIL))
    (EXIT |sC|))))) 

(DEFUN |SCPKG;structuralConstants;LMV;4| (|ls| |mt| $)
 (PROG (|nn| |mat| |s| |i| |j| |p| |c| |gamma| |lscopy|)
  (RETURN
   (SEQ (LETT |nn| (LENGTH |ls|) |SCPKG;structuralConstants;LMV;4|)
    (COND
     ((EQL (SPADCALL |mt| (QREFELT $ 43)) |nn|)
      (COND
       ((NULL (EQL (SPADCALL |mt| (QREFELT $ 44)) |nn|))
        (EXIT
         (|error|
          #1="structuralConstants: size of second argument does not agree with number of generators")))))
     ('T (EXIT (|error| #1#))))
    (LETT |gamma| NIL |SCPKG;structuralConstants;LMV;4|)
    (LETT |lscopy| (SPADCALL |ls| (QREFELT $ 46))
     |SCPKG;structuralConstants;LMV;4|)
    (SEQ G190 (COND ((NULL (COND ((NULL |lscopy|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ
      (LETT |mat| (SPADCALL |nn| |nn| (|spadConstant| $ 48) (QREFELT $ 49))
       |SCPKG;structuralConstants;LMV;4|)
      (LETT |s| (|SPADfirst| |lscopy|) |SCPKG;structuralConstants;LMV;4|)
      (SEQ (LETT |i| 1 |SCPKG;structuralConstants;LMV;4|) G190
       (COND ((QSGREATERP |i| |nn|) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |SCPKG;structuralConstants;LMV;4|) G190
          (COND ((QSGREATERP |j| |nn|) (GO G191)))
          (SEQ
           (LETT |p| (SPADCALL |mt| |i| |j| (QREFELT $ 50))
            |SCPKG;structuralConstants;LMV;4|)
           (EXIT
            (COND
             ((< 1 (SPADCALL |p| |ls| (QREFELT $ 52)))
              (|error|
               "structuralConstants: entries of second argument must be linear polynomials in the generators"))
             ('T
              (SEQ
               (LETT |c| (SPADCALL |p| |s| 1 (QREFELT $ 54))
                |SCPKG;structuralConstants;LMV;4|)
               (EXIT
                (COND
                 ((NULL (SPADCALL |c| (|spadConstant| $ 48) (QREFELT $ 55)))
                  (SPADCALL |mat| |i| |j| |c| (QREFELT $ 56))))))))))
          (LETT |j| (QSADD1 |j|) |SCPKG;structuralConstants;LMV;4|) (GO G190)
          G191 (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |SCPKG;structuralConstants;LMV;4|) (GO G190) G191
       (EXIT NIL))
      (LETT |gamma| (CONS |mat| |gamma|) |SCPKG;structuralConstants;LMV;4|)
      (EXIT (LETT |lscopy| (CDR |lscopy|) |SCPKG;structuralConstants;LMV;4|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL (REVERSE |gamma|) (QREFELT $ 59))))))) 

(DEFUN |SCPKG;structuralConstants;LMV;5| (|ls| |mt| $)
 (PROG (|nn| |mat| |s| |i| |j| |r| |q| |p| |c| |gamma| |lscopy|)
  (RETURN
   (SEQ (LETT |nn| (LENGTH |ls|) |SCPKG;structuralConstants;LMV;5|)
    (COND
     ((EQL (SPADCALL |mt| (QREFELT $ 62)) |nn|)
      (COND
       ((NULL (EQL (SPADCALL |mt| (QREFELT $ 63)) |nn|))
        (EXIT
         (|error|
          #1="structuralConstants: size of second argument does not agree with number of generators")))))
     ('T (EXIT (|error| #1#))))
    (LETT |gamma| NIL |SCPKG;structuralConstants;LMV;5|)
    (LETT |lscopy| (SPADCALL |ls| (QREFELT $ 46))
     |SCPKG;structuralConstants;LMV;5|)
    (SEQ G190 (COND ((NULL (COND ((NULL |lscopy|) 'NIL) ('T 'T))) (GO G191)))
     (SEQ
      (LETT |mat| (SPADCALL |nn| |nn| (|spadConstant| $ 65) (QREFELT $ 66))
       |SCPKG;structuralConstants;LMV;5|)
      (LETT |s| (|SPADfirst| |lscopy|) |SCPKG;structuralConstants;LMV;5|)
      (SEQ (LETT |i| 1 |SCPKG;structuralConstants;LMV;5|) G190
       (COND ((QSGREATERP |i| |nn|) (GO G191)))
       (SEQ
        (EXIT
         (SEQ (LETT |j| 1 |SCPKG;structuralConstants;LMV;5|) G190
          (COND ((QSGREATERP |j| |nn|) (GO G191)))
          (SEQ
           (LETT |r| (SPADCALL |mt| |i| |j| (QREFELT $ 67))
            |SCPKG;structuralConstants;LMV;5|)
           (LETT |q| (SPADCALL |r| (QREFELT $ 68))
            |SCPKG;structuralConstants;LMV;5|)
           (COND
            ((NULL (EQL (SPADCALL |q| |ls| (QREFELT $ 52)) 0))
             (EXIT
              (|error|
               "structuralConstants: entries of second argument must be (linear) polynomials in the generators"))))
           (LETT |p| (SPADCALL |r| (QREFELT $ 69))
            |SCPKG;structuralConstants;LMV;5|)
           (EXIT
            (COND
             ((< 1 (SPADCALL |p| |ls| (QREFELT $ 52)))
              (|error|
               "structuralConstants: entries of second argument must be linear polynomials in the generators"))
             ('T
              (SEQ
               (LETT |c| (SPADCALL |p| |s| 1 (QREFELT $ 54))
                |SCPKG;structuralConstants;LMV;5|)
               (EXIT
                (COND
                 ((NULL (SPADCALL |c| (|spadConstant| $ 48) (QREFELT $ 55)))
                  (SPADCALL |mat| |i| |j| (SPADCALL |c| |q| (QREFELT $ 71))
                   (QREFELT $ 72))))))))))
          (LETT |j| (QSADD1 |j|) |SCPKG;structuralConstants;LMV;5|) (GO G190)
          G191 (EXIT NIL))))
       (LETT |i| (QSADD1 |i|) |SCPKG;structuralConstants;LMV;5|) (GO G190) G191
       (EXIT NIL))
      (LETT |gamma| (CONS |mat| |gamma|) |SCPKG;structuralConstants;LMV;5|)
      (EXIT (LETT |lscopy| (CDR |lscopy|) |SCPKG;structuralConstants;LMV;5|)))
     NIL (GO G190) G191 (EXIT NIL))
    (EXIT (SPADCALL (REVERSE |gamma|) (QREFELT $ 75))))))) 

(DEFUN |StructuralConstantsPackage| (#1=#:G3598)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3599)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|StructuralConstantsPackage|)
         '|domainEqualList|)
        |StructuralConstantsPackage|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|StructuralConstantsPackage;| #1#)
         (LETT #2# T |StructuralConstantsPackage|))
        (COND
         ((NOT #2#)
          (HREM |$ConstructorCache| '|StructuralConstantsPackage|))))))))))) 

(DEFUN |StructuralConstantsPackage;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|StructuralConstantsPackage|))
    (LETT |dv$| (LIST '|StructuralConstantsPackage| DV$1) . #1#)
    (LETT $ (GETREFV 77) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|StructuralConstantsPackage| (LIST DV$1)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) $)))) 

(MAKEPROP '|StructuralConstantsPackage| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|List| 10) (|Matrix| 6)
     (0 . |listOfLists|) (|List| 6) (5 . |concat|) (|Mapping| 10 10 10)
     (11 . |reduce|) (|Vector| 6) (17 . |construct|) (|Integer|) (|List| 8)
     (22 . |maxIndex|) (27 . |One|) (31 . |elt|) (|NonNegativeInteger|)
     (37 . |nrows|) (42 . |ncols|) (47 . |Zero|) (51 . |new|)
     (58 . |setColumn!|) (|Union| 14 '"failed")
     (|Record| (|:| |particular| 27) (|:| |basis| (|List| 14)))
     (|LinearSystemMatrixPackage| 6 14 14 8) (65 . |solve|) (|Boolean|)
     (71 . |zero?|) (|Mapping| 31 6) (76 . |every?|) |SCPKG;coordinates;MLV;2|
     (82 . *) (|Vector| 8) (88 . |elt|) (94 . |elt|) (100 . |setelt|)
     |SCPKG;structuralConstants;LV;3| (|Matrix| 47) (108 . |nrows|)
     (113 . |ncols|) (|List| 53) (118 . |copy|) (|Polynomial| 6) (123 . |Zero|)
     (127 . |new|) (134 . |qelt|) (141 . |One|) (145 . |totalDegree|)
     (|Symbol|) (151 . |coefficient|) (158 . =) (164 . |qsetelt!|) (|List| 42)
     (|Vector| 42) (172 . |vector|) |SCPKG;structuralConstants;LMV;4|
     (|Matrix| 64) (177 . |nrows|) (182 . |ncols|) (|Fraction| 47)
     (187 . |Zero|) (191 . |new|) (198 . |qelt|) (205 . |denom|)
     (210 . |numer|) (215 . |One|) (219 . /) (225 . |qsetelt!|) (|List| 61)
     (|Vector| 61) (233 . |vector|) |SCPKG;structuralConstants;LMV;5|)
  '#(|structuralConstants| 238 |coordinates| 255) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 76
      '(1 8 7 0 9 2 10 0 0 0 11 2 7 10 12 0 13 1 14 0 10 15 1 17 16 0 18 0 6 0
        19 2 17 8 0 16 20 1 8 21 0 22 1 8 21 0 23 0 6 0 24 3 8 0 21 21 6 25 3 8
        0 0 16 14 26 2 29 28 8 14 30 1 6 31 0 32 2 14 31 33 0 34 2 8 0 0 0 36 2
        37 8 0 16 38 2 14 6 0 16 39 4 8 6 0 16 16 6 40 1 42 21 0 43 1 42 21 0
        44 1 45 0 0 46 0 47 0 48 3 42 0 21 21 47 49 3 42 47 0 16 16 50 0 47 0
        51 2 47 21 0 45 52 3 47 0 0 53 21 54 2 47 31 0 0 55 4 42 47 0 16 16 47
        56 1 58 0 57 59 1 61 21 0 62 1 61 21 0 63 0 64 0 65 3 61 0 21 21 64 66
        3 61 64 0 16 16 67 1 64 47 0 68 1 64 47 0 69 0 64 0 70 2 64 0 47 47 71
        4 61 64 0 16 16 64 72 1 74 0 73 75 2 0 58 45 42 60 2 0 74 45 61 76 1 0
        37 17 41 2 0 14 8 17 35)))))
  '|lookupComplete|)) 
