
(/VERSIONCHECK 2) 

(DEFUN |SQMATRIX;Zero;$;1| ($) (QREFELT $ 10)) 

(DEFUN |SQMATRIX;One;$;2| ($) (QREFELT $ 13)) 

(DEFUN |SQMATRIX;characteristic;Nni;3| ($) (SPADCALL (QREFELT $ 16))) 

(DEFUN |SQMATRIX;matrix;L$;4| (|l| $)
 (PROG
  (#1=#:G3554 #2=#:G3549 |ans| |ll| #3=#:G3556 |i| #4=#:G3555 |r| #5=#:G3558
   |j| #6=#:G3557)
  (RETURN
   (SEQ
    (COND
     ((NULL (EQL (LENGTH |l|) (QREFELT $ 6)))
      (|error| "matrix: wrong number of rows"))
     ('T
      (SEQ
       (SEQ
        (EXIT
         (SEQ (LETT |ll| NIL |SQMATRIX;matrix;L$;4|)
          (LETT #1# |l| |SQMATRIX;matrix;L$;4|) G190
          (COND
           ((OR (ATOM #1#)
             (PROGN (LETT |ll| (CAR #1#) |SQMATRIX;matrix;L$;4|) NIL))
            (GO G191)))
          (SEQ
           (EXIT
            (COND
             ((NULL (EQL (LENGTH |ll|) (QREFELT $ 6)))
              (PROGN
               (LETT #2# (|error| "matrix: wrong number of columns")
                |SQMATRIX;matrix;L$;4|)
               (GO #2#))))))
          (LETT #1# (CDR #1#) |SQMATRIX;matrix;L$;4|) (GO G190) G191
          (EXIT NIL)))
        #2# (EXIT #2#))
       (LETT |ans|
        (SPADCALL (QREFELT $ 6) (QREFELT $ 6) (|spadConstant| $ 8)
         (QREFELT $ 18))
        |SQMATRIX;matrix;L$;4|)
       (SEQ (LETT |ll| NIL |SQMATRIX;matrix;L$;4|)
        (LETT #3# |l| |SQMATRIX;matrix;L$;4|)
        (LETT |i| (SPADCALL |ans| (QREFELT $ 20)) |SQMATRIX;matrix;L$;4|)
        (LETT #4# (SPADCALL |ans| (QREFELT $ 21)) |SQMATRIX;matrix;L$;4|) G190
        (COND
         ((OR (> |i| #4#) (ATOM #3#)
           (PROGN (LETT |ll| (CAR #3#) |SQMATRIX;matrix;L$;4|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (SEQ (LETT |r| NIL |SQMATRIX;matrix;L$;4|)
           (LETT #5# |ll| |SQMATRIX;matrix;L$;4|)
           (LETT |j| (SPADCALL |ans| (QREFELT $ 22)) |SQMATRIX;matrix;L$;4|)
           (LETT #6# (SPADCALL |ans| (QREFELT $ 23)) |SQMATRIX;matrix;L$;4|)
           G190
           (COND
            ((OR (> |j| #6#) (ATOM #5#)
              (PROGN (LETT |r| (CAR #5#) |SQMATRIX;matrix;L$;4|) NIL))
             (GO G191)))
           (SEQ (EXIT (SPADCALL |ans| |i| |j| |r| (QREFELT $ 24))))
           (LETT |j|
            (PROG1 (+ |j| 1) (LETT #5# (CDR #5#) |SQMATRIX;matrix;L$;4|))
            |SQMATRIX;matrix;L$;4|)
           (GO G190) G191 (EXIT NIL))))
        (LETT |i| (PROG1 (+ |i| 1) (LETT #3# (CDR #3#) |SQMATRIX;matrix;L$;4|))
         |SQMATRIX;matrix;L$;4|)
        (GO G190) G191 (EXIT NIL))
       (EXIT |ans|)))))))) 

(DEFUN |SQMATRIX;row;$IDp;5| (|x| |i| $)
 (SPADCALL (SPADCALL |x| |i| (QREFELT $ 28)) (QREFELT $ 30))) 

(DEFUN |SQMATRIX;column;$IDp;6| (|x| |j| $)
 (SPADCALL (SPADCALL |x| |j| (QREFELT $ 32)) (QREFELT $ 30))) 

(DEFUN |SQMATRIX;coerce;$Of;7| (|x| $) (SPADCALL |x| (QREFELT $ 35))) 

(DEFUN |SQMATRIX;scalarMatrix;R$;8| (|r| $)
 (SPADCALL (QREFELT $ 6) |r| (QREFELT $ 37))) 

(DEFUN |SQMATRIX;diagonalMatrix;L$;9| (|l| $)
 (COND
  ((NULL (EQL (LENGTH |l|) (QREFELT $ 6)))
   (|error| "diagonalMatrix: wrong number of entries in list"))
  ('T (SPADCALL |l| (QREFELT $ 39))))) 

(DEFUN |SQMATRIX;coerce;$M;10| (|x| $) (SPADCALL |x| (QREFELT $ 41))) 

(DEFUN |SQMATRIX;squareMatrix;M$;11| (|x| $)
 (SEQ
  (COND
   ((EQL (SPADCALL |x| (QREFELT $ 43)) (QREFELT $ 6))
    (COND
     ((NULL (EQL (SPADCALL |x| (QREFELT $ 44)) (QREFELT $ 6)))
      (EXIT (|error| #1="squareMatrix: matrix of bad dimensions")))))
   ('T (EXIT (|error| #1#))))
  (EXIT (SPADCALL |x| (QREFELT $ 41))))) 

(DEFUN |SQMATRIX;*;$2Dp;12| (|x| |v| $)
 (SPADCALL (SPADCALL |x| (SPADCALL |v| (QREFELT $ 46)) (QREFELT $ 47))
  (QREFELT $ 30))) 

(DEFUN |SQMATRIX;*;Dp$Dp;13| (|v| |x| $)
 (SPADCALL (SPADCALL (SPADCALL |v| (QREFELT $ 46)) |x| (QREFELT $ 49))
  (QREFELT $ 30))) 

(DEFUN |SQMATRIX;**;$Nni$;14| (|x| |n| $) (SPADCALL |x| |n| (QREFELT $ 51))) 

(DEFUN |SQMATRIX;determinant;$R;15| (|x| $) (SPADCALL |x| (QREFELT $ 53))) 

(DEFUN |SQMATRIX;minordet;$R;16| (|x| $) (SPADCALL |x| (QREFELT $ 55))) 

(DEFUN |SQMATRIX;rowEchelon;2$;17| (|x| $) (SPADCALL |x| (QREFELT $ 57))) 

(DEFUN |SQMATRIX;rank;$Nni;18| (|x| $) (SPADCALL |x| (QREFELT $ 59))) 

(DEFUN |SQMATRIX;nullity;$Nni;19| (|x| $) (SPADCALL |x| (QREFELT $ 61))) 

(DEFUN |SQMATRIX;nullSpace;$L;20| (|x| $)
 (PROG (#1=#:G3581 |c| #2=#:G3582)
  (RETURN
   (SEQ
    (PROGN (LETT #1# NIL |SQMATRIX;nullSpace;$L;20|)
     (SEQ (LETT |c| NIL |SQMATRIX;nullSpace;$L;20|)
      (LETT #2# (SPADCALL |x| (QREFELT $ 64)) |SQMATRIX;nullSpace;$L;20|) G190
      (COND
       ((OR (ATOM #2#)
         (PROGN (LETT |c| (CAR #2#) |SQMATRIX;nullSpace;$L;20|) NIL))
        (GO G191)))
      (SEQ
       (EXIT
        (LETT #1# (CONS (SPADCALL |c| (QREFELT $ 30)) #1#)
         |SQMATRIX;nullSpace;$L;20|)))
      (LETT #2# (CDR #2#) |SQMATRIX;nullSpace;$L;20|) (GO G190) G191
      (EXIT (NREVERSE0 #1#)))))))) 

(DEFUN |SQMATRIX;inverse;$U;21| (|x| $)
 (PROG (|u|)
  (RETURN
   (SEQ (LETT |u| (SPADCALL |x| (QREFELT $ 68)) |SQMATRIX;inverse;$U;21|)
    (EXIT
     (COND ((QEQCAR |u| 1) (CONS 1 "failed")) ('T (CONS 0 (QCDR |u|))))))))) 

(DEFUN |SQMATRIX;**;$I$;22| (|x| |n| $) (SPADCALL |x| |n| (QREFELT $ 70))) 

(DEFUN |SQMATRIX;recip;$U;23| (|x| $) (SPADCALL |x| (QREFELT $ 69))) 

(DEFUN |SQMATRIX;convert;$If;24| (|x| $)
 (SPADCALL
  (LIST (SPADCALL (SPADCALL "squareMatrix" (QREFELT $ 75)) (QREFELT $ 77))
   (SPADCALL (SPADCALL |x| (QREFELT $ 42)) (QREFELT $ 78)))
  (QREFELT $ 80))) 

(DEFUN |SquareMatrix| (&REST #1=#:G3619 &AUX #2=#:G3617) (DSETQ #2# #1#)
 (PROG NIL
  (RETURN
   (PROG (#3=#:G3618)
    (RETURN
     (COND
      ((LETT #3#
        (|lassocShiftWithFunction| (|devaluateList| #2#)
         (HGET |$ConstructorCache| '|SquareMatrix|) '|domainEqualList|)
        |SquareMatrix|)
       (|CDRwithIncrement| #3#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (APPLY (|function| |SquareMatrix;|) #2#)
         (LETT #3# T |SquareMatrix|))
        (COND ((NOT #3#) (HREM |$ConstructorCache| '|SquareMatrix|))))))))))) 

(DEFUN |SquareMatrix;| (|#1| |#2|)
 (PROG (DV$1 DV$2 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|SquareMatrix|))
    (LETT DV$2 (|devaluate| |#2|) . #1#)
    (LETT |dv$| (LIST '|SquareMatrix| DV$1 DV$2) . #1#)
    (LETT $ (GETREFV 101) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3
     (LETT |pv$|
      (|buildPredVector| 0 0
       (LIST (|HasCategory| |#2| '(|PartialDifferentialRing| (|Symbol|)))
        (|HasCategory| |#2| '(|DifferentialRing|))
        (|HasAttribute| |#2| '(|commutative| #2="*"))
        (|HasCategory| |#2| '(|LinearlyExplicitRingOver| (|Integer|)))
        (|HasCategory| |#2| '(|RetractableTo| (|Fraction| (|Integer|))))
        (|HasCategory| |#2| '(|RetractableTo| (|Integer|)))
        (|HasCategory| |#2| '(|ConvertibleTo| (|InputForm|)))
        (|HasCategory| |#2| '(|EuclideanDomain|))
        (|HasCategory| |#2| '(|IntegralDomain|))
        (|HasCategory| |#2| '(|SetCategory|)) (|HasCategory| |#2| '(|Field|))
        (OR (|HasAttribute| |#2| '(|commutative| #2#))
         (|HasCategory| |#2| '(|DifferentialRing|))
         (|HasCategory| |#2| '(|LinearlyExplicitRingOver| (|Integer|)))
         (|HasCategory| |#2| '(|PartialDifferentialRing| (|Symbol|))))
        (AND (|HasCategory| |#2| '(|SetCategory|))
         (|HasCategory| |#2| (LIST '|Evalable| (|devaluate| |#2|))))
        (OR
         (AND (|HasCategory| |#2| '(|DifferentialRing|))
          (|HasCategory| |#2| (LIST '|Evalable| (|devaluate| |#2|))))
         (AND (|HasCategory| |#2| '(|SetCategory|))
          (|HasCategory| |#2| (LIST '|Evalable| (|devaluate| |#2|))))
         (AND (|HasCategory| |#2| (LIST '|Evalable| (|devaluate| |#2|)))
          (|HasCategory| |#2| '(|LinearlyExplicitRingOver| (|Integer|))))
         (AND (|HasCategory| |#2| (LIST '|Evalable| (|devaluate| |#2|)))
          (|HasCategory| |#2| '(|PartialDifferentialRing| (|Symbol|)))))
        (|HasCategory| |#2| '(|CommutativeRing|))))
      . #1#))
    (|haddProp| |$ConstructorCache| '|SquareMatrix| (LIST DV$1 DV$2)
     (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) (QSETREFV $ 7 |#2|)
    (QSETREFV $ 10 (SPADCALL (|spadConstant| $ 8) (QREFELT $ 9)))
    (QSETREFV $ 13 (SPADCALL (|spadConstant| $ 12) (QREFELT $ 9)))
    (COND
     ((|testBitVector| |pv$| 3)
      (PROGN
       (QSETREFV $ 54
        (CONS (|dispatchFunction| |SQMATRIX;determinant;$R;15|) $))
       (QSETREFV $ 56
        (CONS (|dispatchFunction| |SQMATRIX;minordet;$R;16|) $)))))
    (COND
     ((|testBitVector| |pv$| 8)
      (QSETREFV $ 58
       (CONS (|dispatchFunction| |SQMATRIX;rowEchelon;2$;17|) $))))
    (COND
     ((|testBitVector| |pv$| 9)
      (PROGN
       (QSETREFV $ 60 (CONS (|dispatchFunction| |SQMATRIX;rank;$Nni;18|) $))
       (QSETREFV $ 62 (CONS (|dispatchFunction| |SQMATRIX;nullity;$Nni;19|) $))
       (QSETREFV $ 66
        (CONS (|dispatchFunction| |SQMATRIX;nullSpace;$L;20|) $)))))
    (COND
     ((|testBitVector| |pv$| 11)
      (PROGN
       (QSETREFV $ 69 (CONS (|dispatchFunction| |SQMATRIX;inverse;$U;21|) $))
       (QSETREFV $ 71 (CONS (|dispatchFunction| |SQMATRIX;**;$I$;22|) $))
       (QSETREFV $ 72 (CONS (|dispatchFunction| |SQMATRIX;recip;$U;23|) $)))))
    (COND
     ((|testBitVector| |pv$| 7)
      (QSETREFV $ 81 (CONS (|dispatchFunction| |SQMATRIX;convert;$If;24|) $))))
    $)))) 

(MAKEPROP '|SquareMatrix| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL (|Matrix| 7) (|local| |#1|) (|local| |#2|)
     (0 . |Zero|) |SQMATRIX;scalarMatrix;R$;8| 'ZERO
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |SQMATRIX;Zero;$;1|) $))
     (4 . |One|) 'ONE
     (CONS IDENTITY (FUNCALL (|dispatchFunction| |SQMATRIX;One;$;2|) $))
     (|NonNegativeInteger|) (8 . |characteristic|)
     |SQMATRIX;characteristic;Nni;3| (12 . |new|) (|Integer|)
     (19 . |minRowIndex|) (24 . |maxRowIndex|) (29 . |minColIndex|)
     (34 . |maxColIndex|) (39 . |qsetelt!|) (|List| 38) |SQMATRIX;matrix;L$;4|
     (|Vector| 7) (47 . |row|) (|DirectProduct| 6 7) (53 . |directProduct|)
     |SQMATRIX;row;$IDp;5| (58 . |column|) |SQMATRIX;column;$IDp;6|
     (|OutputForm|) (64 . |coerce|) |SQMATRIX;coerce;$Of;7|
     (69 . |scalarMatrix|) (|List| 7) (75 . |diagonalMatrix|)
     |SQMATRIX;diagonalMatrix;L$;9| (80 . |copy|) |SQMATRIX;coerce;$M;10|
     (85 . |nrows|) (90 . |ncols|) |SQMATRIX;squareMatrix;M$;11|
     (95 . |coerce|) (100 . *) |SQMATRIX;*;$2Dp;12| (106 . *)
     |SQMATRIX;*;Dp$Dp;13| (112 . **) |SQMATRIX;**;$Nni$;14|
     (118 . |determinant|) (123 . |determinant|) (128 . |minordet|)
     (133 . |minordet|) (138 . |rowEchelon|) (143 . |rowEchelon|)
     (148 . |rank|) (153 . |rank|) (158 . |nullity|) (163 . |nullity|)
     (|List| 27) (168 . |nullSpace|) (|List| 29) (173 . |nullSpace|)
     (|Union| $ '"failed") (178 . |inverse|) (183 . |inverse|) (188 . **)
     (194 . **) (200 . |recip|) (|String|) (|Symbol|) (205 . |coerce|)
     (|InputForm|) (210 . |convert|) (215 . |convert|) (|List| $)
     (220 . |convert|) (225 . |convert|) (|Boolean|) (|List| 84) (|Equation| 7)
     (|Mapping| 82 7) (|Mapping| 7 7) (|Matrix| 19) (|Matrix| $)
     (|Record| (|:| |mat| 87) (|:| |vec| (|Vector| 19))) (|Vector| $)
     (|List| 74) (|List| 15) (|Union| 94 '#1="failed") (|Fraction| 19)
     (|Union| 19 '#1#) (|Record| (|:| |mat| 5) (|:| |vec| 27)) (|Union| 7 '#1#)
     (|Mapping| 7 7 7) (|PositiveInteger|) (|SingleInteger|))
  '#(~= 230 |zero?| 236 |transpose| 241 |trace| 246 |symmetric?| 251
     |subtractIfCan| 256 |squareMatrix| 262 |square?| 267 |size?| 272
     |scalarMatrix| 278 |sample| 283 |rowEchelon| 287 |row| 292 |retractIfCan|
     298 |retract| 313 |reducedSystem| 328 |recip| 350 |rank| 355 |qelt| 360
     |parts| 367 |one?| 372 |nullity| 377 |nullSpace| 382 |nrows| 387 |ncols|
     392 |more?| 397 |minordet| 403 |minRowIndex| 408 |minColIndex| 413
     |members| 418 |member?| 423 |maxRowIndex| 429 |maxColIndex| 434 |matrix|
     439 |map| 444 |listOfLists| 457 |less?| 462 |latex| 468 |inverse| 473
     |hash| 478 |exquo| 483 |every?| 489 |eval| 495 |eq?| 521 |empty?| 527
     |empty| 532 |elt| 536 |differentiate| 551 |diagonalProduct| 601
     |diagonalMatrix| 606 |diagonal?| 611 |diagonal| 616 |determinant| 621
     |count| 626 |copy| 638 |convert| 643 |column| 648 |coerce| 654
     |characteristic| 679 |any?| 683 |antisymmetric?| 689 ^ 694 |Zero| 706
     |One| 710 D 714 = 764 / 770 - 776 + 787 ** 793 * 811 |#| 859)
  '((|unitsKnown| . 0) (|central| . 3) (|finiteAggregate| . 0)
    (|rightUnitary| . 0) (|leftUnitary| . 0))
  (CONS
   (|makeByteWordVec2| 14
    '(0 0 0 0 3 0 1 2 3 4 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 14 0 0 0 0 0 5 6 14
      7))
   (CONS
    '#(|SquareMatrixCategory&| |DifferentialExtension&|
       |FullyLinearlyExplicitRingOver&| |RectangularMatrixCategory&| |Algebra&|
       NIL |PartialDifferentialRing&| |DifferentialRing&| |Module&| NIL |Ring&|
       NIL NIL NIL NIL NIL |AbelianGroup&| NIL |AbelianMonoid&| |Monoid&|
       |HomogeneousAggregate&| |AbelianSemiGroup&| |SemiGroup&|
       |FullyRetractableTo&| |Aggregate&| |SetCategory&| |Evalable&| NIL
       |RetractableTo&| NIL |BasicType&| NIL |RetractableTo&| |RetractableTo&|
       |InnerEvalable&| NIL)
    (CONS
     '#((|SquareMatrixCategory| 6 7 (|DirectProduct| 6 7)
         (|DirectProduct| 6 7))
        (|DifferentialExtension| 7) (|FullyLinearlyExplicitRingOver| 7)
        (|RectangularMatrixCategory| 6 6 7 (|DirectProduct| 6 7)
         (|DirectProduct| 6 7))
        (|Algebra| 7) (|LinearlyExplicitRingOver| 7)
        (|PartialDifferentialRing| 74) (|DifferentialRing|) (|Module| 7)
        (|LinearlyExplicitRingOver| 19) (|Ring|) (|BiModule| 7 7) (|Rng|)
        (|LeftModule| 7) (|RightModule| 7) (|LeftModule| $$) (|AbelianGroup|)
        (|CancellationAbelianMonoid|) (|AbelianMonoid|) (|Monoid|)
        (|HomogeneousAggregate| 7) (|AbelianSemiGroup|) (|SemiGroup|)
        (|FullyRetractableTo| 7) (|Aggregate|) (|SetCategory|) (|Evalable| 7)
        (|CoercibleTo| (|Matrix| 7)) (|RetractableTo| 7) (|Type|) (|BasicType|)
        (|CoercibleTo| 34) (|RetractableTo| 94) (|RetractableTo| 19)
        (|InnerEvalable| 7 7) (|ConvertibleTo| 76))
     (|makeByteWordVec2| 100
      '(0 7 0 8 0 7 0 12 0 7 15 16 3 5 0 15 15 7 18 1 5 19 0 20 1 5 19 0 21 1 5
        19 0 22 1 5 19 0 23 4 5 7 0 19 19 7 24 2 5 27 0 19 28 1 29 0 27 30 2 5
        27 0 19 32 1 5 34 0 35 2 5 0 15 7 37 1 5 0 38 39 1 5 0 0 41 1 5 15 0 43
        1 5 15 0 44 1 29 27 0 46 2 5 27 0 27 47 2 5 27 27 0 49 2 5 0 0 15 51 1
        5 7 0 53 1 0 7 0 54 1 5 7 0 55 1 0 7 0 56 1 5 0 0 57 1 0 0 0 58 1 5 15
        0 59 1 0 15 0 60 1 5 15 0 61 1 0 15 0 62 1 5 63 0 64 1 0 65 0 66 1 5 67
        0 68 1 0 67 0 69 2 5 0 0 19 70 2 0 0 0 19 71 1 0 67 0 72 1 74 0 73 75 1
        76 0 74 77 1 5 76 0 78 1 76 0 79 80 1 0 76 0 81 2 0 82 0 0 1 1 0 82 0 1
        1 0 0 0 1 1 0 7 0 1 1 0 82 0 1 2 0 67 0 0 1 1 0 0 5 45 1 0 82 0 1 2 0
        82 0 15 1 1 0 0 7 9 0 0 0 1 1 8 0 0 58 2 0 29 0 19 31 1 5 93 0 1 1 6 95
        0 1 1 0 97 0 1 1 5 94 0 1 1 6 19 0 1 1 0 7 0 1 1 4 87 88 1 2 4 89 88 90
        1 2 0 96 88 90 1 1 0 5 88 1 1 0 67 0 72 1 9 15 0 60 3 0 7 0 19 19 1 1 0
        38 0 1 1 0 82 0 1 1 9 15 0 62 1 9 65 0 66 1 0 15 0 1 1 0 15 0 1 2 0 82
        0 15 1 1 3 7 0 56 1 0 19 0 1 1 0 19 0 1 1 0 38 0 1 2 10 82 7 0 1 1 0 19
        0 1 1 0 19 0 1 1 0 0 25 26 2 0 0 86 0 1 3 0 0 98 0 0 1 1 0 25 0 1 2 0
        82 0 15 1 1 0 73 0 1 1 11 67 0 69 1 0 100 0 1 2 9 67 0 7 1 2 0 82 85 0
        1 3 13 0 0 38 38 1 3 13 0 0 7 7 1 2 13 0 0 83 1 2 13 0 0 84 1 2 0 82 0
        0 1 1 0 82 0 1 0 0 0 1 3 0 7 0 19 19 1 4 0 7 0 19 19 7 1 1 2 0 0 1 2 2
        0 0 15 1 2 1 0 0 91 1 2 1 0 0 74 1 3 1 0 0 91 92 1 3 1 0 0 74 15 1 3 0
        0 0 86 15 1 2 0 0 0 86 1 1 0 7 0 1 1 0 0 38 40 1 0 82 0 1 1 0 29 0 1 1
        3 7 0 54 2 10 15 7 0 1 2 0 15 85 0 1 1 0 0 0 1 1 7 76 0 81 2 0 29 0 19
        33 1 5 0 94 1 1 0 5 0 42 1 0 0 7 1 1 0 0 19 1 1 0 34 0 36 0 0 15 17 2 0
        82 85 0 1 1 0 82 0 1 2 0 0 0 15 1 2 0 0 0 99 1 0 0 0 11 0 0 0 14 1 2 0
        0 1 2 2 0 0 15 1 2 1 0 0 91 1 2 1 0 0 74 1 3 1 0 0 91 92 1 3 1 0 0 74
        15 1 3 0 0 0 86 15 1 2 0 0 0 86 1 2 0 82 0 0 1 2 11 0 0 7 1 1 0 0 0 1 2
        0 0 0 0 1 2 0 0 0 0 1 2 11 0 0 19 71 2 0 0 0 15 52 2 0 0 0 99 1 2 0 29
        0 29 48 2 0 29 29 0 50 2 0 0 0 7 1 2 0 0 7 0 1 2 0 0 0 0 1 2 0 0 19 0 1
        2 0 0 15 0 1 2 0 0 99 0 1 1 0 15 0 1)))))
  '|lookupComplete|)) 
