
(/VERSIONCHECK 2) 

(DEFUN |TWOFACT;computeDegree| (|m| |mx| |q| $)
 (PROG (|my| |n1| |n2| |n| #1=#:G3553)
  (RETURN
   (SEQ (LETT |my| (SPADCALL |m| (QREFELT $ 9)) |TWOFACT;computeDegree|)
    (LETT |n1| (INTEGER-LENGTH (* (SPADCALL 10 |mx| (QREFELT $ 12)) |my|))
     |TWOFACT;computeDegree|)
    (LETT |n2| (- (INTEGER-LENGTH |q|) 1) |TWOFACT;computeDegree|)
    (LETT |n| (+ (QUOTIENT2 |n1| |n2|) 1) |TWOFACT;computeDegree|)
    (EXIT
     (PROG1 (LETT #1# |n| |TWOFACT;computeDegree|)
      (|check-subtype| (> #1# 0) '(|PositiveInteger|) #1#))))))) 

(DEFUN |TWOFACT;exchangeVars| (|p| $)
 (COND
  ((SPADCALL |p| (|spadConstant| $ 14) (QREFELT $ 16)) (|spadConstant| $ 14))
  ('T
   (SPADCALL
    (|TWOFACT;exchangeVarTerm| (SPADCALL |p| (QREFELT $ 18))
     (SPADCALL |p| (QREFELT $ 9)) $)
    (|TWOFACT;exchangeVars| (SPADCALL |p| (QREFELT $ 19)) $) (QREFELT $ 20))))) 

(DEFUN |TWOFACT;exchangeVarTerm| (|c| |e| $)
 (COND
  ((SPADCALL |c| (|spadConstant| $ 21) (QREFELT $ 22)) (|spadConstant| $ 14))
  ('T
   (SPADCALL
    (SPADCALL (SPADCALL (SPADCALL |c| (QREFELT $ 23)) |e| (QREFELT $ 24))
     (SPADCALL |c| (QREFELT $ 25)) (QREFELT $ 26))
    (|TWOFACT;exchangeVarTerm| (SPADCALL |c| (QREFELT $ 27)) |e| $)
    (QREFELT $ 20))))) 

(DEFUN |TWOFACT;pthRoot| (|poly| |p| |PthRootPow| $)
 (PROG (|tmp|)
  (RETURN
   (SEQ
    (LETT |tmp|
     (SPADCALL
      (SPADCALL (CONS #'|TWOFACT;pthRoot!0| (VECTOR $ |PthRootPow|)) |poly|
       (QREFELT $ 30))
      |p| (QREFELT $ 32))
     |TWOFACT;pthRoot|)
    (EXIT
     (COND ((QEQCAR |tmp| 1) (|error| "consistency error in TwoFactor"))
      ('T (QCDR |tmp|)))))))) 

(DEFUN |TWOFACT;pthRoot!0| (|#1| $$)
 (SPADCALL |#1| (QREFELT $$ 1) (QREFELT (QREFELT $$ 0) 28))) 

(DEFUN |TWOFACT;generalSqFr;SupF;5| (|m| $)
 (PROG
  (|l| #1=#:G3597 #2=#:G3598 |cont| #3=#:G3586 |sqfrm| |u| #4=#:G3599 |uexp|
   |nfacs| |v| #5=#:G3600 |unitPart| |sqp| #6=#:G3601 |w| #7=#:G3602 |contlist|
   |pfaclist|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |m| (|spadConstant| $ 14) (QREFELT $ 16))
      (|spadConstant| $ 34))
     ((EQL (SPADCALL |m| (QREFELT $ 9)) 0)
      (SEQ
       (LETT |l| (SPADCALL (SPADCALL |m| (QREFELT $ 18)) (QREFELT $ 36))
        |TWOFACT;generalSqFr;SupF;5|)
       (EXIT
        (SPADCALL (SPADCALL (SPADCALL |l| (QREFELT $ 38)) (QREFELT $ 39))
         (PROGN (LETT #1# NIL |TWOFACT;generalSqFr;SupF;5|)
          (SEQ (LETT |u| NIL |TWOFACT;generalSqFr;SupF;5|)
           (LETT #2# (SPADCALL |l| (QREFELT $ 43))
            |TWOFACT;generalSqFr;SupF;5|)
           G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |u| (CAR #2#) |TWOFACT;generalSqFr;SupF;5|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS
               (VECTOR (QVELT |u| 0) (SPADCALL (QVELT |u| 1) (QREFELT $ 39))
                (QVELT |u| 2))
               #1#)
              |TWOFACT;generalSqFr;SupF;5|)))
           (LETT #2# (CDR #2#) |TWOFACT;generalSqFr;SupF;5|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         (QREFELT $ 46)))))
     ('T
      (SEQ
       (LETT |cont| (SPADCALL |m| (QREFELT $ 47)) |TWOFACT;generalSqFr;SupF;5|)
       (LETT |m|
        (PROG2
         (LETT #3# (SPADCALL |m| |cont| (QREFELT $ 48))
          |TWOFACT;generalSqFr;SupF;5|)
         (QCDR #3#)
         (|check-union| (QEQCAR #3# 0)
          (|SparseUnivariatePolynomial|
           (|SparseUnivariatePolynomial| (QREFELT $ 6)))
          #3#))
        |TWOFACT;generalSqFr;SupF;5|)
       (LETT |sqfrm| (SPADCALL |m| (QREFELT $ 49))
        |TWOFACT;generalSqFr;SupF;5|)
       (LETT |pfaclist| NIL |TWOFACT;generalSqFr;SupF;5|)
       (LETT |unitPart| (SPADCALL |sqfrm| (QREFELT $ 50))
        |TWOFACT;generalSqFr;SupF;5|)
       (SEQ (LETT |u| NIL |TWOFACT;generalSqFr;SupF;5|)
        (LETT #4# (SPADCALL |sqfrm| (QREFELT $ 51))
         |TWOFACT;generalSqFr;SupF;5|)
        G190
        (COND
         ((OR (ATOM #4#)
           (PROGN (LETT |u| (CAR #4#) |TWOFACT;generalSqFr;SupF;5|) NIL))
          (GO G191)))
        (SEQ
         (EXIT
          (COND
           ((SPADCALL (QVELT |u| 0) (CONS 0 "nil") (QREFELT $ 52))
            (SEQ (LETT |uexp| (QVELT |u| 2) |TWOFACT;generalSqFr;SupF;5|)
             (LETT |nfacs|
              (SPADCALL (|TWOFACT;exchangeVars| (QVELT |u| 1) $)
               (QREFELT $ 49))
              |TWOFACT;generalSqFr;SupF;5|)
             (SEQ (LETT |v| NIL |TWOFACT;generalSqFr;SupF;5|)
              (LETT #5# (SPADCALL |nfacs| (QREFELT $ 51))
               |TWOFACT;generalSqFr;SupF;5|)
              G190
              (COND
               ((OR (ATOM #5#)
                 (PROGN (LETT |v| (CAR #5#) |TWOFACT;generalSqFr;SupF;5|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT |pfaclist|
                 (CONS
                  (VECTOR (QVELT |v| 0)
                   (|TWOFACT;exchangeVars| (QVELT |v| 1) $)
                   (* (QVELT |v| 2) |uexp|))
                  |pfaclist|)
                 |TWOFACT;generalSqFr;SupF;5|)))
              (LETT #5# (CDR #5#) |TWOFACT;generalSqFr;SupF;5|) (GO G190) G191
              (EXIT NIL))
             (EXIT
              (LETT |unitPart|
               (SPADCALL
                (SPADCALL (SPADCALL |nfacs| (QREFELT $ 50)) |uexp|
                 (QREFELT $ 53))
                |unitPart| (QREFELT $ 54))
               |TWOFACT;generalSqFr;SupF;5|))))
           ('T
            (LETT |pfaclist| (CONS |u| |pfaclist|)
             |TWOFACT;generalSqFr;SupF;5|)))))
        (LETT #4# (CDR #4#) |TWOFACT;generalSqFr;SupF;5|) (GO G190) G191
        (EXIT NIL))
       (EXIT
        (COND
         ((SPADCALL |cont| (|spadConstant| $ 56) (QREFELT $ 22))
          (SPADCALL |unitPart| |pfaclist| (QREFELT $ 46)))
         ('T
          (SEQ
           (LETT |sqp| (SPADCALL |cont| (QREFELT $ 36))
            |TWOFACT;generalSqFr;SupF;5|)
           (LETT |contlist|
            (PROGN (LETT #6# NIL |TWOFACT;generalSqFr;SupF;5|)
             (SEQ (LETT |w| NIL |TWOFACT;generalSqFr;SupF;5|)
              (LETT #7# (SPADCALL |sqp| (QREFELT $ 43))
               |TWOFACT;generalSqFr;SupF;5|)
              G190
              (COND
               ((OR (ATOM #7#)
                 (PROGN (LETT |w| (CAR #7#) |TWOFACT;generalSqFr;SupF;5|) NIL))
                (GO G191)))
              (SEQ
               (EXIT
                (LETT #6#
                 (CONS
                  (VECTOR (QVELT |w| 0) (SPADCALL (QVELT |w| 1) (QREFELT $ 39))
                   (QVELT |w| 2))
                  #6#)
                 |TWOFACT;generalSqFr;SupF;5|)))
              (LETT #7# (CDR #7#) |TWOFACT;generalSqFr;SupF;5|) (GO G190) G191
              (EXIT (NREVERSE0 #6#))))
            |TWOFACT;generalSqFr;SupF;5|)
           (LETT |pfaclist| (APPEND |contlist| |pfaclist|)
            |TWOFACT;generalSqFr;SupF;5|)
           (EXIT
            (SPADCALL
             (SPADCALL (SPADCALL |sqp| (QREFELT $ 38)) |unitPart|
              (QREFELT $ 57))
             |pfaclist| (QREFELT $ 46)))))))))))))) 

(DEFUN |TWOFACT;generalTwoFactor;SupF;6| (|m| $)
 (PROG
  (|l| #1=#:G3644 #2=#:G3645 |cont| |contfact| #3=#:G3646 #4=#:G3647 |sqfrm|
   |u| #5=#:G3648 |expo| #6=#:G3622 |expon| |fac| |p| #7=#:G3625 |PthRootPow|
   |m1| |res| #8=#:G3649 #9=#:G3650 |m2| #10=#:G3651 #11=#:G3652 |w|
   #12=#:G3653 #13=#:G3635 #14=#:G3633 #15=#:G3634 |ydeg| |twoF| |unitPart|
   #16=#:G3654 |v| #17=#:G3655 |ll|)
  (RETURN
   (SEQ
    (COND
     ((SPADCALL |m| (|spadConstant| $ 14) (QREFELT $ 16))
      (|spadConstant| $ 34))
     ((EQL (SPADCALL |m| (QREFELT $ 9)) 0)
      (SEQ
       (LETT |l| (SPADCALL (SPADCALL |m| (QREFELT $ 18)) (QREFELT $ 60))
        |TWOFACT;generalTwoFactor;SupF;6|)
       (EXIT
        (SPADCALL (SPADCALL (SPADCALL |l| (QREFELT $ 38)) (QREFELT $ 39))
         (PROGN (LETT #1# NIL |TWOFACT;generalTwoFactor;SupF;6|)
          (SEQ (LETT |u| NIL |TWOFACT;generalTwoFactor;SupF;6|)
           (LETT #2# (SPADCALL |l| (QREFELT $ 43))
            |TWOFACT;generalTwoFactor;SupF;6|)
           G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |u| (CAR #2#) |TWOFACT;generalTwoFactor;SupF;6|)
               NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS
               (VECTOR (QVELT |u| 0) (SPADCALL (QVELT |u| 1) (QREFELT $ 39))
                (QVELT |u| 2))
               #1#)
              |TWOFACT;generalTwoFactor;SupF;6|)))
           (LETT #2# (CDR #2#) |TWOFACT;generalTwoFactor;SupF;6|) (GO G190)
           G191 (EXIT (NREVERSE0 #1#))))
         (QREFELT $ 46)))))
     ('T
      (SEQ (LETT |ll| NIL |TWOFACT;generalTwoFactor;SupF;6|)
       (LETT |cont| (SPADCALL |m| (QREFELT $ 47))
        |TWOFACT;generalTwoFactor;SupF;6|)
       (COND
        ((< 0 (SPADCALL |cont| (QREFELT $ 25)))
         (SEQ
          (LETT |m1| (SPADCALL |m| |cont| (QREFELT $ 48))
           |TWOFACT;generalTwoFactor;SupF;6|)
          (EXIT
           (COND ((QEQCAR |m1| 1) (|error| "content doesn't divide"))
            ('T
             (SEQ (LETT |m| (QCDR |m1|) |TWOFACT;generalTwoFactor;SupF;6|)
              (LETT |contfact| (SPADCALL |cont| (QREFELT $ 60))
               |TWOFACT;generalTwoFactor;SupF;6|)
              (LETT |unitPart|
               (SPADCALL (SPADCALL |contfact| (QREFELT $ 38)) (QREFELT $ 39))
               |TWOFACT;generalTwoFactor;SupF;6|)
              (EXIT
               (LETT |ll|
                (PROGN (LETT #3# NIL |TWOFACT;generalTwoFactor;SupF;6|)
                 (SEQ (LETT |w| NIL |TWOFACT;generalTwoFactor;SupF;6|)
                  (LETT #4# (SPADCALL |contfact| (QREFELT $ 43))
                   |TWOFACT;generalTwoFactor;SupF;6|)
                  G190
                  (COND
                   ((OR (ATOM #4#)
                     (PROGN
                      (LETT |w| (CAR #4#) |TWOFACT;generalTwoFactor;SupF;6|)
                      NIL))
                    (GO G191)))
                  (SEQ
                   (EXIT
                    (LETT #3#
                     (CONS
                      (VECTOR (QVELT |w| 0)
                       (SPADCALL (QVELT |w| 1) (QREFELT $ 39)) (QVELT |w| 2))
                      #3#)
                     |TWOFACT;generalTwoFactor;SupF;6|)))
                  (LETT #4# (CDR #4#) |TWOFACT;generalTwoFactor;SupF;6|)
                  (GO G190) G191 (EXIT (NREVERSE0 #3#))))
                |TWOFACT;generalTwoFactor;SupF;6|))))))))
        ('T
         (LETT |unitPart| (SPADCALL |cont| (QREFELT $ 39))
          |TWOFACT;generalTwoFactor;SupF;6|)))
       (LETT |sqfrm| (SPADCALL |m| (QREFELT $ 49))
        |TWOFACT;generalTwoFactor;SupF;6|)
       (SEQ (LETT |u| NIL |TWOFACT;generalTwoFactor;SupF;6|)
        (LETT #5# (SPADCALL |sqfrm| (QREFELT $ 64))
         |TWOFACT;generalTwoFactor;SupF;6|)
        G190
        (COND
         ((OR (ATOM #5#)
           (PROGN (LETT |u| (CAR #5#) |TWOFACT;generalTwoFactor;SupF;6|) NIL))
          (GO G191)))
        (SEQ (LETT |expo| (QCDR |u|) |TWOFACT;generalTwoFactor;SupF;6|)
         (COND ((< |expo| 0) (|error| "negative exponent in a factorisation")))
         (LETT |expon|
          (PROG1 (LETT #6# |expo| |TWOFACT;generalTwoFactor;SupF;6|)
           (|check-subtype| (>= #6# 0) '(|NonNegativeInteger|) #6#))
          |TWOFACT;generalTwoFactor;SupF;6|)
         (LETT |fac| (QCAR |u|) |TWOFACT;generalTwoFactor;SupF;6|)
         (EXIT
          (COND
           ((EQL (SPADCALL |fac| (QREFELT $ 9)) 1)
            (LETT |ll| (CONS (VECTOR (CONS 2 "irred") |fac| |expon|) |ll|)
             |TWOFACT;generalTwoFactor;SupF;6|))
           ((SPADCALL (SPADCALL |fac| (QREFELT $ 65)) (|spadConstant| $ 14)
             (QREFELT $ 16))
            (COND
             ((SPADCALL (SPADCALL (ELT $ 66) |fac| (QREFELT $ 68))
               (|spadConstant| $ 14) (QREFELT $ 16))
              (SEQ
               (LETT |p| (SPADCALL (QREFELT $ 69))
                |TWOFACT;generalTwoFactor;SupF;6|)
               (LETT |PthRootPow|
                (PROG2
                 (LETT #7#
                  (SPADCALL (SPADCALL (QREFELT $ 70)) |p| (QREFELT $ 71))
                  |TWOFACT;generalTwoFactor;SupF;6|)
                 (QCDR #7#)
                 (|check-union| (QEQCAR #7# 0) (|NonNegativeInteger|) #7#))
                |TWOFACT;generalTwoFactor;SupF;6|)
               (LETT |m1|
                (SPADCALL
                 (SPADCALL
                  (CONS #'|TWOFACT;generalTwoFactor;SupF;6!0|
                   (VECTOR $ |PthRootPow| |p|))
                  |fac| (QREFELT $ 68))
                 |p| (QREFELT $ 72))
                |TWOFACT;generalTwoFactor;SupF;6|)
               (EXIT
                (COND
                 ((QEQCAR |m1| 1) (|error| "consistency error in TwoFactor"))
                 ('T
                  (SEQ
                   (LETT |res| (SPADCALL (QCDR |m1|) (QREFELT $ 73))
                    |TWOFACT;generalTwoFactor;SupF;6|)
                   (LETT |unitPart|
                    (SPADCALL |unitPart|
                     (SPADCALL (SPADCALL |res| (QREFELT $ 50)) (* |p| |expon|)
                      (QREFELT $ 53))
                     (QREFELT $ 54))
                    |TWOFACT;generalTwoFactor;SupF;6|)
                   (EXIT
                    (LETT |ll|
                     (APPEND
                      (PROGN (LETT #8# NIL |TWOFACT;generalTwoFactor;SupF;6|)
                       (SEQ (LETT |v| NIL |TWOFACT;generalTwoFactor;SupF;6|)
                        (LETT #9# (SPADCALL |res| (QREFELT $ 51))
                         |TWOFACT;generalTwoFactor;SupF;6|)
                        G190
                        (COND
                         ((OR (ATOM #9#)
                           (PROGN
                            (LETT |v| (CAR #9#)
                             |TWOFACT;generalTwoFactor;SupF;6|)
                            NIL))
                          (GO G191)))
                        (SEQ
                         (EXIT
                          (LETT #8#
                           (CONS
                            (VECTOR (QVELT |v| 0) (QVELT |v| 1)
                             (* (* |expon| |p|) (QVELT |v| 2)))
                            #8#)
                           |TWOFACT;generalTwoFactor;SupF;6|)))
                        (LETT #9# (CDR #9#) |TWOFACT;generalTwoFactor;SupF;6|)
                        (GO G190) G191 (EXIT (NREVERSE0 #8#))))
                      |ll|)
                     |TWOFACT;generalTwoFactor;SupF;6|))))))))
             ('T
              (SEQ
               (LETT |m2|
                (SPADCALL (SPADCALL |fac| (QREFELT $ 75)) (QREFELT $ 73))
                |TWOFACT;generalTwoFactor;SupF;6|)
               (LETT |unitPart|
                (SPADCALL |unitPart|
                 (SPADCALL (SPADCALL |m2| (QREFELT $ 50)) |expon|
                  (QREFELT $ 53))
                 (QREFELT $ 54))
                |TWOFACT;generalTwoFactor;SupF;6|)
               (EXIT
                (LETT |ll|
                 (APPEND
                  (PROGN (LETT #10# NIL |TWOFACT;generalTwoFactor;SupF;6|)
                   (SEQ (LETT |v| NIL |TWOFACT;generalTwoFactor;SupF;6|)
                    (LETT #11# (SPADCALL |m2| (QREFELT $ 51))
                     |TWOFACT;generalTwoFactor;SupF;6|)
                    G190
                    (COND
                     ((OR (ATOM #11#)
                       (PROGN
                        (LETT |v| (CAR #11#) |TWOFACT;generalTwoFactor;SupF;6|)
                        NIL))
                      (GO G191)))
                    (SEQ
                     (EXIT
                      (LETT #10#
                       (CONS
                        (VECTOR (QVELT |v| 0)
                         (SPADCALL (QVELT |v| 1) (QREFELT $ 75))
                         (SPADCALL |expon| (QVELT |v| 2) (QREFELT $ 76)))
                        #10#)
                       |TWOFACT;generalTwoFactor;SupF;6|)))
                    (LETT #11# (CDR #11#) |TWOFACT;generalTwoFactor;SupF;6|)
                    (GO G190) G191 (EXIT (NREVERSE0 #10#))))
                  |ll|)
                 |TWOFACT;generalTwoFactor;SupF;6|))))))
           ('T
            (SEQ
             (LETT |ydeg|
              (PROGN (LETT #15# NIL |TWOFACT;generalTwoFactor;SupF;6|)
               (SEQ (LETT |w| NIL |TWOFACT;generalTwoFactor;SupF;6|)
                (LETT #12# (SPADCALL |fac| (QREFELT $ 78))
                 |TWOFACT;generalTwoFactor;SupF;6|)
                G190
                (COND
                 ((OR (ATOM #12#)
                   (PROGN
                    (LETT |w| (CAR #12#) |TWOFACT;generalTwoFactor;SupF;6|)
                    NIL))
                  (GO G191)))
                (SEQ
                 (EXIT
                  (PROGN
                   (LETT #13# (SPADCALL |w| (QREFELT $ 25))
                    |TWOFACT;generalTwoFactor;SupF;6|)
                   (COND
                    (#15#
                     (LETT #14# (MAX #14# #13#)
                      |TWOFACT;generalTwoFactor;SupF;6|))
                    ('T
                     (PROGN (LETT #14# #13# |TWOFACT;generalTwoFactor;SupF;6|)
                      (LETT #15# 'T |TWOFACT;generalTwoFactor;SupF;6|)))))))
                (LETT #12# (CDR #12#) |TWOFACT;generalTwoFactor;SupF;6|)
                (GO G190) G191 (EXIT NIL))
               (COND (#15# #14#) ('T (|IdentityError| '|max|))))
              |TWOFACT;generalTwoFactor;SupF;6|)
             (LETT |twoF| (SPADCALL |fac| |ydeg| (QREFELT $ 79))
              |TWOFACT;generalTwoFactor;SupF;6|)
             (LETT |unitPart|
              (SPADCALL |unitPart|
               (SPADCALL (SPADCALL |twoF| (QREFELT $ 50)) |expon|
                (QREFELT $ 53))
               (QREFELT $ 54))
              |TWOFACT;generalTwoFactor;SupF;6|)
             (EXIT
              (LETT |ll|
               (APPEND
                (PROGN (LETT #16# NIL |TWOFACT;generalTwoFactor;SupF;6|)
                 (SEQ (LETT |v| NIL |TWOFACT;generalTwoFactor;SupF;6|)
                  (LETT #17# (SPADCALL |twoF| (QREFELT $ 51))
                   |TWOFACT;generalTwoFactor;SupF;6|)
                  G190
                  (COND
                   ((OR (ATOM #17#)
                     (PROGN
                      (LETT |v| (CAR #17#) |TWOFACT;generalTwoFactor;SupF;6|)
                      NIL))
                    (GO G191)))
                  (SEQ
                   (EXIT
                    (LETT #16#
                     (CONS
                      (VECTOR (QVELT |v| 0) (QVELT |v| 1)
                       (SPADCALL |expon| (QVELT |v| 2) (QREFELT $ 76)))
                      #16#)
                     |TWOFACT;generalTwoFactor;SupF;6|)))
                  (LETT #17# (CDR #17#) |TWOFACT;generalTwoFactor;SupF;6|)
                  (GO G190) G191 (EXIT (NREVERSE0 #16#))))
                |ll|)
               |TWOFACT;generalTwoFactor;SupF;6|)))))))
        (LETT #5# (CDR #5#) |TWOFACT;generalTwoFactor;SupF;6|) (GO G190) G191
        (EXIT NIL))
       (EXIT (SPADCALL |unitPart| |ll| (QREFELT $ 46)))))))))) 

(DEFUN |TWOFACT;generalTwoFactor;SupF;6!0| (|#1| $$)
 (|TWOFACT;pthRoot| |#1| (QREFELT $$ 2) (QREFELT $$ 1) (QREFELT $$ 0))) 

(DEFUN |TWOFACT;twoFactor;SupIF;7| (|m| |dx| $)
 (PROG
  (|dm| |try| |lcm| |vval| |umv| |n| |extField| |SUEx| TP |mm| |m1| |lcmm|
   |val| |i| |umex| |look| |prime| |fumex| |lfact1| #1=#:G3691 |lf| #2=#:G3692
   |lfact| #3=#:G3671 |dx1| |Normp| |c| |ff| |ffu| #4=#:G3683 |normfacs|
   #5=#:G3693 |g| #6=#:G3694 |lfacth| #7=#:G3538 #8=#:G3695 #9=#:G3682
   #10=#:G3680 #11=#:G3681 |ffn| #12=#:G3675 |lfactk| |ff1| #13=#:G3696
   #14=#:G3687 #15=#:G3685 #16=#:G3686)
  (RETURN
   (SEQ
    (LETT |n| (|TWOFACT;computeDegree| |m| |dx| (SPADCALL (QREFELT $ 70)) $)
     |TWOFACT;twoFactor;SupIF;7|)
    (LETT |look| 'T |TWOFACT;twoFactor;SupIF;7|)
    (LETT |dm| (SPADCALL |m| (QREFELT $ 9)) |TWOFACT;twoFactor;SupIF;7|)
    (LETT |try| (MIN 5 (SPADCALL (QREFELT $ 70))) |TWOFACT;twoFactor;SupIF;7|)
    (LETT |i| 0 |TWOFACT;twoFactor;SupIF;7|)
    (LETT |lcm| (SPADCALL |m| (QREFELT $ 18)) |TWOFACT;twoFactor;SupIF;7|)
    (SEQ G190 (COND ((NULL (COND (|look| (< |i| |try|)) ('T 'NIL))) (GO G191)))
     (SEQ (LETT |vval| (SPADCALL (QREFELT $ 80)) |TWOFACT;twoFactor;SupIF;7|)
      (LETT |i| (+ |i| 1) |TWOFACT;twoFactor;SupIF;7|)
      (EXIT
       (COND
        ((SPADCALL (SPADCALL |lcm| |vval| (QREFELT $ 81)) (QREFELT $ 82))
         "next value")
        ('T
         (SEQ
          (LETT |umv|
           (SPADCALL (CONS #'|TWOFACT;twoFactor;SupIF;7!0| (VECTOR $ |vval|))
            |m| (QREFELT $ 85))
           |TWOFACT;twoFactor;SupIF;7|)
          (COND
           ((NULL
             (EQL
              (SPADCALL
               (SPADCALL |umv| (SPADCALL |umv| (QREFELT $ 66)) (QREFELT $ 86))
               (QREFELT $ 25))
              0))
            (EXIT "next val")))
          (LETT |n| 1 |TWOFACT;twoFactor;SupIF;7|)
          (EXIT (LETT |look| 'NIL |TWOFACT;twoFactor;SupIF;7|)))))))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |extField| (|FiniteFieldExtension| (QREFELT $ 6) |n|)
     |TWOFACT;twoFactor;SupIF;7|)
    (LETT |SUEx| (|SparseUnivariatePolynomial| |extField|)
     |TWOFACT;twoFactor;SupIF;7|)
    (LETT TP (|SparseUnivariatePolynomial| |SUEx|) |TWOFACT;twoFactor;SupIF;7|)
    (LETT |mm| (SPADCALL (|compiledLookupCheck| '|Zero| (LIST '$) TP))
     |TWOFACT;twoFactor;SupIF;7|)
    (LETT |m1| |m| |TWOFACT;twoFactor;SupIF;7|)
    (SEQ G190
     (COND
      ((NULL
        (COND ((SPADCALL |m1| (|spadConstant| $ 14) (QREFELT $ 16)) 'NIL)
         ('T 'T)))
       (GO G191)))
     (SEQ
      (LETT |mm|
       (SPADCALL |mm|
        (SPADCALL
         (SPADCALL
          (|compiledLookupCheck| '|coerce| (LIST '$ (|devaluate| (ELT $ 6)))
           |extField|)
          (SPADCALL |m1| (QREFELT $ 18))
          (|compiledLookupCheck| '|map|
           (LIST (|devaluate| |SUEx|)
            (LIST '|Mapping| (|devaluate| |extField|) (|devaluate| (ELT $ 6)))
            (LIST '|SparseUnivariatePolynomial| (|devaluate| (ELT $ 6))))
           (|UnivariatePolynomialCategoryFunctions2| (ELT $ 6)
            (|SparseUnivariatePolynomial| (ELT $ 6)) |extField| |SUEx|)))
         (SPADCALL |m1| (QREFELT $ 9))
         (|compiledLookupCheck| '|monomial|
          (LIST '$ (|devaluate| |SUEx|) (LIST '|NonNegativeInteger|)) TP))
        (|compiledLookupCheck| '+ (LIST '$ '$ '$) TP))
       |TWOFACT;twoFactor;SupIF;7|)
      (EXIT
       (LETT |m1| (SPADCALL |m1| (QREFELT $ 19)) |TWOFACT;twoFactor;SupIF;7|)))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |lcmm|
     (SPADCALL |mm|
      (|compiledLookupCheck| '|leadingCoefficient|
       (LIST (|devaluate| |SUEx|) '$) TP))
     |TWOFACT;twoFactor;SupIF;7|)
    (COND
     ((NULL |look|)
      (SEQ
       (LETT |val|
        (SPADCALL |vval|
         (|compiledLookupCheck| '|coerce| (LIST '$ (|devaluate| (ELT $ 6)))
          |extField|))
        |TWOFACT;twoFactor;SupIF;7|)
       (EXIT
        (LETT |umex|
         (SPADCALL
          (|compiledLookupCheck| '|coerce| (LIST '$ (|devaluate| (ELT $ 6)))
           |extField|)
          |umv|
          (|compiledLookupCheck| '|map|
           (LIST (|devaluate| |SUEx|)
            (LIST '|Mapping| (|devaluate| |extField|) (|devaluate| (ELT $ 6)))
            (LIST '|SparseUnivariatePolynomial| (|devaluate| (ELT $ 6))))
           (|UnivariatePolynomialCategoryFunctions2| (ELT $ 6)
            (|SparseUnivariatePolynomial| (ELT $ 6)) |extField| |SUEx|)))
         |TWOFACT;twoFactor;SupIF;7|)))))
    (SEQ G190 (COND ((NULL |look|) (GO G191)))
     (SEQ
      (LETT |val|
       (SPADCALL (|compiledLookupCheck| '|random| (LIST '$) |extField|))
       |TWOFACT;twoFactor;SupIF;7|)
      (LETT |i| (+ |i| 1) |TWOFACT;twoFactor;SupIF;7|)
      (EXIT
       (COND
        ((SPADCALL
          (SPADCALL |lcmm| |val|
           (|compiledLookupCheck| '|elt|
            (LIST (|devaluate| |extField|) '$ (|devaluate| |extField|))
            |SUEx|))
          (SPADCALL (|compiledLookupCheck| '|Zero| (LIST '$) |extField|))
          (|compiledLookupCheck| '= (LIST (LIST '|Boolean|) '$ '$) |extField|))
         "next value")
        ('T
         (SEQ
          (LETT |umex|
           (SPADCALL
            (CONS #'|TWOFACT;twoFactor;SupIF;7!1|
             (VECTOR |SUEx| |extField| |val|))
            |mm|
            (|compiledLookupCheck| '|map|
             (LIST (|devaluate| |SUEx|)
              (LIST '|Mapping| (|devaluate| |extField|) (|devaluate| |SUEx|))
              (|devaluate| TP))
             (|UnivariatePolynomialCategoryFunctions2| |SUEx| TP |extField|
              |SUEx|)))
           |TWOFACT;twoFactor;SupIF;7|)
          (COND
           ((NULL
             (EQL
              (SPADCALL
               (SPADCALL |umex|
                (SPADCALL |umex|
                 (|compiledLookupCheck| '|differentiate| (LIST '$ '$) |SUEx|))
                (|compiledLookupCheck| '|gcd| (LIST '$ '$ '$) |SUEx|))
               (|compiledLookupCheck| '|degree|
                (LIST (LIST '|NonNegativeInteger|) '$) |SUEx|))
              0))
            (EXIT "next val")))
          (EXIT (LETT |look| 'NIL |TWOFACT;twoFactor;SupIF;7|)))))))
     NIL (GO G190) G191 (EXIT NIL))
    (LETT |prime|
     (SPADCALL
      (SPADCALL (SPADCALL (|compiledLookupCheck| '|One| (LIST '$) |extField|))
       1
       (|compiledLookupCheck| '|monomial|
        (LIST '$ (|devaluate| |extField|) (LIST '|NonNegativeInteger|))
        |SUEx|))
      (SPADCALL |val| 0
       (|compiledLookupCheck| '|monomial|
        (LIST '$ (|devaluate| |extField|) (LIST '|NonNegativeInteger|))
        |SUEx|))
      (|compiledLookupCheck| '- (LIST '$ '$ '$) |SUEx|))
     |TWOFACT;twoFactor;SupIF;7|)
    (LETT |fumex|
     (SPADCALL |umex|
      (|compiledLookupCheck| '|factor|
       (LIST (LIST '|Factored| (|devaluate| |SUEx|)) (|devaluate| |SUEx|))
       (|DistinctDegreeFactorize| |extField| |SUEx|)))
     |TWOFACT;twoFactor;SupIF;7|)
    (LETT |lfact1|
     (SPADCALL |fumex|
      (|compiledLookupCheck| '|factors|
       (LIST
        (LIST '|List|
         (LIST '|Record| (LIST '|:| '|factor| (|devaluate| |SUEx|))
          (LIST '|:| '|exponent| (LIST '|Integer|))))
        '$)
       (|Factored| |SUEx|)))
     |TWOFACT;twoFactor;SupIF;7|)
    (EXIT
     (COND ((EQL (LENGTH |lfact1|) 1) (SPADCALL |m| 1 (QREFELT $ 87)))
      ('T
       (SEQ
        (LETT |lfact|
         (PROGN (LETT #1# NIL |TWOFACT;twoFactor;SupIF;7|)
          (SEQ (LETT |lf| NIL |TWOFACT;twoFactor;SupIF;7|)
           (LETT #2# |lfact1| |TWOFACT;twoFactor;SupIF;7|) G190
           (COND
            ((OR (ATOM #2#)
              (PROGN (LETT |lf| (CAR #2#) |TWOFACT;twoFactor;SupIF;7|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (LETT #1#
              (CONS
               (SPADCALL
                (|compiledLookupCheck| '|coerce|
                 (LIST '$ (|devaluate| |extField|)) |SUEx|)
                (QCAR |lf|)
                (|compiledLookupCheck| '|map|
                 (LIST (|devaluate| TP)
                  (LIST '|Mapping| (|devaluate| |SUEx|)
                   (|devaluate| |extField|))
                  (|devaluate| |SUEx|))
                 (|UnivariatePolynomialCategoryFunctions2| |extField| |SUEx|
                  |SUEx| TP)))
               #1#)
              |TWOFACT;twoFactor;SupIF;7|)))
           (LETT #2# (CDR #2#) |TWOFACT;twoFactor;SupIF;7|) (GO G190) G191
           (EXIT (NREVERSE0 #1#))))
         |TWOFACT;twoFactor;SupIF;7|)
        (LETT |lfact|
         (CONS
          (SPADCALL
           (|compiledLookupCheck| '|coerce| (LIST '$ (|devaluate| |extField|))
            |SUEx|)
           (SPADCALL |fumex|
            (|compiledLookupCheck| '|unit| (LIST (|devaluate| |SUEx|) '$)
             (|Factored| |SUEx|)))
           (|compiledLookupCheck| '|map|
            (LIST (|devaluate| TP)
             (LIST '|Mapping| (|devaluate| |SUEx|) (|devaluate| |extField|))
             (|devaluate| |SUEx|))
            (|UnivariatePolynomialCategoryFunctions2| |extField| |SUEx| |SUEx|
             TP)))
          |lfact|)
         |TWOFACT;twoFactor;SupIF;7|)
        (LETT |dx1|
         (PROG1 (LETT #3# (+ |dx| 1) |TWOFACT;twoFactor;SupIF;7|)
          (|check-subtype| (> #3# 0) '(|PositiveInteger|) #3#))
         |TWOFACT;twoFactor;SupIF;7|)
        (LETT |lfacth|
         (SPADCALL |mm| |lfact| |prime| |dx1|
          (|compiledLookupCheck| '|completeHensel|
           (LIST (LIST '|List| (|devaluate| TP)) (|devaluate| TP)
            (LIST '|List| (|devaluate| TP)) (|devaluate| |SUEx|)
            (LIST '|PositiveInteger|))
           (|GeneralHenselPackage| |SUEx| TP)))
         |TWOFACT;twoFactor;SupIF;7|)
        (LETT |lfactk| NIL |TWOFACT;twoFactor;SupIF;7|)
        (LETT |Normp|
         (|NormRetractPackage| (QREFELT $ 6) |extField| |SUEx| TP |n|)
         |TWOFACT;twoFactor;SupIF;7|)
        (SEQ G190
         (COND ((NULL (COND ((NULL |lfacth|) 'NIL) ('T 'T))) (GO G191)))
         (SEQ
          (EXIT
           (SEQ (LETT |ff| (|SPADfirst| |lfacth|) |TWOFACT;twoFactor;SupIF;7|)
            (LETT |lfacth| (CDR |lfacth|) |TWOFACT;twoFactor;SupIF;7|)
            (SEQ
             (LETT |c|
              (SPADCALL
               (SPADCALL |ff|
                (|compiledLookupCheck| '|leadingCoefficient|
                 (LIST (|devaluate| |SUEx|) '$) TP))
               (|compiledLookupCheck| '|leadingCoefficient|
                (LIST (|devaluate| |extField|) '$) |SUEx|))
              |TWOFACT;twoFactor;SupIF;7|)
             (EXIT
              (COND
               ((NULL
                 (SPADCALL |c|
                  (SPADCALL
                   (|compiledLookupCheck| '|One| (LIST '$) |extField|))
                  (|compiledLookupCheck| '= (LIST (LIST '|Boolean|) '$ '$)
                   |extField|)))
                (LETT |ff|
                 (SPADCALL
                  (SPADCALL
                   (SPADCALL |c|
                    (|compiledLookupCheck| '|inv| (LIST '$ '$) |extField|))
                   (|compiledLookupCheck| '|coerce|
                    (LIST '$ (|devaluate| |extField|)) |SUEx|))
                  |ff|
                  (|compiledLookupCheck| '* (LIST '$ (|devaluate| |SUEx|) '$)
                   TP))
                 |TWOFACT;twoFactor;SupIF;7|)))))
            (SEQ
             (LETT |ffu|
              (SPADCALL |ff|
               (|compiledLookupCheck| '|retractIfCan|
                (LIST
                 (LIST '|Union|
                  (LIST '|SparseUnivariatePolynomial|
                   (LIST '|SparseUnivariatePolynomial|
                    (|devaluate| (ELT $ 6))))
                  '#17="failed")
                 (|devaluate| TP))
                |Normp|))
              |TWOFACT;twoFactor;SupIF;7|)
             (EXIT
              (COND
               ((NULL (QEQCAR |ffu| 1))
                (PROGN
                 (LETT #4#
                  (LETT |lfactk| (CONS (QCDR |ffu|) |lfactk|)
                   |TWOFACT;twoFactor;SupIF;7|)
                  |TWOFACT;twoFactor;SupIF;7|)
                 (GO #4#))))))
            (LETT |normfacs|
             (SPADCALL |ff|
              (|compiledLookupCheck| '|normFactors|
               (LIST (LIST '|List| (|devaluate| TP)) (|devaluate| TP))
               |Normp|))
             |TWOFACT;twoFactor;SupIF;7|)
            (LETT |lfacth|
             (PROGN (LETT #5# NIL |TWOFACT;twoFactor;SupIF;7|)
              (SEQ (LETT |g| NIL |TWOFACT;twoFactor;SupIF;7|)
               (LETT #6# |lfacth| |TWOFACT;twoFactor;SupIF;7|) G190
               (COND
                ((OR (ATOM #6#)
                  (PROGN (LETT |g| (CAR #6#) |TWOFACT;twoFactor;SupIF;7|) NIL))
                 (GO G191)))
               (SEQ
                (EXIT
                 (COND
                  ((COND
                    ((SPADCALL |g| |normfacs|
                      (|compiledLookupCheck| '|member?|
                       (LIST (LIST '|Boolean|) (|devaluate| TP) '$)
                       (|List| TP)))
                     'NIL)
                    ('T 'T))
                   (LETT #5# (CONS |g| #5#) |TWOFACT;twoFactor;SupIF;7|)))))
               (LETT #6# (CDR #6#) |TWOFACT;twoFactor;SupIF;7|) (GO G190) G191
               (EXIT (NREVERSE0 #5#))))
             |TWOFACT;twoFactor;SupIF;7|)
            (LETT |ffn|
             (PROGN (LETT #11# NIL |TWOFACT;twoFactor;SupIF;7|)
              (SEQ (LETT #7# NIL |TWOFACT;twoFactor;SupIF;7|)
               (LETT #8# |normfacs| |TWOFACT;twoFactor;SupIF;7|) G190
               (COND
                ((OR (ATOM #8#)
                  (PROGN (LETT #7# (CAR #8#) |TWOFACT;twoFactor;SupIF;7|) NIL))
                 (GO G191)))
               (SEQ
                (EXIT
                 (PROGN (LETT #9# #7# |TWOFACT;twoFactor;SupIF;7|)
                  (COND
                   (#11#
                    (LETT #10#
                     (SPADCALL #10# #9#
                      (|compiledLookupCheck| '* (LIST '$ '$ '$) TP))
                     |TWOFACT;twoFactor;SupIF;7|))
                   ('T
                    (PROGN (LETT #10# #9# |TWOFACT;twoFactor;SupIF;7|)
                     (LETT #11# 'T |TWOFACT;twoFactor;SupIF;7|)))))))
               (LETT #8# (CDR #8#) |TWOFACT;twoFactor;SupIF;7|) (GO G190) G191
               (EXIT NIL))
              (COND (#11# #10#)
               ('T (SPADCALL (|compiledLookupCheck| '|One| (LIST '$) TP)))))
             |TWOFACT;twoFactor;SupIF;7|)
            (EXIT
             (LETT |lfactk|
              (CONS
               (PROG2
                (LETT #12#
                 (SPADCALL |ffn|
                  (|compiledLookupCheck| '|retractIfCan|
                   (LIST
                    (LIST '|Union|
                     (LIST '|SparseUnivariatePolynomial|
                      (LIST '|SparseUnivariatePolynomial|
                       (|devaluate| (ELT $ 6))))
                     '#17#)
                    (|devaluate| TP))
                   |Normp|))
                 |TWOFACT;twoFactor;SupIF;7|)
                (QCDR #12#)
                (|check-union| (QEQCAR #12# 0)
                 (|SparseUnivariatePolynomial|
                  (|SparseUnivariatePolynomial| (QREFELT $ 6)))
                 #12#))
               |lfactk|)
              |TWOFACT;twoFactor;SupIF;7|))))
          #4# (EXIT #4#))
         NIL (GO G190) G191 (EXIT NIL))
        (EXIT
         (PROGN (LETT #16# NIL |TWOFACT;twoFactor;SupIF;7|)
          (SEQ (LETT |ff1| NIL |TWOFACT;twoFactor;SupIF;7|)
           (LETT #13# |lfactk| |TWOFACT;twoFactor;SupIF;7|) G190
           (COND
            ((OR (ATOM #13#)
              (PROGN (LETT |ff1| (CAR #13#) |TWOFACT;twoFactor;SupIF;7|) NIL))
             (GO G191)))
           (SEQ
            (EXIT
             (PROGN
              (LETT #14# (SPADCALL |ff1| 1 (QREFELT $ 87))
               |TWOFACT;twoFactor;SupIF;7|)
              (COND
               (#16#
                (LETT #15# (SPADCALL #15# #14# (QREFELT $ 88))
                 |TWOFACT;twoFactor;SupIF;7|))
               ('T
                (PROGN (LETT #15# #14# |TWOFACT;twoFactor;SupIF;7|)
                 (LETT #16# 'T |TWOFACT;twoFactor;SupIF;7|)))))))
           (LETT #13# (CDR #13#) |TWOFACT;twoFactor;SupIF;7|) (GO G190) G191
           (EXIT NIL))
          (COND (#16# #15#) ('T (|spadConstant| $ 89))))))))))))) 

(DEFUN |TWOFACT;twoFactor;SupIF;7!1| (|#1| $$)
 (PROG (|extField|)
  (LETT |extField| (QREFELT $$ 1) |TWOFACT;twoFactor;SupIF;7|)
  (RETURN
   (PROGN
    (SPADCALL |#1| (QREFELT $$ 2)
     (|compiledLookupCheck| '|elt|
      (LIST (|devaluate| |extField|) '$ (|devaluate| |extField|))
      (QREFELT $$ 0))))))) 

(DEFUN |TWOFACT;twoFactor;SupIF;7!0| (|#1| $$)
 (SPADCALL |#1| (QREFELT $$ 1) (QREFELT (QREFELT $$ 0) 81))) 

(DEFUN |TwoFactorize| (#1=#:G3699)
 (PROG NIL
  (RETURN
   (PROG (#2=#:G3700)
    (RETURN
     (COND
      ((LETT #2#
        (|lassocShiftWithFunction| (LIST (|devaluate| #1#))
         (HGET |$ConstructorCache| '|TwoFactorize|) '|domainEqualList|)
        |TwoFactorize|)
       (|CDRwithIncrement| #2#))
      ('T
       (UNWIND-PROTECT
        (PROG1 (|TwoFactorize;| #1#) (LETT #2# T |TwoFactorize|))
        (COND ((NOT #2#) (HREM |$ConstructorCache| '|TwoFactorize|))))))))))) 

(DEFUN |TwoFactorize;| (|#1|)
 (PROG (DV$1 |dv$| $ |pv$|)
  (RETURN
   (PROGN (LETT DV$1 (|devaluate| |#1|) . #1=(|TwoFactorize|))
    (LETT |dv$| (LIST '|TwoFactorize| DV$1) . #1#) (LETT $ (GETREFV 90) . #1#)
    (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|TwoFactorize| (LIST DV$1) (CONS 1 $))
    (|stuffDomainSlots| $) (QSETREFV $ 6 |#1|) $)))) 

(MAKEPROP '|TwoFactorize| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL (|local| |#1|) (|NonNegativeInteger|)
     (|SparseUnivariatePolynomial| 17) (0 . |degree|) (|PositiveInteger|)
     (|Integer|) (5 . *) (11 . |Zero|) (15 . |Zero|) (|Boolean|) (19 . =)
     (|SparseUnivariatePolynomial| 6) (25 . |leadingCoefficient|)
     (30 . |reductum|) (35 . +) (41 . |Zero|) (45 . =)
     (51 . |leadingCoefficient|) (56 . |monomial|) (62 . |degree|)
     (67 . |monomial|) (73 . |reductum|) (78 . **) (|Mapping| 6 6) (84 . |map|)
     (|Union| $ '"failed") (90 . |divideExponents|) (|Factored| 8)
     (96 . |Zero|) (|Factored| $) (100 . |squareFree|) (|Factored| 17)
     (105 . |unit|) (110 . |coerce|) (|Union| '"nil" '"sqfr" '"irred" '"prime")
     (|Record| (|:| |flg| 40) (|:| |fctr| 17) (|:| |xpnt| 11)) (|List| 41)
     (115 . |factorList|)
     (|Record| (|:| |flg| 40) (|:| |fctr| 8) (|:| |xpnt| 11)) (|List| 44)
     (120 . |makeFR|) (126 . |content|) (131 . |exquo|) (137 . |squareFree|)
     (142 . |unit|) (147 . |factorList|) (152 . =) (158 . **) (164 . *)
     (170 . |One|) (174 . |One|) (178 . *) |TWOFACT;generalSqFr;SupF;5|
     (|DistinctDegreeFactorize| 6 17) (184 . |factor|) (189 . |Zero|)
     (|Record| (|:| |factor| 8) (|:| |exponent| 11)) (|List| 62)
     (193 . |factors|) (198 . |differentiate|) (203 . |differentiate|)
     (|Mapping| 17 17) (208 . |map|) (214 . |characteristic|) (218 . |size|)
     (222 . |exquo|) (228 . |divideExponents|)
     |TWOFACT;generalTwoFactor;SupF;6|
     (|CommuteUnivariatePolynomialCategory| 6 17 8) (234 . |swap|) (239 . *)
     (|List| 17) (245 . |coefficients|) |TWOFACT;twoFactor;SupIF;7|
     (250 . |random|) (254 . |elt|) (260 . |zero?|) (|Mapping| 6 17)
     (|UnivariatePolynomialCategoryFunctions2| 17 8 6 17) (265 . |map|)
     (271 . |gcd|) (277 . |primeFactor|) (283 . *) (289 . |One|))
  '#(|twoFactor| 293 |generalTwoFactor| 299 |generalSqFr| 304) 'NIL
  (CONS (|makeByteWordVec2| 1 'NIL)
   (CONS '#()
    (CONS '#()
     (|makeByteWordVec2| 89
      '(1 8 7 0 9 2 11 0 10 0 12 0 6 0 13 0 8 0 14 2 8 15 0 0 16 1 8 17 0 18 1
        8 0 0 19 2 8 0 0 0 20 0 17 0 21 2 17 15 0 0 22 1 17 6 0 23 2 17 0 6 7
        24 1 17 7 0 25 2 8 0 17 7 26 1 17 0 0 27 2 6 0 0 7 28 2 17 0 29 0 30 2
        17 31 0 7 32 0 33 0 34 1 17 35 0 36 1 37 17 0 38 1 8 0 17 39 1 37 42 0
        43 2 33 0 8 45 46 1 8 17 0 47 2 8 31 0 17 48 1 8 35 0 49 1 33 8 0 50 1
        33 45 0 51 2 40 15 0 0 52 2 8 0 0 7 53 2 8 0 0 0 54 0 6 0 55 0 17 0 56
        2 8 0 17 0 57 1 59 37 17 60 0 37 0 61 1 33 63 0 64 1 8 0 0 65 1 17 0 0
        66 2 8 0 67 0 68 0 6 7 69 0 6 7 70 2 7 31 0 0 71 2 8 31 0 7 72 1 74 8 8
        75 2 11 0 7 0 76 1 8 77 0 78 0 6 0 80 2 17 6 0 6 81 1 6 15 0 82 2 84 17
        83 8 85 2 17 0 0 0 86 2 33 0 8 11 87 2 33 0 0 0 88 0 33 0 89 2 0 33 8
        11 79 1 0 33 8 73 1 0 33 8 58)))))
  '|lookupComplete|)) 
