
(/VERSIONCHECK 2) 

(DEFUN |VIEW2D;checkViewport| (|viewport| $)
 (PROG (|i|)
  (RETURN
   (SEQ (SOCK-SEND-INT VIEWPORTSERVER (QVELT |viewport| 0))
    (LETT |i| (SOCK-GET-INT VIEWPORTSERVER) |VIEW2D;checkViewport|)
    (EXIT
     (COND
      ((< |i| 0)
       (SEQ (QSETVELT |viewport| 0 0)
        (EXIT (|error| "This viewport has already been closed!"))))
      ('T 'T))))))) 

(DEFUN |VIEW2D;doOptions| (|v| $)
 (QSETVELT |v| 3 (SPADCALL (QVELT |v| 7) "AXIOM2D" (QREFELT $ 21)))) 

(PUT '|VIEW2D;options;$L;3| '|SPADreplace|
 '(XLAM (|viewport|) (QVELT |viewport| 7))) 

(DEFUN |VIEW2D;options;$L;3| (|viewport| $) (QVELT |viewport| 7)) 

(DEFUN |VIEW2D;options;$L$;4| (|viewport| |opts| $)
 (SEQ (QSETVELT |viewport| 7 |opts|) (EXIT |viewport|))) 

(DEFUN |VIEW2D;putGraph;$GiPiV;5| (|viewport| |aGraph| |which| $)
 (SEQ
  (COND
   ((OR (< 9 |which|) (< |which| 1))
    (|error|
     "Trying to put a graph with a negative index or too big an index")))
  (EXIT
   (SPADCALL (QVELT |viewport| 1) |which| (CONS 0 |aGraph|) (QREFELT $ 27))))) 

(DEFUN |VIEW2D;getGraph;$PiGi;6| (|viewport| |which| $)
 (PROG (#1=#:G3603)
  (RETURN
   (SEQ
    (COND
     ((OR (< 9 |which|) (< |which| 1))
      (|error|
       "Trying to get a graph with a negative index or too big an index")))
    (EXIT
     (COND
      ((QEQCAR (SPADCALL (QVELT |viewport| 1) |which| (QREFELT $ 31)) 1)
       (|error| "Graph is undefined!"))
      ('T
       (PROG2
        (LETT #1# (SPADCALL (QVELT |viewport| 1) |which| (QREFELT $ 31))
         |VIEW2D;getGraph;$PiGi;6|)
        (QCDR #1#) (|check-union| (QEQCAR #1# 0) (|GraphImage|) #1#))))))))) 

(PUT '|VIEW2D;graphStates;$V;7| '|SPADreplace|
 '(XLAM (|viewport|) (QVELT |viewport| 2))) 

(DEFUN |VIEW2D;graphStates;$V;7| (|viewport| $) (QVELT |viewport| 2)) 

(PUT '|VIEW2D;graphs;$V;8| '|SPADreplace|
 '(XLAM (|viewport|) (QVELT |viewport| 1))) 

(DEFUN |VIEW2D;graphs;$V;8| (|viewport| $) (QVELT |viewport| 1)) 

(PUT '|VIEW2D;key;$I;9| '|SPADreplace|
 '(XLAM (|viewport|) (QVELT |viewport| 0))) 

(DEFUN |VIEW2D;key;$I;9| (|viewport| $) (QVELT |viewport| 0)) 

(DEFUN |VIEW2D;dimensions;$2Nni2PiV;10|
 (|viewport| |ViewX| |ViewY| |ViewWidth| |ViewHeight| $)
 (SEQ (QSETVELT |viewport| 4 (CONS |ViewX| |ViewY|))
  (EXIT (QSETVELT |viewport| 5 (CONS |ViewWidth| |ViewHeight|))))) 

(DEFUN |VIEW2D;move;$2NniV;11| (|viewport| |xLoc| |yLoc| $)
 (PROG (#1=#:G3623 #2=#:G3624)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (QSETVELT |viewport| 4 (CONS |xLoc| |yLoc|))
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 102)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |xLoc|)
                    (SOCK-SEND-INT VIEWPORTSERVER |yLoc|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;move;$2NniV;11|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;move;$2NniV;11|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;update;$GiPiV;12| (|viewport| |graph| |slot| $)
 (PROG (#1=#:G3628 #2=#:G3629)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
       (PROGN
        (LETT #2#
         (SEQ
          (EXIT
           (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
            (SOCK-SEND-INT VIEWPORTSERVER 106)
            (EXIT
             (COND
              ((|VIEW2D;checkViewport| |viewport| $)
               (PROGN
                (LETT #1#
                 (SEQ
                  (SOCK-SEND-INT VIEWPORTSERVER
                   (SPADCALL |graph| (QREFELT $ 41)))
                  (SOCK-SEND-INT VIEWPORTSERVER |slot|)
                  (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                 |VIEW2D;update;$GiPiV;12|)
                (GO #1#)))))))
          #1# (EXIT #1#))
         |VIEW2D;update;$GiPiV;12|)
        (GO #2#)))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;resize;$2PiV;13| (|viewport| |xSize| |ySize| $)
 (PROG (#1=#:G3634 #2=#:G3635)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (QSETVELT |viewport| 5 (CONS |xSize| |ySize|))
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 103)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |xSize|)
                    (SOCK-SEND-INT VIEWPORTSERVER |ySize|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;resize;$2PiV;13|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;resize;$2PiV;13|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;translate;$Pi2FV;14|
 (|viewport| |graphIndex| |xTranslateF| |yTranslateF| $)
 (PROG (|xTranslate| |yTranslate| #1=#:G3639 #2=#:G3640)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |xTranslate| (SPADCALL |xTranslateF| (QREFELT $ 12))
       |VIEW2D;translate;$Pi2FV;14|)
      (LETT |yTranslate| (SPADCALL |yTranslateF| (QREFELT $ 12))
       |VIEW2D;translate;$Pi2FV;14|)
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 2
       |xTranslate|)
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 3
       |yTranslate|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 0)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-FLOAT VIEWPORTSERVER |xTranslate|)
                    (SOCK-SEND-FLOAT VIEWPORTSERVER |yTranslate|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;translate;$Pi2FV;14|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;translate;$Pi2FV;14|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;scale;$Pi2FV;15| (|viewport| |graphIndex| |xScaleF| |yScaleF| $)
 (PROG (|xScale| |yScale| #1=#:G3644 #2=#:G3645)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (LETT |xScale| (SPADCALL |xScaleF| (QREFELT $ 12))
       |VIEW2D;scale;$Pi2FV;15|)
      (LETT |yScale| (SPADCALL |yScaleF| (QREFELT $ 12))
       |VIEW2D;scale;$Pi2FV;15|)
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 0
       |xScale|)
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 1
       |yScale|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 1)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-FLOAT VIEWPORTSERVER |xScale|)
                    (SOCK-SEND-FLOAT VIEWPORTSERVER |yScale|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;scale;$Pi2FV;15|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;scale;$Pi2FV;15|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;viewport2D;$;16| ($)
 (VECTOR 0 (SPADCALL 9 (CONS 1 "undefined") (QREFELT $ 48))
  (SPADCALL 9 (MOVEVEC (MAKE-VEC 12) (QREFELT $ 17)) (QREFELT $ 49)) "AXIOM2D"
  (CONS (SPADCALL (SPADCALL (QREFELT $ 51)) 1 (QREFELT $ 52))
   (SPADCALL (SPADCALL (QREFELT $ 51)) 2 (QREFELT $ 52)))
  (CONS (SPADCALL (SPADCALL (QREFELT $ 54)) 1 (QREFELT $ 55))
   (SPADCALL (SPADCALL (QREFELT $ 54)) 2 (QREFELT $ 55)))
  (LIST 0) NIL)) 

(DEFUN |VIEW2D;makeViewport2D;GiL$;17| (|g| |opts| $)
 (PROG (|viewport|)
  (RETURN
   (SEQ
    (LETT |viewport| (SPADCALL (QREFELT $ 56)) |VIEW2D;makeViewport2D;GiL$;17|)
    (SPADCALL (QVELT |viewport| 1) 1 (CONS 0 |g|) (QREFELT $ 27))
    (QSETVELT |viewport| 7 |opts|)
    (EXIT (SPADCALL |viewport| (QREFELT $ 57))))))) 

(DEFUN |VIEW2D;makeViewport2D;2$;18| (|viewportDollar| $)
 (PROG (|viewport| |i| |g| |gs| |hueShade|)
  (RETURN
   (SEQ (LETT |viewport| |viewportDollar| |VIEW2D;makeViewport2D;2$;18|)
    (|VIEW2D;doOptions| |viewport| $)
    (|sayBrightly|
     (LIST "   AXIOM2D data being transmitted to the viewport manager..."))
    (SOCK-SEND-INT VIEWPORTSERVER 3) (SOCK-SEND-INT VIEWPORTSERVER -1)
    (SOCK-SEND-STRING VIEWPORTSERVER (QVELT |viewport| 3))
    (SOCK-SEND-INT VIEWPORTSERVER (QCAR (QVELT |viewport| 4)))
    (SOCK-SEND-INT VIEWPORTSERVER (QCDR (QVELT |viewport| 4)))
    (SOCK-SEND-INT VIEWPORTSERVER (QCAR (QVELT |viewport| 5)))
    (SOCK-SEND-INT VIEWPORTSERVER (QCDR (QVELT |viewport| 5)))
    (SOCK-SEND-INT VIEWPORTSERVER (QCAR (QVELT |viewport| 6)))
    (SEQ (LETT |i| 1 |VIEW2D;makeViewport2D;2$;18|) G190
     (COND ((QSGREATERP |i| 9) (GO G191)))
     (SEQ
      (LETT |g|
       (SPADCALL (SPADCALL |viewport| (QREFELT $ 36)) |i| (QREFELT $ 31))
       |VIEW2D;makeViewport2D;2$;18|)
      (EXIT
       (COND ((QEQCAR |g| 1) (SOCK-SEND-INT VIEWPORTSERVER 0))
        ('T
         (SEQ
          (SOCK-SEND-INT VIEWPORTSERVER (SPADCALL (QCDR |g|) (QREFELT $ 41)))
          (LETT |gs|
           (SPADCALL (SPADCALL |viewport| (QREFELT $ 35)) |i| (QREFELT $ 44))
           |VIEW2D;makeViewport2D;2$;18|)
          (SOCK-SEND-FLOAT VIEWPORTSERVER (QVELT |gs| 0))
          (SOCK-SEND-FLOAT VIEWPORTSERVER (QVELT |gs| 1))
          (SOCK-SEND-FLOAT VIEWPORTSERVER (QVELT |gs| 2))
          (SOCK-SEND-FLOAT VIEWPORTSERVER (QVELT |gs| 3))
          (SOCK-SEND-INT VIEWPORTSERVER (QVELT |gs| 4))
          (SOCK-SEND-INT VIEWPORTSERVER (QVELT |gs| 5))
          (SOCK-SEND-INT VIEWPORTSERVER (QVELT |gs| 6))
          (SOCK-SEND-INT VIEWPORTSERVER (QVELT |gs| 7))
          (LETT |hueShade|
           (+
            (SPADCALL (SPADCALL (QVELT |gs| 8) (QREFELT $ 60)) (QREFELT $ 61))
            (* (SPADCALL (QVELT |gs| 8) (QREFELT $ 62))
             (SPADCALL (QREFELT $ 63))))
           |VIEW2D;makeViewport2D;2$;18|)
          (SOCK-SEND-INT VIEWPORTSERVER |hueShade|)
          (SOCK-SEND-INT VIEWPORTSERVER (QVELT |gs| 9))
          (LETT |hueShade|
           (+
            (SPADCALL (SPADCALL (QVELT |gs| 10) (QREFELT $ 60)) (QREFELT $ 61))
            (* (SPADCALL (QVELT |gs| 10) (QREFELT $ 62))
             (SPADCALL (QREFELT $ 63))))
           |VIEW2D;makeViewport2D;2$;18|)
          (SOCK-SEND-INT VIEWPORTSERVER |hueShade|)
          (EXIT (SOCK-SEND-INT VIEWPORTSERVER (QVELT |gs| 11))))))))
     (LETT |i| (QSADD1 |i|) |VIEW2D;makeViewport2D;2$;18|) (GO G190) G191
     (EXIT NIL))
    (QSETVELT |viewport| 0 (SOCK-GET-INT VIEWPORTSERVER)) (EXIT |viewport|))))) 

(DEFUN |VIEW2D;graphState;$Pi4Df4IPIPIV;19|
 (|viewport| |num| |sX| |sY| |dX| |dY| |Points| |Lines| |Spline| |Axes|
  |AxesColor| |Units| |UnitsColor| |Showing| $)
 (SPADCALL (QVELT |viewport| 2) |num|
  (VECTOR |sX| |sY| |dX| |dY| |Points| |Lines| |Spline| |Axes| |AxesColor|
   |Units| |UnitsColor| |Showing|)
  (QREFELT $ 64))) 

(DEFUN |VIEW2D;title;$SV;20| (|viewport| |Title| $)
 (PROG (#1=#:G3680 #2=#:G3681)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (QSETVELT |viewport| 3 |Title|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 104)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-STRING VIEWPORTSERVER |Title|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;title;$SV;20|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;title;$SV;20|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;reset;$V;21| (|viewport| $)
 (PROG (#1=#:G3685 #2=#:G3686)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
       (PROGN
        (LETT #2#
         (SEQ
          (EXIT
           (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
            (SOCK-SEND-INT VIEWPORTSERVER 100)
            (EXIT
             (COND
              ((|VIEW2D;checkViewport| |viewport| $)
               (PROGN
                (LETT #1#
                 (SEQ (SOCK-SEND-INT VIEWPORTSERVER 5)
                  (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                 |VIEW2D;reset;$V;21|)
                (GO #1#)))))))
          #1# (EXIT #1#))
         |VIEW2D;reset;$V;21|)
        (GO #2#)))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;axes;$PiSV;22| (|viewport| |graphIndex| |onOff| $)
 (PROG (|status| #1=#:G3690 #2=#:G3691)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (COND ((EQUAL |onOff| "on") (LETT |status| 1 |VIEW2D;axes;$PiSV;22|))
       ('T (LETT |status| 0 |VIEW2D;axes;$PiSV;22|)))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 7
       |status|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 8)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-INT VIEWPORTSERVER |status|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;axes;$PiSV;22|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;axes;$PiSV;22|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;axes;$PiPV;23| (|viewport| |graphIndex| |color| $)
 (PROG (|hueShade| #1=#:G3695 #2=#:G3696)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 8
       |color|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 112)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (LETT |hueShade|
                     (+
                      (SPADCALL (SPADCALL |color| (QREFELT $ 60))
                       (QREFELT $ 61))
                      (* (SPADCALL |color| (QREFELT $ 62))
                       (SPADCALL (QREFELT $ 63))))
                     |VIEW2D;axes;$PiPV;23|)
                    (SOCK-SEND-INT VIEWPORTSERVER |hueShade|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;axes;$PiPV;23|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;axes;$PiPV;23|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;units;$PiSV;24| (|viewport| |graphIndex| |onOff| $)
 (PROG (|status| #1=#:G3700 #2=#:G3701)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (COND ((EQUAL |onOff| "on") (LETT |status| 1 |VIEW2D;units;$PiSV;24|))
       ('T (LETT |status| 0 |VIEW2D;units;$PiSV;24|)))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 9
       |status|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 9)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-INT VIEWPORTSERVER |status|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;units;$PiSV;24|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;units;$PiSV;24|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;units;$PiPV;25| (|viewport| |graphIndex| |color| $)
 (PROG (|hueShade| #1=#:G3705 #2=#:G3706)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 10
       |color|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 113)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (LETT |hueShade|
                     (+
                      (SPADCALL (SPADCALL |color| (QREFELT $ 60))
                       (QREFELT $ 61))
                      (* (SPADCALL |color| (QREFELT $ 62))
                       (SPADCALL (QREFELT $ 63))))
                     |VIEW2D;units;$PiPV;25|)
                    (SOCK-SEND-INT VIEWPORTSERVER |hueShade|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;units;$PiPV;25|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;units;$PiPV;25|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;connect;$PiSV;26| (|viewport| |graphIndex| |onOff| $)
 (PROG (|status| #1=#:G3710 #2=#:G3711)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (COND ((EQUAL |onOff| "on") (LETT |status| 1 |VIEW2D;connect;$PiSV;26|))
       ('T (LETT |status| 0 |VIEW2D;connect;$PiSV;26|)))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 5
       |status|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 3)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-INT VIEWPORTSERVER |status|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;connect;$PiSV;26|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;connect;$PiSV;26|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;points;$PiSV;27| (|viewport| |graphIndex| |onOff| $)
 (PROG (|status| #1=#:G3715 #2=#:G3716)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (COND ((EQUAL |onOff| "on") (LETT |status| 1 |VIEW2D;points;$PiSV;27|))
       ('T (LETT |status| 0 |VIEW2D;points;$PiSV;27|)))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 4
       |status|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 2)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-INT VIEWPORTSERVER |status|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;points;$PiSV;27|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;points;$PiSV;27|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;region;$PiSV;28| (|viewport| |graphIndex| |onOff| $)
 (PROG (|status| #1=#:G3720 #2=#:G3721)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (COND ((EQUAL |onOff| "on") (LETT |status| 1 |VIEW2D;region;$PiSV;28|))
       ('T (LETT |status| 0 |VIEW2D;region;$PiSV;28|)))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 6
       |status|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 4)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-INT VIEWPORTSERVER |status|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;region;$PiSV;28|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;region;$PiSV;28|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;show;$PiSV;29| (|viewport| |graphIndex| |onOff| $)
 (PROG (|status| #1=#:G3725 #2=#:G3726)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((< 9 |graphIndex|)
        (|error| "Referring to a graph with too big an index")))
      (COND ((EQUAL |onOff| "on") (LETT |status| 1 |VIEW2D;show;$PiSV;29|))
       ('T (LETT |status| 0 |VIEW2D;show;$PiSV;29|)))
      (QSETVELT (SPADCALL (QVELT |viewport| 2) |graphIndex| (QREFELT $ 44)) 11
       |status|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 105)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ (SOCK-SEND-INT VIEWPORTSERVER |graphIndex|)
                    (SOCK-SEND-INT VIEWPORTSERVER |status|)
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;show;$PiSV;29|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;show;$PiSV;29|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;controlPanel;$SV;30| (|viewport| |onOff| $)
 (PROG (#1=#:G3731 #2=#:G3732)
  (RETURN
   (SEQ
    (EXIT
     (SEQ
      (COND
       ((EQUAL |onOff| "on")
        (PROGN (RPLACA (QVELT |viewport| 6) 1) (QCAR (QVELT |viewport| 6))))
       ('T
        (PROGN (RPLACA (QVELT |viewport| 6) 0) (QCAR (QVELT |viewport| 6)))))
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #2#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 6)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #1#
                   (SEQ
                    (SOCK-SEND-INT VIEWPORTSERVER (QCAR (QVELT |viewport| 6)))
                    (EXIT (SOCK-GET-INT VIEWPORTSERVER)))
                   |VIEW2D;controlPanel;$SV;30|)
                  (GO #1#)))))))
            #1# (EXIT #1#))
           |VIEW2D;controlPanel;$SV;30|)
          (GO #2#)))))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;close;$V;31| (|viewport| $)
 (PROG (#1=#:G3736 #2=#:G3737)
  (RETURN
   (SEQ
    (EXIT
     (COND
      ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
       (PROGN
        (LETT #2#
         (SEQ
          (EXIT
           (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
            (SOCK-SEND-INT VIEWPORTSERVER 7)
            (EXIT
             (COND
              ((|VIEW2D;checkViewport| |viewport| $)
               (PROGN
                (LETT #1#
                 (SEQ (SOCK-GET-INT VIEWPORTSERVER)
                  (EXIT (QSETVELT |viewport| 0 0)))
                 |VIEW2D;close;$V;31|)
                (GO #1#)))))))
          #1# (EXIT #1#))
         |VIEW2D;close;$V;31|)
        (GO #2#)))))
    #2# (EXIT #2#))))) 

(DEFUN |VIEW2D;coerce;$Of;32| (|viewport| $)
 (COND
  ((EQL (SPADCALL |viewport| (QREFELT $ 37)) 0)
   (SPADCALL
    (LIST "Closed or Undefined TwoDimensionalViewport: "
     (SPADCALL (QVELT |viewport| 3) (QREFELT $ 79)))
    (QREFELT $ 81)))
  ('T
   (SPADCALL
    (LIST "TwoDimensionalViewport: "
     (SPADCALL (QVELT |viewport| 3) (QREFELT $ 79)))
    (QREFELT $ 81))))) 

(DEFUN |VIEW2D;write;$3S;33| (|viewport| |Filename| |aThingToWrite| $)
 (SPADCALL |viewport| |Filename| (LIST |aThingToWrite|) (QREFELT $ 84))) 

(DEFUN |VIEW2D;write;$2S;34| (|viewport| |Filename| $)
 (SPADCALL |viewport| |Filename| (SPADCALL (QREFELT $ 86)) (QREFELT $ 84))) 

(DEFUN |VIEW2D;write;$SLS;35| (|viewport| |Filename| |thingsToWrite| $)
 (PROG
  (|stringToSend| |avail| |m| |aTypeOfFile| #1=#:G3751 |writeTypeInt|
   #2=#:G3748 #3=#:G3749)
  (RETURN
   (SEQ
    (EXIT
     (SEQ (LETT |stringToSend| "" |VIEW2D;write;$SLS;35|)
      (EXIT
       (COND
        ((NULL (EQL (SPADCALL |viewport| (QREFELT $ 37)) 0))
         (PROGN
          (LETT #3#
           (SEQ
            (EXIT
             (SEQ (SOCK-SEND-INT VIEWPORTSERVER 3)
              (SOCK-SEND-INT VIEWPORTSERVER 110)
              (EXIT
               (COND
                ((|VIEW2D;checkViewport| |viewport| $)
                 (PROGN
                  (LETT #2#
                   (SEQ (SOCK-SEND-STRING VIEWPORTSERVER |Filename|)
                    (LETT |m|
                     (SPADCALL
                      (LETT |avail| (SPADCALL (QREFELT $ 88))
                       |VIEW2D;write;$SLS;35|)
                      (QREFELT $ 89))
                     |VIEW2D;write;$SLS;35|)
                    (SEQ (LETT |aTypeOfFile| NIL |VIEW2D;write;$SLS;35|)
                     (LETT #1# |thingsToWrite| |VIEW2D;write;$SLS;35|) G190
                     (COND
                      ((OR (ATOM #1#)
                        (PROGN
                         (LETT |aTypeOfFile| (CAR #1#) |VIEW2D;write;$SLS;35|)
                         NIL))
                       (GO G191)))
                     (SEQ
                      (LETT |writeTypeInt|
                       (-
                        (SPADCALL (SPADCALL |aTypeOfFile| (QREFELT $ 90))
                         |avail| (QREFELT $ 91))
                        |m|)
                       |VIEW2D;write;$SLS;35|)
                      (EXIT
                       (COND
                        ((< |writeTypeInt| 0)
                         (|sayBrightly|
                          (LIST "  > "
                           (SPADCALL
                            (STRCONC |aTypeOfFile|
                             " is not a valid file type for writing a 2D viewport")
                            (QREFELT $ 79)))))
                        ('T
                         (SOCK-SEND-INT VIEWPORTSERVER
                          (+ |writeTypeInt| 1))))))
                     (LETT #1# (CDR #1#) |VIEW2D;write;$SLS;35|) (GO G190) G191
                     (EXIT NIL))
                    (SOCK-SEND-INT VIEWPORTSERVER 0)
                    (SOCK-GET-INT VIEWPORTSERVER) (EXIT |Filename|))
                   |VIEW2D;write;$SLS;35|)
                  (GO #2#)))))))
            #2# (EXIT #2#))
           |VIEW2D;write;$SLS;35|)
          (GO #3#)))))))
    #3# (EXIT #3#))))) 

(DEFUN |TwoDimensionalViewport| NIL
 (PROG NIL
  (RETURN
   (PROG (#1=#:G3755)
    (RETURN
     (COND
      ((LETT #1# (HGET |$ConstructorCache| '|TwoDimensionalViewport|)
        |TwoDimensionalViewport|)
       (|CDRwithIncrement| (CDAR #1#)))
      ('T
       (UNWIND-PROTECT
        (PROG1
         (CDDAR
          (HPUT |$ConstructorCache| '|TwoDimensionalViewport|
           (LIST (CONS NIL (CONS 1 (|TwoDimensionalViewport;|))))))
         (LETT #1# T |TwoDimensionalViewport|))
        (COND
         ((NOT #1#)
          (HREM |$ConstructorCache| '|TwoDimensionalViewport|))))))))))) 

(DEFUN |TwoDimensionalViewport;| NIL
 (PROG (|dv$| $ |pv$|)
  (RETURN
   (PROGN
    (LETT |dv$| '(|TwoDimensionalViewport|) . #1=(|TwoDimensionalViewport|))
    (LETT $ (GETREFV 95) . #1#) (QSETREFV $ 0 |dv$|)
    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #1#))
    (|haddProp| |$ConstructorCache| '|TwoDimensionalViewport| NIL (CONS 1 $))
    (|stuffDomainSlots| $)
    (QSETREFV $ 6
     (|Record| (|:| |key| (|Integer|))
      (|:| |graphsField| (|Vector| (|Union| (|GraphImage|) "undefined")))
      (|:| |graphStatesField|
       (|Vector|
        (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|))
         (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))
         (|:| |points| (|Integer|)) (|:| |connect| (|Integer|))
         (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|))
         (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|))
         (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))))
      (|:| |title| (|String|))
      (|:| |moveTo|
       (|Record| (|:| X (|NonNegativeInteger|))
        (|:| Y (|NonNegativeInteger|))))
      (|:| |size|
       (|Record| (|:| X (|PositiveInteger|)) (|:| Y (|PositiveInteger|))))
      (|:| |flags| (|Record| (|:| |showCP| (|Integer|))))
      (|:| |optionsField| (|List| (|DrawOption|)))))
    (QSETREFV $ 17
     (VECTOR (SPADCALL (SPADCALL 9 -1 10 (QREFELT $ 10)) (QREFELT $ 12))
      (SPADCALL (SPADCALL 9 -1 10 (QREFELT $ 10)) (QREFELT $ 12)) #2=0.0 #2# 1
      1 0 1 (SPADCALL (QREFELT $ 15)) 0 (SPADCALL (QREFELT $ 16)) 1))
    $)))) 

(MAKEPROP '|TwoDimensionalViewport| '|infovec|
 (LIST
  '#(NIL NIL NIL NIL NIL NIL '|Rep| (|Integer|) (|PositiveInteger|) (|Float|)
     (0 . |float|) (|DoubleFloat|) (7 . |convert|) (|Palette|)
     (|ViewDefaultsPackage|) (12 . |axesColorDefault|)
     (16 . |unitsColorDefault|) '|defaultGS| (|String|) (|List| (|DrawOption|))
     (|DrawOptionFunctions0|) (20 . |title|) |VIEW2D;options;$L;3|
     |VIEW2D;options;$L$;4| (26 . |One|) (|Union| 29 '"undefined")
     (|Vector| 25) (30 . |setelt|) (|Void|) (|GraphImage|)
     |VIEW2D;putGraph;$GiPiV;5| (37 . |elt|) |VIEW2D;getGraph;$PiGi;6|
     (|Record| (|:| |scaleX| 11) (|:| |scaleY| 11) (|:| |deltaX| 11)
      (|:| |deltaY| 11) (|:| |points| 7) (|:| |connect| 7) (|:| |spline| 7)
      (|:| |axes| 7) (|:| |axesColor| 13) (|:| |units| 7) (|:| |unitsColor| 13)
      (|:| |showing| 7))
     (|Vector| 33) |VIEW2D;graphStates;$V;7| |VIEW2D;graphs;$V;8|
     |VIEW2D;key;$I;9| (|NonNegativeInteger|) |VIEW2D;dimensions;$2Nni2PiV;10|
     |VIEW2D;move;$2NniV;11| (43 . |key|) |VIEW2D;update;$GiPiV;12|
     |VIEW2D;resize;$2PiV;13| (48 . |elt|) |VIEW2D;translate;$Pi2FV;14|
     |VIEW2D;scale;$Pi2FV;15| (54 . |Zero|) (58 . |new|) (64 . |new|)
     (|List| 38) (70 . |viewPosDefault|) (74 . |elt|) (|List| 8)
     (80 . |viewSizeDefault|) (84 . |elt|) |VIEW2D;viewport2D;$;16|
     |VIEW2D;makeViewport2D;2$;18| |VIEW2D;makeViewport2D;GiL$;17| (|Color|)
     (90 . |hue|) (95 . |hue|) (100 . |shade|) (105 . |numberOfHues|)
     (109 . |setelt|) |VIEW2D;graphState;$Pi4Df4IPIPIV;19|
     |VIEW2D;title;$SV;20| |VIEW2D;reset;$V;21| |VIEW2D;axes;$PiSV;22|
     |VIEW2D;axes;$PiPV;23| |VIEW2D;units;$PiSV;24| |VIEW2D;units;$PiPV;25|
     |VIEW2D;connect;$PiSV;26| |VIEW2D;points;$PiSV;27|
     |VIEW2D;region;$PiSV;28| |VIEW2D;show;$PiSV;29|
     |VIEW2D;controlPanel;$SV;30| |VIEW2D;close;$V;31| (|OutputForm|)
     (116 . |coerce|) (|List| $) (121 . |hconcat|) |VIEW2D;coerce;$Of;32|
     (|List| 18) |VIEW2D;write;$SLS;35| |VIEW2D;write;$3S;33|
     (126 . |viewWriteDefault|) |VIEW2D;write;$2S;34|
     (130 . |viewWriteAvailable|) (134 . |minIndex|) (139 . |upperCase|)
     (144 . |position|) (|List| (|Point| 11)) (|SingleInteger|) (|Boolean|))
  '#(~= 150 |write| 156 |viewport2D| 176 |update| 180 |units| 187 |translate|
     201 |title| 209 |show| 215 |scale| 222 |resize| 230 |reset| 237 |region|
     242 |putGraph| 249 |points| 256 |options| 263 |move| 274 |makeViewport2D|
     281 |latex| 292 |key| 297 |hash| 302 |graphs| 307 |graphStates| 312
     |graphState| 317 |getPickedPoints| 335 |getGraph| 340 |dimensions| 346
     |controlPanel| 355 |connect| 361 |coerce| 368 |close| 373 |axes| 378 =
     392)
  'NIL
  (CONS (|makeByteWordVec2| 1 '(0 0 0))
   (CONS '#(|SetCategory&| |BasicType&| NIL)
    (CONS '#((|SetCategory|) (|BasicType|) (|CoercibleTo| 78))
     (|makeByteWordVec2| 94
      '(3 9 0 7 7 8 10 1 9 11 0 12 0 14 13 15 0 14 13 16 2 20 18 19 18 21 0 9 0
        24 3 26 25 0 7 25 27 2 26 25 0 7 31 1 29 7 0 41 2 34 33 0 7 44 0 9 0 47
        2 26 0 38 25 48 2 34 0 38 33 49 0 14 50 51 2 50 38 0 7 52 0 14 53 54 2
        53 8 0 7 55 1 13 59 0 60 1 59 7 0 61 1 13 7 0 62 0 59 8 63 3 34 33 0 7
        33 64 1 18 78 0 79 1 78 0 80 81 0 14 83 86 0 14 83 88 1 83 7 0 89 1 18
        0 0 90 2 83 7 18 0 91 2 0 94 0 0 1 3 0 18 0 18 18 85 3 0 18 0 18 83 84
        2 0 18 0 18 87 0 0 0 56 3 0 28 0 29 8 42 3 0 28 0 8 18 70 3 0 28 0 8 13
        71 4 0 28 0 8 9 9 45 2 0 28 0 18 66 3 0 28 0 8 18 75 4 0 28 0 8 9 9 46
        3 0 28 0 8 8 43 1 0 28 0 67 3 0 28 0 8 18 74 3 0 28 0 29 8 30 3 0 28 0
        8 18 73 1 0 19 0 22 2 0 0 0 19 23 3 0 28 0 38 38 40 2 0 0 29 19 58 1 0
        0 0 57 1 0 18 0 1 1 0 7 0 37 1 0 93 0 1 1 0 26 0 36 1 0 34 0 35 14 0 28
        0 8 11 11 11 11 7 7 7 7 13 7 13 7 65 1 0 92 0 1 2 0 29 0 8 32 5 0 28 0
        38 38 8 8 39 2 0 28 0 18 76 3 0 28 0 8 18 72 1 0 78 0 82 1 0 28 0 77 3
        0 28 0 8 18 68 3 0 28 0 8 13 69 2 0 94 0 0 1)))))
  '|lookupComplete|)) 

(MAKEPROP '|TwoDimensionalViewport| 'NILADIC T) 
